<?php

namespace App\Exports;
use App\user;
use Maatwebsite\Excel\Concerns\FromCollection;
use Maatwebsite\Excel\Concerns\WithHeadings;
use Illuminate\Support\Facades\DB;
class CompanyExpensesReportExport implements FromCollection,WithHeadings
   {	
    protected $region;
	protected $subregion;
	protected $warehouse;
	protected $expenses;
	protected $fromdate;
	protected $todate;
	
    function __construct($region,$subregion,$warehouse,$expenses,$fromdate,$todate) {
      $this->region = $region;
	   $this->subregion = $subregion;
        $this->warehouse = $warehouse;
        $this->expenses = $expenses;
       $this->fromdate = $fromdate;
      $this->todate = $todate;
	$agent_id     = array(); 
    }
	public function headings():array{
    return[
	  'Date',
		'Warehouse',
		'Expense Number',
		'Expense Type',
	  'Expense Amount'
    ];
   }
      /**
      * @return \Illuminate\Support\Collection
      */
    public function collection()
    {
	if($this->expenses!='s')
    {
		$get_data = DB::select("SELECT 
		riheader.created_at, 
				    
		warehouse.warehouse_name,
		riheader.expense_no,
					 
		expense.expense_name,
					
		riheader.expense_amount
				
		FROM tbl_company_expenses as riheader
				
		LEFT JOIN tbl_expense_type as expense on riheader.expense_type=expense.id
		LEFT JOIN tbl_warehouse as warehouse on riheader.warehouse_id=warehouse.id
					
		WHERE date(riheader.created_at) >= '".$this->fromdate."' AND  date(riheader.created_at) <= '".$this->todate."' AND riheader.expense_type=".$this->expenses."  ");	
                 				  
        }
	else
       {
	    /* start */
	    if($this->warehouse!='s')
        {
		$final_data  = array();
		//if single subregion
     if($this->warehouse!=0)
       {					
		$agent_name     = array(); 
	     $agent_id     = array(); 
		  $get_data1 = DB::table('tbl_warehouse')
		  ->select('tbl_warehouse.warehouse_code','tbl_warehouse.warehouse_name','tbl_warehouse.id')
		->where('tbl_warehouse.id','=',$this->warehouse)->get();
	foreach($get_data1 as $key=> $warehous)
        {
		$agent_name[$warehous->id] = $warehous->warehouse_name;
		$agent_id[]=$warehous->id;
        }							
     }
		//multiple sub region
	else  
      {					  
	   $agent_name     = array(); 
		 $agent_id     = array(); 
		  $get_data1 = DB::table('tbl_warehouse')
		 ->select('tbl_warehouse.warehouse_code','tbl_warehouse.warehouse_name','tbl_warehouse.id')
		 ->get();								
	foreach($get_data1 as $key=> $warehous)
       {
		$agent_name[$warehous->id] = $warehous->warehouse_name;
		$agent_id[]=$warehous->id;				 
       }										
    }
        $get_data = DB::select("SELECT 
		riheader.created_at, 
								
		warehouse.warehouse_name,
		riheader.expense_no,
		
		expense.expense_name,
		
		riheader.expense_amount

		FROM tbl_company_expenses as riheader

		LEFT JOIN tbl_expense_type as expense on riheader.expense_type=expense.id
		LEFT JOIN tbl_warehouse as warehouse on riheader.warehouse_id=warehouse.id
		
		WHERE date(riheader.created_at) >= '".$this->fromdate."' AND  date(riheader.created_at) <= '".$this->todate."' AND riheader.warehouse_id  in (".implode(',',$agent_id).") ");
						
        }	
	else
      {
      if($this->subregion!='s')
      {				   
	   if($this->subregion!=0)
    {
		$agent_name     = array(); 
		 $agent_id     = array(); 
		  $get_data1 = DB::table('tbl_sub_region') 
		 ->select('tbl_sub_region.sub_region_code','tbl_sub_region.sub_region_name','tbl_sub_region.id')
		->where('tbl_sub_region.id','=',$this->subregion)					
	   ->get();
	foreach($get_data1 as $key=> $sub_region)
       {
		$agent_name[$sub_region->id] = $sub_region->sub_region_name;
		$agent_id[]=$sub_region->id;
       }									
	}
		//multiple sub region
	else  
    {
	  $agent_name     = array(); 
	   $agent_id     = array(); 
	    $get_data1 = DB::table('tbl_sub_region')
	    ->select('tbl_sub_region.sub_region_code','tbl_sub_region.sub_region_name','tbl_sub_region.id')
	    ->get();
	    foreach($get_data1 as $key=> $sub_region)
        {
	    $agent_name[$sub_region->id] = $sub_region->sub_region_name;
	    $agent_id[]=$sub_region->id;
        }									
        }
        $get_data = DB::select("SELECT 
	    riheader.created_at, 
	    warehouse.warehouse_name,
	    riheader.expense_no,
	    expense.expense_name,
	    riheader.expense_amount
	    FROM tbl_company_expenses as riheader
				
		LEFT JOIN tbl_expense_type as expense on riheader.expense_type=expense.id
	    LEFT JOIN tbl_warehouse as warehouse on riheader.warehouse_id=warehouse.id
						
		WHERE date(riheader.created_at) >= '".$this->fromdate."' AND  date(riheader.created_at) <= '".$this->todate."' AND riheader.subregion  in (".implode(',',$agent_id).") ");						  
							
       }
	  else
     {
	   if($this->region!='s')
    {						 
     if($this->region!=0)
       {
		$agent_name     = array(); 
		 $agent_id     = array(); 
		 $get_data1 = DB::table('tbl_region')
		 ->select('tbl_region.region_code','tbl_region.region_name','tbl_region.id')
		->where('tbl_region.id','=',$this->region)					
	  ->get()->all();
	foreach($get_data1 as $key=> $region)
      {
		$agent_name[$region->id] = $region->region_name;
		$agent_id[]=$region->id;
       }										
     }
	else  
   {								
	$agent_name     = array(); 
	   $agent_id     = array(); 
		 $get_data1 = DB::table('tbl_region')
		->select('tbl_region.region_code','tbl_region.region_name','tbl_region.id')
	   ->get()->all();
	foreach($get_data1 as $key=> $region)
        {
		 $agent_name[$region->id] = $region->region_name;
		 $agent_id[]=$region->id;					 
        }
        }
        $get_data = DB::select("SELECT 
	    riheader.created_at, 
	    warehouse.warehouse_name,
	    riheader.expense_no,
	    expense.expense_name,
	    riheader.expense_amount
	    FROM tbl_company_expenses as riheader
	    LEFT JOIN tbl_expense_type as expense on riheader.expense_type=expense.id
	    LEFT JOIN tbl_warehouse as warehouse on riheader.warehouse_id=warehouse.id
						
		WHERE date(riheader.created_at) >= '".$this->fromdate."' AND  date(riheader.created_at) <= '".$this->todate."' AND riheader.region  in (".implode(',',$agent_id).") ");	
	   } 
     }
    }				 
		/* End */
					 
    }		  
    return collect($get_data);
   }
}
