<?php
namespace App\Exports;
use App\user;
use App\Models\CompanyTypeModel;
use Maatwebsite\Excel\Concerns\FromCollection;
use Maatwebsite\Excel\Concerns\WithHeadings;
 use Maatwebsite\Excel\Concerns\WithEvents;
use Maatwebsite\Excel\Events\AfterSheet;
use PDF;
 
use Illuminate\Support\Facades\DB;
class CompanyTypeExport implements FromCollection,WithHeadings,WithEvents 
  {
   public function Headings():array{
		return [
		 	 	 
		'Company Type Code',
		'Company Type Name',
		'Status'
		];
	}
	
	public function registerEvents(): array
    {
        return [
            AfterSheet::class    => function(AfterSheet $event) {
                $cellRange = 'A1:C1'; // All headers
                $event->sheet->getDelegate()->getStyle($cellRange)->getFont()->setSize(11)
				->setBold(true);
				 
            },
        ];
    }
	
	 public function collection() 
    {
       $result = DB::table('tbl_company_type')
		  
		  
                  ->select( 'tbl_company_type.company_type_code','tbl_company_type.company_type_name', 'tbl_company_type.status')
				 ->get();
		   
		     return $result;
    }
	
  }
