<?php
namespace App\Exports;
use App\user;
use Maatwebsite\Excel\Concerns\FromCollection;
use Maatwebsite\Excel\Concerns\WithHeadings;
use Illuminate\Support\Facades\DB;
class RouteExpensesReportExport implements FromCollection,WithHeadings
{	
	 protected $region;
	 protected $subregion;
	 protected $warehouse;
	 protected $route;
	 protected $salesman;
	 protected $expenses;
	 protected $fromdate;
	 protected $todate;

    function __construct($region,$subregion,$warehouse,$route,$salesman,$expenses,$fromdate,$todate) { 
         $this->region = $region;
		$this->subregion = $subregion;
        $this->warehouse = $warehouse;
        $this->route = $route;
        $this->salesman = $salesman;
        $this->expenses = $expenses;
        $this->fromdate = $fromdate;
        $this->todate = $todate;
	    $agent_id     = array(); 
			 
      }
	public function headings():array{
		
		return[
		'Date',
		'Warehouse',
		'Route',
		'Salesman',
		'Expense Number',
		'Expense Type',
		'Expense Amount'
		
		];
	}
    /**
    * @return \Illuminate\Support\Collection
    */
    public function collection()
	{
    if($this->expenses!='s')
	{
		$get_data = DB::select("SELECT riheader.created_at,
		warehouse.warehouse_name,
		route.route_name,
		salesman.salesman_name,
		riheader.expense_no,
		expense.expense_name,
		riheader.expense_amount
		FROM tbl_route_expenses as riheader
		LEFT JOIN tbl_route as route on riheader.route_id=route.id
		LEFT JOIN tbl_expense_type as expense on riheader.expense_type=expense.id
		LEFT JOIN tbl_warehouse as warehouse on riheader.warehouse_id=warehouse.id
		LEFT JOIN tbl_salesman as salesman on riheader.salesman_name=salesman.id 
								
		WHERE date(riheader.created_at) >= '".$this->fromdate."' AND  date(riheader.created_at) <= '".$this->todate."' AND riheader.expense_type=".$this->expenses."  ");	
				 				  
    }
	else
     {
	  /* start */
	if($this->salesman!='s')
       {
	    $final_data  = array();
		//if single subregion
     if($this->salesman!=0)
       {						
		$agent_id[]=$this->salesman;
														
	   }
		//multiple sub region
	else  
       {  
		$agent_name     = array(); 
		$agent_id     = array(); 
		$get_data1 = DB::table('tbl_salesman')
		->select('tbl_salesman.id')
		->get();								
	foreach($get_data1 as $key=> $warehous)
     {					
		$agent_id[]=$warehous->id;				 
     }											
       }
        $get_data = DB::select("SELECT riheader.created_at,
		warehouse.warehouse_name,
		route.route_name,
		salesman.salesman_name,
		riheader.expense_no,
		expense.expense_name,
		riheader.expense_amount
		FROM tbl_route_expenses as riheader
		LEFT JOIN tbl_route as route on riheader.route_id=route.id
		LEFT JOIN tbl_expense_type as expense on riheader.expense_type=expense.id
		LEFT JOIN tbl_warehouse as warehouse on riheader.warehouse_id=warehouse.id
		LEFT JOIN tbl_salesman as salesman on riheader.salesman_name=salesman.id 
		
		WHERE date(riheader.created_at) >= '".$this->fromdate."' AND  date(riheader.created_at) <= '".$this->todate."' AND riheader.salesman_name  in (".implode(',',$agent_id).") ");
      }
    else
     {
	  if($this->route!='s')
     {
	if($this->route!=0)
     {
	    $agent_name     = array(); 
	    $agent_id[]=$this->route;
					
      }
	else
      {
	    $agent_name     = array(); 
	    $agent_id     = array(); 
	    $get_data1 = DB::table('tbl_route')		 
	    ->select('tbl_route.id')
	    ->get();								
	foreach($get_data1 as $key=> $warehous)
       {					
		$agent_id[]=$warehous->id;				 
      }			
    }
	    $get_data = DB::select("SELECT riheader.created_at,
		warehouse.warehouse_name,
		route.route_name,
		salesman.salesman_name,
		riheader.expense_no,
		expense.expense_name,
		riheader.expense_amount
		
		FROM tbl_route_expenses as riheader
		LEFT JOIN tbl_route as route on riheader.route_id=route.id
		LEFT JOIN tbl_expense_type as expense on riheader.expense_type=expense.id
		LEFT JOIN tbl_warehouse as warehouse on riheader.warehouse_id=warehouse.id
		LEFT JOIN tbl_salesman as salesman on riheader.salesman_name=salesman.id 
		
		WHERE date(riheader.created_at) >= '".$this->fromdate."' AND  date(riheader.created_at) <= '".$this->todate."' AND riheader.route_id  in (".implode(',',$agent_id).") ");
                     
        }
    else
	{
         //
				   
		if($this->warehouse!='s')
       {
		$final_data  = array();
		//if single subregion
    if($this->warehouse!=0)
       {
		$agent_name     = array(); 
		$agent_id     = array(); 
		$agent_id[]=$this->warehouse;					
	}
		//multiple sub region
	else  
    {	  
		$agent_name     = array(); 
		$agent_id     = array(); 
		$get_data1 = DB::table('tbl_warehouse') 
		->select('tbl_warehouse.id')
		->get();			
	foreach($get_data1 as $key=> $warehouse1)
       {						  
		$agent_id[]=$warehouse1->id;				 
       }
												
    }
        $get_data = DB::select("SELECT riheader.created_at,
		warehouse.warehouse_name,
		route.route_name,
		salesman.salesman_name,
		riheader.expense_no,
		expense.expense_name,
		
		riheader.expense_amount
		FROM tbl_route_expenses as riheader
		LEFT JOIN tbl_route as route on riheader.route_id=route.id
		LEFT JOIN tbl_expense_type as expense on riheader.expense_type=expense.id
		LEFT JOIN tbl_warehouse as warehouse on riheader.warehouse_id=warehouse.id
		LEFT JOIN tbl_salesman as salesman on riheader.salesman_name=salesman.id 
		WHERE date(riheader.created_at) >= '".$this->fromdate."' AND  date(riheader.created_at) <= '".$this->todate."' AND riheader.warehouse_id  in (".implode(',',$agent_id).") ");
                     
	   }
     else
	{
	 if($this->subregion!='s')
      {
						   
	   if($this->subregion!=0)
       {
		$agent_id     = array(); 
		$agent_id[]=$this->subregion;
        }
		//multiple sub region
	else  
	{
	  $agent_name     = array(); 
		$agent_id     = array(); 
		 $get_data1 = DB::table('tbl_sub_region')
		->select('tbl_sub_region.id')
	  ->get();
	foreach($get_data1 as $key=> $sub_region)
       {					  
		$agent_id[]=$sub_region->id;				 
       }
											
      }
	    $get_data = DB::select("SELECT riheader.created_at,
		warehouse.warehouse_name,
		route.route_name,
		route.route_code,
		salesman.salesman_name,
		riheader.expense_no,
		expense.expense_name,
		riheader.expense_amount
								
		FROM tbl_route_expenses as riheader
		LEFT JOIN tbl_route as route on riheader.route_id=route.id
		LEFT JOIN tbl_expense_type as expense on riheader.expense_type=expense.id
		LEFT JOIN tbl_warehouse as warehouse on riheader.warehouse_id=warehouse.id
		LEFT JOIN tbl_salesman as salesman on riheader.salesman_name=salesman.id 
		
		WHERE date(riheader.created_at) >= '".$this->fromdate."' AND  date(riheader.created_at) <= '".$this->todate."' AND riheader.subregion  in (".implode(',',$agent_id).") ");
      }
	else
     {
      if($this->region!='s')
     {
							 
       if($this->region!=0)
     {						 
		$agent_id     = array(); 
		$agent_id[]=$this->region;			
     }
	else  
     {
		$agent_name     = array(); 
		$agent_id     = array(); 
		$get_data1 = DB::table('tbl_region')
		->select('tbl_region.id')
		->get()->all();
	foreach($get_data1 as $key=> $region)
       {									
		$agent_id[]=$region->id;					 
	  }
       }
        $get_data = DB::select("SELECT riheader.created_at,
		warehouse.warehouse_name,
		route.route_name,
		salesman.salesman_name,
		riheader.expense_no,
		expense.expense_name,
		riheader.expense_amount
								
		FROM tbl_route_expenses as riheader
		LEFT JOIN tbl_route as route on riheader.route_id=route.id
		LEFT JOIN tbl_expense_type as expense on riheader.expense_type=expense.id
		LEFT JOIN tbl_warehouse as warehouse on riheader.warehouse_id=warehouse.id
		LEFT JOIN tbl_salesman as salesman on riheader.salesman_name=salesman.id 
		
		WHERE date(riheader.created_at) >= '".$this->fromdate."' AND  date(riheader.created_at) <= '".$this->todate."' AND riheader.region  in (".implode(',',$agent_id).") ");
		} 
	   }
    	}			   
     //
     }		
    }			
    /* end */
	}		  
    return collect($get_data);
   }
}
