<?php

namespace App\Http\Controllers;

use App\Models\AssetPostModel; 
use App\Models\SalesmanModel; 
use Illuminate\Support\Facades\DB;
use Illuminate\Http\Request;

class AssetPostGalleryController extends Controller
{
     public function gallery_list(Request $request){
	   
	   $current_date=date("Y-m-d");
	  
       $where="";		
        
       if($request->salesman!='')
         {
            $where .= "AND salesman.id = '".$request->salesman."'";
         }  
      
        $salesman =SalesmanModel::all()->sortByDesc('id')->where('salesman_type_id', '=', '3')->where('status', '=', 'active');
		  
		  $get_data= DB::select("SELECT riheader.*,salesman.salesman_name,salesman.salesman_code,tbl_customer.customer_name,tbl_asset_tracking.asset_name 
			FROM tbl_asset_post as riheader
			LEFT JOIN tbl_salesman as salesman on riheader.salesman=salesman.id
			LEFT JOIN tbl_customer on riheader.customer=tbl_customer.id
			LEFT JOIN tbl_asset_tracking  on riheader.asset_name=tbl_asset_tracking.id
			WHERE  DATE_FORMAT(riheader.created_at, '%Y-%m-%d') between '".$request->fromdate."' and '".$current_date."' AND riheader.id IS NOT NULL ".$where);
         //dd($get_data);   
		
		 $hole_array=array();
		$image_array=array(); 
  	    /* $get_data= DB::table('tbl_asset_post')
		       ->leftjoin('tbl_asset_tracking','tbl_asset_post.asset_name','=','tbl_asset_tracking.id')
		       ->leftjoin('tbl_customer','tbl_asset_post.customer','=','tbl_customer.id')
		       ->leftjoin('tbl_salesman','tbl_asset_post.salesman','=','tbl_salesman.id')
		       ->select('tbl_asset_post.id','tbl_asset_post.images','tbl_customer.customer_name','tbl_salesman.salesman_name','tbl_asset_tracking.asset_name')
			   ->get()->all();   */
	 
			//dd( $get_data ); 
       			
		foreach($get_data as $key => $details)
		{
           
		  $photo=explode(',', $details->images);
		  
		  foreach($photo as $key1=> $images)
		  {
          $hole_array[$key1]['image']=$images;		  
          $hole_array[$key1]['id']=$details->id;		  
          $hole_array[$key1]['salesman_name']=$details->salesman_name;		  
          $hole_array[$key1]['customer']=$details->customer_name;		  
          $hole_array[$key1]['asset_name']=$details->asset_name;		  
		  } 
		    $image_array[$key]=$hole_array;  
		}
		  
	 
	     //dd($image_array);
	   return view('Merchandising.asset_gallery_list',compact('salesman','get_data','image_array')); 
	   
   }
}
