<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
//use App\Models\WarehouseModel;
use App\Models\SalesmanModel;
use App\Models\OutstandingModel;
use App\Models\RouteModel;
use App\Models\UserModel;
//use App\Models\DepartmentModel;
use Carbon\Carbon;
use App\Models\ComplaintModel;
use Session;
use Illuminate\Support\Facades\DB;
use Mail;
use App\Mail\MailNotify;
use  App\Mail\SendMail;

class ComplaintController extends Controller
{
   
   public function list(Request $request)
    { 
	
	   $current_date=date("Y-m-d");
	
       $where="";		
	   
	   if(count($request->all()) < 1)
	   {
		 $where .= " AND DATE_FORMAT(riheader.created_at, '%Y-%m-%d') between '".$current_date."' and '".$current_date."'"; 
	   }
	   
	   if($request->fromdate!='')
	   {
		    $where .= " AND DATE_FORMAT(riheader.created_at, '%Y-%m-%d') between '".$request->fromdate."' and '".$request->todate."'"; 
	    }
        
         if($request->salesman!='')
         {
            $where .= "AND salesman.id = '".$request->salesman."'";
         }
          
		 $salesman =SalesmanModel::all()->sortByDesc('id')->where('salesman_type_id', '=', '3')->where('status', '=', 'active');
		 
		  $user_id = Session::get('user_id');
		 
		/* $user_data=  DB::table('tbl_user')
		 ->select('tbl_user.customer_insight','tbl_user.id as user_id')
		 ->where('id',$user_id)
	     ->get(); */
		
		
		  if($user_id == 4)
		{
			$for_list = DB::select("SELECT riheader.*, 
			
			salesman.salesman_name,salesman.salesman_code
			
			FROM tbl_merchandising_complaint as riheader
			 
			LEFT JOIN tbl_salesman as salesman on riheader.salesman_id=salesman.id 
		    WHERE riheader.id IS NOT NULL ".$where."  group by riheader.id");
			
		}
		else
		{
			$for_list = DB::select("SELECT riheader.*,  salesman.salesman_name,salesman.salesman_code
			
			FROM tbl_merchandising_complaint as riheader
			
			 LEFT JOIN tbl_salesman as salesman on riheader.salesman_id=salesman.id 
			 	WHERE riheader.id IS NOT NULL ".$where." group by riheader.id") ;
			
		} 
		
		 
		
	//$department_name =DepartmentModel::all()->sortByDesc('id')->where('status', '=', 'active');
	 
     return view('Merchandising.complaint_list',compact('salesman','for_list'));
    }
	

   public function save(Request $request)
   {
	   
        $current = Carbon::now();
		//$newDate = date("Y-m-d g:i a");
	  
		$data2=array(
    				 'header_id'=>$request->feedback_id,	
                     
    				 'status' =>$request->status,

                     'comment' =>$request->comment,

                     'updated_at'  =>$current,

                     'created_at'  =>$current,

    			  );

		 DB::table('tbl_merchandising_complaint_header')->insert($data2);
		 
	//Notification to mobile user
		
	   //Get Salesman Tockent ID
		
		/* $for_list = DB::select("SELECT salesman_id FROM tbl_merchandising_complaint WHERE id = ".$request->feedback_id." ");
         
		$salesman =SalesmanModel::all()->sortByDesc('id')->where('id', '=', $for_list[0]->salesman_id);	
		
		$salesman = DB::table('tbl_salesman')
					->select('tbl_salesman.fcm_token')
					->where('tbl_salesman.id', '=', $for_list[0]->salesman_id)
					->get()->first();
		 
		$registrationIds = $salesman->fcm_token;

		$curl = curl_init();

		curl_setopt_array($curl, array(
			CURLOPT_URL => "https://fcm.googleapis.com/fcm/send",
			CURLOPT_RETURNTRANSFER => true,
			CURLOPT_ENCODING => "",
			CURLOPT_MAXREDIRS => 10,
			CURLOPT_TIMEOUT => 30,
			CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
			CURLOPT_CUSTOMREQUEST => "POST",
			CURLOPT_POSTFIELDS => "{\n    \"notification\": {\n        \"body\": \"Reply Given by Ticket Manager.\",\n        \"title\": \"Reply on ticket\"\n    },\n    \"priority\": \"high\",\n    \"data\": {\n        \"click_action\": \"FLUTTER_NOTIFICATION_CLICK\",\n        \"id\": \"1\",\n        \"status\": \"done\"\n    },\n    \"to\": \"$registrationIds\"\n}",
			CURLOPT_HTTPHEADER => array(
				"authorization: key=AAAABNU52sQ:APA91bFwg5MC1ASH_JQgBhYInQi0rNS-v77DUjr7njSupfcagMpiPjrxkIwoAcFrUs66NXNLqcfUcuOWvdV4cOH8lTOTNfpljUXawVgXY6_zGOeJwoS17rxdGYyvh991AalvXV_vv6-W",
				"cache-control: no-cache",
				"content-type: application/json",
				"postman-token: 2d43d84e-f59f-5b93-372e-9b6268734eb6"
			),
	    ));

		$response = curl_exec($curl);
		$err = curl_error($curl);

		curl_close($curl); */
		
	//End Notification

		DB::table('tbl_merchandising_complaint')
		->where('id',$request->feedback_id)
		->update(['status' =>$request->status ]);
			   
      return redirect(route('complaint_list'))->with('successMessage',' Updated Successfully');
 }
 
 public function complaint_save(Request $request)
   {
	
	
	   $current = Carbon::now();
	   $data3=array
				(
				// 'department_id'      =>  $request->department_name,
				 'ticket_id'                     =>  $request->ticket_id,
				// 'assign_user'                 =>  $request->assigned_user,
				 
				// 'complaint_type'                =>  $request->complaint_type_name,
				 'note'                     =>  $request->note,
				// 'route_id'                    =>  $request->route_id,
				  'salesman_id'           =>  $request->salesman_id,
				// 'warehouse_id'                       =>  $request->warehouse_id,
				 
				 'date_time'                   =>  $request->date_time,
				 'resolution'                  =>  $request->resolution,
				 'responsible_person'             =>  $request->responsible_person,
				 'priority'                 =>  $request->priority,
				 'images'                    =>  $request->images,
				 
				  'flag'              =>  $request->flag,
				  'status'        =>  $request->status,
				  'created_at'                  =>  $current,
				  
			     );
				 
			$header_id =DB::table('tbl_assign_ticket')->insertGetId($data3);
			
		 
			
			  if($header_id) {    

				//Email Code Paste Here
                 
             if($get_data!='')
			 {
				$data = array(
					'no'      =>  $request->ticket_id,
					'message'   =>   ""  
				);
				  
				 foreach($get_data as $get_data)
				 {
			     	Mail::to($get_data->email)->send(new SendMail($data)); 
				 } 
			 }				 
		  }   
		 	
			  DB::table('tbl_merchandising_complaint')
				  ->where('id', $request->updated_id)
				 ;  
			return redirect(route('complaint_list'))->with('successMessage','Ticket Assigned Successfully');
   }
/* public function complaint_save1(Request $request)
   {
	   
	   $data4=array
				(
				  
				 'priority'                 =>  $request->new_priority,
				 'old_priority'                    =>  $request->old_priority, 
				   
			     );
				 
			//$header_id =DB::table('tbl_merchandising_complaint')->insertGetId($data4);
			DB::table('tbl_merchandising_complaint')
		->where('id',$request->updated_id)
		->update($data4);
			 
			return redirect(route('complaint_list'))->with('successMessage','Ticket assigned successfully');
   } */
    public function get_feedbak_details_complaint_type($feedback_id)   
   {
	  
	   $get_feedback_details = DB::table('tbl_merchandising_complaint_header')
							->select('tbl_merchandising_complaint_header.*')
							->where('tbl_merchandising_complaint_header.header_id', '=', $feedback_id)
							->get()->all();
				
				foreach($get_feedback_details as $key=> $feedback)
				{
					 $row1 = date("d M Y g:i a", strtotime($feedback->created_at));
	              ?>
	                              <div class="form-row">
                                       <div class="col-md-6  date position-relative form-group" id="myDatepicker4">
										 <label for="select_warehouse" class="font-weight-bold ml-2"> <?php echo $row1; ?></label>
                                        </div>
                                       <div class="col-md-6  date position-relative form-group" id="myDatepicker5">
                                           <label for="select_warehouse" class="font-weight-bold ml-2"> <?php echo ucfirst($feedback->status); ?> </label>
                                             
                                         </div>
										 
										   <div class="col-md-12  date position-relative form-group" id="myDatepicker5">
                                           <label for="select_warehouse" class="font-weight-bold ml-2"> Comment </label>
                                             <input readonly type="text" class="form-control" name="todate"  id="todate"  value="<?php echo ucfirst($feedback->comment); ?>" autocomplete="off">
                                         </div>
										 
                                </div> 
	                          <hr style="border: 1px solid grey;">
	  
	             <?php
	   
      }
 
   } 
}
