<?php

namespace App\Http\Controllers;
use Illuminate\Http\Request;
use App\Models\CurrencyTypeModel;
use App\Models\ManageCodeModel;
use Session;

class CurrencyController extends Controller
 {
   
   public function list()
	{
		//$get_data=CurrencyTypeModel::get()->all();
		$get_data = CurrencyTypeModel::all()->sortByDesc('id');
	
		return view('Parameters_Configuration.currency_list',compact('get_data'));
	}
		
   public function add()
    {   
		 $result =CurrencyTypeModel::get()->sortByDesc('id')->first();
		if($result=='')
	      {
			$getcode = ManageCodeModel::where('id', 1)->first();
			$last_code = $getcode->currency_code;
		  }
		else
		{
			 $getcode = $result->currency_code; 
			 $last_code = ++$getcode;
		} 
			return view('Parameters_Configuration.currency',compact('last_code'));
	}

   public function edit($id)
	{
		$get_data=CurrencyTypeModel::find($id);
		$last_code = $get_data->currency_code;
	
		return view('Parameters_Configuration.currency',compact('get_data','last_code'));
	}
	
   public function save(Request $request)
	{
		//dd($request);
		$data=new CurrencyTypeModel;
			
		if($request->updated_id)
		  {
		
			$data = CurrencyTypeModel::find($request->updated_id);
			$data->currency_code=$request->currency_code;
			$data->currency_name=$request->currency_name;
			$data->currency_notation=$request->currency_notation;
			$data->updated_user= Session::get('user_id');
			$data->status=$request->status;
			$data->save();
			return redirect(route('currency_type_list'))->with('successMessage','Currency Updated Successfully');
		
		  }
		else
		  {
			
			$data->currency_code=$request->currency_code;
			$data->currency_name=$request->currency_name;
			$data->currency_notation=$request->currency_notation;
			$data->created_user= Session::get('user_id');
			$data->status=$request->status;
			$data->save();
			return redirect(route('currency_type_list'))->with('successMessage','Currency Added Successfully');
			
		 }	
		
			$data->save();		
	}

 }
