<?php

namespace App\Http\Controllers;
use App\Models\DistribitionOrgGraphModel;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Session;

class DistributionOrgStructureController extends Controller
{
	
			
   public function list() 
    {
		 
		  $data_all = DistribitionOrgGraphModel::get()->toArray();
		 
		 $get_data = DB::table('tbl_distorgstructure') 
		
		 ->select('tbl_distorgstructure.*')
		 ->orderBy('id', 'DESC')->get();
		 return view('Parameters_Configuration.distribution_org_structure.distribution_org_structure_list',compact('data_all','get_data'))->with('count',1);
	  }
	
	
   
	 public function add()
	  {	
		$get_data = DistribitionOrgGraphModel::all()->sortByDesc(0);
		//dd($get_data);
		  $result = DB::table('tbl_distorgstructure')
		  ->select('tbl_distorgstructure.*')->get()->sortByDesc('id')->first();			 
		 $parent =DistribitionOrgGraphModel::all()->sortByDesc('id');
		return view('Parameters_Configuration.distribution_org_structure.distribution_org_structure',compact('parent'));
	  }
	
	
	  public function graph() 
    {
	
		  $data_all = DistribitionOrgGraphModel::get()->toArray();
		 
		 $get_data = DB::table('tbl_distorgstructure')
		  
		 ->select('tbl_distorgstructure.*')
		 ->orderBy('id', 'ASC')->get();
		 return view('Parameters_Configuration.distribution_org_structure.distribution_org_structure_view',compact('data_all','get_data'))->with('count',1);
	  }
	
	
	public function edit($id)
	  {
				//dd($id);
		$get_data=DistribitionOrgGraphModel::find($id);
			 
			 $parent =DistribitionOrgGraphModel::all()->sortByDesc('id');
			 
			//dd($get_data);
		 return view('Parameters_Configuration.distribution_org_structure.distribution_org_structure',compact('get_data','parent'));
	  }
	
	 public function save(Request $request)
      { 
		$data=new DistribitionOrgGraphModel;

		if($request->updated_id) 
		  {			
				$data = DistribitionOrgGraphModel::find($request->updated_id);			
				 
				$data->name=$request->name;
				$data->parent=$request->parent;
				 
				$data->updated_user= Session::get('user_id');
				 
				$data->save();
				return redirect(route('distribution_org_structure_list'))->with('successMessage','Distribution Organization Structure Updated Successfully');
			
		   } else 
			     {
				   
					$data->name=$request->name;
					$data->parent=$request->parent;
				    
					$data->created_user= Session::get('user_id');
					 
					$data->save();
				   return redirect(route('distribution_org_structure_list'))->with('successMessage','Distribution Organization Structure Added Successfully');
					
			     }	
    	 
      }
	
	   
	public function do_del($id)
	{
		$result=DistribitionOrgGraphModel::find($id)->delete();
	 
	} 
	
	
	 
	
	
}
