<?php

namespace App\Http\Controllers;
use Illuminate\Http\Request;
use App\Models\ManageCodeModel;
use App\Models\CompanyModel;
use App\Models\WarehouseModel; 
use App\Models\CustomerModel;
use App\Models\VehicleModel;
use App\Models\SalesAreaModel;
use App\Models\RouteModel;
use App\Models\SalesmanModel;
use App\Models\MaterialMasterModel;
use App\Models\BankModel;
use App\Models\TaxModel;
use App\Models\DiscountModel;
use App\Models\SupplierModel;
use App\Models\OutletModel;
use App\Models\CompanyTypeModel;
use App\Models\CurrencyTypeModel;
use App\Models\CountryTypeModel;
use App\Models\CityTypeModel;
use App\Models\RegionTypeModel;
use App\Models\SubRegionTypeModel;
use App\Models\CustomerTypeModel;
use App\Models\AssetCategoryModel;
use App\Models\CustomerCategoryModel;
use App\Models\VehicleBrandModel;
use App\Models\VehicleTypeModel;
use App\Models\SalesmanTypeModel;
use App\Models\UnitOfMeasurementModel;
use App\Models\MaterialCategoryModel;
use App\Models\BrandTypeModel;
use App\Models\ExpenseTypeModel;
use App\Models\SalesTargetTypeModel;
use App\Models\LocationModel;
use App\Models\PaymentTermModel;
use App\Models\ExpenseTypeCategorymModel;
use App\Models\SupplierTypeModel;
use App\Models\TradingCenterModel;
use App\Models\UserRoleModel;
use App\Models\UserModel;
use App\Models\SalesmanUnloadModel;
use App\Models\SalesmanLoadModel;
use App\Models\RouteExpensesModel;
use App\Models\CompanyExpensesModel;
use App\Models\CompanyDeliveryModel;
use App\Models\CompanyInvoiceModel;
use App\Models\CompanyCreditNoteModel;
use App\Models\CounterSalesModel;
use App\Models\TypeModel;
use App\Models\ReasonModel;
use App\Models\RouteOrderModel;
use App\Models\MaterialCategoryNewModel;
use App\Models\PurchaseOrderModel;
use App\Models\DeviceEnrollmentModel;
use App\Models\GoodReceiptNoteController;
use App\Models\AssetTrackingController;
use Illuminate\Support\Facades\DB;
use Session;

class ManageCodeController extends Controller			
 {
   public function manage_code()
	{
		//company
		$companyresult=CompanyModel::get();
		$comany_count=count($companyresult);
		
		if($comany_count=='' || $comany_count==0 )
		  {
			$comanyreadonly='';
		  }
		else
		  {
			$comanyreadonly='readonly';
		  }
		
		//customer
		$customerresult=CustomerModel::get();
		$customer_count=count($customerresult);
		
		if($customer_count=='' || $customer_count==0 )
		  {
			$customerreadonly='';
		  }
		else
		  {
			$customerreadonly='readonly';
		  }
		
		//warehouse
		$warehouseresult=WarehouseModel::get();
		$warehouse_count=count($warehouseresult);
		
		if($warehouse_count=='' || $warehouse_count==0 )
		  {
			$warehousereadonly='';
		  }
		else
		  {
			$warehousereadonly='readonly';
		  }
		
		//ERP_Asset_code
		$vehicleresult=VehicleModel::get();
		$vehicle_count=count($vehicleresult);
		
		if($vehicle_count=='' || $vehicle_count==0 )
		  {
			$erpassetreadonly='';
		  }
		else
		  {
			$erpassetreadonly='readonly';
		  }
		
		//Sales_Area_code
		$salesarearesult=SalesAreaModel::get();
		$sales_area_count=count($salesarearesult);
		
		if($sales_area_count=='' || $sales_area_count==0 )
		  {
			$salesreadonly='';
		  }
		else
		  {
			$salesreadonly='readonly';
		  }
		
		//Route_code
		$routeresult=RouteModel::get();
		$route_count=count($routeresult);
		
		if($route_count=='' || $route_count==0 )
		  {
			$routereadonly='';
		  }
		else
		  {
			$routereadonly='readonly';
		  }
		
		//Salesman_code
		$salesmanresult=SalesmanModel::get();
		$salesman_count=count($salesmanresult);
		
		if($salesman_count=='' || $salesman_count==0 )
		  {
			$salesmanreadonly='';
		  }
		else
		  {
			$salesmanreadonly='readonly';
		  }
		
		//Material_code
		$materialresult=MaterialMasterModel::get();
		$material_count=count($materialresult);
		
		if($material_count=='' || $material_count==0 )
		  {
		 	$materialreadonly='';
		  }
		else
		  {
			$materialreadonly='readonly';
		  }
		
		//Bank_code
		$bankresult=BankModel::get();
		$bank_count=count($bankresult);
		
		if($bank_count=='' || $bank_count==0 )
		  {
			$bankreadonly='';
		  }
		else
		  {
			$bankreadonly='readonly';
		  }
		
		//Tax_code
		$taxresult=TaxModel::get();
		$tax_count=count($taxresult);
		
		if($tax_count=='' || $tax_count==0 )
		  {
			$taxreadonly='';
		  }
		else
		  {
			$taxreadonly='readonly';
		  }
		
		//Discount_code
		$discountresult=DiscountModel::get();
		$discount_count=count($discountresult);
		
		if($discount_count=='' || $discount_count==0 )
		  {
			$discountreadonly='';
		  }
		else
		  {
			$discountreadonly='readonly';
		  }
		
		//Supplier_code
		$supplierresult=SupplierModel::get();
		$supplier_count=count($supplierresult);
		
		if($supplier_count=='' || $supplier_count==0 )
		  {
		 	$supplierreadonly='';
		  }
		else
		  {
			$supplierreadonly='readonly';
		  }
		
		//Outlet_code
		$outletresult=OutletModel::get();
		$outlet_count=count($outletresult);
		
		if($outlet_count=='' || $outlet_count==0 )
		  {
			$outletreadonly='';
		  }
		else
		  {
			$outletreadonly='readonly';
		  }
		
		//Company_Type_code
		$companytype_result=CompanyTypeModel::get();
		$companytype_count=count($companytype_result);
		
		if($companytype_count=='' || $companytype_count==0 )
		  {
			$companytypereadonly='';
		  }
		else
		  {
			$companytypereadonly='readonly';
		  }
		
		//Currency_code
		$currency_result=CurrencyTypeModel::get();
		$currency_count=count($currency_result);
		
		if($currency_count=='' || $currency_count==0 )
		  {
		 	$currencyreadonly='';
		  }
		else
		  {
			$currencyreadonly='readonly';
		  }
		 
		//Country_code
		$country_result=CountryTypeModel::get();
		$country_count=count($country_result);
		
		if($country_count=='' || $country_count==0 )
		  {
			$countryreadonly='';
		  }
		else
		  {
			$countryreadonly='readonly';
		  }
		
		//City_code
		$city_result=CityTypeModel::get();
		$city_count=count($city_result);
		
		if($city_count=='' || $city_count==0 )
		  {
			$cityreadonly='';
		  }
		else
		  {
			$cityreadonly='readonly';
		  }
		
		//Region_code
		$region_result=RegionTypeModel::get();
		$region_count=count($region_result);
		
		if($region_count=='' || $region_count==0 )
		  {
			$regionreadonly='';
		  }
		else
		  {
			$regionreadonly='readonly';
		  }
		
		//SubRegion_code
		$subregion_result=SubRegionTypeModel::get();
		$subregion_count=count($subregion_result);
		
		if($subregion_count=='' || $subregion_count==0 )
		  {
			$subregionreadonly='';
		  }
		else
		  {
			$subregionreadonly='readonly';
		  }
		
		//CustomerType_code
		$customertype_result=CustomerTypeModel::get();
		$customertype_count=count($customertype_result);
		
		if($customertype_count=='' || $customertype_count==0 )
		  {
			$customertypereadonly='';
		  }
		else
		  {
			$customertypereadonly='readonly';
		  }
		  
		  //AssetCategory_code
		$asset_category_result=AssetCategoryModel::get();
		$asset_category_count=count($asset_category_result);
		
		if($asset_category_count=='' || $asset_category_count==0 )
		  {
			$assetcategoryreadonly='';
		  }
		else
		  {
			$assetcategoryreadonly='readonly';
		  }
		
		//CustomerCategory_Code
		$customercategory_result=CustomerCategoryModel::get();
		$customercategory_count=count($customercategory_result);
		
		if($customercategory_count=='' || $customercategory_count==0 )
		{
			$customercategoryreadonly='';
		}
		else
		{
			$customercategoryreadonly='readonly';
		}
		
		//VehicleBrand_Code
		$vehiclebrand_result=VehicleBrandModel::get();
		$vehiclebrand_count=count($vehiclebrand_result);
		
		if($vehiclebrand_count=='' || $vehiclebrand_count==0 )
		{
			$vehiclebrandreadonly='';
		}
		else
		{
			$vehiclebrandreadonly='readonly';
		}
		
		//Vehicle Type Code
		$vehicletype_result=VehicleTypeModel::get();
		$vehicletype_count=count($vehicletype_result);
		
		if($vehicletype_count=='' || $vehicletype_count==0 )
		{
			$vehicletypereadonly='';
		}
		else
		{
			$vehicletypereadonly='readonly';
		}
		
		//Salesman Type Code
		$salesmantype_result=SalesmanTypeModel::get();
		$salesmantype_count=count($salesmantype_result);
		
		if($salesmantype_count=='' || $salesmantype_count==0 )
		{
			$salesmantypereadonly='';
		}
		else
		{
			$salesmantypereadonly='readonly';
		}
		
		//UOM Code
		$uom_result=UnitOfMeasurementModel::get();
		$uom_count=count($uom_result);
		
		if($uom_count=='' || $uom_count==0 )
		{
			$uomreadonly='';
		}
		else
		{
			$uomreadonly='readonly';
		}
		
		//Category Code
		$materialcategory_result=MaterialCategoryModel::get();
		$materialcategory_count=count($materialcategory_result);
		
		if($materialcategory_count=='' || $materialcategory_count==0 )
		{
			$mcategoryreadonly='';
		}
		else
		{
			$mcategoryreadonly='readonly';
		}
		
		//Type Code
		$type_result=TypeModel::get();
		$type_count=count($type_result);
		
		if($type_count=='' || $type_count==0 )
		{
			$typereadonly='';
		}
		else
		{
			$typereadonly='readonly';
		}
		
		//Reason Code
		$reason_result=ReasonModel::get();
		$reason_count=count($reason_result);
		
		if($reason_count=='' || $reason_count==0 )
		{
			$reasonreadonly='';
		}
		else
		{
			$reasonreadonly='readonly';
		}
		
		//Brand Code
		$brandtype_result=BrandTypeModel::get();
		$brandtype_count=count($brandtype_result);
		
		if($brandtype_count=='' || $brandtype_count==0 )
		{
			$brandtypereadonly='';
		}
		else
		{
			$brandtypereadonly='readonly';
		}
		
		//Expense Code
		$expensetype_result=ExpenseTypeModel::get();
		$expensetype_count=count($expensetype_result);
		
		if($expensetype_count=='' || $expensetype_count==0 )
		{
			$expensetypereadonly='';
		}
		else
		{
			$expensetypereadonly='readonly';
		}
		
		//Target Code
		$salestargettype_result=SalesTargetTypeModel::get();
		$salestargettype_count=count($salestargettype_result);
		
		if($salestargettype_count=='' || $salestargettype_count==0 )
		{
			$salestargettype_readonly='';
		}
		else
		{
			$salestargettype_readonly='readonly';
		}
		
		//Location Code
		$location_result=LocationModel::get();
		$location_count=count($location_result);
		
		if($location_count=='' || $location_count==0 )
		{
			$locationreadonly='';
		}
		else
		{
			$locationreadonly='readonly';
		}
		
		//Payment Code
		$payterm_result=PaymentTermModel::get();
		$payterm_count=count($payterm_result);
		
		if($payterm_count=='' || $payterm_count==0 )
		{
			$paytermreadonly='';
		}
		else
		{
			$paytermreadonly='readonly';
		}
		
		//Expense Category Code
		$expensecategory_result=ExpenseTypeCategorymModel::get();
		$expensecategory_count=count($expensecategory_result);
		
		if($expensecategory_count=='' || $expensecategory_count==0 )
		{
			$expensecategoryreadonly='';
		}
		else
		{
			$expensecategoryreadonly='readonly';
		}
		
		//Supplier Type Code
		$suppliertype_result=SupplierTypeModel::get();
		$suppliertype_count=count($suppliertype_result);
		
		if($suppliertype_count=='' || $suppliertype_count==0 )
		{
			$suppliertypereadonly='';
		}
		else
		{
			$suppliertypereadonly='readonly';
		}
		
		//Vehicle Code
		$vehicleresult=VehicleModel::get();
		$vehicle_count=count($vehicleresult);
		
		if($vehicle_count=='' || $vehicle_count==0 )
		{
			$vehiclereadonly='';
		}
		else
		{
			$vehiclereadonly='readonly';
		}
		
		//Trading Center Code
		$tradingcenter_result=TradingCenterModel::get();
		$tradingcenter_count=count($tradingcenter_result);
		
		if($tradingcenter_count=='' || $tradingcenter_count==0 )
		{
			$tradingcenter_readonly='';
		}
		else
		{
			$tradingcenter_readonly='readonly';
		}
		
		//Role Code
		$userrole_result=UserRoleModel::get();
		$userrole_count=count($userrole_result);
		
		if($userrole_count=='' || $userrole_count==0 )
		{
			$userrole_readonly='';
		}
		else
		{
			$userrole_readonly='readonly';
		}
		
		//User Code
		$user_result=UserModel::get();
		$user_count=count($user_result);
		
		if($user_count=='' || $user_count==0 )
		{
			$user_readonly='';
		}
		else
		{
			$user_readonly='readonly';
		}
		
		//Rout Invoice Header
		$route_invice_result = DB::table('tbl_route_invoice_header')
			 ->select('tbl_route_invoice_header.*')->get()->sortByDesc('id')->first();
		
		//$uroute_invoice_count=$route_invice_result->count();
		
		if($route_invice_result=='')
		{
			$uroute_invoice_readonly='';
		}
		else
		{
			$uroute_invoice_readonly='readonly';
		}
		//Route Order Header
		$route_order_result = DB::table('tbl_route_order_header')
			 ->select('tbl_route_order_header.*')->get()->sortByDesc('id')->first();
		
		if($route_order_result=='')
		{
			$uroute_order_readonly='';
		}
		else
		{
			$uroute_order_readonly='readonly';
		}
		//Route delivery header
		$route_delivery_result = DB::table('tbl_route_delivery_header')
			 ->select('tbl_route_delivery_header.*')->get()->sortByDesc('id')->first();
		
		if($route_delivery_result=='')
		{
			$uroute_delivery_readonly='';
		}
		else
		{
			$uroute_delivery_readonly='readonly';
		}
		//Route Collection Header
		    $route_collection = DB::table('tbl_route_collection_header')
			              ->select('tbl_route_collection_header.*')->get()->sortByDesc('id')->first();
		
		if($route_collection=='')
		 {
			$rcollection_route_readonly='';
		 }
		else
		  {
			$rcollection_route_readonly='readonly';
		  }
		
		
		//Return Sales Header
		$return_sales_result = DB::table('tbl_return_sales_header')
			 ->select('tbl_return_sales_header.*')->get()->sortByDesc('id')->first();
		
		//$uroute_invoice_count=$route_invice_result->count();
		
		if($return_sales_result=='')
		{
			$return_sales_readonly='';
		}
		else
		{
			$return_sales_readonly='readonly';
		}
		
		//company order code
		$compay_order_result = DB::table('tbl_company_order_header')
			 ->select('tbl_company_order_header.*')->get()->sortByDesc('id')->first();
		
		//$uroute_invoice_count=$route_invice_result->count();
		
		if($compay_order_result=='')
		{
			$compay_order_readonly='';
		}
		else
		{
			$compay_order_readonly='readonly';
		}
		
		//Unload Code
		$unload_result=DB::table('tbl_route_unload_header')
			 ->select('tbl_route_unload_header.*')->get()->sortByDesc('id')->first();

		
		if($unload_result=='')
		{
			$unload_readonly='';
		}
		else
		{
			$unload_readonly='readonly';
		}
		
		//Load Code
		$load_result=DB::table('tbl_route_salesmanload_header')
			 ->select('tbl_route_salesmanload_header.*')->get()->sortByDesc('id')->first();

		
		if($load_result=='')
		{
			$load_readonly='';
		}
		else
		{
			$load_readonly='readonly';
		}
		
		//Route Expenses
		
		$route_expenses=DB::table('tbl_route_expenses')
			 ->select('tbl_route_expenses.*')->get()->sortByDesc('id')->first();

		
		if($route_expenses=='')
		{
			$expenses_readonly='';
		}
		else
		{
			$expenses_readonly='readonly';
		}
		
		//Company Expenses
		
		$company_expenses=DB::table('tbl_company_expenses')
			 ->select('tbl_company_expenses.*')->get()->sortByDesc('id')->first();
		if($company_expenses=='')
		{
			$company_expenses_readonly='';
		}
		else
		{
			$company_expenses_readonly='readonly';
		}
		
		//Delivery Order Number 
		$delivery_order_result=DB::table('tbl_company_delivery_header')
			 ->select('tbl_company_delivery_header.*')->get()->sortByDesc('id')->first();

		
		if($delivery_order_result=='')
		{
			$delivery_order_readonly='';
		}
		else
		{
			$delivery_order_readonly='readonly';
		}
		
		//Company Invoice Number 
		$company_invoice_result=DB::table('tbl_company_invoice_header')
			 ->select('tbl_company_invoice_header.*')->get()->sortByDesc('id')->first();

		
		if($company_invoice_result=='')
		{
			$company_invoice_readonly='';
		}
		else
		{
			$company_invoice_readonly='readonly';
		}
		
		//Company Credit Note 
		$company_credit_note=DB::table('tbl_company_credit_note_header')
			 ->select('tbl_company_credit_note_header.*')->get()->sortByDesc('id')->first();

		
		if($company_credit_note=='')
		{
			$company_credit_readonly='';
		}
		else
		{
			$company_credit_readonly='readonly';
		}
		
		//Company Collection Number 
		$company_collection_result=DB::table('tbl_company_collection_header')
			 ->select('tbl_company_collection_header.*')->get()->sortByDesc('id')->first();

		
		if($company_collection_result=='')
		{
			$company_collection_readonly='';
		}
		else
		{
			$company_collection_readonly='readonly';
		}
		
		//Outlet Expense Number 
		$outlet_expense_result=DB::table('tbl_outlet_expenses')
			 ->select('tbl_outlet_expenses.*')->get()->sortByDesc('id')->first();

		
		if($outlet_expense_result=='')
		{
			$outlet_expense_readonly='';
		}
		else
		{
			$outlet_expense_readonly='readonly';
		}
		
		//Outlet Counter Sales Number 
		$outlet_counter_sales_result=DB::table('tbl_outlet_counter_sales_header')
			 ->select('tbl_outlet_counter_sales_header.*')->get()->sortByDesc('id')->first();

		
		if($outlet_counter_sales_result=='')
		{
			$outlet_countersales_readonly='';
		}
		else
		{
			$outlet_countersales_readonly='readonly';
		}
		
		//Master Client
		
		$client_result=DB::table('tbl_client')
			 ->select('tbl_client.*')->get()->sortByDesc('id')->first();

		
		if($client_result=='')
		{
			$client_readonly='';
		}
		else
		{
			$client_readonly='readonly';
		}
		
		//commission range
		
		
		$commission_result=DB::table('tbl_commission_range')
			 ->select('tbl_commission_range.*')->get()->sortByDesc('id')->first();

		
		if($commission_result=='')
		{
			$commission_readonly='';
		}
		else
		{
			$commission_readonly='readonly';
		}
			
//Master Client
		
		$result=DB::table('tbl_material_category_new')
			 ->select('tbl_material_category_new.*')->get()->sortByDesc('id')->first();

		
		if($result=='')
		{
			$category_codes_readonly='';
		}
		else
		{
			$category_codes_readonly='readonly';
		}
 //Purchase Order Number
		
		$purchase=DB::table('tbl_purchase_order_header')
			 ->select('tbl_purchase_order_header.*')->get()->sortByDesc('id')->first();

		
		if($purchase=='')
		{
			$purchase_readonly='';
		}
		else
		{
			$purchase_readonly= 'readonly';
		}
		
 //Good Receipt Note
     
        $grn=DB::table('tbl_good_receipt_note_header')
			 ->select('tbl_good_receipt_note_header.*')->get()->sortByDesc('id')->first();

		
		if($grn=='')
		{
			$grn_readonly='';
		}
		else
		{
			$grn_readonly= 'readonly';
		}
//Asset Tracking Controller
		
		$asset=DB::table('tbl_asset_tracking')
			 ->select('tbl_asset_tracking.*')->get()->sortByDesc('id')->first();

		
		if($asset=='')
		{
			$asset_readonly='';
		}
		else
		{
			$asset_readonly= 'readonly';
		}
		
		//Device management
		
	             $enroll_code=DB::table('tbl_device_enrollment')
	            ->select('tbl_device_enrollment.*')->get()->sortByDesc('id')->first();
				if($enroll_code=='')
				{
					$enroll_code_readonly='';
				}
				else
				{
					$enroll_code_readonly='readonly';
				}
				
				//dd($enroll_code);
		
		$data = ManageCodeModel::first();
     	return view('Parameters_Configuration.manage_code',compact('data','comanyreadonly','customerreadonly','warehousereadonly','erpassetreadonly','salesreadonly','routereadonly','salesmanreadonly','materialreadonly','bankreadonly','taxreadonly','discountreadonly','supplierreadonly','outletreadonly','companytypereadonly','currencyreadonly','countryreadonly','cityreadonly','regionreadonly','subregionreadonly','customertypereadonly','assetcategoryreadonly','customercategoryreadonly','vehiclebrandreadonly','vehicletypereadonly','salesmantypereadonly','uomreadonly','mcategoryreadonly','typereadonly','brandtypereadonly','expensetypereadonly','salestargettype_readonly','locationreadonly','paytermreadonly','expensecategoryreadonly','suppliertypereadonly','vehiclereadonly','tradingcenter_readonly','userrole_readonly','user_readonly','uroute_invoice_readonly','uroute_order_readonly','unload_readonly','load_readonly','return_sales_readonly','compay_order_readonly','expenses_readonly','company_expenses_readonly','delivery_order_readonly','company_invoice_readonly','company_credit_readonly','company_collection_readonly','outlet_expense_readonly','outlet_countersales_readonly','client_readonly','commission_readonly','purchase_readonly','reasonreadonly','category_codes_readonly','uroute_delivery_readonly','grn_readonly','rcollection_route_readonly','asset_readonly','enroll_code_readonly'));
     }
	 
	  
	public function save(Request $request)
	 {
		if($request->updated_id) 
		  {
			$data = ManageCodeModel::find($request->updated_id);			
			$data->company_code=$request->company_code;
			$data->customer_code=$request->customer_code;
			$data->warehouse_code=$request->warehouse_code;
			$data->erp_asset_code=$request->erp_asset_code;
			$data->sales_area_code=$request->sales_area_code;
			$data->route_code=$request->route_code;
			$data->salesman_code=$request->salesman_code;
			$data->erp_employee_code=$request->erp_employee_code;
			$data->material_code= $request->material_code;
			$data->erp_material_code=$request->erp_material_code;
			$data->bank_code=$request->bank_code;
			$data->user_code=$request->user_code;
			$data->tax_code=$request->tax_code;
			$data->discount_code=$request->discount_code;
			$data->supplier_code=$request->supplier_code;
			$data->outlet_code=$request->outlet_code;
			$data->company_type_code=$request->company_type_code;
			$data->currency_code=$request->currency_code;
			$data->country_code= $request->country_code;
			$data->city_code=$request->city_code;
			$data->region_code=$request->region_code;
			$data->sub_region_code=$request->sub_region_code;
			$data->customer_type_code=$request->customer_type_code;
			$data->asset_category_code=$request->asset_category_code;
			$data->customer_category_code=$request->customer_category_code;
			$data->vehicle_brand_code=$request->vehicle_brand_code;
			$data->vehicle_type_code=$request->vehicle_type_code;
			$data->salesman_type_code=$request->salesman_type_code;
			$data->uom_code=$request->uom_code;
			$data->category_code=$request->category_code;
			$data->brand_code=$request->brand_code;
			$data->role_code=$request->role_code;
			$data->expense_code=$request->expense_code;
			$data->target_code=$request->target_code;
			$data->location_code= $request->location_code;
			$data->payment_code=$request->payment_code;
			$data->expense_category_code=$request->expense_category_code;
			$data->vehicle_code=$request->vehicle_code;
			$data->supplier_type_code=$request->supplier_type_code;
			$data->invoice_number_code=$request->invoice_number_code;
			$data->route_order_no_code=$request->route_order_no;
			$data->unload_code=$request->unload_code;
			$data->load_code=$request->load_code;
			$data->return_sales_code=$request->return_sales_code;
			$data->company_order_code=$request->company_order_code;
			$data->expense_no=$request->expense_no;
			$data->company_expense_no=$request->company_expense_no;
			$data->delivery_order_no=$request->delivery_order_no;
			$data->company_invoice_no=$request->company_invoice_no;
			$data->company_colletion_number=$request->company_colletion_no;
			$data->outlet_expense_number=$request->outlet_expense_number;
			$data->company_credit_note_number=$request->company_credit_no;
			$data->counter_sales_no=$request->counter_sales_number;
			$data->client_code=$request->client_code;			
			$data->commission_range=$request->commission_range_code;			
			$data->type_code=$request->type_code;			
			$data->reason_code=$request->reason_code;			
			$data->category_codes=$request->category_codes;			
			$data->route_order_delivery=$request->route_order_delivery_no;			
			$data->route_return_delivery=$request->route_return_delivery_no;			
			$data->purchase_order_code=$request->purchase_order_code;			
			$data->grn_code=$request->grn_code;	
			$data->asset_tracking_code=$request->asset_tracking_code;	
			$data->device_code=$request->device_code;
			$data->route_collection_code=$request->route_collection_no;	
			$data->updated_user=Session::get('user_id');
			
			$data->save();
			
		  } 
    
    	  return redirect(route('manage_code'))->with('successMessage','Code Added Successfully');
	  }
	
 }
