<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Carbon\Carbon;
use App\Models\SalesmanTypeModel;
use App\Models\SalesmanInvoiceModel;
use App\Models\ReasonTypeModel;
use App\Models\MaterialMasterModel;
use App\Models\SalesmanUnloadModel;
use App\Models\ManageCodeModel;
use Illuminate\Support\Facades\DB;

class MerchandisingApiController extends Controller
 {   
  public function shelf_display_details()
   {
	 $get_data=DB::table('tbl_shelf_display')
		 ->select(
			 'tbl_shelf_display.id',
			 'tbl_shelf_display.name',
			 'tbl_shelf_display.height',
			 'tbl_shelf_display.width',
			 'tbl_shelf_display.depth',
			 'tbl_shelf_display.capacity',
			 'tbl_shelf_display.region',
			 'tbl_shelf_display.sub_region',
			 'tbl_shelf_display.customer',
			 )
		->where('tbl_shelf_display.status','=','active')
		->get()->all();

		if($get_data) 
			{  
			 return array('Result'=>$get_data, 'API_Status' => 1, 'Message' => "Data Found"); 
		    } 
			else
		   { 
			return array('Result'=>[], 'API_Status' => 0, 'Message' => "Data Not Found"); 
		   }  
   }
   
   
   public function planogram_details()
    {
	   $get_data=DB::table('tbl_planogram')
	       ->select(
					'tbl_planogram.id',
					'tbl_planogram.planogram_name',
					'tbl_planogram.shelf_display_name',
					'tbl_planogram.region',
					'tbl_planogram.sub_region',
					'tbl_planogram.customer',
					'tbl_planogram.planogram_image1',
					'tbl_planogram.planogram_image2',
	               )
	      ->where('tbl_planogram.status','=','active')
	      ->get();
	   if($get_data !='')
	   {
		   return array('Result'=>$get_data, 'Status'=>1, 'Message'=>"Data Found");
	   }
	   else
	   {
		   return array('Result'=>[], 'Status'=>0, 'Message'=>"Data Not Found");
	   }
    }
   
   public function asset_tracking_details()
    {
	  $get_data=DB::table('tbl_asset_tracking')
        ->select(
             'tbl_asset_tracking.id',			 
             'tbl_asset_tracking.asset_code',			 
             'tbl_asset_tracking.asset_name',			 
             'tbl_asset_tracking.asset_type',			 
             'tbl_asset_tracking.asset_barcode',			 
             'tbl_asset_tracking.serial_no',			 
             'tbl_asset_tracking.image',			 
             'tbl_asset_tracking.longitude',			 
             'tbl_asset_tracking.latitude',			 
             'tbl_asset_tracking.valid_from',			 
             'tbl_asset_tracking.valid_to',			 
             'tbl_asset_tracking.region',			 
             'tbl_asset_tracking.sub_region',			 
             'tbl_asset_tracking.route',			 
             'tbl_asset_tracking.customer_category',			 
             'tbl_asset_tracking.customer',
			 )
			 ->where('tbl_asset_tracking.status','=',"active")
			 ->get();
			 
			 if($get_data !='')
			 {
				 return array('Rresult'=>$get_data, 'Status'=>1, 'Message'=>"Data Found");
			 }
			 else
			 {
				 return array('Result'=>[], 'Status'=>0, 'Message'=>"Data Not Found");
			 }
	
	
   }
    
    

}
