<?php

namespace App\Http\Controllers;

use App\Models\PlanogramPostModel; 
use App\Models\SalesmanModel; 
use Illuminate\Http\Request;
use Session;
use Carbon\Carbon;
use Illuminate\Support\Facades\DB;

class PlanogramPostGalleryController extends Controller
{
   
  public function gallerylist(Request $request)
   {
	   
	   $current_date=date("Y-m-d");       
	
       $where="";		 
	   
	   if(count($request->all()) < 1)
	     {
		   $where .= " AND DATE_FORMAT(riheader.created_at, '%Y-%m-%d') between '".$current_date."' and '".$current_date."'"; 
	     }
	   
	   if($request->fromdate!='')
	     {
		    $where .= " AND DATE_FORMAT(riheader.created_at, '%Y-%m-%d') between '".$request->fromdate."' and '".$request->todate."'"; 
	     }
         
       if($request->salesman!='')
         {
            $where .= "AND tbl_salesman.id = '".$request->salesman."'";
         }
         
         $salesman =SalesmanModel::all()->sortByDesc('id')->where('salesman_type_id', '=', '3')->where('status', '=', 'active'); 
		 
	 if($request->fromdate!=''){ 
		  $get_data= DB::select("SELECT riheader.*,tbl_salesman.salesman_name,tbl_salesman.salesman_code,
		  tbl_customer.customer_name,tbl_shelf_display.name,tbl_planogram.planogram_name 
			FROM tbl_planogram_post as riheader
			LEFT JOIN tbl_salesman on riheader.salesman=tbl_salesman.id
			LEFT JOIN tbl_customer on riheader.customer=tbl_customer.id
			LEFT JOIN tbl_shelf_display on riheader.shelf_display=tbl_shelf_display.id
			LEFT JOIN tbl_planogram on riheader.planogram_name=tbl_planogram.id  
			WHERE riheader.id IS NOT NULL ".$where."");  
			
        //dd($get_data);         
		}  
		 
		else{
		  
 	    $get_data=DB::table('tbl_planogram_post')
		->leftJoin('tbl_customer', 'tbl_planogram_post.customer', '=', 'tbl_customer.id')
		->leftJoin('tbl_shelf_display', 'tbl_planogram_post.shelf_display', '=', 'tbl_shelf_display.id')
		->leftJoin('tbl_salesman', 'tbl_planogram_post.salesman', '=', 'tbl_salesman.id')
		
		->leftJoin('tbl_planogram', 'tbl_planogram_post.planogram_name', '=', 'tbl_planogram.id')
		
	     ->select('tbl_planogram_post.id','tbl_planogram_post.before_image','tbl_planogram_post.after_image','tbl_customer.customer_name','tbl_shelf_display.name','tbl_salesman.salesman_name','tbl_planogram.planogram_name')
	    ->get()->all(); 
		 }        
	  
	    $final_array=array(); 
	    foreach($get_data as $key=> $data)  
		 {  
			$final_array[$key]['before_image']=$data->before_image;
			$final_array[$key]['after_image']=$data->after_image;
			$final_array[$key]['id']=$data->id;
			$final_array[$key]['customer']=$data->customer_name;
			$final_array[$key]['shelf_display']=$data->name;
			$final_array[$key]['salesman']=$data->salesman_name;
			$final_array[$key]['planogram']=$data->planogram_name;
	     }
		 
	   return view('Merchandising.planogram_gallery_list',compact('salesman','final_array','get_data'));  
   }
   
}