<?php

namespace App\Http\Controllers;
use App\Models\QuestionsModel;
use App\Models\SurveysModel;
use Illuminate\Support\Facades\DB;
use Session;
use Carbon\Carbon;
use Illuminate\Http\Request;

class QuestionsController extends Controller
 {
   public function list($id)
    {	
		$get_data = DB::table('tbl_questions')            
		->select('tbl_questions.*')
		->where('tbl_questions.survey_id', '=', $id) 
		->where('tbl_questions.question_delete', '=', '0')
		->get();   	
		return view('Merchandising.questions_list',compact('get_data'));
    }
	
   public function add()
    { 	
	   $get_data = DB::table('tbl_questions')
		->leftJoin('tbl_surveys', 'tbl_questions.survey_id', '=', 'tbl_surveys.id')
		->select('tbl_questions.*')
		->get();
	
		return view('Merchandising.questions',compact('get_data'));
	
    }
	
   public function save(Request $request)
    {
		
		$field_name=array();
		$data=new QuestionsModel;
		
		foreach($request['field_name'] as $key => $n)
		  { 
			$field_name[$key] = $request->field_name[$key ];
		  }
			
			$data->question=$request->question;
			$data->question_type=$request->questions_type;
			$data->question_type_select_based=implode(",",$field_name);
			$data->survey_id=$request->survey_id;
			
			$data->save();
			$save=$data->survey_id;
			return redirect('/questions_list/'.$save)->with('successMessage','Question Added Successfully');
		
      }
	
	 public function edit($id,$survey_id)
      {
		  $get_data1=QuestionsModel::find($id);
		  //dd($get_data1);
		
		  if($get_data1) 
			{
				$get_data1->question_delete = '1';
				$get_data1->save();
			}
				$get_data = DB::table('tbl_questions')            
				->select('tbl_questions.*')
				->where('tbl_questions.survey_id', '=', $survey_id)
				->where('tbl_questions.question_delete', '=', '0')
				->get();
				//dd($get_data);
				return view('Merchandising.questions_list',compact('get_data'))->with('successMessage','Question Updated Successfully');
	   }
 }
