<?php

namespace App\Http\Controllers;
 
use Illuminate\Http\Request;
use App\Models\RegionTypeModel;
use App\Models\SubRegionTypeModel;
use App\Models\WarehouseModel;
use App\Models\RouteModel;
use App\Models\SalesmanModel;
use Maatwebsite\Excel\Facades\Excel;
use App\Exports\RoutePerformanceExport;
use Illuminate\Support\Facades\DB;
use App\Models\MaterialMasterModel;
use Session;
class RoutePerformanceController extends Controller
 {
   public function get_route_performance()
	{		
		
		$region =RegionTypeModel::all()->sortByDesc('id')->where('status', '=', 'active');
		foreach($region as $key=> $reg){

            $all_region[$key] = $reg->id; 
		 
	   }
     
      $regId=implode(",",$all_region);
		$subregion =SubRegionTypeModel::all()->sortByDesc('id')->where('status', '=', 'active');
	    return view('Report.route_performance_list',compact('regId','region','subregion'));
         		
	}
	
   public function get_subregion_data($id)
	{
		
	$data = explode(',',$id);
		

		$sub_region =SubRegionTypeModel::all()->sortByDesc('id')->whereIn('region_id',$data)->where('status', '=', 'active');
		 //dd($sub_region);
		if(count($sub_region)>0){
			foreach($sub_region as $subreg){
				
				$all_subregion[] = $subreg->id;
			}
			$subregId=implode(",",$all_subregion);
		}else{

			$subregId = 0;
		}

		?>
		<option  value="">     </option>
		<?php if(count($sub_region) > 0){ ?>
			<option  value="0" data-value="<?php echo $subregId ?>">Select All</option>
		<?php } 
		foreach($sub_region as $sub_region_name)
		  {
			?>
			  <option value="<?php echo $sub_region_name->id ?>"  ><?php echo $sub_region_name->sub_region_code.' - '.$sub_region_name->sub_region_name  ?></option>	
		    <?php  	   	
		  }
	 }	
   public function route_performance(Request $request)
	{
		
	  $region =RegionTypeModel::all()->sortByDesc('id')->where('status', '=', 'active');
	  if($request->region=='')
		{
	      if($request->month=='0')
			{ 
			  $get_data1 = DB::table('tbl_route_invoice_header')
				->leftJoin('tbl_route', 'tbl_route_invoice_header.route_id', '=', 'tbl_route.id')
				->leftJoin('tbl_warehouse', 'tbl_route_invoice_header.warehouse_id', '=', 'tbl_warehouse.id')
				->leftJoin('tbl_route_invoice_details', 'tbl_route_invoice_header.id', '=', 'tbl_route_invoice_details.header_id')
		        ->select(DB::raw('sum(tbl_route_invoice_header.total_invoice_value) as total_invoice'),DB::raw('sum(tbl_route_invoice_details.quantity) as qty'),'tbl_route.route_name as route_name','tbl_warehouse.warehouse_code','tbl_warehouse.warehouse_name','tbl_route_invoice_header.route_id')
				->orderBy(DB::raw('sum(tbl_route_invoice_header.total_invoice_value)'),'desc')
				->groupBy('tbl_route_invoice_header.route_id','tbl_route_invoice_header.warehouse_id') 
				->whereYear('tbl_route_invoice_header.created_at', $request->year)
				->get();
				  
			  
                // for chart
				 $get_data_chart = DB::table('tbl_route_invoice_header')
				 ->leftJoin('tbl_route', 'tbl_route_invoice_header.route_id', '=', 'tbl_route.id')
				 ->select('tbl_route.route_name as label',DB::raw('sum(tbl_route_invoice_header.total_invoice_value) as y'))
				 ->groupBy('label') 
				 ->limit(10)
				 ->whereYear('tbl_route_invoice_header.created_at', $request-> year)
				 ->get()->all();
				 
				 Session::put('year', $request->year);
				 Session::put('month', $request->month);
				 Session::put('get_data1', $get_data1);
				 Session::put('get_data_chart', $get_data_chart);
			} 
          else
		    {				
		       $get_data1 = DB::table('tbl_route_invoice_header')
			   ->leftJoin('tbl_route', 'tbl_route_invoice_header.route_id', '=', 'tbl_route.id')
			   ->leftJoin('tbl_warehouse', 'tbl_route_invoice_header.warehouse_id', '=', 'tbl_warehouse.id')
			   ->leftJoin('tbl_route_invoice_details', 'tbl_route_invoice_header.id', '=', 'tbl_route_invoice_details.header_id')
	           ->select(DB::raw('sum(tbl_route_invoice_header.total_invoice_value) as  total_invoice'),DB::raw('sum(tbl_route_invoice_details.quantity) as qty'),'tbl_route.route_name as route_name','tbl_warehouse.warehouse_code','tbl_warehouse.warehouse_name','tbl_route_invoice_header.route_id')
			   ->orderBy(DB::raw('sum(tbl_route_invoice_header.total_invoice_value)'),'desc')
			   ->groupBy('tbl_route_invoice_header.route_id','tbl_route_invoice_header.warehouse_id') 
			   ->whereYear('tbl_route_invoice_header.created_at', $request-> year)
			   ->whereMonth('tbl_route_invoice_header.created_at', $request-> month)
			   ->get();
			 
			   
			   //for chart
			   $get_data_chart = DB::table('tbl_route_invoice_header')
			   ->leftJoin('tbl_route', 'tbl_route_invoice_header.route_id', '=', 'tbl_route.id')
			   ->select('tbl_route.route_name as label',DB::raw('sum(tbl_route_invoice_header.total_invoice_value) as y'))
			   ->groupBy('label') 
			   ->limit(10)
			   ->whereYear('tbl_route_invoice_header.created_at', $request-> year)
			   ->whereMonth('tbl_route_invoice_header.created_at', $request-> month)
			   ->get()->all();
			  // dd($request->region);
			   Session::put('year', $request->year);
			   Session::put('month', $request->month);
			   Session::put('region', $request->region);
			   Session::put('sub_region', $request->sub_region);
			   Session::put('get_data1', $get_data1);
			   Session::put('get_data_chart', $get_data_chart);
			 
		    }   
			 
		}
	 else{  
		 if($request->sub_region!='s')
		    {
			  if($request->sub_region!=0)
				{
				  $agent_name     = array(); 
				  $agent_id     = array(); 
				  $get_data1 = DB::table('tbl_sub_region')
				  ->select('tbl_sub_region.sub_region_code','tbl_sub_region.sub_region_name','tbl_sub_region.id')
				  ->where('tbl_sub_region.status','=','active')
				  ->where('tbl_sub_region.id','=',$request->sub_region)->get();
				  foreach($get_data1 as $key=> $sub_region)
					{
					  $agent_id[]=$sub_region->id;
					}
					
				}
			  else  
				{
				  $agent_name     = array(); 
				  $agent_id     = array(); 
				  $get_data1 = DB::table('tbl_sub_region')
				  ->select('tbl_sub_region.sub_region_code','tbl_sub_region.sub_region_name','tbl_sub_region.id')
				  ->where('tbl_sub_region.status','=','active')
				  ->get();
				  foreach($get_data1 as $key=> $sub_region)
					{
					 $agent_id[]=$sub_region->id;
					}
				}
			  if($request->month==0)
				{
					$get_data1 = DB::table('tbl_route_invoice_header')
					->leftJoin('tbl_route', 'tbl_route_invoice_header.route_id', '=', 'tbl_route.id')
					->leftJoin('tbl_warehouse', 'tbl_route_invoice_header.warehouse_id', '=', 'tbl_warehouse.id')
					->leftJoin('tbl_route_invoice_details', 'tbl_route_invoice_header.id', '=', 'tbl_route_invoice_details.header_id')
					->select(DB::raw('sum(tbl_route_invoice_header.total_invoice_value) as total_invoice'),DB::raw('sum(tbl_route_invoice_details.quantity) as qty'),'tbl_route.route_name as route_name','tbl_warehouse.warehouse_code','tbl_warehouse.warehouse_name','tbl_route_invoice_header.route_id')
					->orderBy(DB::raw('sum(tbl_route_invoice_header.total_invoice_value)'),'desc')
					->groupBy('tbl_route_invoice_header.route_id','tbl_route_invoice_header.warehouse_id') 
					->whereYear('tbl_route_invoice_header.created_at',$request-> year)
					->whereIn('tbl_route_invoice_header.subregion_id',$agent_id)
					->get();
					   
					//dd($get_data1);
					// for chart
					 $get_data_chart = DB::table('tbl_route_invoice_header')
					->leftJoin('tbl_route', 'tbl_route_invoice_header.route_id', '=', 'tbl_route.id')
					->select('tbl_route.route_name as label',DB::raw('sum(tbl_route_invoice_header.total_invoice_value) as y'))
					 ->groupBy('label') 
					->limit(10)
					->whereYear('tbl_route_invoice_header.created_at', $request->year)
					->whereIn('tbl_route_invoice_header.subregion_id', $agent_id)
					->get()->all();
			     
				}
			 else 
				{
					$get_data1 = DB::table('tbl_route_invoice_header')
					->leftJoin('tbl_route', 'tbl_route_invoice_header.route_id', '=', 'tbl_route.id')
					->leftJoin('tbl_warehouse', 'tbl_route_invoice_header.warehouse_id', '=', 'tbl_warehouse.id')
					->leftJoin('tbl_route_invoice_details', 'tbl_route_invoice_header.id', '=', 'tbl_route_invoice_details.header_id')
			        ->select(DB::raw('sum(tbl_route_invoice_header.total_invoice_value) as total_invoice'),DB::raw('sum(tbl_route_invoice_details.quantity) as qty'),'tbl_route.route_name as route_name','tbl_warehouse.warehouse_code','tbl_warehouse.warehouse_name','tbl_route_invoice_header.route_id')
					->orderBy(DB::raw('sum(tbl_route_invoice_header.total_invoice_value)'),'desc')
					->groupBy('tbl_route_invoice_header.route_id','tbl_route_invoice_header.warehouse_id') 
					->whereYear('tbl_route_invoice_header.created_at', $request->year)
					->whereMonth('tbl_route_invoice_header.created_at', $request->month)
					->whereIn('tbl_route_invoice_header.subregion_id', $agent_id)
					->get();
					  
										 
					//dd($get_data1);
					// for chart
					 $get_data_chart = DB::table('tbl_route_invoice_header')
					->leftJoin('tbl_route', 'tbl_route_invoice_header.route_id', '=', 'tbl_route.id')
					->select('tbl_route.route_name as label',DB::raw('sum(tbl_route_invoice_header.total_invoice_value) as y'))
					->groupBy('label') 
					->limit(10)
					->whereYear('tbl_route_invoice_header.created_at', $request->year)
					->whereMonth('tbl_route_invoice_header.created_at',  $request->month)
					->whereIn('tbl_route_invoice_header.subregion_id',$agent_id)
					->get()->all();
					
				}
				  Session::put('year', $request->year);
				  Session::put('month', $request->month);
				  Session::put('region', $request->region);
				  Session::put('sub_region', $request->sub_region);
				  Session::put('get_data1', $get_data1);
				  Session::put('get_data_chart', $get_data_chart); 
                     
			}
		else{
			 if($request->region !='s')
			    {
                  if($request->region!=0)
				    {
					  $agent_name     = array(); 
					  $agent_id     = array(); 
					  $get_data1 = DB::table('tbl_region')
					  ->select('tbl_region.region_code','tbl_region.region_name','tbl_region.id')
					  ->where('tbl_region.status','=','active')
					  ->where('tbl_region.id','=',$request->region)->get();
					  foreach($get_data1 as $key=>$region)
						{
						  $agent_id[]=$region->id;
					    }
					}
				  else  
					{
					  $agent_name     = array(); 
					  $agent_id     = array(); 
					  $get_data1 = DB::table('tbl_region')
					  ->select('tbl_region.region_code','tbl_region.region_name','tbl_region.id')
					  ->where('tbl_region.status','=','active')
					  ->get();
					  foreach($get_data1 as $key=> $region)
						{
						 $agent_id[]=$region->id;
						}
				    }
                   if($request->month==0)
				    {					
					   $get_data1 = DB::table('tbl_route_invoice_header')
						->leftJoin('tbl_route', 'tbl_route_invoice_header.route_id', '=', 'tbl_route.id')
						->leftJoin('tbl_warehouse', 'tbl_route_invoice_header.warehouse_id', '=', 'tbl_warehouse.id')
						->leftJoin('tbl_route_invoice_details', 'tbl_route_invoice_header.id', '=', 'tbl_route_invoice_details.header_id')
						->select(DB::raw('sum(tbl_route_invoice_header.total_invoice_value) as total_invoice'),DB::raw('sum(tbl_route_invoice_details.quantity) as qty'),'tbl_route.route_name as route_name','tbl_warehouse.warehouse_code','tbl_warehouse.warehouse_name','tbl_route_invoice_header.route_id')
						->orderBy(DB::raw('sum(tbl_route_invoice_header.total_invoice_value)'),'desc')
						->groupBy('tbl_route_invoice_header.route_id','tbl_route_invoice_header.warehouse_id') 
						->whereYear('tbl_route_invoice_header.created_at', $request->year)
						->whereIn('tbl_route_invoice_header.region_id', $agent_id)
						->get()->all();
							 
						//dd($get_data1);
						// for chart
						$get_data_chart = DB::table('tbl_route_invoice_header')
					     ->leftJoin('tbl_route', 'tbl_route_invoice_header.route_id', '=', 'tbl_route.id')
						 ->select('tbl_route.route_name as label',DB::raw('sum(tbl_route_invoice_header.total_invoice_value) as y'))
						 ->groupBy('label') 
						 ->limit(10)
						 ->whereYear('tbl_route_invoice_header.created_at', $request->year)
						 ->whereIn('tbl_route_invoice_header.region_id', $agent_id)
						 ->get()->all();	
						   
                           
					}
				  else
					{
						  
					 $get_data1 = DB::table('tbl_route_invoice_header')
					   ->leftJoin('tbl_route', 'tbl_route_invoice_header.route_id', '=', 'tbl_route.id')
						->leftJoin('tbl_warehouse', 'tbl_route_invoice_header.warehouse_id', '=', 'tbl_warehouse.id')
						->leftJoin('tbl_route_invoice_details', 'tbl_route_invoice_header.id', '=', 'tbl_route_invoice_details.header_id')
				        ->select(DB::raw('sum(tbl_route_invoice_header.total_invoice_value) as total_invoice'),DB::raw('sum(tbl_route_invoice_details.quantity) as qty'),'tbl_route.route_name as route_name','tbl_warehouse.warehouse_code','tbl_warehouse.warehouse_name','tbl_route_invoice_header.route_id')
						->orderBy(DB::raw('sum(tbl_route_invoice_header.total_invoice_value)'),'desc')
						->groupBy('tbl_route_invoice_header.route_id','tbl_route_invoice_header.warehouse_id') 
						->whereYear('tbl_route_invoice_header.created_at',  $request->year)
						->whereMonth('tbl_route_invoice_header.created_at',  $request->month)
						->whereIn('tbl_route_invoice_header.region_id', $agent_id)
						->get()->all();
						 
						//dd($get_data1);
						// for chart 
						 $get_data_chart = DB::table('tbl_route_invoice_header')
						
						->leftJoin('tbl_route', 'tbl_route_invoice_header.route_id', '=', 'tbl_route.id')
						
						->select('tbl_route.route_name as label',DB::raw('sum(tbl_route_invoice_header.total_invoice_value) as y'))
						
						->groupBy('label') 
						->limit(10)
						->whereYear('tbl_route_invoice_header.created_at',  $request->year)
						->whereMonth('tbl_route_invoice_header.created_at',  $request->month)
					    ->whereIn('tbl_route_invoice_header.region_id', $agent_id)
						->get()->all();
						 
					    
				    }
					Session::put('year', $request->year);
		            Session::put('month', $request->month);
		            Session::put('region', $request->region);
		            Session::put('get_data1', $get_data1);
					Session::put('get_data_chart', $get_data_chart);
			    }
	        }          
				 //return redirect('Report.route_performance_list/');
		   
        }
	}	
    public function route_performance_report_export($year,$month,$region,$subregion)
	 { 	
	     
	   return Excel::download(new RoutePerformanceExport($year,$month,$region,$subregion), 'Route_performance_report.xlsx');		 
	 }
		
    public function route_performance_report_exportpdf($year,$month,$region,$subregion)
	 { 	
	   
	   return Excel::download(new RoutePerformanceExport($year,$month,$region,$subregion), 'Route_performance_report.pdf');		 
	 }
		
	public function get_route_month_sales($route_id,$year,$month,$region1,$sub_region)
	 { 
	    //echo $route_id.','.$year.','.$month.','.$region1.','.$sub_region;
		 //exit;
		
		$days = cal_days_in_month(0,$month,$year);
				
		$month_name='';
		if($month==0){$month_name='All';}
		if($month==1){$month_name='January';}
		if($month==2){$month_name='February';}
		if($month==3){$month_name='March';}
		if($month==4){$month_name='April';}
		if($month==5){$month_name='May';}
		if($month==6){$month_name='June';}
		if($month==7){$month_name='July';}
		if($month==8){$month_name='August';}
		if($month==9){$month_name='September';}
		if($month==10){$month_name='Octobber';}
		if($month==11){$month_name='November';}
		if($month==12){$month_name='December';}
         	        
        if($region1=='0')
           	$region1='s';
        if($sub_region=='0')
            $sub_region='s';			  
	     //when region sub region are null
		if($region1=='s' && $sub_region=='s' )
		 {
			  
		  ?>
		    <table style="width: 100%;" id="example" class="table table-hover table-striped table-bordered">
		     <thead> 	
			   <tr>
				<th class="text-justify text-center">Date</th>
				<th class="text-justify text-center">Total Sales In Month</th>
				<th class="text-justify text-center">Total Qty In Month</th>
			   </tr>
			 </thead>
			  <tbody>
	           <?php
		         $j=0;
				  for($i=1;  $i<=$days; $i++)
				    {
                     $get_data1 = DB::select("SELECT sum(h.total_invoice_value) as total_invoice, 
					 sum(d.quantity) as qty FROM `tbl_route_invoice_header` as h 
				     left join tbl_route_invoice_details as d on h.id = d.header_id 
							
				     WHERE EXTRACT(DAY FROM h.created_at)=".$i."
					 AND h.route_id=".$route_id."
					 group by h.created_at");
			        $counte=count($get_data1);
                   if($counte>0)
				     {								 
				      ?>
			           <tr>
						 <td class="font-weight-bold text-justify text-left"><?php  echo $i.' '.$month_name.'  '.$year; ?></td>
								   
						 <td class="font-weight-bold text-justify text-left"><?php  echo $get_data1[0]->total_invoice;   ?></td>
									
						 <td class="font-weight-bold text-justify text-left"><?php  echo $get_data1[0]->qty;	   ?></td>
					  </tr>
			         <?php
		 	        }
				   $j++;
			     }
			    ?>
			   </tbody>
			</table>
                <?php		
		  }
          else
           {
		    //when both region and subregion are not null
             if($region1!='s' && $sub_region!='s')
		       {
			    ?>
				  <table style="width: 100%;" id="example" class="table table-hover table-striped table-bordered">
			       <thead> 	
						  <tr>
						      <th class="text-justify text-center">Date</th>
							  <th class="text-justify text-center">Total Sales In Month</th>
							  <th class="text-justify text-center">Total Qty In Month</th>
								  
							 </tr>
						   </thead>
						  <tbody>
				      <?php
					  $j=0;
				    for($i=1;  $i<=$days; $i++)
				        {
						  $get_data1 = DB::select("SELECT sum(h.total_invoice_value) as total_invoice, 
						 sum(d.quantity) as qty FROM `tbl_route_invoice_header` as h 
						  left join tbl_route_invoice_details as d on h.id = d.header_id 
									
						  WHERE EXTRACT(DAY FROM h.created_at)=".$i."
						  AND h.route_id=".$route_id."
						  AND h.region=".$region1."
						  AND h.subregion=".$sub_region."
						  group by h.created_at");
						  //print_r($get_data1);	
						  $counte=count($get_data1);
						  if($counte>0)
						  {
						   ?>
						   <tr>
							 <td class="font-weight-bold text-justify text-left"><?php  echo $i.' '.$month_name.'  '.$year; ?></td>
								   
								   <td class="font-weight-bold text-justify text-left"><?php  echo $get_data1[0]->total_invoice;   ?></td>
									
									<td class="font-weight-bold text-justify text-left"><?php  echo $get_data1[0]->qty;	   ?></td>
							</tr>
				           <?php
						  }
						  $j++;
						}
						?>
					  </tbody>
					</table>
					<?php		
				   
			       }
			     else
				   {
					 //when only subregion is null
					 if($region1!='s')
						{
							   ?>
							 <table style="width: 100%;" id="example" class="table table-hover table-striped table-bordered">
						   
									   
									   <thead> 	
									   
										 <tr>
											 <th class="text-justify text-center">Date</th>
											  
											 <th class="text-justify text-center">Total Sales In Month</th>
											 
											  <th class="text-justify text-center">Total Qty In Month</th>
											  
										 </tr>
									   </thead>
										<tbody>
								  <?php
									$j=0;
									 for($i=1;  $i<=$days; $i++)
										{

	                       $get_data1 = DB::select("SELECTsum(h.total_invoice_value) as total_invoice, 
							sum(d.quantity) as qty FROM `tbl_route_invoice_header` as h 
							left join tbl_route_invoice_details as d on h.id = d.header_id 
							
							WHERE EXTRACT(DAY FROM h.created_at)=".$i."
							AND h.route_id=".$route_id."
							AND h.region=".$region1."
							group by h.created_at");
                            //print_r($get_data1);	
                            $counte=count($get_data1);						 
												  ?>
												  
												<tr>
												 
												   <td class="font-weight-bold text-justify text-left"><?php  echo $i.' '.$month_name.'  '.$year; ?></td>
												   
												   <td class="font-weight-bold text-justify text-left"><?php  if($counte>0){echo $get_data1[0]->total_invoice;}
													else{ echo '0';}										   ?></td>
													
													<td class="font-weight-bold text-justify text-left"><?php  if($counte>0){echo $get_data1[0]->qty;}
													else{ echo '0';}										   ?></td>
													 
													 
													 
												 </tr>
											  <?php
											  $j++;
									        }
										?>
									  </tbody>
									</table>
									<?php		

					       }

                         else
						   { 
					          ?>
							   <table style="width: 100%;" id="example" class="table table-hover table-striped table-bordered">
							   <thead> 	
								<tr>
							   <th class="text-justify text-center"><?php	echo"No data found"	?>	</th>
							   </tr>
							   </thead>
							  </table>
							  <?php
						   }
				   }
           }			   
	 }
	 
		
	public function get_route_name_month_sale($id)
	 {
		$get_data1 = DB::table('tbl_route')
				
			->select('tbl_route.route_name','tbl_route.route_code')
			->where('tbl_route.id','=',$id)->get()->first();
			echo $get_data1->route_name.' - '.$get_data1->route_code;
     }
 }
