<?php

namespace App\Http\Controllers;
use Illuminate\Http\Request;
use App\Models\SalesmanTypeModel;
use Session;
use App\Models\ManageCodeModel;

class SalesmanTypeController extends Controller
 {
   public function list()
	{
		$get_data = SalesmanTypeModel::all()->sortByDesc('id');
		
		return view('Parameters_Configuration.salesman_type_list',compact('get_data'));
	}
	
   public function add()
	{ 
		$result =SalesmanTypeModel::get()->sortByDesc('id')->first();
		if($result=='')
		  {
			$getcode = ManageCodeModel::where('id', 1)->first();
			$last_code = $getcode->salesman_type_code;
		  }
		else
		  {
			$getcode = $result->salesman_type_code; 
			$last_code = ++$getcode; 
		  } 
	    return view('Parameters_Configuration.salesman_type',compact('last_code'));
	}

   public function edit($id)
	{
		$get_data=SalesmanTypeModel::find($id);
		$last_code = $get_data->salesman_type_code;
		return view('Parameters_Configuration.salesman_type',compact('get_data','last_code'));
	}

   public function save(Request $request)
	{
		$data=new SalesmanTypeModel;

		if($request->updated_id) 
		  {
			$data = SalesmanTypeModel::find($request->updated_id);
			$data->salesman_type_code=$request->salesman_type_code;
			$data->salesman_type_name=$request->saleman_type_name;
			$data->updated_user= Session::get('user_id');
			$data->status=$request->status;
			$data->save();
			return redirect(route('salesman_type_list'))->with('successMessage','Salesmsn Type Updated Successfully');
	
		  } else
  			  {
			
				$data->salesman_type_code=$request->salesman_type_code;
				$data->salesman_type_name=$request->saleman_type_name;
				$data->created_user= Session::get('user_id');
				$data->status=$request->status;
				$data->save();
				return redirect(route('salesman_type_list'))->with('successMessage','Salesmsn Type Added Successfully');
		
			  }	
    }
 }
