<?php

namespace App\Http\Controllers;
use Illuminate\Http\Request;
use App\Models\TaxModel;
use App\Models\ManageCodeModel;
use Session;

class TaxationController extends Controller
 {
   public function list()
	{
		$get_data = TaxModel::all()->sortByDesc('id');
		
		return view('Master_Configuration.taxation_list',compact('get_data'));
	}

   public function add()
	{ 
		$result =TaxModel::get()->sortByDesc('id')->first();
		if($result=='')
		  {
			$getcode = ManageCodeModel::where('id', 1)->first();
			$last_code = $getcode->tax_code;
			
		  }
		else
		  {
			 $getcode = $result->tax_code; 
			 $last_code = ++$getcode;
		  }
		return view('Master_Configuration.taxation',compact('last_code'));
	 }
	
    public function edit($id)
	 {
		$get_data=TaxModel::find($id);
		$last_code = $get_data->tax_code;
		
		return view('Master_Configuration.taxation',compact('get_data','last_code'));
	 }
	public function view($id)
	 {
		$get_data=TaxModel::find($id);
		//dd($get_data);
		//$last_code = $get_data->tax_code;
		
		return view('Master_Configuration.taxation_view',compact('get_data'));
	 }

	public function save(Request $request)
     {	
		$data=new TaxModel;			
		if($request->updated_id) 
		  {
				$data =TaxModel::find($request->updated_id);
				$data->tax_code=$request->tax_code;
				$data->tax_name=$request->tax_name;
				$data->tax_percentage=$request->tax_percentage;
				$data->tax_amount=$request->tax_amount;
				$data->updated_user= Session::get('user_id');
				$data->company_id=   Session::get('company_id');
				$data->status=$request->status;
				$data->save();
				return redirect(route('taxation_list'))->with('successMessage','Tax Updated Successfully');
		
		  } else 
		      {			
				$data->tax_code=$request->tax_code;
				$data->tax_name=$request->tax_name;
				$data->tax_percentage=$request->tax_percentage;
				$data->tax_amount=$request->tax_amount;
				$data->created_user= Session::get('user_id');
				$data->company_id= Session::get('company_id');
				$data->status=$request->status;
				$data->save();

				return redirect(route('taxation_list'))->with('successMessage','Tax Added Successfully');
			  }	
    	
     }
    
 }
  

