<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

use App\Models\TypeModel;
use App\Models\ManageCodeModel;
use Session;
use Illuminate\Support\Facades\DB;

class TypeController extends Controller
 {
   public function list()
    {
	  
	    //$get_data = TypeModel::all()->sortByDesc('id');
		$get_data = DB::table('tbl_type')
		//->leftJoin('tbl_country', 'tbl_city.Country_id', '=', 'tbl_country.id')
		->orderBy('id', 'DESC')
	    ->select('tbl_type.*')
		->get();    
		return view('System_Configuration.type_list',compact('get_data'));
		
    }
	
   public function add()
    { 	
		$result =TypeModel::get()->sortByDesc('id')->first();
		if($result=='')
		  {
			$getcode = ManageCodeModel::where('id', 1)->first();
			$last_code = $getcode->type_code;
			
		  }
		else
		  {
			 $getcode = $result->type_code; 
			 $last_code = ++$getcode;
		 }
			return view('System_Configuration.type',compact('last_code'));
			//dd(add);
     }  
	
    public function edit($id)
     {
	    // dd($id);
		$get_data=TypeModel::find($id);
		//$country= CountryTypeModel::all()->sortByDesc('id')->where('status', '=', 'active');
		 $last_code = $get_data->type_code;
 
	    return view('System_Configuration.type',compact('get_data','last_code'));
		
     }
	
    public function save(Request $request)
     {	
				
	   $data=new TypeModel;
  
	   if($request->updated_id)
		 {			
			$data = TypeModel::find($request->updated_id);
			$data->type_code=$request->type_code;
			$data->material_code=$request->material_code;
			$data->type=$request->type;
			$data->updated_user= Session::get('user_id');
			$data->status=$request->status;
			$data->save();

			return redirect(route('type_list'))->with('successMessage','Material Type Updated Successfully');
 
		 } else{ 			
				$data->type_code=$request->type_code;
				$data->material_code=$request->material_code;
				$data->type=$request->type;
				$data->created_user= Session::get('user_id');
				$data->status=$request->status;
				$data->save();

				return redirect(route('type_list'))->with('successMessage','Material Type Added Successfully');
			 
		      }	
    	 
     }
	 
 }


