<?php

namespace App\Http\Controllers;

use App\Models\RouteModel;
use App\Models\SalesAreaModel;
use App\Models\CustomerVisitPlanModel;
use App\Models\UserRoleModel;
use App\Models\SubMenuModel;
use App\Models\UserPermissionModel;
use App\Models\MenuModel;
use Carbon\Carbon;
use Session;
use Illuminate\Support\Facades\DB;

use Illuminate\Http\Request;

class UserPermissionController extends Controller
 {
    
  public function add(Request $request)
   {	
		 
     $user_role = UserRoleModel::all()->sortByDesc('id');
	 $menu = MenuModel::all()->where('status', '=','active');	;
				
	 return view('User & Role Configuration.user_permission',compact('user_role','menu'));
   }
		
  public function get_submenu($id1,$role)
   {
           
	  $get_data = DB::select("SELECT riheader.*,user_p.allow_view,user_p.allow_edit,user_p.allow_create,user_p.user_role
		
				FROM  tbl_sub_menu as riheader
				LEFT JOIN (SELECT * FROM tbl_user_permission WHERE user_role=".$role.") as user_p on riheader.id=user_p.sub_menu_id
				WHERE riheader.menu_id =".$id1." AND riheader.visible_menu='1' ");
	  //dd($get_data);
			/*
      $get_data = DB::table('tbl_sub_menu')
				->leftJoin('tbl_user_permission', 'tbl_sub_menu.id', '=', 'tbl_user_permission.sub_menu_id')
					
				->select('tbl_sub_menu.*', 'tbl_user_permission.allow_view', 'tbl_user_permission.allow_edit', 'tbl_user_permission.allow_create','tbl_user_permission.user_role')
				->where('tbl_sub_menu.menu_id', '=', $id1)
					
				->where('tbl_sub_menu.visible_menu', '=','1')->get();			
			    dd($get_data);
			    */
		
        ?>
		  
		 <table style="width: 100%;"  class="table table-hover table-striped table-bordered"> 
          <thead>
         
		   <tr>
            <th class="text-justify text-center">All   <input  class="applyAllrow<?php echo $id1; ?>" value="1" type="checkbox" name="" id="applyAllrow" autocomplete="off" onclick="allchecked1(<?php echo $id1; ?>)"></th>
			<th class="text-justify text-center">Sub Menu</th>
            <th class="text-justify text-center">View</th>
            <th class="text-justify text-center">Edit</th>
            <th class="text-justify text-center">Create</th>
       
           </tr>
          </thead>		   
			<tbody>
			<?php
			foreach($get_data as $key=>  $submenu_name)
			  {
				   ?>
				  <tr>
					 <td>
					     <input name="parent_menu[]"  value="<?php echo $id1; ?>" type="hidden" id="parent_menu" autocomplete="off" ">
						 
						 <input <?php  if($submenu_name->allow_view=='1' && $submenu_name->allow_edit=='1' &&$submenu_name->allow_create=='1' && $submenu_name->user_role==$role){echo "checked";} ?> class="Allrow<?php echo $submenu_name->id; ?> rowchecked1<?php echo $id1; ?>" value="1" type="checkbox" name="view[<?php echo $submenu_name->id; ?>]" id="allrow<?php echo $key; ?>" autocomplete="off" onclick="checked1(<?php echo $submenu_name->id.','.$key; ?>)">
						
						 <input name="submenu_id1[]" class="Allrow<?php echo $submenu_name->id; ?>" value="<?php echo $submenu_name->id; ?>" type="hidden" id="allrow<?php echo $key; ?>" autocomplete="off">
					 </td>
					 <td class="font-weight-bold text-justify text-left"><?php echo $submenu_name->sub_menu_name; ?></td>
					 <td>
						<input <?php  if($submenu_name->allow_view=='1' && $submenu_name->user_role==$role){echo "checked";} ?> class="rowchecked<?php  echo $key.'s'.$submenu_name->id; ?>  rowchecked1<?php echo $id1; ?>" value="1" type="checkbox" name="view[<?php echo $submenu_name->id; ?>]" id="view<?php echo $key; ?>" autocomplete="off">
					 </td>
					 
					 <td>
						<input <?php  if($submenu_name->allow_edit=='1' && $submenu_name->user_role==$role){echo "checked";} ?> class="rowchecked<?php echo $key.'s'.$submenu_name->id; ?>  rowchecked1<?php echo $id1; ?>" value="1" type="checkbox" name="edit[<?php echo $submenu_name->id; ?>]" id="edit<?php echo $key; ?>" autocomplete="off">
					 </td>
					 <td>
					 
						<input <?php  if($submenu_name->allow_create=='1' && $submenu_name->user_role==$role){echo "checked";} ?> class="rowchecked<?php  echo $key.'s'.$submenu_name->id; ?> rowchecked1<?php echo $id1; ?>" value="1" type="checkbox" name="create[<?php echo $submenu_name->id; ?>]" id="create<?php echo $key; ?>" autocomplete="off">
					 </td>
					 
				  </tr>
					 <?php
					
			  }
				?>
			</tbody>
		    </table>	
            <?php			
	 }
		
    public function save(Request $request)
	 { 
		  
		 $data=new UserPermissionModel;
		 $get_data_role=UserPermissionModel::all()->sortByDesc('id')->where('user_role', '=', $request->role);
		 if($get_data_role!='')   
			{
			   UserPermissionModel::where('user_role', '=', $request->role)->delete();
				 
			}
			
		 foreach($request->submenu_id1 as $key => $n)
		   {
				$flag='h';
				$flag1='j';
			    $insert_data=array();
						  
			    $insert_data['user_role'] = $request->role;
			    $insert_data['parent_menu_id'] = $request->parent_menu[$key ];
			    $insert_data['sub_menu_id'] = $request->submenu_id1[$key ];
				 if(isset($request->view))
				   { 
					   if(array_key_exists($request->submenu_id1[$key], $request->view)) 
						 {
						   $insert_data['allow_view'] =1; 
						   $flag1='h';
						 }
			 }
		 
			 if(isset($request->edit))
			   { 
				 if(array_key_exists($request->submenu_id1[$key], $request->edit)) 
				   {
					  
					   $insert_data['allow_edit'] =1;
					   $flag1='h';
				   }
			   }
			 if(isset($request->create))
			   { 
				  if(array_key_exists($request->submenu_id1[$key], $request->create)) 
					{
					   $insert_data['allow_create'] =1;
					   $flag1='h';
					 }
				}
					
					
			  if(strcmp($flag,$flag1) == 0)
			    {
				
			      UserPermissionModel::insert($insert_data);
			    }
				  
           }
		 
	     
	      return redirect(route('user_permission'))->with('successMessage','Role Assigned Successfully');  
    	
     }

 }
