<?php

namespace App\Http\Controllers;
use Illuminate\Http\Request;
use App\Models\VehicleTypeModel;
use Session;
use App\Models\ManageCodeModel;

class VehicleTypeController extends Controller
 {
   public function list()
    {		
		$get_data = VehicleTypeModel::all()->sortByDesc('id');
		
		return view('System_Configuration.vehicle_type_list',compact('get_data'));
    }
	
   public function add()
    { 
	  $result =VehicleTypeModel::get()->sortByDesc('id')->first();
	  if($result=='')
		{
		  $getcode = ManageCodeModel::where('id', 1)->first();
		  $last_code = $getcode->vehicle_type_code;
		}
	  else
		   {
			 $getcode = $result->vehicle_type_code; 
			 $last_code = ++$getcode; 
		   }  
      return view('System_Configuration.vehicle_type',compact('last_code'));
    }
	
   public function edit($id)
	{
		$get_data=VehicleTypeModel::find($id);
		$last_code = $get_data->vehicle_type_code;

		return view('System_Configuration.vehicle_type',compact('get_data','last_code'));
	}
	
   public function save(Request $request)
	{	
		$data=new VehicleTypeModel;		
		if($request->updated_id) 
		  {
			$data = VehicleTypeModel::find($request->updated_id);
			$data->vehicle_type_code=$request->vehicle_type_code;
			$data->vehicle_type_name=$request->vehicle_type_name;
			$data->updated_user= Session::get('user_id');
			$data->status=$request->status;
			$data->save();
			return redirect(route('vehicle_type_list'))->with('successMessage','Vehicle Type Updated Successfully');		
		  }else{			
				 $data->vehicle_type_code=$request->vehicle_type_code;
				 $data->vehicle_type_name=$request->vehicle_type_name;
				 $data->created_user= Session::get('user_id');
				 $data->status=$request->status;
				 $data->save();
				 return redirect(route('vehicle_type_list'))->with('successMessage','Vehicle Type Added Successfully');		
			  }	   			
    }
 }
