<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class SalesHierarchyModel extends Model
{
    use HasFactory;
	protected $table='tbl_sales_hierarchy';

	public function parent()
	{
	    return $this->belongsTo('App\Models\SalesHierarchyModel','parent')->with('parent');
	}

	public function children()
	{
	    return $this->hasMany('App\Models\SalesHierarchyModel','parent')->with('children');
	}

}
