<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreatePaymentTermModelsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('tbl_payment_term', function (Blueprint $table) {
            $table->integer('id');
            $table->string('payment_code',20);
            $table->string('payment_term',100);
            $table->string('condition',50); 
            $table->integer('created_user')->length(11)->nullable();
            $table->integer('updated_user')->length(11)->nullable();
            $table->enum('status', ['active', 'inactive']); 
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('tbl_payment_term');
    }
}
