<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateDiscountTypeModelsTable extends Migration
{
	
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('tbl_discount_type', function (Blueprint $table) {
            $table->integer('id');
			$table->string('discount_code',20);
			$table->string('discount_plan_name',120);
			$table->integer('created_user')->length(11)->nullable();
			$table->integer('updated_user')->length(11)->nullable();
	        $table->enum('status', ['active', 'inactive']); 
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('tbl_discount_type');
    }
}
