<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateTaxModelsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('tbl_tax', function (Blueprint $table) {
            $table->integer('id');
			$table->integer('company_id');
			$table->string('tax_code',30);
			$table->string('tax_name',100);
			$table->string('tax_percentage',100);
			$table->decimal('tax_amount',20,2);
			$table->integer('created_user')->length(11)->nullable();
			$table->integer('updated_user')->length(11)->nullable();
	        $table->enum('status', ['active', 'inactive']); 
            $table->timestamps();
        });

 

    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('tbl_tax');
    }
}
