<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateManageCodeModelsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('tbl_manage_code', function (Blueprint $table) {
            $table->integer('id');
			$table->string('company_code',20);
			$table->string('customer_code',20);
			$table->string('warehouse_code',20);
			$table->string('erp_asset_code',20);
			$table->string('sales_area_code',20);
			$table->string('route_code',20);
			$table->string('salesman_code',20);
			$table->string('erp_employee_code',20);
			$table->string('material_code',20);
			$table->string('erp_material_code',20);
			$table->string('bank_code',20);
			$table->string('user_code',20);
			$table->string('tax_code',20);
			$table->string('discount_code',20);
			$table->string('supplier_code',20);
			$table->string('outlet_code',20);
			$table->string('company_type_code',20);
			$table->string('currency_code',20);
			$table->string('reason_code',20);
			$table->string('country_code',20);
			$table->string('city_code',20);
			$table->string('region_code',20);
			$table->string('sub_region_code',20);
			$table->string('customer_type_code',20);
			$table->string('customer_category_code',20);
			$table->string('vehicle_brand_code',20);
			$table->string('vehicle_type_code',20);
			$table->string('salesman_type_code',20);
			$table->string('uom_code',20);
			$table->string('category_code',20);
			$table->string('brand_code',20);
			$table->string('role_code',20);
			$table->string('expense_code',20);
			$table->string('target_code',20);
			$table->string('location_code',20);
			$table->string('payment_code',20);
			$table->string('supplier_type_code',20);
			$table->string('expense_category_code',20);
			$table->string('vehicle_code',20);
			$table->string('invoice_number_code',20);
			$table->string('unload_code',20);
			$table->string('load_code',20);
			$table->string('expense_no',20);
			$table->string('company_expense_no',20);
			$table->string('company_credit_note_number',20);
			$table->string('counter_sales_no',20);
			$table->string('client_code',20);
			$table->string('outlet_expense_number',20);
			$table->string('company_invoice_no',20);
			$table->string('delivery_order_no',20);
			$table->string('company_order_code',20);
			$table->string('return_sales_code',20);
			$table->string('company_colletion_number',20);			
			$table->string('type_code',20);			
			$table->string('route_order_no_code',20);			
			$table->string('company_return_order_code',20);			
			$table->string('delivery_return_order_number',20);			
			$table->integer('updated_user')->length(11)->nullable();
            $table->timestamps();
        });
    }
	

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('tbl_manage_code');
    }
}
