<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateOutletStockTransferModelsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('tbl_outlet_stock_transfer_header', function (Blueprint $table) {
            $table->id();
			$table->integer('from_warehouse');
			$table->integer('distibutor');
			$table->integer('outlet_id');
			$table->date('date');
			$table->string('status',20);
			$table->string('reason',200);
			$table->string('remark',200);
		    $table->timestamps();
        });
		
		Schema::create('tbl_outlet_stock_transfer_details', function (Blueprint $table) {
            $table->id();
			$table->integer('header_id');
			$table->integer('material_id');
			$table->integer('uom_id');
			$table->integer('material_category_id');
			$table->integer('available_stock');
			$table->integer('balance_qty');
			$table->string('stock_qty',20);
		    $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('tbl_outlet_stock_transfer_header','tbl_outlet_stock_transfer_details');
    }
}
