<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateTypeModelsTable extends Migration
{
    /**
     * Run the migrations.
     *   ---->(material type)<---
     * @return void
     */
   public function up()
    {
        Schema::create('tbl_type', function (Blueprint $table) {
            $table->integer('id');
			$table->string('type_code',100);
			$table->string('material_code',100);
            $table->string('type',100); 
			$table->integer('created_user')->length(11)->nullable();
			$table->integer('updated_user')->length(11)->nullable();
            $table->enum('status', ['active', 'inactive']);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('tbl_type');
    }
}
