<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateShelfDisplayModelsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('tbl_shelf_display', function (Blueprint $table) {
            $table->integer('id');
			$table->string('name',25);
			$table->string('valid_from',25);
			$table->string('valid_to',25);
			$table->integer('height')->length(11)->nullable();
			$table->integer('width')->length(11)->nullable();
			$table->integer('depth')->length(11)->nullable();
			$table->integer('capacity');
			$table->string('region',25);
			$table->string('sub_region',25);
			$table->string('customer',125);
			$table->enum('status', ['active', 'inactive']); 
			$table->timestamps();
        });  
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('tbl_shelf_display');
    }
}
