<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreatePlanogramPostModelsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('tbl_planogram_post', function (Blueprint $table) {
           $table->integer('id');
		   $table->date('date');
		    $table->string('salesman',120);
		    $table->string('customer',120);
		    $table->string('planogram_name',120);
		    $table->string('shelf_display',120);
			$table->string('images',250)->nullable();
			 $table->string('comment',500)->nullable();
			
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('tbl_planogram_post');
    }
}
