<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateAssignInventoryModelsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('tbl_assign_inventory_header', function (Blueprint $table) {
           $table->integer('id');
		   $table->string('customer',150);  
		  $table->integer('created_user',10);
		   $table->timestamps();
        });
		Schema::create('tbl_assign_inventory_details', function (Blueprint $table) {
           $table->integer('id');
			$table->integer('header_id');
		    $table->string('material',20);
			$table->string('uom',20);
		   $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('tbl_assign_inventory_header','tbl_assign_inventory_details');
    }
}
