<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateAssignMaterialModelsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('tbl_assign_material_header', function (Blueprint $table) {
           $table->integer('id');
			$table->integer('customer_name',100);
			$table->string('shelf_display',100);
			$table->string('material_category',100);
			$table->integer('created_user',10);
            $table->timestamps();
        });
		 Schema::create('tbl_assign_material_details', function (Blueprint $table) {
            $table->integer('id');
			$table->integer('header_id');
		    $table->string('material_code',20);
			$table->string('uom',20);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('tbl_assign_material_header','tbl_assign_material_details');
    }
}