<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreatePurchaseOutstandingModelsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('tbl_purchase_outstanding', function (Blueprint $table) {
            $table->id();

            $table->integer('supplier_id');
            $table->double('amount_paid');
            $table->double('amount_outstanding');
            $table->integer('grn_id');
            $table->integer('total_grn_amount');
            $table->string('due_date',20);
            $table->integer('created_user');
            $table->integer('updated_user');

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('tbl_purchase_outstanding');
    }
}
