<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateTripCodeModelsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('tbl_trip_code', function (Blueprint $table) {
            $table->id();
            $table->string('trip_code');
            $table->integer('salesman_id',11);
            $table->integer('distributor_id',11);
            $table->integer('region_id',11);
            $table->integer('subregion_id',11); 
            $table->dateTime('start_time');
            $table->dateTime('end_time');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('tbl_trip_code');
    }
}
