<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateCheckinCheckoutModelsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('tbl_salesman_checkin_checkout', function (Blueprint $table) {
            $table->id(); 
            $table->integer('salesman_id',11); 
            $table->integer('region_id',11);
            $table->integer('subregion_id',11); 
			$table->integer('route_id',11); 
            $table->dateTime('checkin');
            $table->dateTime('checkout');
			$table->integer('distribution',11);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('tbl_checkin_checkout');
    }
}
