<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateDeviceEnrollmentModelsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('tbl_device_enrollment', function (Blueprint $table) {
            $table->id();
            $table->string('device_name',30);
            $table->string('device_code',30);
            $table->string('operating_sys',30);
            $table->string('imei_1',30);
            $table->string('imei_2',30);
            $table->string('serial_num',30);
            $table->enum('status', ['active', 'inactive']); 
            $table->enum('is_alloted', ['0', '1']); 
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('tbl_device_enrollment');
    }
}
