<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateDeviceAllotmentModelsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('tbl_device_allotment', function (Blueprint $table) {
            $table->id();
            $table->string('device_name',30);
            $table->string('device_description',30);
            $table->string('imei_number_1',30);
            $table->string('user_id',30); 
            $table->string('user_name',30);
            $table->string('role',30);
            $table->date('assign_date');
            $table->date('validate_date');
            $table->string('registered_line',30);
            $table->enum('status', ['active', 'inactive']);   
          
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('tbl_device_allotment');
    }
}
