
@include('theme_layout/header')
@include('theme_layout/nav')
     
<div class="app-main__outer">
 <div class="app-main__inner">
  <div class="app-page-title">
   <div class="page-title-wrapper"> 
    <div class="page-title-heading"> 
     <div class="page-title-icon">
	  <i class="pe-7s-graph text-success"></i>
	 </div> 
      Administration Expenses View
    </div>   <!--page-title-heading-->
	 
    <div class="page-title-actions"> 
     <div class="d-inline-block dropdown">
      <a href="{{route('company_expenses_list')}}" class="mt-3 btn btn-primary btn-lg text-white"> 
      <i class="fa fa-arrow-left fa-w-20"></i> Back</a>
     </div> 
    </div>   <!--page-title-actions--> 
   </div>    <!--page-title-wrapper-->
  </div>     <!--app-page-title-->      
           
  <div class="tab-content">
   <div class="tab-pane tabs-animation fade show active" id="tab-content-0" role="tabpanel">
    <div class="main-card mb-3 card">
      <div class="card-body">
       <form class="">
        <div class="form-row">
         <div class="col-md-4">
          <div class="position-relative form-group">
           <label class="font-weight-bold ml-2" for="expense_no" class="">Expense Code</label>
           <input maxlength="20"name="expense_no" id="expense_no" value="{{$get_data->expense_no}}" type="text" class="form-control" autocomplete="off" readonly>
           <input name="updated_id" id="updated_id" value="{{ request()->route('id') }}" type="hidden" autocomplete="off">
          </div>    <!--position-relative form-group-->
         </div>
			 
         <div class="col-md-4">
          <div class="position-relative form-group ">
            <label class="font-weight-bold ml-2" for="warehouse" class="">Warehouse</label>
            <input class="mb-2 form-control" name="warehouse_id" id="warehouse_id"  value="{{$get_data->warehouse_code}} - {{$get_data->warehouse_name}}" readonly> 
          </div>     <!--position-relative form-group-->
         </div>
  
         <div class="col-md-4"> 
          <div class="position-relative form-group">
           <label class="font-weight-bold ml-2" for="expense_type" class="">Expenses Type</label>
           <input class="mb-2 form-control" name="expense_type" id="expense_type"  value="{{$get_data->expense_code}} - {{$get_data->expense_name}}" readonly > 
          </div>       <!--position-relative form-group-->
         </div> 
                 
		 <div class="col-md-4">
		  <div class="position-relative form-group">
		   <label class="font-weight-bold ml-2" for="expense_date" class="">Expense Date</label>
		   <input  maxlength="120" name="expense_date" id="expense_date" placeholder="" type="date" class="form-control" value="{{ request()->route('id') ? $get_data->expense_date : '' }}" autocomplete="off" readonly>
		  </div>     <!--position-relative form-group-->
		 </div>	
		 
		 <div class="col-md-4">
          <div class="position-relative form-group">
           <label  class="font-weight-bold ml-2" for="expense_amt" class="">Expense Amount</label>
           <input maxlength="8" name="expense_amt" id="expense_amt" value="{{ request()->route('id') ? number_format($get_data->expense_amount,2) : ''}}"  type="text" class="form-control" autocomplete="off" readonly>
          </div>    <!--position-relative form-group--> 
         </div> 
				   
		 <div class="col-md-4">
          <div class="position-relative form-group">
           <label  class="font-weight-bold ml-2" for="expense_amt" class="">Comment*</label>
           <input required maxlength="8" name="comment" id="comment" value="{{ request()->route('id') ? $get_data->comment : ''}}"  type="text" class="form-control" autocomplete="off" readonly>
          </div>    <!--position-relative form-group-->
         </div> 
        </div>    <!-- form row-->
                
       </form> 
      </div>     <!--card-body-->
    </div>    <!--main-card mb-3 card-->
   </div>
  </div>   <!--tab-content-->
 </div>     <!--app-main__inner-->
@include('theme_layout/footer')
 