@include('theme_layout/header')
@include('theme_layout/nav')

<div class="app-main__outer">
 <div class="app-main__inner">
  <div class="app-page-title"> 
   <div class="page-title-wrapper">
	<div class="page-title-heading">
	 <div class="page-title-icon">
		<i class="pe-7s-medal icon-gradient bg-tempting-azure"></i>
	 </div>   <!-- page-title-icon -->
		 
     <div>Company Outstanding List</div>
		
	</div>   <!-- page-title-heading --> 
   
    <div class="page-title-actions">
	 <div class="d-inline-block dropdown">
	   <div class="page-title-actions">
	   </div> 
							  
	   <div tabindex="-1" role="menu" aria-hidden="true" class="dropdown-menu dropdown-menu-right">
		<ul class="nav flex-column">
		<li class="nav-item">
		<a class="nav-link">
		<i class="nav-link-icon lnr-inbox"></i>
		 <span>Inbox</span>
		<div class="ml-auto badge badge-pill badge-secondary">86</div>
		</a>
		</li>
			
		<li class="nav-item">
		<a class="nav-link">
		<i class="nav-link-icon lnr-book"></i>
		 <span>Book</span>
		<div class="ml-auto badge badge-pill badge-danger">5</div>
		</a>
		</li>
						   
		<li class="nav-item">
		<a class="nav-link">
		<i class="nav-link-icon lnr-picture"></i>
		 <span>
		 Picture
		 </span>
		</a>
		</li>
						   
		<li class="nav-item">
		<a disabled class="nav-link disabled">
		<i class="nav-link-icon lnr-file-empty"></i>
		 <span>File Disabled</span>
		</a>
		</li>			
		</ul>
	   </div>	
	 </div>    <!--d-inline-block dropdown-->
	</div>    <!--page-title-actions-->
   </div>     <!--page-title-wrapper-->
  </div>    <!--app-page-title-->   
  
  <div class="main-card mb-3 card">
   <div class="card-body">
	<form action="{{route('company_outstanding_list')}}" method="get">
	 <div class="form-row">
	  <div class="col-md-4" >
	   <div class="position-relative form-group">
		<label for="select_warehouse" class="font-weight-bold ml-2">Customer</label> 
		<select class="mb-2 form-control" name="customer" id="customer_id">
		 <option value=""> </option>
		   @if(isset($_GET['customer']))
  
		   @foreach($distibutor as $distibutor_name)
		 <option value=""> </option>
		 <option {{$_GET['customer'] == $distibutor_name->id ? 'selected' : '' }} value="{{$distibutor_name->id}}">{{$distibutor_name->customer_code}} - {{$distibutor_name->customer_name}}</option>
		   @endforeach
		   @else
		 <option value=""> </option>
		   @foreach($distibutor as $distibutor_name)
		 <option value="{{$distibutor_name->id}}">{{$distibutor_name->customer_code}} - {{$distibutor_name->customer_name}}</option>
		   @endforeach
		   @endif
						   
		</select>
	   </div>
	  </div>
	  			  
	  <div class="col-md-4" >
	   <div class="position-relative form-group">
		<label for="select_warehouse" class="font-weight-bold ml-2">Warehouse</label> 
		<select class="mb-2 form-control" name="warehouse" id="warehouse_id"></select>
	   </div>   <!--position-relative form-group-->
	  </div>
	 </div>  <!-- end row -->
				
	 <div class="form-row mb-4">
	  <div class="col-md-12 text-center">
	  <button class="btn btn-success ">Search</button>
	 </div>
    </div>
			  
    </form>  <!-- end form -->
	
	 <input maxlength="125" name="url_warehouse" id="url_warehouse"  type="hidden" value="<?php if(isset($_GET['customer']) && isset($_GET['warehouse']) && $_GET['warehouse']!=''){echo $_GET['warehouse']; } else{echo "0";} ?>" class="form-control" autocomplete="off" required>
	 <table style="width: 100%;" id="example" class="table table-hover table-striped table-bordered">
	 <thead>
	  <tr>
	  <th class="text-justify text-left">Customer  </th>
	  <th class="text-justify text-left">Warehouse  </th>
	  <th class="text-justify text-left">Invoice Code</th>
	  <th class="text-justify text-left">Invoice Amount</th>
	  <th class="text-justify text-left">Invoice Paid Amount</th>
	  <th class="text-justify text-left">Invoice Outstanding</th>
	  <th class="text-justify text-left">Due Date</th>
	  </tr>
	 </thead>
					 
	 <tbody>
	  @foreach($result as $data)
	   @php
	 			
	   $row1 = date("d F Y ", strtotime($data->due_date));
				
	   @endphp
				
	   <tr>
		<td class="font-weight-bold text-justify text-left">{{$data->customer_code}}-{{ucfirst($data->customer_name)}}</td>
		<td class="font-weight-bold text-justify text-left">{{$data->warehouse_code}}-{{ucfirst($data->warehouse_name)}}</td>
		<td class="font-weight-bold text-justify text-left">{{$data->invoice_number}}</td>
		<td class="font-weight-bold text-justify text-left">{{number_format($data->invoice_total,2)}}</td>
		<td class="font-weight-bold text-justify text-left">{{number_format($data->invoice_paid,2)}}</td>
		<td class="font-weight-bold text-justify text-left">{{number_format($data->invoce_outstandig,2)}}</td>
		<td class="font-weight-bold text-justify text-left">{{$row1}}</td>
	   </tr>
			
	  @endforeach 
     </tbody>
	 </table>
   </div>   <!--card body-->
  </div>    <!--main-card mb-3 card-->
 </div>    <!--app-main__inner-->

@include('theme_layout/footer') 

<script>

 var jq = $.noConflict();
   jq(document).ready(function(){
  $('#customer_id').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
		
	<?php if(isset($_GET['customer'])){?> 
	 var customer_id = jq('#customer_id').val(); 
	 var url_warehouse = jq('#url_warehouse').val(); 
	 get_warehouse(customer_id,url_warehouse); <?php } ?>
	
     var fromdate = jq('#fromdate').val();
     var todate = jq('#todate').val();
   //alert(fromdate);
   //  get_datefilter(fromdate,todate);
  $("#customer_id").change(function(){
     var customer_id = jq('#customer_id').val();
   
  $('#customer_id').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
  $('#customer_id')[0].sumo.reload();    
     var url_warehouse=0;
     get_warehouse(customer_id,url_warehouse);
 });
    
  <!--get_material_price-->
 function get_warehouse(warehouse,url_warehouse){
	
    jq.ajax({
    url: "{{ URL('get_warehousename_filter_outstaning') }}"+"/" +warehouse+"/"+url_warehouse,       
    type:"GET",
    success:function(respons)
    {
           jq('#warehouse_id').html(respons);
		   $('#warehouse_id').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
		   $('#warehouse_id')[0].sumo.reload();  
        
    }
   });
 }
   
  function get_datefilter(fromdate,todate){
      jq.ajax({
      url: "{{ URL('salesman_invoice_list/') }}",       
      type:"GET",
      data:{fromdate:fromdate,
      todate:todate
   },
  success:function(respons){
    if(respons)
    {
        jq('#example').html(respons);
    }
   }
  });
 } 
});
</script> 