@include('theme_layout/header')
@include('theme_layout/nav')
	
<div class="app-main__outer">
 <div class="app-main__inner">
  <div class="app-page-title">
   <div class="page-title-wrapper">
    <div class="page-title-heading">
     <div class="page-title-icon">
        <i class="pe-7s-graph text-success"></i>
     </div>
              
     <div>Add Sales Invoice</div>
            
    </div>  <!-- end page title heading -->
                            
	<div class="page-title-actions">
     <div class="d-inline-block dropdown">
		<a id="back" class="mt-3 btn btn-primary btn-lg text-white">
		 <i class="fa fa-arrow-left fa-w-20 text-white"></i>
		  Back
		</a>
     </div>
    </div>  <!-- end page title action -->
   </div> <!-- end page title wrapper -->
  </div> <!-- end app page title -->            
					 
  <div class="tab-content">
   <div class="tab-pane tabs-animation fade show active" id="tab-content-0" role="tabpanel">
	<div class="main-card mb-3 card">
	 <div class="card-body">
	  <h5 class="card-title"></h5>
		<form id="material_form" onsubmit="return checkForm(this);" action="{{ route('company_invoice_store') }}" method="post">
		  {{ csrf_field() }}
	            
	    <div class="form-group row">
	     <div class="col-md-4">
		  <div class="position-relative form-group">
			 <label class="font-weight-bold ml-2" for="customer_type" class="">Order Type:</label>
			<select class="mb-2 form-control" name="order_type"  id="order_type" required> 
				<option  value=""></option>
				<option {{request()->route('return')=='1' ? 'selected' : ''}} value="1" >Distribution - Order</option>	
			  </select>
			  <input  maxlength="120"  name="order_typehidden" id="order_typehidden"  type="hidden" class="form-control" value="" autocomplete="off" required>
			  <input  type="hidden" id="company_invoice_number" name=" company_invoice_number" autocomplete="off" class="form-control" value="{{$last_code}}">
		  </div>     <!--position-relative form-group-->
         </div>
						
		 <div class="col-md-4">			      
	      <div class="position-relative form-group">
			  <label class="font-weight-bold ml-2" for="customer_type" class="">Delivery </label>
			 <select class="mb-2 form-control" name="order_number" id="order_number" required> 
			  @if(request()->route('return'))  
			  @foreach($order_name as  $details1)
			  <option {{request()->route('id')==$details1->id ? 'selected' :''}} value="{{$details1->id}}">
			  {{$details1->company_delivery_number}}  ({{$details1->customer_code}} - {{$details1->customer_name}})
			  </option>	
			  @endforeach
              @endif													
			  </select>
		  </div>    <!--position-relative form-group-->
		 </div>
		 
		
        </div>   <!-- form-group row -->
		<div class="form-group row">
		
		@if(request()->route('return'))  
		 <div class="col-md-4">			      
	      <div class="position-relative form-group">
			  <label class="font-weight-bold ml-2" for="customer_type" class="">Order Code </label>
			<input readonly type="text" name="" class="form-control"
	            value="{{$get_order_number->company_order_number}}">
		</div>    <!--position-relative form-group-->
		 </div>
		@endif
		
        </div>
		<div class="mb-5" >
		 <h5>
		  <p class="font-weight-bold float-right mr-5">
			<bold>Invoice Code:  #{{$last_code}}</bold>
		  </p>
		 </h5>
	    </div>
                <!--  add row -->
        
        <section>
                <!--for distributor-->
		@php
		$j='';
		@endphp
			     
		@if(request()->route('id'))
			     
		@if(request()->route('return')=='1')
                       
        <div id="distributor_table" class="panel panel-footer" >
         <table class="table table-bordered" id="myTable">
		  <thead>
           <tr>
			<th style="width:25%; text-align: center;">Material</th>
			<th style="width:10%; text-align: center;">UOM</th>
			<th style="width:10%; text-align: center;">Qty</th>
			<th style="width:10%; text-align: center;">Unit Price</th>
			<th style="width:10%; text-align: center;">Discount</th>
			<th style="width:10%; text-align: center;">Vat</th>
			<th style="width:10%; text-align: center;">Excise</th>
			<th style="width:15%; text-align: center;">Total</th>     
		   </tr>
		  </thead>
		  					
		  <tbody id="dynmic_row">
					
			@foreach($get_data_details as $key=> $details)
						
			<tr id="row_{{$key}}">
					   
			<td style="width: 15%;" id="mitem_0" >
				<label  style="text-align:center;" class="lprice font-weight-bold ml-2"  for="comment"> {{$details->mate_code}} - {{$details->material_name}}
				</label>
			   
			   <input type="hidden" id="get_material_{{$key}}" name="material_name[]" value ="{{$details->material_id}}">
			</td>
							
			<td id="uitem_{{$key}}" style="width: 10%;">
			     <label  style="text-align:center;" class="lprice font-weight-bold ml-2"  for="comment">{{$details->unit_notation }} 
				 </label>
			     <input type="hidden" name="uom[]" class="form-control"
	            value="{{$details->uom}}">
			  
			</td>		
			<td id="qitem_{{$key}}">
			    <label  style="text-align:center;" class="lprice font-weight-bold ml-2"  for="comment"> {{$details->quantity}}  
				 </label>
				<input  value="{{$details->quantity}}" id="qty_{{$key}}" type="hidden" name="quantity[]" class="form-control quantity" autocomplete="off">
			</td>
			
			<td id="pitem_{{$key}}">
			   <label  style="text-align:center;" class="lprice font-weight-bold ml-2" id="lprice_{{$key}}" for="comment">    {{number_format($details->unite_price,2)}}  
			   </label>
			   <input  value="{{$details->unite_price}}"  id="price_{{$key}}" type="hidden" name="price[]" class="form-control price" autocomplete="off">
			   
			   <input autocomplete="off" value="{{$details->base_qty}}"  id="packing_size_{{$key}}" type="hidden" name="packing_size[]" class="form-control packing_size">
			  
			</td>
			
			<td id="ditem_{{$key}}">
			  <label  class="ldiscount font-weight-bold ml-2 " id="ldiscount_{{$key}}" for="comment"></label>
			   <input value=""  id="discount_{{$key}}" type="hidden" name="discount[]" class="form-control discount" autocomplete="off">
			</td>
							
			<td id="vitem_{{$key}}">
			   <label  class="lvat font-weight-bold ml-2" id="lvat_{{$key}}" for="comment">   {{number_format($details->vat,2)}}</label>
			   <input value="{{$details->vat}}"  id="vat_{{$key}}" type="hidden" name="vat[]" class="form-control vat" autocomplete="off">
			</td>
			
			<td id="eitem_{{$key}}">
				<label   class="lexcise font-weight-bold ml-2 " id="lexcise_{{$key}}" for="comment">  {{number_format($details->excise,2)}}  
				</label>
				<input value="{{$details->excise}}" readonly id="excise_{{$key}}" type="hidden" name="excise[]" class="form-control excise" autocomplete="off">
				<input value="{{$details->net_amount}}" id="net_amount_{{$key}}" type="hidden" name="net_amount[]" class="form-control net_amount" autocomplete="off">
			</td>
			
							
			
			<td id="titem_{{$key}}">
			   <label   class="ltotal font-weight-bold ml-2 " id="ltotal_{{$key}}" for="comment"> 
				 {{number_format($details->total,2)}} 
			   </label>
			   <input value="{{$details->total}}"  id="total_{{$key}}" type="hidden" name="total[]" class="form-control total" autocomplete="off">
			   <input value="{{$details->gross_total}}" id="gross_{{$key}}" type="hidden" name="gross[]" class="form-control gross" autocomplete="off">
			</td>
		  
		    </tr>
		    </tr>
						
			@php
			$j=$key;
			@endphp
						
			@endforeach		
					    
			 <input value="{{$j}}" id="inc" type="hidden" name="" class="form-control" autocomplete="off">				 
				    </tbody>
			     </table>
			   </div>

	        @endif
                    
             <input value="{{$get_data->total_gross}}" id="gross_amount_totali" type="hidden" name="gross_amount_totali" class="form-control" autocomplete="off">
					
			 <input value="{{$get_data->total_delivery_value}}" id="price_amount_totali" type="hidden" name="price_amount_totali" class="form-control" autocomplete="off">
			 		
			 <input value="{{$get_data->total_vat}}" id="vat_amount_totali" type="hidden" name="vat_amount_totali" class="form-control" autocomplete="off">
					
			 <input value="{{$get_data->net_total_amount}}" id="net_amount_totali" type="hidden" name="net_amount_totali" class="form-control" autocomplete="off">
					
			 <input value="{{$get_data->total_delivery_value}}" id="invoice_amount_totali" type="hidden" name="invoice_amount_totali" class="form-control" autocomplete="off">
					
			 <input value="{{$get_data->total_Excise}}" id="excise_amount_totali" type="hidden" name="excise_amount_totali" class="form-control" autocomplete="off">
									
			<!--  End add row -->	
			    <table class="table  table-bordered float-right" style="width: 30%;">
					   
				@php
				$space=" ";
				@endphp
				
				<tr>
					<td  class="bg-faded" style="width: 50%; background-color: #dfe2e8;">
				   	 <strong>Gross Amount:</strong>
					</td>
					<td id="" class="font-weight-bold" style="width: 40%;">{{$login_user->currency_notation}} {{$space}} 
					 <span class="font-weight-bold" id="gross_amount_total">{{number_format($get_data->total_gross,2)}}</span>
					</td>
								
				</tr>
					        
				<tr id="tr_vat">
					<td  class="bg-faded" style="width: 50%; background-color: #dfe2e8;">
				     <strong>VAT Amount:</strong>
					</td>
					<td id="" class="bg-white font-weight-bold" style="width: 40%;">{{$login_user->currency_notation}} {{$space}} 
					 <span class="font-weight-bold"  id="vat_amount_total">{{number_format($get_data->total_vat,2)}} </span>
					</td>
				</tr>
							
				<tr id="tr_excise">
					<td class="bg-faded" style="width: 50%; background-color: #dfe2e8;">
					 <strong>Excise:</strong>
					</td>
					<td id="" class="bg-white font-weight-bold" style="width: 40%;">{{$login_user->currency_notation}} {{$space}} {{number_format($get_data->total_Excise,2)}}
					</td>
				</tr>
							
				<tr id="tr_discount">
					<td class="bg-faded" style="width: 50%; background-color: #dfe2e8;">
					  <strong>Discount:</strong>
					</td>
					<td class="bg-white font-weight-bold" style="width: 40%;">{{$login_user->currency_notation}} {{$space}} 
					   <span class="font-weight-bold" id="discount_amount_total">0.00</span>
					</td>
				</tr>     
				<tr>
					<td class="bg-faded" style="width: 50%; background-color: #dfe2e8;">
						<strong>Invoice Total:</strong>
					</td>
					<td id="" class="bg-white font-weight-bold" style="width: 40%;">{{$login_user->currency_notation}} {{$space}} 
					  <span class="font-weight-bold" id="invoice_amount_total">{{number_format($get_data->total_delivery_value,2)}}</span>
					</td>
				</tr>
					    
				</table>
  <br><br><br><br>
  <br><br><br><br>
  <br><br><br><br>  
                
        @endif	

        <div class="container " style="width: 100%;">
         <div class="row ">
          <div class="col-md-5 ml-0"></div>
			<button id="submit" name="btnsubmit" class="mt-3 btn btn-primary btn-lg">Save</button>
			 <a href="{{route('sales_order_list')}}" class="mt-3 btn btn-danger ml-2  btn-lg">
			   Cancel
		 	 </a>   
		  </div>
		 </div>
        </form>
     </div>    <!--card-body-->
    </div>   <!--main-card mb-3 card-->
   </div>    <!--tab-pane tabs-animation fade show active-->
  </div>    <!--tab-content-->
 </div>     <!--app-main__inner-->
 
@include('theme_layout/footer')
       

<script>

    var jq = $.noConflict();
	 function checkForm(form)
			{ 
		form.btnsubmit.disabled = true;
		return true;
			}
			
    jq(document).ready(function(){ 
	 jq("#back").click(function(){
	window.history.back();
	 })
	$('#order_type').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	$('#order_number').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true}); 
    var order_type = jq('#order_type').val();
          if(order_type=='1') {
			
				 document.getElementById("order_typehidden").value = order_type;
			     document.getElementById("order_type").disabled = true;
			}
			if(order_type=='2'){
			
				 document.getElementById("order_typehidden").value = order_type;
			     document.getElementById("order_type").disabled = true;
			}
            
            $("#order_number").change(function(){
             var order_number = jq('#order_number').val();
			 var order_type = jq('#order_type').val();
			
            //get_order_number_details(order_number);
			location.replace("{{ URL('company_details/') }}"+"/"+order_number+'/'+order_type);
		
             
        });
         
         $("#order_type").change(function(){
        var order_type = jq('#order_type').val();
		/* $('#order_type').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
		$('#order_type')[0].sumo.reload();  */ 
	    document.getElementById("order_typehidden").value = order_type;
		document.getElementById("order_type").disabled = true;
	    get_order_number(order_type);
        //get_customer_tin(customer_add);
			
			if(order_type=='2'){
			
				jq('#distributor_table').hide();
				jq('#return_table').show();
				jq('#tr_vat').hide();
				jq('#tr_discount').hide();
				jq('#tr_net').hide();
				jq('#tr_excise').hide();
				
			}
            if(order_type=='1'){
			
				jq('#distributor_table').show();
				jq('#return_table').hide();
				jq('#tr_vat').show();
				jq('#tr_discount').show();
				jq('#tr_net').show();
				jq('#tr_excise').show();
			}

        });
			 
	 
	 function get_order_number(order_type){
	 
		  jq.ajax({
		  url: "{{ URL('get_delivery_number/') }}"+"/" +order_type,       
          type:"GET",
          success:function(respons){
          
            if(respons){
			
				jq('#order_number').html(respons);
				 $('#order_number').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
				$('#order_number')[0].sumo.reload();  
			}
         
          }
       });
     }
});
	
	
 
<!-- Deleting row-->
  function deleteRow(r,row) {
	 if(row==0)
	 {
		 Swal.fire({
				  icon: 'error',
				  title: 'You Can Not Remove First Row!',
				})
 
     }
	else
	{
         var i = r.parentNode.parentNode.rowIndex;
	     var order_type = jq('#order_type').val();
	     
		 if(order_type==''){
		  }
	      if(order_type=='1'){
	      	 
           document.getElementById("myTable").deleteRow(i);
	       calculate();
	      }
	      if(order_type=='2') {
		 
	      document.getElementById("myTable1").deleteRow(i);
		  calculate();
		  }
	}
}
		
</script>	


    

	

