@include('theme_layout/header')
@include('theme_layout/nav')

<div class="app-main__outer">
 <div class="app-main__inner">
  <div class="app-page-title">
   <div class="page-title-wrapper">
	<div class="page-title-heading">
	 <div class="page-title-icon">
	    <i class="pe-7s-graph text-success"></i>
	 </div>     <!--page-title-icon-->
     <div>  
	  {{ request()->route('id') ? 'Edit ' : 'Add '}} Return Order 
     </div>
    </div> <!-- end page title heading -->
           
    <div class="page-title-actions">
     <div class="d-inline-block dropdown">
	    <a  id="back" class="mt-3 btn btn-primary btn-lg text-white"> <i class="fa fa-arrow-left fa-w-20 text-white"></i> Back</a>
	 </div>
    </div> <!-- end page title action -->  
   </div> <!-- end page title wrapper -->
  </div>  <!-- end page app title -->            
					 
  <div class="tab-content">
   <div class="tab-pane tabs-animation fade show active" id="tab-content-0" role="tabpanel">
	<div class="main-card mb-3 card">
	 <div class="card-body">
	  <h5 class="card-title"></h5>

	  <form id="material_form" class="" onsubmit="return checkForm(this);" action="{{ route('return_order_store') }}" method="post">
		 {{ csrf_field() }}
        <div class="form-group row">

        <div class="col-md-4">
            <div class="position-relative form-group">

            <label  class="font-weight-bold ml-2" for="order_type" class="">Order Type</label>
                <input  maxlength="120" name="order_type" id="order_type" type="text" class="form-control" value="Return Order" readonly >

            
                <!-- <select  class="mb-2 form-control" name="order_type"  id="order_type" required> 
                <option  value=""></option>
                <option value="1" >Sales Order</option>	
                <option value="2" >Return Order</option>	
                </select> -->
                
                <input  maxlength="120" name="order_typehidden" id="order_typehidden" type="hidden" class="form-control" value="" autocomplete="off" required>
                <input  maxlength="120" name="updated_id" id="updated_id" type="hidden" class="form-control" value="" autocomplete="off" required>
                
            </div>    <!--position-relative form-group-->
        </div>
					
        <div class="col-md-4">
            <div class="position-relative form-group"  id="distribution_type1">
            <label  class="font-weight-bold ml-2" for="distribution_type" class="">Distribution Channel</label>
            <select required class="mb-2 form-control" name="distribution_type" id="distribution_type" > 
				
                <option value=""></option>  
				@foreach($distribution_type as $distribution_type_name)
                
				<option value="{{$distribution_type_name->id}}" >{{ $distribution_type_name->customer_type_code}} - {{$distribution_type_name->customer_type_name}}</option>	
				
				@endforeach
                
                </select>
                <input  maxlength="120" name="session_vat" id="session_vat"  type="hidden" class="form-control" value="" autocomplete="off" required>
            </div>     <!--position-relative form-group-->
        </div>

        <div class="col-md-4">
            <div class="position-relative form-group" id="customer_div">
            <label  class="font-weight-bold ml-2" for="customer_type" class="">Customer</label>
            <select required class="mb-2 form-control" name="customer_type" id="customer_add"> 
                </select>
            </div>     <!--position-relative form-group-->
        </div>

	    </div>      <!--form-group row-->
				 
	    <div class="form-group row">							
	    <div class="col-md-4">
            <div class="position-relative form-group">
            <label  class="font-weight-bold ml-2" for="customer_type" class="">
                Warehouse:
                </label>
                <select class="mb-2 form-control" name="warehouse" id="warehouse" required> 
                </select>
            
                <!--form-group row-->
            </div>      <!--position-relative form-group-->
	    </div>

	    <div class="col-md-4">
            <div class="position-relative form-group">
            <label class="font-weight-bold ml-2"  for="" class="">Tin No.</label>
                <input  maxlength="120" readonly name="tin_no" id="tin_no"  type="text" class="form-control" value="" autocomplete="off" required>
                <input name="tin_no" id="tin_no1"  type="hidden" class="form-control" value=""  required onkeypress="return this.value.length < 15;" oninput="if(this.value.length>=15) { this.value = this.value.slice(0,15); }" autocomplete="off"/>
            </div>    <!--position-relative form-group-->
	    </div>

	    <div class="col-md-4">
                <div class="position-relative form-group">
                <label  class="font-weight-bold" for="customer_type" class=""> Delivery Date</label>
                <input required type="date" id="delevery_date" name="delevery_date" class="form-control" autocomplete="off"  >
                <input  type="hidden" id="return_order_number" name="return_order_number" class="form-control" value="{{$last_code}}" autocomplete="off" >
                </div>     <!--position-relative form-group-->
        </div>
	    </div>        <!--form-group row-->

        <div class="form-group row">

        <div class="col-md-12">
            <div class="position-relative form-group">
                <label class="font-weight-bold ml-2"  for="comment" class="">Remark*</label>
                <input required maxlength="100" name="comment" id="comment"  type="text" class="form-control" value="" autocomplete="off" >
            </div>       <!--position-relative form-group-->
        </div>	

	    </div>        <!--form-group row-->
	 
        <div class="mb-5" >
            <h5>
            <p id="last_code" class="font-weight-bold float-right mr-5">
				Order No : {{$last_code}}
            </p>
            </h5>
        </div>   
    <!--  add row -->
             
     <section>        
    
    
         <!--for return order-->		 
	  <div id="return_table" class="panel panel-footer">
	   <table class="table table-bordered" id="myTable1">
		<thead>
		 <tr>
		   <th style="width:25%; text-align: center;">Material </th>
		   <th style="width:10%; text-align: center;">UOM</th>
		   <th style="width:10%; text-align: center;">Qty</th>
		   <th style="width:10%; text-align: center;">Unit Price</th>
		   <th style="width:15%; text-align: center;">Return Type</th>
		   <th style="width:115%; text-align: center;">Return Reason</th>
		   <th style="width:15%; text-align: center;">Total</th>     
		   <th>Action</th>
		 </tr>
		</thead>
							
		<tbody id="dynmic_row1">
		 <tr id="row_1">
		   <td style="width: 15%;" id="mitem_1" >
			<select type="text" id="orderget_material_1" name="material_name1[]" class="form-control order_material">
			<option value=""></option>

			<option value =""></option>

			</select>
		   </td>
		   <td id="uitem_1" style="width: 11%;">
			<select  id="orderuom_1" name="uom1[]" class="form-control">
			<option value=""></option>
			</select>
		   </td>
		   <td id="qitem_1">
		    <input  value="" id="qty_1" type="text" name="quantity1[]" class="form-control quantity order_get_qty" autocomplete="off">
		   </td>
									
		   <td id="pitem_1">
			<label  style="text-align:center;"  class="lprice font-weight-bold ml-2 " id="orderlprice_1" for="comment">    
		    </label>
			<input  value=""  id="orderprice_1" type="hidden" name="price1[]" class="form-control price" autocomplete="off">
			<input autocomplete="off" value=""  id="opacking_size_1" type="hidden" name="opacking_size[]" class="form-control opacking_size">
									
			<input autocomplete="off" value=""  id="obegpacking_size_1" type="hidden" name="obegpacking_size[]" class="form-control obegpacking_size">
		   </td>
									
		   <td style="width: 15%;" id="rtitem_1">
		    <select type="text" id="return_type_1" name="return_type[]" class="form-control">
            <option value=""></option>									
			<option value="1">Good Return</option>
			<option value="2">Bad Return</option>
			</select>
		   </td>
		  							
		   <td style="width: 15%;" id="ritem_1">
			<select type="text" id="resion_type_1" name="resion[]" class="form-control"> 
			<option value=""></option>
			</select>
		   </td>
									
		   <td id="titem_1">
			<label   class="ltotal font-weight-bold ml-2 " id="orderltotal_1" for="comment"></label>
			<input value=""  id="ordertotal_1" type="hidden" name="total1[]" class="form-control total" autocomplete="off">
			<input value="" id="gross_1" type="hidden" name="gross1[]" class="form-control gross" autocomplete="off">
		   </td>
		   <td>
			<button type="button" class="btn btn-danger font-weight-bold" onclick="deleteRow(this,1)">
			<i class="fa fa-trash" aria-hidden="true"></i>
			</button>
		   </td>
		   </tr>
		   </tr>
		</tbody>
	   </table>
				        
		   <td>
			<button type="button" class="btn btn-primary font-weight-bold text-white addRow" id="return_order_addrow">
				<i class="fa fa-plus  text-white " aria-hidden="true" ></i>  ADD
			</button>
		   </td>
      </div>     <!--panel panel-footer-->
			       

   <!-- hidden fielde-->
		<input value="" id="gross_amount_totali" type="hidden" name="gross_amount_totali" class="form-control" autocomplete="off">
		
		<input value="" id="price_amount_totali" type="hidden" name="price_amount_totali" class="form-control" autocomplete="off">
		
		<input value="" id="vat_amount_totali" type="hidden" name="vat_amount_totali" class="form-control" autocomplete="off">
		
		<input value="" id="net_amount_totali" type="hidden" name="net_amount_totali" class="form-control" autocomplete="off">
		
		<input value="" id="invoice_amount_totali" type="hidden" name="invoice_amount_totali" class="form-control" autocomplete="off">
		
		<input value="" id="excise_amount_totali" type="hidden" name="excise_amount_totali" class="form-control" autocomplete="off">

	 </section>       
              
    <!--  End add row -->	

	  <div class="container " style="width: 100%;">
		    
		<table class="table  table-bordered float-right" style="width: 30%;">
		  
			@php
			$space=" ";
			@endphp
		 <tr>
		 <td  class="bg-faded" style="width: 50%; background-color: #dfe2e8;">
		  	<strong>Gross Amount:</strong>
		 </td>
				            
		 <td id="" class="font-weight-bold" style="width: 40%;">
		    <span class="font-weight-bold" id="gross_amount_total">0.00</span>
		 </td>
		 </tr>

						
		 <tr>
		 <td class="bg-faded" style="width: 50%; background-color: #dfe2e8;">
		   	<strong>Invoice Total:</strong>
		 </td>
		 <td id="" class="bg-white font-weight-bold" style="width: 40%;">
		   	<span class="font-weight-bold" id="invoice_amount_total">0.00 </span>
		 </td>
		 </tr>
		</table>

  <br><br><br><br><br><br>
  <br><br><br><br><br><br>
       <div class="row ">
        <div class="col-md-5 ml-5"></div>
		    @if(request()->route('id'))
			
			@else
			<button id="submit" name="btnsubmit" class="mt-3 btn btn-primary btn-lg">Save</button>
						
			@endif
			  <a href="{{route('sales_order_list')}}" class="mt-3 btn btn-danger ml-2  btn-lg">Cancel</a>   
		</div>
	   </div>     <!--container-->
      </form>
     </div>       <!--card-body-->
    </div>     <!--main-card mb-3 card-->
   </div>     <!--tab-pane tabs-animation fade show active-->
  </div>    <!--tab-content-->.
 </div>     <!--app-main__inner-->
                
@include('theme_layout/footer')
       

<script>

    var jq = $.noConflict();
	function checkForm(form)
			{ 
		form.btnsubmit.disabled = true;
		return true;
			}
    jq(document).ready(function(){
		jq("#back").click(function(){
		   window.history.back();
	   })
	$('#distribution_type').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	
	$('#customer_add').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	$('#warehouse').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	
	$('#get_material_0').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	$('#orderget_material_0').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	

	$("#warehouse").change(function(){
		

	jq('#dynmic_row1').empty();

	$(".addRow").removeAttr('disabled');

	$("#gross_amount_total").html("0.00");
	$("#vat_amount_total").html("0.00");
	$("#excise_amount_total").html("0.00");
	$("#discount_amount_total").html("0.00");
	$("#net_amount_total").html("0.00");
	$("#invoice_amount_total").html("0.00");


	$("#return_order_addrow").click();

	

	});

	
	$("#distribution_type").change(function(){
	var distribution_type = $('#distribution_type').val();

	 
	$('#distribution_type').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	$('#distribution_type')[0].sumo.reload();    
	get_customer(distribution_type);
   });
		
	$("#customer_add").change(function(){
	var customer_add = jq('#customer_add').val();
	
	$('#customer_add').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	$('#customer_add')[0].sumo.reload();
	//alert(customer_add);
	get_customer_tin(customer_add);
	get_warehouse(customer_add); 
   });
	
	jq("#order_type").change(function(){
    var order_type = jq('#order_type').val();
	// get_return_code(order_type);
    document.getElementById("order_typehidden").value = order_type;
    document.getElementById("order_type").disabled = true;
   //get_customer_tin(customer_add);
			
	if(order_type=='2')
	{
		jq('#distributor_table').hide();
		jq('#return_table').show();
		jq('#tr_vat').hide();
		jq('#tr_discount').hide();
		jq('#tr_net').hide();
		jq('#tr_excise').hide();
		jq('.order_material').attr("required","required");
		jq('.order_get_qty').attr("required","required");
		
		jq('.mat').removeAttr('required'); 
		jq('.get_qty').removeAttr('required');
		
		
	}
    if(order_type=='1')
	{
		jq('#distributor_table').show();
		jq('#return_table').hide();
		jq('#tr_vat').show();
		jq('#tr_discount').show();
		jq('#tr_net').show();
		jq('#tr_excise').show();
		jq('.mat').attr("required","required");
		jq('.get_qty').attr("required","required");
		
		jq('.order_material').removeAttr('required'); 
		jq('.order_get_qty').removeAttr('required'); 
	}
 });
		
function get_customer(distribution_type)
{
	  jq.ajax({
      url: "{{ URL('return_order_get_customer/') }}"+"/" +distribution_type,       
      type:"GET",
      success:function(respons)
      {
	    if(respons)
		{	
			
			jq('#customer_add').html(respons);
			$('#customer_add').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
			$('#customer_add')[0].sumo.reload();  
			
		}
     }
  });
}

// function get_return_code(order_type){
// 	  jq.ajax({
//       url: "{{ URL('get_return_code/') }}"+"/" +order_type,       
//       type:"GET",
//       success:function(respons){
      
// 	    if(respons){
			
// 		   jq('#code').text("Order No:  #"+respons);
// 		   jq('#company_order_number').val(respons);
// 		}
//      }
//   });
// }

function get_customer_tin(customer_add){

	jq.ajax({
    url: "{{ URL('return_order_get_customer_tin/') }}"+"/" +customer_add,       
    type:"GET",
    success:function(respons){
    
            if(respons){
			
				jq('#tin_no').val(respons);
				jq('#tin_no1').val(respons);
				
			}
         
          }
       });
     }
function get_warehouse(customer_add){

	jq.ajax({
    url: "{{ URL('return_order_get_warehouse/') }}"+"/" +customer_add,       
    type:"GET",
    success:function(respons){
    
            if(respons){
			
				jq('#warehouse').html(respons);
				$('#warehouse').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
				$('#warehouse')[0].sumo.reload(); 
			}
          }
       });
     }
});


<!--row calculation-->
jq('tbody').delegate('.quantity,.price','keyup',function(){

	 var gst=0;
	 var exc=0;
	 var per=100;
     var tr=jq(this).parent().parent();
     var quantity=tr.find('.quantity').val();

		 
		 var begpacking_size1=tr.find('.obegpacking_size').val();

	
	if(quantity==''){
    
		  reset_value();
		  function reset_value(){
		  tr.find('.total').val('');
          tr.find('.gross').val('');
          tr.find('.excise').val('');
	      tr.find('.vat').val('');
	      
		  tr.find('.ltotal').text('');
		  tr.find('.lprice').text('');
          tr.find('.lvat').text('');
		  tr.find('.lexcise').text('');
		  tr.find('.lnet_amount').text('');
		  tr.find('.packing_size').text(begpacking_size1);
		 //tr.find('.price').val('');
	}
		
}
else
{
	
        var price=tr.find('.price').val();
		
				
				var price_lebel = price.toLocaleString(
				  undefined, 
				  { minimumFractionDigits: 2 }
				  );
				  
				  tr.find('.lprice').text(price_lebel);

		
		var isvat=tr.find('.isvat').val();
		var isexcise=tr.find('.isexcise').val();
		
		if(isvat==1){
		
			gst = jq('#session_vat').val();
		}
		
		if(isexcise!=0){
		
			exc=isexcise;
		}
			
			
		var actual_alt_packing_size=(quantity*begpacking_size1);
		
		<!--calculate vat for setting in input-->
		var vat=(price*gst/per)*quantity;
		var total=(quantity*price);
		var gross=(quantity*price);
		
		tr.find('.opacking_size').val(actual_alt_packing_size);
			 
		
		var gross_value1 = gross.toLocaleString(
	    undefined, 
	    { minimumFractionDigits: 2 });
		  var vat_value1 = vat.toLocaleString(
	      undefined, 
	      { minimumFractionDigits: 2 }
	      );
		  var total_value1 = total.toLocaleString(
	      undefined, 
	      { minimumFractionDigits: 2 }
	      );
        tr.find('.total').val(total);
        tr.find('.gross').val(gross);
		tr.find('.vat').val(vat);
		<!--for lebel -->
        tr.find('.ltotal').text(total_value1);
        tr.find('.lvat').text(vat_value1);
	
 	<!--getting stored vat-->
		var get_vat=tr.find('.vat').val();
		var total1=tr.find('.total').val();
		
		<!--for getting excise-->
		var excise=(total1*exc/per);
		var net_amount=total1-(vat+excise);
		
		var excise_value1 = excise.toLocaleString(
	      undefined, 
	      { minimumFractionDigits: 2 }
	      );
		  
		tr.find('.net_amount').val(net_amount);
		tr.find('.excise').val(excise);
		tr.find('.lexcise').text(excise_value1);
		
		}
		calculate();  
    });
	
<!-- reset value-->
	
	
<!--total calculation-->
   function calculate(){
	 var ftotal=0;
	 var fnet_total=0;
	 var fvat=0;
	 var fgross=0;
	 var fexcise=0;
	 var fprice=0;

<!-- total calculation-->
   setTimeout(function(){
   jq('.total').each(function() {
   var total=jq(this).val()-0;
   ftotal+=total;
   });
   var total_value = ftotal.toLocaleString(
   undefined, 
     { minimumFractionDigits: 2 }
    );
	
   document.getElementById("invoice_amount_total").innerHTML  = total_value;
   document.getElementById("invoice_amount_totali").value = ftotal;
   }, 200);

  <!-- total Excise-->
        setTimeout(function(){
        jq('.excise').each(function() {
        var excise1=jq(this).val()-0;
        fexcise+=excise1;
     });
   var excise_value = fexcise.toLocaleString(
   undefined, 
   { minimumFractionDigits: 2 });
   document.getElementById("excise_amount_total").innerHTML  = excise_value;
   document.getElementById("excise_amount_totali").value = fexcise;
    }, 200);
			   
   <!-- net total-->
	   setTimeout(function(){
       jq('.net_amount').each(function() {
       var net_total=jq(this).val()-0;
       fnet_total+=net_total;
		});
	   
       document.getElementById("net_amount_totali").value = fnet_total;
       }, 200);
				
  <!-- vat total-->
   setTimeout(function(){
   jq('.vat').each(function() {
   var vat_total=jq(this).val()-0;
   fvat+=vat_total;
	});
	 var vat_value = fvat.toLocaleString(
     undefined, 
     { minimumFractionDigits: 2 });
     document.getElementById("vat_amount_total").innerHTML  = vat_value;
     document.getElementById("vat_amount_totali").value = fvat;
     }, 200);
				
<!-- gross total-->
	setTimeout(function(){
    jq('.gross').each(function() {
    var gross_total=jq(this).val()-0;
    fgross+=gross_total;
	});
   var gross_value = fgross.toLocaleString(
   undefined, 
   { minimumFractionDigits: 2 });
   document.getElementById("gross_amount_total").innerHTML  = gross_value;
   document.getElementById("gross_amount_totali").value = fgross;
}, 200);     

<!-- price total-->
   setTimeout(function(){
   jq('.price').each(function() {
   var price_total=jq(this).val()-0;
   fprice+=price_total;
});
 
 var _value = fgross.toLocaleString(
 undefined, 
 { minimumFractionDigits: 2 });
 
 document.getElementById("price_amount_totali").value = fprice;
 }, 200);  				
} 

<!--end calculation	-->	
<!--add row	-->	
	var i=0;

	$(".addRow").prop("disabled", true);


    jq('.addRow').on('click',function(){
	i++;
    addRow(i);
  });
	
<!--getting material of first row-->		
	$('#get_material_0').change(function(){
		var row=0;
		reset_value1(row);
        calculate(); 
    var material_id1 =  jq('#get_material_0').val();
	var order_type = jq('#order_type').val();
	
	if(order_type!=''){
	
		get_material_details(material_id1,row);
		is_vat(material_id1,row);
		is_excise(material_id1,row);
		setTimeout(function(){
		var uom_id =  jq('#uom_0').val();     
		get_material_price(uom_id,material_id1,row);
		get_material_alt_packing_size(uom_id,material_id1,row);
		}, 1000);
	}
	else{
		Swal.fire({
				  icon: 'error',
				  title: 'Select Order Type!',
				})
		 
	}
    
 });
	 
	 
 <!--getting for order material of first row-->		
	$('#orderget_material_0').change(function(){
		 var material_id1 =  jq('#orderget_material_0').val();
	     var row=0;
		 get_material_details(material_id1,row);
		 setTimeout(function(){
         var uom_id =  jq('#orderuom_0').val();  
         get_material_price(uom_id,material_id1,row);
		 get_material_alt_packing_size(uom_id,material_id1,row);
     }, 1000);
	  
	   reset_value1(row);
	   calculate(); 
    });
	 
<!--getting material of first row-->		 
	 jq('#uom_0').change(function(){
	var row=0;
   	var uom_id =  jq('#uom_0').val();
    var material_id =  jq('#get_material_0').val();
    get_material_price(uom_id,material_id,row);
	get_material_alt_packing_size(uom_id,material_id,row);
    reset_value1(row);
    calculate(); 
   });
			 
<!--getting order material of first row-->		 
	 jq('#orderuom_0').change(function(){
	 var row=0;
     var uom_id = jq('#orderuom_0').val();
     var material_id =  jq('#orderget_material_0').val();
     get_material_price(uom_id,material_id,row);
	 get_material_alt_packing_size(uom_id,material_id,row);
     reset_value1(row);
	 calculate(); 
   });
	
	<!--getting return type-->
   
   jq('#return_type_0').change(function(){
   var return_type =  jq('#return_type_0').val();
   var row=0;
  // alert(return_type);
  get_resion(return_type,row);
 });		 
	
    function addRow(value){
    
	 var order_type = jq('#order_type').val();
	 if(order_type=='')
	 { 
        Swal.fire({
				  icon: 'error',
				  title: 'Select Order Type First!',
				})
		 } 
    
		var trm='<tr id="row_'+value+'">'+
        '<td style="width: 15%;" id="mitem_"><select type="text" id="orderget_material_'+value+'"  name="material_name1[]" class="form-control get_material" required=""></td>'+
		
        '<td id="uitem_'+value+'" style="width: 10%;"><select type="text" id="orderuom_'+value+'" name="uom1[]" class="form-control"><option value=""></option></select> </td>'+
		
        '<td id="qitem_'+value+'"><input type="text" value="" id="qty_'+value+'" name="quantity1[]" class="form-control quantity" autocomplete="off" required=""></td>'+
		
        '<td id="pitem_'+value+'"><label   class="lprice font-weight-bold ml-2 " id="orderlprice_'+value+'" for="comment">     </label><input readonly type="hidden" value="" id="orderprice_'+value+'" name="price1[]" class="form-control price" autocomplete="off"> <input autocomplete="off" readonly type="hidden" value="" id="opacking_size_'+value+'" name="opacking_size[]" class="form-control opacking_size"> <input autocomplete="off" readonly type="hidden" value="" id="obegpacking_size_'+value+'" name="obegpacking_size[]" class="form-control obegpacking_size"></td>'+
		
         ' <td style="width: 15%;" id="rtitem_'+value+'"><select type="text" id="return_type_'+value+'" name="return_type[]" class="form-control" required=""><option value=""></option><option value="1">Good Return</option> <option value="2">Bad Return</option></select></td>'+
		
		'<td style="width: 15%;" id="ritem_'+value+'"><select type="text" id="resion_type_'+value+'" name="resion[]" class="form-control" required=""> <option value=""></option></select></td>'+
	
		
        ' <td id="titem_'+value+'"><label   class="ltotal font-weight-bold ml-2 " id="orderltotal_'+value+'" for="comment">     </label><input readonly type="hidden" value="" id="ordertotal_'+value+'" name="total1[]" class="form-control total" autocomplete="off"><input value="" id="gross_'+value+'" type="hidden" name="gross1[]" class="form-control gross" autocomplete="off"></td>'+
		
        ' <td><button type="button" class="btn btn-danger font-weight-bold "  onclick="deleteRow(this,'+value+')"><i class="fa fa-trash" aria-hidden="true" ></i></button></td>'+
        '</tr>';
        jq('#dynmic_row1').append(trm);
  
		
		<!--getting material name-->
		    get_material(value);
			
		<!--getting material uom-->	
		    $('#get_material_'+value+'').change(function(){
			var material_id =  jq('#get_material_'+value+'').val();
		   //alert(material_id+' '+value);
		    get_material_details(material_id,value);
			is_vat(material_id,value);
			is_excise(material_id,value);
			setTimeout(function(){
            var uom_id =  jq('#uom_'+value+'').val();  
         	get_material_price(uom_id,material_id,value);
			get_material_alt_packing_size(uom_id,material_id,value);
            }, 1000);
			 reset_value1(value);
		     
		     calculate();
		  });
			 
			 <!--getting for order material uom-->	
		     $('#orderget_material_'+value+'').change(function(){
			 var material_id =  jq('#orderget_material_'+value+'').val();
			  //alert(material_id+' '+value);
			 get_material_details(material_id,value);
			 setTimeout(function(){
             var uom_id =  jq('#orderuom_'+value+'').val();  
             get_material_price(uom_id,material_id,value);
			 get_material_alt_packing_size(uom_id,material_id,value);
              }, 1000);
			 reset_value1(value);
			     
			  calculate();
		     });
			 
			 <!--getting material price-->	
			 jq('#uom_'+value+'').change(function(){
		     var uom_id =  jq('#uom_'+value+'').val();
			 var material_id =  jq('#get_material_'+value+'').val();
			 get_material_price(uom_id,material_id,value);
			 get_material_alt_packing_size(uom_id,material_id,value);
			 reset_value1(value);
			 
			 calculate(); 
			 });
			 
			 <!--getting material price for order-->	
			 jq('#orderuom_'+value+'').change(function(){
		     var uom_id =  jq('#orderuom_'+value+'').val();
			 var material_id =  jq('#orderget_material_'+value+'').val();
			 get_material_price(uom_id,material_id,value);
			 get_material_alt_packing_size(uom_id,material_id,value);
			 reset_value1(value);
			
			 calculate(); 
			   
             });
			 
			<!--getting return type-->
			 jq('#return_type_'+value+'').change(function(){
		     var return_type =  jq('#return_type_'+value+'').val();
	         get_resion(return_type,value);
	     });
	 };	

   <!--end add row	-->
   <!--get_material_uom-->
	
function get_material_details(material_id1,row){

	jq.ajax({
     url: "{{ URL('return_get_material_detailsUom/') }}"+"/" +material_id1+'/'+row,
     type:"GET",
	 success:function(respons) {
	
	    if(respons){
		
			       jq('#orderuom_'+row+'').html(respons);
		}
         
          }
       });
     }
	 
	 

	 <!--get_material_price-->

function get_material_price(uom_id1,material_id1,row){

	jq.ajax({
    url: "{{ URL('return_get_material_price/') }}"+"/" +uom_id1+'/'+material_id1,       
    type:"GET",
    success:function(respons){
    
    if(respons){
	

		      document.getElementById('orderprice_'+row+'').value =respons;
		  
	    }
         
       }
    });
 }
 
function get_material_alt_packing_size(uom_id1,material_id1,row){
			
		 jq.ajax({
		      url: "{{ URL('return_get_material_alt_packing_size/') }}"+"/" +uom_id1+'/'+material_id1,       
              type:"GET",
    success:function(respons){
    
    if(respons){
	

		      
		       document.getElementById('obegpacking_size_'+row+'').value =respons;
			   document.getElementById('opacking_size_'+row+'').value =respons;
		      
			
	    }
         
       }
    });
 }
	
<!--get_material_name-->
function get_material(value){

	  jq.ajax({
      url: "{{ URL('return_get_material/') }}",
      type:"GET",
      success:function(respons){
      
        if(respons){
					
				 				  
				jq('#orderget_material_'+value+'').html(respons);
				$('#orderget_material_'+value+'').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
				$('#orderget_material_'+value+'')[0].sumo.reload();
				
		}
     
      }
   });
 }
	 
<!-- reseting Value-->
function reset_value1(row){
    
   
    
    document.getElementById('gross_'+row+'').value ='';
  
	 <!--for lebel-->
	
	   
		   document.getElementById('qty_'+row+'').value ='';
		   document.getElementById('orderprice_'+row+'').value ='';
		   document.getElementById('orderlprice_'+row+'').innerHTML='';
		   document.getElementById('ordertotal_'+row+'').value ='';
		   document.getElementById('orderltotal_'+row+'').innerHTML='';
	  
		
}
			 
	<!--get_resion-->
 function get_resion(get_resion,row){	
 	 
		 jq.ajax({
	     url: "{{ URL('return_order_get_resion/') }}"+"/" +get_resion,
         type:"GET",
         success:function(respons) {
         
            if(respons){
			
				jq('#resion_type_'+row+'').html(respons);
			}
         
          }
       });
     }		 
	 
 <!-- Deleting row-->
 
 function deleteRow(r,row) {
	 
        if(row==1){
				Swal.fire({
				  icon: 'error',
				  title: 'You Can Not Remove First Row!',
				})
  
        }
		else
		{
       calculate();
      var i = r.parentNode.parentNode.rowIndex;
	  var order_type = jq('#order_type').val();
	  if(order_type)
	  document.getElementById("myTable1").deleteRow(i);
	}
}    
		
</script>	


    

	

