@include('theme_layout/header')
@include('theme_layout/nav')


<div class="app-main__outer">
 <div class="app-main__inner">
  <div class="app-page-title">
   <div class="page-title-wrapper">
	<div class="page-title-heading">
	 <div class="page-title-icon">
	   <i class="pe-7s-graph text-success"></i>
	 </div>     <!--page-title-icon-->
	 
     <div>  
	        {{ request()->route('id') ? 'Edit ' : 'Add '}} Return Order 
     </div>
    </div> <!-- end page title heading -->
           
    <div class="page-title-actions">
     <div class="d-inline-block dropdown">
	   <a href="{{route('return_order_list')}}" class="mt-3 btn btn-primary btn-lg text-white">
		<i class="fa fa-arrow-left fa-w-20 text-white"></i> Back
	   </a>
     </div>
    </div> <!-- end page title action -->  
   </div> <!-- end page title wrapper -->
  </div>  <!-- end page app title -->            
		
		
  <div class="tab-content">
   <div class="tab-pane tabs-animation fade show active" id="tab-content-0" role="tabpanel">
	<div class="main-card mb-3 card">
	 <div class="card-body">
	  <h5 class="card-title"></h5>
		<form id="material_form" class="" action="" method="">
		{{ csrf_field() }}

		<div class="form-group row">

			<div class="col-md-4">
				<div class="position-relative form-group">

				<label  class="font-weight-bold ml-2" for="order_type" class="">Order Type</label>
					<input  maxlength="120" name="order_type" id="order_type" type="text" class="form-control" value="Return Order" readonly >
					<input  maxlength="120" name="session_vat" id="session_vat"  type="hidden" class="form-control" value="{{Session::get('company_vat')}}" autocomplete="off" required>
									
				</div>    <!--position-relative form-group-->
			</div>
						
			<div class="col-md-4">
				<div class="position-relative form-group"  id="distribution_type1">
				<label  class="font-weight-bold ml-2" for="distribution_type" class="">Distribution Channel</label>
					<select disabled class="mb-2 form-control" name="distribution_type" id="distribution_type" required> 
						<option selected value="{{$order_data->id}}" >{{ $order_data->customer_type_code}} - {{$order_data->customer_type_name}}</option>	
					</select>

					<input  maxlength="120" name="session_vat" id="session_vat"  type="hidden" class="form-control" value="" autocomplete="off" required>
				</div>     <!--position-relative form-group-->
			</div>

			<div class="col-md-4">
				<div class="position-relative form-group" id="customer_div">
				<label  class="font-weight-bold ml-2" for="customer_type" class="">Customer</label>
				<select disabled class="mb-2 form-control" name="customer_type"  required>
					<option selected value="{{$order_data->id}}" >{{ $order_data->customer_code}} - {{$order_data->cust_name}}</option> 
				</select>
				</div>     <!--position-relative form-group-->
			</div>

			</div>      <!--form-group row-->
					
			<div class="form-group row">							
			<div class="col-md-4">
				<div class="position-relative form-group">
				<label  class="font-weight-bold ml-2" for="customer_type" class=""> Warehouse </label>
						<select disabled class="mb-2 form-control" name="warehouse" required> 
						
						@foreach($warehouse as $warehouse_name1)
						<option {{$order_data->warehouse_id == $warehouse_name1->id ? 'selected' : '' }} value ="{{$warehouse_name1->id}}">{{$warehouse_name1->warehouse_code}} - {{$warehouse_name1->warehouse_name}}</option>
						@endforeach
						</select>
				
					<!--form-group row-->
				</div>      <!--position-relative form-group-->
			</div>

			<div class="col-md-4">
				<div class="position-relative form-group">
				<label class="font-weight-bold ml-2"  for="" class="">Tin No.</label>
				<input  maxlength="120" readonly name="tin_no" id="tin_no"  type="text" class="form-control" value="{{$order_data->tin_no}}" autocomplete="off" required>
				<input name="tin_no" id="tin_no1"  type="hidden" class="form-control" value=""  required onkeypress="return this.value.length < 15;" oninput="if(this.value.length>=15) { this.value = this.value.slice(0,15); }" autocomplete="off"/>
				<input  maxlength="120" name="updated_id" id="updated_id" type="hidden" class="form-control" value="{{$order_data->id}}" autocomplete="off" required>
				</div>    <!--position-relative form-group-->
			</div>

				@php 

				$date = str_replace('/', '-', $order_data->delevary_date);
				$newDate = date("Y-m-d", strtotime($date));
					
				@endphp

			<div class="col-md-4">
					<div class="position-relative form-group">
					<label  class="font-weight-bold" for="customer_type" class=""> Delivery Date</label>
					<input  disabled type="date" id="delevery_date" value="{{$order_data->delevary_date}}" name="delevery_date" placeholder="hello" class="form-control" autocomplete="off">
					<input  type="hidden" id="return_order_number" name="return_order_number" class="form-control" value="{{$order_data->return_order_number}}" autocomplete="off">
					<input  type="hidden" id="d_date" name="return_order_number1" class="form-control" value="{{$newDate}}" autocomplete="off">
					</div>     <!--position-relative form-group-->
			</div>
			</div>        <!--form-group row-->

			<div class="form-group row">

			<div class="col-md-12">
				<div class="position-relative form-group">
					<label class="font-weight-bold ml-2"  for="comment" class="">Remark*</label>
					<input disabled maxlength="100" name="comment" id="comment"  type="text" class="form-control" value="{{$order_data->remark}}" autocomplete="off" required>
				</div>       <!--position-relative form-group-->
			</div>

		</div>        <!--form-group row-->
		   
	  
		<div class="mb-5" >
	   	<h5>
		<p class="font-weight-bold float-right mr-5">
		  <bold>Order No:  #{{$order_data->return_order_number}}</bold>
		</p>
	   	</h5>
      	</div>   
       	<!--  add row -->

      	<section>

	    <!--for return order-->		
          @php
		  $k='';
		  @endphp	
			 
	  <div id="return_table"  class="panel panel-footer" >
       <table class="table table-bordered" id="myTable1">
		<thead>
         <tr>
		  <th style="width:25%; text-align: center;">Material Name</th>
		  <th style="width:10%; text-align: center;">UOM</th>
		  <th style="width:10%; text-align: center;">Qty</th>
		  <th style="width:10%; text-align: center;">Unit Price</th>
		  <th style="width:15%; text-align: center;">Return Type</th>
		  <th style="width:15%; text-align: center;">Return Reason</th>
		  <th style="width:15%; text-align: center;">Total</th>     
		  <th>Action</th>
		 </tr>
	    </thead>
							
		<tbody id="dynmic_row1">
		 @foreach($get_data_details as $key=> $details)
		 @php
		 $altpacksize1=$details->base_qty/$details->quantity;
		 @endphp
		 <tr id="row_{{$key}}">
		  <td style="width: 15%;" id="mitem_0" >
		   <select placeholder="{{$key}}" type="text" id="orderget_material_{{$key}}" name="material_name1[]" class="form-control mat1 material_sumo">
		   <option value=""></option>
		 @foreach($material as $material_name)
		   <option {{$details->material_id==$material_name->id ? 'selected' : ''}} value ="{{$material_name->id}}">{{$material_name->material_code}} - {{$material_name->material_name}}
		   </option>
		 @endforeach
		   </select>
		  </td>
							 
		  <?php 
	        $material_master2 = DB::select('SELECT t2.id, t2.uom_name FROM tbl_material_master as t1 LEFT JOIN tbl_unit_of_measurement as t2 ON find_in_set(t2.id,t1.alt_uom) WHERE t1.`id`='.$details->material_id.'');
		  ?>
							
		  <td id="uitem_{{$key}}" style="width: 10%;">
			<select  placeholder="{{$key}}" id="orderuom_{{$key}}" name="uom1[]" class="form-control oums1">
						      
			@foreach($material_master2 as $uom_name)
			<option {{$details->uom_id==$uom_name->id ? 'selected':''}} value="{{$uom_name->id}}">
			  {{$uom_name->uom_name}}
			</option> 
			@endforeach
			</select>
						
		  </td>
							
		  <td id="qitem_{{$key}}">
			<input value="{{$details->quantity}}" id="qty_{{$key}}" type="text" name="quantity1[]" class="form-control quantity" autocomplete="off">
		  </td>
		  					
		  <td id="pitem_{{$key}}">
						
			<label style="text-align:center;" class="lprice font-weight-bold ml-2" id="orderlprice_{{$key}}" for="comment">  {{number_format($details->unite_price,2)}}  
			</label>
							
			<input  value="{{$details->unite_price}}"  id="orderprice_{{$key}}" type="hidden" name="price1[]" class="form-control price" autocomplete="off">
			<input autocomplete="off" value="{{$details->base_qty}}" id="opacking_size_{{$key}}" type="hidden" name="opacking_size[]" class="form-control opacking_size">
			<input autocomplete="off" value="{{$altpacksize1}}"  id="obegpacking_size_{{$key}}" type="hidden" name="obegpacking_size[]" class="form-control obegpacking_size">
		  </td>
							
		  <td style="width: 15%;" id="rtitem_{{$key}}"> 
							  
		    <select type="text" id="return_type_{{$key}}" name="return_type[]" class="form-control">
	        @if($details->return_type_id==1)									  
			<option selected value="1">Good Return</option>
			@else
			<option selected value="2">Bad Return</option>
			@endif
			</select>
		  </td>
							
		  <td style="width: 15%;" id="ritem_{{$key}}">
			<select type="text" id="resion_type_{{$key}}" name="resion[]" class="form-control"> 
			@foreach($reason as $details1)
			<option {{$details->resion_id == $details1->id ? 'selected' : '' }} value ="{{$details1->id}}"> {{$details1->reasion_type}}
			</option>
			@endforeach
			</select>
							
		  </td>
							
		  <td id="titem_{{$key}}">
			<label   class="ltotal font-weight-bold ml-2 " id="orderltotal_{{$key}}" for="comment"> 
			  	{{number_format($details->total,2)}}  
			</label>
			
			<input value="{{$details->total}}"  id="ototal_{{$key}}" type="hidden" name="total1[]" class="form-control total" autocomplete="off">
			<input value="{{$details->gross_total}}" id="gross_{{$key}}" type="hidden" name="gross1[]" class="form-control gross" autocomplete="off">
		  </td>
		  
		  <td>
			<button type="button" class="btn btn-danger font-weight-bold" onclick="deleteRow(this,{{$key}})">
			<i class="fa fa-trash" aria-hidden="true"></i>
			</button>
		  </td>
		 </tr>
	 	 </tr>
						
		 @php
		 $k=$key;
	     @endphp
		 @endforeach
		    <input value="{{$k}}" id="inc1" type="hidden" name="" class="form-control" autocomplete="off">
		</tbody>
	   </table>
				 
		<td>
		 <button type="button" class="btn btn-primary font-weight-bold text-white addRow">
		 <i class="fa fa-plus  text-white " aria-hidden="true" ></i> 
		  ADD
		 </button>
		</td>
      </div>     <!--panel panel-footer-->
	  
			 <!-- hidden fielde-->
      </section>
        
 
		   
        <input value="{{$get_data->total_gross}}" id="gross_amount_totali" type="hidden" name="gross_amount_totali" class="form-control" autocomplete="off">
			
			
			
			
		<input value="{{$get_data->total_order_value}}" id="invoice_amount_totali" type="hidden" name="invoice_amount_totali" class="form-control" autocomplete="off">
			
		
			<!--  End add row -->	      
            
	  <div class="container " style="width: 100%;">
	   <table class="table  table-bordered float-right" style="width: 30%;">
		   
		@php
		$space=" ";
		@endphp
		
		<tr>
		 <td  class="bg-faded" style="width: 50%; background-color: #dfe2e8;"><strong>Gross Amount:</strong></td>
		 <td id="" class="font-weight-bold" style="width: 40%;">{{$login_user->currency_notation}} {{$space}}  
		  <span class="font-weight-bold" id="gross_amount_total">{{number_format($get_data->total_gross,2)}}</span>
		 </td>
		</tr>
			        

					

					


					
		<tr>
		 <td class="bg-faded" style="width: 50%; background-color: #dfe2e8;">
		   	<strong>Invoice Total:</strong>
		 </td>
		 	            
		 <td id="" class="bg-white font-weight-bold" style="width: 40%;">{{$login_user->currency_notation}} {{$space}} 
		 	<span class="font-weight-bold" id="invoice_amount_total">{{number_format($get_data->total_order_value,2)}}</span>
		 </td>
		</tr>
	   </table>
  <br><br><br><br>            
  <br><br><br><br>  
  <br><br><br><br>
       <div class="row ">
        <div class="col-md-5 ml-5"></div>
		<button id="submit" class="mt-3 btn btn-primary btn-lg">Save</button>
		<a href="{{route('sales_order_list')}}" class="mt-3 btn btn-danger ml-2  btn-lg">Cancel</a>   
	   </div>
	  </div>    <!--container -->
      </form>
     </div>     <!--card-body-->
    </div>     <!--main-card mb-3 card-->
   </div>    <!--tab-pane tabs-animation fade show active-->
  </div>    <!--tab-content-->
 </div>     <!--app-main__inner-->
                
    @include('theme_layout/footer')


       
	   

<script>

    var jq = $.noConflict();
	jq(document).ready(function(){
		$('#distribution_type').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
		$('#customer_add').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
		$('#warehouse').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
		$('.material_sumo').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	
		var date12 =jq('#d_date').val();
		document.getElementById("delevery_date").value = ""+date12;
	
		$("#distribution_type").change(function(){
			var distribution_type = $('#distribution_type').val();
	
			$('#distribution_type').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
			$('#distribution_type')[0].sumo.reload();    
			get_customer(distribution_type);
   		});
		
		$("#customer_add").change(function(){
			var customer_add = jq('#customer_add').val();
	
			$('#customer_add').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
			$('#customer_add')[0].sumo.reload();
			//alert(customer_add);
			get_customer_tin(customer_add);
			get_warehouse(customer_add); 
   		});

		
		function get_customer(distribution_type){

			jq.ajax({
			url: "{{ URL('order_get_customer/') }}"+"/" +distribution_type,       
			type:"GET",
			success:function(respons) {
			
				if(respons){
					
					jq('#customer_add').html(respons);
					$('#customer_add').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
					$('#customer_add')[0].sumo.reload();  
					
				}
			}
			});
		}

	function get_customer_tin(customer_add){

		jq.ajax({
		url: "{{ URL('order_get_customer_tin/') }}"+"/" +customer_add,       
		type:"GET",
		success:function(respons){
		
				if(respons){
				
					jq('#tin_no').val(respons);
					jq('#tin_no1').val(respons);
					
				}
			}
		});
    }


	function get_warehouse(customer_add){

		jq.ajax({
		url: "{{ URL('order_get_warehouse/') }}"+"/" +customer_add,       
		type:"GET",
		success:function(respons) {
	
				if(respons){
				
					jq('#warehouse').html(respons);
					$('#warehouse').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
					$('#warehouse')[0].sumo.reload(); 
				}
			}
		});
		}
	});


<!--row calculation-->
	jq('tbody').delegate('.quantity,.price','keyup',function(){

	 var gst=0;
	 var exc=0;
	 var per=100;
     var tr=jq(this).parent().parent();
     var quantity=tr.find('.quantity').val();

	var price=tr.find('.price').val();

	var price_lebel = price.toLocaleString(
			undefined, 
			{ minimumFractionDigits: 2 }
	);
			
	tr.find('.lprice').text(price_lebel);
	
	var begpacking_size1=tr.find('.obegpacking_size').val();
	
	
	if(quantity==''){
    
		  reset_value();
		  function reset_value(){
		  tr.find('.total').val('');
          tr.find('.gross').val('');
          tr.find('.excise').val('');
	      tr.find('.vat').val('');
		  tr.find('.ltotal').text('');
          tr.find('.lvat').text('');
		  tr.find('.lexcise').text('');
		  tr.find('.lnet_amount').text('');
		  tr.find('.packing_size').text(begpacking_size1);
		 //tr.find('.price').val('');
	}	
  	}
	else
  	{
	
        var price=tr.find('.price').val();
		
		var isvat=tr.find('.isvat').val();
		var isexcise=tr.find('.isexcise').val();
		
		if(isvat!=0){
			gst = jq('#session_vat').val();
		}
		
		if(isexcise!=0){
			exc=isexcise;
		}
			
		var actual_alt_packing_size=(quantity*begpacking_size1);
		
		<!--calculate vat for setting in input-->

		var vat=(price*gst/per)*quantity;
		var total=(quantity*price);
		var gross=(quantity*price);
		
		tr.find('.opacking_size').val(actual_alt_packing_size);

		var gross_value1 = gross.toLocaleString(
	    undefined, 
	    { minimumFractionDigits: 2 });
		  var vat_value1 = vat.toLocaleString(
	      undefined, 
	      { minimumFractionDigits: 2 }
	      );
		  var total_value1 = total.toLocaleString(
	      undefined, 
	      { minimumFractionDigits: 2 }
	      );

        tr.find('.total').val(total);
        tr.find('.gross').val(gross);
		tr.find('.vat').val(vat);
		<!--for lebel -->
        tr.find('.ltotal').text(total_value1);
        tr.find('.lvat').text(vat_value1);
	
 	<!--getting stored vat-->
		var get_vat=tr.find('.vat').val();
		var total1=tr.find('.total').val();
		
		<!--for getting excise-->
		var excise=(total1*exc/per);
		var net_amount=total1-(vat+excise);
		var excise_value1 = excise.toLocaleString(
	      undefined, 
	      { minimumFractionDigits: 2 }
	      );
		  var net_total_value1 = net_amount.toLocaleString(
	      undefined, 
	      { minimumFractionDigits: 2 }
	      );
		tr.find('.net_amount').val(net_amount);
		tr.find('.excise').val(excise);
		tr.find('.lexcise').text(excise_value1);
		
		}
		calculate();  
    });

<!-- reset value-->
	
<!--total calculation-->
   function calculate(){
	 var ftotal=0;
	 var fnet_total=0;
	 var fvat=0;
	 var fgross=0;
	 var fexcise=0;
	 var fprice=0;

<!-- total calculation-->
   setTimeout(function(){
   jq('.total').each(function() {
   var total=jq(this).val()-0;
   ftotal+=total;
   });
   var total_value = ftotal.toLocaleString(
   undefined, 
     { minimumFractionDigits: 2 }
    );
   document.getElementById("invoice_amount_total").innerHTML  = total_value;
   document.getElementById("invoice_amount_totali").value = ftotal;
   }, 200);

//   <!-- total Excise-->
//         setTimeout(function(){
//         jq('.excise').each(function() {
//         var excise1=jq(this).val()-0;
//         fexcise+=excise1;
//      });
//    var excise_value = fexcise.toLocaleString(
//    undefined, 
//    { minimumFractionDigits: 2 });
//    document.getElementById("excise_amount_total").innerHTML  = excise_value;
//    document.getElementById("excise_amount_totali").value = fexcise;
//     }, 200);
			   
//    <!-- net total-->
// 	   setTimeout(function(){
//        jq('.net_amount').each(function() {
//        var net_total=jq(this).val()-0;
//        fnet_total+=net_total;
// 		});
// 	   var net_total_value = fnet_total.toLocaleString(
//        undefined, 
//        { minimumFractionDigits: 2 });
//        document.getElementById("net_amount_total").innerHTML  = net_total_value;
//        document.getElementById("net_amount_totali").value = fnet_total;
//        }, 200);
				
//   <!-- vat total-->
//    setTimeout(function(){
//    jq('.vat').each(function() {
//    var vat_total=jq(this).val()-0;
//    fvat+=vat_total;
// 	});
// 	 var vat_value = fvat.toLocaleString(
//      undefined, 
//      { minimumFractionDigits: 2 });
//      document.getElementById("vat_amount_total").innerHTML  = vat_value;
//      document.getElementById("vat_amount_totali").value = fvat;
//      }, 200);
				
// <!-- gross total-->
// 	setTimeout(function(){
//     jq('.gross').each(function() {
//     var gross_total=jq(this).val()-0;
//     fgross+=gross_total;
// 	});
//    var gross_value = fgross.toLocaleString(
//    undefined, 
//    { minimumFractionDigits: 2 });
//    document.getElementById("gross_amount_total").innerHTML  = gross_value;
//    document.getElementById("gross_amount_totali").value = fgross;
//   }, 200);     

<!-- price total-->
   setTimeout(function(){
   jq('.price').each(function() {
   var price_total=jq(this).val()-0;
   fprice+=price_total;
  });
 
 var _value = fgross.toLocaleString(
 undefined, 
 { minimumFractionDigits: 2 });
 document.getElementById("price_amount_total").innerHTML  = fprice;
 document.getElementById("price_amount_totali").value = fprice;
  }, 200);  				
  } 

<!--end calculation	-->	
<!--add row	-->	
		    var inc1='';

		    inc1 =  jq('#inc1').val();	
              		   
			if(inc1>0)
			{
		    $('.mat').change(function(){
				var inc11= jq(this).attr('placeholder');
				
				var material_id =  jq('#get_material_'+inc11+'').val();
			 	get_material_details(material_id,inc11);
			  	is_vat(material_id,inc11);
	          	is_excise(material_id,inc11);
			 	setTimeout(function(){
             	var uom_id =  jq('#uom_'+inc11+'').val();  
             	get_material_price(uom_id,material_id,inc11);
			 	get_material_alt_packing_size(uom_id,material_id,inc11);
		     	//alert(uom_id+' '+inc1+' '+material_id);
             	}, 1000);
			 	reset_value1(inc11);
				calculate();
		   	});
			 
			jq('.uoms').change(function(){
				var inc11= jq(this).attr('placeholder');
				var uom_id =  jq('#uom_'+inc11+'').val();
				var material_id =  jq('#get_material_'+inc11+'').val();
				get_material_price(uom_id,material_id,inc11);
				get_material_alt_packing_size(uom_id,material_id,inc11);
				reset_value1(inc11);
				calculate(); 
			});

			<!--getting order material of first row-->	
			$('.mat1').change(function(){
				var inc11= jq(this).attr('placeholder');
				var material_id1 =  jq('#orderget_material_'+inc11+'').val();
				var row=0;
				get_material_details(material_id1,inc11);
				setTimeout(function(){
				var uom_id =jq('#orderuom_'+inc11+'').val();  
				get_material_price(uom_id,material_id1,inc11);
				get_material_alt_packing_size(uom_id,material_id1,inc11);
				}, 1000);
				reset_value1(inc11);
				calculate(); 
          	});
	 
	      	<!--getting order uom of first row-->		 
	      	jq('#orderuom_'+inc1+'').change(function(){
				var row=0;
				var uom_id =  jq('#orderuom_'+inc1+'').val();
				var material_id =  jq('#orderget_material_'+inc1+'').val();
				get_material_price(uom_id,material_id,inc1);
				get_material_alt_packing_size(uom_id,material_id,inc1);
				reset_value1(inc1);
				calculate(); 
		   	});

		  	}

			var i=inc1;
			jq('.addRow').on('click',function(){
				
			i++;
			addRow(i);
			});
	
		<!--getting material of first row-->		
			jq('#get_material_0').change(function(){
		    var material_id1 =  jq('#get_material_0').val();
	        var row=0;
		    get_material_details(material_id1,row);
			is_vat(material_id,inc1);
	          is_excise(material_id,inc1);
		    setTimeout(function(){
            var uom_id =  jq('#uom_0').val();     
			get_material_price(uom_id,material_id1,row);
			get_material_alt_packing_size(uom_id,material_id1,row);
            }, 1000);
		    
		    reset_value1(row);
		    calculate(); 
         	});
	 
	 
         <!--getting for order material of first row-->		
	     jq('#orderget_material_0').change(function(){
		 var material_id1 =  jq('#orderget_material_0').val();
	     var row=0;
		 get_material_details(material_id1,row);
		 setTimeout(function(){
         var uom_id =  jq('#orderuom_0').val();  
         get_material_price(uom_id,material_id1,row);
		 get_material_alt_packing_size(uom_id,material_id1,row);
         }, 1000);
		 reset_value1(row);
		 calculate(); 
        });
	 
	 
       <!--getting material of first row-->		 
	     jq('#uom_0').change(function(){
		 var row=0;
		 var uom_id = jq('#uom_0').val();
	     var material_id =  jq('#get_material_0').val();
	     get_material_price(uom_id,material_id,row);
		 get_material_alt_packing_size(uom_id,material_id,row);
		 reset_value1(row);
		 calculate(); 
		 });
			 
         <!--getting order material of first row-->		 
	     jq('#orderuom_0').change(function(){
		 var row=0;
         var uom_id = jq('#orderuom_0').val();
	     var material_id =  jq('#orderget_material_0').val();
	     get_material_price(uom_id,material_id,row);
		 get_material_alt_packing_size(uom_id,material_id,row);
	     reset_value1(row);
		 calculate(); 
		 });
	
	    <!--getting return type-->
        jq('#return_type_0').change(function(){
		var return_type =  jq('#return_type_0').val();
	    var row=0;
		// alert(return_type);
		get_resion(return_type,row);
	    });		 
	
	    function addRow(value)
	    {

			var trm='<tr id="row_'+value+'">'+
	        '<td style="width: 15%;" id="mitem_"><select type="text" id="orderget_material_'+value+'"  name="material_name1[]" class="form-control get_material" required=""></td>'+
			
	        '<td id="uitem_'+value+'" style="width: 10%;"><select type="text" id="orderuom_'+value+'" name="uom1[]" class="form-control uom"><option value=""></option></select> </td>'+
			
	        '<td id="qitem_'+value+'"><input type="text" value="" id="qty_'+value+'" name="quantity1[]" class="form-control quantity" required="" autocomplete="off"></td>'+
			
	        '<td id="pitem_'+value+'"><label   class="lprice font-weight-bold ml-2 " id="orderlprice_'+value+'" for="comment">     </label><input readonly type="hidden" value="" id="orderprice_'+value+'" name="price1[]" class="form-control price" autocomplete="off"> <input autocomplete="off" readonly type="hidden" value="" id="opacking_size_'+value+'" name="opacking_size[]" class="form-control opacking_size"> <input autocomplete="off" readonly type="hidden" value="" id="obegpacking_size_'+value+'" name="obegpacking_size[]" class="form-control obegpacking_size"></td>'+
			
	         ' <td style="width: 15%;" id="rtitem_'+value+'"><select type="text" id="return_type_'+value+'" name="return_type[]" class="form-control" required=""><option value=""></option><option value="1">Good Return</option> <option value="2">Bad Return</option></select></td>'+
			
			'<td style="width: 15%;" id="ritem_'+value+'"><select type="text" id="resion_type_'+value+'" name="resion[]" class="form-control" required=""> <option value=""></option></select></td>'+
		
			
	        ' <td id="titem_'+value+'"><label   class="ltotal font-weight-bold ml-2 " id="orderltotal_'+value+'" for="comment">     </label><input readonly type="hidden" value="" id="ototal_'+value+'" name="total1[]" class="form-control total" autocomplete="off"><input value="" id="gross_'+value+'" type="hidden" name="gross1[]" class="form-control gross" autocomplete="off"></td>'+
			
	        ' <td><button type="button" class="btn btn-danger font-weight-bold "  onclick="deleteRow(this,'+value+')"><i class="fa fa-trash" aria-hidden="true" ></i></button></td>'+
	        '</tr>';
	        jq('#dynmic_row1').append(trm);

			
		<!--getting material name-->
		    get_material(value);
			
		<!--getting material uom-->	
		     $('#get_material_'+value+'').change(function(){
				
		     var material_id =  jq('#get_material_'+value+'').val();
			 //alert(material_id+' '+value);
			 get_material_details(material_id,value);
			 is_vat(material_id,value);
			 is_excise(material_id,value);
			
			 setTimeout(function(){
             var uom_id =  jq('#uom_'+value+'').val();  
             get_material_price(uom_id,material_id,value);
			 
			 get_material_alt_packing_size(uom_id,material_id,value);
             }, 1000);
			 reset_value1(value);
			 calculate();
		   });
			 
			 <!--getting for order material uom-->	
		     $('#orderget_material_'+value+'').change(function(){
			 var material_id =  jq('#orderget_material_'+value+'').val();
			 //alert(material_id+' '+value);
			 get_material_details(material_id,value);
			 setTimeout(function(){
             var uom_id =  jq('#orderuom_'+value+'').val();  
             get_material_price(uom_id,material_id,value);
			 get_material_alt_packing_size(uom_id,material_id,value);
             }, 1000);
			 reset_value1(value);
			 calculate();
		    });
			 
			 <!--getting material price-->	
			 jq('#uom_'+value+'').change(function(){
		     var uom_id =  jq('#uom_'+value+'').val();
			 var material_id =  jq('#get_material_'+value+'').val();
			 get_material_price(uom_id,material_id,value);
			 get_material_alt_packing_size(uom_id,material_id,value);
			 reset_value1(value);
			 calculate(); 
			 });
			 
			 <!--getting material price for order-->	
			 jq('#orderuom_'+value+'').change(function(){
		     var uom_id =  jq('#orderuom_'+value+'').val();
			 var material_id =  jq('#orderget_material_'+value+'').val();
			 get_material_price(uom_id,material_id,value);
			 get_material_alt_packing_size(uom_id,material_id,value);
			 reset_value1(value);
		     calculate(); 
			  });
			 
			 <!--getting return type-->
			 jq('#return_type_'+value+'').change(function(){
		     var return_type =  jq('#return_type_'+value+'').val();
	         get_resion(return_type,value);
	          });
			}; 	  
        
    <!--end add row	-->
	<!--get_material_uom-->
	function get_material_details(material_id1,row){
	   
		  jq.ajax({
	      url: "{{ URL('deliver_get_material_detailsUom/') }}"+"/" +material_id1+'/'+row,
	      type:"GET",
          success:function(respons){
          
            if(respons){
		
				jq('#orderuom_'+row+'').html(respons);

			}
         
          }
       });
    }
	 
	function is_vat(material_id1,row) {
	    
				 
		 jq.ajax({
		      url: "{{ URL('delevery_get_material_vat/') }}"+"/" +material_id1,
              type:"GET",
              
          success:function(respons){
				 document.getElementById('isvat_'+row+'').value =respons;
			
          }
       });
    }
	 
	function is_excise(material_id1,row) {
		 jq.ajax({
		      url: "{{ URL('delevery_get_material_excise/') }}"+"/" +material_id1,
              type:"GET",
              
          success:function(respons)   {
				 document.getElementById('isexcise_'+row+'').value =respons;
          }
       });
    }

	<!--get_material_price-->
	function get_material_price(uom_id1,material_id1,row) {
	
		jq.ajax({
		url: "{{ URL('delivery_get_material_price/') }}"+"/" +uom_id1+'/'+material_id1,       
              type:"GET",
              
          success:function(respons){
          
            if(respons){
			

				      document.getElementById('orderprice_'+row+'').value =respons;
				  
			    }
         
             }
        });
    }
	   
	function get_material_alt_packing_size(uom_id1,material_id1,row){
			
		jq.ajax({
		    url: "{{ URL('get_delevery_material_alt_packing_size/') }}"+"/" +uom_id1+'/'+material_id1,       
            type:"GET",
    		success:function(respons){
    
			if(respons){
					
					document.getElementById('obegpacking_size_'+row+'').value =respons;
					document.getElementById('opacking_size_'+row+'').value =respons;

			}
       		}
    	});

 	}

		<!--get_material_name-->
		function get_material(value){
	    
			jq.ajax({
			url: "{{ URL('delivery_get_material/') }}",
			type:"GET",
				success:function(respons){
				
					if(respons){
							
								jq('#orderget_material_'+value+'').html(respons);
								$('#orderget_material_'+value+'').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
								$('#orderget_material_'+value+'')[0].sumo.reload();
							
					}
				}
			});
	    }
	 
	 	<!-- reseting Value-->
    	function reset_value1(row){
				 
					   document.getElementById('orderlprice_'+row+'').innerHTML=' ';
					   document.getElementById('orderltotal_'+row+'').innerHTML=' ';
					   document.getElementById('qty_'+row+'').value ='';
					   document.getElementById('orderprice_'+row+'').value ='';
					   document.getElementById('ototal_'+row+'').value ='';
					   
				  
		}
			 
		<!--get_resion-->
		function get_resion(get_resion,row){		 
				jq.ajax({
				url: "{{ URL('order_get_resion/') }}"+"/" +get_resion,
				type:"GET",
				success:function(respons)
				{
				if(respons)
				{
					jq('#resion_type_'+row+'').html(respons);
				}
				
				}
				});
		}	

	 
		<!-- Deleting row-->
		function deleteRow(r,row) {
				 
			if(row==0){
				alert("you can not remove first row");
			}
			else{
         	var i = r.parentNode.parentNode.rowIndex;
		  
	      	document.getElementById("myTable1").deleteRow(i);
		  	calculate();
		  
			}
		}
		
</script>	

