@include('theme_layout/header')
@include('theme_layout/nav')

<div class="app-main__outer">
 <div class="app-main__inner">
  <div class="app-page-title">
   <div class="page-title-wrapper">
    <div class="page-title-heading">
	 <div class="page-title-icon">
	  <i class="pe-7s-graph text-success"></i>
	 </div>  <!--page-title-icon-->
	 
	 <div>View Device Enrollment</div>
	 
	</div>  <!--page-title-heading-->
	 <div class="page-title-actions">
	  <div class="d-inline-block dropdown">
	   <a id="back" class="mt-3 btn btn-primary btn-lg text-white">
	   <i class="fa fa-arrow-left fa-w-20 text-white"></i> Back</a>
	  </div>
	 </div>   <!--page-title-actions-->
   </div> <!--page-title-wrapper -->
  </div>  <!--app-page-title -->  
  <div class="tab-content">
   <div class="tab-pane tabs-animation fade show active" id="tab-content-0" role="tabpanel">
    <div class="main-card mb-3 card">
     <div class="card-body">
      <div class="container">
	   <div class="form-group row">
        <div class="col-md-4">
		 <div class="position-relative form-group">
		    <label class="font-weight-bold ml-2" for="device_name" class="">Device:</label>
			<input  value="{{$get_data[0]->device_code}} - {{$get_data[0]->device_name}}"  type="text" class="form-control" readonly  >
			</div>
		   </div>
		 
		<div class="col-md-4">
		 <div class="position-relative form-group">
		   <label class="font-weight-bold ml-2" for="brand">Brand:</label>
			<input  value="{{$get_data[0]->brand}}"  type="text" class="form-control" readonly>
			</div>
		   </div>
		   
		   <div class="col-md-4">
		 <div  class="position-relative form-group">
		  <label  class="font-weight-bold ml-2" for="device_discription" class="">Device Discription: </label>
		   <input readonly class="mb-2 form-control" name="device_discription" value="{{$get_data[0]->device_discription}}" id="device_discription"> 
		 </div>
		</div>
		
       </div>    <!--end form group row-->
	   
	   <div class="form-group row">
		<div class="col-md-4">
		 <div  class="position-relative form-group">
		  <label  class="font-weight-bold ml-2" for="operating_sys" class="">Operaring System:</label>
		   <input readonly class="mb-2 form-control" name="operating_sys" value="{{$get_data[0]->operating_sys}}" id="operating_sys"> 
		 </div>
		</div>
	  
		<div class="col-md-4">
		 <div  class="position-relative form-group">
		  <label  class="font-weight-bold ml-2" for="imei_1" class=""> IMEI 1: </label>
		   <input readonly class="mb-2 form-control" name="imei_1" value="{{$get_data[0]->imei_1}}" id="imei_1"> 
		 </div>
		</div>
		 					
	   
		<div class="col-md-4">
		 <div class="position-relative form-group">
		  <label  class="font-weight-bold ml-2" for="imei_2" class="">IMEI 2:</label>
		  <input readonly class="mb-2 form-control" name="imei_2" value="{{$get_data[0]->imei_2}}" id="imei_2"> 
		 </div>      <!--position ralative form group-->
		</div>
		
		<div class="col-md-4">
		 <div class="position-relative form-group">
		  <label  class="font-weight-bold ml-2" for="serial_num" class="">Serial Number:</label>
		   <input readonly class="mb-2 form-control" name="serial_num" value="{{$get_data[0]->serial_num}}" id="serial_num">
		 </div>        <!--position ralative form group-->
		</div>
	  
	  <div class="col-md-4">
		 <div class="position-relative form-group">
		  <label  class="font-weight-bold ml-2" for="status" class="">Status:</label>
		   <input readonly class="mb-2 form-control" name="status" value="{{$get_data[0]->status}}" id="status">
		 </div>        <!--position ralative form group-->
		</div>
	   </div>   <!--end form group row-->
	   
<!--  add row -->				
<!--for distributor-->
    
   
	   </div>     <!--container-->
              <br><br>
     </div>     <!--card body-->
    </div>       <!--main-card mb-3 card"-->                    
   </div>     <!--tab-pane tabs-animation fade show active-->
  </div>    <!--tab-content-->
 </div>    <!--app-main__inner-->
@include('theme_layout/footer')
 
<script>
   var jq = $.noConflict();
   jq(document).ready(function(){
	   
	   jq("#back").click(function(){
		   window.history.back();
	   })

   })
</script> 				    