
@include('theme_layout/header')
@include('theme_layout/nav')

<div class="app-main__outer"> 
 <div class="app-main__inner">
  <div class="app-page-title">
   <div class="page-title-wrapper">
	<div class="page-title-heading">
	 <div class="page-title-icon">
	  <i class="pe-7s-graph text-success">
	  </i>
	 </div>      <!--page-title-icon-->
     
	 <div>  
			{{ request()->route('id') ? 'Edit ' : 'Add ' }} 
			Asset Master
	 </div>
	</div>      <!--page-title-heading-->
                            
	<div class="page-title-actions">
	 <div class="d-inline-block dropdown">
	 
     <a href="{{route('asset_master_list')}}" class="mt-3 btn btn-primary btn-lg text-white">
		  <i class="fa fa-arrow-left fa-w-20"></i> Back</a>
	  
	 </div>      <!--d-inline-block dropdown-->
	</div>      <!--page-title-actions-->
   </div>      <!--page-title-wrapper-->
  </div>         <!--app-page-title-->         
					 
  <div class="tab-content">
   <div class="tab-pane tabs-animation fade show active" id="tab-content-0" role="tabpanel">
	<div class="main-card mb-3 card">
	 <div class="card-body"><h5 class="card-title"></h5> 
	 
	 <form id="form" class="" onsubmit="return checkForm(this);" action="{{ route('asset_master_save') }}" method="post">
			{{ csrf_field() }}


        <div class="form-row">    
            <div class="col-md-4">
                <div class="position-relative form-group">
                <label for="asset_c" class="ml-2 font-weight-bold">Assect Code</label>
                <input name="asset_code" id="asset_code" placeholder="" type="hidden" maxlength="25" class="form-control" value="{{ request()->route('id') ? $get_data->asset_code : $last_code }}" autocomplete="off" required>
                <input name="asset_c" id="asset_c" placeholder="" type="text" maxlength="25" class="form-control" value="{{ request()->route('id') ? $get_data->asset_code : $last_code }}" autocomplete="off" disabled="true" required>
                </div>
            </div>
		
            <div class="col-md-4">
                <div class="position-relative form-group">
                <label for="asset_category" class="ml-2 font-weight-bold">Asset Category</label>
                <select name="asset_category" id="asset_category" class="form-control" required>
                    <option value=""></option>
                    @if(request()->route('id'))
                    @foreach($asset_c as $a_category)
                    <option {{$get_data->asset_category_id == $a_category->id ? 'selected' : '' }} value="{{$a_category->id}}">{{$a_category->asset_category_code}}-{{$a_category->asset_category_name}}</option>
                    @endforeach
                    @else
                    @foreach($asset_c as $a_category)
                    <option value="{{$a_category->id}}">{{$a_category->asset_category_code}}-{{$a_category->asset_category_name}}</option>
                    @endforeach
                    @endif
                </select>
                </div>
            </div>

            <div class="col-md-4">
                <div class="position-relative form-group">
                <label for="asset_number" class="ml-2 font-weight-bold">Asset Number</label>
                <input name="asset_number" id="asset_number" placeholder="" type="text" maxlength="25" class="form-control" value="{{ request()->route('id') ? $get_data->asset_number : '' }}" autocomplete="off" required></div>
            </div>
        </div><!--form-row-->


        <div class="form-row">    
            <div class="col-md-4">
                <div class="position-relative form-group">
                <label for="serial_number" class="ml-2 font-weight-bold">Serial Number</label>
                <input name="serial_number" id="serial_number" placeholder="" type="text" maxlength="25" class="form-control" value="{{ request()->route('id') ? $get_data->serial_number : '' }}" autocomplete="off" required></div>
            </div>
		
            <div class="col-md-4">
                <div class="position-relative form-group">
                <label for="model_number" class="ml-2 font-weight-bold">Model Number</label>
                <input name="model_number" id="model_number" placeholder="" type="text" maxlength="25" class="form-control" value="{{ request()->route('id') ? $get_data->model_number : '' }}" autocomplete="off" required>
                </div>
            </div>

            <div class="col-md-4">
                <div class="position-relative form-group">
                <label for="aquisition" class="ml-2 font-weight-bold">Aquisition Date</label>
                <input type="date" name="aquisition" id="aquisition" class="form-control" autocomplete="off" value="{{ request()->route('id') ? $get_data->aquisition_date : '' }}" required>
            </div>
            </div>
        </div><!--form-row-->


        <div class="form-row">    
            <div class="col-md-4">
                <div class="position-relative form-group">
                <label for="sap_c" class="ml-2 font-weight-bold">SAP Code</label>
                <input name="sap_code" id="sap_code" placeholder="" type="hidden" maxlength="25" class="form-control" value="{{ request()->route('id') ? $get_data->sap_code : '' }}" autocomplete="off" required>
                <input name="sap_c" id="sap_c" placeholder="" type="text" maxlength="25" class="form-control" value="{{ request()->route('id') ? $get_data->sap_code : '' }}" autocomplete="off" disabled="true" required></div>
            </div>
		
            <div class="col-md-4">
                <div class="position-relative form-group">
                <label for="supplier" class="ml-2 font-weight-bold">Supplier</label>
                <select name="supplier" id="supplier" class="form-control" required>
                    <option value=""></option>
                    @if(request()->route('id'))
                    @foreach($supplier as $supl)
                    <option {{$get_data->supplier_id == $supl->id ? 'selected' : '' }} value="{{$supl->id}}">{{$supl->supplier_code}}-{{$supl->supplier_name}}</option>
                    @endforeach
                    @else
                    @foreach($supplier as $supl)
                    <option value="{{$supl->id}}">{{$supl->supplier_code}}-{{$supl->supplier_name}}</option>
                    @endforeach
                    @endif
                </select>
                </div>
            </div>

            <div class="col-md-4">
                <div class="position-relative form-group">
                <label for="manufacturer" class="ml-2 font-weight-bold">Manufacturer</label>
                <input name="manufacturer" id="manufacturer" placeholder="" type="text" maxlength="25" class="form-control" value="{{ request()->route('id') ? $get_data->manufacturer : '' }}" autocomplete="off" required></div>
            </div>
        </div><!--form-row-->


        <div class="form-row">    
            <div class="col-md-4">
                <div class="position-relative form-group">
                <label for="country" class="ml-2 font-weight-bold">Country of Manufacturer</label>
                <input name="country" id="country" placeholder="" type="text" maxlength="25" class="form-control" value="{{ request()->route('id') ? $get_data->country : '' }}" autocomplete="off" required></div>
            </div>
		
            <div class="col-md-4">
                <div class="position-relative form-group">
                <label for="status" class="ml-2 font-weight-bold">Status</label>
                <input name="customer_id" id="customer_id" placeholder="" type="hidden" maxlength="25" class="form-control" value="{{ request()->route('id') ? $get_data->customer_id : '' }}" autocomplete="off" required>
                <select class="mb-2 form-control" name="status" id="status" required > 
                        <option value="">   </option>
                        @if(request()->route('id'))
                        <option {{$get_data->status == 'active' ? 'selected' : '' }} value ="0">Active</option>
                        <option {{$get_data->status == 'inactive' ? 'selected' : '' }} value="1">Inactive</option>
                        @else
                        <option value ="active">Active</option>
                        <option value="inactive">Inactive</option>
                        @endif
                </select>
            </div>
            </div>

        </div><!--form-row-->

        @if(request()->route('id'))
        <input name="updated_id" id="updated_id" placeholder="" type="hidden"   value="{{ request()->route('id') ? $get_data->id : '' }}" >
        @endif


	   <div class="row ">
		<div class="col-md-5 ml-5"></div>
			@if(request()->route('id'))
			<button class="mt-3 btn btn-primary btn-lg">Update</button> 
			@else
			<button id="submit" name="btnsubmit" class="mt-3 btn btn-primary btn-lg">Save</button> 
			@endif
			<a href="{{route('asset_master_list')}}" class="mt-3 btn btn-danger ml-2  btn-lg">Cancel</a> 
	   </div>      <!--row-->
	 </form>
	   
	   
	 </div>      <!--card-body-->
    </div>      <!--main-card mb-3 card-->
   </div>      <!--tab-pane tabs-animation fade show active-->
  </div>      <!--tab-content-->
 </div>      <!--app-main__inner-->
 @include('theme_layout/footer')
 <script>

    var jq = $.noConflict();
	 function checkForm(form)
			{ 
		form.btnsubmit.disabled = true;
		return true;
			}
    
    jq(document).ready(function(){

        

    )};
</script>
       

