@include('theme_layout/header')
@include('theme_layout/nav')
<div class="app-main__outer">                
   <div class="app-main__inner">
    <div class="app-page-title">
     <div class="page-title-wrapper">
      <div class="page-title-heading">
       <div class="page-title-icon">
        <i class="pe-7s-graph text-success">
         </i>
       </div> <!--page-title-icon-->
        <div>  
         {{ request()->route('id') ? 'Edit ' : 'Add ' }}
         Company
		 
        </div>								
     </div>
	 
         <div class="page-title-actions">                                 
          <div class="d-inline-block dropdown">
	       <a href="{{route('company_list')}}" class="mt-3 btn btn-primary btn-lg"> <i class="fa fa-arrow-left fa-w-20"></i> Back</a>
           </div>
          </div>
     </div> <!--page-title-wrapper-->
    </div>  
 			
        <div class="tab-content">
         <div class="tab-pane tabs-animation fade show active" id="tab-content-0" role="tabpanel">
          <div class="main-card mb-3 card">
           <div class="card-body">
            <form class="" onsubmit="return checkForm(this);" action="{{ route('company_store') }}" method="post" enctype="multipart/form-data">
		    {{ csrf_field() }}					  
             <div class="form-row">					
	          <div class="col-md-4">
		       <div class="position-relative form-group">
			    <label  class="font-weight-bold ml-2" for="company_code" class=""> Company Code </label><input maxlength="120"name="company_code" id="company_code" value="{{$last_code}}"  type="text" class="form-control" autocomplete="off" required readonly>												
               <input name="updated_id" id="updated_id" value="{{ request()->route('id') }}" type="hidden" autocomplete="off">
	        </div>
          </div>
	
	    <div class="col-md-4">
		 <div class="position-relative form-group">
		  <label class="font-weight-bold ml-2" for="company_name" class="">Company Name</label><input maxlength="120" name="company_name" id=  "company_name" value="{{ request()->route('id') ? $get_data->company_name : '' }}"  type="text" class="form-control" autocomplete="off" required>
		 </div>
	    </div>
			
	    <div class="col-md-4">
		 <div class="position-relative form-group">
		  <label class="font-weight-bold ml-2" for="company_type" class="">   Company Type</label><select class="mb-2 form-control" name="company_type" id="company_type" required >
			@if(request()->route('id')) 												
			 @foreach($company_type as $company_type_name)
              <option {{$get_data->company_type == $company_type_name->id ? 'selected' : '' }} value ="{{$company_type_name->id}}">{{$company_type_name->company_type_code}} - {{$company_type_name->company_type_name}}</option>
			 @endforeach												
                         @else 
                         <option value=""> </option>												 
						 @foreach($company_type as $company_type_name)
                       <option  value ="{{$company_type_name->id}}">{{$company_type_name->company_type_code}} {{$company_type_name->company_type_name}}</option>
				  @endforeach												 
                @endif											
		    </select>
		  </div>
        </div>											
       </div><!--form-row-->
	
        <div class="form-row">                                           
         <div class="col-md-4">
          <div class="position-relative form-group">
			<label class="font-weight-bold ml-2" for="currency" class="">Currency</label><select class="mb-2 form-control" name="currency_id" id="currency" required >						
				@if(request()->route('id')) 												
                  @foreach($currency as $currencyname)
                   <option {{$get_data->currency_id == $currencyname->id ? 'selected' : '' }} value ="{{$currencyname->id}}">{{$currencyname->currency_code}} - {{$currencyname->currency_name}}</option>
			      @endforeach												
			    @else 
                   <option value=""> </option>												 
		          @foreach($currency as $currencyname)
                   <option  value ="{{$currencyname->id}}">{{$currencyname->currency_code}} -       {{$currencyname->currency_name}}</option>
	              @endforeach												 
                @endif											
		      </select>
	        </div>
          </div>
				
        <div class="col-md-4">
	     <div class="position-relative form-group ">
	      <label class="font-weight-bold ml-2" for="country" class="">Country</label><select class="mb-2 form-control country1" name="country_id" id="country1" required > 						
			@if(request()->route('id')) 												
			 @foreach($country as $countryname)
			  <option {{$get_data->country_id == $countryname->id ? 'selected' : '' }} value ="{{$countryname->id}}">{{$countryname->country_code}} - {{$countryname->country_name}}</option>
			 @endforeach												
			@else 
			  <option value=""> </option>
			 @foreach($country as $countryname)
			  <option value ="{{$countryname->id}}">{{$countryname->country_code}} -  {{$countryname->country_name}}</option>
			 @endforeach
			@endif											
			</select>
		   </div>
         </div>
	
	    <div class="col-md-4">
          <div class="position-relative form-group">
		   <label for="city" class="ml-2 font-weight-bold">City</label> 
			@if(request()->route('id')) 												 
			 <input name="country_id" id="country_id" value="{{ request()->route('id') ? $get_data->country_id : '' }}" type="hidden" autocomplete="off">									 
			 <input name="city_id" id="city_id" value="{{ request()->route('id') ?   $get_data->city_id : '' }}" type="hidden" autocomplete="off">									 
             <select class="mb-2 form-control" name="city_id" id="cityadd" required>
			 </select>		                                                 
            @else 
              <select class="mb-2 form-control" name="city_id" id="cityadd" required >
              </select>	
            @endif  
		  </div>
        </div>
      </div>	
									 
	    <div class="form-row">
		 <div class="col-md-4">
		  <div class="position-relative form-group">
			<label  class="font-weight-bold   ml-2" for="address" class="">Address</label><input maxlength="100" name="address" id="address"value="{{ request()->route('id') ? $get_data->address : '' }}"  type="text" class="form-control" autocomplete="off" required>
		  </div>
		</div>	
		
	    <div class="col-md-4"> 
	     <div class="position-relative form-group">
			 <label  class="font-weight-bold ml-2" for="pincode" class="">P.O Box Number</label><input   name="pincode" id="pincode" value="{{ request()->route('id') ? $get_data->pincode : '' }}" autocomplete="off"  type="text" maxlength="10" class="form-control" required onkeypress="return isNumberKey(event)">
		 </div>
       </div>
	
        <div class="col-md-4">
		  <div class="position-relative form-group">
		     <label class="font-weight-bold ml-2" for="email_id" class="">Email Id</label><input maxlength="125" name="email_id" id="email_id"  type="text" value="{{ request()->route('id') ? $get_data->email_id : '' }}"  class="form-control" autocomplete="off" required>
		  </div>
	   </div>
      </div><!--form-row-->
	
	    <div class="form-row">
	      <div class="col-md-4">
		   <div class="position-relative form-group">
				<label class="font-weight-bold ml-2"    for="contact_no" class="">Contact 	No.</label>
				<input autocomplete="off" required type="text" name="contact_no" maxlength="15" id="myinput" value="{{ request()->route('id') ? $get_data->contact_no : '' }}" class="form-control" onkeypress="return isNumberKey(event)">			 
	         </div>
	      </div>
	
		@php
		  $img= request()->route('id');
		   @endphp													
		    @if($img!='')			
	         <div class="col-md-4">
	          <div class="position-relative form-group">
              <label for="company_logo" class="font-weight-bold ml-2">Company Logo</label>			
		        <!--<img src="{{asset('storage/app/'.$get_data->company_logo)}}" alt="" height="80px" width="70px" class="ml-4">-->			
				 <a class="image-link" href="{{asset('storage/app/'.$get_data->company_logo)}}">Show image</a>				
				<input name="company_logo" value="{{$get_data->company_logo}}" id="company_logo" placeholder="" type="file" class="form-control" autocomplete="off">
		    </div>
	     </div>		
		@else
			
		<div class="col-md-4">
		  <div class="position-relative form-group">
		   <label for="company_logo" class="font-weight-bold ml-2">Company Logo</label>
			 <input name="company_logo" id="company_logo" placeholder="" type="file" class="form-control" autocomplete="off" required>
		    </div>
		   </div>												  
		@endif
			
		   <div class="col-md-4">
			 <div class="position-relative form-group">
			  <label class="font-weight-bold ml-2" for="max_uom" class="">Vat </label><input   maxlength="10" name="vat" id="vat"  type="text" onkeypress="return /^-?[0-9]*$/.test(this.value+event.key)" class="form-control" value="{{ request()->route('id') ? $get_data->vat : '' }}" autocomplete="off" required>
			   </div>
		   </div>					
			 
        <div class="col-md-4">
	      <div class="position-relative form-group">
		    <label class="font-weight-bold ml-2" for="status" class="">Status</label><select class="mb-2 form-control" name="status" id="status" required  >										
	         @if(request()->route('id')) 												
	            <option>   </option>
	            <option {{ $get_data->status == 'active' ? 'selected' : '' }} value ="active">Active</option>
	            <option {{ $get_data->status == 'inactive' ? 'selected' : '' }}   value="inactive">Inactive</option>                                            
	         @else 
	            <option>   </option>
	            <option value ="active">Active</option>
	            <option value="inactive">Inactive</option>
	         @endif	
	       </select>
         </div>
       </div>											
      </div>	<!--form now-->	
								
	    <div class="form-row">
	     <div class="col-md-5"></div>
		   @if(request()->route('id'))
		    <button name="btnsubmit" id="submit" type="submit" class="mt-3 btn btn-primary btn-lg">Update</button>
		   @else  
		    <button id="submit" name="btnsubmit" type="submit" class="mt-3 btn btn-primary btn-lg">Save</button>
		   @endif
		    <div class="col-md-0.5">
			</div>
		    <a href="{{route('company_list')}}" class="mt-3 btn btn-danger  btn-lg">Cancel</a>
	     </div>
	   </form>
     </div><!--card-body-->
    </div>                            
   </div>                         
  </div> <!--tab-content-->                        
 </div> <!--app-main__inner-->                                            								
 @include('theme_layout/footer') 
</div> <!--app-main__outer-->
 
 <script>

    var jq = $.noConflict();
	function checkForm(form)
  {
     
    form.btnsubmit.disabled = true;
    return true;
  }
function isNumberKey(evt)
			{
				var charCode = (evt.which) ? evt.which : evt.keyCode;
				if (charCode != 46 && charCode > 31 
				&& (charCode < 48 || charCode > 57))
				return false;
				return true;
			}  
       jq(document).ready(function(){
		   
		
	       $('#company_type').SumoSelect({ selectAll:true,search: true, triggerChangeCombined : true});
		   $('#currency').SumoSelect({ selectAll:true,  search: true,triggerChangeCombined : true});
	        $('#country1').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	          
			  var country = '';
	            jq("#country1").click(function(){
		            
		          var country =  jq('#country1').val();
		           var city ='0';
                 get_city(country,city);
 
               });
	 
	    if(country =='') {
		 
	      var country_id =  jq('#country_id').val();
		  var city_id =  jq('#city_id').val();
		 
		  if(!country_id=='')
		  {
			 get_city(country_id, city_id);
			 //alert(country_id);
		  } 
	   }  
	 
  function get_city(country_id, city)
     {
		  //alert(country_id);
		    jq.ajax({
		      url: "{{ URL('company/get_country/') }}" +"/" + country_id +'/'+city,
               type:"GET",
              
                 success:function(respons)
                {
                if(respons)
			    {
				jq('#cityadd').html(respons);
				$('#cityadd').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	            $('#cityadd')[0].sumo.reload();
			   }
         
            }
         });
       }	
	
});

 
		
</script>

<script>
  $(document).ready(function() {
   $('.image-link').magnificPopup({type:'image'});
  });
</script>		
   
                

