@include('theme_layout/header')
@include('theme_layout/nav')
<div class="app-main__outer">                
 <div class="app-main__inner">
  <div class="app-page-title">
   <div class="page-title-wrapper">
    <div class="page-title-heading">
     <div class="page-title-icon">
      <i class="pe-7s-graph text-success">
      </i>
     </div>
	 
      <div>  
	   {{ request()->route('id') ? 'Edit ' : 'Add ' }}
      Customer
	  </div>
    </div><!--page-title-heading-->
				
    <div class="page-title-actions">
      <div class="d-inline-block dropdown">
		<a href="{{route('customer_list')}}" class="mt-3 btn btn-primary btn-lg"> <i class="fa fa-arrow-left fa-w-20"></i> Back</a>
      </div>
     </div>  
	 </div><!--page-title-wrapper-->
    </div> <!--app-page-title-->
			
    <div class="tab-content">
      <div class="tab-pane tabs-animation fade show active" id="tab-content-0" role="tabpanel">
        <div class="main-card mb-3 card">
          <div class="card-body">
		  <form class="" onsubmit="return checkForm(this);"  action="{{ route('customer_store') }} " method="post">
           @csrf
		  <div class="mb-3 card">
         <div class="card-header card-header-tab-animation">
        <ul class="nav nav-justified">
       <li class="nav-item"><a data-toggle="tab" href="#tab-eg115-0" class="active nav-link">Customer Details</a></li>
	  <li id="account_details" class="nav-item"><a data-toggle="tab" href="#tab-eg115-1" class="nav-link">Account Details</a></li>
	  <li class="nav-item"><a data-toggle="tab" href="#tab-eg115-2" class="nav-link">Address Information</a></li>
	 </ul>
	</div><!--card-header card-header-tab-animation-->
	
	<div class="card-body">
	  <div class="tab-content">
		<div class="tab-pane active" id="tab-eg115-0" role="tabpanel">
		  <div class="form-row">
			
			
	  <div class="col-md-4">
	   <div class="position-relative form-group">
		<label  class="font-weight-bold ml-2" for="customer_type" class="">Customer Type</label><select class="mb-2 form-control" name="customer_type" id="customer_type"  required > 
		 @if(request()->route('id')) 
		  @foreach($customer_type as $customer_typename)
		   <option {{$get_data->customer_type == $customer_typename->id ? 'selected' : '' }} value ="{{$customer_typename->id}}"> {{$customer_typename->customer_type_code}} -   {{$customer_typename->customer_type_name}}</option>
		   @endforeach 
		    @else 
		    <option value=""> </option>
	       @foreach($customer_type as $customer_typename)
          <option value ="{{$customer_typename->id}}">{{$customer_typename->customer_type_code}} -   {{$customer_typename->customer_type_name}}</option>
	     @endforeach
	    @endif 
	   </select>
      </div><!--position-relative form-group-->
    </div><!--col-md-4-->
		
	<div class="col-md-4" id="customer_category_dive">
	  <div class="position-relative form-group">
		<label class="font-weight-bold ml-2" for="customer_category" class="">      Customer Category</label>
		  @if(request()->route('id')) 												 
			<input name="customer_type_id" id="customer_type_id" value="{{ request()->route('id') ? $get_data->customer_type : '' }}" type="hidden" autocomplete="off">									 
			<input name="customer_category_id" id="customer_category_id" value="{{ request()->route('id') ? $get_data->customer_category : '' }}" type="hidden" autocomplete="off">									 
			<select class="mb-2 form-control" name="customer_category" id="customer_category_add" >
			</select>		                                                 
		  @else 
		<select class="mb-2 form-control" name="customer_category" id="customer_category_add" >
		</select>	
		@endif
	  </div><!--position-relative form-group-->
    </div><!--col-md-4-->

	<div class="col-md-4">
	  <div class="position-relative form-group">
		 <label class="font-weight-bold ml-2"  for="customer_code" class="">Customer Code</label><input  maxlength="20" name="customer_code" id="customer_code"  type="text" class="form-control" value="{{$last_code}}" autocomplete="off" readonly required>
	  </div>
    </div>
	<!--form-row-->
	
    
	  <div class="col-md-4">
		<div class="position-relative form-group">
		  <label class="font-weight-bold ml-2"  for="customer_name" class="">Customer Name</label><input  maxlength="100" name="customer_name" id="customer_name"  type="text" class="form-control" value="{{ request()->route('id') ? $get_data->customer_name : '' }}" autocomplete="off" required ></div>
	  </div>
		
	<div class="col-md-4">
	  <div class="position-relative form-group">
		<label class="font-weight-bold ml-2" for="tin_no" class="">Tin No</label><input  maxlength="100" name="tin_no" id="tin_no"  type="text" class="form-control"value="{{ request()->route('id') ? $get_data->tin_no : '' }}" autocomplete="off" required>
		<input name="updated_id" id="updated_id" value="{{ request()->route('id') }}" type="hidden" autocomplete="off">
      </div>
    </div>
	
	<div class="col-md-4">
		<div class="position-relative form-group">
		<label class="font-weight-bold ml-2" for="email" class="">Email</label>
		   <input  maxlength="50" name="email" id="email"  type="text" class="form-control" value="{{ request()->route('id') ? $get_data->email : '' }}" autocomplete="off" required>
		</div>
	</div>
	<!--form-row-->
	
	
	   <div class="col-md-4">
		 <div class="position-relative form-group">
		  <label class="font-weight-bold ml-2" for="contact_no" class="">Contact No.</label>
			<input autocomplete="off" required type="text" name="contact_no" maxlength="15" id="myinput" value="{{ request()->route('id') ? $get_data->contact_no : '' }}" class="form-control" onkeypress="return isNumberKey(event)">
		  </div>
        </div>

	<div class="col-md-4">
	  <div class="position-relative form-group">
		<label class="font-weight-bold ml-2" for="erp_customer" class="">Erp Customer
		 </label>
		<input readonly maxlength="30" class="mb-2 form-control" name="erp_customer" value="{{ request()->route('id') ? $get_data->erp_customer : '' }}" id="erp_customer" autocomplete="off"  > 
	  </div>
	</div>
	  
	<div class="col-md-4" id="route_dive">
	    <div class="position-relative form-group ">
		 <label class="font-weight-bold ml-2" for="route" class="">Route</label>
		   <select class="mb-2 form-control country1" name="route" id="routename" >  
			@if(request()->route('id')) 
			@foreach($route as $routename)
		    <option {{$get_data->route_id == $routename->id ? 'selected' : '' }} value ="{{$routename->id}}">{{$routename->route_code}} - {{$routename->route_name}}</option>
			@endforeach
			@else 
		    <option value=""> </option>
			@foreach($route as $routename)
		    <option value ="{{$routename->id}}">{{$routename->route_code}} - {{$routename->route_name}}</option>
			@endforeach
			@endif
		  </select>
		</div><!--position-relative form-group -->
     </div><!--col-md-4-->
	 <!-- show and hide based on route -->
	  <div style="display:none" id="routeregion_div" class="col-md-4">
          <div class="position-relative form-group"><label class="font-weight-bold ml-2" for="contact_no" class="">Region</label>
		    <input readonly type="text" name="region_id" id="region_id" value="" class="form-control" />
			<input readonly type="hidden" name="region" id="region" value="" class="form-control" />
          </div>
	  </div>
	<!-- show and hide based route -->	 
   <div style="display:none" id="routsuberegion_div" class="col-md-4">
      <div class="position-relative form-group"><label class="font-weight-bold ml-2" for="contact_no" class="">Sub Region</label>
		  <input readonly type="text" name="sub_region_id" id="sub_region_id" value="" class="form-control" >
		  <input readonly type="hidden" name="sub_region" id="sub_region" value="" class="form-control" />
      </div>
   </div>
	
    <div class="col-md-4" id="trading_center_dive">
	  <div class="position-relative form-group">
		<label for="city" class="ml-2 font-weight-bold">Trading Center
		 </label>  
		 @if(request()->route('id')) 
		 <input name="route_id" id="route_id" value="{{ request()->route('id') ? $get_data->route_id : '' }}" type="hidden" autocomplete="off"> 
	     <input name="trading_center_id" id="trading_center_id" value="{{ request()->route('id') ? $get_data->trading_center_id : '' }}" type="hidden" autocomplete="off"> 
		 <select class="mb-2 form-control" name="trading_center" id="trading_add"  >
	     </select> 
	    @else  
	   <select class="mb-2 form-control" name="trading_center" id="trading_add"  >
	   </select> 
	   @endif  
	  </div><!--position-relative form-group-->
	</div> <!--col-md-4-->
	
	  <div class="col-md-4">
		<div class="position-relative form-group">
		 <label class="font-weight-bold ml-2" for="credit_limit" class="">Credit Limit.</label><input  maxlength="10" name="credit_limit" id="credit_limit"  type="text" class="form-control" value="{{ request()->route('id') ? $get_data->credit_limit : '' }}" required autocomplete="off">
		</div>
	   </div>
		 
	<div class="col-md-4">
	 <div class="position-relative form-group">
	  <label class="font-weight-bold ml-2" for="credit_days" class="">Credit Days</label>
	   <input  maxlength="20" name="credit_days" id="credit_days" p type="text" class="form-control" value="{{ request()->route('id') ? $get_data->credit_days : '' }}" autocomplete="off" required>
	 </div><!--position-relative form-group-->
	</div> <!--col-md-4-->
	
	<div class="col-md-4">
	  <div class="position-relative form-group">
		<label class="font-weight-bold ml-2" for="credit_balance" class="">Credit Balance</label><input  maxlength="30" name="credit_balance" id="credit_balance"  type="text" class="form-control" value="{{ request()->route('id') ? $get_data->credit_balance : '' }}" autocomplete="off"  required>
	  </div><!--position-relative form-group-->
	 </div> <!--col-md-4-->
	
      <div class="col-md-4">
        <div class="position-relative form-group">
	     <label class="font-weight-bold ml-2" for="payment_term" class="">Payment Term
         </label>
          <select class="mb-2 form-control" name="payment_term" id="payment_term" required> 
		  @if(request()->route('id')) 
		  @foreach($payment_term as $payment_termname)
		  <option {{$get_data->payment_term == $payment_termname->id ? 'selected' : '' }} value ="{{$payment_termname->id}}">{{$payment_termname->payment_code}} - {{$payment_termname->payment_term}}</option>
		  @endforeach
		   @else 
		  <option value=""> </option>
		  @foreach($payment_term as $payment_termname)
		   <option value ="{{$payment_termname->id}}">{{$payment_termname->payment_code}} -   {{$payment_termname->payment_term}}  </option>
		  @endforeach
		  @endif	 
	      </select>
        </div><!--position-relative form-group-->
      </div> <!--col-md-4-->

	<div class="col-md-4">
	  <div class="position-relative form-group">
		<label class="font-weight-bold ml-2" for="status" class="">Status</label>
		  <select class="mb-2 form-control" name="status" id="status" required>  
		  @if(request()->route('id')) 
		  <option value="">  </option>
		  <option {{ $get_data->status == 'active' ? 'selected' : '' }} value ="active">Active</option>
		  <option {{ $get_data->status == 'inactive' ? 'selected' : '' }} value="inactive">Inactive</option>
		  @else 
		  <option value="">   </option>
		  <option value ="active">Active</option>
		  <option value="inactive">Inactive</option>
		  @endif 
		  </select>
		</div><!--position-relative form-group-->
	   </div><!--col-md-4-->
      </div><!--row form-->
     </div><!--tab-pane active-->
		
    <div class="tab-pane" id="tab-eg115-1" role="tabpanel">
      <div class="form-row"> 
	    <div class="col-md-4">
		  <div class="position-relative form-group">
		   <label  class="font-weight-bold ml-2" for="bank_account_name1" class="">Bank Account Name1 </label>
		  <input  maxlength="130" name="bank_account_name1" id="bank_account_name1" type="text" class="form-control" value="{{ request()->route('id') ? $get_data->bank_account_name1 : '' }}" autocomplete="off">
		 </div><!--position-relative form-group-->
	    </div>
			
	<div class="col-md-4">
		<div class="position-relative form-group">
		     <label class="font-weight-bold ml-2"  for="bank_account_number1" class=""> Bank Account Number1 </label>
			 <input  maxlength="130"name="bank_account_number1" id="bank_account_number1" type="text" class="form-control " value="{{ request()->route('id') ? $get_data->bank_account_number1 : '' }}" autocomplete="off">
		</div>
	  </div>
	
	<div class="col-md-4">
		<div class="position-relative form-group">
		   <label class="font-weight-bold ml-2" for="bank_branch1" class="">Bank Branch1
		     </label>
		     <input  maxlength="130" name="bank_branch1" id="bank_branch1"  type="text" class="form-control" value="{{ request()->route('id') ? $get_data->bank_branch1 : '' }}" autocomplete="off">
		  </div>
	    </div>
      </div>

    <div class="form-row"> 
	 <div class="col-md-4">
		<div class="position-relative form-group">
		    <label class="font-weight-bold ml-2" for="bank_account_name2" class="">Bank Account Name2</label>
			<input  maxlength="130" name="bank_account_name2" id="bank_account_name2"  type="text" class="form-control" value="{{ request()->route('id') ? $get_data->bank_account_name2 : '' }}" autocomplete="off">
		</div>
	  </div>
	
	    <div class="col-md-4">
		 <div class="position-relative form-group">
			<label class="font-weight-bold ml-2" for="bank_account_number2" class="">Bank Account Number2 </label>
			<input  maxlength="130" name="bank_account_number2" id="bank_account_number2"  type="text" class="form-control" value="{{ request()->route('id') ? $get_data->bank_account_number2 : '' }}" autocomplete="off" >
		   </div>
	    </div>
	
        <div class="col-md-4">
		 <div class="position-relative form-group">
		  <label class="font-weight-bold ml-2" for="bank_branch2" class="">Bank Branch2
		  </label>
		   <input  maxlength="100" name="bank_branch2" id="bank_branch2"  type="text" class="form-control" value="{{ request()->route('id') ? $get_data->bank_branch2 : '' }}" autocomplete="off">
		 </div>
		</div>
      </div>
    </div><!--tab-pane-->

	<div class="tab-pane" id="tab-eg115-2" role="tabpanel">
		<div class="form-row">
			<div class="col-md-4">
				<div class="position-relative form-group">
				   <label class="font-weight-bold ml-2" for="address" class="">Address</label>
				   <input  maxlength="100" name="address" id="address"  type="text" class="form-control" value="{{ request()->route('id') ? $get_data->address : '' }}" autocomplete="off" required>
			    </div>
			</div>
			
    <div class="col-md-4">
	    <div class="position-relative form-group">
		    <label class="font-weight-bold ml-2" for="country_id" class="">Country</label><select class="mb-2 form-control" name="country_id" id="country1" required >  
		        @if(request()->route('id')) 
			    @foreach($country_id as $countryname)
				<option {{$get_data->country_id == $countryname->id ? 'selected' : '' }}   value ="{{$countryname->id}}">{{$countryname->country_code}} - {{$countryname->country_name}}</option>
			    @endforeach
		        @else 
					
			    <option value=""> </option>
		        @foreach($country_id as $countryname)
	            <option value ="{{$countryname->id}}">{{$countryname->country_code}} - {{$countryname->country_name}}</option>
	           @endforeach
		    @endif  
	      </select>
		</div>
    </div>
	
	<div class="col-md-4">
		<div class="position-relative form-group">
		    <label class="font-weight-bold ml-2" for="city_id" class="">City</label>
			    @if(request()->route('id'))  
				   <input name="country_id" id="country_id" value="{{ request()->route('id') ? $get_data->country_id : '' }}" type="hidden" autocomplete="off"> 
				    <input name="city_id" id="city_id" value="{{ request()->route('id') ? $get_data->city_id : '' }}" type="hidden" autocomplete="off"> 
				    <select class="mb-2 form-control" name="city_id" id="cityadd" required >
				    </select>		
			        @else 
				  <select class="mb-2 form-control" name="city_id" id="cityadd" required >
				</select>	
			   @endif 
		    </div>
	      </div>
        </div>

	<div class="form-row">
		<div class="col-md-4">
			<div class="position-relative form-group">
			  <label class="font-weight-bold  ml-2" for="latitude" class="">Latitude</label>
				 <input  maxlength="130" name="latitude" id="latitude" type="text" class="form-control" value="{{ request()->route('id') ? $get_data->latitude : '' }}" autocomplete="off">
			</div>
		</div>
		
	<div class="col-md-4">
		<div class="position-relative form-group">
			 <label class="font-weight-bold ml-2" for="longitude" class="">Longitude</label>
			 <input  maxlength="130" name="longitude" id="longitude" p type="text" class="form-control" value="{{ request()->route('id') ? $get_data->longitude : '' }}" autocomplete="off" >
		</div>
	</div>
	
	<div class="col-md-4">
		<div class="position-relative form-group">
			<label class="font-weight-bold ml-2" for="thresold_frequency" class="">Threshold Frequency</label>
			<input  maxlength="30" name="thresold_frequency" id="thresold_frequency"  type="text" class="form-control" value="{{ request()->route('id') ? $get_data->thresold_frequency : '' }}" autocomplete="off">
		  </div>
	     </div>	
	   </div><!--form now-->	
      </div><!--tab-pane-->	
     </div>				
    </div>	<!--card-body--> 
   </div> <!--mb-3 card-->
 
    <div class="form-row">
	    <div class="col-md-5"></div>
			@if(request()->route('id'))
			   <button name="btnsubmit"  class="mt-3 btn btn-primary btn-lg">Update</button>
			    @else 
			    <button name="btnsubmit" class="mt-3 btn btn-primary btn-lg submit">Save</button>
			    @endif
			    <div class="col-md-0.5"></div>
			  <a href="{{route('customer_list')}}" class="mt-3 btn btn-danger  btn-lg">Cancel</a>
           </div>	
	      </form>
        </div>	<!--card-body-->
      </div> <!--main-card mb-3 card-->
     </div> <!--tab-pane tabs-animation fade show active-->
    </div> <!--tab-content-->              
   @include('theme_layout/footer')  
 <script>
   var jq = $.noConflict();
   function checkForm(form)
  {  
    form.btnsubmit.disabled = true;
    return true;
  }
function isNumberKey(evt)
			{
				var charCode = (evt.which) ? evt.which : evt.keyCode;
				if (charCode != 46 && charCode > 31 
				&& (charCode < 48 || charCode > 57))
				return false;
				return true;
			}  
   jq(document).ready(function(){
	  
	   @if(request()->route('id'))
	        @if($get_data->customer_type=='2')
				jq('#account_details').show();
		    	jq('#bank_account_name1').attr("required","required");
		        jq('#bank_account_number1').attr("required","required");
		        jq('#bank_branch1').attr("required","required");
			@else
		      jq('#account_details').hide();
			@endif
			 var routename =  jq('#routename').val();
		     get_region(routename);
			 jq('#routsuberegion_div').show();
			 jq('#routeregion_div').show();
			
	   @endif 	   
	   
	
	   
	    $('#customer_type').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
		$('#customer_category_add').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	    $('#region').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	    $('#routename').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	    $('#trading_add').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	    $('#payment_term').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	    $('#country1').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	  //trading center
	   var routename1 = '';
	   jq("#routename").click(function(){
		
		 var routename1 =  jq('#routename').val();
		  var trading ='0';
	
        get_trading(routename1, trading);
 
     });
	 
	 
	 
	 
	  if(routename1 =='') {
		 
	    var route_id =  jq('#route_id').val();
		 var trading_center_id =  jq('#trading_center_id').val();
		 
		 if(!route_id=='')
		 {
			 get_trading(route_id, trading_center_id);
		 } 
	 }  
	 
	 
	 $("#customer_type").change(function(){
		
		 var customer_type =  jq('#customer_type').val();
		  if(customer_type=='2')
		  {
			 jq('#customer_category_dive').hide();
			 jq('#route_dive').hide();
			 jq('#trading_center_dive').hide();
			 
			 jq('#account_details').show();
			 
			 
	        
			 
			 jq('#bank_account_name1').attr("required","required");
		     jq('#bank_account_number1').attr("required","required");
		     jq('#bank_branch1').attr("required","required");
		
		     
		  }
		 else{
			  
			 jq('#customer_category_dive').show();
			 jq('#route_dive').show();
			 jq('#trading_center_dive').show();
			 
			 jq('#account_details').hide();
	        
			 
			 jq('#bank_account_name1').removeAttr('required'); 
		     jq('#bank_branch1').removeAttr('required');
		     jq('#bank_account_number1').removeAttr('required');
			  
		  }
	
        
     });
	 
function get_trading(route_id, trading_center_id)
     {
		
		 jq.ajax({
		      url: "{{ URL('customer/get_trading/') }}" +"/" + route_id +'/'+trading_center_id,
              type:"GET",
              
          success:function(respons)
          {
            if(respons)
			{
				jq('#trading_add').html(respons);
				 $('#trading_add').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	             $('#trading_add')[0].sumo.reload();
			}
         
          }
       });
     }	
	 
	 
	 //city
	  var country_id = '';
	   jq("#country1").click(function(){
		
		 var country_id =  jq('#country1').val();
		 var city_id ='0';
        get_city(country_id, city_id);
 
     });
	 
	 if(country_id =='') {
		 
	    var country_id =  jq('#country_id').val();
		 var city_id =  jq('#city_id').val();
		 
		 if(!country_id=='')
		 {
			 get_city(country_id, city_id);
		 } 
	 }  
	 
	 

  function get_city(country_id, city_id)
     {
		 //alert(city);
		 jq.ajax({
		      url: "{{ URL('customer/get_country/') }}" +"/" + country_id +'/'+city_id,
              type:"GET",
              
          success:function(respons)
          {
            if(respons)
			{
				jq('#cityadd').html(respons);
				 $('#cityadd').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
					$('#cityadd')[0].sumo.reload();
			}
         
          }
       });
     }    
//region	
   var routename ='';
	   $("#routename").change(function(){
		 var routename =  jq('#routename').val();
		get_region(routename);
      
     });
	 
	function get_region(routename)
     {
		  //alert('hi');
		 //alert(routename);
		 jq.ajax({
		      url: "{{ URL('customer/get_route_region/') }}" +"/" + routename,
              type:"GET",
              
          success:function(respons)
           {
            if(respons!=0)
			 {
				var data=respons.split('-');
			    jq('#region').val(data[0]);
			    jq('#sub_region').val(data[1]);
			    jq('#region_id').val(data[2]+' - '+data[3]);
			    jq('#sub_region_id').val(data[4]+' - '+data[5]);
				jq('#routeregion_div').show();
				jq('#routsuberegion_div').show();
					
			}else{
				  jq('#region_id').val('');
				  jq('#sub_region_id').val('');
				  jq('#routeregion_div').hide();
				  jq('#routsuberegion_div').hide();
                 }
		     }
         });
     }


//Customer Category

		var customer_type = '';
	   jq("#customer_type").click(function(){
		
		 var customer_type =  jq('#customer_type').val();
		 var customer_category ='0';
        get_customer_category(customer_type, customer_category);
 
     });
	 
	 if(customer_type =='') {
		 
	    var customer_type_id =  jq('#customer_type_id').val();
		 var customer_category_id =  jq('#customer_category_id').val();
		 
		 if(!customer_type_id=='')
		 {
			 get_customer_category(customer_type_id, customer_category_id);
		 } 
	 } 

function get_customer_category(customer_type_id, customer_category_id)
     {
		 //alert(city);
		 jq.ajax({
		      url: "{{ URL('customer/get_customer_category/') }}" +"/" + customer_type_id +'/'+customer_category_id,
              type:"GET",
              
          success:function(respons)
          {
            if(respons)
			{
				jq('#customer_category_add').html(respons);
				 $('#customer_category_add').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
				$('#customer_category_add')[0].sumo.reload();
			}
         
          }
       });
     }	   
	 
});
</script>	