@include('theme_layout/header')
@include('theme_layout/nav')
<div class="app-main__outer">
 <div class="app-main__inner">
  <div class="app-page-title">
   <div class="page-title-wrapper">
	<div class="page-title-heading">
	 <div class="page-title-icon">
	  <i class="pe-7s-graph text-success">
	  </i>
	 </div> <!--page-title-icon-->
	 
        <div>  
		 
		  Discount View
		</div>
    </div> <!--page-title-heading-->
	
        <div class="page-title-actions">
	     <div class="d-inline-block dropdown">
		  <a href="{{route('discount_list')}}" class="mt-3 btn btn-primary btn-lg"> <i class="fa fa-arrow-left fa-w-20"></i> Back</a>
	     </div>
	    </div> 
       </div>  <!--page-title-wrapper-->
     </div><!--app-page-title-->

    <div class="tab-content">
      <div class="tab-pane tabs-animation fade show active" id="tab-content-0" role="tabpanel">
       <div class="main-card mb-3 card">
       <div class="card-body">
         
	    {{ csrf_field() }}        
         <div class="form-row">
	      <div class="col-md-4">
	       <div class="position-relative form-group">
		   <label for="discount_code" class="ml-2 font-weight-bold">Discount Code</label>
		   <input maxlength="25" name="discount_code" id="discount_code" placeholder="" type="text" value="{{$get_data->discount_code}}" readonly="readonly" class="form-control" autocomplete="off" required readonly>
	     
	      </div>
         </div>
			
	    <div class="col-md-4">
	     <div class="position-relative form-group">
		  <label for="discount_name" class="ml-2 font-weight-bold">Discount Name</label>
		  <input maxlength="20" name="discount_name" id="discount_name" placeholder="" type="text" value=" {{$get_data->discount_name}} " class="form-control" autocomplete="off" required readonly>
	     </div>
	    </div>
		
	    <div class="col-md-4">
	     <div class="position-relative form-group">
		  <label for="discount_percentage" class="ml-2 font-weight-bold">From Date</label><input maxlength="25" name="from_date" id="from_date" placeholder=" " type="text" value=" {{$get_data->from_date}} " class="form-control" autocomplete="off" required readonly>
	     </div>
	    </div>
	   </div><!--form-row-->
										
	    <div class="form-row">
	     <div class="col-md-4">
	      <div class="position-relative form-group">
           <label for="discount_amount" class="ml-2 font-weight-bold">To Date</label>
		   <input maxlength="18" name="to_date" id="to_date" placeholder="" type="text" value=" {{$get_data->to_date}} " class="form-control" autocomplete="off" required readonly>
	    </div>
	  </div>
		
        <div class="col-md-4">
	     <div class="position-relative form-group">
	      <label for="discount_on1" class="ml-2 font-weight-bold">Discount On</label>
		   <input maxlength="18" name="discount_on" id="discount_on" placeholder="" type="text" 
		   value="{{$get_data->discount_on == 1 ? "Category Wise" :
      	($get_data->discount_on == 2 ? "Brand Wise" : "Material Wise")}} " class="form-control" autocomplete="off" required readonly>
		 
        </div>
       </div> 
	   
	  
	<div class="col-md-4">
	 <div class="position-relative form-group">
	  <label for="status" class="ml-2 font-weight-bold">Status</label>
	  <input maxlength="18" name="status" id="status" placeholder="" type="text" value="{{$get_data->status =="active" ? "Active":"InActive"}} " class="form-control" autocomplete="off" required readonly>
	  
	  </div>
	 </div> <!--col-md-4-->
	</div> <!--form-row--> 
	
 @if($get_data->discount_on == 1)	
	<div class="form-row" id="category_wise"> 
	<div class="col-md-4">
	     <div class="position-relative form-group">
	      <label for="cat_categories" class="ml-2 font-weight-bold">Categorise</label>
		   
		  <input maxlength="18" name="cat_categories" id="cat_categories" placeholder="" type="text" value="{{$get_data->category_code}} - {{$get_data->category_name}} " class="form-control" autocomplete="off" required readonly>
	      
        </div>
       </div> 
	   <div class="col-md-4">
	     <div class="position-relative form-group">
		  <label for="lower_range" class="ml-2 font-weight-bold">Lower Range</label>
		  <input disabled maxlength="11" name="cat_lower_range" id="cat_lower_range" placeholder="" type="text" value="{{$get_data->cat_lower_range}}  " class="form-control" autocomplete="off" readonly">
	     </div>
	    </div>
		<div class="col-md-4">
	     <div class="position-relative form-group">
		  <label for="upper_range" class="ml-2 font-weight-bold">Upper Range</label>
		  <input disabled maxlength="11" name="cat_upper_range" id="cat_upper_range" placeholder="" type="text" value="{{$get_data->cat_upper_range}} " class="form-control" autocomplete="off" readonly">
	     </div>
	    </div>
	 
	<div class="col-md-4">
	 <div class="position-relative form-group">
	  <label for="cat_discount_type" class="ml-2 font-weight-bold">Discount Type</label>
	    <input maxlength="11" name="cat_discount_type" id="cat_discount_type" placeholder="" type="text" value="{{$get_data->cat_discount_type ==1 ? "Percentage":"Amount"}} " class="form-control" autocomplete="off" readonly>
	   
	  </div>
	 </div> <!--col-md-4-->
	 
	 <div class="col-md-4">
	     <div class="position-relative form-group">
		  <label for="cat_discount_value" class="ml-2 font-weight-bold">Discount Value</label>
		  <input maxlength="11" name="cat_discount_value" id="cat_discount_value" placeholder="" type="text" value="{{$get_data->cat_discount_value}}  " class="form-control" autocomplete="off" readonly>
	     </div>
	    </div>
		
		<div class="col-md-4">
	     <div class="position-relative form-group">
	      <label for="cat_distribution" class="ml-2 font-weight-bold">Distribution</label>
		   
		 <input maxlength="11" name="cat_distribution" id="cat_distribution" placeholder="" type="text" value="{{$get_data->cat_distribution == 1 ? "Distributor" :
      	($get_data->cat_distribution == 2 ? "Route" : ($get_data->cat_distribution == 3 ? "Outlet" : "Key Account"))}} " class="form-control" autocomplete="off" readonly> 
	     
        </div>
       </div>
	  
       <div class="col-md-4" style="display:none" id="catwise_customer">
	     <div class="position-relative form-group">
	      <label for="cat_customer_segment" class="ml-2 font-weight-bold">Customer Segment</label>
		   
		 <input maxlength="11" name="cat_customer_segment[]" id="cat_customer_segment" placeholder="" type="text" value=" " class="form-control" autocomplete="off" readonly> 
	      
        </div>
       </div>
	 
     <div class="col-md-4" style="display:none" id="catwise_region">
	     <div class="position-relative form-group">
	      <label for="cat_region" class="ml-2 font-weight-bold">Region</label>
		  <select class="mb-2 form-control" name="cat_region[]" id="cat_region" multiple> 
		  <input maxlength="11" name="cat_region[]" id="cat_region" placeholder="" type="text" value=" " class="form-control" autocomplete="off" readonly> 
	     </select> 
        </div>
       </div> 
</div><!-- form row-->
@endif
<!--Category Ends-->

<!-- Brand Starts-->
@if($get_data->discount_on == 2)
<div class="form-row" id="brand_wise">
	<div class="col-md-4">
	     <div class="position-relative form-group">
	      <label for="brand_categories" class="ml-2 font-weight-bold">Brand</label>
  
		  <input maxlength="11" name="brand_categories" id="brand_categories" placeholder="" type="text" value="{{$get_data->brand_code}} - {{$get_data->brand_name}} " class="form-control" autocomplete="off" readonly> 
	     
        </div>
       </div> 
	   <div class="col-md-4">
	     <div class="position-relative form-group">
		  <label for="brand_lower_range" class="ml-2 font-weight-bold">Lower Range</label>
		  <input maxlength="11" name="brand_lower_range" id="brand_lower_range" placeholder="" type="text" value="{{$get_data->brand_lower_range}} " class="form-control" autocomplete="off" readonly>
	     </div>
	    </div>
		<div class="col-md-4">
	     <div class="position-relative form-group">
		  <label for="brand_upper_range" class="ml-2 font-weight-bold">Upper Range</label>
		  <input maxlength="11" name="brand_upper_range" id="brand_upper_range" placeholder="" type="text" value=" {{$get_data->brand_lower_range}}" class="form-control" autocomplete="off" readonly>
	     </div>
	    </div>
	
	 
	
	
	<div class="col-md-4">
	 <div class="position-relative form-group">
	  <label for="brand_discount_type" class="ml-2 font-weight-bold">Discount Type</label>
	   
		<input maxlength="11" name="brand_discount_type" id="brand_discount_type" placeholder="" type="text" value="{{$get_data->brand_discount_type ==1 ? "Percentage":"Amount"}} " class="form-control" autocomplete="off" readonly>
	    
	  </div>
	 </div> <!--col-md-4-->
	 
	    <div class="col-md-4">
	     <div class="position-relative form-group">
		  <label for="barnd_discount_value" class="ml-2 font-weight-bold">Discount Value</label>
		  <input maxlength="11" name="brand_discount_value" id="brand_discount_value" placeholder="" type="text" value="{{$get_data->brand_lower_range}} " class="form-control" autocomplete="off" readonly>
	     </div>
	    </div>
		
		<div class="col-md-4">
	     <div class="position-relative form-group">
	      <label for="brand_distribution" class="ml-2 font-weight-bold">Distribution</label>
		    
		 <input maxlength="11" name="brand_distribution" id="brand_distribution" placeholder="" type="text" value="{{$get_data->brand_distribution == 1 ? "Distributor" :
      	($get_data->brand_distribution == 2 ? "Route" : ($get_data->brand_distribution == 3 ? "Outlet" : "Key Account"))}}  " class="form-control" autocomplete="off" readonly>
        </div>
       </div>
	 


      <div class="col-md-4" style="display:none" id="brandwise_customer">
	     <div class="position-relative form-group">
	      <label for="brand_customer_segment" class="ml-2 font-weight-bold">Customer Segment</label>
		  <select class="mb-2 form-control" name="brand_customer_segment[]" id="brand_customer_segment"  multiple> 
		 <input maxlength="11" name="brand_customer_segment[]" id="brand_customer_segment" placeholder="" type="text" value=" " class="form-control" autocomplete="off" readonly>
        </div>
       </div>
	   
	   <div class="col-md-4" style="display:none" id="brandwise_region">
	     <div class="position-relative form-group">
	      <label for="brand_region" class="ml-2 font-weight-bold">Region</label>
		   
		<input maxlength="11" name="brand_region[]" id="brand_region" placeholder="" type="text" value=" " class="form-control" autocomplete="off" readonly>
        </div>
       </div>
	 


</div><!-- form row-->
@endif
<!--Brand Ends-->
@if($get_data->discount_on == 3)
<section>
<div class="form-row" id="product_wise">

<div class="col-md-4">
	     <div class="position-relative form-group">
	      <label for="brand_distribution" class="ml-2 font-weight-bold">Distribution</label>
		  
		  <input maxlength="11" name="brand_distribution" id="brand_distribution" placeholder="" type="text" value="{{$get_data->brand_distribution == 1 ? "Distributor" :
      	  ($get_data->product_distribution == 2 ? "Route" : ($get_data->product_distribution == 3 ? "Outlet" : "Key Account"))}}  " class="form-control" autocomplete="off" readonly>
		
        </div>
       </div>

 <div class="col-md-4"  id="productwise_customer">
	     <div class="position-relative form-group">
	      <label for="brand_customer_segment" class="ml-2 font-weight-bold">Customer Segment</label>
		   
		<input maxlength="11" name="product_customer_segment[]" id="product_customer_segment" placeholder="" type="text" value=" " class="form-control" autocomplete="off" readonly>
        </div>
       </div>
	   
	   <div class="col-md-4"  id="productwise_region">
	     <div class="position-relative form-group">
	      <label for="brand_region" class="ml-2 font-weight-bold">Region</label>
		  
		<input maxlength="11" name="product_region[]" id="product_region" placeholder="" type="text" value=" " class="form-control" autocomplete="off" readonly>
        </div>
       </div>
	 
<div id="" class="panel panel-footer">
	   <form id="" class="" action="" method="post">
									    {{ csrf_field() }}
<table class="table table-bordered" id="myTable">
		 <thead>
		  <tr>
			<th style="width:20%; text-align: center;">Material</th>
			<th style="width:15%; text-align: center;">Discount Type</th>
			<th style="width:15%; text-align: center;">Lower Range</th>
			<th style="width:20%; text-align: center;">Upper Range</th>
			<th style="width:25%; text-align: center;">Discount Value</th>
		</tr>
		 </thead>
		 
		 
			@php $i=0; @endphp
		 <tbody id="dynmic_row">
	 	 
		  @foreach($get_details as $key =>  $details)	 
		  <tr id="row_{{$key}}">
			<td style="width: 30%;" id="mitem_{{$key}}" > 
			  <input autocomplete="off"  maxlength="11" value="{{$details->material_code}} -  {{$details->material_name}} "  id="material_code{{$key}}" type="text" name="material_code[]" class="form-control quantity" onkeypress="return /^-?[0-9]*$/.test(this.value+event.key)"  >
			</td>
			<td id="discounttype_{{$key}}" style="width: 10%;">
			   <input autocomplete="off"  maxlength="11" value="{{$details->discount_type ==1 ? "Percentage":"Amount"}}"  id="discount_type{{$key}}" type="text" name="discount_type[]" class="form-control quantity" onkeypress="return /^-?[0-9]*$/.test(this.value+event.key)"  >
			</td> 
			<td id="lowerrange_{{$key}}">
			 <input autocomplete="off" maxlength="11" value="{{$details->lower_range}}"  id="lower_range_{{$key}}" type="text" name="lower_range[]" class="form-control quantity" onkeypress="return /^-?[0-9]*$/.test(this.value+event.key)" >
			<td id="upperrange_{{$key}}">
			 <input autocomplete="off"  maxlength="11" value="{{$details->upper_range}}"  id="upper_range_{{$key}}" type="text" name="upper_range[]" class="form-control quantity" onkeypress="return /^-?[0-9]*$/.test(this.value+event.key)"  >
			</td> 
			<td id="discountvalue_{{$key}}">
			 <input autocomplete="off" maxlength="11"  value="{{$details->discount_value}}"  id="discount_value_{{$key}}" type="text" name="discount_value[]" class="form-control quantity" onkeypress="return /^-?[0-9]*$/.test(this.value+event.key)"  >
			</td> 
			</tr>
		     @php $i=$key; @endphp
		   @endforeach
		 
	     </tbody> 
  
         
        </table>
		 
</div><!-- form row-->
 </section>
  @endif
	    </div> <!--card-body-->
	   </div> <!--main-card mb-3 card-->
       </div> <!--tab-pane tabs-animation fade show active-->
      </div> <!--tab-content-->
     </div><!--app-main__inner-->
     @include('theme_layout/footer')
    </div><!--app-main__outer--> 
	
<script>
   
</script>