 
@include('theme_layout/header')
@include('theme_layout/nav')
 
                  @php
                    $route_id1= explode(",",$get_data->route_id);
					$customer_category_id1= explode(",",$get_data->customer_category_id); 
					$material_category_id1= explode(",",$get_data->material_category_id);
				 @endphp
<div class="app-main__outer"> 
 <div class="app-main__inner">
  <div class="app-page-title">
   <div class="page-title-wrapper">
	<div class="page-title-heading">
	  <div class="page-title-icon">
	   <i class="pe-7s-graph text-success">
	   </i>
	  </div>
	   
		<div>  
		 {{ request()->route('id') ? 'Edit ' : 'Add ' }} 
		 Pricing Plan 
	    </div> 
	</div>
		
	<div class="page-title-actions">
	  <div class="d-inline-block dropdown">
	   <a href="{{route('pricing_plan_list')}}" class="mt-3 btn btn-primary btn-lg text-white"> <i class="fa fa-arrow-left fa-w-20"></i> Back</a></div>
	   </div>
    </div>   <!--page-title-wrapper-->
   </div>     <!--app-page-title-->
						 
        <div class="tab-content"> 
           <div class="tab-pane tabs-animation fade show active" id="tab-content-0" role="tabpanel">
	       <div class="main-card mb-3 card">
		   <div class="card-body">
		   <form id="checked_date" class="" action="{{ route('pricing_plan_store') }}" method="post" enctype="multipart/form-data">
	        {{ csrf_field() }}
	       <div class="form-row">
		   <div class="col-md-4">
		  <div class="position-relative form-group">
	     <label for="plan_name" class="ml-2 font-weight-bold">Plan Name</label>
		  <input name="updated_id" id="updated_id" value="{{ request()->route('id') ? $get_data->id : '' }}" type="hidden" >
		 <input maxlength="125" class="mb-2 form-control" name="plan_name" id="plan_name" value="{{$get_data->plan_name}}" autocomplete="off" required> 
	    </div>
	   </div>
     
		  <div class="col-md-4">
		    <div class="position-relative form-group"><label for="status" class="ml-2 font-weight-bold">Price Appplied On</label>
		       <select class="mb-2 form-control" name="price_applied_on" id="price_applied_on"  required >  
			  <option> </option>
			  <option {{ $get_data->price_applied_on == 'Route' ? 'selected' : '' }} value ="Route">Route</option>
			  <option {{ $get_data->price_applied_on == 'Customer Category' ? 'selected' : '' }}  value="Customer Category">Customer Category</option> 
			  <option {{ $get_data->price_applied_on == 'Material Category' ? 'selected' : '' }}  value="Material Category">Material Category</option> 
		     </select>  
		    </div>
           </div>  
		   
				<div id="route_div" class="col-md-4" style="display:none">
				  <div  class="position-relative form-group"><label  class="font-weight-bold ml-2" for="route_id" class="">Route 
				   </label>  
				 <select  class="mb-2 form-control" name="route_id[]" id="route_id" multiple="multiple"> 	   
					 @foreach ($route_id as $route_pricing)
					  <option value="{{ $route_pricing->id }}"
						  {{in_array($route_pricing->id,$route_id1) ? 'selected':''}}>
						 {{ $route_pricing->route_code }} - {{ ucfirst($route_pricing->route_name) }}</option>
						 @endforeach 
				</select> 
			     </div>
			    </div>
			      
			 <div id="customer_category_div" class="col-md-4" style="display:none">
				<div  class="position-relative form-group"><label  class="font-weight-bold ml-2" for="customer_category_id" class="">Customer Category 
				</label> 
				  <select  class="mb-2 form-control" name="customer_category_id[]" id="customer_category_id" multiple > 
				   @foreach ($customer_category_id as $customer_pricing)
					  <option value="{{ $customer_pricing->id }}"
						  {{in_array($customer_pricing->id,$customer_category_id1) ? 'selected':''}}>
						 {{$customer_pricing->customer_category_code}} - {{$customer_pricing->customer_category_name}}</option>
			       @endforeach
				  </select>  
			  </div>
			 </div>
			  
			 <div id="material_category_div" class="col-md-4" style="display:none">
				<div  class="position-relative form-group"><label  class="font-weight-bold ml-2" for="material_category_id" class="">Material Category 
				</label>
					<select  class="mb-2 form-control" name="material_category_id[]" id="material_category_id" multiple > 
						 
						@foreach($material_category_id as $material_pricing)
						 <option value="{{ $material_pricing->id }}"
						  {{in_array($material_pricing->id,$material_category_id1) ? 'selected':''}}>{{$material_pricing->category_code}} - {{$material_pricing->category_name}}</option>
						@endforeach
                          
				   </select> 
			  </div>
			 </div>	
					
		  <div class="col-md-4">
		   <div class="position-relative form-group">
			<label for="valid_from" class="ml-2 font-weight-bold">Valid From</label><input maxlength="25" name="valid_from" id="valid_from" placeholder="" type="Date" value="{{$get_data->valid_from}}" class="form-control" autocomplete="off" required>
			 
		  </div>
		</div>
		
		<div class="col-md-4">
		   <div class="position-relative form-group">
			<label for="valid_to" class="ml-2 font-weight-bold">Valid To</label><input maxlength="25" name="valid_to" id="valid_to" placeholder="" type="Date" value="{{$get_data->valid_to}}" class="form-control" autocomplete="off" required>
			<input name="updated_id" id="updated_id" value="{{ request()->route('id') }}" type="hidden">
		  </div>
		</div>
		 
		
			<div class="col-md-4">
		  <div class="position-relative form-group">
		   <label for="status" class="ml-2 font-weight-bold">Status</label>
			<select class="mb-2 form-control" name="status" id="status" required >  
			 @if(request()->route('id'))  
			  <option> </option>
			  <option {{ $get_data->status == 'active' ? 'selected' : '' }} value ="active">Active</option>
			  <option {{ $get_data->status == 'inactive' ? 'selected' : '' }}  value="inactive">Inactive</option> 
			 @else 
			  <option> </option>
			  <option value ="active">Active</option>
			  <option value="inactive">Inactive</option>
			 @endif 
		   </select> 
		  </div>    <!--position-relative form-group-->
		 </div>       <!--col-md-4-->
		</div>        
	   <!-- CODE Material -->
		
			<!--  add row -->
		<section> 
		@php
				
		$k='';
					
		@endphp
	   <div class="panel panel-footer" >
		<table class="table table-bordered" id="myTable5">
		 <thead>
		  <tr>
			<th style="width:20%; text-align: center;">Material</th>
			<th style="width:15%; text-align: center;">UOM</th> 
			<th style="width:20%; text-align: center;">Unit Price</th>
			<th style="width:20%; text-align: center;">New Price</th>
			 <th style="width:; text-align: center;">Action</th>
          </tr>
		 </thead>
							  
		 <tbody id="dynmic_row"> 
		  @foreach($get_data_details as $key=> $details)
		   <tr id="row_0">
			<td style="width: 30%;" id="mitem_0" > 
			 <select type="text" id="get_material_0" name="material_name[]" class="form-control" required="">
			 <option value=""></option>
			   @foreach($material_master as $material_name)
		   <option {{$details->material_id==$material_name->id ? 'selected' : ''}} value ="{{$material_name->id}}">{{$material_name->material_code}} - {{$material_name->material_name}}
		   </option>
			 @endforeach
			 </select>
		   <input value="{{$key}}" id="increment" type="hidden" name="" class="form-control"> 
			</td>
			
			  <?php 
	        $material_master2 = DB::select('SELECT t2.id, t2.unit_notation FROM tbl_material_master as t1 LEFT JOIN tbl_unit_of_measurement as t2 ON find_in_set(t2.id,t1.alt_uom) WHERE t1.`id`='.$details->material_id.'');
		  ?>
			 <td id="uitem_0" style="width: 10%;">
			 <select    id="orderuom_0" name="uom[]" class="form-control"> 
			@foreach($material_master2 as $uom_name)
			<option {{$details->uom_id==$uom_name->id ? 'selected':''}} value="{{$uom_name->id}}">
			  {{$uom_name->unit_notation}}
			</option> 
			@endforeach </select>  
			</td>   
			 
			<td id="pitem_0">
			 <label   class="lprice font-weight-bold ml-5 " id="lprice_0" for="comment">     </label>{{number_format($details->current_price,2)}}
			 <input autocomplete="off" value="{{$details->current_price}}"  id="price_0" type="hidden" name="price[]" class="form-control price">
			     
			</td> 
			 <td id="pnew_price_0" style="width: 10%;">
			
			 <input type="new_price" name="new_price[]" id="new_price_0" value="{{$details->new_price}}" class="form-control" >
			 </td>
			<td>
			 <button type="button" class="btn btn-danger font-weight-bold "  onclick="deleteRow(this,{{$key}})">
			  <i class="fa fa-trash" aria-hidden="true" ></i></button>
			</td> 
		   </tr>
		    @php
		 $k=$key;
	     @endphp
		 @endforeach 
		 <input value="{{$k}}" id="inc" type="hidden" name="" class="form-control">
	      </tbody> 
        </table> 	 
		    <td>
			   <button type="button" class="btn btn-primary font-weight-bold text-white addRow">
			   <i class="fa fa-plus  text-white " aria-hidden="true" ></i> ADD</button>
		    </td>  
       </div>      <!--panel panel-footer-->
      </section>

<!--  End add row -->	 
	   
        <div class="form-row">
         <div class="col-md-5"></div>
        @if(request()->route('id'))
         <button id="save_button" class="mt-3 btn btn-primary btn-lg">Update</button>
		@else 
	     <button class="mt-3 btn btn-primary btn-lg">Save</button>
		@endif
         <div class="col-md-0.5"></div>
	     <a href="{{route('pricing_plan_list')}}"  class="mt-3 btn btn-danger  btn-lg">Cancel</a>
        </div>
       </form>
     
      </div> 
     </div>
    </div> <!--tab-pane tabs-animation fade show active-->
   </div> <!--tab-content-->
  </div> <!--app-main__inner-->
 @include('theme_layout/footer') 
    <script>
 
    var jq = $.noConflict();

    jq(document).ready(function(){     
		@if($get_data->price_applied_on == 'Customer Category')
			jq('#customer_category_div').show(); 
		@endif	
		@if($get_data->price_applied_on == 'Material Category')
			 
			jq('#material_category_div').show(); 
		@endif
		@if($get_data->price_applied_on == 'Route')
			jq('#route_div').show(); 
		@endif
          $('#get_material_0').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true}); $('#get_material_0').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
          $('#route_id').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
          $('#customer_category_id').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
          $('#material_category_id').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
  
	   jq("#price_applied_on").click(function(){ 
		   var price_applied_on = jq('#price_applied_on').val();
	       if(price_applied_on=='Route'){
			jq('#route_div').show();  
			jq('#customer_category_div').hide();  
			jq('#material_category_div').hide();  
			 
	       }
			else if(price_applied_on=='Customer Category'){
			jq('#route_div').hide();  
			jq('#customer_category_div').show();  
			jq('#material_category_div').hide();  
			 
			}
			else {
				jq('#route_div').hide();  
			jq('#customer_category_div').hide();  
			jq('#material_category_div').show(); 
			 
			}
		});
		 
		   $( "#checked_date" ).submit(function(event) {  
           event.preventDefault();
		 $("#save_button" ).click(function() { 
           var valid_from = $("#valid_from").val();		
           var valid_to = $("#valid_to").val();	
            if(valid_to > valid_from)	
			     {
				   event.currentTarget.submit(); 
			     }
               else{ 
                      Swal.fire({
	                   icon: 'error',
					   title: 'From Date Always should be Smaller Than To Date ',
					   showConfirmButton: false,
					   timer: 2000
						})
					   }  
				   	 });
			});	
		 
   });
  
<!-- reset value-->
<!--total calculation-->
<!--end calculation -->
<!--add row -->
			 $('.mat').change(function(){
				var inc11= jq(this).attr('placeholder');
				
			 var material_id =  jq('#get_material_'+inc11+'').val();
			 get_material_details(material_id,inc11);
			  is_vat(material_id,inc11);
	          is_excise(material_id,inc11);
			 setTimeout(function(){
             var uom_id =  jq('#uom_'+inc11+'').val();  
             get_material_price(uom_id,material_id,inc11);
			 get_material_alt_packing_size(uom_id,material_id,inc11);
		     //alert(uom_id+' '+inc1+' '+material_id);
             }, 1000);
			 reset_value1(inc11);
			calculate();
		   });
			 
		     jq('.uoms').change(function(){
				var inc11= jq(this).attr('placeholder');
	         var uom_id =  jq('#uom_'+inc11+'').val();
		     var material_id =  jq('#get_material_'+inc11+'').val();
		     get_material_price(uom_id,material_id,inc11);
			 get_material_alt_packing_size(uom_id,material_id,inc11);
			 reset_value1(inc11);
			 calculate(); 
			});


		var i=0;
		jq('.addRow').on('click',function(){
		i++;
		addRow(i);
		});

		$('#get_material_0').change(function(){
		var material_id1 = jq('#get_material_0').val();

		var row=0;
		reset_value1(row); 
	 
		get_material_details(material_id1,row);

		setTimeout(function(){
		var uom_id = jq('#uom_0').val();
		get_material_price(uom_id,material_id1,row);
		get_material_alt_packing_size1(uom_id,material_id1,row);

		}, 1000);
		});
		
		jq('#uom_0').change(function(){
		var row=0;
		var uom_id = jq('#uom_0').val();

		var material_id = jq('#get_material_0').val();
						 reset_value1(row);
						  
		get_material_price(uom_id,material_id,row);
		get_material_alt_packing_size1(uom_id,material_id,row);
		});
		function addRow(value){
		
		var tr='<tr id="row_'+value+'">'+
		'<td style="width: 15%;" id="mitem_"><select type="text" id="get_material_'+value+'" name="material_name[]" class="form-control get_material" required=""></td>'+

		'<td id="uitem_'+value+'" style="width: 10%;"><select type="text" id="uom_'+value+'" name="uom[]" class="form-control"><option value=""></option></select> </td>'+
 
		'<td id="pitem_'+value+'"><label   class="lprice font-weight-bold ml-5 " id="lprice_'+value+'" for="comment">     </label><input autocomplete="off" readonly type="hidden" value="" id="price_'+value+'" name="price[]" class="form-control price"></td>'+
 
		 '<td id="pnew_price_'+value+'" style="width: 10%;"><input autocomplete="off"  type="text" value="" id="new_price_'+value+'" name="new_price[]" class="form-control new_price"></td>'+
		 
		' <td><button type="button" class="btn btn-danger font-weight-bold " onclick="deleteRow(this,'+value+')"><i class="fa fa-trash" aria-hidden="true" ></i></button></td>'+
		'</tr>';
		jq('#dynmic_row').append(tr); 
		
		get_material(value);

		$('#get_material_'+value+'').change(function(){
			
		var material_id = jq('#get_material_'+value+'').val();
		get_material_details(material_id,value);

		setTimeout(function(){
		var uom_id = jq('#uom_'+value+'').val();

		reset_value1(value);
		
		 get_material_price(uom_id,material_id,value);
		 }, 1000);
		});

		jq('#uom_'+value+'').change(function(){
			
		var uom_id = jq('#uom_'+value+'').val();
		var material_id = jq('#get_material_'+value+'').val();

		 reset_value1(value);
		
		get_material_price(uom_id,material_id,value); 

		});
		};
<!--end add row -->
<!--get_material_uom-->
	function get_material_details(material_id1,row){
		
		jq.ajax({
		url: "{{ URL('pricing_plan_material_detailsUom2/') }}"+"/" +material_id1+'/'+row,
		type:"GET",

		success:function(respons)
		{
		if(respons)
		{
		jq('#uom_'+row+'').html(respons);
		}
		 }
		  });
		}

 <!-- reseting Value-->
    	 function reset_value1(row){
			document.getElementById('price_'+row+'').value ='';
		    document.getElementById('lprice_'+row+'').innerHTML='';
		    }
<!--get_material_price-->
		function get_material_price(uom_id1,material_id1,row){
			
		jq.ajax({
		url: "{{ URL('get_material_price2') }}"+"/" +uom_id1+'/'+material_id1,
		type:"GET",

		success:function(respons){
		
		if(respons)   
		{
		document.getElementById('price_'+row+'').value =respons;
		  document.getElementById('lprice_'+row+'').innerHTML  = new Intl.NumberFormat('en-IN', { minimumFractionDigits: 2 }).format(respons);
		}
		}
		});
		}
		

<!--get_material_name-->
		function get_material(value){
			
		jq.ajax({
		url: "{{ URL('get_material2/') }}",
		type:"GET",

		success:function(respons){
		
		if(respons)
		{
		jq('#get_material_'+value+'').html(respons);
		 $('#get_material_'+value+'').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
		 $('#get_material_'+value+'')[0].sumo.reload(); 
		}
		 }
		  });
		 }
		<!-- Deleting row-->
		function deleteRow(r,row) {

		if(row==0){
			Swal.fire({
				  icon: 'error',
				  title: 'you can not remove first row!',
				})
		
		  }
		else{

		var i = r.parentNode.parentNode.rowIndex;
		document.getElementById("myTable5").deleteRow(i);
		}
		calculate();
		}
   
  </script>           