@include('theme_layout/header')
@include('theme_layout/nav')	
<div class="app-main__outer"> 
 <div class="app-main__inner">
  <div class="app-page-title">
   <div class="page-title-wrapper">
    <div class="page-title-heading">
	 <div class="page-title-icon">
	  <i class="pe-7s-graph text-success">
	  </i>
	 </div> <!--page-title-icon-->
	 
        <div>  
         {{ request()->route('id') ? 'Edit ' : 'Add ' }} 
		  Sales Area 
        </div> 
    </div> <!--page-title-heading-->

	    <div class="page-title-actions"> 
	     <div class="d-inline-block dropdown">
		  <a href="{{route('sales_area_list')}}" class="mt-3 btn btn-primary btn-lg"> <i class="fa fa-arrow-left fa-w-20"></i> Back</a> 
		 </div>
	    </div>
   </div> <!--page-title-wrapper-->
 </div>  <!--app-page-title-->           
					 
        <div class="tab-content">
         <div class="tab-pane tabs-animation fade show active" id="tab-content-0" role="tabpanel">
          <div class="main-card mb-3 card">
           <div class="card-body">
            <form id="" class="" onsubmit="return checkForm(this);" action="{{ route('sales_area_store') }}" method="post">
             {{ csrf_field() }}
              <div class="form-row"> 
               <div class="col-md-4">
                <div class="position-relative form-group">
                 <label class="font-weight-bold ml-2" for="sales_area_code" class="">Sales Area Code</label>
				  <input  maxlength="25" class="mb-2 form-control" name="sales_area_code"   id="sales_area_code" value="{{$last_code}}" autocomplete="off" readonly required> 
               </div>
             </div>
	 
        <div class="col-md-4">
	     <div class="position-relative form-group">
	      <label class="font-weight-bold ml-2" for="sales_area_name" class="">Sales Area Name</label>
		   <input maxlength="125" name="sales_area_name" id="sales_area_name"  type="text" value="{{ request()->route('id') ? $get_data->sales_area_name : '' }}"  class="form-control" autocomplete="off" required>
	       <input name="updated_id" id="updated_id" value="{{ request()->route('id') }}" type="hidden" autocomplete="off">
	      </div>
         </div>
		 
	    <div class="col-md-4">
		 <div class="position-relative form-group">
		  <label class="font-weight-bold ml-2" for="warehouse" class="">Warehouse/Depo</label>
		   <select name="warehouse" id="warehouse"  type="text"   class="form-control" required> 
		    @if(request()->route('id'))  
		     @foreach($warehouse as $warehousename)
		      <option {{$get_data->warehouse == $warehousename->id ? 'selected' : '' }} value ="{{$warehousename->id}}">{{$warehousename->warehouse_code}} - {{$warehousename->warehouse_name}}</option>
		     @endforeach 
		    @else 
			  <option value=""> </option>
			  @foreach($warehouse as $warehousename)
			   <option value ="{{$warehousename->id}}">{{$warehousename->warehouse_code}} - {{$warehousename->warehouse_name}}</option>
			  @endforeach
			@endif  
		   </select>
		  </div>
	     </div> <!--col-md-4-->
        </div> <!--form-row-->
		
		@if(request()->route('id')) 
		 <input name="salesarea_id" id="salesarea_id" value="{{ request()->route('id') }}" type="hidden" autocomplete="off">
		@endif
		 <div class="form-row"> 
		  <div class="col-md-4">
		   <div class="position-relative form-group">
		    <label class="font-weight-bold ml-2" for="region" class="">Region</label>
			<input  name="vregion" id="vregion"  type="text" value="{{ request()->route('id') ? $get_data1->region_code.' - '.$get_data1->region_name : '' }}"  class="form-control" autocomplete="off" readonly>		
			
			<input  name="region" id="region"  type="hidden" value="{{ request()->route('id') ? $get_data1->region : '' }}"  class="form-control" autocomplete="off">				
            </div>
		   </div>
		   
        <div class="col-md-4">
		 <div class="position-relative form-group">
		  <label class="font-weight-bold ml-2" for="sub_region" class="">Sub Region</label>     <input  name="vsub_region" id="vsub_region"  type="text" value="{{ request()->route('id') ? $get_data1->sub_region_code.' - '.$get_data1->sub_region_name : '' }}"  class="form-control" autocomplete="off" readonly> 
		  
		   <input  name="sub_region" id="sub_region"  type="hidden" value="{{ request()->route('id') ? $get_data1->sub_region: '' }}"  class="form-control" autocomplete="off" readonly> 
		 </div>
       </div>
	   
	    <div class="col-md-4">
		 <div class="position-relative form-group"><label for="status" class="ml-2 font-weight-bold">Status</label>
		  <select class="mb-2 form-control" name="status" id="status" required > 
		   @if(request()->route('id'))  
		    <option> </option>
		    <option {{ $get_data->status == 'active' ? 'selected' : '' }} value ="active">Active</option>
		    <option {{ $get_data->status == 'inactive' ? 'selected' : '' }} value="inactive">Inactive</option> 
		   @else 
		    <option> </option>
		    <option value ="active">Active</option>
		    <option value="inactive">Inactive</option>
		   @endif	 
		  </select> 
		 </div>
	    </div>  <!--col-md-4-->
       </div> <!--form-row-->
								
	    <div class="form-row">
	     <div class="col-md-5"></div>
	      @if(request()->route('id'))
	       <button name="btnsubmit"  class="mt-3 btn btn-primary btn-lg">Update</button>
	      @else   
	       <button name="btnsubmit" class="mt-3 btn btn-primary btn-lg">Save</button>
	      @endif
	       <div class="col-md-0.5"></div>
	       <a href="{{route('sales_area_list')}}" class="mt-3 btn btn-danger  btn-lg">Cancel</a>
	      </div>
         </form>
        </div> <!--card-body-->
       </div> <!--main-card mb-3 card-->
      </div> <!--tab-pane tabs-animation fade show active-->
     </div> <!--tab-content-->
    </div> <!--app-main__inner-->
   @include('theme_layout/footer') 
<script>
   var jq = $.noConflict();
   
 function checkForm(form)
  {
     
    form.btnsubmit.disabled = true;
    return true;
  }
   jq(document).ready(function(){
	  
	   $('#warehouse').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
		 
	  <?php if(request()->route('id')!='') 
	  {
		  ?>
	   salesarea_id='';
	   var salesarea_id =  jq('#salesarea_id').val();
	   /* alert(salesarea_id); */
	   get_region(salesarea_id);
	   get_sub_region(salesarea_id);
	  <?php
	   }
	   ?>
	   var warehouse = '';
	   $("#warehouse").change(function(){
		 var warehouse =  jq('#warehouse').val();
		 
        get_region(warehouse);
		get_sub_region(warehouse);
		});
	 
	function get_region(warehouse)
     {
		
		 jq.ajax({
		      url: "{{ URL('get_warehouse_region') }}" +"/" + warehouse,
              type:"GET",
              
          success:function(respons)
          {
               var data = respons.split("-");
				jq('#region').val(data[0]);
				jq('#vregion').val(data[1]+' - '+data[2]);
			  
         
          }
       });
     }

function get_sub_region(warehouse)
     {
		 
		 jq.ajax({
		      url: "{{ URL('get_warehouse_sub_region') }}" +"/" + warehouse,
              type:"GET",
              
          success:function(respons)
          {
                var data = respons.split("-");
				jq('#sub_region').val(data[0]);
				jq('#vsub_region').val(data[1]+' - '+data[2]);
			
         
          }
       });
     }

});

 
		
</script>