@include('theme_layout/header')
@include('theme_layout/nav') 
<div class="app-main__outer">
 <div class="app-main__inner">
  <div class="app-page-title">
   <div class="page-title-wrapper">
	<div class="page-title-heading">
	 <div class="page-title-icon">
	  <i class="pe-7s-graph text-success">
	  </i>
	 </div>
	 
	    <div>View Salesman 
	    </div>
    </div>
	
          <div class="page-title-actions"> 
           <div class="d-inline-block dropdown">
            <a href="{{route('salesman_list')}}" class="mt-3 btn btn-primary btn-lg">
			<i class="fa fa-arrow-left fa-w-20"></i> Back</a> 
           </div>
          </div>
   </div>
  </div>            
					 
        <div class="tab-content">
         <div class="tab-pane tabs-animation fade show active" id="tab-content-0" role="tabpanel">
          <div class="main-card mb-3 card">
           <div class="card-body">
            <form class="" >
             <div class="mb-3 card">
              <div class="card-header card-header-tab-animation">
	           <ul class="nav nav-justified">
		       <li class="nav-item">
			   <a data-toggle="tab" href="#tab-eg115-0" class="active nav-link">Salesman Details</a></li>
		       <li class="nav-item">
			   <a data-toggle="tab" href="#tab-eg115-1" class="nav-link">Transaction Details</a></li>
		       <li class="nav-item">
			   <a data-toggle="tab" href="#tab-eg115-2" class="nav-link">Block Salesman</a></li>
	         </ul>
           </div>
										
	    <div class="card-body">
	     <div class="tab-content">
		  <div class="tab-pane active" id="tab-eg115-0" role="tabpanel">
		   <div class="form-row">
		    <div class="col-md-4">
		     <div class="position-relative form-group">
	        <label for="salesman_type" class="font-weight-bold ml-2">Salesman Type</label>
			<input readonly="readonly" class="mb-2 form-control" name="salesman_type" value="{{ $get_data->salesman_type_code }} - {{ $get_data->salesman_type_name }}" id="salesman_type"> 
	      </div>
	    </div> 

		<div class="col-md-4">
		  <div class="position-relative form-group">
		   <label for="salesman_code" class="font-weight-bold ml-2">Salesman</label>
		   <input  readonly="readonly" class="mb-2 form-control" name="salesman_code" value="{{ $get_data->salesman_name }} - {{ $get_data->salesman_code }}" id="salesman_code"> 
		  </div>
		</div>
		
		<div class="col-md-4">
		 <div class="position-relative form-group">
		   <label for="contact_number" class="font-weight-bold ml-2">Contact Number</label>
		   <input readonly="readonly" name="contact_number" id="contact_number" placeholder="Contact Number" value="{{ $get_data->contact_number }}" type="text" class="form-control">
		   </div>
		</div>

		</div>
													
		<div class="form-row">
		
	    <div class="col-md-4">
		 <div class="position-relative form-group">
		  <label class="font-weight-bold ml-2" for="erp_employee_code" class="font-weight-bold ml-2">ERP Employee Code</label>
		   <input name="erp_employee_code" id="erp_employee_code"  type="text" class="form-control" value="{{$get_data->erp_employee_code}}" readonly="readonly" required >
		  </div>
	     </div>
		 <div class="col-md-4">
		  <div class="position-relative form-group">
		   <label class="font-weight-bold ml-2" for="routename" class="font-weight-bold ml-2">Route</label>
		   <input name="route_name" id="route_name" p type="text" class="form-control" value="{{$get_data->route_code}} - {{$get_data->route_name}}" readonly="readonly" required >
		  </div>
		</div>
		<div class="col-md-4">
		 <div class="position-relative form-group">
		  <label class="font-weight-bold ml-2" for="warehouse" class="font-weight-bold ml-2">Warehouse</label>
		  <input name="warehouse" id="warehouse"  type="text" class="form-control" value="{{$get_data->warehouse_code}} - {{$get_data->warehouse_name}}" readonly="readonly" required >
		   </div>
		  </div>
        </div>    <!--form-row-->

		<div class="form-row">
		 @if($get_data->salesman_picture!='')
		  <div class="col-md-4">
		   <div class="position-relative form-group">
			<label class= "font-weight-bold ml-2" for="salesman_picture" class="font-weight-bold ml-2">Salesman Picture</label>
			<a href="{{asset('storage/app/'.$get_data->salesman_picture)}}"  data-lightbox="mygallery">
			 <img src="{{asset('storage/app/'.$get_data->salesman_picture)}}" alt="" height="80px" width="70px" class="ml-4"></a>
		   </div>  
		  </div>
		 @else
			 
		<div class="col-md-4">
		  <div class="position-relative form-group">
		   <br>
			<br>
			 <label class="font-weight-bold ml-2" for="salesman_picture" class="font-weight-bold ml-2">Salesman Picture is not uploaded</label>
			</div>  
		  </div>
	     @endif
		 <div class="col-md-4">
		  <div class="position-relative form-group">
			<label class="font-weight-bold ml-2" for="status" class="font-weight-bold ml-2">Status</label>
			 <input class="mb-2 form-control" name="status" value="{{$get_data->status}}" id="status" readonly="readonly" required ></div>
			</div>
		</div>	  <!--form-row-->
	
		
		</div>      <!--tab-pane active-->
	
		<div class="tab-pane" id="tab-eg115-1" role="tabpanel">
		 <div class="form-row"> 
		   <div class="col-md-4">
			<div class="position-relative form-group">
		     <label  class="font-weight-bold ml-2" for="customer_from" class="font-weight-bold ml-2">Customer Fro</label>
		     <input name="customer_from" id="customer_from" type="text" class="form-control" value="{{$get_data->customer_from}}" readonly="readonly" required >
		    </div>
		  </div>
   
		<div class="col-md-4">
		  <div class="position-relative form-group">
		   <label class="font-weight-bold ml-2" for="invoice_from" class="font-weight-bold ml-2">Invoice From</label>
		    <input name="invoice_from" id="invoice_from"  type="text" class="form-control" value="{{$get_data->invoice_from}}" readonly="readonly" required >
		  </div>
		</div>
  
		<div class="col-md-4">
		  <div class="position-relative form-group">
			<label class="font-weight-bold ml-2" for="order_from" class="font-weight-bold ml-2">Order From</label>
			 <input name="order_from" id="order_from"  type="text" class="form-control" value="{{$get_data->order_from}}" readonly="readonly" required >
		   </div>
		 </div> 
 
		<div class="col-md-4">
		 <div class="position-relative form-group">
		  <label class="font-weight-bold ml-2" for="delivery_from" class="font-weight-bold ml-2">Delivery From</label>
		   <input name="delivery_from" id="delivery_from"  type="text" class="form-control" value="{{$get_data->delivery_from}}" readonly="readonly" required >
		 </div>
		</div>
 
		<div class="col-md-4">
		 <div class="position-relative form-group">
		  <label class="font-weight-bold ml-2" for="collection_from" class="font-weight-bold ml-2">Collection From </label>
		   <input name="collection_from" id="collection_from"  type="text" class="form-control" value="{{$get_data->collection_from}}" readonly="readonly" required >
		  </div>
		</div>
	 								   
	    <div class="col-md-4">
		 <div class="position-relative form-group">
		  <label class="font-weight-bold ml-2" for="return_order_from" class="font-weight-bold ml-2"> Return Order From</label>
		   <input name="return_order_from" id="return_order_from" p type="text" class="form-control" value="{{$get_data->return_order_from}}" readonly="readonly" required >
		 </div>
	   </div> 
													 
		<div class="col-md-4">
		  <div class="position-relative form-group">
		   <label class="font-weight-bold ml-2" for="exchange_from" class="font-weight-bold ml-2">Exchange From</label>
		    <input  maxlength="20" name="exchange_from" id="exchange_from" placeholder="" type="text" class="form-control" value="{{ request()->route('id') ? $get_data->exchange_from : '' }}" autocomplete="off" required readonly="readonly"></div>
		</div>
														 
	    <div class="col-md-4">
	     <div class="position-relative form-group">
		  <label class="font-weight-bold ml-2" for="load_from" class="font-weight-bold ml-2">Load From</label>
		   <input  maxlength="20" name="load_from" id="load_from" placeholder="" type="text" class="form-control" value="{{ request()->route('id') ? $get_data->load_from : '' }}" autocomplete="off" required readonly="readonly"></div>
	     </div>
       </div>
      </div>
	 									
		<div class="tab-pane" id="tab-eg115-2" role="tabpanel">
		 <div class="form-row">
		  <div class="col-md-4">
			<div class="position-relative form-group">
			 <label class="font-weight-bold ml-2" for="block_from_date" class="font-weight-bold ml-2">Block From Date</label>
			  <input  maxlength="120" name="block_from_date" id="block_from_date" placeholder="" type="date" class="form-control" value="{{ request()->route('id') ? $get_data->block_from_date : '' }}" autocomplete="off" readonly="readonly"></div>
		  </div>
		  
		<div class="col-md-4">
		 <div class="position-relative form-group">
		  <label class="font-weight-bold ml-2" for="block_to_date" class="font-weight-bold ml-2">Block To Date</label>
		   <input  maxlength="120" name="block_to_date" id="block_to_date" placeholder="" type="date" class="form-control" value="{{ request()->route('id') ? $get_data->block_to_date : '' }}" autocomplete="off"readonly="readonly"></div>
		   </div>
	      </div>
         </div>
        </div>
       </div>
      </div> 
     </form>
    </div>
   </div> <!--main-card mb-3 card-->
  </div> <!--tab-pane tabs-animation fade show active-->
 </div> <!--tab-content-->
 </div> <!--app-main__inner-->
@include('theme_layout/footer')
</div> <!--app-main__outer-->