@include('theme_layout/header')
@include('theme_layout/nav')
	     
<div class="app-main__outer"> 
 <div class="app-main__inner">
  <div class="app-page-title">
   <div class="page-title-wrapper">
    <div class="page-title-heading">
     <div class="page-title-icon">
      <i class="pe-7s-graph text-success">
      </i>
     </div> <!--page-title-icon-->
	 
        <div>  
		 {{ request()->route('id') ? 'Edit ' : 'Add ' }}
		 Vehicle
        </div>
    </div> <!--page-title-heading-->

	    <div class="page-title-actions">
	     <div class="d-inline-block dropdown">
	      <a href="{{route('vehicle_list')}}" class="mt-3 btn btn-primary btn-lg"> <i class="fa fa-arrow-left fa-w-20"></i> Back</a> 
	     </div>
	    </div> 
   </div> <!--page-title-wrapper-->
  </div>  <!--app-page-title-->           
					 
        <div class="tab-content">
         <div class="tab-pane tabs-animation fade show active" id="tab-content-0" role="tabpanel">
          <div class="main-card mb-3 card">
	       <div class="card-body">
		    <form id="" class="" onsubmit="return checkForm(this);" action="{{ route('vehicle_store') }}" method="post">
		     {{ csrf_field() }}
		      <div class="form-row">
		       <div class="col-md-4">
		        <div class="position-relative form-group">
	             <label class="font-weight-bold ml-2" for="vehicle" class="">Vehicle Code</label><input  maxlength="10" class="mb-2 form-control" name="vehicle" id="vehicle" value="{{$last_code}}" autocomplete="off" readonly required > 
	            </div>
	           </div>
				
	    <div class="col-md-4">
	     <div class="position-relative form-group">
	      <label class="font-weight-bold ml-2" for="vehicle_number" class="">Vehicle Number</label><input  maxlength="120"  name="vehicle_number" id="vehicle_number"  type="text" class="form-control" value="{{ request()->route('id') ? $get_data->vehicle_number : '' }}" autocomplete="off" required >
	     </div>
	    </div>
											
	    <div class="col-md-4">
	     <div class="position-relative form-group">
		  <label class="font-weight-bold ml-2" for="brand" class="">Brand</label><input  maxlength="120" name="brand" id="brand"  type="text" class="form-control" value="{{ request()->route('id') ? $get_data->brand : '' }}" required autocomplete="off">
		 </div>
	    </div>
       </div> <!--form-row-->
										
        <div class="form-row">
         <div class="col-md-4">
	      <div class="position-relative form-group">
	       <label class="font-weight-bold ml-2" for="type" class="">Vehicle Type</label><select class="mb-2 form-control" name="type" id="type" required> 
		    @if(request()->route('id')) 
		      @foreach($vehicletype as $vehicletypename)
		       <option {{$get_data->type == $vehicletypename->id ? 'selected' : '' }} value ="{{$vehicletypename->id}}">{{$vehicletypename->vehicle_type_code}} - {{$vehicletypename->vehicle_type_name}}</option>
			  @endforeach 
			@else 
				<option value=""> </option>
			  @foreach($vehicletype as $vehicletypename)
				<option value ="{{$vehicletypename->id}}">{{$vehicletypename->vehicle_type_code}} - {{$vehicletypename->vehicle_type_name}}</option>
			  @endforeach
			@endif 
		   </select>
		  </div> <!--position-relative form-group-->
		 </div> <!--col-md-4-->
	
	    <div class="col-md-4">
	     <div class="position-relative form-group">
	      <label class="font-weight-bold ml-2" for="capacity" class="">Capacity</label><input  maxlength="120" name="capacity" id="capacity"  type="text" class="form-control" value="{{ request()->route('id') ? $get_data->capacity : '' }}" autocomplete="off" required onkeypress="return isNumber(event);">
		 </div>
	   </div>
	   
        <div class="col-md-4">
	     <div class="position-relative form-group"><label class="font-weight-bold ml-2" for="vehicle_owner" class="">Vehicle Owner</label>
		  <select class="mb-2 form-control" name="vehicle_owner" id="vehicle_owner" required > 
		   @if(request()->route('id')) 
			<option> </option>
			<option {{ $get_data->vehicle_owner == 'company' ? 'selected' : '' }} value ="company">Company</option>
			<option {{ $get_data->vehicle_owner == 'distributor' ? 'selected' : '' }} value="distributor">Distributor</option>
			<option {{ $get_data->vehicle_owner == 'customer ' ? 'selected' : '' }} value="customer ">Customer </option>
			<option {{ $get_data->vehicle_owner == 'agent' ? 'selected' : '' }} value="agent">Agent</option>
		   @else 
			<option> </option>
			<option value ="company">Company</option>
			<option value="distributor">Distributor</option>
			<option value="customer agent">Customer Agent</option>
			<option value="customer agent">Agent</option>
		   @endif	
		  </select> 
		 <input name="updated_id" id="updated_id" value="{{ request()->route('id') }}" type="hidden" autocomplete="off"> 
	    </div>
       </div> <!--col-md-4-->
      </div> <!--form-row-->
	  
	  <div class="form-row">
	   <div class="col-md-4">
	    <div class="position-relative form-group">
	     <label class="font-weight-bold ml-2" for="vehicle_chechis_number" class="">Vehicle Chechis Number</label><input  maxlength="120" name="vehicle_chechis_number" id="vehicle_chechis_number"  type="text" class="form-control" value="{{ request()->route('id') ? $get_data->vehicle_chechis_number : '' }}" autocomplete="off" required >
		</div>
	   </div>
	   
	   <div class="col-md-4">
	    <div class="position-relative form-group">
	     <label class="font-weight-bold ml-2" for="tank_capacity" class="">Tank Capacity</label><input  maxlength="120" name="tank_capacity" id="tank_capacity"  type="text" class="form-control" value="{{ request()->route('id') ? $get_data->tank_capacity : '' }}" autocomplete="off" required >
		</div>
	  </div>
	   
	   <div class="col-md-4">
	    <div class="position-relative form-group">
	     <label class="font-weight-bold ml-2" for="vehicle_mileage" class="">Vehicle Mileage</label><input  maxlength="120" name="vehicle_mileage" id="vehicle_mileage"  type="text" class="form-control" value="{{ request()->route('id') ? $get_data->vehicle_mileage : '' }}" autocomplete="off" required >
		</div>
	  </div>
	  </div> <!--form-row-->

        <div class="form-row">
         <div class="col-md-4">
	      <div class="position-relative form-group"><label class="font-weight-bold ml-2" for="warehouse_name" class="">Warehouse </label><select class="mb-2 form-control" name="warehouse_id" id="warehouse_name" required > 
		  <option value=""> </option>
	       @if(request()->route('id')) 
		    @foreach($warehouse as $warehousename)
		     <option {{$get_data->warehouse_id == $warehousename->id ? 'selected' : '' }} value ="{{$warehousename->id}}">{{$warehousename->warehouse_code}} - {{$warehousename->warehouse_name}}</option>
		    @endforeach
		   @else 
		    
			@foreach($warehouse as $warehousename)
			<option value ="{{$warehousename->id}}">{{$warehousename->warehouse_code}} - {{$warehousename->warehouse_name}}</option>
			@endforeach
		   @endif  
		 </select>
	    </div> <!--position-relative form-group-->
       </div> <!--col-md-4-->
											
	    <div class="col-md-4">
		 <div class="position-relative form-group"><label class="font-weight-bold ml-2" for="erp_asset_code" class="">Erp Asset Code</label><input  maxlength="20" class="mb-2 form-control" autocomplete="off" name="erp_asset_code" id="erp_asset_code" value="{{ request()->route('id') ? $get_data->erp_asset_code : '' }}"  readonly  > 
		 </div>
	    </div>
		
        <div class="col-md-4">
		 <div class="position-relative form-group"><label for="status" class="ml-2 font-weight-bold">Status</label>
		  <select class="mb-2 form-control" name="status" id="status" required > 
		   @if(request()->route('id')) 
		    <option> </option>
		    <option {{ $get_data->status == 'active' ? 'selected' : '' }} value ="active">Active</option>
		    <option {{ $get_data->status == 'inactive' ? 'selected' : '' }} value="inactive">Inactive</option>
	       @else 
		    <option> </option>
		    <option value ="active">Active</option>
		    <option value="inactive">Inactive</option>
		   @endif	 
		  </select>
	     </div> <!--position-relative form-group-->
        </div> <!--col-md-4-->
       </div> <!--form-row-->
									
	    <div class="form-row">
	     <div class="col-md-5"></div>
	      @if(request()->route('id'))
	       <button name="btnsubmit" class="mt-3 btn btn-primary btn-lg"> Update</button>
	      @else 
	       <button name="btnsubmit" class="mt-3 btn btn-primary btn-lg">Save</button>
	      @endif
	       <div class="col-md-0.5"></div>
	        <a href="{{route('vehicle_list')}}" class="mt-3 btn btn-danger  btn-lg">Cancel</a>
	       </div> <!--form-row-->
          </form>
         </div> <!--card-body-->
        </div> <!--main-card mb-3 card-->
       </div> <!--tab-pane tabs-animation fade show active-->
      </div> <!--tab-content-->
     </div> <!--app-main__inner-->
   @include('theme_layout/footer') 
 </div> <!--app-main__outer-->
<script>
 var jq = $.noConflict();
 function checkForm(form)
  {
     
    form.btnsubmit.disabled = true;
    return true;
  }
$(document).ready(function(){
	 $('#type').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
		$('#vehicle_owner').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	    $('#warehouse_name').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
$("#vehicle_owner").change(function(){
			var vehicle_owner= $('#vehicle_owner').val();
			
	});
});
</script>  