@include('theme_layout/header')
@include('theme_layout/nav')
	
<div class="app-main__outer"> 
 <div class="app-main__inner">
  <div class="app-page-title">
   <div class="page-title-wrapper">
	<div class="page-title-heading">
	 <div class="page-title-icon">
	  <i class="pe-7s-graph text-success">
	  </i>
	 </div> <!--page-title-icon-->
	 
	   <div>Update Warehouse Stock 
	   </div>
	</div> <!--page-title-heading-->
							
		<div class="page-title-actions">
		 <div class="d-inline-block dropdown">
		   <a href="{{route('warehouse_stock_view')}}" class="mb-2 mr-2 btn-icon btn-square btn btn-secondary btn-lg"> <i class="fa fa-arrow-left fa-w-20"></i> Back</a> 
		 </div>
		</div>
	  </div> <!--page-title-wrapper-->
     </div>  <!--app-page-title-->           
					 
		<div class="tab-content">
		 <div class="tab-pane tabs-animation fade show active" id="tab-content-0" role="tabpanel">
		  <div class="main-card mb-3 card">
		   <div class="card-body">
		    <form class="" onsubmit="return checkForm(this);"
 action="{{ route('warehouse_stock_store') }}" method="post">
		     @csrf
		      <div class="form-row">
		       <div class="col-md-6" >
	            <div class="position-relative form-group"><label for="select_warehouse" class="">Select Warehouse</label> <select class="mb-2 form-control" name="warehouse_stock" id="warehouse_stock1" required >
		         <option > </option>
				  @if(request()->route('id'))
		           @foreach($get_data as $warehouse_name)
			        <option {{request()->route('id')==$warehouse_name->id ? 'selected' : ''}} value="{{$warehouse_name->id}}" >{{$warehouse_name->warehouse_code}} - {{$warehouse_name->warehouse_name}}</option>  
		           @endforeach  
		          @else
					@foreach($get_data as $warehouse_name)
					 <option value="{{$warehouse_name->id}}">{{$warehouse_name->warehouse_code}} - {{$warehouse_name->warehouse_name}}</option>
					@endforeach
				  @endif       
				</select> 
		      </div> <!--position-relative form-group-->
	       </div> <!--col-md-6-->
	  
		<div class="col-md-6">
		 <div class="position-relative form-group"><label for="select_warehouse" class="">Fresh Stock</label>
		  <br>
		   <input type="checkbox" name="fresh_stock" value="Fresh Stock" id="fresh_stock">  
		 </div> 
	    </div>
	  </div> <!--form-row-->
									  
		<div class="form-row">
	     <div class="col-md-6 " style="display: none;" id="fresh_stock_reason">
		  <label class="font-weight-bold" for="comment">Comment Your Reason:</label>
			<textarea class="form-control border-dark" name="comment" rows="3" id="comment"></textarea>
	     </div> 
		</div>          
                                    
		@if(request()->route('id')) 
	     <input  maxlength="120"  name="warehouse_id12" id="warehouse_id12"  type="hidden" class="form-control" value="{{request()->route('id')}}"  required >
	      <div class="form-row" >
		   <div class="col-md-12" id="updatestock">
		    <div class="card-header">
			 <ul class="nav nav-justified" id="material_cat_ul">
		      @foreach($material_category as $key=> $data) 
			   <li class="nav-item category_id" value="{{$key}}" id="{{$data->id}}">
				<a data-toggle="tab" id="item_li_add{{$data->id}}"  href="#warehouse_id{{$key}}" class="nav-link nav-pills">{{$data->category_name}}</a>
			   </li> 
			  @endforeach                                       
			 </ul>
			</div>
			
		<div class="card-body" id="">
		 <div class="tab-content">
		  @foreach($material_category as $key=> $data)
		   <div class="tab-pane active" id="warehouse_id{{$key}}" role="tabpanel"></div>
		  @endforeach   
		 </div> 
		</div> <!--card-body-->
	   </div> <!--col-md-12-->
     </div>  <!--form-row-->
		@endif

	    <div class="form-row">
		 <div class="col-md-5"></div>
		  @if(request()->route('id'))
			<button name="btnsubmit" class="mt-3 btn btn-primary btn-lg">Update</button>
		  @else 
			<button name="btnsubmit" class="mt-3 btn btn-primary btn-lg">Update Stock</button>
		  @endif
			<div class="col-md-0.5"></div>
			 <a href="{{route('warehouse_stock_view')}}"  class="mt-3 btn btn-danger  btn-lg">Cancel</a>
	    </div>
       </form>
      </div> <!--card-body-->
     </div> <!--main-card mb-3 card-->
    </div> <!--tab-pane tabs-animation fade show active-->
   </div> <!--tab-content-->
  </div> <!--app-main__inner-->
 @include('theme_layout/footer')
 
   <script src="http://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>
	
<script>

   var jq = $.noConflict();
   function checkForm(form)
  {
     
    form.btnsubmit.disabled = true;
    return true;
  }

   jq(document).ready(function(){
	   
	    $('#warehouse_stock1').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
   var repeat= new Array();

    jq("#fresh_stock").click(function(){

    jq("data").toggle();
    
    jq("#fresh_stock_reason").toggle();
  });

     jq("#warehouse_stock1").change(function(){

    var warehouse_id= jq('#warehouse_stock1').val();
    
    location.replace("{{ URL('get_category4/') }}"+"/"+warehouse_id);
  

       });  

    var stock=  jq('ul#material_cat_ul li:first').attr('id');

     if(stock) {

      var material_id = stock;

         var inc =  jq('ul#material_cat_ul li:first').attr('value');
  
           
           if(repeat[inc]==material_id)
           
           {

         
           }
          else
           {  
               var warehouse_id11= jq('#warehouse_id12').val();

               get_warehouse(material_id,inc,warehouse_id11);
           }
 
          jq('#item_li_add' + stock).addClass( "active show" );  

    } 



	  jq(".category_id").click(function(){
		

         material_id= jq(this).attr('id');




          var inc=jq(this).attr('value');

           if(repeat[inc]==material_id)
           {
           
           }
           else
           {
              var warehouse_id11= jq('#warehouse_id12').val();

              get_warehouse(material_id,inc,warehouse_id11);
           }
      });
   

	 function get_warehouse(material_id,inc,warehouse_id11)
     {
		
   
		 jq.ajax({
		      url: "{{ URL('warehouse_detalis4/') }}" +"/" + material_id+'/'+warehouse_id11,
              type:"GET",
              
          success:function(respons)
          {
            if(respons)
			{
				        jq('#warehouse_id'+inc+'').html(respons);
                 repeat[inc]=material_id;
			}
         
          }
       });
     }

 });
</script>		
                
