@include('theme_layout/header')
@include('theme_layout/nav')
<div class="app-main__outer">               
 <div class="app-main__inner">
  <div class="app-page-title">
   <div class="page-title-wrapper">
    <div class="page-title-heading">
	 <div class="page-title-icon">
	  <i class="pe-7s-graph text-success">
	  </i>
	 </div>
	 
		<div>  
	     {{ request()->route('id') ? 'Edit ' : 'Add ' }}
	      Promotion </div>	   
	</div>
	
	    <div class="page-title-actions">                                
		 <div class="d-inline-block dropdown">
		  <a href="{{route('promotion_list')}}" class="mt-3 btn btn-primary btn-lg text-white"> <i class="fa fa-arrow-left fa-w-20"></i> Back</a>                                  
		 </div>
	    </div>   
       </div>
      </div>  
	  
		<div class="tab-content">
		 <div class="tab-pane tabs-animation fade show active" id="tab-content-0" role="tabpanel">
		  <div class="main-card mb-3 card">
		   <div class="card-body">
		    <form class=""  action="{{ route('promotion_store') }} " method="post" onsubmit="return checkForm(this);">
		     @csrf
		      <div class="form-row">    
			   <div class="col-md-4">
		        <div class="position-relative form-group">
		         <label class="font-weight-bold ml-2" for="material" class="">Material</label>
		         <select  class="mb-2 form-control" name="material" id="material" required > 
		          @if(request()->route('id')) 	
		           @foreach($material as $material_name)
		            <option {{$get_data->material == $material_name->id ? 'selected' : '' }} value ="{{$material_name->id}}">{{$material_name->material_code}} - {{$material_name->material_name}}</option>
		           @endforeach		
		          @else 
		            <option value=""> </option>
		           @foreach($material as $material_name)
		            <option value ="{{$material_name->id}}">{{$material_name->material_code}} - {{$material_name->material_name}}</option>
		           @endforeach
		          @endif 
		         </select>
	            </div>
	          </div>
			  
	    <div class="col-md-4">
		 <div class="position-relative form-group">
		  <label for="from_date" class="ml-2 font-weight-bold">From date</label>
		   <input maxlength="25" name="from_date" id="from_date" placeholder="" type="date" class="form-control" value="{{ request()->route('id') ? $get_data->from_date : '' }}" autocomplete="off" required></div>
	      </div>
		  
	    <div class="col-md-4">
		 <div class="position-relative form-group">
		  <label for="to_date" class="ml-2 font-weight-bold">To Date</label>
		   <input maxlength="25" name="to_date" id="to_date" placeholder=" " type="date" class="form-control" value="{{ request()->route('id') ? $get_data->to_date : '' }}" autocomplete="off" required>
		    <input name="updated_id" id="updated_id" value="{{ request()->route('id') }}" type="hidden" autocomplete="off">
	       </div>
          </div>
         </div>	
		 
        <div class="form-row">
         <div class="col-md-4">
	      <div class="position-relative form-group">
		   <label for="amount" class="ml-2 font-weight-bold">Amount</label>
		    <input maxlength="8" name="amount" id="amount" placeholder=" " type="text" class="form-control" value="{{ request()->route('id') ? $get_data->amount : '' }}" onkeypress="return /^-?[0-9]*$/.test(this.value+event.key)" autocomplete="off" required>
	      </div>
         </div>
		<div class="col-md-4">
		 <div class="position-relative form-group">
		  <label for="status" class="ml-2 font-weight-bold">   Status
		  </label>
		  <select class="mb-2 form-control" name="status" id="status" required > 
		 @if(request()->route('id')) 		
		  <option value="">   </option>
		  <option {{ $get_data->status == 'active' ? 'selected' : '' }} value ="active">Active</option>
		  <option {{ $get_data->status == 'inactive' ? 'selected' : '' }} value="inactive">Inactive</option>                                            
		 @else 
		  <option value="">   </option>
		  <option value ="active">Active</option>
		  <option value="inactive">Inactive</option>
	     @endif 
		 </select></div>
		</div>	
	   </div>	
	   
		<div class="form-row">
	     <div class="col-md-5"></div>
	      @if(request()->route('id'))
	       <button class="mt-3 btn btn-primary btn-lg" name="btnsubmit">Update</button>
	      @else 
	       <button type="submit" class="mt-3 btn btn-primary btn-lg" name="btnsubmit">Save</button>
	      @endif
	       <div class="col-md-0.5"></div>
	        <a href="{{route('promotion_list')}}" class="mt-3 btn btn-danger  btn-lg">Cancel</a>
		   </div>
          </form>
         </div>
         </div>
        </div>                            
       </div>                              
      </div>               
    @include('theme_layout/footer')  
	<script>

		function checkForm(form)
		{ 
		form.btnsubmit.disabled = true;
		return true;
			}

		var jq = $.noConflict();

		jq(document).ready(function(){
			 jq("#back").click(function(){
				   window.history.back();
			   }) 
			   <!--Trading Center-->
		$('#material').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
		
		 
   });
   </script>