@php
$customer1='';
@endphp    
@include('theme_layout/header')
@include('theme_layout/nav')
<div class="app-main__outer">               
 <div class="app-main__inner">
  <div class="app-page-title">
   <div class="page-title-wrapper">
    <div class="page-title-heading">
     <div class="page-title-icon">
      <i class="pe-7s-graph text-success">
      </i>
     </div> <!--page-title-icon-->
	 
		<div>  
		 {{ request()->route('id') ? 'Edit ' : 'Add ' }}
		 Shelf Display </div>
	</div> <!--page-title-heading-->
	
		<div class="page-title-actions">                                
		 <div class="d-inline-block dropdown">
		  <a href="{{route('shelf_display_list')}}" class="mt-3 btn btn-primary btn-lg text-white">
		  <i class="fa fa-arrow-left fa-w-20"></i> Back</a>                                  
		 </div>
		</div>   
	   </div> <!--page-title-wrapper-->
	  </div> <!--app-page-title-->
	  
		<div class="tab-content">
		 @if(request()->route('id'))
		  @php
		   $customer1=explode(",",$get_data->customer);
		  @endphp	
		 @endif
		  <div class="tab-pane tabs-animation fade show active" id="tab-content-0" role="tabpanel">
		   <div class="main-card mb-3 card">
		    <div class="card-body">
		     <form class=""  action="{{ route('shelf_display_store') }} " method="post" onsubmit="return checkForm(this);">
			  @csrf
			   <div class="form-row">    
				<div class="col-md-4">
				 <div class="position-relative form-group">
				  <label for="name" class="ml-2 font-weight-bold">Name</label>
				  <input name="name" id="name" placeholder="" type="text" maxlength="25" class="form-control" value="{{ request()->route('id') ? $get_data->name : '' }}" autocomplete="off" required></div>
				 </div>
				
		<div class="col-md-4">
		 <div class="position-relative form-group">
		  <label for="valid_from" class="ml-2 font-weight-bold">Valid From</label>
		   <input maxlength="25" name="valid_from" id="valid_from" placeholder="" type="date" class="form-control" value="{{ request()->route('id') ? $get_data->valid_from : '' }}" autocomplete="off" required></div>
		</div>
		
		<div class="col-md-4">
		 <div class="position-relative form-group">
		  <label for="valid_to" class="ml-2 font-weight-bold">Valid To</label>
		   <input maxlength="25" name="valid_to" id="valid_to" placeholder=" " type="date" class="form-control" value="{{ request()->route('id') ? $get_data->valid_to : '' }}" autocomplete="off" required>
		    <input name="updated_id" id="updated_id" value="{{ request()->route('id') }}" type="hidden" autocomplete="off">
		   </div>
	     </div>
	   </div>	<!--form-row-->
	   
        <div class="form-row">
	     <div class="col-md-4">
		  <div class="position-relative form-group">
		   <label for="height" class="ml-2 font-weight-bold">Height(CM)</label>
			<input maxlength="11" name="height" id="height" placeholder=" " type="text" class="form-control" value="{{ request()->route('id') ? $get_data->height : '' }}" onkeypress="return /^-?[0-9]*$/.test(this.value+event.key)" autocomplete="off" required>
		   </div>
	      </div>
		  
	    <div class="col-md-4">
		 <div class="position-relative form-group">
		  <label for="width" class="ml-2 font-weight-bold">Width(CM)</label>
		   <input maxlength="11" name="width" id="height" placeholder=" " type="text" class="form-control" value="{{ request()->route('id') ? $get_data->width : '' }}" onkeypress="return /^-?[0-9]*$/.test(this.value+event.key)" autocomplete="off" required>
		 </div>
	   </div>
	   
	    <div class="col-md-4">
		 <div class="position-relative form-group">
		 <label for="depth" class="ml-2 font-weight-bold">Depth(CM)</label>
		  <input maxlength="11" name="depth" id="depth" placeholder=" " type="text" class="form-control" value="{{ request()->route('id') ? $get_data->depth : '' }}" onkeypress="return /^-?[0-9]*$/.test(this.value+event.key)" autocomplete="off" required>
		 </div>
	    </div>
       </div> <!--form-row-->
	   
        <div class="form-row">
	     <div class="col-md-4">
		  <div class="position-relative form-group">
		    <label for="capacity" class="ml-2 font-weight-bold">Capacity(Pcs)</label>
			 <input maxlength="11" name="capacity" id="capacity" placeholder=" " type="text" class="form-control" value="{{ request()->route('id') ? $get_data->capacity : '' }}" onkeypress="return /^-?[0-9]*$/.test(this.value+event.key)" autocomplete="off" required>
		    </div>
	      </div>
		  
	    <div class="col-md-4">
		 <div class="position-relative form-group">
		  <label class="font-weight-bold ml-2" for="region" class="">Region</label>
		   <select  class="mb-2 form-control" name="region" id="region" required > 
		    @if(request()->route('id')) 		
		     @foreach($region as $regionname)
		      <option {{$get_data->region == $regionname->id ? 'selected' : '' }} value ="{{$regionname->id}}">{{$regionname->region_code}} - {{$regionname->region_name}}</option>
		     @endforeach		
		    @else 
		      <option value=""> </option>
		     @foreach($region as $regionname)
		      <option value ="{{$regionname->id}}">{{$regionname->region_code}} - {{$regionname->region_name}}</option>
		     @endforeach
		    @endif 
		   </select>
		  </div>
	     </div> <!--col-md-4-->
		 
	    <div class="col-md-4">
	     <div class="position-relative form-group">
		  <label for="sub_region" class="ml-2 font-weight-bold">
		    Sub Region
		  </label>                                                 
		   @if(request()->route('id'))                                                  
			<input name="region_id" id="region_id" value="{{ request()->route('id') ? $get_data->region : '' }}" type="hidden" autocomplete="off">	 			
			<input name="sub_region_id" id="sub_region_id" value="{{ request()->route('id') ? $get_data->sub_region : '' }}" type="hidden" autocomplete="off">							 
			<select class="mb-2 form-control" name="sub_region" id="subregion_add" required >
			
		      <option value ="{{$sub_region->id}}">{{$sub_region->sub_region_code}} - {{$sub_region->sub_region_name}}</option>
		     
			</select>                                                        
		   @else 
		    <select class="mb-2 form-control" name="sub_region" id="subregion_add" required >
			</select>   
		   @endif  
	      </div>
	     </div> <!--col-md-4-->
        </div> <!--form-row-->

        <div class="form-row">
	     <div class="col-md-4">
	      <div class="position-relative form-group"><label for="customer" class="ml-2 font-weight-bold">Customer</label>
	       @if(request()->route('id'))                                                  
		    <input name="region_id" id="region_id" value="{{ request()->route('id') ? $get_data->region : '' }}" type="hidden" autocomplete="off">	 		
		     <input name="sub_region_id1" id="sub_region_id1" value="{{ request()->route('id') ? $get_data->sub_region : '' }}" type="hidden" autocomplete="off">	
		      <input name="customer_id" id="customer_id" value="{{ request()->route('id') ? $get_data->customer: '' }}" type="hidden" autocomplete="off">		
		       
			  <select class="mb-2 form-control" name="customer[]" id="customer" multiple required></select>
			   
		   @else 
		     <select class="mb-2 form-control" name="customer[]" id="customer" multiple required>
				 
			 </select> 
		   @endif 
	      </div>
		</div>
	
		<div class="col-md-4">
		 <div class="position-relative form-group">
	      <label for="status" class="ml-2 font-weight-bold">   Status
	      </label>
	       <select class="mb-2 form-control" name="status" id="status" required > 
		  @if(request()->route('id')) 	
		   <option value="">   </option>
		   <option {{ $get_data->status == 'active' ? 'selected' : '' }} value ="active">Active</option>
		   <option {{ $get_data->status == 'inactive' ? 'selected' : '' }} value="inactive">Inactive</option>                                            
		  @else 
		    <option value="">   </option>
		    <option value ="active">Active</option>
		    <option value="inactive">Inactive</option>
		  @endif 
			</select></div>
		   </div>											
         </div> <!--form-row-->
		 
	    <div class="form-row">
	     <div class="col-md-5"></div>
	      @if(request()->route('id'))
	       <button class="mt-3 btn btn-primary btn-lg" name="btnsubmit">Update</button>
	      @else 
	       <button type="submit" class="mt-3 btn btn-primary btn-lg" name="btnsubmit">Save</button>
	      @endif
	       <div class="col-md-0.5"></div>
	       <a href="{{route('shelf_display_list')}}" class="mt-3 btn btn-danger btn-lg" >Cancel</a>
	      </div>
         </form>
        </div> <!--card-body-->
       </div> <!--main-card mb-3 card-->                           
      </div>  <!--tab-pane tabs-animation fade show active-->                            
     </div> <!--tab-content-->              
   @include('theme_layout/footer')   
 <script>
	 function checkForm(form){ 
		form.btnsubmit.disabled = true;
		return true;
	}
   var jq = $.noConflict();

   jq(document).ready(function(){

	
	   
	   @if(request()->route('id'))
		var customer1=jq('#customer_id').val();
		
	   	var sub_region1 =  jq('#subregion_add').val();
	  	 get_customer(sub_region1, customer1);
   		@endif
	   
	   function isNumberKey(evt)
			{
				var charCode = (evt.which) ? evt.which : evt.keyCode;
				if (charCode != 46 && charCode > 31 
				&& (charCode < 48 || charCode > 57))
				return false;
				return true;
			}
	$('#region').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	
       	$("#region").change(function(){
		
         var region =  jq('#region').val();
         var sub_region1 ='0';
        get_subregion(region, sub_region1);
 
     	});
	 
	  var sub_region1 = '';
       $("#subregion_add").change(function(){
		  
         var sub_region1 =  jq('#subregion_add').val();
		 var customer1 ='0';
        get_customer(sub_region1, customer1);
	   });
	 
     
     if(region =='') {
         
        var region_id =  jq('#region_id').val();
         var sub_region_id =  jq('#sub_region_id').val();
         
         if(!region_id=='')
         {
             get_subregion(region_id, sub_region_id);
         } 
     }  
     
     

  function get_subregion(region_id, city)
     {
         //alert(city);
         jq.ajax({
              url: "{{ URL('shelf_display/get_subregion/') }}" +"/" + region_id +'/'+city,
              type:"GET",
              
          success:function(respons)
          {
            if(respons)
            {
                jq('#subregion_add').html(respons);
				$('#subregion_add').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	            $('#subregion_add')[0].sumo.reload(); 
            }
         
          }
       });
     }

$('#customer').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});	

//for Customer
if(sub_region1 =='') {
         
       
         var sub_region_id1 =  jq('#sub_region_id1').val();
		  var customer_id =  jq('#customer').val();
         
        //  if(!sub_region_id1=='')
        //  {
        //      get_customer(sub_region_id1, customer_id);
        //  } 
     }

function get_customer(sub_region_id1, customer_id)
     {
         //alert(city);
         jq.ajax({
              url: "{{ URL('shelf_display/get_customer1/') }}" +"/" + sub_region_id1 +'/'+customer_id,
              type:"GET",
                
          success:function(respons)
          {
                jq('#customer').html(respons);  
				$('#customer').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
				$('#customer')[0].sumo.reload(); 
         
          }
       });
     }	 
    
});

 
        
</script>         