@include('theme_layout/header')
@include('theme_layout/nav')

<div class="app-main__outer">
 <div class="app-main__inner">
  <div class="app-page-title">
   <div class="page-title-wrapper">
	<div class="page-title-heading">
	 <div class="page-title-icon">
	  <i class="pe-7s-graph text-success">
	  </i>
	 </div>       <!--page-title-icon-->
	 
	 <div>  
			{{ request()->route('id') ? 'Edit ' : 'Add ' }} 
			Outlet Return Sales
	 </div>
	</div>       <!--page-title-heading-->
	
	<div class="page-title-actions"> 
	 <div class="d-inline-block dropdown">
	   <a id="back" class="mt-3 btn btn-primary btn-lg text-white"> 
	   <i class="fa fa-arrow-left fa-w-20 text-white"></i> Back</a>
	   
	 </div>        <!--d-inline-block dropdown-->
	</div>         <!--page-title-actions-->
   </div>          <!--page-title-wrapper-->
  </div>           <!--app-page-title-->

  <div class="tab-content">
   <div class="tab-pane tabs-animation fade show active" id="tab-content-0" role="tabpanel">
	<div class="main-card mb-3 card">
	 <div class="card-body">
	 <h5 class="card-title"></h5>
	 <form id="material_form" class="" onsubmit="return checkForm(this);" action="{{ route('outlet_return_sales_store') }}" method="post">  
				{{ csrf_field() }} 
	  <div class="form-group row">
	  <div class="col-md-4">
		<div class="position-relative form-group">
		   <label for="select_warehouse" class="font-weight-bold">Distributor</label> 
	     
          <select class="mb-2 form-control" name="distibutor" id="distibutor" required>
             <option> </option>
            @foreach($distibutor as $distibutor)
            <option value="{{$distibutor->id}}">
             {{$distibutor->customer_code}} - {{$distibutor->customer_name}}
            </option>
             @endforeach     
          </select> 
      </div>
    </div>
          
	   <div class="col-md-4">
		<div class="position-relative form-group">
		 
		   <label  class="font-weight-bold ml-2" for="warehouse" class=""> Warehouse
		   </label>
		   
		   <select class="mb-2 form-control warehouse" name="warehouse" id="warehouse" required >  
			
		   </select> 
		</div>       <!--position-relative form-group-->
	   </div>       <!--form-group row"-->
	   
	   <div class="col-md-4">
		<div class="position-relative form-group"> 
		     <label  class="font-weight-bold ml-2" for="outlet" class="">Outlet Warehouse
		   </label>
		    
		   <select class="mb-2 form-control outlet" name="outlet" id="outlet" required >  
			
		   </select> 
		</div>       <!--position-relative form-group-->
	   </div> 
	   
	   <div class="col-md-12">
		<div class="position-relative form-group">
		  
			<label class="font-weight-bold ml-2"  for="comment" class="">Remark*</label>
		   
		   <input  maxlength="200" name="comment" id="comment"  type="text" class="form-control" value=""  autocomplete="off" required> 
		   <input value="" id="warehouse_id" type="hidden" name="warehaouse_id" class="form-control" autocomplete="off"> 
		   <input value="" id="route_id1" type="hidden" name="route_id1" class="form-control" autocomplete="off"> 
		   <input  type="hidden" id="counter_sales_number" name="counter_sales_number" class="form-control" value="{{$last_code}}" autocomplete="off">
		   
	    </div>       <!--position-relative form-group-->
	   </div>      
      </div>       <!--form-group row-->
	  
	  <div class="mb-5" >
	   <h5><p class="font-weight-bold float-right mr-5"><bold>Outlet Return Sales Code:  #{{$last_code}}</bold></p></h5>
	  </div>   

<!--  add row -->
	  <section>

	  <div class="panel panel-footer" >
	   <table class="table table-bordered" id="myTable">
		<thead>
		 <tr>
		  <th style="width:18%; text-align: center;">Material </th>
		  <th style="width:12%; text-align: center;">UOM</th>
		  <th style="width:12%; text-align: center;">Qty</th>
		  <th style="width:12%; text-align: center;">Unit Price</th>
		  <th style="width:15%; text-align: center;">Return Type</th>
		  <th style="width:18%; text-align: center;">Return Reason</th>
		  <th style="width:13%; text-align: center;">Total</th>
		  <th>Action</th>
		 </tr>
		</thead>
		
		<tbody id="dynmic_row">
		 <tr id="row_1">
		  <td style="width: 15%;" id="mitem_1" >
		   <select type="text" id="get_material_1" name="material_name[]" class="form-control" required="">
		   <option value=""></option>
		    @foreach($material as $material_name)
		   <option value ="{{$material_name->id}}">{{$material_name->material_code}} - {{$material_name->material_name}}</option>
		    @endforeach
		   </select>
		  </td>
		   <td id="uitem_1" style="width: 10%;">
		   <select  id="uom_1" name="uom[]" class="form-control">
		   <option value=""></option> 
		   </select>
		  </td>
					
		  <td id="qitem_1">
		   <input  value=""  id="qty_1" type="text" name="quantity[]" class="form-control quantity" required="" autocomplete="off" >
		  </td>
					
		  <td id="pitem_1">
		   <label   class="lprice font-weight-bold ml-4 " id="lprice_1" for="comment"> 
		   </label>
					
		   <input  value=""  id="price_1" type="hidden" name="price[]" class="form-control price" autocomplete="off">
		   <input autocomplete="off" value=""  id="packing_size_1" type="hidden" name="packing_size[]" class="form-control packing_size">
		   <input autocomplete="off" value=""  id="begpacking_size_1" type="hidden" name="begpacking_size[]" class="form-control begpacking_size">
					
		  </td>
		  <td style="width: 15%;" id="rtitem_1"> 
		   <select type="text" id="return_type_1" name="return_type[]" class="form-control" required="">
		   <option value=""></option>									
		   <option value="1">Good Return</option>
		   <option value="2">Bad Return</option>
		   </select>
		  </td>
					
		  <td style="width: 15%;" id="ritem_1">
		   <select type="text" id="resion_type_1" name="resion[]" class="form-control" required=""> 
		   <option value=""></option>
		   </select>
		  </td>
			
		  <td id="titem_1">
		   <label   class="ltotal font-weight-bold ml-4 " id="ltotal_1" for="comment">     </label>
		   <input value=""  id="total_1" type="hidden" name="total[]" class="form-control total" autocomplete="off">
		   <input value="" id="gross_1" type="hidden" name="gross[]" class="form-control gross" autocomplete="off">
		   		   
		  </td>
					
		  <td>
		   <button type="button" class="btn btn-danger font-weight-bold "  onclick="deleteRow(this,1)">
		    <i class="fa fa-trash" aria-hidden="true" >
			</i>
		   </button>
		  </td>
		  			
		 </tr>
		 </tr>
			
		</tbody>
	   </table>
        
	   <td>
		 <button type="button" class="btn btn-primary font-weight-bold text-white addRow">
		  <i class="fa fa-plus  text-white " aria-hidden="true" ></i>  ADD</button>
	   </td>
      </div>     <!--panel panel-footer-->
     </section>
	 
    <input value="0" id="invoice_amount_totali" type="hidden" name="invoice_amount_totali" class="form-control " autocomplete="off">
	<input value="0" id="gross_amount_totali" type="hidden" name="gross_amount_totali" class="form-control" autocomplete="off">
	<input value="" id="price_amount_totali" type="hidden" name="price_amount_totali" class="form-control" autocomplete="off">
	<input value="" id="vat_amount_totali" type="hidden" name="vat_amount_totali" class="form-control " autocomplete="off">
	<input value="" id="net_amount_totali" type="hidden" name="net_amount_totali" class="form-control " autocomplete="off">
         
<!--  End add row -->	
      
	  <div class="container " style="width: 100%;" id="container">

	  <table class="table  table-bordered float-right" style="width: 30%;">

	   @php
	   $space=" ";
	   @endphp
	   <tr>
	   
		<td  class="bg-faded" style="width: 50%; background-color: #dfe2e8;">
			<strong>Gross Amount:</strong>
		</td>
		<td id="" class="bg-white font-weight-bold ml" style="width: 40%;">{{$login_user->currency_notation}} {{$space}}  
			<span  class="font-weight-bold ml-1 " id="gross_amount_total">0.00 </span>
		</td>

	   </tr>

	   <tr>
		<td class="bg-faded" style="width: 50%; background-color: #dfe2e8;">
		   <strong>Invoice Total:</strong></td>
		<td id="" class="bg-white font-weight-bold ml " style="width: 40%;">{{$login_user->currency_notation}} {{$space}}  
		   <span class="font-weight-bold ml-1 "  id="invoice_amount_total">0.00 </span></td>
	   </tr>
      </table>
					<br><br><br><br><br><br>
					<br><br><br><br><br><br>
					
	  <div class="row ">
	   <div class="col-md-5 ml-5">
	   </div>
		@if(request()->route('id'))
		@else
		<button id="submit" name="btnsubmit" class="mt-3 btn btn-primary btn-lg">Save</button>
		@endif
		<a href="{{route('outlet_return_sales_list')}}" class="mt-3 btn btn-danger ml-2  btn-lg">Cancel</a>   
							
	  </div>
	 </div>     <!--container-->
     </form>
    </div>       <!--card-body-->
   </div>       <!--main-card mb-3 card-->
  </div>        <!--tab-pane tabs-animation fade show active-->
 </div>       <!--tab-content-->
</div>       <!--app-main__inner-->

@include('theme_layout/footer')
   <script> 
   var jq = $.noConflict();
		function checkForm(form)
			{ 
		form.btnsubmit.disabled = true;
		return true;
			}
   jq(document).ready(function(){
	   jq("#back").click(function(){
		   window.history.back();
	   })
	 $('#get_material_0').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});   
	   
	$('#distibutor').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true}); 
	
         $("#distibutor").change(function(){
		 var distibutor_id =  jq('#distibutor').val();
	     get_warehouse(distibutor_id);
	      
        });
		 $("#warehouse").change(function(){ 
			    var warehouse= jq('#warehouse').val();
				
				get_outlet_warehouse_of_warehouse(warehouse); 

				jq('#dynmic_row').empty();

				jq("#gross_amount_total").html("0.00");

				jq("#invoice_amount_total").html("0.00");

				$(".addRow").removeAttr('disabled');

				i = 0;
				$(".addRow").click();
		   });
		
   function get_warehouse(distibutor_id) 
     {
		 jq.ajax({
		      url: "{{ URL('get_counter_sells_outlet_warehouse_list') }}" +"/" + distibutor_id,
              type:"GET",
          success:function(respons)
          {
			  if(respons)
			{
				jq('#warehouse').html(respons);  
                $('#warehouse').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	            $('#warehouse')[0].sumo.reload();			  
			}
         
          }
       });
     }  
		 

	function get_outlet_warehouse_of_warehouse(warehouse){
	    jq.ajax({
         url: "{{ URL('get_outlet_return_warehouse_of_warehouse/') }}" +"/" +warehouse,
         type:"GET",
         success:function(respons){ 
            jq('#outlet').html(respons);
		  
			$('#outlet').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
			$('#outlet')[0].sumo.reload(); 
         }
        });
       }  
	});  
   <!--row calculation-->
	jq('tbody').delegate('.quantity,.price','keyup',function(){
	 var gst=18;
	 var per=100;
        var tr=jq(this).parent().parent();
        var quantity=tr.find('.quantity').val();
		var begpacking_size1=tr.find('.begpacking_size').val();
		
		if(quantity==''){
		
			reset_value();
			function reset_value(){
		
		      tr.find('.total').val('');
              tr.find('.gross').val('');
		      tr.find('.vat').val('');
		      tr.find('.net_amount').val('');
			  tr.find('.ltotal').text('');
			  tr.find('.lprice').text('');
			  tr.find('.packing_size').text(begpacking_size1);
              
		     }
		
	    }
		else{
        var price=tr.find('.price').val();
		
		var unit_price = price.toLocaleString(
                      undefined, 
                      { minimumFractionDigits: 2 }
                      );
		      tr.find('.lprice').text(unit_price);
		
	<!--calculate vat for setting in input-->
	var actual_alt_packing_size=(quantity*begpacking_size1);
		var vat=(price*gst/per);
		//var vat1=Math.trunc(vat);
		var total=(quantity*price);
		var gross=(quantity*price);
        tr.find('.total').val(total);
        tr.find('.gross').val(total);
		tr.find('.vat').val(vat);
		tr.find('.packing_size').val(actual_alt_packing_size);
		<!--for lebel -->
		
		       var total_value1 = total.toLocaleString(
                      undefined, 
                      { minimumFractionDigits: 2 }
                      );
              tr.find('.ltotal').text(total_value1);
        
		<!--getting stored vat-->
		var get_vat=tr.find('.vat').val();
		var net_amount=(price-get_vat);
		tr.find('.net_amount').val(net_amount);
		}
		
       calculate();  
    });
	
<!-- reset value-->
	
	
<!--total calculation-->
   function calculate(){
	 var ftotal=0;
	 var fnet_total=0;
	 var fvat=0;
	 var fgross=0;
	 var fprice=0;
<!-- total calculation-->
        setTimeout(function(){
                        
                  jq('.total').each(function() {
                  var total=jq(this).val()-0;
			      ftotal+=total;
			 
                     });
                     var total_value = ftotal.toLocaleString(
 
                     undefined, 
                     { minimumFractionDigits: 2 }
                    );
                   document.getElementById("invoice_amount_total").innerHTML  = total_value;
				   document.getElementById("invoice_amount_totali").value = ftotal;
                   
               }, 200);
<!-- gross total-->
		   setTimeout(function(){
                        
                   jq('.gross').each(function() {
                   var gross_total=jq(this).val()-0;
			       fgross+=gross_total;
			 
                     });
                    var gross_value = fgross.toLocaleString(
 
                     undefined, 
                     { minimumFractionDigits: 2 }
                      );
                   document.getElementById("gross_amount_total").innerHTML  = gross_value;
				   document.getElementById("gross_amount_totali").value = fgross;
           
                }, 200);     

<!-- price total-->
		   setTimeout(function(){
                        
                   jq('.price').each(function() {
                   var price_total=jq(this).val()-0;
			       fprice+=price_total;
			 
                     });
                   document.getElementById("price_amount_total").innerHTML  = fprice;
				   document.getElementById("price_amount_totali").value = fprice;
           
                }, 200);  				
    } 

<!--end calculation	-->	
<!--add row	-->	
	var i=0;

	var brand_id = jq('#brand_id').val();
			$(".addRow").prop("disabled", true);

    jq('.addRow').on('click',function(){
		i++;
        addRow(i);
    });
	
<!--getting material of first row-->		
	$('#get_material_0').change(function(){
		 var material_id1 =  jq('#get_material_0').val();
	      
		   var row=0;
		   
		   reset_value1(row);
				 calculate(); 
		   get_material_details(material_id1,row);
		
		   setTimeout(function(){
                   var uom_id =  jq('#uom_0').val();     
				   get_material_price(uom_id,material_id1,row);
				   get_material_alt_packing_size(uom_id,material_id1,row);
           
                }, 1000);
        
     });
	 
<!--getting return type-->
   
   jq('#return_type_0').change(function(){
		 var return_type =  jq('#return_type_0').val();
	      
		   var row=0;
		  
		   get_resion(return_type,row);
     });
<!--getting material of first row-->		 
	 jq('#uom_0').change(function(){
		 var row=0;
		       var uom_id =  jq('#uom_0').val();
			  
			   var material_id =  jq('#get_material_0').val();
			     reset_value1(row);
				 calculate(); 
			   get_material_price(uom_id,material_id,row);
			   get_material_alt_packing_size(uom_id,material_id1,row);
			   
             });
	
    function addRow(value){
    
        var tr='<tr id="row_'+value+'">'+
        '<td style="width: 15%;" id="mitem_"><select type="text" id="get_material_'+value+'"  name="material_name[]" class="form-control get_material" required=""></td>'+
		
        '<td id="uitem_'+value+'" style="width: 10%;"><select type="text" id="uom_'+value+'" name="uom[]" class="form-control"><option value=""></option></select> </td>'+
		
        '<td id="qitem_'+value+'"><input type="text" value="" id="qty_'+value+'" name="quantity[]" class="form-control quantity" required="" autocomplete="off"></td>'+
		
        '<td id="pitem_'+value+'"><label   class="lprice font-weight-bold ml-4 " id="lprice_'+value+'" for="comment">     </label><input readonly type="hidden" value="" id="price_'+value+'" name="price[]" class="form-control price" autocomplete="off"><input autocomplete="off" readonly type="hidden" value="" id="packing_size_'+value+'" name="packing_size[]" class="form-control packing_size"> <input autocomplete="off" readonly type="hidden" value="" id="begpacking_size_'+value+'" name="begpacking_size[]" class="form-control begpacking_size"></td>'+
		
        ' <td style="width: 15%;" id="rtitem_'+value+'"><select type="text" id="return_type_'+value+'" name="return_type[]" class="form-control" required=""><option value=""></option><option value="1">Good Return</option> <option value="2">Bad Rtuen</option></select></td>'+
		
		
		'<td style="width: 15%;" id="ritem_'+value+'"><select type="text" id="resion_type_'+value+'" name="resion[]" class="form-control" required=""> <option value=""></option></select></td>'+
		
        ' <td id="titem_'+value+'"><label   class="ltotal font-weight-bold ml-4 " id="ltotal_'+value+'" for="comment">     </label><input readonly type="hidden" value="" id="total_'+value+'" name="total[]" class="form-control total" autocomplete="off"><input value="" id="gross_'+value+'" type="hidden" name="gross[]" autocomplete="off" class="form-control gross"></td>'+
		
        ' <td><button type="button" class="btn btn-danger font-weight-bold "  onclick="deleteRow(this,'+value+')"><i class="fa fa-trash" aria-hidden="true" ></i></button></td>'+
        '</tr>';
        jq('#dynmic_row').append(tr);
		
		<!--getting material name-->
		    get_material(value);
			
		<!--getting material uom-->	
		    $('#get_material_'+value+'').change(function(){
		       var material_id =  jq('#get_material_'+value+'').val();
			   
			   
			   get_material_details(material_id,value);
			   
			    setTimeout(function(){
                   var uom_id =  jq('#uom_'+value+'').val();  
                 				   
				   get_material_price(uom_id,material_id,value);
				    get_material_alt_packing_size(uom_id,material_id,value);
           
                }, 1000);
				
				reset_value1(value);
			   calculate();
			   
             });
			  function is_vat(material_id1,row) {
				 jq.ajax({
					  url: "{{ URL('outlet_get_material_vat/') }}"+"/" +material_id1,
					  type:"GET",
					  
				  success:function(respons) {
					  
						 document.getElementById('isvat_'+row+'').value =respons;
				   }
			     });
			   }
			 
			 <!--getting material price-->	
			 jq('#uom_'+value+'').change(function(){
		       var uom_id =  jq('#uom_'+value+'').val();
			   var material_id =  jq('#get_material_'+value+'').val();
			     reset_value1(value);
			   
			   get_material_price(uom_id,material_id,value);
			    get_material_alt_packing_size(uom_id,material_id,value);
			    calculate(); 
			   
             });
			 
			  jq('#return_type_'+value+'').change(function(){
		        var return_type =  jq('#return_type_'+value+'').val();
		 
		     get_resion(return_type,value);
	    
     });
		
    };	
<!--end add row	-->
  <!--get_material_uom-->
	function get_material_details(material_id1,row){
	     		 
		 jq.ajax({
		      url: "{{ URL('outlet_return_sales_detailsUom/') }}"+"/" +material_id1+'/'+row,
              type:"GET",
              
          success:function(respons){
          
            if(respons){
			
				jq('#uom_'+row+'').html(respons);
			}
         
          }
       });
     }
	 
<!--get_resion-->
	function get_resion(get_resion,row){
	     		 
		 jq.ajax({
		      url: "{{ URL('outlet_get_resion/') }}"+"/" +get_resion,
              type:"GET",
              
          success:function(respons){
          
            if(respons){
			
				jq('#resion_type_'+row+'').html(respons);
			}
         
          }
       });
     }
	 
	  <!--get_material_alt_packing_size-->
	 function get_material_alt_packing_size(uom_id1,material_id1,row){
			
		 jq.ajax({
		      url: "{{ URL('outlet_get_material_return_alt_packing_size/') }}"+"/" +uom_id1+'/'+material_id1,       
              type:"GET",
              
          success:function(respons){
          
            if(respons){
				
				 document.getElementById('packing_size_'+row+'').value =respons;
				 document.getElementById('begpacking_size_'+row+'').value =respons;
			}
         
          }
       });
     }
	 
    <!--get_material_price-->
	 function get_material_price(uom_id1,material_id1,row){
			
		 jq.ajax({
		      url: "{{ URL('outlet_return_sales_material_price/') }}"+"/" +uom_id1+'/'+material_id1,       
              type:"GET",
              
          success:function(respons){
          
            if(respons){
				
				document.getElementById('price_'+row+'').value =respons;
			}
          }
       });
     }
	<!--get_material_name-->
	function get_material(value) {
		 jq.ajax({
		      url: "{{ URL('outlet_return_sales_get_material/') }}",
              type:"GET",
              
          success:function(respons){
          
            if(respons){
			
				jq('#get_material_'+value+'').html(respons); 
				$('#get_material_'+value+'').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	            $('#get_material_'+value+'')[0].sumo.reload(); 
			}
          }
       });
     }
	 <!-- reseting Value-->
    	 function reset_value1(row){
		        document.getElementById('price_'+row+'').value ='';
		        
		        document.getElementById('total_'+row+'').value ='';
		       
		        document.getElementById('qty_'+row+'').value ='';
		     
		        document.getElementById('gross_'+row+'').value ='';
				 <!--for lebel-->
				document.getElementById('lprice_'+row+'').innerHTML='';
		       
		        document.getElementById('ltotal_'+row+'').innerHTML='';
				;
		     }
	 
<!-- Deleting row-->
  function deleteRow(r,row) {
	 
        if(row==1){
            Swal.fire({
				  icon: 'error',
				  title: 'You Can Not Remove First Row!',
				})
        }
		else{
       calculate();
      var i = r.parentNode.parentNode.rowIndex;
     document.getElementById("myTable").deleteRow(i);
		}
  }
</script>