@include('theme_layout/header')
@include('theme_layout/nav')
<div class="app-main__outer">
 <div class="app-main__inner">
  <div class="app-page-title">
   <div class="page-title-wrapper">
    <div class="page-title-heading">       
     <div class="page-title-icon">
      <i class="pe-7s-graph text-success"></i>
     </div>
        
        <div>  
		{{ request()->route('id') ? 'Edit ' : 'Add ' }}
		  City 
        </div>       
    </div> <!-- end page title heading -->
                            
        <div class="page-title-actions">
         <div class="d-inline-block dropdown">             
          <a href="{{route('city_list')}}" class="mt-3 btn btn-primary btn-lg text-white"> 
           <i class="fa fa-arrow-left fa-w-20"></i> 
            Back
          </a>
         </div>        
        </div> <!-- end page title actions -->  
    </div>  <!-- end page title wrapper -->
  </div>   <!-- end app page title  -->         
                     
    <div class="tab-content">
     <div class="tab-pane tabs-animation fade show active" id="tab-content-0" role="tabpanel">
      <div class="main-card mb-3 card">
       <div class="card-body">
        <form id="" class="" onsubmit="return checkForm(this);"
        action="{{ route('city_type_store') }}" method="post">
         {{ csrf_field() }}              
	      <div class="form-row">
	       <div class="col-md-4">                    
		    <div class="position-relative form-group">
		     <label for="city_code" class="ml-2 font-weight-bold">City Code</label>
			  <input autocomplete="off" maxlength="20" name="city_code" id="city_code" placeholder="" type="text" value="{{$last_code}}" class="form-control" readonly="readonly" required>
			</div>			  
		   </div>
				  
			<div class="col-md-4">				
			 <div class="position-relative form-group">
			  <label for="country" class="ml-2 font-weight-bold">Country</label>
			   <select class="mb-2 form-control" name="country" id="country" required> 
				@if(request()->route('id')) 
					@foreach($country as $countryname)
					<option {{$get_data->Country_id == $countryname->id ? 'selected' : '' }} value ="{{$countryname->id}}">{{$countryname->country_code}} - {{$countryname->country_name}}</option>
					@endforeach
				   
					@else 
					<option value=""> </option>
					@foreach($country as $countryname)
					 <option value ="{{$countryname->id}}">{{$countryname->country_code}} - {{$countryname->country_name}}</option>
					@endforeach
				@endif
			   </select>
			 </div>	<!--position-relative form-group-->		  
			</div> <!--col-md-4-->
                                            
			  <div class="col-md-4">
			   <div class="position-relative form-group">
				<label for="city_name" class="ml-2 font-weight-bold">City Name</label>
				 <input autocomplete="off" maxlength="120" name="city_name" id="city_name" placeholder="" type="text" value="{{ request()->route('id') ? $get_data->city_name : '' }}" class="form-control" required>
				 <input autocomplete="off" name="updated_id" id="updated_id" value="{{ request()->route('id') }}" type="hidden">
			   </div>
			  </div> 
          </div> <!--form-row-->
                                        
                <div class="form-row">
                 <div class="col-md-4">                   
                  <div class="position-relative form-group">
                   <label for="status" class="ml-2 font-weight-bold">Status</label>
                    <select class="mb-2 form-control" name="status" id="status" required> 
                     @if(request()->route('id'))                     
                       <option value="">   </option>
                       <option {{ $get_data->status == 'active' ? 'selected' : '' }} value ="active">Active</option>
                       <option {{ $get_data->status == 'inactive' ? 'selected' : '' }} value="inactive">Inactive</option>
                       
                        @else 
                       <option value="">   </option>
                       <option value ="active">Active</option>
                       <option value="inactive">Inactive</option>
                     @endif      
                    </select>
                  </div>                    
                 </div>             
                </div>
                
                <div class="form-row">           
                 <div class="col-md-5"></div>
                   @if(request()->route('id'))
                    <button name="btnsubmit" class="mt-3 btn btn-primary btn-lg">Update</button>
                     <div class="col-md-0.5"></div>
                     
                      @else
                    <button name="btnsubmit" class="mt-3 btn btn-primary btn-lg">Save</button>
                   @endif
                    <div class="col-md-0.5"></div>
                     <a href="{{route('city_list')}}" class="mt-3 btn btn-danger  btn-lg">Cancel</a>
                </div>
              </form>
            </div> <!--card-body-->
         </div> <!--main-card mb-3 card-->
      </div> <!--tab-pane tabs-animation fade show active" id="tab-content-0" role="tabpan-->
    </div> <!--tab-content-->
 </div> <!--app-main__inner-->
 
 @include('theme_layout/footer')
                 
 <script>
   var jq = $.noConflict();
   function checkForm(form)
  {
     
    form.btnsubmit.disabled = true;
    return true;
  }
   jq(document).ready(function(){
	$('#country').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
   })
 </script>
   
                

