@include('theme_layout/header')
@include('theme_layout/nav')

	@php
	$row1 = date("d M Y g:i a", strtotime($get_data->delivery_date));
	@endphp
								
<div class="app-main__outer">
 <div class="app-main__inner">
  <div class="app-page-title">
   <div class="page-title-wrapper">
    <div class="page-title-heading">
     <div class="page-title-icon">
	   <i class="pe-7s-graph text-success">
	   </i>
     </div>        <!--page-title-icon-->

     <div>Purchase Order View
     </div>
    </div>        <!--page-title-heading-->
							
	<div class="page-title-actions"> 
     <div class="d-inline-block dropdown">
	  <a id="back" class="mt-3 btn btn-primary btn-lg text-white">
	  <i class="fa fa-arrow-left fa-w-20 text-white"></i> Back</a>
	 </div>
	</div>         <!--page-title-actions-->
   </div>        <!--page-title-wrapper-->
  </div>          <!--app-page-title-->
					
  <div class="tab-content">
   <div class="tab-pane tabs-animation fade show active" id="tab-content-0" role="tabpanel">
	<div class="main-card mb-3 card">
	 <div class="card-body">
	  <div class="container"> 
	   <div class="form-group row">
	    
		<div class="col-md-4"> 
		 <div class="position-relative form-group">
		   	<label class="font-weight-bold ml-2" for="customer_name" class="">Supplier</label>
		   <input name="supplier_name" id="supplier_id" value="{{$get_data->supplier_code}} - {{$get_data->supplier_name}}"  type="text" class="form-control" readonly  > 
		  </div>        <!--position-relative form-group-->
	    </div>         
	    
		<div class="col-md-4"> 
		 <div class="position-relative form-group">
		   <label class="font-weight-bold ml-2" for="tin_no" class="">Tin No</label>
		    <input maxlength="20" name="tin_no" id="tin_no" value="{{$get_data->tin_no}}"  type="text" class="form-control" readonly  > 
		 </div>         <!--position-relative form-group-->
		</div>
		
		<div class="col-md-4">
		<div class="position-relative form-group">
		 <label class="font-weight-bold ml-2"  for="" class=""> Payment Term</label>
		   <input  maxlength="120" readonly name="payment_term" id="payment_term"  type="text" class="form-control" value="{{$get_data->payment_code}} - {{$get_data->payment_term}}" autocomplete="off" readonly>
		 </div>    <!--position-relative form-group-->
	   </div>
      </div>         <!--form-group row--> 
	   
	   <div class="form-group row">
	    <div class="col-md-4">				
		 <div class="position-relative form-group">
		   <label class="font-weight-bold ml-2" for="invoice_date" class="">Delivery Date</label>
            <input maxlength="20" name="delivery_date" id="delivery_date" value="{{$row1}}"  type="text" class="form-control"  readonly> 
		  </div>        <!--position-relative form-group-->
	    </div>  
		  						 
		<div class="col-md-8"> 				
		 <div class="position-relative form-group">
		   <label class="font-weight-bold ml-2" for="comment" class="">Remark*</label>
		    <input required maxlength="20" name="comment" id="comment" value="{{ $get_data->remark}}"  type="text" class="form-control"  readonly> 
	       </div>        <!--position-relative form-group-->
	     </div> 
        </div>         <!--form-group row-->
		
	   <div class="mb-3 card">
	     <div class="card-header card-header-tab-animation">
           <ul class="nav nav-justified">
            <li class="nav-item active"><a data-toggle="tab" href="#tab-eg115-1" class="nav-link active"> Purchase Order </a></li>
            <li class="nav-item"><a data-toggle="tab" href="#tab-eg115-2" class="nav-link">GRN</a></li>
           </ul>
          </div><!--card-header card-header-tab-animation-->
			 
			<div class="card-body">
			<div class="tab-content">
		  <div class="tab-pane" id="tab-eg115-2" role="tabpanel">
		  @if(count($return_data1)==0) 
		   <center><div class="error  text-danger"  > There  Is No GRN Against This Purchase Order</div></center>
          @else	  
		 @foreach($return_data1 as $key => $grndetails)  
		 <h4>
		  <bold>{{$return_data1[$key]["grn_code"]}} - {{ date_format(date_create($return_data1[$key]["created_at"]), 'd M Y ') }} </bold> 
	     </h4>  
		 <table class="table   table-hover  table-bordered"> 
		   <thead> 
		     <tr>
			 <th style="width:18%; text-align: center;">Material</th>
			 <th style="width:18%; text-align: center;">Available Qty</th>  
			 <th style="width:18%; text-align: center;">Receive Qty</th>
             <th style="width:9%; text-align: center;">Pending Qty</th>             
			</tr> 
		  <tbody>
		   		
        @foreach($return_data1[$key]["details"] as $key1 =>  $subdetails)   
		   <tr> 
            <td>  
			 <label type="text" id="material_name" name="material_name[]" class="font-weight-bold ml-2"  >{{$return_data1[$key]["details"][$key1]["material_name"]}} 
			 </label>   
			</td>
			 <td style="width: 15%;" id="ritem_0" > 
			 <label readonly id="resion" name="order_qty" class="lresion font-weight-bold ml-2 " ="">
			 {{$return_data1[$key]["details"][$key1]["order_qty"]}} 
			 </label>
			</td> 
            <td>
			 <label  value=""  id="qty_0" type="text" name="quantity[]" class=" font-weight-bold ml-2 " > {{$return_data1[$key]["details"][$key1]["quantity"]}}</label>
			</td>  
			 <td> 
			 <label type="text" id="amount" name="pending_qty[]"class="  font-weight-bold ml-2 "  > {{$return_data1[$key]["details"][$key1]["pending_qty"]}}
			 </label> 
			</td> 
           </tr> 
		   @endforeach 				
               	   
		  </tbody>  
		   </thead>
		   </table>
		  @endforeach  
		   @endif
		 </div><!--tab-pane active--> 
		
	    <div class="tab-pane active" id="tab-eg115-1" role="tabpanel">
		<table class="table   table-hover  table-bordered">
		 <thead>
		  <tr>
			<th style="width:20%; text-align: center;">Material</th>
			<th style="width:11%; text-align: center;">UOM</th>
			<th style="width:10%; text-align: center;">Qty</th>
			<th style="width:13%; text-align: center;">Unit Price</th>
			<th style="width:10%; text-align: center;">Discount</th>
			<th style="width:10%; text-align: center;">Vat</th>
			<th style="width:12%; text-align: center;">Net Amount</th>
			<th style="width:12%; text-align: center;">Total</th> 
		  </tr> 
		 <tbody id="dynmic_row">
	  
	        @foreach($get_data_details as $details)
		  
				<tr id="row_0">
					<td style="width: 15%;" id="mitem_0" > 
					<label type="text" id="get_material_0" name="material_name[]" class=" font-weight-bold ml-2 ">{{$details->mat_code}} - {{$details->material_name}} 
					</label> 
					</td>
					<td id="uitem_0"   style="width: 13%;">
					<label  id="uom_0" name="uom[]" class=" font-weight-bold ml-2 " >{{$details->unit_notation}} </label> 
					</td> 
					<td id="qitem_0">
					<label  value=""  id="qty_0" type="text" name="quantity[]" class=" font-weight-bold ml-2 ">{{$details->quantity}}</label>
					</td> 
					<td id="pitem_0">
					<label style="text-align: center;" value="" readonly id="price_0" type="text" name="price[]"class=" font-weight-bold ml-2 ">{{number_format($details->unite_price,2)}} </label></td>
					<td id="ditem_0">
					<label  style="text-align: center;" value=""   id="discount_0" type="text" name="discount[]"class=" font-weight-bold ml-2 ">{{number_format($details->discount,2)}}</label></td> 
					<td id="vitem_0">
					<label  style="text-align: center;" value="" readonly id="vat_0" type="text" name="vat[]"class=" font-weight-bold ml-2 ">{{number_format($details->vat,2)}}</label></td>
					<td id="naitem_0">
					<label  style="text-align: center;" value="" readonly id="net_amount_0" type="text" name="net_amount[]" class=" font-weight-bold ml-2 ">{{number_format($details->net_amount,2)}}</label></td>
					<td id="titem_0">
					<label  style="text-align: center;" value="" readonly id="total_0" type="text" name="total[]" class=" font-weight-bold ml-2 ">{{number_format($details->total,2)}}</label>
					</td> 
				</tr>
				
			@endforeach 
	 	 </tbody> 
         </thead>
        </table>
  
         <table class="table  table-bordered float-right" style="width: 30%;">
				@php
				$space=" ";
				@endphp 
          <tr>
            <td  class="bg-faded" style="width: 50%; background-color: #dfe2e8;"><strong>Gross Amount:</strong></td>
            <td id="gross_amount_total" class="bg-white font-weight-bold ml-1" style="width: 35%;">{{$get_data->currency_notation}} {{$space}} {{number_format($get_data->total_gross,2)}}</td>
          </tr>
          <tr>
            <td class="bg-faded" style="width: 50%; background-color: #dfe2e8;"><strong>VAT Amount:</strong></td>
            <td id="vat_amount_total" class="bg-white font-weight-bold ml-1" style="width: 35%;">{{$get_data->currency_notation}} {{$space}} {{number_format($get_data->total_vat,2)}}</td>
          </tr> 
		  <tr>
            <td class="bg-faded" style="width: 50%; background-color: #dfe2e8;"><strong>Discount:</strong></td>
            <td class="bg-white font-weight-bold" style="width: 35%;">{{$get_data->currency_notation}} {{$space}} {{number_format($get_data->total_discount,2)}}  <span class="font-weight-bold ml-1" id="discount_amount_total"></span></td>
          </tr> 
          <tr>
            <td class="bg-faded" style="width: 50%; background-color: #dfe2e8;"><strong>Net Total:</strong></td>
            <td id="net_amount_total" class="bg-white font-weight-bold ml-1" style="width: 35%;">{{$get_data->currency_notation}} {{$space}} {{number_format($get_data->net_total_amount,2)}}</td>
          </tr>
		
          <tr>
            <td class="bg-faded" style="width: 50%; background-color: #dfe2e8;"><strong>Invoice Total:</strong></td>
            <td id="invoice_amount_total" class="bg-white font-weight-bold ml-1 " style="width: 35%;">{{$get_data->currency_notation}} {{$space}} {{number_format($get_data->total_invoice_value,2)}}</td>
          </tr> 
          </table> 
		 </div> 
        </div> 
	   </div> 
	  </div> 	  <!--container-->
	 <br><br>
    </div>        <!--card-body-->
   </div>        <!--main-card mb-3 card-->
  </div>        <!--tab-pane tabs-animation fade show active-->
 </div>        <!--tab-content-->
</div>        <!--app-main__inner-->
 
 @include('theme_layout/footer')
 
</div>     <!--app-main__outer--> 

<script>
   var jq = $.noConflict();
   jq(document).ready(function(){
	   
	   jq("#back").click(function(){
		   window.history.back();
	   })
	    
   })
</script> 