@include('theme_layout/header')
@include('theme_layout/nav')

<div class="app-main__outer">
 <div class="app-main__inner">
  <div class="app-page-title"> 
   <div class="page-title-wrapper">
	<div class="page-title-heading">
	 <div class="page-title-icon">
		<i class="pe-7s-medal icon-gradient bg-tempting-azure"></i>
	 </div>   <!-- page-title-icon -->
		 
     <div>Vendor Outstanding List</div>
		
	</div>   <!-- page-title-heading --> 
   
    <div class="page-title-actions">
	 <div class="d-inline-block dropdown">
	   <div class="page-title-actions">
	   </div> 
							  
	   <div tabindex="-1" role="menu" aria-hidden="true" class="dropdown-menu dropdown-menu-right">
		<ul class="nav flex-column">
		<li class="nav-item">
		<a class="nav-link">
		<i class="nav-link-icon lnr-inbox"></i>
		 <span>Inbox</span>
		<div class="ml-auto badge badge-pill badge-secondary">86</div>
		</a>
		</li>
			
		<li class="nav-item">
		<a class="nav-link">
		<i class="nav-link-icon lnr-book"></i>
		 <span>Book</span>
		<div class="ml-auto badge badge-pill badge-danger">5</div>
		</a>
		</li>
						   
		<li class="nav-item">
		<a class="nav-link">
		<i class="nav-link-icon lnr-picture"></i>
		 <span>
		 Picture
		 </span>
		</a>
		</li>
						   
		<li class="nav-item">
		<a disabled class="nav-link disabled">
		<i class="nav-link-icon lnr-file-empty"></i>
		 <span>File Disabled</span>
		</a>
		</li>			
		</ul>
	   </div>	
	 </div>    <!--d-inline-block dropdown-->
	</div>    <!--page-title-actions-->
   </div>     <!--page-title-wrapper-->
  </div>    <!--app-page-title-->   
  
  <div class="main-card mb-3 card">
   <div class="card-body">
	<form action="{{route('vendor_outstanding')}}" method="get">

    <div class="form-row">

	<div class="col-md-4  date position-relative form-group" id="myDatepicker4">
          <label for="fromdate" class="font-weight-bold ml-2"> From Date</label>
          <input type="date" class="form-control" name="fromdate" id="fromdate" value="<?php if(isset($_GET['fromdate'])) echo $_GET['fromdate']; else echo date("Y-m-d"); ?>" autocomplete="off">
    </div>
      
	<div class="col-md-4  date position-relative form-group" id="myDatepicker5">
		<label for="todate" class="font-weight-bold ml-2"> To Date</label>
		<input type="date" class="form-control" name="todate"  id="todate"  value="<?php if(isset($_GET['todate'])) echo $_GET['todate']; else echo date("Y-m-d"); ?>" autocomplete="off">
	</div>

    <div class="col-md-4" >
            <div class="position-relative form-group">
            <label for="supplier_id" class="font-weight-bold ml-2">Supplier</label>
            <select class="mb-2 form-control" name="supplier" id="supplier_id">
            
                @if(isset($_GET['supplier']))
                <option value=""> </option>
                    @foreach($suppliers as $supplier)
                      <option {{$_GET['supplier'] == $supplier->id ? 'selected' : '' }} value="{{$supplier->id}}">{{$supplier->supplier_name}}</option>
                    @endforeach
                @else
                  <option value=""> </option>
                    @foreach($suppliers as $supplier)
                    <option value="{{$supplier->id}}">{{$supplier->supplier_name}}</option>
                    @endforeach
                @endif	  

          
            </select>
            </div>   <!--position-relative form-group-->
    </div>
	</div>

    <div class="form-row">
    <div class="col-md-12 text-center">
		<button id="submit" class="mt-3 btn btn-primary btn-lg">Search</button>	
    </div>
    </div>
    
			  
    </form>  <!-- end form -->

	<br><br>
	
	 <table style="width: 100%;" id="example" class="table table-hover table-striped table-bordered">
	 <thead>
	  <tr>
	  <th class="text-justify text-left">Supplier Name</th>
	  <th class="text-justify text-left">Invoice Code</th>
	  <th class="text-justify text-left">Total Outstanding</th>
	  <th class="text-justify text-left">Remaining Outstanding</th>
	  <th class="text-justify text-left">Paid Amount</th>

	  </tr>
	 </thead>
					 
	 <tbody>
	  @foreach($result as $data)
	   @php
	 			
	   $row1 = date("d F Y ", strtotime($data->due_date));
				
	   @endphp
				
	   <tr>
		<td class="font-weight-bold text-justify text-left">{{$data->supplier_name}}</td>
		<td class="font-weight-bold text-justify text-left">{{$data->invoice_number}}</td>
		<td class="font-weight-bold text-justify text-left">{{number_format($data->invoice_amount,2)}}</td>
		<td class="font-weight-bold text-justify text-left">{{number_format($data->amount_outstanding,2)}}</td>
		<td class="font-weight-bold text-justify text-left">{{number_format($data->amount_paid,2)}}</td>
	   </tr>
			
	  @endforeach 
     </tbody>
	 </table>
   </div>   <!--card body-->
  </div>    <!--main-card mb-3 card-->
 </div>    <!--app-main__inner-->

@include('theme_layout/footer') 

<script>

</script> 