@include('theme_layout/header')
@include('theme_layout/nav')

<style>
 .text-center {
  text-align: center;
  }
 .modal-body{
       max-width: 900px;
       overflow-x: auto !important;
}
</style>

<div class="app-main__outer">
 <div class="app-main__inner">
  <div class="app-page-title">
   <div class="page-title-wrapper">
    <div class="page-title-heading">
     <div class="page-title-icon">
	  <i class="pe-7s-medal icon-gradient bg-tempting-azure">
	    </i>
         </div>
         <div>Route Expenses Report
	     @if(Session::has('successMessage'))
        <div class="alert  alert-success mt-3" >
	   {{ Session::get('successMessage') }}
	  </div>
    @endif
  </div>
</div>
							
    <div class="page-title-actions"> 
     <div class="d-inline-block dropdown">
      <div class="page-title-actions"> 
       </div> 
        <div tabindex="-1" role="menu" aria-hidden="true" class="dropdown-menu dropdown-menu-right">
         <ul class="nav flex-column">
          <li class="nav-item">
           <a class="nav-link">
           <i class="nav-link-icon lnr-inbox"></i>
          <span>
	      Inbox
         </span>
        <div class="ml-auto badge badge-pill badge-secondary">86</div>
        </a>
       </li>
	   
    <li class="nav-item">
     <a class="nav-link">
      <i class="nav-link-icon lnr-book"></i>
       <span>
        Book
        </span>
       <div class="ml-auto badge badge-pill badge-danger">5</div>
      </a>
    </li>
	   
    <li class="nav-item">
      <a class="nav-link">
       <i class="nav-link-icon lnr-picture"></i>
        <span>
	     Picture
        </span>
      </a>
    </li>
		   
    <li class="nav-item">
     <a disabled class="nav-link disabled">
      <i class="nav-link-icon lnr-file-empty"></i>
        <span>
	     File Disabled
        </span>
        </a>
       </li>
      </ul>
      </div>
      </div>         <!--d-inline-block dropdown-->
     </div>          <!--page-title-actions-->
    </div>           <!--page-title-wrapper-->
   </div>            <!--app-page-title-->  
   
   <div class="main-card mb-3 card">
    <div class="card-body">
     <div class="form-row">
      <div class="col-md-4" id="myDatepicker4">
       <label for="" class="font-weight-bold ml-2"> From Date</label>
       <input type="date" class="form-control" name="fromdate" id="fromdate" value="<?php echo date("Y-m-d"); ?>" autocomplete="off">
     </div>
 
    <div class="col-md-4" id="myDatepicker5">
      <label for="" class="font-weight-bold ml-2"> To Date</label>
	  <input type="date" class="form-control" name="todate"  id="todate"  value="<?php echo date("Y-m-d"); ?>" autocomplete="off">
    </div>
   
	<div class="col-md-4">
	  <label  class="font-weight-bold ml-2" for="region" class="">Region</label>
	   <select class="mb-2 form-control" name="region" id="region" > 
		 <option value=""></option>
		   <option value="0">Select All</option>
			@foreach($region as $region_name)
			<option value="{{$region_name->id}}" >{{ $region_name->region_code}} - {{$region_name->region_name}}</option>	
			@endforeach
		</select> 
	 </div>
    </div>     <!--form-row-->
  </br>
  
	<div class="form-row">
	  <div class="col-md-4">
		<label  class="font-weight-bold " for="region" class=""> Sub Region</label> 
		  <select class="mb-2 form-control" name="sub_region" id="sub_region_add" > 
		  </select>
	  </div>
	
	<div class="col-md-4">
	  <label  class="font-weight-bold " for="region" class="">Warehouse</label>
		<select class="mb-2 form-control" name="warehouse" id="warehouse_add" > 
		</select>
	</div>

	<div class="col-md-4">
	 <label  class="font-weight-bold " for="route" class="">Route</label>
		<select class="mb-2 form-control" name="route" id="route" > 
		</select>
	</div>
    </div> 

    <div class="form-row">									 
     <div class="col-md-4">
	  <label  class="font-weight-bold " for="salesman" class="">Salesman</label>
		<select class="mb-2 form-control" name="salesman" id="salesman12" > 
		</select>
	 </div>

	<div class="col-md-4">
	  <label  class="font-weight-bold " for="expense_type" class="">Expenses Type</label>
		<select class="mb-2 form-control" name="expense_type" id="expense_type" > 
		 <option value=""></option>
		  @foreach($expense_type as $expense_type_name)
			<option value="{{$expense_type_name->id}}">{{$expense_type_name->expense_code}} - {{$expense_type_name->expense_name}}</option>
		 @endforeach
		</select>
	</div>
   </div>
	   
	<div class="form-row">
	  <div class="col-md-12 text-center"> 
		<button id="submit" class="mt-3 btn btn-primary btn-lg">Filter</button>
		  <button  class="mt-3 btn btn-lg btn-danger listSearchAllBtn reset">Reset</button>
	  </div>	
    </div>									 

  <br><br>

							  
						
    <form id="" class="" action="{{ route('get_route_expenses_reportxls') }}" method="post">
       {{ csrf_field() }}
         <input autocomplete="off" name="fromdate1" id="fromdate1" value="s" type="hidden">
          <input autocomplete="off" name="todate1" id="todate1" value="s" type="hidden">
           <input autocomplete="off" name="region1" id="region1" value="s" type="hidden">
           <input autocomplete="off" name="subregion1" id="subregion1" value="s" type="hidden">
            <input autocomplete="off" name="warehouse1" id="warehouse1" value="s" type="hidden">
           <input autocomplete="off" name="route1" id="route1" value="s" type="hidden">
          <input autocomplete="off" name="salesman1" id="salesman1" value="s" type="hidden">
          <input autocomplete="off" name="expenses1" id="expenses1" value="s" type="hidden
         <button  id="export" style=" display:none; float:right; margin-bottom: 10px;" class="mt-3 btn btn-success btn-lg" >Export XLS</button>
        </form>
      <div class="container" id="report_data">	
     </div>
    </div> 
   </div>      <!--main-card mb-3 card-->
</div>         <!--app-main__inner-->
				 
  <div  class="modal fade mt-5"  id="myModal_sales" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true" >
    <div class="modal-dialog mt-5 "  role="document">
     <div class="modal-content " style="width: 892px; margin-left: -129px; margin-bottom:100px;">
     <div class="modal-header">
       <h5 class="modal-title" id="exampleModalLabel">Total Sales</h5>
       <button type="button" class="close" data-dismiss="modal" aria-label="Close">
	   <span aria-hidden="true">&times;</span>
      </button>
    </div>
	
	   <div  class="modal-body" id="sales_body_id"> 
	   </div>
      </div>
     </div>
    </div >

		
	@include('theme_layout/footer')			
	
<script>

    var jq = $.noConflict();
     jq(document).ready(function(){
		  
    //for sub region
    jq("#region").click(function(){
	  var sub_region = jq('#region').val();
	 //alert(sub_region);
	get_subregion(sub_region);
    });
    // for warehouse 
    jq("#sub_region_add").click(function(){
	  var warehouse = jq('#sub_region_add').val();
	   //alert(sub_region);
	    get_warehouse(warehouse);
   });
   
      jq("#warehouse_add").click(function(){
	   var route = jq('#warehouse_add').val();
	     //alert(sub_region);
	     get_route(route);
   });
   
       jq("#route").click(function(){
	    var salesman = jq('#route').val();
	      //alert(sub_region);
	     get_salesman(salesman);
    });

     // for route  
    /*  jq("#export").click(function(){
      var report_with = jq('#report_with').val();
   
	   if(report_with=='' ||  report_with==null)
	  {
		  report_with='s';
	  }
	var region = jq('#region').val();
	  if(region=='' || region==null )
	  {
		  region='s';
	  }
	var sub_region_add = jq('#sub_region_add').val();
	
	 if(sub_region_add=='' || sub_region_add==null)
	  {
		  sub_region_add='s';
	  }
	  var warehouse_add = jq('#warehouse_add').val();
	   if(warehouse_add=='' || warehouse_add==null)
	  {
		  warehouse_add='s';
	  }
	
	  //alert(report_with+'/'+region+'/'+sub_region_add+'/'+warehouse_add);
	   get_report_pdf(report_with,region,sub_region_add,warehouse_add,fromdate,todate);
        }); */
   
   
    jq("#submit").click(function(){
		
      /* var report_with = jq('#report_with').val();
       var region = jq('#region').val();
        var warehouse = jq('#warehouse_add').val();
         var sub_region = jq('#sub_region_add').val();
         var fromdate = jq('#fromdate').val();
         var todate = jq('#todate').val();
        alert(report_with); */
  
	   
	  
   var report_with = jq('#report_with').val();
     var fromdate = jq('#fromdate').val();
      var todate = jq('#todate').val();
	   var region = jq('#region').val();
	   if(region=='' || region==null )
	   {
		  region='s';
	   }
	  var sub_region_add = jq('#sub_region_add').val();
	
	   if(sub_region_add=='' || sub_region_add==null)
	   {
		  sub_region_add='s';
	   }
	  var warehouse_add = jq('#warehouse_add').val();
	  if(warehouse_add=='' || warehouse_add==null)
	  {
		  warehouse_add='s';
	  }
	  
	   var route = jq('#route').val();
	    if(route=='' || route==null)
	   {
		  route='s';
	   }
	  
	  var salesman = jq('#salesman12').val();
	   if(salesman=='' || salesman==null)
	  {
		  salesman='s';
	  }
	   var expenses = jq('#expense_type').val();
	    if(expenses=='' || expenses==null)
	  {
		  expenses='s';
	  }
	  
	jq('#fromdate1').val(fromdate);
      jq('#todate1').val(todate);
       jq('#region1').val(region);
        jq('#subregion1').val(sub_region_add);
         jq('#warehouse1').val(warehouse_add);
        jq('#route1').val(route);
       jq('#salesman1').val(salesman);
	jq('#expenses1').val(expenses);
    
	//alert(region+'/'+sub_region_add+'/'+warehouse_add+'/'+fromdate+'/'+todate);
	//alert(report_with+'/'+region+'/'+sub_region_add+'/'+warehouse_add);
	 get_report(region,sub_region_add,warehouse_add,route,salesman,expenses,fromdate,todate);
      });
    $('#region').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
     $('#expenses').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
   
     function get_subregion(sub_region)
	 {
	  jq.ajax({
        url: "{{ URL('get_route_expenses_subregion/') }}"+"/" +sub_region,       
         type:"GET",
         success:function(respons)
      {
			if(respons)  
			 {
			  jq('#sub_region_add').html(respons);
			   $('#sub_region_add').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	            $('#sub_region_add')[0].sumo.reload();
			
			  }
	      }
		});
	}
	
	function get_warehouse(warehouse)
	 {
	   jq.ajax({
        url: "{{ URL('get_route_expenses_warehouse/') }}"+"/" +warehouse,       
         type:"GET",
          success:function(respons)
      {
			if(respons)
			{
			jq('#warehouse_add').html(respons);
			$('#warehouse_add').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	            $('#warehouse_add')[0].sumo.reload();
			}
	      }
		});
	}
	
	function get_route(route)
	{
	    jq.ajax({
         url: "{{ URL('get_route_expenses_route/') }}"+"/" +route,       
          type:"GET",
           success:function(respons)
      {
			if(respons)
			  {
			  jq('#route').html(respons);
			   $('#route').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	            $('#route')[0].sumo.reload();
			}
	  }
		});
	}
	
	
	function get_salesman(salesman)
	{
	  jq.ajax({
      url: "{{ URL('get_route_expenses_salesman/') }}"+"/" +salesman,       
      type:"GET",
      success:function(respons)
      {
		 
			
			jq('#salesman12').html(respons);
			$('#salesman12').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	            $('#salesman12')[0].sumo.reload();
			
	        }
		});
	}
	
	
	function get_report(region,subregion,warehouse,route,salesman,expenses,fromdate,todate)
	{
	  jq.ajax({
      url: "{{ URL('get_route_expenses_report/') }}"+"/"+region+"/"+subregion+"/"+warehouse+"/"+route+"/"+salesman+"/"+expenses+"/"+fromdate+"/"+todate,      
      type:"GET",
      success:function(respons)
          {
			
			jq('#report_data').html("");
			jq('#report_data').html(respons);
			jq('#export').show();
			
	       }
		});
	}
	
	function get_report_pdf(report_with,region,subregion,warehouse,fromdate,todate)
	{
	  jq.ajax({
      url: "{{ URL('sales_report_exportpdf/') }}"+"/" +report_with+"/"+region+"/"+subregion+"/"+warehouse+"/"+fromdate+"/"+todate,      
      type:"GET",
      success:function(respons)
          {
			
			
			
	        }
		});
	}
	$(document).on('click', '.region_modal', function(e) {
            e.preventDefault();
            
           /* $('#sales_report_modal').modal('show'); */
		   
            var region  = $(this).attr('data-agent-id');
			
            var fromdate = jq('#fromdate').val();
            var todate = jq('#todate').val();
              
			  
            if (fromdate != '' && todate != '' && region !='') {
                $.ajax({
                        url: "{{ URL('get_return_sales_report_pop/') }}"+"/" +fromdate+"/"+todate+"/"+region,      
                       type:"GET",
                    success: function (responce) {
                        /* var data = jQuery.parseJSON(responce);*/
                        $('#sales_body_id').html(responce);
						
                        
                     }
                });
             }
            
        });
		
		
		$(document).on('click', '.sub_region_modal', function(e) {
            e.preventDefault();
            
           /* $('#sales_report_modal').modal('show'); */
		   
            var subregion  = $(this).attr('data-agent-id');
			
            var fromdate = jq('#fromdate').val();
            var todate = jq('#todate').val();
              
			  
            if (fromdate != '' && todate != '' && subregion !='') {
                $.ajax({
                        url: "{{ URL('get_subregionreturn_sales_report_pop/') }}"+"/" +fromdate+"/"+todate+"/"+subregion,      
                       type:"GET",
                    success: function (responce) {
                        /* var data = jQuery.parseJSON(responce);*/
                        $('#sales_body_id').html(responce);
						
                        
                    }
                });
            }
            
        });
	
	
	$(document).on('click', '.warehouse_modal', function(e) {
            e.preventDefault();
            
           /* $('#sales_report_modal').modal('show'); */
		   
            var warehouse  = $(this).attr('data-agent-id');
			
            var fromdate = jq('#fromdate').val();
            var todate = jq('#todate').val();
              
			  
            if (fromdate != '' && todate != '' && warehouse !='') {
                $.ajax({
                        url: "{{ URL('get_warehousereturn_sales_report_pop/') }}"+"/" +fromdate+"/"+todate+"/"+warehouse,      
                       type:"GET",
                    success: function (responce) {
                        /* var data = jQuery.parseJSON(responce);*/
                        $('#sales_body_id').html(responce);
						
                        
                    }
                });
            }
            
        });
	
   
	});
	
	

      
	   
  
   </script>			
    			