
@include('theme_layout/header')
@include('theme_layout/nav')
<div class="app-main__outer"> 
   <div class="app-main__inner">
    <div class="app-page-title">
     <div class="page-title-wrapper">
      <div class="page-title-heading">
	   <div class="page-title-icon">
	    <i class="pe-7s-graph text-success">
	    </i>
	   </div> <!--page-title-icon--> 
	    <div>  
	     Add Route Visit Plan
		  @if(Session::has('successMessage')) 
		  <input id="toster_id" type="hidden" value="{{ Session::get('successMessage') }}">		  
		 @endif 
	    </div>
      </div>
	  
	    <div class="page-title-actions">
			<div class="d-inline-block dropdown">
				<a href="{{route('customer_visit_plan_list')}}" class="mt-3 btn btn-primary btn-lg text-white"> <i class="fa fa-arrow-left fa-w-20"></i> Back</a>                                  
			</div>
	    </div>
      </div> <!--page-title-wrapper-->
    </div> <!--app-page-title-->           
					 
        <div class="tab-content">
         <div class="tab-pane tabs-animation fade show active" id="tab-content-0" role="tabpanel">
          <div class="main-card mb-3 card">
           <div class="card-body"><h5 class="card-title"></h5> 
            <form method="get" id="example1" action="{{ route('customer_visit_plan') }}" >
				{{ csrf_field() }}
			  <div class="form-row">
			<div class="col-md-4">
		   <div class="position-relative form-group">
			<label for="valid_from" class="ml-2 font-weight-bold">Valid From</label>
			 
			  <input type="date" class="form-control" name="valid_from" id="valid_from" value="<?php if(isset($_GET['valid_from'])) echo $_GET['valid_from']; else echo date("Y-m-d"); ?>" autocomplete="off">
		  </div>
		</div>
		
		
		<div class="col-md-4">
		   <div class="position-relative form-group">
			<label for="valid_to" class="ml-2 font-weight-bold">Valid To</label>
			 <input type="date" class="form-control" name="valid_to" id="valid_to" value="<?php if(isset($_GET['valid_to'])) echo $_GET['valid_to']; else echo date("Y-m-d"); ?>" autocomplete="off">
		  </div>
		</div>
		
		<div class="col-md-4">
		   <div class="position-relative form-group">
			<label for="for_visit_plan" class="ml-2 font-weight-bold">For Visit Plan</label>
			<select maxlength="25" name="for_visit_plan" id="for_visit_plan" class="form-control" autocomplete="off" required>
			<option value=""></option>
			<option value="1">Salesman</option>
			<option value="2">Merchandiser</option>
			</select> 
		  </div>
		</div>
		
       </div>
		
              <div class="form-row">
               <div class="col-md-4">
	            <div class="position-relative form-group ">
	             <label class="font-weight-bold ml-2" for="salesarea" class="">Sales Area</label><select class="mb-2 form-control country1" name="salesarea" id="salesarea" required >  
	              <option value=""> </option>
	               @foreach($salesarea as $salesareaname)
	                <option @if(isset($_GET['salesarea'])){{$_GET['salesarea']==$salesareaname->id ? 'selected':''}} @endif value ="{{$salesareaname->id}}">{{$salesareaname->sales_area_code}} - {{$salesareaname->sales_area_name}}</option>
	               @endforeach
	             </select>	
	            </div>
	           </div> 
	
	    <div class="col-md-4">
	     <div class="position-relative form-group ">
	      <label class="font-weight-bold ml-2" for="route" class="">Route</label>
		   <select class="mb-2 form-control" name="route" id="route_add" required >
		   </select>	
	      </div>
         </div> 
        <div class="col-md-4">
         <button style="margin-top: 9% !important;" type="submit"  class="mt-3 btn btn-primary btn-lg" id="assign_customer">Get Customer</button>
        </div>
       </div>
      </form>
 
	    <form method="post" onsubmit="return checkForm(this);" id="route_visit_plane" class="form-horizontal" enctype= "multipart/form-data" >
	     {{ csrf_field() }}
	      <table style="width: 100%; "  class="table table-hover table-striped table-bordered for-checkbox" id="example"> 
	       <thead>
            <tr>
	         <th>Customer</th>
	         <th>Customer Contact</th> 
	         <th><input type="checkbox" class="selectallboxmon" id="mon">
	          <label class="label ml-2" for="mon">Mon</label></th>
		     <th><input type="checkbox" class="selectallboxtue" id="tue">
		      <label class="label ml-2" for="tue">Tue</label></th>
			 <th><input type="checkbox" class="selectallboxwed" id="wed">
			  <label class="label ml-2" for="wed">Wed</label></th>
			 <th><input type="checkbox" class="selectallboxthu" id="thu">
			  <label class="label ml-2" for="thu">Thu</label></th>
			 <th><input type="checkbox" class="selectallboxfri" id="fri">
			  <label class="label ml-2" for="fri">Fri</label></th>
			 <th><input type="checkbox" class="selectallboxsat" id="sat">
		      <label class="label ml-2" for="sat">Sat</label></th>
		     <th><input type="checkbox" class="selectallboxsun" id="sun">
	          <label class="label ml-2" for="sun">Sun</label></th>				
            </tr>
           </thead>
	
	    @if(isset($_GET['salesarea']))	
	    	    	
	     <input type="hidden" value="{{$_GET['salesarea']}}" name="sales_area" id="cust_name" autocomplete="off">
	      <input type="hidden" value="{{$_GET['route']}}" name="route_id" id="route_name" autocomplete="off">
		  <input maxlength="25" name="valid_from" id="valid_from1" placeholder="" type="hidden" value="{{$_GET['valid_from']}}" class="form-control" autocomplete="off" required>
		  
		  <input maxlength="25" name="valid_to" id="valid_to1" placeholder="" type="hidden" value="{{$_GET['valid_to']}}" class="form-control" autocomplete="off" required>
		  
		  <input type="hidden" class="form-control" name="updated_id" id="updated_id" value="" autocomplete="off">
		  
		  
		 <input maxlength="25" name="for_visit_plan" id="for_visit_plan1" type="hidden" value="{{$_GET['for_visit_plan']}}" class="form-control" autocomplete="off" required>
		 
	       <tbody>
	        @php
	         $count=0;
	        @endphp
	         @foreach($get_data as $data)
		    @php 
	         $count=1;
	        @endphp
		     <tr>
		      <td class="font-weight-bold text-justify text-left">{{$data->customer_code}} - {{$data->customer_name}}</td>
		       <input type="hidden" value="{{$data->customer_name}}" name="customer_name[]" id="cust_name" autocomplete="off">
		       <input type="hidden" value="{{$data->id}}" name="cust_id[]" id="cust_name" autocomplete="off">
		       <input type="hidden" value="{{$data->contact_no}}" name="customer_contact_no[]" id="cust_contact_no" autocomplete="off">
		      <td class="font-weight-bold text-justify text-left">{{$data->contact_no}}</td>
		      <td>
			   <input class="selectallmon" value="1"  type="checkbox" name="monseq[{{$data->id}}]" id="mon" autocomplete="off">
		      </td>
		       <td>
			    <input class="selectalltue" value="1" type="checkbox" name="tueseq[{{$data->id}}]" id="tue" autocomplete="off">
		       </td>
		       <td>
			    <input class="selectallwed"  value="1"  type="checkbox" name="wedseq[{{$data->id}}]" id="wed" autocomplete="off">
		        </td>
		        <td>
			     <input class="selectallthu"  value="1" type="checkbox" name="thuseq[{{$data->id}}]" id="thu" autocomplete="off">
		        </td>
		        <td>
			     <input class="selectallfri"  value="1" type="checkbox" name="friseq[{{$data->id}}]" id="fri" autocomplete="off">
		        </td>
		        <td>
			     <input class="selectallsat"  value="1" type="checkbox" name="satseq[{{$data->id}}]" id="sat" autocomplete="off">
		        </td>
		        <td>
			     <input class="selectallsun" value="1" type="checkbox" name="sunseq[{{$data->id}}]" id="sun" autocomplete="off">
		        </td>
		       </tr>
	          @endforeach
	         </tbody>
	        @endif
           </table>
          
           </form>  
		     @if(isset($_GET['salesarea']))
               <center> <button @if($count==0) @php echo 'disabled'; @endphp @endif  class="mt-3 btn btn-primary btn-lg" name="btnsubmit" id="assign_customer1">Add Visiting Plan</button> </center>
            @endif
		   
		  </div>      <!--card-body-->
	     </div>       <!--main-card mb-3 card-->
        </div>       <!--tab-pane tabs-animation fade show active-->
       </div>         <!--tab-content-->
      </div> 
           <!--app-main__inner-->	 
	 
    @include('theme_layout/footer')
 <script>
     var jq = $.noConflict();
	 function checkForm(form)
			{ 
		form.btnsubmit.disabled = true;
		return true;
			}
		function checkForm(form)
			{ 
		form.btnsubmit.disabled = true;
		return true;
			}

      jq(document).ready(function(){
		  
		
		  function get_datefilter(valid_from,valid_to){
		jq.ajax({
		url: "{{ URL('customer_visit_plan/') }}",       
		type:"GET",
		data:{valid_from:valid_from,
		valid_to:valid_to,
		},
    success:function(respons){
    
            if(respons){
            
              jq('#example1').html(respons);
            }
         }
       });
     } 
	  
/* $(function() {
    var visitPlan = localStorage.getItem("visitPlan");
    if(visitPlan != null) {
        $("select[name=for_visit_plan]").val(visitPlan);
    }

    $("select[name=for_visit_plan]").on("change", function() {
        localStorage.setItem("visitPlan", $(this).val());
    });
}) */
 
    var n = document.getElementById("for_visit_plan");
    /* save */
    var s = function(){localStorage.setItem("for_visit_plan", n.value);}
    /* retrieve (only on page load) */
    if(window.localStorage){ n.value = localStorage.getItem("for_visit_plan");}
    /* autosave onchange and every 500ms and when you close the window */
    n.onchange = s();
    setInterval( s, 50);
    window.onunload = s();
 

     
	
	
	
       $('#salesarea').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});

        <!--Sales Area-->


         var salesarea = '';
          var salesarea = jq('#salesarea').val();
           var route_name = jq('#route_name').val();   
         
            if(salesarea!='')
            {
	
              get_route_selected(salesarea,route_name);
            }
        $("#salesarea").change(function(){


        var salesarea = jq('#salesarea').val();
         get_route(salesarea);

       });
	   
	   jq("#valid_from").change(function(){


        var valid_from = jq('#valid_from').val();
          jq('#valid_from1').val(valid_from);

       });
	   
	   jq("#valid_to").change(function(){


            var valid_to = jq('#valid_to').val();
            jq('#valid_to1').val(valid_to);
       });
	   
	   jq("#for_visit_plan").change(function(){


            var for_visit_plan = jq('#for_visit_plan').val();
            jq('#for_visit_plan1').val(for_visit_plan);
       });

         function get_route(salesarea_id)
      {

         jq.ajax({
          url: "{{ URL('/customer_visit_plan/get_route/') }}" +"/" + salesarea_id,
           type:"GET",

             success:function(respons)
	       {
		     if(respons)
		    {
		      jq('#route_add').html(respons);
		      $('#route_add').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
				$(route_add)[0].sumo.reload(); 
		   }
	    }
	   });
     }
	 
	
            function get_route_selected(salesarea_id,route_name) 
        {

          jq.ajax({
          url: "{{ URL('/customer_visit_plan/get_route_selected/') }}" +"/" + salesarea_id +'/'+route_name,
           type:"GET",

          success:function(respons)
	      {
		    if(respons)
		     {
		       jq('#route_add').html(respons);
		         $('#route_add').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
				$(route_add)[0].sumo.reload(); 
		     }
	       }
	    });
     }

      jq(".selectallboxmon").change(function () {

             jq(".selectallmon").prop('checked', jq(this).prop("checked"));

          });

          jq(".selectallboxtue").change(function () {

              jq(".selectalltue").prop('checked', jq(this).prop("checked"));

          });

           jq(".selectallboxwed").change(function () {

             jq(".selectallwed").prop('checked', jq(this).prop("checked"));

          });

          jq(".selectallboxthu").change(function () {

            jq(".selectallthu").prop('checked', jq(this).prop("checked"));

          });

          jq(".selectallboxfri").change(function () {

              jq(".selectallfri").prop('checked', jq(this).prop("checked"));

          });

          jq(".selectallboxsat").change(function () {

              $(".selectallsat").prop('checked', jq(this).prop("checked"));

          });

          jq(".selectallboxsun").change(function () {

             jq(".selectallsun").prop('checked', jq(this).prop("checked"));

          });
		  
		jq("#assign_customer1").click(function(){
		
			  let formData = new FormData(jq('#route_visit_plane')[0])
                jq.ajax({
                    url:"{{route('customer_visit_plan_store')}}",
			        data: formData,
					type: 'POST',
                    processData: false,
				    contentType: false,
                    success:function(data) {
						if(data=='1')
						{  
					          Swal.fire({
								position: 'top',
								icon: 'error',
								title: 'Route Visit Plan Has Already Assigned From This Date Range',
								showConfirmButton: false,
								timer: 3000
								})

							
						}
						else if(data=='2')
						{  
					          Swal.fire({
								position: 'top',
								icon: 'error',
								title: 'From Date Should be Smaller Than To Date ',
								showConfirmButton: false,
								timer: 3000
								})

							
						}
						else{
							 
							 location.replace("{{ URL('customer_visit_plan_list/') }}"); 
							
						  }
						  
					}
                 });

          });
	   
	   
       });
	   
	    

 </script> 
 
  