@include('theme_layout/header')
@include('theme_layout/nav')
<div class="app-main__outer">               
 <div class="app-main__inner">
  <div class="app-page-title">
   <div class="page-title-wrapper">
	<div class="page-title-heading">
	 <div class="page-title-icon">
	  <i class="pe-7s-graph text-success">
	  </i>
	 </div>
	
        <div>  
	     Route Setup	
	    </div>  			   
       </div>
	   
        <div class="page-title-actions"> 
       </div>   
   </div>
 </div>    
	
    <div class="tab-content">
     <div class="tab-pane tabs-animation fade show active" id="tab-content-0" role="tabpanel">
      <div class="main-card mb-3 card">
       <div class="card-body">      
		<div class="form-row">
         <div class="col-md-4">
          <div class="position-relative form-group "><label class="font-weight-bold ml-2" for="route" class="">Region</label><select
		  style ="height:330px; width:200px" 
          class="mb-2 form-control country1 select" name="route" id="region" multiple="multiple" > 									
		  @foreach($region as $regionname)
          <option value ="{{$regionname->id}}">{{$regionname->region_code}} - {{$regionname->region_name}}</option>
		  @endforeach									
          </select>									
	      <center> <button id="region_btn" data-toggle="modal" data-target="#myModal" class="mt-3 btn btn-primary btn-lg text-white">Add</button>
	    <button id="edit_region_btn" data-toggle="modal" data-target="#myModal"  class="mt-3 btn btn-primary btn-lg text-white">Edit</button>
	  </center>									
	 </div>
    </div>
											  
    <div class="col-md-4">
	  <div class="position-relative form-group ">
	    <label class="font-weight-bold ml-2" for="route" class="">Sub Region</label><select style ="height:330px; width:200px" class="mb-2 form-control  select" name="route" id= "subregion" multiple="multiple"></select>
		 <center> <button data-toggle="modal" data-target="#myModalsubregion" id="sub_region_btn" class="mt-3 btn btn-primary btn-lg text-white">Add</button>
		 <button data-toggle="modal" data-target="#myModalsubregion" id="edit_sub_region_btn" class="mt-3 btn btn-primary btn-lg text-white">Edit</button> 
		 <button id="move_sub_region_btn" class="mt-3 btn btn-primary btn-lg text-white">Move</button>
		 </center>
	  </div>
    </div>
  

	<div class="col-md-4">
	 <div class="position-relative form-group "><label class="font-weight-bold ml-2" for="route" class="">Sales Area</label><select 
	   style ="height:330px; width:200px"	class="mb-2 form-control  select" name="route" id="sales_area" multiple="multiple"> 
	   </select>									
	   <center> <button id="sales_area_btn" data-toggle="modal" data-target="#myModalsales_area" class="mt-3 btn btn-primary btn-lg text-white">Add</button>
	   <button id="edit_sales_area_btn" data-toggle="modal" data-target="#myModalsales_area"  class="mt-3 btn btn-primary btn-lg text-white">Edit</button>
	   <button id="move_sales_area_btn" class="mt-3 btn btn-primary btn-lg text-white">Move</button></center>
	 </div>
    </div>
											  
    <div class="col-md-4">
	  <div class="position-relative form-group ">
	    <label class="font-weight-bold ml-2" for= "route" class="">Route </label><select 
		 style ="height:330px; width:200px" class="mb-2 form-control  select" name="route" id="route_name" multiple="multiple"> 
		 </select>
		 <center> <button id="route_btn" data-toggle="modal" data-target="#myModalroute" class="mt-3 btn btn-primary btn-lg text-white">Add</button>
		 <button id="edit_route_btn" data-toggle="modal" data-target="#myModalroute" class="mt-3 btn btn-primary btn-lg text-white">Edit</button>
		 <button id="move_route_btn" class="mt-3 btn btn-primary btn-lg text-white">Move</button></center>
	  </div>
    </div>
											  
											  
    <div class="col-md-4">
	<div class="position-relative form-group ">
	  <label class="font-weight-bold ml-2" for="route" class="">Trading Center </label><select 
	   style ="height:330px; width:200px" class="mb-2 form-control  select" name="route" id="trading_center" multiple="multiple"> 
	   </select>
	   <center> <button id="tradding_btn" data-toggle="modal" data-target="#myModalTrading" class="mt-3 btn btn-primary btn-lg text-white">Add</button>
	   <button id="edit_tradding_btn" data-toggle="modal" data-target="#myModalTrading" class="mt-3 btn btn-primary btn-lg text-white">Edit</button>
	   <button id="move_tradding_btn" class="mt-3 btn btn-primary btn-lg text-white">Move  </button></center>
	  </div>
     </div>
	</div>
	
    <!--start region modal-->					
     <div class="modal fade mt-5"  id="myModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true" >
	  <div class="modal-dialog mt-5 "  role="document">
	   <div class="modal-content " >
		<div class="modal-header">
		 <h5 class="modal-title" id="exampleModalLabel">Add Region</h5>
		 <button type="button" class="close" data-dismiss="modal" aria-label="Close">
		 <span aria-hidden="true">&times;</span>
		 </button>
	    </div>
		
    <div class="modal-body" id=""> 
      <!--start region form-->
       <form id="" class="" onsubmit="return checkForm(this);" action="{{ route('save_region') }}" method="post">
        {{ csrf_field() }}
         <div class="container" id="region_body_id">
	 	  <div class="form-row">
           <div class="col-md-6">
		    <div class="position-relative form-group">
		    <label for="region_code" class="ml-2 font-weight-bold">Region Code</label><input maxlength="20" name="region_code" id="region_code" placeholder="" type="text" value="{{$regionlast_code}}" readonly="readonly" class="form-control" required>
	      </div>
        </div>
					   
					   

	<div class="col-md-6">
	 <div class="position-relative form-group">
	   <label for="region_name" class="ml-2 font-weight-bold">Region Name</label><input maxlength="120" name="region_name" id="region_name" placeholder="" type="text" value="" class="form-control" autocomplete="off" required>
	   <input name="status" id="status" value="active" type="hidden" autocomplete="off">
	  </div>
	 </div>
	</div><!--form-row-->
				
	<div class="form-row">
	 <div class="col-md-5"></div>
	  <button type="submit" name="btnsubmit"  class="mt-3 btn btn-primary btn-lg">Save</button>
	   <div class="col-md-0.5"></div>
		<a href=" " class="mt-3 btn btn-danger  btn-lg">Cancel</a>
		 </div>
	    </div>	 
	   </form>
	  <!--end  region form-->   										 
	 </div><!--modal-body-->
    </div><!--modal-content-->
   </div><!--modal-dialog mt-5-->
  </div> 
 </div>
	
    <!--end region modal-->
     <!--start Sub region modal-->					
      <div class="modal fade mt-5"  id="myModalsubregion" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true" >
	   <div class="modal-dialog mt-5 "  role="document">
		<div class="modal-content " >
		 <div class="modal-header"> 
		  <h5 class="modal-title" id="exampleModalLabel">Add Sub Region</h5>
		   <button type="button" class="close" data-dismiss="modal" aria-label="Close">
			<span aria-hidden="true">&times;</span>
			 </button>
			 </div> 
			<div class="modal-body"> 
		   <!--start Sub region form-->
		  <form class="" onsubmit="return checkForm(this);" data-toggle="validator" id="addEditForm" method="post">
		 {{ csrf_field() }}
		 <div class="container" id="modal_body_id">
        </div>	
       </form>
      <!--end  sub region form-->   										 
     </div>
    </div><!--modal-content-->
   </div><!--modal-dialog mt-5-->
  </div> 
 </div>
		 
	<!--end sub region modal-->	
     <!--start sales_area modal-->					
	   <div class="modal fade mt-5"  id="myModalsales_area" tabindex="-1" role="dialog"   aria-labelledby="exampleModalLabel" aria-hidden="true" >
         <div class="modal-dialog mt-5 "  role="document">
          <div class="modal-content " >
	       <div class="modal-header">
		   <h5 class="modal-title" id="exampleModalLabel">Add Sales Area</h5>
		   <button type="button" class="close" data-dismiss="modal" aria-label="Close">
		    <span aria-hidden="true">&times;</span>
		   </button>
	      </div>
		  
	    <div class="modal-body"> 
	     <!--start sales_area form-->	
	      <form class="" onsubmit="return checkForm(this);" data-toggle="validator" id="addSales_arae_Form" method="post">
	       {{ csrf_field() }}
	       <div class="container" id="modal_sale_area_body_id">
		  </div>
		 </form>
	    <!--end  sales_area form-->   										 
	   </div>
      </div><!--modal-content-->
     </div><!--modal-dialog mt-5-->
    </div> 
   </div>
		 
	<!--end sales_area modal-->	
	 <!--start route modal-->					
	  <div class="modal fade mt-5"  id="myModalroute" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true" >
       <div class="modal-dialog mt-5 "  role="document">
        <div class="modal-content " >
         <div class="modal-header">
         <h5 class="modal-title" id="exampleModalLabel">Add Route</h5>
         <button type="button" class="close" data-dismiss="modal" aria-label="Close">
        <span aria-hidden="true">&times;</span>
       </button>
      </div>
	  
	    <div class="modal-body"> 
         <!--start route form-->
	      <form class="" onsubmit="return checkForm(this);" data-toggle="validator" id="addroue_Form" method="post">
	       {{ csrf_field() }}
            <div class="container" id="modal_route_body_id">
	        </div>
           </form> 
	      <!--end  route form-->   										 
	     </div>
	    </div><!--modal-content-->
	   </div><!--modal-dialog mt-5-->
	  </div> 
     </div>
		 
	<!--end route modal-->	
	  <!--start trading_center modal-->					
	   <div class="modal fade mt-5"  id="myModalTrading" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true" >
        <div class="modal-dialog mt-5 "  role="document">
         <div class="modal-content " >
          <div class="modal-header">
           <h5 class="modal-title" id="exampleModalLabel">Add Trading Center</h5>
           <button type="button" class="close" data-dismiss="modal" aria-label="Close">
           <span aria-hidden="true">&times;</span>
           </button>
           </div>
		   
		  <div class="modal-body"> 		  
		 <!--start trading_center form-->
	     <form class="" onsubmit="return checkForm(this);" data-toggle="validator" id="addtradding_Form" method="post">
	      {{ csrf_field() }}
	       <div class="container" id="modal_tradding_body_id">
	      </div>
	     </form>	
        <!--end  trading_center form-->   										 
	   </div>
      </div>
     </div>
    </div> 
   </div>		 
  <!--end trading_center modal-->	
 </div>
	
    <!-- 
	 <div class="form-row">
	  <div class="col-md-5"></div>
		@if(request()->route('id'))
		 <button class="mt-3 btn btn-primary btn-lg">Update</button>
		  @else 
		   <button type="submit" class="mt-3 btn btn-primary btn-lg">Save</button>
			@endif
			 <div class="col-md-0.5"></div>
			 <a href="{{route('bank_list')}}" class="mt-3 btn btn-danger  btn-lg">Cancel</a>
			 </div>
			-->
	       </div>
          </div>                            
         </div>                              
        </div>   		
  @include('theme_layout/footer')                 
<script>
    var jq = $.noConflict();
		function checkForm(form)
			{ 
		form.btnsubmit.disabled = true;
		return true;
			}
		
      jq(document).ready(function(){
	    jq('#edit_region_btn').on('click', function(e){
         var region =  jq('#region').val();
          edit_region_form(region);		 
		  });
		   jq('#sub_region_btn').on('click', function(e){
            get_subregion_form();		 
		    });
		    jq('#edit_sub_region_btn').on('click', function(e){
			 
            var subregion =  jq('#subregion').val();
            edit_subregion_form(subregion);		 
		     });
		
		    jq('#move_sub_region_btn').on('click', function(e){
			 
            var subregion =  jq('#subregion').val();
		
           move_subregion_form(subregion);		 
		 });
		
	    jq('#sales_area_btn').on('click', function(e){
       
        get_sales_area_form();		 
	   });
		
	  jq('#edit_sales_area_btn').on('click', function(e){
        
    var sales_area =  jq('#sales_area').val();
    edit_sales_area_form(sales_area);		 
	});
	  jq('#move_sales_area_btn').on('click', function(e){
        
		var sales_area =  jq('#sales_area').val();
         move_sales_area_form(sales_area);		 
		 });
		   jq('#route_btn').on('click', function(e){
             get_route_form();		 
		    }); 
		     jq('#edit_route_btn').on('click', function(e){
        
		     var route_name = jq('#route_name').val();
             edit_route_form(route_name);		 
		    });
		   jq('#move_route_btn').on('click', function(e){
        
		   var route_name = jq('#route_name').val();
           move_route_form(route_name);		 
		  });
		
		  jq('#tradding_btn').on('click', function(e){
		  get_trading_form();
		
	    });
	   jq('#edit_tradding_btn').on('click', function(e){
      var trading_center = jq('#trading_center').val();
    edit_trading_form(trading_center);
		
	});
	 jq('#move_tradding_btn').on('click', function(e){
       var trading_center = jq('#trading_center').val();
		move_trading_form(trading_center);
		});
		
	   
    document.getElementById("edit_region_btn").disabled = true;
      document.getElementById("sub_region_btn").disabled = true;
        document.getElementById("edit_sub_region_btn").disabled = true;
        document.getElementById("move_sub_region_btn").disabled = true;
	    document.getElementById("sales_area_btn").disabled = true;
	    document.getElementById("edit_sales_area_btn").disabled = true;
	    document.getElementById("move_sales_area_btn").disabled = true;
	    document.getElementById("route_btn").disabled     = true;
	    document.getElementById("edit_route_btn").disabled     = true;
	    document.getElementById("move_route_btn").disabled     = true;
	   document.getElementById("tradding_btn").disabled = true;
	  document.getElementById("edit_tradding_btn").disabled = true;
	document.getElementById("move_tradding_btn").disabled = true;
	   
	jq("#region").change(function(){
     var region =  jq('#region').val();
      get_subregion(region);
	   jq('#sregion_id').val(region);
		jq('#salesregion').val(region);
		document.getElementById("sub_region_btn").disabled = false;
		document.getElementById("edit_region_btn").disabled = false;
        });
	    jq("#subregion").change(function(){
        
         var subregion =  jq('#subregion').val();
         get_sales_area(subregion);
		 jq('#salesub_region').val(subregion);
		 document.getElementById("sales_area_btn").disabled = false;
		 document.getElementById("edit_sub_region_btn").disabled = false;
		 document.getElementById("move_sub_region_btn").disabled = false;
		 
		 
	 });
	 
	jq("#sales_area").change(function(){
     var sales_area =  jq('#sales_area').val();
      get_route(sales_area);
	   jq('#routesales_area_name').val(sales_area);  	   
        document.getElementById("route_btn").disabled = false;
        document.getElementById("edit_sales_area_btn").disabled = false;
       document.getElementById("move_sales_area_btn").disabled = false;
		  
      
    //alert(sales_area);
     });
	 
	jq("#route_name").change(function(){
      var route_name = jq('#route_name').val();
        get_trading(route_name);
		 document.getElementById("tradding_btn").disabled = false;
		  document.getElementById("edit_route_btn").disabled = false;
		   document.getElementById("edit_tradding_btn").disabled = false;
		    document.getElementById("move_tradding_btn").disabled = false;
		     document.getElementById("move_route_btn").disabled = false;
      
    });
     
         
    //get_subregion
    function get_subregion(region)
     {
       //alert(city);
         jq.ajax({
            url: "{{ URL('get_subregion/') }}" +"/" + region,
              type:"GET",
              
            success:function(respons)
             {
            
			 jq('#subregion').html(respons);
			
         
          }
       });
    }

    //get_sales_area
    function get_sales_area(subregion)
      {
        //alert(city);
          jq.ajax({
            url: "{{ URL('get_sales_area/') }}" +"/" + subregion,
             type:"GET",
			 
             success:function(respons)
           {
            
            jq('#sales_area').html(respons);
          }
       });
     }	
	 
    
    });
	
    //submit subregion
    jq('#addEditForm').submit(function (e) {
		
	  e.preventDefault()
        let formData = new FormData(jq('#addEditForm')[0])
           jq.ajax({
             url:"{{route('save_subregion')}}",
			  data: formData,
               processData: false,
			    contentType: false,
                 type: 'POST',
				 success:function(data) {
				  jq('#subregion').html(data);
                      
                }
             
           });
    });
	
	
	 
    //submit sales_area
  
    jq('#addSales_arae_Form').submit(function (e) {
		
	  e.preventDefault()
        let formData = new FormData(jq('#addSales_arae_Form')[0])
          jq.ajax({
            url:"{{route('save_sales_area')}}",
              type: 'POST',
               //dataType: 'json',
                 data: formData,
                 contentType: false,
                 processData: false,
                 success:function(respons) {
                 jq('#sales_area').html(respons);
                   
                }
                
            });
    });
	
    //submit route form

    jq('#addroue_Form').submit(function (e) {
		
	 e.preventDefault()
       let formData = new FormData(jq('#addroue_Form')[0])
        jq.ajax({
          url:"{{route('save_route_data')}}",
            type: 'POST',
             //dataType: 'json',
              data: formData,
               contentType: false,
               processData: false,
               success:function(respons) {
                jq('#route_name').html(respons);
                }
                
           });
    });
	
	
    //submit traddig form

    jq('#addtradding_Form').submit(function (e) {
		
	 e.preventDefault()
      let formData = new FormData(jq('#addtradding_Form')[0])
        jq.ajax({
          url:"{{route('save_tradding_data')}}",
            type: 'POST',
             // dataType: 'json',
              data: formData,
              contentType: false,
              processData: false,
              success:function(respons) {
               jq('#trading_center').html(respons);
                     
              }
                
				
          });
    });
	
	//get_route
    function get_route(sales_area)
      {
        //alert(city);
         jq.ajax({
            url: "{{ URL('get_routename/') }}" +"/" + sales_area,
             type:"GET",
              
               success:function(respons)
             {
            
               jq('#route_name').html(respons);
            
         
         }
      });
    }
	 
	//get_trading
	
    function get_trading(route_name)
       {
        //alert(city);
         jq.ajax({
           url: "{{ URL('get_trading_date/') }}" +"/" + route_name,
            type:"GET",
              
             success:function(respons)
             {
            
              jq('#trading_center').html(respons);
            
         
            }
         });
     }
	 
	 
	
	//edit region form
	    function edit_region_form(region)
       {
    
        jq.ajax({
          url: "{{ URL('edit_region_form/') }}" +"/" + region,
           type:"get",
                    
            success:function(respons)
            {
            
               jq('#region_body_id').html(respons);
				 // var region =  jq('#region').val();
                  // jq('#sregion_id').val(region);
            
         
               }
         });     
    }
	
	//get subregion form
	   function get_subregion_form()
       {
         //alert(city);
           jq.ajax({
             url: "{{ URL('get_subregion_form/') }}",
             type:"GET",
              
              success:function(respons)
              {
               if(respons)    
               {
               jq('#modal_body_id').html(respons);
			   var region =  jq('#region').val();
              jq('#sregion_id').val(region);
            }
         
         }
      });
    }
	
    //edit subregion form
	    function edit_subregion_form(subregion)
        {
         jq.ajax({
           url: "{{ URL('edit_subregion_form/') }}"+"/" + subregion,
            type:"GET",
              
            success:function(respons)
           {
             if(respons)
             {
              jq('#modal_body_id').html(respons);
			  var region =  jq('#region').val();
              jq('#sregion_id').val(region);
            }
         
           }
       });     
    }
	 
	//move subregion form
	  function move_subregion_form(subregion)
       {
		var region =  jq('#region').val();
		 jq.ajax({
		  url: "{{ URL('move_subregion_form/') }}"+"/" + subregion+'/'+region,
		   type:"get",
              
            success:function(respons)
            {
             if(respons)
            {   
              jq('#subregion').html(respons);
			  var region =  jq('#region').val();
              jq('#sregion_id').val(region);
           }
        
         }
      });
    }
	 
	
    //get_sales_area_form
    function get_sales_area_form()
      {
        //alert(city);
        jq.ajax({
         url: "{{ URL('get_sales_area_form_body/') }}",
          type:"GET",
           success:function(respons)
           {
             if(respons)
             {
                 jq('#modal_sale_area_body_id').html(respons);
				  var region =  jq('#region').val();
		          var subregion =  jq('#subregion').val();
                  jq('#salesregion').val(region);
                  jq('#salesub_region').val(subregion);
              }
         
           }     
        });
    }
	 
	//edit_sales_area_form
    function edit_sales_area_form(sales_area)
    { 
       jq.ajax({
         url: "{{ URL('edit_sales_area_form_body/') }}"+"/" + sales_area,
          type:"GET",
              
           success:function(respons)
          {
           if(respons)
            {
              jq('#modal_sale_area_body_id').html(respons);
				var region =  jq('#region').val();
		        var subregion =  jq('#subregion').val();
                 jq('#salesregion').val(region);
                 jq('#salesub_region').val(subregion);
				  
               }
         
           }
        });
    }
	 
	//move_sales_area_form
    function move_sales_area_form(sales_area)
     { 
	     
	  var subregion =  jq('#subregion').val();
        jq.ajax({
          url: "{{ URL('move_sales_area_form/') }}"+"/" + sales_area+'/'+subregion,
            type:"get",
              
             success:function(respons)
           {
            if(respons)
             {
              jq('#sales_area').html(respons);
		 
             }
         
           }
        });    
    }
	 
    //get_route_form

    function get_route_form()
       {
        //alert(city);
         jq.ajax({
          url: "{{ URL('get_route_form_body/') }}",
           type:"GET",
              
            success:function(respons)
           {
             if(respons)
             {
              jq('#modal_route_body_id').html(respons);
			  var sales_area =  jq('#sales_area').val();
		      jq('#routesales_area_name').val(sales_area);
              // jq('#salesub_region').val(subregion);
             }
         
           }
        });
    }
	 
	//edit_route_form

    function edit_route_form(route_name)
     {
         //alert(city);
          jq.ajax({
           url: "{{ URL('edit_route_form_body/') }}"+"/" + route_name,
            type:"GET",
              
             success:function(respons)
           {
             if(respons)
             {
              jq('#modal_route_body_id').html(respons);
			   var sales_area =  jq('#sales_area').val();
		        jq('#routesales_area_name').val(sales_area);
                // jq('#salesub_region').val(subregion);
            }
         
           }
       });
    }
	 
	//move_route_form

    function move_route_form(route_name)
      {
         //alert(city);
		  var sales_area =  jq('#sales_area').val();
           jq.ajax({
              url: "{{ URL('move_route_form/') }}"+"/" + route_name+'/'+sales_area,
              type:"get",
              
               success:function(respons)
              {
             if(respons)
             {
               jq('#route_name').html(respons);
				
		       // jq('#routesales_area_name').val(sales_area);
                 // jq('#salesub_region').val(subregion);
             }
         
           }
        });     
    }
	 
    //get_trading_form

    function get_trading_form()
      {
        //alert(city);
        jq.ajax({
          url: "{{ URL('get_tradding_form_body/') }}",
           type:"GET",
              
            success:function(respons)
            {
              if(respons)
              {
                jq('#modal_tradding_body_id').html(respons);
				 var route_name = jq('#route_name').val();
		        jq('#traddingroute_code').val(route_name);
                 // jq('#salesub_region').val(subregion);
             }
         
           }
        });
    }
	 
	//edit_trading_form

    function edit_trading_form(trading_center)
       {
        //alert(city);
         jq.ajax({
           url: "{{ URL('edit_tradding_form_body/') }}"+"/" + trading_center,
            type:"GET",
              
             success:function(respons)
            {
             if(respons)
            {
              jq('#modal_tradding_body_id').html(respons);
			   // var route_name = jq('#route_name').val();
		        //jq('#traddingroute_code').val(route_name);
                 // jq('#salesub_region').val(subregion);
             }
         
           }
        });    
    } 
	 
	//move_trading_form

    function move_trading_form(trading_center)
       {
         //alert(city);
		  var route_name = jq('#route_name').val();
           jq.ajax({
             url: "{{ URL('move_trading_form/') }}"+"/" + trading_center+'/'+route_name,
              type:"get",
              
              success:function(respons)
            {
              if(respons)
            {
               jq('#trading_center').html(respons);
				// var route_name = jq('#route_name').val();
		        //jq('#traddingroute_code').val(route_name);
                 // jq('#salesub_region').val(subregion);
            }
         
          }
       });
     }
    </script>         