@include('theme_layout/header')
@include('theme_layout/nav')
 
<div class="app-main__outer">
 <div class="app-main__inner">
  <div class="app-page-title">
   <div class="page-title-wrapper">
    <div class="page-title-heading">
     <div class="page-title-icon">
      <i class="pe-7s-medal icon-gradient bg-tempting-azure">
      </i>
     </div>     <!--page-title-icon-->
     
	 <div> Complaint Management List
      @if(Session::has('successMessage'))
		  
      <div class="alert anish alert-success mt-3" > 
          {{ Session::get('successMessage') }}
      </div>
      @endif
     </div>
    </div>     <!--page-title-heading-->
							
    <div class="page-title-actions"> 
     <div class="d-inline-block dropdown">
      <div class="page-title-actions">
	   <div class="d-inline-block dropdown">
	   </div>
      </div> 
									
      <div tabindex="-1" role="menu" aria-hidden="true" class="dropdown-menu dropdown-menu-right">
       <ul class="nav flex-column">
       <li class="nav-item">
       <a class="nav-link">
       <i class="nav-link-icon lnr-inbox"></i>
        <span>
            Inbox
        </span>
       <div class="ml-auto badge badge-pill badge-secondary">86</div>
       
       </a>
       </li>
       <li class="nav-item">
       <a class="nav-link">
       <i class="nav-link-icon lnr-book"></i>
        <span>
            Book
        </span>
        
		<div class="ml-auto badge badge-pill badge-danger">5</div>
       </a>
       </li>
       <li class="nav-item">
       <a class="nav-link">
       <i class="nav-link-icon lnr-picture"></i>
        <span>
                Picture
        </span>
       </a>
       </li>
       <li class="nav-item">
       <a disabled class="nav-link disabled">
       <i class="nav-link-icon lnr-file-empty"></i>
        <span>
            File Disabled
        </span>
       </a>
       </li>
       </ul>
      </div>     <!--dropdown-menu dropdown-menu-right-->
     </div>     <!--d-inline-block dropdown-->
    </div>     <!--page-title-actions-->
   </div>    <!--page-title-wrapper-->
  </div>      <!--app-page-title-->  

  <div class="main-card mb-3 card">
   <div class="card-body">
	<table style="width: 100%;" id="example" class="table table-hover table-striped table-bordered">
	 <thead>
      <tr>
	   <th class="text-justify text-left">Complaint Type</th>
       <th class="text-justify text-left">Route</th>
       <th class="text-justify text-left">Salesman</th>
	   <th class="text-justify text-left">Note</th>
	   <th class="text-justify text-left">Date With Time</th>
	   <th>Status</th>								    
	   <th>Action</th>
	  </tr>
     </thead>
								
     <tbody >
	  @foreach($result as $data)
      <tr> 
	   <td class="font-weight-bold text-justify text-left">{{$data->salesman_code}} - {{ucfirst($data->salesman_name)}}</td>
	   <td class="font-weight-bold text-justify text-left">{{$data->route_code}} - {{ucfirst($data->route_name)}}</td>
	   <td class="font-weight-bold text-justify text-left">{{$data->unload_time}}</td> 
	   <td><a class= "mb-2 mr-2 btn-hover-shine btn btn-shadow btn-success btn-lg" href="#">
	     <i class="fas fa-eye" aria-hidden="true"></i>
 	     </a>
	   </td> 
      </tr> 
	  @endforeach 
     </tbody> 
    </table> 	
   </div>     <!--card-body-->
  </div>    <!--main-card mb-3 card-->
 </div>    <!--app-main__inner-->
 
@include('theme_layout/footer')	
