comming_range_    @include('theme_layout/header')
@include('theme_layout/nav')

<div class="app-main__outer"> 
 <div class="app-main__inner">
  <div class="app-page-title">
   <div class="page-title-wrapper">
    <div class="page-title-heading">
     <div class="page-title-icon">
      <i class="pe-7s-graph text-success">
      </i>
     </div>      <!--page-title-icon-->
     
	 <div>  
      {{ request()->route('id') ? 'Edit ' : 'Add ' }} 
	   Route Expenses 
	 </div> 
	</div>     <!--page-title-heading-->

    <div class="page-title-actions"> 
     <div class="d-inline-block dropdown">
	 
      <a id="back" class="mt-3 btn btn-primary btn-lg text-white">
      <i class="fa fa-arrow-left fa-w-20 text-white"></i> Back</a>
	  
     </div>     <!--d-inline-block dropdown-->
    </div>       <!--page-title-actions-->
   </div>        <!--page-title-wrapper-->
  </div>         <!--app-page-title-->     

  <div class="tab-content">
   <div class="tab-pane tabs-animation fade show active" id="tab-content-0" role="tabpanel">
    <div class="main-card mb-3 card">
     <div class="card-body">
	  <form class="" action="{{ route('expenses_store') }}" method="post" enctype="multipart/form-data" onsubmit="return checkForm(this);">
	   {{ csrf_field() }}
	 <div class="form-row">
	  <div class="col-md-4">
	   <div class="position-relative form-group">
	   
	    <label  class="font-weight-bold ml-2" for="expense_no" class="">Expense Code</label>
		 <input maxlength="120"name="expense_no" id="expense_no" value="{{$last_code}}"  type="text" autocomplete="off" class="form-control" required readonly > 
		 <input name="updated_id" id="updated_id" value="{{ request()->route('id') }}" type="hidden" autocomplete="off">
	   
	   </div>   <!--position-relative form-group-->
	  </div>
	  
	  <div class="col-md-4">
	   <div class="position-relative form-group ">
	    <label class="font-weight-bold ml-2" for="route" class="">Salesman</label>
		<select class="mb-2 form-control " name="salesman_id" id="salesman_id" required >
		 
		 @if(request()->route('id')) 
		 @foreach($salesman as $salesmanname)
		<option {{$get_data->salesman_name == $salesmanname->id ? 'selected' : '' }} value ="{{$salesmanname->id}}">{{$salesmanname->salesman_code}} - {{$salesmanname->salesman_name}}</option>
		@endforeach
        @else 
		<option value=""> </option>
		 
		@foreach($salesman as $salesmanname)
		<option  value ="{{$salesmanname->id}}">{{$salesmanname->salesman_code}} - {{$salesmanname->salesman_name}}</option>
		@endforeach 
		@endif
		</select>
	   </div>     <!--position-relative form-group-->
	  </div>
	  
	  <div class="col-md-4">
	   <div class="position-relative form-group">
	    <label class="font-weight-bold ml-2" for="expense_type" class="">Expense Type</label>
	    <select class="mb-2 form-control" name="expense_type" id="expense_type" required >
		
		@if(request()->route('id')) 
		@foreach($expense_type as $expense_type_name)
		<option {{$get_data->expense_type == $expense_type_name->id ? 'selected' : '' }} value ="{{$expense_type_name->id}}">{{$expense_type_name->expense_code}} - {{$expense_type_name->expense_name}}</option>
		@endforeach 
		@else 
		
     	<option value=""> </option> 
		@foreach($expense_type as $expense_type_name)
		<option  value ="{{$expense_type_name->id}}">{{$expense_type_name->expense_code}} - {{$expense_type_name->expense_name}}</option>
		@endforeach 
		@endif 
		</select>
	   </div>       <!--position-relative form-group-->
	  </div>         
	 </div>         <!--form-row-->
	
     <div class="form-row">
	  <div class="col-md-4">
       <div class="position-relative form-group">
	   
	    <label class="font-weight-bold ml-2" for="expense_date" class="">Expense Date</label>
		<input  maxlength="120" name="expense_date" id="expense_date" placeholder="" type="date" class="form-control" value="{{ request()->route('id') ? $get_data->expense_date : '' }}" autocomplete="off" required>
		
	   </div>    <!--position-relative form-group-->
      </div>
	   
	  <div class="col-md-4">
	   <div class="position-relative form-group">
	   
		<label  class="font-weight-bold ml-2" for="expense_amt" class="">Expense Amount</label>
		<input maxlength="8" name="expense_amt" id="expense_amt" value="{{ request()->route('id') ? $get_data->expense_amount : '' }}"  type="text" class="form-control" onkeypress="return isNumber(event);" autocomplete="off" required >
		
	   </div>     <!--position-relative form-group-->
	  </div>
	   
	  <div class="col-md-4">
	   <div class="position-relative form-group">
	   
		<label class="font-weight-bold ml-2" for="comment" class="">Comment*</label>
		<input maxlength="20" name="comment" id="comment"  type="text" value="{{ request()->route('id') ? $get_data->comment : '' }}"  class="form-control" autocomplete="off"  >
		
	   </div>      <!--position-relative form-group-->
	  </div> 
	 </div>        <!--form-row-->
	
	<div class="form-row">
	 <div class="col-md-5"></div>
	
	  @if(request()->route('id'))
	  <button type="submit" class="mt-3 btn btn-primary btn-lg" name="btnsubmit">Update</button>
	  @else 
	  <button type="submit" class="mt-3 btn btn-primary btn-lg" name="btnsubmit">Save</button>
	  @endif
	 <div class="col-md-0.5"></div>
	   <a href="{{route('route_expenses_list')}}" class="mt-3 btn btn-danger  btn-lg">Cancel</a>
	     
	</div>      <!--form-row-->
    </form>
   </div>       <!--card-body-->
  </div>       <!--main-card mb-3 card-->
 </div>       <!--tab-pane tabs-animation fade show active-->
</div>       <!--tab-content-->
</div>      <!--app-main__inner-->

@include('theme_layout/footer')
				
<script>

function checkForm(form)
			{ 
		form.btnsubmit.disabled = true;
		return true;
			}

 var jq = $.noConflict();
   jq(document).ready(function(){
	    jq("#back").click(function(){
		   window.history.back();
	   })
 
	   $('#salesman_id').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	   $('#expense_type').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	   
	   
   });
</script>		