@include('theme_layout/header')
@include('theme_layout/nav')

<div class="app-main__outer"> 
 <div class="app-main__inner">
  <div class="app-page-title">
   <div class="page-title-wrapper">
	<div class="page-title-heading">
	 <div class="page-title-icon">
	 
		<i class="pe-7s-graph text-success">
		</i>
		
	 </div>      <!--page-title-icon-->
	 
	 <div>  
	
        {{ request()->route('id') ? 'Edit ' : 'Add ' }} 
		Stock Adjustment 
	</div> 
	</div>      <!--page-title-heading-->
	
	<div class="page-title-actions"> 
	 <div class="d-inline-block dropdown">
	 
	   <a class="mt-3 btn btn-primary btn-lg text-white" id="back"> 
	   <i class="fa fa-arrow-left fa-w-20 text-white"> </i>  Back </a>
	   
	 </div>      <!--d-inline-block dropdown-->
	</div>      <!--page-title-actions-->
   </div>      <!--page-title-wrapper-->
  </div>         <!--app-page-title-->         

  <div class="tab-content">
  <div class="tab-pane tabs-animation fade show active" id="tab-content-0" role="tabpanel">
   <div class="main-card mb-3 card">
	<div class="card-body">
	
	 <h5 class="card-title"></h5> 
	 <form onsubmit="return checkForm(this);" id="material_form" class="" action="{{ route('stock_adjust_store') }}" method="post">
	    {{ csrf_field() }}
	 
	 <div class="form-row"> 
      <div class="col-md-4">
	   <div class="position-relative form-group ">
	   
	    <label class="font-weight-bold ml-2" for="warehouse_name" class="">Warehouse</label>
	    <select class="mb-2 form-control country1" name="warehouse_name" id="warehouse_id" required >  
	    <option value=""> </option>
		@foreach($warehouse as $warehousename)
	    <option value ="{{$warehousename->id}}">{{$warehousename->warehouse_code}} - {{$warehousename->warehouse_name}}</option>
		@endforeach 
	    </select>
		
	   </div>      <!--position-relative form-group-->
	  </div>       <!--col-md-4-->
	  
	   <div class="col-md-4">                  
                 <div class="position-relative form-group">
                  <label for="reason_type" class="ml-2 font-weight-bold">Adjustment Type</label>
                   <select class="mb-2 form-control" name="reason_type" id="reason_type" required 
				   >                          
					 @if(request()->route('id'))                             
					 <option value=""> </option>
					 <option {{ $get_data->reason_type == '1' ? 'selected' : '' }} value ="1">Good Reason</option>
					 <option {{ $get_data->reason_type == '2' ? 'selected' : '' }} value="2">Bad Reason</option>				   
					@else 
					 <option value=""> </option>
					<option value ="1">Good Reason</option>
					 <option value="2">Bad Reason</option>
				    @endif   
					 
				                 
                   </select>
                 </div>                
                </div>
				
           <div class="col-md-4">
		   <div class="position-relative form-group">
			  <label  class="font-weight-bold ml-2" for="reason" class="">Reason </label>
			 <select class="mb-2 form-control" name="reason_is" id="reason_add" required > 
			  
			 @if(request()->route('id'))
			  @foreach($reason as $reason_is_name)
				<option {{request()->route('id')==$reason_is_name->id ? 'selected' : ''}} value="{{$reason_is_name->id}}" > {{$reason_is_name->reason_code}} - {{$reason_is_name->reason_name}}
				</option>
			  @endforeach 
			 @endif 
			 
			   </select>
			
			
		   </div>  <!--position-relative form-group-->
		  </div>
         </div>      <!--form-row-->
		   
	 <div class="form-row"> 
	 
	  
	
	 <div class="col-md-4">
	   <div class="position-relative form-group">
	   
	    <label  class="font-weight-bold" for="customer_type" class=""> Adjustment Date</label>
		<input required autocomplete="off" type="date" id="adjust_date" name="adjust_date" class="form-control">
	   
	   </div>      <!--position-relative form-group-->
	  </div>      <!--col-md-4-->	
	 
	  <div id="remarkdive" class="col-md-8">
	   <div class="position-relative form-group">
	   
	    <label class="font-weight-bold ml-2"  for="comment" class="">Remark*</label>
	    <input  required autocomplete="off" maxlength="200" value="" name="remark" id="remark"  type="text" class="form-control" value="" >
		
	   </div>      <!--position-relative form-group-->
	  </div>      <!--col-md-12-->
	 
			
	 </div>      <!--form-row-->
	 

<!--  add row -->
	<section> 
	 <div class="panel panel-footer" >
	  <table class="table table-bordered" id="myTable">
	   <thead>
		<tr>
			<th style="width:30%; text-align: center;">Material</th>
			<th style="width:15%; text-align: center;">UOM</th>
			<th style="width:15%; text-align: center;">Adjustment Type</th>
			<th style="width:10%; text-align: center;">Available Qty</th>
			<th style="width:10%; text-align: center;">Adjust Qty</th>
			<th style="width:10%; text-align: center;">Balance Qty</th>
			<th>Action</th> 
		</tr>
	   </thead>
	 
	   <tbody id="dynmic_row">
	
		<tr id="row_0">
			<td style="width: 15%;" id="mitem_0" > 
			 <select type="text" id="get_material_0" name="material_name[]" class="form-control material" required="">
			 <option></option>
			 @foreach($material as $material_name)
			 <option value ="{{$material_name->id}}">{{$material_name->material_code}} - {{$material_name->material_name}}</option>
			 @endforeach
			 </select> 
			</td>
			
			<td id="uitem_0" style="width: 10%;">
			
			<!-- <input readonly id="uom_0" name="uom[]" class="form-control"> -->
			
			 <label   class="luom_0 font-weight-bold ml-4 " id="uom_0" >     </label>
			 <input type="hidden" id="uomh_0" name="uomh[]" class="form-control uomh">
			</td>
			
			<td style="width: 15%;" id="adjitem_0" > 
			 <select type="text" id="adjs_type_0" name="adjs_type[]" class="form-control adjs_type" required="">
			 <option value=""></option>
			 <option value="add">Add</option>
			 <option value="subtract">Subtract</option>
			 </select> 
			</td>
			
			<td id="pitem_0">
			 <label   class="lprice font-weight-bold ml-4 " id="lprice_0" for="comment">     </label>
			 <input autocomplete="off" value=""  id="price_0" type="hidden" name="price[]" class="form-control price"> 
			</td>
			
			<td id="qitem_0"> 
			 <input autocomplete="off" value=""  id="qty_0" type="text" name="quantity[]" class="form-control quantity" required="">
			 
			 <input autocomplete="off" value=""  id="packing_size_0" type="hidden" name="packing_size[]" class="form-control packing_size">
			 
			</td>
			
			<td id="ditem_0">
			 <label   class="ldiscount font-weight-bold ml-4 " id="ldiscount_0" for="comment">     </label>
			 <input autocomplete="off" value=""  id="discount_0" type="hidden" name="discount[]" class="form-control discount"> 
			</td> 
			<td>
			 <button type="button" class="btn btn-danger font-weight-bold "  onclick="deleteRow(this,0)">
			 <i class="fa fa-trash" aria-hidden="true" ></i></button>
			</td>
		</tr> 
       </tbody> 
      </table>
	  
		<td>
		   <button type="button" class="btn btn-primary font-weight-bold text-white addRow">
		   <i class="fa fa-plus  text-white " aria-hidden="true" ></i> ADD</button>
		</td>
     
	 </div>      <!--panel panel-footer-->
    </section>
<!--  End add row -->	

     <div class="container " style="width: 100%;">
					<br><br>
	  <div class="row ">
	  
	  <div class="col-md-5 ml-5"></div>
		@if(request()->route('id'))
		@else
		<button id="submit" name="btnsubmit"  class="mt-3 btn btn-primary btn-lg">Save</button>
		@endif
		<a href="{{route('stock_adjust_list')}}" class="mt-3 btn btn-danger ml-2  btn-lg">Cancel</a> 
		
	  </div>      <!--row-->
	 </div>      <!--container-->
	 </form>
	</div>      <!--card-body-->
   </div>       <!--main-card mb-3 card-->
  </div>       <!--tab-pane tabs-animation fade show active-->
 </div>      <!--tab-content-->
</div>       <!--app-main__inner-->

@include('theme_layout/footer')


<script>

var jq = $.noConflict();
	 function checkForm(form)
			{ 
		form.btnsubmit.disabled = true;
		return true;
			}
jq(document).ready(function(){

			
@if(Session::has('successMessage'))
   var toster=jq('#toster_id').val();
	if(toster!=''){
		Swal.fire({
		  position: 'top',
		  icon: 'success',
		  title: ''+toster,
		  showConfirmButton: false,
		  timer: 2000
			})
		}
 @endif		
			
		jq("#back").click(function(){ 


		
		window.history.back();
	});

	$('#get_material_0').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true}); 
	$('#warehouse_id').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	$('#type').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});

	<!--Trading Center-->
	var warehouse_id=jq('#warehouse_id').val();
		if(warehouse_id!='')
		{  

		}
		else
		{
		 jq("#get_material_0").attr('disabled','disabled');
		}
		
		$("#warehouse_id").change(function(){  

	var warehouse_id=jq('#warehouse_id').val();
		if(warehouse_id!='')
		{
		 document.getElementById("get_material_0").disabled = false;				
		}
		else
		{
		 jq("#get_material_0").attr('disabled','disabled');
		}
		});
		function get_trading(route_id){
		
		jq.ajax({
		url: "{{ URL('saleman_invoice/get_trading/') }}" +"/" + route_id,
		type:"GET",

		success:function(respons)
		{
		if(respons)
		{
		jq('#trading_add').html(respons);
		}
		}
		});
		}

		jq("#trading_add").change(function(){


	var trading_id =  jq('#trading_add').val();

	get_getcustomer(trading_id);
	});
	function get_getcustomer(trading_id){
	jq.ajax({
	url: "{{ URL('saleman_invoice/get_customer/') }}" +"/" + trading_id,
	type:"GET",

	success:function(respons)
	{
	if(respons)
	{
	jq('#customer_add').html(respons);
	}
	}
	});
	}
	});
	<!--row calculation-->
	jq('tbody').delegate('.quantity,.price,.adjs_type','keyup',function(){
	//var gst=18;
	//var per=100;
	var tr=jq(this).parent().parent();
	var quantity=tr.find('.quantity').val();
	var adjs_type=tr.find('.adjs_type').val();

	//alert(quantity);
	if(quantity==''){
	
	reset_value();
	function reset_value(){

	tr.find('.total').val('');
	tr.find('.gross').val('');
	tr.find('.vat').val('');
	tr.find('.net_amount').val('');
	tr.find('.ltotal').text('');
	tr.find('.lvat').text('');
	tr.find('.lnet_amount').text('');
	tr.find('.discount').text('');

	//tr.find('.price').val('');
	}

	}
	else if(adjs_type=='add'){
		
	var quantity1=tr.find('.quantity').val();
	var price1=tr.find('.price').val();
	var balance_qty=0;
	var balance_qty=parseInt(price1) + parseInt(quantity1);  
	//alert(balance_qty);  
		tr.find('.discount').val(balance_qty);
		tr.find('.ldiscount').text(balance_qty);   
	}
	else if(adjs_type=='subtract'){
		
	var quantity1=tr.find('.quantity').val();
	var price1=tr.find('.price').val();
	var amount=parseInt(price1);
	var qty=parseInt(quantity1); 
	var balance_qty1=0;
	var balance_qty1= parseInt(price1) - parseInt(quantity1);  
	//alert(balance_qty);
	if(amount>qty)
	{
		tr.find('.discount').val(balance_qty1);
		tr.find('.ldiscount').text(balance_qty1);
	}
	else
	{ 
		alert("quantity should be lesser than stock");
		tr.find('.discount').val("");
		tr.find('.ldiscount').text("");
	}
	}
	else
	{
	reset_value();
	
	function reset_value(){
	tr.find('.total').text('');
	}
	}
	});
	<!-- reset value-->
	<!--total calculation-->

	<!--end calculation	-->	
	<!--add row	-->	
	var i=0;
	jq('.addRow').on('click',function(){
	i++;
	var warehouse_id=jq('#warehouse_id').val();
	if(warehouse_id!='')
	{
	addRow(i);
	}
	else
	{
	alert("Please select warehouse");
	}
	});

	<!--getting material of first row-->		
	$('#get_material_0').change(function(){

	var material_id1 =  jq('#get_material_0').val();
	var row=0;
	//alert(material_id1);
	get_material_details(material_id1,row);

	setTimeout(function(){
	var uom_id =  jq('#uomh_0').val();  
	var warehouse_id=jq('#warehouse_id').val();
	var reason_type=jq('#reason_type').val();
	//alert(reason_type);		   
	get_material_price(warehouse_id,material_id1,uom_id,row,reason_type);

	}, 1000);
	reset_value1(row);

	});

	jq('#adjs_type_0').change(function(){
	var row=0;
	reset_value12(row);

	});
	<!--getting uom of first row-->		 
	jq('#uom_0').change(function(){
	var row=0;
	var uom_id =  jq('#uom_0').val();
	var warehouse_id=jq('#warehouse_id').val();
    var reason_type=jq('#reason_type').val();
	var material_id =  jq('#get_material_0').val();

	get_material_price(warehouse_id,material_id,uom_id,row,reason_type);
	reset_value1(row);

	});  

	function addRow(value)
	{

	var tr='<tr id="row_'+value+'">'+
	'<td style="width: 15%;" id="mitem_"><select type="text" id="get_material_'+value+'"  name="material_name[]" class="form-control material" required=""></td>'+

	'<td id="uitem_'+value+'" style="width: 10%;"><label   class="luom_0 font-weight-bold ml-4 " id="uom_'+value+'" >     </label> <input type="hidden" id="uomh_'+value+'" name="uomh[]" class="form-control uomh"></td>'+

	'<td style="width: 15%;" id="adjitem_'+value+'"><select type="text" id="adjs_type_'+value+'"  name="adjs_type[]" class="form-control adjs_type" required=""><option value=""></option><option value="add">Add</option><option value="subtract">Subtract</option></select></td>'+

	'<td id="pitem_'+value+'"><label class="lprice font-weight-bold ml-4 " id="lprice_'+value+'" for="comment">     </label><input autocomplete="off" readonly type="hidden" value="" id="price_'+value+'" name="price[]" class="form-control price"></td>'+

	'<td id="qitem_'+value+'"><input autocomplete="off" type="text" value="" id="qty_'+value+'" name="quantity[]" class="form-control quantity" required=""><input autocomplete="off" value=""  id="packing_size_'+value+'" type="hidden" name="packing_size[]" class="form-control packing_size"></td>'+



	' <td id="ditem_'+value+'"><label   class="ldiscount font-weight-bold ml-4 " id="ldiscount_'+value+'" for="comment">     </label><input autocomplete="off" readonly type="hidden" value="" id="discount_'+value+'" name="discount[]" class="form-control discount"></td>'+


	' <td><button type="button" class="btn btn-danger font-weight-bold "  onclick="deleteRow(this,'+value+')"><i class="fa fa-trash" aria-hidden="true" ></i></button></td>'+
	'</tr>';
	jq('#dynmic_row').append(tr);

	<!--getting material name-->
	get_material(value);

	<!--getting material uom-->	
	$('#get_material_'+value+'').change(function(){
	var material_id =  jq('#get_material_'+value+'').val();
	var warehouse_id=jq('#warehouse_id').val();

	if(warehouse_id!='')
	{	

	get_material_details(material_id,value);
	setTimeout(function(){
	 var uom_id =  jq('#uomh_'+value+'').val();  
	 var warehouse_id=jq('#warehouse_id').val();
	 var reason_type=jq('#reason_type').val();
	 get_material_price(warehouse_id,material_id,uom_id,value,reason_type);

	}, 1000);

	reset_value1(value);
	}
	else{
	alert("Please select warehouse");
	document.getElementById('#get_material_'+value+'').selectedIndex = "0";

	}
	});
	<!--getting material price-->	
	jq('#uom_'+value+'').change(function(){
	var uom_id =  jq('#uom_'+value+'').val();
	var warehouse_id=jq('#warehouse_id').val();
	var material_id =  jq('#get_material_'+value+'').val();
    var reason_type=jq('#reason_type').val();
	get_material_price(warehouse_id,material_id,uom_id,value,reason_type);

	reset_value1(value);

	});

	jq('#adjs_type_'+value+'').change(function(){
	reset_value12(value);

	});

	};	
	<!--end add row	-->
	<!--get_material_uom-->
	function get_material_details(material_id1,row)
	{

	jq.ajax({
	url: "{{ URL('get_material_detailsUom2/') }}"+"/" +material_id1+'/'+row,
	type:"GET",

	success:function(respons)
	{
	const uom = respons.split("-");

	//jq('#uom_'+row+'').val(uom[0]);
	
	document.getElementById('uom_'+row+'').innerHTML  = uom[0];
	jq('#uomh_'+row+'').val(uom[1]);
	jq('#packing_size_'+row+'').val(uom[2]);

	}
	});
	}

	<!--get_material_price-->
	function get_material_price(warehouse_id,material_id1,uom_id,row,reason_type){

	jq.ajax({
	url: "{{ URL('get_material_price2/') }}"+"/" +warehouse_id+'/'+material_id1+"/"+uom_id+"/"
	+reason_type,       
	type:"GET",

	success:function(respons)
	{
	if(respons)
	{
		
      var packing_size=jq('#packing_size_'+row+'').val();
	  if(! parseInt(respons)==0)
	  {
	   var calculate_price1=parseInt(respons)/parseInt(packing_size);
	   var calculate_price=Math.trunc(calculate_price1);
	  }
	  else
	  {
	    var calculate_price=respons;  
	  }
	document.getElementById('price_'+row+'').value =calculate_price;
	document.getElementById('lprice_'+row+'').innerHTML  = calculate_price;
	}

	}
	});
	}

	<!--get_material_name-->
	function get_material(value){

	jq.ajax({
	url: "{{ URL('get_material_stock_adjustment/') }}",
	type:"GET",

	success:function(respons)
	{
	if(respons)
	{
		jq('#get_material_'+value+'').html(respons);
		$('#get_material_'+value+'').SumoSelect({ selectAll:true,search: true,  triggerChangeCombined : true});
		$('#get_material_'+value+'')[0].sumo.reload();
	}
	}
	});
	}
	<!-- reseting Value-->
	function reset_value1(row){
		document.getElementById('price_'+row+'').value ='';
		document.getElementById('qty_'+row+'').value ='';
		document.getElementById('discount_'+row+'').value ='';

		<!--for lebel-->
		document.getElementById('lprice_'+row+'').innerHTML='';
		document.getElementById('ldiscount_'+row+'').innerHTML=''
	}
	function reset_value12(row){

		document.getElementById('qty_'+row+'').value ='';
		document.getElementById('discount_'+row+'').value ='';
		document.getElementById('ldiscount_'+row+'').innerHTML=''
	}
	<!-- Deleting row-->
	function deleteRow(r,row) {

	if(row==0){
		alert("you can not remove first row");
	}
	else{
	//calculate();

	var i = r.parentNode.parentNode.rowIndex;
	document.getElementById("myTable").deleteRow(i);
	}
	}
	
	$("#reason_type").change(function(){
  var route = jq('#reason_type').val();
  get_reason(route);
        });
		
		
	function get_reason(route){
		jq.ajax({
		url: "{{ URL('stock_adjust/get_reason/') }}"+"/" +route,       
        type:"GET",
        success:function(respons)
        {
              if(respons){
				jq('#reason_add').html(respons);
				$('#reason_add').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
				
                $('#reason_add')[0].sumo.reload();
				 }
        }
          });
        }


	</script>  	
