@include('theme_layout/header')
@include('theme_layout/nav')
<div class="app-main__outer">
 <div class="app-main__inner">
  <div class="app-page-title">
   <div class="page-title-wrapper">
    <div class="page-title-heading">
     <div class="page-title-icon">
      <i class="pe-7s-medal icon-gradient bg-tempting-azure">
      </i>
     </div>
        <div>List Customer
            @if(Session::has('successMessage')) 
			  <input id="toster_id" type="hidden" value="{{ Session::get('successMessage') }}">		  
		    @endif			
        </div>
    </div> <!--page-title-heading-->
	
        <div class="page-title-actions">
         <div class="d-inline-block dropdown">
          <div class="page-title-actions">
           <div class="d-inline-block dropdown">
            <a href="{{route('customer_name')}}" class="mb-2 mr-2 btn-icon btn-square btn btn-secondary btn-lg"> <i class="fa fa-plus fa-w-20"></i> Add Customer</a> 
           </div>
           </div> 
		   
        <div tabindex="-1" role="menu" aria-hidden="true" class="dropdown-menu dropdown-menu-right">
	        <ul class="nav flex-column">
		     <li class="nav-item">
			  <a class="nav-link">
			   <i class="nav-link-icon lnr-inbox"></i>
				<span>
				Inbox
				</span>
				<div class="ml-auto badge badge-pill badge-secondary">86</div>
			  </a>
		     </li>
			 
			<li class="nav-item">
			 <a class="nav-link">
			  <i class="nav-link-icon lnr-book"></i>
			   <span>
				Book
			   </span>
				<div class="ml-auto badge badge-pill badge-danger">5</div>
			 </a>
			</li>
			
			<li class="nav-item">
			 <a class="nav-link">
			  <i class="nav-link-icon lnr-picture"></i>
			   <span>
				Picture
			   </span>
			 </a>
			</li>
			
			<li class="nav-item">
			 <a disabled class="nav-link disabled">
			  <i class="nav-link-icon lnr-file-empty"></i>
			   <span>
				File Disabled
			   </span>
			 </a>
			</li>
	       </ul>
        </div> <!--tabindex="-1" role="menu" aria-hidden="true" class="dropdown-menu dropdown-me-->
         </div> <!--d-inline-block dropdown-->
        </div> <!-- page-title-actions-->  </div> <!--page-title-wrapper-->
  </div> <!--app-page-title-->
	  
	    <div class="main-card mb-3 card">
		 <div class="card-body">
		  <table style="width: 100%;" id="example" class="table table-hover table-striped table-bordered">
		   <thead>
			<tr>
			 <th>Customer Type</th>
			 <th>Company Code</th>		   
			 <th>Customer Name</th>		  
			 <th>Country</th>
			 <th>City</th>			 
			 <th>Status</th>
			 <th>   Action</th>
			</tr>
			</thead>
			
			<tbody>
			 @foreach($get_data as $data)
			  <tr>		   
		       <td class="font-weight-bold  text-dark">{{ucfirst($data->customer_type_name) }}</td>   
			   <td class="font-weight-bold  text-dark">{{$data->customer_code}}</td>			 
			   <td class="font-weight-bold  text-dark">{{ucfirst($data->customer_name)}}</td>
			   <td class="font-weight-bold  text-dark">{{ucfirst($data->country_name )}}</td>
			   <td class="font-weight-bold  text-dark">{{$data->city == 'Rkt' ? 'Rkt' : 'Vns'}}</td>
			   <td> <button id="btn_status" class=" mb-2 mr-2 btn-pill btn btn-primary"  ><span class="">{{ $data->status == 'active' ? 'Active' : 'Inactive' }}</span></button></td>				 
			   <td> <a class= "mb-2 mr-2 btn-hover-shine btn btn-shadow btn-success btn-lg" href=" {{ URL::to('customer/'.$data->id)}}"><i class="fas fa-edit" aria-hidden="true"></i> </a>
			   <a class= "mb-2 mr-2 btn-hover-shine btn btn-shadow btn-success btn-lg" href=" {{ URL::to('customer_view/'.$data->id)}}"><i class="fas fa-eye" aria-hidden="true"></i> </a></td>
			  </tr>				
		 	 @endforeach				
			</tbody>				 
		  </table>
		 </div> <!--card-body-->
	   </div>	<!--main-card mb-3 card-->
     </div> <!--app-main__inner-->
 @include('theme_layout/footer')	
</div>  <!--app-main__outer-->	
<script>
   var jq = $.noConflict();
   jq(document).ready(function(){
    
	@if(Session::has('successMessage'))
	   var toster=jq('#toster_id').val();
	    if(toster!=''){
			Swal.fire({
				  
				  icon: 'success',
				  title: ''+toster,
				  showConfirmButton: false,
				  timer: 2000
				})
	      }
		  
		   {{ Session::forget('successMessage') }}
		   
	 @endif
	
	  });
 </script>		