@include('theme_layout/header')
@include('theme_layout/nav')
<div class="app-main__outer">               
 <div class="app-main__inner">
  <div class="app-page-title">
   <div class="page-title-wrapper">
	<div class="page-title-heading">
	 <div class="page-title-icon">
	  <i class="pe-7s-graph text-success">
	  </i>
	 </div> <!--page-title-icon-->
	 
		<div>  
	     {{ request()->route('id') ? 'Edit ' : 'Add ' }}
	     Sub Region
		</div>
	</div> <!--page-title-heading-->
                            
		<div class="page-title-actions">			 
		 <div class="d-inline-block dropdown">
		  <a href="{{route('subregion_list')}}" class="mt-3 btn btn-primary btn-lg text-white"> <i class="fa fa-arrow-left fa-w-20"></i> Back</a>		 
		 </div>
		</div> 
   </div> <!--page-title-wrapper-->
  </div>  <!-- app-page-title-->          
					 
		<div class="tab-content">
         <div class="tab-pane tabs-animation fade show active" id="tab-content-0" role="tabpanel">
	      <div class="main-card mb-3 card">
		   <div class="card-body"><h5 class="card-title"></h5>
			<form id="" class="" onsubmit="return checkForm(this);"
 action="{{ route('sub_region_store') }}" method="post">
			 {{ csrf_field() }}
			  <div class="form-row">
			   <div class="col-md-4">
				<div class="position-relative form-group"><label for="sub_region_code" class="ml-2 font-weight-bold">Sub Region Code</label><input  maxlength="20" name="sub_region_code" id="sub_region_code" placeholder="" type="text" class="form-control" value="{{ $last_code  }}" readonly="readonly" required>	 		
				</div>
			   </div> 
			   
	    <div class="col-md-4">
		 <div class="position-relative form-group"><label for="region" class="ml-2 font-weight-bold">Region</label><select class="mb-2 form-control" name="region" id="region" required>
		  <option value=""> </option>
		   @if(request()->route('id')) 		
		    @foreach($region as $regionname)
			 <option {{$get_data->region_id == $regionname->id ? 'selected' : '' }} value ="{{$regionname->id}}">{{$regionname->region_code}} - {{$regionname->region_name}}</option>
		    @endforeach
		   @else 
		    @foreach($region as $region_name)
			 <option value ="{{$region_name->id}}">{{$region_name->region_code}} - {{$region_name->region_name}}</option>
		    @endforeach
		   @endif	
	   </select>
	   </div> <!--position-relative form-group-->
	 </div>	 <!--col-md-6-->
	 
	 <div class="col-md-4">
		  <div class="position-relative form-group"><label for="sub_region_name" class="ml-2 font-weight-bold">Sub Region Name</label><input autocomplete="off" maxlength="120" name="sub_region_name" id="sub_region_name" placeholder="" type="text" class="form-control" value="{{ request()->route('id') ? $get_data->sub_region_name : '' }}" required>			
		   <input autocomplete="off" name="updated_id" id="updated_id" value="{{ request()->route('id') }}" type="hidden">
		  </div>
		 </div>
	 
	</div>  <!--form-row-->
	
		<div class="form-row">
		 
		  
		<div class="col-md-4">
		 <div class="position-relative form-group"><label for="status" class="ml-2 font-weight-bold">Status</label>
		  <select class="mb-2 form-control" name="status" id="status" required > 			
		   @if(request()->route('id')) 			
			<option value="">   </option>
			<option {{ $get_data->status == 'active' ? 'selected' : '' }} value ="active">Active</option>
			<option {{ $get_data->status == 'inactive' ? 'selected' : '' }} value="inactive">Inactive</option>		   
		   @else 
			<option value="">   </option>
			<option value ="active">Active</option>
			<option value="inactive">Inactive</option>
		   @endif			
		 </select>
		 </div> 
		</div> <!--col-md-6-->
	   </div> <!--form-row-->
 
		<div class="form-row">
		 <div class="col-md-5"></div>
		  @if(request()->route('id'))
		   <button name="btnsubmit" class="mt-3 btn btn-primary btn-lg">Update</button>
			<div class="col-md-0.5"></div>			 
		  @else
			<button name="btnsubmit" class="mt-3 btn btn-primary btn-lg">Save</button>
		  @endif
			<div class="col-md-0.5"></div>
			 <a href="{{route('subregion_list')}}" class="mt-3 btn btn-danger  btn-lg">Cancel</a>			
		 </div>				
		</form>
	   </div> <!--card-body-->
	  </div> <!--main-card mb-3 card-->	 
     </div> <!--tab-pane tabs-animation fade show active-->
    </div>  <!--tab-content-->
   </div><!--app-main__inner-->
@include('theme_layout/footer')
<script>
var jq = $.noConflict();
function checkForm(form)
  {
     
    form.btnsubmit.disabled = true;
    return true;
  }
jq(document).ready(function(){
$('#region').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
})
</script>