<!doctype html>
<html lang="en">
@if(Session::has('successMessage1')) 
		     <input id="toster_id" type="hidden" value="{{ Session::get('successMessage1') }}">		  
@endif 


<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta http-equiv="Content-Language" content="en">
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
    <title>Sales System</title>
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no, shrink-to-fit=no"
    />
    <meta name="description" content="ArchitectUI HTML Bootstrap 4 Dashboard Template"> 
    <!-- Disable tap highlight on IE --> 
    <meta name="msapplication-tap-highlight" content="no"> 
   <link href="{{ url('../public/css/app.css') }}" rel="stylesheet">
</head>
 
<body>

 <div class="app-container app-theme-white body-tabs-shadow">
  <div class="app-container">
   <div class="h-100 bg-plum-plate bg-animation">
    <div class="d-flex h-100 justify-content-center align-items-center">
     <div class="mx-auto app-login-box col-md-8">
	  <div class="mx-auto col-md-3"> 
	  <img style="height: 127px; width: 141px; margin: 5px 4px -51px 3px;" src="{{asset('/public/images/logos/prifab.png')}}"   alt="Elite SoftLab width="120" height="50">
	  </div> 
      
	  <div class="modal-dialog w-100 mx-auto">
	   <div class="modal-content">
		<div class="modal-body">
		 <div class="h5 modal-title text-center">
		 
		  <h4 class="mt-2">
			@if(Session::has('successMessage1')) 
		     <input id="toster_id" type="hidden" value="{{ Session::get('successMessage1') }}">		  
		    @endif 
		 
		 <div class="font-weight-bold text-danger">Welcome back</div>
			 <span class="font-weight-bold text-dark">Please sign in to your account below.</span>
		  </h4>
		 
		 </div>    <!--h5 modal-title text-center-->
									
		 <form class="" action="{{route('authenticate') }}" method="post">
			   @csrf
			   
		  <div class="form-row">
		   <div class="col-md-12">
			<div class="position-relative form-group">
			
			 <input name="username" id="username" placeholder="Enter Username" type="text"  required class="form-control">
			 
			</div>    <!--position-relative form-group-->
		   </div>    <!--col-md-12-->
		   
		   <div class="col-md-12">
			<div class="position-relative form-group">
			
			 <input name="password" id="password" placeholder="Enter Password " type="password" class="form-control" required>
			 
			</div>    <!--position-relative form-group-->
		   </div>    <!--col-md-12-->
		  </div>    <!--form-row-->
		  
		  <div class="position-relative form-check">
		  
		    <input name="check" id="exampleCheck" type="checkbox" class="form-check-input">
			<label for="exampleCheck" class="form-check-label font-weight-bold">Keep me logged in</label>
			
		  </div>    <!--position-relative form-check-->
         </div>    <!--modal-body-->
         
		 <div class="modal-footer clearfix">
          <div class="float-right">
		  
            <button type="submit" class="btn btn-primary btn-lg font-weight-bold">Login to Dashboard</button>
          
		  </div>    <!--float-right-->
 
         </div>    <!--modal-footer clearfix-->
         
		 </form >
		 
       </div>    <!--modal-content-->
      </div>     <!--modal-dialog w-100 mx-auto-->
     </div>    <!--mx-auto app-login-box col-md-8-->
    </div>    <!--d-flex h-100 justify-content-center align-items-center-->
   </div>    <!--h-100 bg-plum-plate bg-animation-->
  
  </div>    <!--app-container-->
   <!--app-container app-theme-white body-tabs-shadow-->
  <script type="text/javascript" src="{{ url('../public/js/app.js')}}"></script>


 <script src="http://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>
  <script>window.setTimeout(function() {
	$(".anish").fadeTo(500, 0).slideUp(500, function(){
	$(this).remove(); 
	});
	}, 3000);

	function isNumber(e){
	e = e || window.event; 
	var charCode = e.which ? e.which : e.keyCode;
	return /\d/.test(String.fromCharCode(charCode));
	}
  </script>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script type="text/javascript" src="{{ url('../public/js/jquery.sumoselect.js')}}"></script> 
<script type="text/javascript" src="{{ url('../public/js/sweetalert2.all.min.js')}}"></script> 

<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/magnific-popup.js/1.0.0/jquery.magnific-popup.min.js"></script>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
</body> 
</html>

<script>
var jq = $.noConflict();
jq(document).ready(function(){

 @if(Session::has('successMessage1'))
var toster=jq('#toster_id').val();
if(toster!=''){
	Swal.fire({
	  position: 'center',
	  icon: 'error',
	  title: ''+toster,
	  showConfirmButton: false,
	  timer: 2500
		})
	}
@endif  
});

</script>

 
