<?php echo $__env->make('theme_layout/header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php echo $__env->make('theme_layout/nav', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
 
<div class="app-main__outer">
 <div class="app-main__inner">
  <div class="app-page-title">
   <div class="page-title-wrapper">
    <div class="page-title-heading">
     <div class="page-title-icon">
      <i class="pe-7s-medal icon-gradient bg-tempting-azure">
      </i>
     </div>
	 
	    <div> Vehicle List
	     <?php if(Session::has('successMessage')): ?> 
		  <input id="toster_id" type="hidden" value="<?php echo e(Session::get('successMessage')); ?>">		  
	      <?php endif; ?> 
        </div>
    </div> <!--page-title-heading-->
							
	    <div class="page-title-actions"> 
		 <div class="d-inline-block dropdown">
		   <div class="page-title-actions"> 
		    <div class="d-inline-block dropdown">
		     <a href="<?php echo e(route('vehicle_name')); ?>" class="mt-3 btn btn-primary btn-lg"> <i class="fa fa-plus fa-w-20"></i> Add Vehicle</a> 
	      </div>
	    </div>
			
        <div tabindex="-1" role="menu" aria-hidden="true" class="dropdown-menu dropdown-menu-right">
	     <ul class="nav flex-column">
		  <li class="nav-item">
		   <a class="nav-link">
			<i class="nav-link-icon lnr-inbox"></i>
			 <span>
		      Inbox
		     </span>
		    <div class="ml-auto badge badge-pill badge-secondary">86</div>
	       </a>
	      </li>
	
	    <li class="nav-item">
	     <a class="nav-link">
		  <i class="nav-link-icon lnr-book"></i>
		    <span>
			 Book
		    </span>
		   <div class="ml-auto badge badge-pill badge-danger">5</div>
		 </a>
	    </li>
	
	    <li class="nav-item">
	     <a class="nav-link">
	      <i class="nav-link-icon lnr-picture"></i>
		   <span>
		    Picture
		   </span>
	     </a>
	    </li>

	    <li class="nav-item">
		  <a disabled class="nav-link disabled">
			<i class="nav-link-icon lnr-file-empty"></i>
			<span>
			 File Disabled
			</span>
		  </a>
	     </li>
        </ul>
       </div>
      </div>  <!--d-inline-block dropdown-->
     </div>   <!--page-title-actions-->
     </div>     <!--page-title-wrapper-->
    </div>         <!--app-page-title-->
					
        <div class="main-card mb-3 card">
         <div class="card-body">
          <table style="width: 100%;" id="example" class="table table-hover table-striped table-bordered">
	       <thead>
	        <tr> 
		     <th class="text-left">Vehicle </th>
	         <th class="text-left">Vehicle Type</th>
		     <th class="text-left">Vehicle Owner</th>
		     <th class="text-left">Warehouse </th>
		     <!--<th>ERP Asset Code</th>-->
		     <th>Status</th>
		     <th>Action</th> 
	        </tr>
	       </thead>	
            <tbody>
             <?php $__currentLoopData = $get_data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
              <tr>
               <?php
                $class='';
                 $data->status == 'active' ? $class="mb-2 mr-2 btn btn-primary":$class=" mb-2 mr-2 btn btn-danger";
               ?> 
                 <td class="font-weight-bold  text-dark text-left"><?php echo e($data->vehicle_code); ?> - <?php echo e($data->vehicle_number); ?></td>
                 <td class="font-weight-bold  text-dark text-left"><?php echo e(ucfirst($data->vehicle_type_code)); ?> - <?php echo e(ucfirst($data->vehicle_type_name)); ?></td>
                 <td class="font-weight-bold  text-dark text-left"><?php echo e(ucfirst($data->vehicle_owner)); ?></td>
                 <td class="font-weight-bold  text-dark text-left"><?php echo e(ucfirst($data->warehouse_code)); ?> - <?php echo e(ucfirst($data->warehouse_name)); ?></td>
                  <!--<td class="font-weight-bold  text-dark"><?php echo e($data->erp_asset_code); ?></td>--> 
                  <td> <button id="btn_status" class="<?php echo e($class); ?>"  ><span class="ladda-label"><?php echo e($data->status == 'active' ? 'Active' : 'Inactive'); ?></span></button></td> 
                  <td>
				  <div class="dropdown">
    				<button type="button" aria-haspopup="true" aria-expanded="false" data-toggle="dropdown" class="mb-2 mr-2 btn btn-outline-primary "><i class="fas fa-ellipsis-v"></i></button>
    				<ul class="dropdown-menu " style="min-width: 0px;" aria-labelledby="dropdownMenuButton1"> 
                  	<a class="dropdown-item" class= "mb-2 mr-2 btn-hover-shine btn btn-shadow btn-success btn-lg" href=" <?php echo e(URL::to('vehicle/'.$data->id)); ?>"><i class="fas fa-edit" aria-hidden="true"> Edit</i> </a> 
                  	<a class="dropdown-item" class= "mb-2 mr-2 btn-hover-shine btn btn-shadow btn-success btn-lg" href=" <?php echo e(URL::to('vehicle_view/'.$data->id)); ?>"><i class="fas fa-eye" aria-hidden="true"> View</i> </a></td> 
					</ul>
				</div>
				</tr> 
             <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
             </tbody> 
           </table>
          </div>
      </div>         <!--main-card mb-3 card-->
    <?php echo $__env->make('theme_layout/footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>	
 <script>
var jq = $.noConflict();
jq(document).ready(function(){

<?php if(Session::has('successMessage')): ?>
var toster=jq('#toster_id').val();
if(toster!=''){
	Swal.fire({
	  
	  icon: 'success',
	  title: ''+toster,
	  showConfirmButton: false,
	  timer: 2000
		})
	}
	
	<?php echo e(Session::forget('successMessage')); ?>

	
<?php endif; ?>
});

</script>	<?php /**PATH /var/www/html/van_sales_system/resources/views/Master_Configuration/vehicle_list.blade.php ENDPATH**/ ?>