<?php
namespace App\Exports;
use App\user;
use Maatwebsite\Excel\Concerns\FromCollection;
use Maatwebsite\Excel\Concerns\WithHeadings;
use Illuminate\Support\Facades\DB;
class BankExport implements FromCollection,WithHeadings
  {
	 protected $bank_code;
	 protected $bank_name;
	 protected $bank_account_number;
	 protected $branch;
	 protected $country;
	 protected $city;
	 protected $address;

    function __construct($bank_code,$bank_name,$bank_account_number,$branch,$country,$city,$address) {
        $this->bank_code = $bank_code;
		  $this->bank_name = $bank_name;
          $this->bank_account_number = $bank_account_number;
          $this->branch = $branch;
          $this->country = $country;
          $this->city = $city;
          $this->address = $address;
		$agent_id     = array(); 
    }
	public function headings():array{
		return[
	    'Bank Code',
		 'Bank Name',
		 'Bank Account Number',
		  'Branch',
		  'Country',
		'City',
		'Address'
	   ];
	}
    /**
      * @return \Illuminate\Support\Collection
      */
    public function collection()
    {
	 if($this->expenses!='s')
      {
		$get_data = DB::select("SELECT riheader.created_at,
		warehouse.warehouse_name,
		route.route_name,
		salesman.salesman_name,
		riheader.expense_no,
		expense.expense_name,
		riheader.expense_amount
		
		FROM tbl_route_expenses as riheader
		LEFT JOIN tbl_route as route on riheader.route_id=route.id
		LEFT JOIN tbl_expense_type as expense on riheader.expense_type=expense.id
		LEFT JOIN tbl_warehouse as warehouse on riheader.warehouse_id=warehouse.id
		LEFT JOIN tbl_salesman as salesman on riheader.salesman_name=salesman.id 
		WHERE date(riheader.created_at) >= '".$this->fromdate."' AND  date(riheader.created_at) <= '".$this->todate."' AND riheader.expense_type=".$this->expenses."  ");	
				 				  
       }
    else
	{
     /* start */
     if($this->salesman!='s')
    {
     $final_data  = array();
       //if single subregion
        if($this->salesman!=0)
        {
        $agent_id[]=$this->salesman;
        }
	    //multiple sub region
    else  
    {
      $agent_name     = array(); 
        $agent_id     = array(); 
        $get_data1 = DB::table('tbl_salesman')
        ->select('tbl_salesman.id')
     ->get();
    foreach($get_data1 as $key=> $warehous)
        {
         $agent_id[]=$warehous->id;
        }	
        }
        $get_data = DB::select("SELECT riheader.created_at,
		warehouse.warehouse_name,
		route.route_name,
		salesman.salesman_name,
		riheader.expense_no,
		expense.expense_name,
		riheader.expense_amount

		FROM tbl_route_expenses as riheader
		LEFT JOIN tbl_route as route on riheader.route_id=route.id
		LEFT JOIN tbl_expense_type as expense on riheader.expense_type=expense.id
		LEFT JOIN tbl_warehouse as warehouse on riheader.warehouse_id=warehouse.id
		LEFT JOIN tbl_salesman as salesman on riheader.salesman_name=salesman.id 
        WHERE date(riheader.created_at) >= '".$this->fromdate."' AND  date(riheader.created_at) <= '".$this->todate."' AND riheader.salesman_name  in (".implode(',',$agent_id).") ");
      }
    else
	{
       if($this->route!='s')
        {
        if($this->route!=0)
         {
        $agent_name     = array(); 
        $agent_id[]=$this->route;
       }
    else
       {
        $agent_name     = array(); 
        $agent_id     = array(); 
        $get_data1 = DB::table('tbl_route')
        ->select('tbl_route.id')
        ->get();
    foreach($get_data1 as $key=> $warehous)
        {
        $agent_id[]=$warehous->id;
         }
        }
	    $get_data = DB::select("SELECT riheader.created_at,
		warehouse.warehouse_name,
		route.route_name,
		salesman.salesman_name,
		riheader.expense_no,
		expense.expense_name,
		riheader.expense_amount
		FROM tbl_route_expenses as riheader
		LEFT JOIN tbl_route as route on riheader.route_id=route.id
		LEFT JOIN tbl_expense_type as expense on riheader.expense_type=expense.id
		LEFT JOIN tbl_warehouse as warehouse on riheader.warehouse_id=warehouse.id
		LEFT JOIN tbl_salesman as salesman on riheader.salesman_name=salesman.id 
		WHERE date(riheader.created_at) >= '".$this->fromdate."' AND  date(riheader.created_at) <= '".$this->todate."' AND riheader.route_id  in (".implode(',',$agent_id).") ");
        }
    else
	{
        //			   
        if($this->warehouse!='s')
         {
	      $final_data  = array();
	     //if single subregion
          if($this->warehouse!=0)
          {						
          $agent_name     = array(); 
	    $agent_id     = array(); 
	$agent_id[]=$this->warehouse;						
    }
	 //multiple sub region
	else  
      {				  
	    $agent_name     = array(); 
		 $agent_id     = array(); 
	     $get_data1 = DB::table('tbl_warehouse') 
	     ->select('tbl_warehouse.id')
	  ->get();			
	foreach($get_data1 as $key=> $warehouse1)
        {				  
		 $agent_id[]=$warehouse1->id;				 
         }									
        }
        $get_data = DB::select("SELECT riheader.created_at,
	    warehouse.warehouse_name,
		route.route_name,
		salesman.salesman_name,
		riheader.expense_no,
		expense.expense_name,
		riheader.expense_amount
		FROM tbl_route_expenses as riheader
		LEFT JOIN tbl_route as route on riheader.route_id=route.id
		LEFT JOIN tbl_expense_type as expense on riheader.expense_type=expense.id
		LEFT JOIN tbl_warehouse as warehouse on riheader.warehouse_id=warehouse.id
		LEFT JOIN tbl_salesman as salesman on riheader.salesman_name=salesman.id 
		WHERE date(riheader.created_at) >= '".$this->fromdate."' AND  date(riheader.created_at) <= '".$this->todate."' AND riheader.warehouse_id  in (".implode(',',$agent_id).") ");
       }
    else
       {
        if($this->subregion!='s')
         {				   
	     if($this->subregion!=0)
         {
		 $agent_id     = array(); 
		 $agent_id[]=$this->subregion;
         }
		//multiple sub region
	  else  
    {
		 $agent_name     = array(); 
	      $agent_id     = array(); 
	      $get_data1 = DB::table('tbl_sub_region')
		   ->select('tbl_sub_region.id')
		 ->get();
	foreach($get_data1 as $key=> $sub_region)
       {					  
	   $agent_id[]=$sub_region->id;				 
       }									
       }
        $get_data = DB::select("SELECT riheader.created_at,
	    warehouse.warehouse_name,
	    route.route_name,
        route.route_code,
	    salesman.salesman_name,
	    riheader.expense_no,
	    expense.expense_name,
	    riheader.expense_amount
	
	    FROM tbl_route_expenses as riheader
	    LEFT JOIN tbl_route as route on riheader.route_id=route.id
	    LEFT JOIN tbl_expense_type as expense on riheader.expense_type=expense.id
	    LEFT JOIN tbl_warehouse as warehouse on riheader.warehouse_id=warehouse.id
	    LEFT JOIN tbl_salesman as salesman on riheader.salesman_name=salesman.id 
		WHERE date(riheader.created_at) >= '".$this->fromdate."' AND  date(riheader.created_at) <= '".$this->todate."' AND riheader.subregion  in (".implode(',',$agent_id).") ");
       }
    else
    {
       if($this->region!='s')
        {					 
        if($this->region!=0)
         {						 
	     $agent_id     = array(); 
		 $agent_id[]=$this->region;			
        }
	else  
       {							
	    $agent_name     = array(); 
	     $agent_id     = array(); 
	     $get_data1 = DB::table('tbl_region')
	     ->select('tbl_region.id')
	 ->get()->all();
	foreach($get_data1 as $key=> $region)
        {										
	    $agent_id[]=$region->id;						 
         }
         }
	    $get_data = DB::select("SELECT riheader.created_at,
		warehouse.warehouse_name,
		route.route_name,
		salesman.salesman_name,
		riheader.expense_no,
		expense.expense_name,
		riheader.expense_amount
			
		FROM tbl_route_expenses as riheader
		LEFT JOIN tbl_route as route on riheader.route_id=route.id
		LEFT JOIN tbl_expense_type as expense on riheader.expense_type=expense.id
		LEFT JOIN tbl_warehouse as warehouse on riheader.warehouse_id=warehouse.id
		LEFT JOIN tbl_salesman as salesman on riheader.salesman_name=salesman.id 
		WHERE date(riheader.created_at) >= '".$this->fromdate."' AND  date(riheader.created_at) <= '".$this->todate."' AND riheader.region  in (".implode(',',$agent_id).") ");
        } 
     }
     }			   
    //
    }		
    }			
    /* end */
   }		  
     return collect($get_data);
    }
  }

