<?php
namespace App\Exports;
use App\user;
use Maatwebsite\Excel\Concerns\FromCollection;
use Maatwebsite\Excel\Concerns\WithHeadings;
use Maatwebsite\Excel\Concerns\WithDrawings;
use PhpOffice\PhpSpreadsheet\Worksheet\Drawing;
use Maatwebsite\Excel\Concerns\WithEvents;
use Maatwebsite\Excel\Events\AfterSheet;
use Illuminate\Support\Facades\DB;
class PendingOrderReportExport implements FromCollection,WithHeadings,WithDrawings
  {
    protected $region;
	protected $subregion;
	protected $warehouse;
	protected $fromdate;
	protected $todate;

    function __construct($region,$subregion,$warehouse,$fromdate,$todate) {
	$this->region = $region;
		$this->subregion = $subregion;
        $this->warehouse = $warehouse;
        $this->fromdate = $fromdate;
        $this->todate = $todate;
	$agent_id     = array(); 
			 
	}
	public function headings():array{
		return[
		'Customer',
		'Warehouse',
		'Order Number',
		'Delivery Date',
		'Invoice Total'
	   ];
      }
	  
	  public function registerEvents(): array
    {
        return [
            AfterSheet::class    => function(AfterSheet $event) {
                $cellRange = 'A1:F1'; // All headers
                $event->sheet->getDelegate()->getStyle($cellRange)->getFont()->setSize(50)->setBold(true);
            },
        ];
    }
        /**
        * @return \Illuminate\Support\Collection
        */
		public function drawings()
		  {
        $drawing = new Drawing();
        $drawing->setName('Logo');
        $drawing->setDescription('This is my logo');
        $drawing->setPath(public_path('elitesotlab.png'));
        $drawing->setHeight(150);
        $drawing->setCoordinates('F1');

        return $drawing;
    }
	/* $sheet->row(1, function($row) {

    // call cell manipulation methods
       $row->setBackground('#000000');

     }); */
    public function collection()
     {
	 if($this->warehouse!='s')
      {		
		$final_data  = array();
		if($this->warehouse!=0)
       {
		$agent_name     = array(); 
		$agent_id     = array(); 
		$get_data1 = DB::table('tbl_warehouse')
		->select('tbl_warehouse.warehouse_code','tbl_warehouse.warehouse_name','tbl_warehouse.id')
	   ->where('tbl_warehouse.id','=',$this->warehouse)->get();
	foreach($get_data1 as $key=> $warehous)
        {
		$agent_name[$warehous->id] = $warehous->warehouse_name;
		$agent_id[]=$warehous->id;
        }										
        }
		//multiple sub region
    else  
       {						
		$agent_name     = array(); 
		$agent_id     = array(); 
		$get_data1 = DB::table('tbl_warehouse')
													 
		->select('tbl_warehouse.warehouse_code','tbl_warehouse.warehouse_name','tbl_warehouse.id')
		->get();
													
	foreach($get_data1 as $key=> $warehous)
       {
		$agent_name[$warehous->id] = $warehous->warehouse_name;
		$agent_id[]=$warehous->id;					 
	    }											
        }
        $get_data = DB::select("SELECT   customer.customer_name,
		warehouse1.warehouse_name,
		riheader.company_order_number,
		riheader.delevary_date,
		riheader.total_order_value
							
		FROM tbl_company_order_header as riheader
		LEFT JOIN tbl_customer as customer on riheader.customer_name=customer.id
		LEFT JOIN tbl_warehouse as warehouse1 on riheader.warehouse=warehouse1.id
		LEFT JOIN tbl_currency_type as currency on riheader.currency=currency.id 
		WHERE date(riheader.created_at) >= '".$this->fromdate."' AND  date(riheader.created_at) <= '".$this->todate."' AND riheader.warehouse  in (".implode(',',$agent_id).") AND riheader.order_type=1 AND riheader.is_deliver='0' ");							
	
	    }	
	   else
		{
		if($this->subregion!='s')
        {					 
		$final_data  = array();
	    if($this->subregion!=0)
        {
		$agent_name     = array(); 
		$agent_id     = array(); 
		$get_data1 = DB::table('tbl_sub_region')
												 
		->select('tbl_sub_region.sub_region_code','tbl_sub_region.sub_region_name','tbl_sub_region.id')
		->where('tbl_sub_region.id','=',$this->subregion)					
		->get();
		
	foreach($get_data1 as $key=> $this->sub_region)
        {
		$agent_name[$sub_region->id] = $sub_region->sub_region_name;
		$agent_id[]=$sub_region->id;
	    }										
        }
		//multiple sub region
	else  
        {
		$agent_name     = array(); 
		$agent_id     = array(); 
		$get_data1 = DB::table('tbl_sub_region')
	    ->select('tbl_sub_region.sub_region_code','tbl_sub_region.sub_region_name','tbl_sub_region.id')
		->get();
	foreach($get_data1 as $key=> $sub_region)
       {
		$agent_name[$sub_region->id] = $sub_region->sub_region_name;
		$agent_id[]=$sub_region->id;				 
	  }											
    } 
	    $get_data = DB::select("SELECT   customer.customer_name,
		warehouse.warehouse_name,
		riheader.company_order_number,
		riheader.delevary_date,
		riheader.total_order_value
		
		FROM tbl_company_order_header as riheader
		LEFT JOIN tbl_customer as customer on riheader.customer_name=customer.id
		LEFT JOIN tbl_warehouse as warehouse on riheader.warehouse=warehouse.id
		LEFT JOIN tbl_currency_type as currency on riheader.currency=currency.id 
		WHERE date(riheader.created_at) >= '".$this->fromdate."' AND  date(riheader.created_at) <= '".$this->todate."' AND riheader.subregion  in (".implode(',',$agent_id).") AND riheader.order_type=1 AND riheader.is_deliver='0' ");							
      }
    else
	{
	if($this->region!='s')
	{
	$final_data  = array();
    if($this->region!=0)
    {
		$agent_name     = array(); 
		$agent_id     = array(); 
		$get_data1 = DB::table('tbl_region')
		->select('tbl_region.region_code','tbl_region.region_name','tbl_region.id')
		->where('tbl_region.id','=',$this->region)					
	    ->get()->all();
	foreach($get_data1 as $key=> $region)
	{
		$agent_name[$region->id] = $region->region_name;
		$agent_id[]=$region->id;
		}										
       }
		//multiple sub region
    else  
    {
		$agent_name = array(); 
		$agent_id   = array(); 
		$get_data1 = DB::table('tbl_region')
		->select('tbl_region.region_code','tbl_region.region_name','tbl_region.id')
		->get()->all();
	foreach($get_data1 as $key=> $region)
	{
		$agent_name[$region->id] = $region->region_name;
		$agent_id[]=$region->id;					 
		}											
    } 						
		$get_data = DB::select("SELECT   customer.customer_name,
		warehouse.warehouse_name,
		riheader.company_order_number,
		riheader.delevary_date,
		riheader.total_order_value
							
		FROM tbl_company_order_header as riheader
		LEFT JOIN tbl_customer as customer on riheader.customer_name=customer.id
		LEFT JOIN tbl_warehouse as warehouse on riheader.warehouse=warehouse.id
		LEFT JOIN tbl_currency_type as currency on riheader.currency=currency.id 
		WHERE date(riheader.created_at) >= '".$this->fromdate."' AND  date(riheader.created_at) <= '".$this->todate."' AND riheader.region  in (".implode(',',$agent_id).") AND riheader.order_type=1 AND riheader.is_deliver='0' ");
						 
	  } 
	}
   }		  
    return collect($get_data);
   }
}
