<?php
namespace App\Exports;
use App\user;
use Maatwebsite\Excel\Concerns\FromCollection;
use Maatwebsite\Excel\Concerns\WithHeadings;
use Illuminate\Support\Facades\DB;
class RouteOutstandingReportExport implements FromCollection,WithHeadings
  {
	protected $region;
    protected $subregion;
	protected $warehouse;
	protected $route;
	protected $salesman;
	protected $fromdate;
	protected $todate;
	
    function __construct($region,$subregion,$warehouse,$route,$salesman,$fromdate,$todate) {
        $this->region = $region;
		$this->subregion = $subregion;
        $this->warehouse = $warehouse;
        $this->route = $route;
        $this->salesman = $salesman;
        $this->fromdate = $fromdate;
        $this->todate = $todate;
	    $agent_id     = array(); 
	}
	public function headings():array{
		return[
		'Customer Name',
		'Warehouse Name',
		'Invoice Amount',
		'Invoice Paid Amount',
		'Due Amount',
		'Due Date',
		'Invoice No.'
	 ];
	}
    /**
    * @return \Illuminate\Support\Collection
    */
    public function collection()
    {	
	if($this->salesman!='s')
      {
		$final_data  = array();
	  //if single subregion
    if($this->salesman!=0)
    {						
	   $agent_id[]=$salesman;						
    }
	    //multiple sub region
	else  
     {	  
	   $agent_name     = array(); 
		 $agent_id     = array(); 
		 $get_data1 = DB::table('tbl_salesman')
		->select('tbl_salesman.id')
	   ->get();								
	foreach($get_data1 as $key=> $warehous)
     {						
	  $agent_id[]=$warehous->id;				 
      }						
												
       }
	    $get_data = DB::select("SELECT 
	    customer.customer_name,
	    warehouse.warehouse_name,
		riheader.total_invoice_amount,
		riheader.amount_paid,
		riheader.amount_outsatnding,
		riheader.due_date,
		header.invoice_number
		FROM tbl_outstanding_details as riheader
		LEFT JOIN tbl_customer as customer on riheader.customer_id=customer.id
		LEFT JOIN tbl_warehouse as warehouse on riheader.warehouse_id=warehouse.id
		LEFT JOIN tbl_route_invoice_header as header on riheader.invoice_id=header.id 
	    WHERE date(riheader.created_at) >= '".$this->fromdate."' AND  date(riheader.created_at) <= '".$this->todate."' AND riheader.salesman_id  in (".implode(',',$agent_id).") ");
	   }
	else
	{
	if($this->route!='s')
	{
	if($this->route!=0)
    {
		$agent_name     = array(); 
		$agent_id[]=$route;
	}
	else
    {
	    $agent_name     = array(); 
		$agent_id     = array(); 
		$get_data1 = DB::table('tbl_route')	 
		->select('tbl_route.id')
		->get();								
	foreach($get_data1 as $key=> $warehous)
	{						
		$agent_id[]=$warehous->id;				 
	}
					
    }
		$get_data = DB::select("SELECT 
		customer.customer_name,
		warehouse.warehouse_name,
		riheader.total_invoice_amount,
		riheader.amount_paid,
		riheader.amount_outsatnding,
		riheader.due_date,
		header.invoice_number	
		FROM tbl_outstanding_details as riheader
		LEFT JOIN tbl_customer as customer on riheader.customer_id=customer.id
		LEFT JOIN tbl_warehouse as warehouse on riheader.warehouse_id=warehouse.id
		LEFT JOIN tbl_route_invoice_header as header on riheader.invoice_id=header.id 
	    WHERE date(riheader.created_at) >= '".$this->fromdate."' AND  date(riheader.created_at) <= '".$this->todate."' AND riheader.route_id  in (".implode(',',$agent_id).") ");
	  }
    else
	{
    //
				   
    if($this->warehouse!='s')
     {
		$final_data  = array();
		//if single subregion
    if($this->warehouse!=0)
      {						
        $agent_name     = array(); 
		$agent_id     = array(); 
								 
		$agent_id[]=$warehouse;						
      }
		//multiple sub region
	else  
      {	  
		$agent_name     = array(); 
		$agent_id     = array(); 
		$get_data1 = DB::table('tbl_warehouse')
		->select('tbl_warehouse.id')
		->get();
		
	foreach($get_data1 as $key=> $warehouse1)
     {						  
		$agent_id[]=$warehouse1->id;				 
       }											
      }
        $get_data = DB::select("SELECT 
		customer.customer_name,
		warehouse.warehouse_name,
		riheader.total_invoice_amount,
		riheader.amount_paid,
		riheader.amount_outsatnding,
		riheader.due_date,
		header.invoice_number
		FROM tbl_outstanding_details as riheader
		LEFT JOIN tbl_customer as customer on riheader.customer_id=customer.id
		LEFT JOIN tbl_warehouse as warehouse on riheader.warehouse_id=warehouse.id
		LEFT JOIN tbl_route_invoice_header as header on riheader.invoice_id=header.id 
		WHERE date(riheader.created_at) >= '".$this->fromdate."' AND  date(riheader.created_at) <= '".$this->todate."' AND riheader.warehouse_id  in (".implode(',',$agent_id).") ");
	  }
    else
       {
	if($this->subregion!='s')
       {					   
	if($this->subregion!=0)
       {
		$agent_id     = array(); 
		$agent_id[]=$subregion;
         }
		//multiple sub region
	else  
    {
	    $agent_name     = array(); 
	    $agent_id     = array(); 
	    $get_data1 = DB::table('tbl_sub_region')
	    ->select('tbl_sub_region.id')
	    ->get();
	foreach($get_data1 as $key=> $sub_region)
    {						  
		$agent_id[]=$sub_region->id;				 
    }										
    }
	    $get_data = DB::select("SELECT 
		customer.customer_name,
		warehouse.warehouse_name,
		riheader.total_invoice_amount,
		riheader.amount_paid,
		riheader.amount_outsatnding,
		riheader.due_date,
		header.invoice_number
		FROM tbl_outstanding_details as riheader
		LEFT JOIN tbl_customer as customer on riheader.customer_id=customer.id
		LEFT JOIN tbl_warehouse as warehouse on riheader.warehouse_id=warehouse.id
		LEFT JOIN tbl_route_invoice_header as header on riheader.invoice_id=header.id 
	    WHERE date(riheader.created_at) >= '".$this->fromdate."' AND  date(riheader.created_at) <= '".$this->todate."' AND riheader.subregion  in (".implode(',',$agent_id).") ");
	}
	else
	{
	if($this->region!='s')
	{
							 
    if($this->region!=0)
	{							 
	    $agent_id     = array(); 
		$agent_id[]=$region;					
    }
	else  
	{	
		$agent_name     = array(); 
		$agent_id     = array(); 
		$get_data1 = DB::table('tbl_region')
		->select('tbl_region.id')
		->get()->all();
	foreach($get_data1 as $key=> $region)
	{										
		$agent_id[]=$region->id;
													 
    }
	}
        $get_data = DB::select("SELECT 
		customer.customer_name,
		warehouse.warehouse_name,
		riheader.total_invoice_amount,
		riheader.amount_paid,
		riheader.amount_outsatnding,
		riheader.due_date,
		header.invoice_number	
		FROM tbl_outstanding_details as riheader
		LEFT JOIN tbl_customer as customer on riheader.customer_id=customer.id
		LEFT JOIN tbl_warehouse as warehouse on riheader.warehouse_id=warehouse.id
		LEFT JOIN tbl_route_invoice_header as header on riheader.invoice_id=header.id 
	    WHERE date(riheader.created_at) >= '".$this->fromdate."' AND  date(riheader.created_at) <= '".$this->todate."' AND riheader.region  in (".implode(',',$agent_id).") ");
                     
	   } 
	  }
    }			

   }		
  }		  
    return collect($get_data);
   }
}
