<?php

namespace App\Http\Controllers;


use Illuminate\Http\Request;
use App\Models\AdvancePaymentModel;
use App\Models\CustomerModel;
use App\Models\CustomerTypeModel;
use App\Models\BankModel;
use App\Models\ManageCodeModel;
use Illuminate\Support\Facades\DB;
use Session;
use Carbon\Carbon;
class AdvancePaymentController extends Controller
{
  public function list(Request $request)
   { 
		 
	 $current_date=date("Y-m-d");	
	  $where="";		
		if(count($request->all()) < 1){
		 $where .= " AND DATE_FORMAT(riheader.created_at, '%Y-%m-%d') between '".$current_date."' and '".$current_date."'"; 
		 }
  
		if($request->customer!=''){
		 $where .= "AND customer.id = '".$request->customer."'";
			}
				
		$get_data = DB::select("SELECT riheader.*, 
		customer.customer_code,customer.customer_name,order_no.bank_name
			
		FROM tbl_advance_payment as riheader		
		LEFT JOIN tbl_customer as customer on riheader.distributor=customer.id
		LEFT JOIN tbl_bank as order_no on riheader.company_bank=order_no.id	
		WHERE riheader.id IS NOT NULL ".$where."ORDER BY id DESC"); 
		
		$distibutor=CustomerModel::all()->sortByDesc('id')->where('customer_type', '!=', 1)->where('status', '=', 'active');
	   return view('Company_Transaction.advance_payment_list',compact('get_data','distibutor'));
  }
	   
   public function add()
	{
		
	  $result = DB::table('tbl_advance_payment')
		  ->select('tbl_advance_payment.*')->get()->sortByDesc('id')->first();	
			 
	  $company_bank =BankModel::all()->sortByDesc('id')->where('status', '=', 'active');
	  
	  $distibutor=CustomerModel::all()->sortByDesc('id')->where('customer_type', '!=', 1)->where('status', '=', 'active');
	  return view('Company_Transaction.advance_payment',compact('company_bank','distibutor'));
    }
      
	public function edit($id)
	 {
		$get_data=AdvancePaymentModel::find($id);
		//dd($get_data);
		return view('Company_Transaction.advance_payment',compact('get_data'));
	 }
	
	public function view($id)
	 {    
		
				//$get_data=AdvancePaymentModel::find($id);
				
				$get_data =DB::table('tbl_advance_payment')
				 ->leftJoin('tbl_customer', 'tbl_advance_payment.distributor', '=', 'tbl_customer.id')
				->leftJoin('tbl_bank', 'tbl_advance_payment.company_bank', '=', 'tbl_bank.id')
				//->leftJoin('tbl_warehouse', 'tbl_company_collection_header.warehouse_id', '=', 'tbl_warehouse.id')
				->select('tbl_advance_payment.*','tbl_customer.customer_code','tbl_customer.customer_name','tbl_bank.bank_name','tbl_bank.bank_code')
				 ->where('tbl_advance_payment.id', '=',$id)->get()->first();
				
				//$get_data_details =DB::table('tbl_company_collection_details')
				//->select('tbl_company_collection_details.*')
				//->where('tbl_company_collection_details.header_id', '=',$id)->get()->all();
				//dd($get_data); */
				
				 return view('Company_Transaction.advance_payment_view',compact('get_data'));
		  
		}
	
	public function save(Request $request)
	 {  
		  //dd($request);
		  $data=new AdvancePaymentModel; 
		  $receipt_image=$request->file('receipt_image');
          // dd($receipt_image);

		if($receipt_image) 
		  {
		    $filenameWithExt = $request->file('receipt_image')->getClientOriginalName();
			// Get just filename
			$filename = pathinfo($filenameWithExt, PATHINFO_FILENAME);            
		    // Get just ext
			$extension = $request->file('receipt_image')->getClientOriginalExtension();
			//Filename to store
			$fileNameToStore = $filename.'_'.time().'.'.$extension;                       
		    // Upload Image
			$path = $request->file('receipt_image')->storeAs('public/salesman', $fileNameToStore);
		  }
	 
		 elseif($request->updated_id !='' && $receipt_pic == '')
		  {
		    $old_path = AdvancePaymentModel::find($request->updated_id);
		    $path= $old_path->receipt_image;
		  }   
		else 
		  {
			$path = '';
		  } 		   
			 		 
	    if($request->updated_id)
		  { 
            $data = AdvancePaymentModel::find($request->updated_id);			
			$data->payment_type=$request->payment_type;
			$data->distributor=$request->distributor;
			$data->company_bank=$request->company_bank;
			$data->company_bank_name=$request->company_bank_name;
			$data->company_branch_name=$request->company_branch_name;            
			$data->company_account_no=$request->company_account_no;            
			$data->total_amt=$request->total_amt;            
			$data->cheque_no=$request->cheque_no;            
			$data->cheque_date=$request->cheque_date;            
			$data->distributor_bank_name=$request->distributor_bank_name;            
			$data->distributor_account_no=$request->distributor_account_no;            
			$data->receipt_no=$request->receipt_no;            
			$data->receipt_date=$request->receipt_date;            
			$data->receipt_image=$path;
			$data->updated_user= Session::get('user_id');
			$data->status=$request->status;
			$data->save();
		    return redirect(route('advance_payment_list'))->with('successMessage','Advance Payment Updated Successfully');
        
         } 
	   else
	     {           
			$data->payment_type=$request->payment_type;
			$data->distributor=$request->distributor;
			$data->company_bank=$request->company_bank;
			$data->company_bank_name=$request->company_bank_name;
			$data->company_branch_name=$request->company_branch_name;            
			$data->company_account_no=$request->company_account_no;            
			$data->total_amt=$request->total_amt;            
			$data->cheque_no=$request->cheque_no;            
			$data->cheque_date=$request->cheque_date;            
			$data->distributor_bank_name=$request->distributor_bank_name;            
			$data->distributor_account_no=$request->distributor_account_no;            
			$data->receipt_no=$request->receipt_no;            
			$data->receipt_date=$request->receipt_date;            
			 $data->receipt_image=$path;
			$data->created_user= Session::get('user_id');
			$data->status=$request->status;
			$data->save();
			return redirect(route('advance_payment_list'))->with('successMessage','Advance Payment Added Successfully');
		
		 }      
	 }
		 
    public function get_bank_name($id)
	 {	 
		 $company_bank_name = DB::table('tbl_bank')
			  ->select('tbl_bank.bank_name')
			  ->where('tbl_bank.id', $id)
			  ->get()->first();
		 //  dd($company_bank_name);
		 echo $company_bank_name->bank_name;
			 
	 }
	public function get_bank_branch($id)
	 { 
		 $company_branch_name = DB::table('tbl_bank')
			  ->select('tbl_bank.branch')
			  ->where('tbl_bank.id', $id)
			  ->get()->first();
		 //  dd($company_branch_name);
		 echo $company_branch_name->branch;
		 
	 }
	public function get_bank_ac($id)
	 {
		 $company_account_no = DB::table('tbl_bank')
			  ->select('tbl_bank.bank_account_number')
			  ->where('tbl_bank.id', $id)
			  ->get()->first();
		 //  dd($company_account_no);
		 echo $company_account_no->bank_account_number;
		 	 
     }  
	   
	public function get_disti_ac_name($id)
	 { 
		 $distributor_bank_name = DB::table('tbl_customer')
			  ->select('tbl_customer.bank_account_name1')
			  ->where('tbl_customer.id', $id)
			  ->get()->first();
		 //  dd($distributor_bank_name);
		 echo $distributor_bank_name->bank_account_name1;
			 
	 }
    public function get_disti_ac_no($id)
     {
		 $distributor_account_no = DB::table('tbl_customer')
			 ->select('tbl_customer.bank_account_number1')
			 ->where('tbl_customer.id', $id)
			 ->get()->first();
		 //  dd($distributor_bank_name);      
		 echo $distributor_account_no->bank_account_number1;
			 
	 }
	 
	 public function salesman_login($request, $password)
     {  
	     $get_data1 =array();
		 $get_data=DB::table('tbl_salesman')
		 ->leftJoin('tbl_route', 'tbl_salesman.route_id', '=', 'tbl_route.id')
		 ->leftJoin('tbl_warehouse', 'tbl_route.warehouse_id', '=', 'tbl_warehouse.id')
		 ->leftJoin('tbl_salesman_type', 'tbl_salesman.salesman_type_id', '=', 'tbl_salesman_type.id')
		 ->leftJoin('tbl_customer', 'tbl_route.distibutor_id', '=', 'tbl_customer.id') 
		 ->leftJoin('tbl_vehicle', 'tbl_route.vehicle_id', '=', 'tbl_vehicle.id') 
	   	->leftJoin('tbl_company', 'tbl_salesman.company_id', '=', 'tbl_company.id')
		->leftJoin('tbl_currency_type', 'tbl_company.currency_id', '=', 'tbl_currency_type.id') 
 
		 ->select('tbl_salesman.salesman_type_id',
		          'tbl_salesman_type.salesman_type_name',
		          'tbl_salesman_type.salesman_type_code',
				  'tbl_currency_type.id as currency_id',
				  'tbl_currency_type.currency_notation',
				  'tbl_company.vat',
				  'tbl_salesman.salesman_name',
				  'tbl_salesman.salesman_code',
				  'tbl_salesman.id as salesman_id',
				  'tbl_route.route_code',
				  'tbl_route.id as route_id',
				  'tbl_route.route_name',    
				  'tbl_route.vehicle_id',
				  'tbl_vehicle.vehicle_number',
				  'tbl_warehouse.warehouse_name',
				  'tbl_warehouse.id as warehouse_id',
				  'tbl_warehouse.warehouse_code',
				  'tbl_warehouse.region as region_id',
				  'tbl_warehouse.sub_region as sub_region_id',
				  'tbl_route.distibutor_id',
				  'tbl_customer.customer_code as distibutor_code',
				  'tbl_customer.customer_name as distibutor_name',
		 	      'tbl_salesman.salesman_picture',
		 	      'tbl_salesman.customer_from',
				  'tbl_salesman.invoice_from',
		 	      'tbl_salesman.order_from',
				  'tbl_salesman.delivery_from',
		 	      'tbl_salesman.collection_from',
				  'tbl_salesman.return_order_from',
		 	      'tbl_salesman.exchange_from',
				  'tbl_salesman.load_from',
		        )

		 ->where('tbl_salesman.salesman_password', $password)
		 ->where('tbl_salesman.salesman_code', $request)
		 ->get()->first();
		 
	 if($get_data!='')
	  {  
		 /* CHECKING ROUTE INVOICE CODE */ 
		$result = DB::table('tbl_pending_customer')->where('route_id','=',$get_data->route_id)
		 ->select('tbl_pending_customer.*')->get()->sortByDesc('id')->first();
	     if($result!='')
		  {
			 $getcode = $result->customer_code; 
		     $get_data->customer_from = ++$getcode;
		  }
       
      /* CHECKING ROUTE INVOICE CODE */	   
		$result = DB::table('tbl_route_invoice_header')->where('route_id','=',$get_data->route_id)
		 ->select('tbl_route_invoice_header.*')->get()->sortByDesc('id')->first();
	     if($result!='')
		  {
			 $getcode = $result->invoice_number; 
		     $get_data->invoice_from = ++$getcode;
		  }
		  
		/* CHECKING SALESMAN LOAD CODE */	   
		$result = DB::table('tbl_route_salesmanload_header')->where('route_id','=',$get_data->route_id)
		 ->select('tbl_route_salesmanload_header.*')->get()->sortByDesc('id')->first();
	     if($result!='')
		  {
			 $getcode = $result->load_number; 
		     $get_data->load_from = ++$getcode;
		  }
		  
		  /* CHECKING ROUTE COLLECTION CODE */	   
		$result = DB::table('tbl_route_credit_collection')->where('route_id','=',$get_data->route_id)
		 ->select('tbl_route_credit_collection.*')->get()->sortByDesc('id')->first();
	     if($result!='')
		  {
			 $getcode = $result->collection_no; 
		     $get_data->collection_from = ++$getcode;
		  }
		  
		  /* CHECKING ROUTE RETURN CODE */	   
		  $result = DB::table('tbl_return_sales_header')
		            ->where('route_id','=',$get_data->route_id)
		            ->select('tbl_return_sales_header.*')
					->get()->sortByDesc('id')->first();
	     if($result!='')
		  {
			 $getcode = $result->return_number; 
		     $get_data->return_order_from = ++$getcode;
		  }
		  
		  /* CHECKING TRIP CODE */	   
		  $result = DB::table('tbl_trip_code')
		            ->select('tbl_trip_code.*')
					->get()->sortByDesc('id')->first();
	     if($result=='')
			   {
				 $getcode = ManageCodeModel::where('id', 1)->first();
				 $last_code = $getcode->trip_code;
			   }
			 else
			   {
				 $getcode = $result->trip_code; 
				 $last_code = ++$getcode;
			   }
			$dateANDtime= date("Y-m-d h:i:s");
			
		  
		    $data3=array( 
				          'trip_code'       =>  $last_code,
						  'salesman_id'     =>  $get_data->salesman_id,
						  'distributor_id'  =>  $get_data->distibutor_id,
						  'region_id'       =>  $get_data->region_id,
						  'subregion_id'    =>  $get_data->sub_region_id,
						  'start_time'      =>  $dateANDtime,
						  'end_time'        =>  " ",
						);
				
			$header_id =DB::table('tbl_trip_code')->insertGetId($data3);
			$trip_details =DB::table('tbl_trip_code')->select('id as trip_id','trip_code')->where('id','=',$header_id)->get();
		  $final_data= array();
		  
        
           $final_data['salesman_type_id']= $get_data->salesman_type_id;
           $final_data['salesman_type_name']=$get_data->salesman_type_name;
           $final_data['salesman_type_code']=$get_data->salesman_type_code;
           $final_data['currency_id']=$get_data->currency_id;
           $final_data['currency_notation']=$get_data->currency_notation;
           $final_data['vat']=$get_data->vat;
           $final_data['salesman_name']=$get_data->salesman_name;
           $final_data['salesman_code']=$get_data->salesman_code;
           $final_data['salesman_id']=$get_data->salesman_id;
           $final_data['route_code']=$get_data->route_code;
           $final_data['route_id']=$get_data->route_id;
           $final_data['route_name']=$get_data->route_name;
           $final_data['vehicle_id']=$get_data->vehicle_id;
           $final_data['vehicle_number']=$get_data->vehicle_number;
           $final_data['warehouse_name']=$get_data->warehouse_name;
           $final_data['warehouse_id']=$get_data->warehouse_id;
           $final_data['warehouse_code']=$get_data->warehouse_code;
           $final_data['region_id']=$get_data->region_id;
           $final_data['sub_region_id']=$get_data->sub_region_id;
           $final_data['distibutor_id']=$get_data->distibutor_id;
           $final_data['distibutor_code']=$get_data->distibutor_code;
           $final_data['distibutor_name']=$get_data->distibutor_name;
           $final_data['salesman_picture']=$get_data->salesman_picture;
           $final_data['customer_from']=$get_data->customer_from;
           $final_data['invoice_from']=$get_data->invoice_from;
           $final_data['order_from']=$get_data->order_from;
           $final_data['delivery_from']=$get_data->delivery_from;
           $final_data['collection_from']=$get_data->collection_from;
           $final_data['return_order_from']=$get_data->return_order_from;
           $final_data['exchange_from']=$get_data->exchange_from;
           $final_data['load_from']=$get_data->load_from;
           $final_data['trip_id']=$trip_details[0]->trip_id;
           $final_data['trip_code']=$trip_details[0]->trip_code;

       			 
			
		  return array('Result'=>$final_data, 'API_Status' => 1, 'Message' => "Salesman Login  Details");
	  }
		  
		 else{
              return array('Result'=>[], 'API_Status' => 0, 'Message' => "Username or Password is wrong");
             } 
    }

	     
		
}
