<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Session;
use App\Models\ManageCodeModel;
use App\Models\AssetCategoryModel;
class AssetCategoryController extends Controller
{
    public function list()
	{
	  $get_data = AssetCategoryModel::all()->sortByDesc('id');

	  return view('Parameters_Configuration.asset_category_list',compact('get_data'));
	}
	
	public function add()
    {   
		 $result =AssetCategoryModel::get()->sortByDesc('id')->first();
		if($result=='')
		  {
			$getcode = ManageCodeModel::where('id', 1)->first();
			$last_code = $getcode->asset_category_code;
		  }
		else
		  {
			 $getcode = $result->asset_category_code; 
			 $last_code = ++$getcode; 
		  } 
		return view('Parameters_Configuration.asset_category',compact('last_code'));
	 }
	 
	 public function edit($id)
	 {
		$get_data=AssetCategoryModel::find($id);
		$last_code = $get_data->asset_category_code;
	
		return view('Parameters_Configuration.asset_category',compact('get_data','last_code'));
	 }
	 
	 public function save(Request $request)
	 {

		$data=new AssetCategoryModel;			
		if($request->updated_id)
		  {
		
			$data = AssetCategoryModel::find($request->updated_id);
			$data->asset_category_code=$request->asset_category_code;
			$data->asset_category_name=$request->asset_category_name;
			$data->updated_user= Session::get('user_id');
			$data->status=$request->status;
			$data->save();
			return redirect(route('asset_category_list'))->with('successMessage','Asset Category Updated Successfully');
	
		  }
		else 
		  {
		
			$data->asset_category_code=$request->asset_category_code;
			$data->asset_category_name=$request->asset_category_name;
			$data->created_user= Session::get('user_id');
			$data->status=$request->status;
			$data->save();
			return redirect(route('asset_category_list'))->with('successMessage','Asset Category Added Successfully');
		 
		  }	
		
	 }
}
