<?php

namespace App\Http\Controllers;

use App\Models\AssignInventoryModel;
use Illuminate\Http\Request; 
use App\Models\CustomerModel;  
use App\Models\ShelfDisplayModel;
use App\Models\MaterialCategoryModel;
use App\Models\MaterialMasterModel;
use App\Models\UnitOfMeasurementModel;
use Illuminate\Support\Facades\DB;
use Carbon\Carbon;
use Session;

class AssignInventoryController extends Controller
{
  public function add()
	{
		
	 $material_category =MaterialCategoryModel::all()->sortByDesc('id')->where('status', '=', 'active');
	 $material =MaterialMasterModel::all()->sortByDesc('id')->where('status', '=', 'active');
	 $customer =CustomerModel::all()->sortByDesc('id')->where('customer_type', '=', '3');
    
	 
	 return view('Merchandising.assign_inventory',compact('material_category','material','customer'));
	 }
	public function get_customer($id, $customer_id)
	 { 
	   $get_data=CustomerModel::all()->sortByDesc('id')->where('customer_type', '=', '3')
	   //dd($get_data);
	   
		?>
		
		 <option value=""></option>
		  <?php foreach($get_data as $customer_name) { ?>
				
			<option value="<?php echo $customer_name->id ?>" <?php if($customer_name->id == $customer_id) { echo "selected"; } ?> ><?php echo $customer_name->customer_code." - ".$customer_name->customer_name ?></option>	
		
		  <?php }
     }
	  
	  public function get_material_detailsUom3($id,$row)
    {
		
	  $uom12 =UnitOfMeasurementModel::all()->sortByDesc('id')->where('status', '=', 'active');
	  $material_master = DB::select('SELECT t2.id, t2.unit_notation FROM tbl_material_master as t1 LEFT JOIN     tbl_unit_of_measurement as t2 ON find_in_set(t2.id, 
	  t1.alt_uom) WHERE t1.`id`='.$id.'');				
	  $get_material_price=MaterialMasterModel::find($id);
				
	  $alt_unit_price = explode(",",$get_material_price->alt_unit_price);
	  //dd($material_master);
	  $material=MaterialMasterModel::get()->sortByDesc('id')->first()->find($id);
	  
	  foreach($material_master as $key=>$data)
	  
		{
 
		 ?>
		 <option  <?php if($data->id == $material->uom)  echo 'selected'; ?> value ="<?php echo $data->id; ?>" ><?php echo $data->unit_notation; ?></option>
			  <?php
	 
		}
    }
	
  public function get_shelf_display1($id, $shelf_display_id)
	 { 
	
	   $get_data=ShelfDisplayModel::all()->sortByDesc('id')->where('customer', '=', $id)->where('status', '=', 'active'); 
	   $get_data=DB::table('tbl_shelf_display')
		->select('tbl_shelf_display.*')
		->whereRaw("find_in_set('".$id."',tbl_shelf_display.customer)")
		->where('status', '=', 'active')
		->get();
		//dd($get_data);
		$sub = explode(",",$shelf_display_id);
		foreach($get_data as $shelfdisplay_name) 
		  { 
			 ?>
			 <option value="<?php echo $shelfdisplay_name->id ?>" <?php if($shelfdisplay_name->id == in_array($shelfdisplay_name->id,$sub)) { echo "selected"; } ?> ><?php echo $shelfdisplay_name->name ?></option>
			<?php 
		  } 
     }
 public function get_material2()
    {		
	  $material =MaterialMasterModel::all()->sortByDesc('id')->where('status', '=', 'active');
      	  
	  ?>
	  <option  value="">     </option>
	  <?php
	  foreach($material as $material_name)
	    {
		  ?>
		  <option value="<?php echo $material_name->id ?>"  ><?php echo $material_name-> material_code.' - '.$material_name->material_name ?></option>	
		  <?php		
	    }		
	}
	public function get_material_price2($id,$val)
	{
	  $material=MaterialMasterModel::get()->sortByDesc('id')->first()->find($val);	
	  $alt_uom = explode(",",$material->alt_uom);				   
	  $key = array_search($id, $alt_uom);				   
	  $alt_unit_price = explode(",",$material->alt_unit_price);
	  echo $alt_unit_price[$key];
		
	}
	/* public function get_material_price2($id,$val)
	{
	  $material=MaterialMasterModel::get()->sortByDesc('id')->first()->find($val);	
	  $alt_uom = explode(",",$material->alt_uom);				   
	  $key = array_search($id, $alt_uom);				   
	  $alt_unit_price = explode(",",$material->alt_unit_price);
	  echo $alt_unit_price[$key];
		
	} */
	 public function get_material_detailsUom4($id,$row)
    {
		
	  $uom12 =UnitOfMeasurementModel::all()->sortByDesc('id')->where('status', '=', 'active');
	  $material_master = DB::select('SELECT t2.id, t2.unit_notation FROM tbl_material_master as t1 LEFT JOIN     tbl_unit_of_measurement as t2 ON find_in_set(t2.id, 
	  t1.alt_uom) WHERE t1.`id`='.$id.'');				
	  $get_material_price=MaterialMasterModel::find($id);
				
	  $alt_unit_price = explode(",",$get_material_price->alt_unit_price);
	  //dd($material_master);
	  $material=MaterialMasterModel::get()->sortByDesc('id')->first()->find($id);
	  
	  foreach($material_master as $key=>$data)
	  
		{

	
		 ?>
		 <option  <?php if($data->id == $material->uom)  echo 'selected'; ?> value ="<?php echo $data->id; ?>" ><?php echo $data->unit_notation; ?></option>
			  <?php
	 
		}
    }
	public function save(Request $request)
	
	   {
		   //dd($request);
		   if($request->updated_id)
		   {
			
		   $user_id=Session::get('user_id');
		   $current=Carbon::now();
		   
		    $data1=array
				 (				 
				  'customer'       => $request->customer,
				  'created_user'        => $user_id,
				  'updated_at'           => $current,
				  );
          
       $header_id =DB::table('tbl_assign_inventory_header')->where('id', $request->updated_id)
				->update($data1);
	   // dd($header_id);
	   $detail= DB::table('tbl_assign_inventory_details')
					->where('header_id', $request->updated_id)
					->get()->first();
			  if($detail!='')   
				{
				   $detail= DB::table('tbl_assign_inventory_details')
					->where('header_id', $request->updated_id)
					->delete();
					 
				 }
	   if(count($request->material_name)>0)
		{
		  foreach($request['material_name'] as $key => $n)
		    {
				$data2=array
				 (				 
				  'header_id'     => $request->updated_id,
				  'material' => $request->material_name[$key ],
				  'uom'           => $request->uom[$key ],
				   'updated_at'    => $current,
				  
				  );
				 DB::table('tbl_assign_inventory_details')->insert($data2);
				 }	   
			   } 
	      return redirect(route('assign_inventory_list'))->with('successMessage','Data Updated Successfully');
		 }	      
		  
         
		 else
		 {	   
		// dd($request);
		   
		   $user_id=Session::get('user_id');
		   $current=Carbon::now();
		   
		    $data1=array
				 (				 
				  'customer'       => $request->customer,
				  'created_user'        => $user_id,
				  'created_at'          => $current,
                  
				  );
          
       $header_id =DB::table('tbl_assign_inventory_header')->insertGetId($data1);
	    //dd($header_id);
	   if(count($request->material_name)>0)
		{
		  foreach($request['material_name'] as $key => $n)
		    {
				$data2=array
				 (				 
				  'header_id'     => $header_id,
				  'material' => $request->material_name[$key ],
				  'uom'           => $request->uom[$key ],
				  'created_at'    => $current,
                  
				  );
				 DB::table('tbl_assign_inventory_details')->insert($data2);
				 }	   
			   } 
	      return redirect(route('assign_inventory_list'))->with('successMessage','Data Saved Successfully');
		 }	   
    }
    public function list(Request $request)
	{

			  //dd($request);		
			   $current_date=date("Y-m-d");
			
			   $where="";		
		   if(count($request->all()) < 1)
			  { 
					
				$where .= " AND DATE_FORMAT(riheader.created_at, '%Y-%m-%d') between '".$current_date."' and '".$current_date."'"; 
			   }  
		  
		    if($request->fromdate!='')
			   {
				 $where .= " AND DATE_FORMAT(riheader.created_at, '%Y-%m-%d') between '".$request->fromdate."' and '".$request->todate."'"; 
			    }
		    if($request->customer!='')
			   {
				 $where .= "AND customer.id = '".$request->customer."'";
			   }
				 // dd($request);
				  
				  
				 $customer =CustomerModel::all()->sortByDesc('id')->where('customer_type', '=', '3');
				  $get_data = DB::select("SELECT riheader.*, customer.customer_name,customer.customer_code
					
				  FROM tbl_assign_inventory_header as riheader
				  LEFT JOIN tbl_customer as customer on riheader.customer=customer.id
				   WHERE riheader.id IS NOT NULL ".$where."ORDER BY ID DESC ");
				  //dd($get_data);
				  return view('Merchandising.assign_inventory_list',compact('get_data','customer'));
	 }
			
	 public function edit($id)
	{	
	  //dd($id);
	  $customer =CustomerModel::all()->sortByDesc('id')->where('customer_type', '=', '3');
	   $material =MaterialMasterModel::all()->sortByDesc('id')->where('status', '=', 'active');
	  $uom =UnitOfMeasurementModel::all()->sortByDesc('id')->where('status', '=', 'active');
	 
	  
	   $get_data_details =DB::table('tbl_assign_inventory_details')	  
		     ->leftJoin('tbl_material_master', 'tbl_assign_inventory_details.material', '=', 'tbl_material_master.id')
		    ->leftJoin('tbl_unit_of_measurement', 'tbl_assign_inventory_details.uom', '=', 'tbl_unit_of_measurement.id')
  
		    ->select('tbl_assign_inventory_details.*','tbl_material_master.material_name','tbl_unit_of_measurement.unit_notation')->  where('tbl_assign_inventory_details.header_id', '=', $id)->get()->all();	
		  // dd($get_data_details);
		    $get_data =DB::table('tbl_assign_inventory_header')		
		    ->select('tbl_assign_inventory_header.*')->where('tbl_assign_inventory_header.id', '=',$id)->get()->first();
			
		//dd($get_data);
		return view('Merchandising.assign_inventory_edit',compact('customer','get_data_details','material','uom','get_data'));
	}
	public function view($id)
	 {   
	

		$get_data =DB::table('tbl_assign_inventory_header')

		->leftJoin('tbl_customer', 'tbl_assign_inventory_header.customer', '=', 'tbl_customer.id')
		
		->select('tbl_assign_inventory_header.*','tbl_customer.customer_name','tbl_customer.customer_code')->where('tbl_assign_inventory_header.id', '=',$id)->get()->first();
		 
		//dd($get_data);
		$get_data_details =DB::table('tbl_assign_inventory_details')

	   ->leftJoin('tbl_material_master', 'tbl_assign_inventory_details.material', '=', 'tbl_material_master.id')
	   ->leftJoin('tbl_unit_of_measurement', 'tbl_assign_inventory_details.uom', '=', 'tbl_unit_of_measurement.id')
	  
	   ->select('tbl_assign_inventory_details.*','tbl_material_master.material_name','tbl_material_master.material_code','tbl_unit_of_measurement.unit_notation')->where('tbl_assign_inventory_details.header_id', '=', $id)->get()->all();
	  
		//dd($get_data_details); 
     
		 
		return view('Merchandising/assign_inventory_view',compact('get_data','get_data_details'));
		
	  }	  
}
