<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\CurrencyTypeModel;
use Illuminate\Support\Collection;
use Maatwebsite\Excel\Facades\Excel;
use PDF;
use App\Exports\CompanyCollectionExport;
use App\Models\ManageCodeModel;
use App\Models\MaterialMasterModel;
use App\Models\SalesmanInvoiceModel;
use App\Models\CustomerModel;
use App\Models\MaterialCategoryModel;
use App\Models\UnitOfMeasurementModel;
use App\Models\WarehouseModel;
use App\Models\RouteModel;
use App\Models\UserModel;
use App\Models\TradingCenterModel;
use App\Models\CustomerTypeModel;
use App\Models\ReasonTypeModel;
use App\Models\CompanyOutstandingModel;
use App\Models\CompanyCollectionModel;
use Carbon\Carbon;
use Illuminate\Support\Facades\DB;
use Session;

class CompanyColletionController extends Controller
 {
   public function list(Request $request)
	{
		//dd($request);
		/* $route =RouteModel::all()->sortByDesc('id')->where('status', '=', 'active');
		$warehouse=WarehouseModel::all()->sortByDesc('id')->where('status', '=', 'active'); */
		$distibutor=CustomerModel::all()->sortByDesc('id')->where('customer_type', '!=', 1)->where('status', '=', 'active');
	    $current_date=date("Y-m-d");	
		$where="";		
		if(count($request->all()) < 1)
		  {
			$where .= " AND DATE_FORMAT(riheader.created_at, '%Y-%m-%d') between '".$current_date."' and '".$current_date."'"; 
		   }
  
		if($request->fromdate!='')
		  {
			$where .= " AND DATE_FORMAT(riheader.created_at, '%Y-%m-%d') between '".$request->fromdate."' and '".$request->todate."'"; 
		  }
	 
		if($request->customer!='')
		  {
			$where .= "AND customer.id = '".$request->customer."'";
		  }
		  
		if($request->warehouse!='')
		  {
			$where .= "AND warehouse.id = '".$request->warehouse."'";
		  }
	 	
			//$get_data = CurrencyTypeModel::all()->sortByDesc('id');
			$get_data = DB::select("SELECT riheader.*, 
			customer.customer_code,customer.customer_name,
			warehouse.warehouse_code,warehouse.warehouse_name,
			customer_type.customer_type_code,customer_type.customer_type_name,									
			currency.currency_notation					
			FROM tbl_company_collection_header as riheader					
			LEFT JOIN tbl_customer as customer on riheader.customer_id=customer.id
			LEFT JOIN tbl_customer_type as customer_type on riheader.distributor_type=customer_type.id				
			LEFT JOIN tbl_warehouse as warehouse on riheader.warehouse_id=warehouse.id
			LEFT JOIN tbl_currency_type as currency on riheader.currency=currency.id 
			WHERE riheader.id IS NOT NULL ".$where." ORDER BY id DESC");
			
			//dd($get_data);

	     return view('Company_Transaction.company_colletion_list',compact('get_data','distibutor'));
     }
	
    public function add()
	 {   

		$user_id=Session::get('user_id');
		$result = DB::table('tbl_company_collection_header')
		 ->select('tbl_company_collection_header.*')->get()->sortByDesc('id')->first();
	 
		if($result=='')
	      {
			$getcode = ManageCodeModel::where('id', 1)->first();
			$last_code = $getcode->company_colletion_number;
		  }
	    else
		  {
			 $getcode = $result->collection_number; 
			 $last_code = ++$getcode;
		   }
             $material_master = DB::table('tbl_material_master')
				      ->leftJoin('tbl_unit_of_measurement', 'tbl_material_master.uom_id', '=', 'tbl_unit_of_measurement.id')
				      ->select('tbl_material_master.*', 'tbl_unit_of_measurement.uom_name')
				      ->get()->all();
			  $material_category =MaterialCategoryModel::all()->sortByDesc('id')->where('status', '=', 'active');
			  
			  /*$user_login  =UserModel::all()->sortByDesc('id')->where('id','=',$user_id)->where('status', '=', 'active');
		  
			   echo $user_login->company_id;
			   exit;
			   */
			 
			   $customer_type =CustomerModel ::all()->sortByDesc('id')->where('status', '=', 'active')->where('customer_type', '!=', 1);
			 
			   $distribution_type =CustomerTypeModel ::all()->sortByDesc('id')->where('status', '=', 'active')->where('id', '!=', 1);
			
			   $material =MaterialMasterModel::all()->sortByDesc('id')->where('status', '=', 'active');
			
			   $route =RouteModel::all()->sortByDesc('id')->where('status', '=', 'active');
			  
			   $login_user = DB::table('tbl_user')
			         ->leftJoin('tbl_company', 'tbl_user.company_id', '=', 'tbl_company.id')
			         ->leftJoin('tbl_currency_type', 'tbl_company.currency_id', '=', 'tbl_currency_type.id')
			         ->select('tbl_user.id', 'tbl_company.currency_id','tbl_currency_type.currency_notation')
			         ->where('tbl_user.id', '=', $user_id)
			         ->get()->first();
			   //dd($login_user);
			 
			  return view('Company_Transaction.company_colletion',compact('last_code','customer_type','material_master','material_category','route','material','login_user','distribution_type'));
	 }
		
	          //getting outstanding data
	public function outstanding_details($dis_id,$cus_id)
	 {	      
	   $total_outstanding =CompanyOutstandingModel::where('customer', $cus_id)->sum('invoce_outstandig');
	   $total_outstanding_details =CompanyOutstandingModel::where('customer', $cus_id)->get();
	  
	   $distribution_type =CustomerTypeModel ::all()->sortByDesc('id')->where('status', '=', 'active')->where('id', '!=', 1);
	
	   $customer_type =CustomerModel::all()->sortByDesc('id')->where('customer_type', '=', $dis_id)->where('status', '=', 'active');
	 
	   $user_id=Session::get('user_id');
  
	   $result = DB::table('tbl_company_collection_header')
		 ->select('tbl_company_collection_header.collection_number')->get()->sortByDesc('id')->first();
 
	   if($result=='')
		 {
			$getcode = ManageCodeModel::where('id', 1)->first();
			$last_code = $getcode->company_colletion_number;
		 }
	   else
		 {
			 $getcode = $result->collection_number; 
			 $last_code = ++$getcode;
		 }

		  $material_master = DB::table('tbl_material_master')
			->join('tbl_unit_of_measurement', 'tbl_material_master.uom_id', '=', 'tbl_unit_of_measurement.id')
			
			->select('tbl_material_master.*', 'tbl_unit_of_measurement.uom_name')
		
			->get()->all();
	
		  $material_category =MaterialCategoryModel::all()->sortByDesc('id')->where('status', '=', 'active');
		  
		  $material =MaterialMasterModel::all()->sortByDesc('id')->where('status', '=', 'active');
		
		  $route =RouteModel::all()->sortByDesc('id')->where('status', '=', 'active');
		  
		  $login_user = DB::table('tbl_user')
			    ->leftJoin('tbl_company', 'tbl_user.company_id', '=', 'tbl_company.id')
			    ->leftJoin('tbl_currency_type', 'tbl_company.currency_id', '=', 'tbl_currency_type.id')
			    ->select('tbl_user.id', 'tbl_company.currency_id','tbl_currency_type.currency_notation')
			    ->where('tbl_user.id', '=', $user_id)
			    ->get()->first();
	   
		  return view('Company_Transaction.company_colletion',compact('last_code','customer_type','material_master',	'material_category','route','material','login_user','distribution_type','total_outstanding','total_outstanding_details'));
		
	  }
		
	 //insert logic	
	 public function save(Request $request)
	  {
		 
		$total_outstanding= array();
		$total_credit1= array();
		$count=0;
		$count1=0;
		$flag='';
		
		  $current = Carbon::now();
		  $flag='';		 
		  $user_id=Session::get('user_id');			
		  $login_user = DB::table('tbl_user')
			   ->leftJoin('tbl_company', 'tbl_user.company_id', '=', 'tbl_company.id')
			   ->leftJoin('tbl_currency_type', 'tbl_company.currency_id', '=', 'tbl_currency_type.id')
			   ->select('tbl_user.id', 'tbl_company.currency_id','tbl_currency_type.currency_notation','tbl_currency_type.id as currency_id')
			   ->where('tbl_user.id', '=', $user_id)
			   ->get()->first();
			  
				 $data3=array
				(
				 'collection_number'      =>  $request->collection_number,
				 'currency'               =>  $login_user->currency_id,
				 'collection_type'        =>  $request->collection_type,
				 'cheque_no'              =>  $request->cheque_number,
				 'customer_id'               =>  $request->customer_type,
				 'warehouse_id'              =>  $request->warehouse,
				 'distributor_type'      =>  $request->distribution_type,
				 'cheque_date'            =>  $request->cheque_date,
				 'bank_name'              =>  $request->bank_name,
				 'account_no'             =>  $request->account_number,
				 'branch_no'              =>  $request->branch_name,
				 'created_at'             =>  $current,
				 'created_user'             =>  $user_id,
				);
			
			   $header_id =DB::table('tbl_company_collection_header')->insertGetId($data3); 
			 
			 
		if($request->collection_type!=4)
		{
		   foreach($request['outstanding'] as $key => $n)
		     {
				if($request->lnurration[$key]=='Invoice')
			    {
			      if($request->paid_now[$key]!=0)
			       {
				     $data=CompanyOutstandingModel::find($request->out_id[$key]);
				     $data->increment('invoice_paid',$request->paid_now[$key]);
				     $data->decrement('invoce_outstandig',$request->paid_now[$key]);
				     $data->save();
				     $s= $data->invoce_outstandig;
					                $data2=array
									(
										 'invoice_id'      => $request->invoice_id[$key ],
										 'header_id'       => $header_id,
										 'invoice_no'      => $request->invoice_number[$key ],
										 'outstanding_dr'  => $request->outstanding[$key ],
										 'outstanding_cr'  => $request->outstanding_balance[$key ],
										 'paid_amt'        => $request->paid_now[$key ],
										 'credit_amt'      => 0,
										 'created_at'      => $current,
									 );
								   DB::table('tbl_company_collection_details')->insert($data2); 
				           if($s < 1)
				           {
					       CompanyOutstandingModel::find($request->out_id[$key])->delete();
					           
				          }
				    }
					
				}
				 
			 }
		}
		else
		{
			
			    $credit_balance=0;
			    $invoice_balance=0;
		        $invoice=array();
				$credit=array();
                $cr=0;
                $ir=0;				
		  foreach($request['outstanding'] as $key => $n)
		    {
				if($request->lnurration[$key]=='Credit')
			    {
					$credit['invoice_number'][$cr]=$request->invoice_number[$key];
					$credit['out_id'][$cr]=$request->out_id[$key];
					$credit['lnurration'][$cr]=$request->lnurration[$key];
					$credit['invoice_id'][$cr]=$request->invoice_id[$key];
					$credit['outstanding_balance'][$cr]=$request->outstanding_balance[$key];
					$credit['outstanding'][$cr]=$request->outstanding[$key];
					$credit['paid_now'][$cr]=$request->paid_now[$key];
					$cr++;
					
				}
				else
				{
					$invoice['invoice_number'][$ir]=$request->invoice_number[$key];
					$invoice['out_id'][$ir]=$request->out_id[$key];
					$invoice['lnurration'][$ir]=$request->lnurration[$key];
					$invoice['invoice_id'][$ir]=$request->invoice_id[$ir];
					$invoice['outstanding_balance'][$ir]=$request->outstanding_balance[$key];
					$invoice['outstanding'][$ir]=$request->outstanding[$key];
					$invoice['paid_now'][$ir]=$request->paid_now[$key];
					$ir++;
				}
			
			}
			
		/* dd($credit); */
		$inc=0;
		$invoice_key=0;
		foreach($request['outstanding'] as $key => $n)
		  {
			 
			if(isset($credit['outstanding_balance'][$inc]) && isset($invoice['outstanding'][$invoice_key]))
			 {
				 if($credit['outstanding_balance'][$inc]== $invoice['outstanding'][$invoice_key])
				 {
				 $data2=array(
						'invoice_id'      => $invoice['out_id'][$invoice_key],
						'header_id'       => $header_id,
						'invoice_no'      => $invoice['invoice_number'][$invoice_key],
						'outstanding_dr'  => $invoice['outstanding'][$invoice_key],
						'outstanding_cr'  => $invoice['outstanding'][$invoice_key],
						'paid_amt'        => 0,
						'credit_amt'      => $invoice['outstanding'][$invoice_key],
						'created_at'      => $current,
									 );
					DB::table('tbl_company_collection_details')->insert($data2);
					
					 CompanyOutstandingModel::find($credit['out_id'][$inc])->delete();
					 CompanyOutstandingModel::find($invoice['out_id'][$invoice_key])->delete();
					 $inc++;
					 $invoice_key++;
				 }
				 
				else if($credit['outstanding_balance'][$inc]>$invoice['outstanding'][$invoice_key])
				{
					$credit_balance=$credit['outstanding_balance'][$inc]-$invoice['outstanding'][$invoice_key];
					  $data=CompanyOutstandingModel::find($credit['out_id'][$inc]);
				      $data->credit_amount = $credit_balance;
				     $data->save();
					
					
					$data2=array(
						'invoice_id'      => $invoice['out_id'][$invoice_key],
						'header_id'       => $header_id,
						'invoice_no'      => $invoice['invoice_number'][$invoice_key],
						'outstanding_dr'  => $invoice['outstanding'][$invoice_key],
						'outstanding_cr'  => $invoice['outstanding'][$invoice_key],
						'paid_amt'        => 0,
						'credit_amt'      => $credit_balance,
						'created_at'      => $current,
									 );
									 
					DB::table('tbl_company_collection_details')->insert($data2);
					
					$credit['outstanding_balance'][$inc]=$credit_balance;
					CompanyOutstandingModel::find($invoice['out_id'][$invoice_key])->delete();
					
					$invoice_key++;
				}
				else{
					    $invoice_balance=$invoice['outstanding'][$invoice_key] - $credit['outstanding_balance'][$inc];
					  
					    $data=CompanyOutstandingModel::find($invoice['out_id'][$invoice_key]);
				        $data->invoce_outstandig=$invoice_balance;
				        $data->save();
						
						$data2=array(
						'invoice_id'      => $credit['out_id'][$invoice_key],
						'header_id'       => $header_id,
						'invoice_no'      => $credit['invoice_number'][$invoice_key],
						'outstanding_dr'  => $credit['outstanding_balance'][$invoice_key],
						'outstanding_cr'  => $credit['outstanding_balance'][$invoice_key],
						'paid_amt'        => 0,
						'credit_amt'      => $credit_balance,
						'created_at'      => $current,
									 );
									 
					   $invoice['outstanding'][$invoice_key]=$invoice_balance;
					   
					   CompanyOutstandingModel::find($credit['out_id'][$inc])->delete();
					   
					  $inc++;
			 		}
			  }
            } 	
		}
			
		  
		 return redirect(route('company_colletion_list'))->with('successMessage',$request->collection_number.' '.'Collection Save Successfully');
	 }
	  
	public function view($id)
	 {    
				
		$get_data =DB::table('tbl_company_collection_header')
		->leftJoin('tbl_customer', 'tbl_company_collection_header.customer_id', '=', 'tbl_customer.id')
		->leftJoin('tbl_customer_type', 'tbl_company_collection_header.distributor_type', '=', 'tbl_customer_type.id')
		->leftJoin('tbl_warehouse', 'tbl_company_collection_header.warehouse_id', '=', 'tbl_warehouse.id')
		->select('tbl_company_collection_header.*','tbl_customer.customer_code','tbl_customer.customer_name','tbl_customer_type.customer_type_code','tbl_customer_type.customer_type_name','tbl_warehouse.warehouse_code','tbl_warehouse.warehouse_name')
		->where('tbl_company_collection_header.id', '=',$id)->get()->first();
		
		$get_data_details =DB::table('tbl_company_collection_details')
		->select('tbl_company_collection_details.*')
		->where('tbl_company_collection_details.header_id', '=',$id)->get()->all();
		 //dd($get_data);
		
		 return view('Company_Transaction.company_colletion_view',compact('get_data','get_data_details'));
  
	}
		
   public function get_routename_filter_collection($id,$warehouse_url)
    {
			
			$material =WarehouseModel::all()->sortByDesc('id')->where('status', '=', 'active')->where('distributor', '=', $id)->where('warehouse_type', '=',1);
		    ?>
			<option  value="">     </option>
			<?php
			  foreach($material as $material_name)
				{
					?>
					<option <?php if($material_name->id==$warehouse_url) { echo "selected";} ?> value="<?php echo $material_name->id ?>"  ><?php echo $material_name->warehouse_code.' - '.$material_name->warehouse_name ?></option>	
					<?php		
				}
				//return response()->json($get_data);
	  
	}
	  
	  public function company_collection_export($id) 
    {
        return Excel::download(new CompanyCollectionExport($id), 'company_collection.xlsx');
    }
	
	public function company_collection_export_pdf($id)
	 {
		$get_data = DB::table('tbl_company_collection_header')
		         ->leftjoin('tbl_customer','tbl_company_collection_header.customer_id','=','tbl_customer.id')
		         ->leftjoin('tbl_warehouse','tbl_company_collection_header.warehouse_id','=','tbl_warehouse.id')
		        
		         ->leftjoin('tbl_customer_type','tbl_company_collection_header.distributor_type','=','tbl_customer_type.id')
		         ->leftjoin('tbl_currency_type','tbl_company_collection_header.currency','=','tbl_currency_type.id')
		  
                  ->select('tbl_customer.*','tbl_warehouse.warehouse_code','tbl_warehouse.warehouse_name','tbl_company_collection_header.collection_number','tbl_customer_type.customer_type_name','tbl_customer_type.customer_type_code','tbl_currency_type.currency_notation','tbl_company_collection_header.created_at','tbl_company_collection_header.collection_type','tbl_company_collection_header.account_no','tbl_company_collection_header.bank_name','tbl_company_collection_header.branch_no','tbl_company_collection_header.cheque_no','tbl_company_collection_header.cheque_date')
				  ->where('tbl_company_collection_header.id','=',$id)
				 ->get()->first();
				
			$get_data_details =DB::table('tbl_company_collection_details as c')
			->select('c.invoice_no','c.outstanding_dr','c.outstanding_cr','c.paid_amt','c.credit_amt')
	    ->where('c.header_id','=',$id)
	   ->get()
	   ->all();
		 $pdf=PDF::loadView('export.pdf.company_collection_invoice_pdf',compact('get_data','get_data_details'));
		  
		  return $pdf->download('collection_invoice.pdf');
	
        
	    //return response()->json($get_data);
	 }
		
 }
