<?php

namespace App\Http\Controllers;
use App\Models\SalesmanModel;
use App\Models\RouteModel;
use App\Models\CompetitorManagementModel;
use App\Models\WarehouseModel;
use Illuminate\Support\Facades\DB;
use Session;
use Carbon\Carbon;
use Illuminate\Http\Request;

class CompetitorManagementController extends Controller
 {
   public function list(Request $request)
	{ 
	  //dd($request);	
	  $current_date=date("Y-m-d");	
	  $where="";		
	  if(count($request->all()) < 1)
	    {
		  $where .= " AND DATE_FORMAT(riheader.created_at, '%Y-%m-%d') between '".$current_date."' and '".$current_date."'"; 
	    }
		  
	  if($request->fromdate!='')
	    {
		  $where .= " AND DATE_FORMAT(riheader.created_at, '%Y-%m-%d') between '".$request->fromdate."' and '".$request->todate."'"; 
	    }
			 
	  if($request->warehouse!='')
        {
	      $where .= "AND warehouse.id = '".$request->warehouse."'";
        }
			 
	  if($request->salesman!='')
	    {
		  $where .= "AND salesman.id = '".$request->salesman."'";
	    }
			 
	  if($request->route!='')
	    {
		  $where .= "AND route.id = '".$request->route."'";
	    }
		
			$route =RouteModel::all()->sortByDesc('id')->where('status', '=', 'active');
			$warehouse=WarehouseModel::all()->sortByDesc('id')->where('status', '=', 'active');
			$salesman=SalesmanModel::all()->sortByDesc('id')->where('status', '=', 'active');
			$get_data = DB::select("SELECT riheader.*, route.route_name,route.route_code,		
			warehouse.warehouse_code,warehouse.warehouse_name,
			salesman.salesman_name,salesman.salesman_code,currency.currency_notation		
			FROM tbl_route_competitor as riheader
			LEFT JOIN tbl_route as route on riheader.route_id=route.id		
			LEFT JOIN tbl_warehouse as warehouse on riheader.warehouse_id=warehouse.id
			LEFT JOIN tbl_salesman as salesman on riheader.salesman_id=salesman.id 
			LEFT JOIN tbl_currency_type as currency on riheader.currency=currency.id 
			WHERE riheader.id IS NOT NULL ".$where." ORDER BY id DESC ");
 
			return view('Route_Transaction.competitor_management_list',compact('get_data','warehouse','route'));
	
     }	   
    public function get_salesman_filter($id,$url_salesman)
     {	
				 
		$salesman =SalesmanModel::all()->sortByDesc('id')->where('warehouse_id', '=', $id)->where('status', '=', 'active');
		  
		?>
		<option  value="">     </option>
		
		<?php
	 
	   foreach($salesman as $salesmanname)
	     {
			?>
			 <option <?php if($salesmanname->id==$url_salesman) { echo "selected";} ?> value="<?php echo $salesmanname->id ?>"  ><?php echo $salesmanname->salesman_code.' - '.$salesmanname->  salesman_name ?></option>
			<?php		
	     }		
		     //return response()->json($get_data);		
	 }	   
	public function get_routename_filter($id,$url_route)
     {		
		$route =RouteModel::all()->sortByDesc('id')->where('id', '=', $id)->where('status', '=', 'active');
			
		 ?>
		<option  value="">     </option>
		<?php
	    foreach($route as $route_name)
	      {
			?>
			<option <?php if($route_name->id==$url_route) { echo "selected";} ?> value="<?php echo $route_name->id ?>"  ><?php echo $route_name->route_code.' - '.$route_name->route_name ?></option>	
			<?php		
		  }		
		  //return response()->json($get_data);			
	  }
 }
