<?php

namespace App\Http\Controllers;
use Illuminate\Http\Request;
use App\Models\LocationModel;
use Session;
use App\Models\ManageCodeModel;

class LocationController extends Controller
 {
   public function list()
	{
		$get_data = LocationModel::all()->sortByDesc('id');
	
		return view('Parameters_Configuration.location_list',compact('get_data'));
	}
	
   public function add()
	{ 
		$result =LocationModel::get()->sortByDesc('id')->first();
		if($result=='')
		  {
			 $getcode = ManageCodeModel::where('id', 1)->first();
			 $last_code = $getcode->location_code;
		  }
	    else
		  {
			 $getcode = $result->location_code; 
			 $last_code = ++$getcode; 
		  } 

			return view('Parameters_Configuration.location',compact('last_code'));
	 }
		
    public function edit($id)
	 {
		$get_data=LocationModel::find($id);
		$last_code = $get_data->location_code;

		
		return view('Parameters_Configuration.location',compact('get_data','last_code'));
	 }
		
	public function save(Request $request)
	 {

		$data=new LocationModel;
		
		if($request->updated_id)
		  {
		
			$data = LocationModel::find($request->updated_id);
			$data->location_code=$request->location_code;
			$data->location_name=$request->location_name;
			$data->updated_user= Session::get('user_id');
			$data->status=$request->status;
			$data->save();
			return redirect(route('location_list'))->with('successMessage','Location Updated Successfully');
		
			} 
		  else 
			{
			
				$data->location_code=$request->location_code;
				$data->location_name=$request->location_name;
				$data->created_user= Session::get('user_id');
				$data->status=$request->status;
				$data->save();
				return redirect(route('location_list'))->with('successMessage','Location Added Successfully');
			
			}	    		
		
	  }
 }
