<?php

namespace App\Http\Controllers;
use App\Models\MaterialCategoryNewModel;
use Illuminate\Http\Request;
use App\Models\ManageCodeModel;
use App\Models\TypeModel;
use Illuminate\Support\Facades\DB;
use Session;




class MaterialCategoryNewController extends Controller
{
    //
	
	
	public function list()
     {
		//$get_data = MaterialCategoryNewModel::all()->sortByDesc('id');
		$get_data = DB::table('tbl_material_category_new')
		  
		
		->select('tbl_material_category_new.*',)
		->orderBy('id', 'DESC')->get();
		return view('Parameters_Configuration.material_category_new_list',compact('get_data'));
	 }
		
	public function add()
	 { 
		 $result = DB::table('tbl_material_category_new')
			 ->select('tbl_material_category_new.*')->get()->sortByDesc('id')->first();			 
		
		//	$result =MaterialCategoryNewModel::get()->sortByDesc('id')->first();
			if($result=='')
		      {
				$getcode = ManageCodeModel::where('id', 1)->first();
				$last_code = $getcode->category_codes;
			
			  }
			else
			
			  {
				 $getcode = $result->category_codes;  
				 $last_code = ++$getcode;
			  }
			$material_type =TypeModel::all()->sortByDesc('id')->where('status', '=', 'active');
			return view('Parameters_Configuration.material_category_new',compact('last_code','material_type'));
	  }
	
     public function edit($id)
	  {
		$get_data=MaterialCategoryNewModel::find($id);
		$last_code = $get_data->category_codes;
		//$material_type =TypeModel::all()->sortByDesc('id')->where('status', '=', 'active');
		return view('Parameters_Configuration.material_category_new',compact('get_data','last_code'));
	  }
	
	 public function save(Request $request)
	  {

		$data=new MaterialCategoryNewModel;
				
		if($request->updated_id) 
		  {
		
			$data = MaterialCategoryNewModel::find($request->updated_id);
			$data->category_codes=$request->category_codes;
			//$data->material_types=$request->material_types;
			$data->category_names=$request->category_names;
			$data->updated_user= Session::get('user_id');
			$data->status=$request->status;
			$data->save();
			return redirect(route('material_category_new_list'))->with('successMessage','Material Category Updated Successfully');	
		   }
		 else 
		   {			
			$data->category_codes=$request->category_codes;
			//$data->material_types=$request->material_types;
			$data->category_names=$request->category_names;
			$data->created_user= Session::get('user_id');
			$data->status=$request->status;
			$data->save();
		    return redirect(route('material_category_new_list'))->with('successMessage','Material Category  Added Updated Successfully');
			
		   }	    	
      }

	
	
	
	
}
