<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Carbon\Carbon;
use App\Models\PanogramPostModel;
use App\Models\SalesmanModel;
use Session;
use Illuminate\Support\Facades\DB;

class PlanogramPostController extends Controller
 {
   public function list(Request $request)
    { 
	   $current_date=date("Y-m-d");
	
       $where="";		
	   
	   if(count($request->all()) < 1)
	     {
		   $where .= " AND DATE_FORMAT(riheader.created_at, '%Y-%m-%d') between '".$current_date."' and '".$current_date."'"; 
	     }
	   
	   if($request->fromdate!='')
	     {
		    $where .= " AND DATE_FORMAT(riheader.created_at, '%Y-%m-%d') between '".$request->fromdate."' and '".$request->todate."'"; 
	     }
        
       if($request->salesman!='')
         {
            $where .= "AND salesman.id = '".$request->salesman."'";
         }
         
         $salesman =SalesmanModel::all()->sortByDesc('id')->where('salesman_type_id', '=', '3')->where('status', '=', 'active');
		  
		 $for_list = DB::select("SELECT riheader.*,salesman.salesman_name,salesman.salesman_code,customer.customer_code,customer.customer_name,planogram.planogram_name as planogram_n,shelf_display.name
			
			FROM tbl_planogram_post as riheader
			LEFT JOIN tbl_salesman as salesman on riheader.salesman=salesman.id 
			LEFT JOIN tbl_customer as customer on riheader.customer=customer.id   
			LEFT JOIN tbl_planogram as planogram on riheader.planogram_name=planogram.id 
			LEFT JOIN tbl_shelf_display as shelf_display on riheader.shelf_display=shelf_display.id 
		    WHERE riheader.id IS NOT NULL".$where."ORDER BY ID DESC");    
			 
			//dd($for_list);     
 
		return view('Merchandising.planogram_post_list',compact('salesman','for_list'));
     }
	
	public function save(Request $request)
     {
        //$current = Carbon::now();
		
		//$newDate = date("Y-m-d g:i a");
	  
		$data2=array(
		
    				  'comment' =>$request->comment,

                    );

		 DB::table('tbl_planogram_post')->insert($data2);
		 
		 return redirect(route('Merchandising.planogram_post_list'))->with('successMessage',' Updated Successfully');
     }
 }
