<?php
namespace App\Http\Controllers;
use App\Models\CustomerModel;
use App\Models\SalesmanModel;
use App\Models\PromotionalPostModel;
use Session;
use Illuminate\Support\Facades\DB;

use Illuminate\Http\Request;

class PromotionalPostController extends Controller
 {
   public function list(Request $request)
    { 
	   $current_date=date("Y-m-d");
	
       $where="";		
	   
	   if(count($request->all()) < 1)
	     {
		   $where .= " AND DATE_FORMAT(riheader.created_at, '%Y-%m-%d') between '".$current_date."' and '".$current_date."'"; 
	     }
	   
	   if($request->fromdate!='')
	     {
		    $where .= " AND DATE_FORMAT(riheader.created_at, '%Y-%m-%d') between '".$request->fromdate."' and '".$request->todate."'"; 
	     }
        
       if($request->salesman!='')
         {
            $where .= "AND salesman.id = '".$request->salesman."'";
         }
		 
	   if($request->customer!='')
		  {
			 $where .= "AND customer.id = '".$request->customer."'";
		  }
         
         $salesman =SalesmanModel::all()->sortByDesc('id')->where('salesman_type_id', '=', '3')->where('status', '=', 'active');
         $for_list = DB::select("SELECT riheader.*,salesman.salesman_name,salesman.salesman_code,customer.customer_code,customer.customer_name,promotion.material_code,promotion.material_name
			
			FROM tbl_promotional_post as riheader
			LEFT JOIN tbl_salesman as salesman on riheader.salesman=salesman.id 
			LEFT JOIN tbl_customer as customer on riheader.customer=customer.id 
			LEFT JOIN tbl_material_master as promotion on riheader.free_material=promotion.id 
			
			
			WHERE riheader.id IS NOT NULL ".$where."ORDER BY ID DESC ");  
			
		return view('Merchandising.promotional_post_list',compact('salesman','for_list')); 
    }

   public function get_customername_promotional_filter($id,$warehouse_url)
    { 
	  $salesman_route = DB::table('tbl_salesman')
			->select('tbl_salesman.route_id')
			->where('tbl_salesman.id', '=',$id)
			->get()->first();
		$material =CustomerModel::all()->sortByDesc('id')->where('status', '=', 'active')->where('customer_type', '=', '3')->where('route_id', '=',$salesman_route->route_id);
					
			?>
				<option  value="">     </option>
				<?php
				  foreach($material as $material_name)
					{
						?>
						<option <?php if($material_name->id==$warehouse_url) { echo "selected";} ?> value="<?php echo $material_name->id ?>"  ><?php echo $material_name->customer_code.' - '.$material_name->customer_name ?></option>	
						<?php		
					}
				
						//return response()->json($get_data);
	 }	
 }
