<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\SupplierModel;
use Illuminate\Support\Facades\DB;


class PurchaseOutstandingController extends Controller
{
    //

    public function list(Request $request){

		$suppliers = SupplierModel::all()->sortByDesc('id')->where('status', '=', 'active');
        $current_date=date("Y-m-d");	
		$where="";		
		if(count($request->all()) < 1)
		  {
			$where .= " AND DATE_FORMAT(outstanding.created_at, '%Y-%m-%d') between '".$current_date."' and '".$current_date."'"; 
		   }
  
		if($request->fromdate!='')
		  {
			$where .= " AND DATE_FORMAT(outstanding.created_at, '%Y-%m-%d') between '".$request->fromdate."' and '".$request->todate."'"; 
		  }
	 
		if($request->supplier!='')
		  {
			$where .= "AND supplier_id = '".$request->supplier."'";
		  }

          $result = DB::select("SELECT outstanding.invoice_number,
            outstanding.id,
            outstanding.supplier_id,
            outstanding.amount_paid,
            outstanding.amount_outstanding,
            outstanding.invoice_id,
            outstanding.invoice_amount,
		        supplier.supplier_name,
            outstanding.due_date,
            outstanding.created_at 
        FROM tbl_purchase_outstanding as outstanding	
		LEFT JOIN tbl_supplier as supplier on outstanding.supplier_id = supplier.id				

          
          WHERE outstanding.id IS NOT NULL ".$where." ORDER BY id DESC");



        // $result = DB::table('tbl_purchase_outstanding')
        //             ->select('tbl_purchase_outstanding.*')
        //             ->where('tbl_purchase_outstanding.supplier_id','=',$request->supplier)
        //             ->get();
        

        return view('Purchase_Transaction.vendor_outstanding_list',compact('suppliers','result'));
    }
}
