<?php

namespace App\Http\Controllers; 
use App\Models\SalesHierarchyModel;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Session;

class SalesHierarchyController extends Controller
 {
  		
   public function list() 
    {
		$hierarchy = SalesHierarchyModel::with('children')->with('parent')->get()->toArray();
		 
		$alldata = [];
		$other = [];
		foreach($hierarchy as $key => $value) 
		  {
			if(!empty($value['children']))
			  {
				foreach($value['children'] as $key1 => $valuea) 
				  {
					$alldata[$value['name']][] = $valuea['name'];
				  }
			  }else{
					array_push($other, $value);
				   }
		  }
			
		 $data_all = SalesHierarchyModel::get()->toArray();
		 
		 $get_data = DB::table('tbl_sales_hierarchy')
		 //->leftJoin('tbl_country', 'tbl_client.country', '=','tbl_country.id') 
		
		 ->select('tbl_sales_hierarchy.*')
		 ->orderBy('id', 'DESC')->get();
		 return view('Parameters_Configuration.sales_hierarchy_list',compact('get_data','hierarchy','alldata','other', 'data_all'))->with('count',1);
	  }
	 
	 public function add()
	  {	
		//$get_data = SalesHierarchyModel::all()->sortByDesc(0);
		//dd($get_data);
		  $result = DB::table('tbl_sales_hierarchy')
		  ->select('tbl_sales_hierarchy.*')->get()->sortByDesc('id')->first();			 
		 $parent =SalesHierarchyModel::all()->sortByDesc('id');
		return view('Parameters_Configuration.sales_hierarchy',compact('parent'));
	  }
	  
	   public function graph() 
    {
	
		  $data_all = SalesHierarchyModel::get()->toArray();
		 
		 $get_data = DB::table('tbl_sales_hierarchy')
		 //->leftJoin('tbl_country', 'tbl_client.country', '=','tbl_country.id') 
		
		 ->select('tbl_sales_hierarchy.*')
		 ->orderBy('id', 'ASC')->get();
		 return view('Parameters_Configuration.sales_organization_view',compact('data_all','get_data'))->with('count',1);
	  }
	  
	
	 public function edit($id)
	  {
				//dd($id);
		$get_data=SalesHierarchyModel::find($id);
			//$country =CountryTypeModel::all()->sortByDesc('id');
			//$last_code = $get_data->client_code;
			 $parent =SalesHierarchyModel::all()->sortByDesc('id');
			 
			//dd($get_data);
		 return view('Parameters_Configuration.sales_hierarchy',compact('get_data','parent'));
	  }
	  
	
	 public function save(Request $request)
      {

	    //	dd($request);

		$data=new SalesHierarchyModel;

		if($request->updated_id) 
		  {			
				$data = SalesHierarchyModel::find($request->updated_id);			
				//$data->client_code=$request->client_code;
				//$data->s_no=$request->s_no;
				$data->name=$request->name;
				$data->parent=$request->parent;
				//$data->max_uom=$request->max_uom;
				$data->updated_user= Session::get('user_id');
				//$data->status=$request->status;
				$data->save();
				return redirect(route('sales_hierarchy_list'))->with('successMessage','Sales Organization Structure Updated Successfully');
			
		   } else 
			     {
				   //$data->client_code=$request->client_code;
				   //$data->s_no=$request->s_no;
					$data->name=$request->name;
					$data->parent=$request->parent;
				   //$data->max_uom=$request->max_uom;
					$data->created_user= Session::get('user_id');
					//$data->status=$request->status;
					$data->save();
				   return redirect(route('sales_hierarchy_list'))->with('successMessage','Sales Organization Structure Added Successfully');
					
			     }	 
      }
	  
	  
	  public function sales_hierarchy_del($id)
	{
		$result=SalesHierarchyModel::find($id)->delete(); 
		
		return redirect(route('sales_hierarchy_list'))->with('successMessage','Sales Organization Structure Deleted Successfully');
	} 
	
        
 }
