<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\RegionTypeModel;
use App\Models\SubRegionTypeModel;
use App\Models\WarehouseModel;
use App\Models\RouteModel;
use App\Models\SalesmanModel;
use App\Models\MaterialMasterModel;
use Illuminate\Support\Facades\DB;
use Maatwebsite\Excel\Facades\Excel;
use App\Exports\SalesReportExport;

class StockVisibilityController extends Controller
 {
   public function list()
	{		
		//$get_data = SupplierTypeModel::all()->sortByDesc('id');
		 $region =RegionTypeModel::all()->sortByDesc('id')->where('status', '=', 'active');
		 
	
		return view('Report.stock_visibility_list',compact('region'));  
	}
	
   public function get_stock_visibility_subregion($id)
	{
		if($id!=0)
		  {
		    $sub_region =SubRegionTypeModel::all()->sortByDesc('id')->where('region', '=', $id)->where('status', '=', 'active');
		  }
		else 	
		  {
			 $sub_region =SubRegionTypeModel::all()->sortByDesc('id')->where('status', '=', 'active');
		  }	

			?>
			<option  value="">     </option>
			<option  value="0">Select All</option>
			<?php
			foreach($sub_region as $sub_region_name)
			  {
				?>
				  <option value="<?php echo $sub_region_name->id ?>"  ><?php echo $sub_region_name->sub_region_code.' - '.$sub_region_name->sub_region_name  ?></option>	
			    <?php  	   	
			  }
	 }
		
    public function get_stock_visibility_warehouse($id)
	 {
	   if($id!=0)
	     {		
		   $warehouse =WarehouseModel::all()->sortByDesc('id')->where('sub_region', '=', $id)->where('status', '=', 'active');
	     }
	   else{
		     $warehouse =WarehouseModel::all()->sortByDesc('id')->where('status', '=', 'active');
		   }

	       ?>
		<option  value="">     </option>
		<option  value="0">Select All</option>
		<?php
		foreach($warehouse as $warehouse_name)
		  {
			?>
			  <option value="<?php echo $warehouse_name->id ?>"  ><?php echo $warehouse_name->warehouse_code.' - '.$warehouse_name->warehouse_name  ?></option>	
		    <?php  	   	
		 }
	 }
			
	public function get_stock_report($region,$subregion,$warehouse,$fromdate,$todate)
	 {
		
		 /* echo $report_with.' rg-'.$region.' sb-'.$subregion.' w-'.$warehouse;
		 exit; */
		if($warehouse!='s')
		  {
		    $baseuom_id     = array(); 
		    $get_data1 = DB::table('tbl_unit_of_measurement')
		    ->select('tbl_unit_of_measurement.id',)
		    ->where('tbl_unit_of_measurement.uom_type','=',1)->get();
		    foreach($get_data1 as $key=> $warehous)
			  {
				 //$agent_name[$warehous->id] = $warehous->warehouse_name;
				 $baseuom_id[]=$warehous->id;
	          }
				$altuom_id     = array(); 
				$get_data1 = DB::table('tbl_unit_of_measurement')
				->select('tbl_unit_of_measurement.id',)
				->where('tbl_unit_of_measurement.uom_type','=',2)->get();
				foreach($get_data1 as $key=> $warehous)
				  {
				    //$agent_name[$warehous->id] = $warehous->warehouse_name;
				    $altuom_id[]=$warehous->id;
				  }
				$final_data  = array();
				//if single subregion
				if($warehouse!=0)
				  {
					 $agent_name     = array(); 
					 $agent_id     = array(); 
					 $get_data1 = DB::table('tbl_warehouse')
					 
					->select('tbl_warehouse.warehouse_code','tbl_warehouse.warehouse_name','tbl_warehouse.id')
					->where('tbl_warehouse.id','=',$warehouse)->get();
					
					foreach($get_data1 as $key=> $warehous)
					  {
						 $agent_name[$warehous->id] = $warehous->warehouse_name;
						 $agent_id[]=$warehous->id;
					  }
					
				   }
			     //multiple sub region
			     else  
				   {
					 $agent_name     = array(); 
					 $agent_id     = array(); 
					 $get_data1 = DB::table('tbl_warehouse')
					 
					 ->select('tbl_warehouse.warehouse_code','tbl_warehouse.warehouse_name','tbl_warehouse.id')
					 ->get();
												
					 foreach($get_data1 as $key=> $warehous)
					   {
						 $agent_name[$warehous->id] = $warehous->warehouse_name;
						 $agent_id[]=$warehous->id;
					   }
				   } 
											 
				  $get_sales_material_wise = DB::select("SELECT sum(ws.new_stock) as stock, item.material_name,item.id,warehouse.id as warehouseid,
				  SUM(IF(ws.uom_id in (".implode(',',$baseuom_id)."), ws.new_stock, 0)) as base_quantity,
				  SUM(IF(ws.uom_id in (".implode(',',$altuom_id)."), ws.new_stock, 0)) as alt_quantity
				  FROM `tbl_warehouse_stock` as ws
				  LEFT JOIN tbl_material_master as item on ws.material_id=item.id
				  LEFT JOIN  tbl_warehouse as warehouse on ws.warehouse_id=warehouse.id
				  WHERE date(ws.created_at) >= '".$fromdate."' AND  date(ws.created_at) <= '".$todate."' AND warehouse.id in (".implode(',',$agent_id).") group by item.id,warehouseid");
				
				  $count=count($get_sales_material_wise);
				
  				  foreach($get_sales_material_wise as $row) 
				    {
					   $final_data['item'][$row->id]  = $row->material_name;
					   if(isset($final_data['alter'][$row->warehouseid][$row->id]))
					     {
						    $final_data['alter'][$row->warehouseid][$row->id]  += $row->alt_quantity;
						    $final_data['base'][$row->warehouseid][$row->id]   += $row->base_quantity;
										
						 }
					   else
						 {
						    $final_data['alter'][$row->warehouseid][$row->id]  = $row->alt_quantity;
						    $final_data['base'][$row->warehouseid][$row->id]   = $row->base_quantity;	
						 }
					 }		
														
					// dd($final_data);
					?>
						<!--start table-->
					<table style="width: 100%;" id="example" class="table table-hover table-striped table-bordered">
						   <thead class="bg-secondary text-white"> 	
							 <tr style="height: 56px;
							background: #6a737b;
							color: white;">
							   <th class="text-justify text-center">Material Name</th>
								<?php foreach($agent_name as $warehouse)
							   {?>
									  
								  <th class="text-justify text-center"><?php echo $warehouse; ?></th>
										 
									  
								 <?php
							   }
							  ?>
							
							  <th class="text-justify text-center">Total Material Stocks</th>
							  
							  </tr>
						    </thead>
							<tbody>
							<?php 
							
							if($count<1)
							  {
							   echo "data not found";	
							   exit;
							  }	//
										
							 $total_alter_sales = array();
							 $total_base_sales  = array();
							 foreach($final_data['item'] as $item_id => $item_name) 
							 {
							   ?>
							   <tr>
								 <td><?php echo $item_name; ?></td>
								 <?php
									$alter_item_sales = 0;
									$base_item_sales  = 0;
									foreach($agent_id as $name) 
									  {
															
										   if (!isset($total_alter_sales[$name])) 
											  {
												$total_alter_sales[$name] = 0;
											  }
										   if (!isset($total_base_sales[$name])) 
											  {
												$total_base_sales[$name] = 0;
											  }
											$alter_item_count  = isset($final_data['alter'][$name][$item_id]) ? $final_data['alter'][$name][$item_id] : 0;
											$base_item_count = isset($final_data['base'][$name][$item_id]) ? $final_data['base'][$name][$item_id] : 0;
											$total_alter_sales[$name]   += $alter_item_count;
											$total_base_sales[$name]    += $base_item_count;
											$alter_item_sales +=$alter_item_count;
											$base_item_sales +=$base_item_count;

											?>		
											<td class='text-center'><?php echo $alter_item_count.'/'.$base_item_count; ?></td>
										    <?php														
										}
									?> 
									<th class='text-center'><?php echo $alter_item_sales.'/'.$base_item_sales; ?></th>
									</tr>
									<?php
							  }
							  //
							  ?> <tfoot>                               
				              <tr style="height: 56px;
									background: #f5f2ec;
									">
									<th>Total Stocks </th>
									<?php
									$total_item_alter_sales = 0;
									$total_item_base_sales  = 0;
								   foreach($agent_id as $name)
								     {
										$item_total_alter_sales = isset($total_alter_sales[$name]) ? $total_alter_sales[$name] : 0;
											$item_total_base_sales  = isset($total_base_sales[$name]) ? $total_base_sales[$name] : 0;
											$total_item_alter_sales += $item_total_alter_sales;
											$total_item_base_sales  += $item_total_base_sales;
											?>
											<th data-toggle="<?php 
											if($item_total_alter_sales || $item_total_base_sales) echo "modal"; ?>" data-target="<?php 
											if($item_total_alter_sales || $item_total_base_sales) echo "#myModal_sales"; ?>" class="text-center table-striped <?php 
											if($item_total_alter_sales || $item_total_base_sales) echo "warehouse_quantity_modal"; ?>" data-agent-id="<?php echo $name; ?>"><?php echo $item_total_alter_sales.'/'.$item_total_base_sales; ?></th>
											 <?php
								     }
										?>
									   <th class="text-center"><?php echo $total_item_alter_sales.'/'.$total_item_base_sales; ?> </th>
								   </tr>
								   
								   </tfoot> 
									   </tbody>
											<tfoot>
											 
											</tfoot>
										</table>
							 
							 
							      <!--End table-->
							      <?php
		 
							
							
						
		    }	
		  else
		    {
			  if($subregion!='s')
				{
					$baseuom_id     = array(); 
					$get_data1 = DB::table('tbl_unit_of_measurement')
					->select('tbl_unit_of_measurement.id',)
					->where('tbl_unit_of_measurement.uom_type','=',1)->get();
					foreach($get_data1 as $key=> $warehous)
					{
						 //$agent_name[$warehous->id] = $warehous->warehouse_name;
						$baseuom_id[]=$warehous->id;
					}
					$altuom_id     = array(); 
					$get_data1 = DB::table('tbl_unit_of_measurement')
					->select('tbl_unit_of_measurement.id',)
					->where('tbl_unit_of_measurement.uom_type','=',2)->get();
					foreach($get_data1 as $key=> $warehous)
					{
					//$agent_name[$warehous->id] = $warehous->warehouse_name;
					$altuom_id[]=$warehous->id;
					}
						   
				    $final_data  = array();
				    //if single subregion
					   if($subregion!=0)
						 {
							$agent_name     = array(); 
							$agent_id     = array(); 
							$get_data1 = DB::table('tbl_sub_region')
							 
							->select('tbl_sub_region.sub_region_code','tbl_sub_region.sub_region_name','tbl_sub_region.id')
							->where('tbl_sub_region.id','=',$subregion)					
							->get();
							foreach($get_data1 as $key=> $sub_region)
							 {
								 $agent_name[$sub_region->id] = $sub_region->sub_region_name;
								 $agent_id[]=$sub_region->id;
							 }
							
						  }
						 //multiple sub region
					    else  
						  {
							$agent_name     = array(); 
							$agent_id     = array(); 
							$get_data1 = DB::table('tbl_sub_region')
							 
							->select('tbl_sub_region.sub_region_code','tbl_sub_region.sub_region_name','tbl_sub_region.id')
							->get();
							
							 foreach($get_data1 as $key=> $sub_region)
							 {
								 $agent_name[$sub_region->id] = $sub_region->sub_region_name;
								 $agent_id[]=$sub_region->id;
								 
							 }
							 //dd($agent_id);
						  } 
											 
						 $get_sales_material_wise = DB::select("SELECT sum(ws.new_stock) as stock, item.material_name,item.id,subregion.id as subregion_id,
						 SUM(IF(ws.uom_id in (".implode(',',$baseuom_id)."), ws.new_stock, 0)) as base_quantity,
						 SUM(IF(ws.uom_id in (".implode(',',$altuom_id)."), ws.new_stock, 0)) as alt_quantity
						 FROM `tbl_warehouse_stock` as ws
						 LEFT JOIN tbl_material_master as item on ws.material_id=item.id
						 LEFT JOIN  tbl_sub_region as subregion on ws.subregion=subregion.id
						  WHERE date(ws.created_at) >= '".$fromdate."' AND  date(ws.created_at) <= '".$todate."' AND subregion.id in (".implode(',',$agent_id).") group by item.id,subregion_id");
						 $count=count($get_sales_material_wise);
						
						 foreach($get_sales_material_wise as $row) 
						 {
						   $final_data['item'][$row->id]  = $row->material_name;
						   if(isset($final_data['alter'][$row->subregion_id][$row->id]))
							 {
							   $final_data['alter'][$row->subregion_id][$row->id]  += $row->alt_quantity;
							   $final_data['base'][$row->subregion_id][$row->id]   += $row->base_quantity;
											
							 }
						   else
							 {
							   $final_data['alter'][$row->subregion_id][$row->id]  = $row->alt_quantity;
							   $final_data['base'][$row->subregion_id][$row->id]   = $row->base_quantity;	
							 }
		                  }		
															
							// dd($final_data);
							?>
								<!--start table-->
						   <table style="width: 100%;" id="example" class="table table-hover table-striped table-bordered">
						   <thead class="bg-secondary text-white"> 	
							 <tr style="height: 56px;
							background: #6a737b;
							color: white;">
									   <th class="text-justify text-center">Material Name</th>
										<?php foreach($agent_name as $subregion)
									   {?>
											  
												 <th class="text-justify text-center"><?php echo $subregion; ?></th>
												 
											  
										 <?php
										}
										?>
													
										<th class="text-justify text-center">Total Material Stocks</th>
													  
							  </tr>
						     </thead>
							 <tbody>
								<?php 
												
								if($count<1)
								 {
								  echo "data not found";	
								  exit;
								 }	//
													
							   $total_alter_sales = array();
							   $total_base_sales  = array();
							   foreach($final_data['item'] as $item_id => $item_name) 
							   {
								 ?>
							    <tr>
								 <td><?php echo $item_name; ?></td>
								 <?php
									$alter_item_sales = 0;
									$base_item_sales  = 0;
									foreach($agent_id as $name) 
									  {
															
										if (!isset($total_alter_sales[$name])) {
											$total_alter_sales[$name] = 0;
											}
										if (!isset($total_base_sales[$name])) 
										 {
											$total_base_sales[$name] = 0;
										 }
										$alter_item_count  = isset($final_data['alter'][$name][$item_id]) ? $final_data['alter'][$name][$item_id] : 0;
										$base_item_count = isset($final_data['base'][$name][$item_id]) ? $final_data['base'][$name][$item_id] : 0;
										$total_alter_sales[$name]   += $alter_item_count;
										$total_base_sales[$name]    += $base_item_count;
										$alter_item_sales +=$alter_item_count;
										$base_item_sales +=$base_item_count;

										?>		
										<td class='text-center'><?php echo $alter_item_count.'/'.$base_item_count; ?></td>
									    <?php													
									  }
									?> 
									<th class='text-center'><?php echo $alter_item_sales.'/'.$base_item_sales; ?></th>
									</tr>
									<?php
							   }
							   //
							  ?> <tfoot>                               
				
							   <tr style="height: 56px;
									background: #f5f2ec;
									">
										<th>Total Stocks </th>
										<?php
										$total_item_alter_sales = 0;
										$total_item_base_sales  = 0;
									   foreach($agent_id as $name)
									   {
											$item_total_alter_sales = isset($total_alter_sales[$name]) ? $total_alter_sales[$name] : 0;
											$item_total_base_sales  = isset($total_base_sales[$name]) ? $total_base_sales[$name] : 0;
											$total_item_alter_sales += $item_total_alter_sales;
											$total_item_base_sales  += $item_total_base_sales;
											?>
											<th data-toggle="<?php 
											if($item_total_alter_sales || $item_total_base_sales) echo "modal"; ?>" data-target="<?php 
											if($item_total_alter_sales || $item_total_base_sales) echo "#myModal_sales"; ?>" class="text-center table-striped <?php 
											if($item_total_alter_sales || $item_total_base_sales) echo "warehouse_quantity_modal"; ?>" data-agent-id="<?php echo $name; ?>"><?php echo $item_total_alter_sales.'/'.$item_total_base_sales; ?></th>
											 <?php
									   }
											?>
											
								   <th class="text-center"><?php echo $total_item_alter_sales.'/'.$total_item_base_sales; ?> </th>
								 </tr>
									   
							      </tfoot> 
							  </tbody>
							  <tfoot>
							 
							  </tfoot>
						   </table>
								 
								 
						 <!--End table-->
						 <?php
 
									 
						 //
				  }
				else
				  {
				   if($region!='s')
				      {
							 $baseuom_id     = array(); 
						$get_data1 = DB::table('tbl_unit_of_measurement')
						->select('tbl_unit_of_measurement.id',)
						->where('tbl_unit_of_measurement.uom_type','=',1)->get();
						foreach($get_data1 as $key=> $warehous)
						{
							 //$agent_name[$warehous->id] = $warehous->warehouse_name;
							$baseuom_id[]=$warehous->id;
						}
						$altuom_id     = array(); 
						$get_data1 = DB::table('tbl_unit_of_measurement')
						->select('tbl_unit_of_measurement.id',)
						->where('tbl_unit_of_measurement.uom_type','=',2)->get();
						foreach($get_data1 as $key=> $warehous)
						{
						//$agent_name[$warehous->id] = $warehous->warehouse_name;
						$altuom_id[]=$warehous->id;
						}
						  
					    $final_data         = array();
							//if single region
							if($region!=0)
							 {
								 $agent_name     = array(); 
								 $agent_id     = array(); 
								$get_data1 = DB::table('tbl_region')
								 
								->select('tbl_region.region_code','tbl_region.region_name','tbl_region.id')
								->where('tbl_region.id','=',$region)					
								->get()->all();
								foreach($get_data1 as $key=> $region)
								 {
									 $agent_name[$region->id] = $region->region_name;
									 $agent_id[]=$region->id;
								 }
								
				              }
							 //multiple region
							else  
							  {
								$agent_name     = array(); 
								$agent_id     = array(); 
								$get_data1 = DB::table('tbl_region')
								 
								->select('tbl_region.region_code','tbl_region.region_name','tbl_region.id')
								->get()->all();
							
									
								 foreach($get_data1 as $key=> $region)
								 {
									 $agent_name[$region->id] = $region->region_name;
									 $agent_id[]=$region->id;
									 
								 }
								 //dd($agent_id);
						       } 
								 $get_sales_material_wise = DB::select("SELECT sum(ws.new_stock) as stock, item.material_name,item.id,region.id as region_id,
								 SUM(IF(ws.uom_id in (".implode(',',$baseuom_id)."), ws.new_stock, 0)) as base_quantity,
								 SUM(IF(ws.uom_id in (".implode(',',$altuom_id)."), ws.new_stock, 0)) as alt_quantity
								 FROM `tbl_warehouse_stock` as ws
								 LEFT JOIN tbl_material_master as item on ws.material_id=item.id
								 LEFT JOIN tbl_region as region on ws.region=region.id
								  WHERE date(ws.created_at) >= '".$fromdate."' AND  date(ws.created_at) <= '".$todate."' AND region.id in (".implode(',',$agent_id).") group by item.id,region_id");
								//dd($get_sales_material_wise);		
								$count=count($get_sales_material_wise);
								
							    foreach($get_sales_material_wise as $row) 
								  {
								    $final_data['item'][$row->id]  = $row->material_name;
								    if(isset($final_data['alter'][$row->region_id][$row->id]))
									  {
									    $final_data['alter'][$row->region_id][$row->id]  += $row->alt_quantity;
									    $final_data['base'][$row->region_id][$row->id]   += $row->base_quantity;
													
									  }
									else
									 {
									  $final_data['alter'][$row->region_id][$row->id]  = $row->alt_quantity;
									  $final_data['base'][$row->region_id][$row->id]   = $row->base_quantity;	
									 }
							       }		
															
									// dd($final_data);
									?>
									<!--start table-->
										

								   <table  id="example" class="table table-hover table-striped table-bordered">
										   <thead class="bg-secondary text-white"> 	
											 <tr style="height: 56px;
											background: #6a737b;
											color: white;">
											   <th class="text-justify text-center">Material Name</th>
												<?php foreach($agent_name as $region)
											   {?>
													  
														 <th class="text-justify text-center"><?php echo $region; ?></th>
														 
													  
												 <?php
												}
											 ?>
											 
											 <th class="text-justify text-center">Total Material Stocks</th>
											  
										    </tr>
									        </thead>
												<tbody>
													<?php 
												
													//
											  if($count<1)
											     {
												  echo "data not found";	
												  exit;
											     }
									    $total_alter_sales = array();
										$total_base_sales  = array();
										foreach($final_data['item'] as $item_id => $item_name) 
										  {
											?>
												<tr>
													<td><?php echo $item_name; ?></td>
													<?php
														$alter_item_sales = 0;
														$base_item_sales  = 0;
														foreach($agent_id as $name) 
														 {
															if (!isset($total_alter_sales[$name]))
																{
																 $total_alter_sales[$name] = 0;
																}
															if (!isset($total_base_sales[$name])) {
																	$total_base_sales[$name] = 0;
																	}
															$alter_item_count  = isset($final_data['alter'][$name][$item_id]) ? $final_data['alter'][$name][$item_id] : 0;
															$base_item_count = isset($final_data['base'][$name][$item_id]) ? $final_data['base'][$name][$item_id] : 0;
															$total_alter_sales[$name]   += $alter_item_count;
															$total_base_sales[$name]    += $base_item_count;
															$alter_item_sales +=$alter_item_count;
															$base_item_sales +=$base_item_count;

															?>		
															<td class='text-center'><?php echo $alter_item_count.'/'.$base_item_count; ?></td>
														   <?php														
														}
												?> 
												<th class='text-center'><?php echo $alter_item_sales.'/'.$base_item_sales; ?></th>
												</tr>
												<?php
										  }
										   //
										  ?> <tfoot>                               
                            
										  <tr style="height: 56px;
											background: #f5f2ec;
											">
												<th>Total Stocks </th>
												<?php
												$total_item_alter_sales = 0;
												$total_item_base_sales  = 0;
											    foreach($agent_id as $name)
												  {
												    $item_total_alter_sales = isset($total_alter_sales[$name]) ? $total_alter_sales[$name] : 0;
													$item_total_base_sales  = isset($total_base_sales[$name]) ? $total_base_sales[$name] : 0;
													$total_item_alter_sales += $item_total_alter_sales;
													$total_item_base_sales  += $item_total_base_sales;
													?>
													<th data-toggle="<?php 
													if($item_total_alter_sales || $item_total_base_sales) echo "modal"; ?>" data-target="<?php 
													if($item_total_alter_sales || $item_total_base_sales) echo "#myModal_sales"; ?>" class="text-center table-striped <?php 
													if($item_total_alter_sales || $item_total_base_sales) echo "warehouse_quantity_modal"; ?>" data-agent-id="<?php echo $name; ?>"><?php echo $item_total_alter_sales.'/'.$item_total_base_sales; ?></th>
													 <?php
											      }
											?>
										   <th class="text-center"><?php echo $total_item_alter_sales.'/'.$total_item_base_sales; ?> </th>
                                         </tr>
									   
									       </tfoot> 
										      </tbody>
												<tfoot>
												 
												</tfoot>
									</table>
								 
								 
								 <!--End table-->
								 <?php
		 
							
						} 
				   }
			  }
		  
     }	
 }
