<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\SubRegionTypeModel;
use App\Models\RegionTypeModel;
use Illuminate\Support\Facades\DB;
use App\Models\ManageCodeModel;
use Session;

class SubRegionController extends Controller
 {
    public function list()
	 {
		//$get_data = SubRegionTypeModel::all()->sortByDesc('id');
	
		$get_data = DB::table('tbl_sub_region')
		->leftJoin('tbl_region', 'tbl_sub_region.region_id', '=', 'tbl_region.id')
		
		->select('tbl_sub_region.*', 'tbl_region.region_name')
		->orderBy('id', 'DESC')
		->get();
	 
		//$get_data =DB::table('tbl_sub_region')
		//->join('tbl_region','tbl_sub_region.region','=','tbl_region.id')
		//->select('tbl_sub_region.*','tbl_region.region_name')->latest();
		
	
		return view('Parameters_Configuration.sub_region_list',compact('get_data'));
	}
   public function add()
	{ 
	  $result =SubRegionTypeModel::get()->sortByDesc('id')->first();
	  if($result=='')
		{
			$getcode = ManageCodeModel::where('id', 1)->first();
			$last_code = $getcode->sub_region_code;
		}
	  else
		{
		   $getcode = $result->sub_region_code; 
		   $last_code = ++$getcode;
		} 

		   $region = RegionTypeModel::all()->sortByDesc('id')->where('status', '=', 'active');
		   return view('Parameters_Configuration.sub_region',compact('region','last_code'));
     }
	public function edit($id)
	 {
		  //$region = RegionTypeModel::all()->sortByDesc('id');
		  $get_data = SubRegionTypeModel::find($id);
		  $region =RegionTypeModel::all()->sortByDesc('id')->where('status', '=', 'active');
		  $last_code = $get_data->sub_region_code;
		
		  return view('Parameters_Configuration.sub_region',compact('get_data','region','last_code'));
	 }
	public function save(Request $request)
	 {
		 $data=new SubRegionTypeModel;			
		 if($request->updated_id) 
		   {			
				$data = SubRegionTypeModel::find($request->updated_id);
				$data->sub_region_code=$request->sub_region_code;
				$data->region_id=$request->region;
				$data->sub_region_name=$request->sub_region_name;
				$data->updated_user= Session::get('user_id');
				$data->status=$request->status;
				$data->save();
				return redirect(route('subregion_list'))->with('successMessage','Sub Region Updated Successfully');		
		   } 
		 else 
		   {		  	
				$data->sub_region_code=$request->sub_region_code;
				$data->region_id=$request->region;
				$data->sub_region_name=$request->sub_region_name;
				$data->created_user= Session::get('user_id');
				$data->status=$request->status;
				$data->save();
				return redirect(route('subregion_list'))->with('successMessage','Sub Region Added Successfully');
		   }	
	 }
 }
