<?php

namespace App\Http\Controllers;
use Illuminate\Http\Request;
use App\Models\SupplierTypeModel;
use Session;
use App\Models\ManageCodeModel;

class SupplierTypeController extends Controller
 {
   public function list()
	{		
		$get_data = SupplierTypeModel::all()->sortByDesc('id');
	
		return view('Parameters_Configuration.supplier_type_list',compact('get_data'));
	}
	
   public function add()
	{ 
	  $result =SupplierTypeModel::get()->sortByDesc('id')->first();
	  if($result=='')
	    {
			$getcode = ManageCodeModel::where('id', 1)->first();
			$last_code = $getcode->supplier_type_code;
		}
	  else
	    {
		   $getcode = $result->supplier_type_code; 
		   $last_code = ++$getcode; 
	    } 
		return view('Parameters_Configuration.supplier_type',compact('last_code'));
	}
	
   public function edit($id)
	{
		$get_data=SupplierTypeModel::find($id);
		$last_code = $get_data->supplier_type_code;
		
		return view('Parameters_Configuration.supplier_type',compact('get_data','last_code'));
	}

   public function save(Request $request)
	{	
	  $data=new SupplierTypeModel;			
	  if($request->updated_id) 
		{
			$data = SupplierTypeModel::find($request->updated_id);
			$data->supplier_type_code=$request->supplier_type_code;
			$data->supplier_type_name=$request->supplier_type_name;
			$data->updated_user= Session::get('user_id');
			$data->status=$request->status;
			$data->save();
			return redirect(route('supplier_type_list'))->with('successMessage','Supplier  Updated Successfully');

		} else
		  {
			$data->supplier_type_code=$request->supplier_type_code;
			$data->supplier_type_name=$request->supplier_type_name;
			$data->created_user= Session::get('user_id');
			$data->status=$request->status;
			$data->save();
			return redirect(route('supplier_type_list'))->with('successMessage','Supplier  Added Successfully');
		
		  
		  }	   	
	 }
	
 }