<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\RegionTypeModel;
use App\Models\SubRegionTypeModel;
use App\Models\WarehouseModel;
use App\Models\RouteModel;
use App\Models\CustomerModel;
use App\Models\SalesmanModel;
use App\Models\MaterialMasterModel;
use Illuminate\Support\Facades\DB;
use Maatwebsite\Excel\Facades\Excel;
use App\Exports\SalesReportExport;

use PDF;

class TripReportController extends Controller
{
    //

    public function list()
	{		
		//$get_data = SupplierTypeModel::all()->sortByDesc('id');

		$region =RegionTypeModel::all()->sortByDesc('id')->where('status', '=', 'active');
       foreach($region as $key=> $reg){

            $all_region[$key] = $reg->id; 
		 
	   }
     
      $regId=implode(",",$all_region);
        // foreach($region as $reg){  
        //     $data[] = $reg->id;
        // }
        // $sub_region =SubRegionTypeModel::all()->sortByDesc('id')->whereIn('region_id', $data)->where('status', '=', 'active');
        // foreach($sub_region as $sub){  
        //     $data1[] = $sub->id;
        // }
        // $customers =CustomerModel::all()->sortByDesc('id')->where('customer_type', '=', '1')->whereIn('sub_region',$data1)->where('status', '=', 'active');
        
        // dd($data1);


		return view('Report.trip_report',compact('region','regId'));  
	}


    public function get_trip_subregion($region)
	{

		
		$data = explode(',',$region);
		

		$sub_region =SubRegionTypeModel::all()->sortByDesc('id')->whereIn('region_id',$data)->where('status', '=', 'active');
		
		if(count($sub_region)>0){
			foreach($sub_region as $subreg){
				
				$all_subregion[] = $subreg->id;
			}
			$subregId=implode(",",$all_subregion);
		}else{

			$subregId = 0;
		}

		
		?>
		<option  value="">     </option>
		<?php if(count($sub_region) > 0){ ?>
			<option  value="0" data-value="<?php echo $subregId ?>">Select All</option>
		<?php } 
		foreach($sub_region as $sub_region_name)
		  {
			?>
			  <option value="<?php echo $sub_region_name->id ?>"  ><?php echo $sub_region_name->sub_region_code.' - '.$sub_region_name->sub_region_name  ?></option>	
		    <?php  	   	
		  }
	}

    
    public function get_trip_distributor($sub_region)
    {

			$data1 = explode(',',$sub_region);

			$customers =CustomerModel::all()->sortByDesc('id')->where('customer_type', '=', '1')->whereIn('sub_region',$data1)->where('status', '=', 'active');
			
			if(count($customers)>0){
				foreach($customers as $cus){
					
					$all_customer[] = $cus->id;
				}
				
				$distributorId=implode(",",$all_customer);
			}else{

				$distributorId = 0;
			}
		
		?>
		<option  value="">     </option>

		<?php if(count($customers) > 0){ ?>
		<option  value="0" data-value="<?php echo $distributorId ?>">Select All</option>
		<?php }

		foreach($customers as $customer)
		  {
			?>
			  <option value="<?php echo $customer->id ?>"  ><?php echo $customer->customer_code.' - '.$customer->customer_name ?></option>	
		    <?php  	   	
		  }

    }

   
    public function get_trip_route($distributor)     //here distributor is a customer whose type is distributor
    {

			$data2 = explode(',',$distributor);

			$routes =RouteModel::all()->sortByDesc('id')->whereIn('distibutor_id',$data2)->where('status', '=', 'active');
			
			if(count($routes) > 0){
				foreach($routes as $route){
					
					$all_route[] = $route->id;
				}
				
				$routeId=implode(",",$all_route);

			}else{

				$routeId = 0;
			}
   
		?>
		<option  value="">     </option>
		<?php if(count($routes) > 0){ ?>
		<option  value="0" data-value="<?php echo $routeId ?>">Select All</option>
		<?php }
		foreach($routes as $route)
		  {
			?>
			  <option value="<?php echo $route->id ?>" ><?php echo $route->route_code.' - '.$route->route_name ?></option>	
		    <?php  	   	
		  }

    }
    

    public function get_trip_report_list($fromdate,$todate,$region,$sub_region,$distributor,$route){
             

			$where = "";
		
			if($route != 's'){
			$where .= "AND trip.route_id  IN ($route) ";
			
			}

			// dd($where);
			$get_data = DB::SELECT("SELECT trip.trip_code, trip.start_time as login_time, trip.end_time as logout_time, r_header.return_number,
			r_details.resion,
			sum(sload.total_load_value) as load_value, sum(invoice.total_invoice_value) as invoice_value, sum(r_details.total) as return_value,
			    SUM(IF(r_details.return_type = 1, r_details.total, 0)) as good_return_total,
                SUM(IF(r_details.return_type = 2, r_details.total, 0)) as bad_return_total
			
			FROM `tbl_trip_code` as trip
			LEFT JOIN tbl_route_salesmanload_header as sload on trip.id = sload.trip_id 
			LEFT JOIN tbl_route as rt on trip.route_id = rt.id 
			LEFT JOIN tbl_route_invoice_header as invoice on trip.id = invoice.trip_id
			LEFT JOIN tbl_return_sales_header as r_header on trip.id = r_header.trip_id
			LEFT JOIN tbl_return_sales_details as r_details on r_header.id = r_details.header_id

			WHERE date(trip.created_at) >= '".$fromdate."' AND  date(trip.created_at) <= '".$todate."' 
			AND trip.distributor_id IN (".$distributor.") ".$where."
			GROUP BY trip.id,r_header.id");

			// dd($get_data);
			
			// $get_data = DB::table('tbl_trip_code as trip')
			// ->leftJoin('tbl_route_salesmanload_header as load','load.trip_id','=','trip.id')
			// ->leftJoin('tbl_route_invoice_header as invoice','invoice.trip_id','=','trip.id')
			// ->leftJoin('tbl_return_sales_header as r_header','r_header.trip_id','=','trip.id')
			// ->leftJoin('tbl_return_sales_details as r_details','r_details.header_id','=','r_header.id')
			// ->select('trip.trip_code','trip.start_time','trip.end_time','load.total_load_value','invoice.total_invoice_value','return.total')
			// ->where( date('trip.created_at') >= $fromdate)
			// ->where( date('trip.created_at') <= $todate)
			// ->where('trip.region_id',$region)
			// ->where('trip.subregion_id',$sub_region)
			// ->where('trip.distributor_id',$distributor)
			// ->where('trip.route_id',$route)
			// ->get()->all();

			// dd($get_data);
			 
			$html = "<table style='width: 100%;' id='example' class='table table-hover table-striped table-bordered'>
				<thead>
					<tr>
						<th class='text-center'>Trip Code</th>
						<th class='text-center'>Login Time</th>
						<th class='text-center'>Logout Time</th>
						<th class='text-center'>Load Total</th>
						<th class='text-center'>Unload Total</th>
						<th class='text-center'>Invoice Total</th>
						<th class='text-center'>Good Return Total</th>
						<th class='text-center'>Bad Return Total</th>

					</tr>
				</thead>
	  
				<tbody>";

				
				
				// foreach($get_data as $data)
				// {

				// $get_data = DB::table('tbl_trip_code as trip')
				
				// ->select('trip_code','start_time','end_time','')
				 
				foreach($get_data as $data){
				$html .= "<tr>
					<td class='font-weight-bold text-justify text-left'>".$data->trip_code."</td>
						
					<td class='font-weight-bold text-justify text-left'>".$data->login_time."</td>
						
					<td class='font-weight-bold text-justify text-left'>".$data->logout_time."</td>
						
					<td class='font-weight-bold text-justify text-left'>".$data->load_value."</td>

					<td class='font-weight-bold text-justify text-center'></td>
						
					<td class='font-weight-bold text-justify text-center'>".$data->invoice_value."</td>
					
					<td class='font-weight-bold text-justify text-center'>".$data->good_return_total."</td>

					<td class='font-weight-bold text-justify text-center'>".$data->bad_return_total."</td>

					
					
					</tr>";
				 }
											
				$html .= "</tbody>
	  
						<tfoot>
						<!--<tr>
						  <th>Currency code </th>
						  <th>Currency Name</th>
						  <th>Currency Notation</th>
						  <th>Status</th>
						  <th>Action</th>
						</tr>-->
						</tfoot>
				   		</table>";
					 
				$return['html'] = $html;
				echo json_encode($return);die;

		
    }

}
