<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\UnitOfConversionModel;
use App\Models\UnitOfMeasurementModel;
use App\Models\ManageCodeModel;
use Illuminate\Support\Facades\DB;
use Session;

class UnitConversionController extends Controller
 {
    public function list()
     {
		//$get_data = UnitOfConversionModel::all()->sortByDesc('id');
		$get_data = DB::table('tbl_unit_of_conversion')
		->leftJoin('tbl_unit_of_measurement', 'tbl_unit_of_conversion.uom_id', '=', 'tbl_unit_of_measurement.id')
		
		->select('tbl_unit_of_conversion.*', 'tbl_unit_of_measurement.uom_name')
		->orderBy('id', 'DESC')
		->get();
		//dd($get_data);

        return view('Parameters_Configuration.unit_conversion_list',compact('get_data'));
     }
    public function add()
	 {
		$result =UnitOfConversionModel::get()->sortByDesc('id')->first();
		if($result=='')
		  {
			$getcode = ManageCodeModel::where('id', 1)->first();
			$last_code = $getcode->uom_code;
			
			$getcode = ManageCodeModel::where('id', 1)->first();
			$last_code = $getcode->uom_code;
		   }
		 else
		   {
			 $getcode = $result->uom_code; 
			 $last_code = ++$getcode;
		   }
		 $uom_name = UnitOfMeasurementModel::all()->sortByDesc('id')->where('status', '=', 'active');
		 return view('Parameters_Configuration.unit_conversion',compact('last_code','uom_name'));
		
     }
    public function edit($id)
     {		
		$get_data=UnitOfConversionModel::find($id);
		$uom_name = UnitOfMeasurementModel::all()->sortByDesc('id')->where('status', '=', 'active');
		$last_code = $get_data->uom_code;
		
		return view('Parameters_Configuration.unit_conversion',compact('get_data','last_code','uom_name'));		
     }
    public function save(Request $request)
     {   
	   $data=new UnitOfConversionModel;           
	   if($request->updated_id) 
		 {           
			 $data = UnitOfConversionModel::find($request->updated_id);
			 $data->uom_code=$request->uom_code;
			 $data->uom_id=$request->uom_name;
			 $data->alternate_unit=$request->alternate_unit;
			 $data->conversion=$request->conversion;
			 $data->updated_user= Session::get('user_id');
			 $data->status=$request->status;
			 $data->save();
			 return redirect(route('unit_conversion_list'))->with('successMessage','UnitConversion Updated Successfully');
		
		 } 
	   else 
		 {           
			 $data->uom_code=$request->uom_code;
			 $data->uom_id=$request->uom_name;
			 $data->alternate_unit=$request->alternate_unit;
			 $data->conversion=$request->conversion;
			 $data->created_user= Session::get('user_id');
			 $data->status=$request->status;
			 $data->save();
            
		 }           
		 return redirect(route('unit_conversion_list'))->with('successMessage','UnitConversion  Added Successfully');
         
     }
    
 }
