<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateCurrencyTypeModelsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
	  public function up()
    {
        Schema::create('tbl_currency_type', function (Blueprint $table) {
            $table->id();
			$table->string('currency_code',20);
			$table->string('currency_name',120);
			$table->string('currency_notation',50);  
			$table->integer('created_user')->length(11)->nullable();
			$table->integer('updated_user')->length(11)->nullable();
	        $table->enum('status', ['active', 'inactive']); 
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
		
        Schema::dropIfExists('tbl_currency_type');
    }
    
}
