<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateBankModelsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
		
       Schema::create('tbl_bank', function (Blueprint $table) {
            $table->integer('id');
			$table->integer('company_id');
			$table->string('bank_code',25);
			$table->string('bank_name',25);
			$table->string('bank_account_number',25);
			$table->string('branch',25);
			$table->integer('country_id',11);
			$table->integer('city_id',11);
			$table->string('address',200);
			$table->integer('created_user')->length(11)->nullable();
			$table->integer('updated_user')->length(11)->nullable();
	        $table->enum('status', ['active', 'inactive']); 
            $table->timestamps();
        });

    

    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('tbl_bank');
    }
}
