<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateOutletModelsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('tbl_outlet', function (Blueprint $table) {
            $table->integer('id');
			$table->integer('company_id');
			$table->string('outlet_code',100);
			$table->string('outlet_name',100);
			$table->string('contact_persion',100);
			$table->string('contact_number',15);
			$table->integer('country_id');
			$table->integer('city_id');
			$table->integer('warehouse_id');
			$table->string('address',120);
			$table->integer('distibutor_id');
            $table->integer('created_user')->length(11)->nullable();
            $table->integer('updated_user')->length(11)->nullable();
	        $table->enum('status', ['active', 'inactive']); 
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('tbl_outlet');
    }
}
