<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateCreditCollectionModelsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('tbl_route_credit_collection', function (Blueprint $table) {
            $table->integer('id');
			$table->string('customer_id',20);
			$table->string('date',20);
			$table->string('collection_no',20);
			$table->string('warehouse_id',20);
			$table->string('salesman_id',20);
			$table->string('route_id',20);
			$table->string('invoice_id',20);
			$table->decimal('collection_amt',10,2);
			
			
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('tbl_route_credit_collection');
    }
}
