<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateCompanyExpensesModelsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('tbl_company_expenses', function (Blueprint $table) {
            $table->integer('id');   
            $table->integer('created_user');   
			$table->string('expense_no',20);
			$table->string('expense_type',20);
			$table->decimal('expense_amount',10,2);
			$table->date('expense_date');
			//$table->string('route_id',20);
			$table->string('warehouse_id',20);
			$table->string('comment',200);
			//$table->string('currency',20);
			 
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('tbl_company_expenses');
    }
}

