<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateCompanyOutstandingModelsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('tbl_company_outstanding', function (Blueprint $table) {
            $table->integer('id'); 
            $table->integer('region')->length(11)->nullable(); 
            $table->integer('subregion')->length(11)->nullable(); 
			$table->string('warehouse',20);
			$table->string('due_date',20);
			$table->string('customer',20);
	        $table->string('invoice_id',20);
			$table->string('invoice_number',20);
			$table->decimal('invoice_total',10,2);
			$table->decimal('invoice_paid',10,2);
			$table->decimal('invoce_outstandig',10,2);
			$table->decimal('credit_amount',10,2);
			$table->enum('delivery_type', ['is_credit_note', 'is_invoice']); 
			$table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('tbl_company_outstanding');
    }
}
