<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateSubMenuModelsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('tbl_sub_menu', function (Blueprint $table) {
            $table->id();
			
			$table->integer('menu_id');
			$table->string('sub_menu_name',250);
			
			$table->string('sub_menu_url',250);
			$table->integer('sub_menu_order');
			$table->integer('visible_menu');
			$table->integer('menu_action');
			$table->integer('parent_sub_menu');
			
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('tbl_sub_menu');
    }
}
