<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateStockReserveModelsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('tbl_stock_reserve', function (Blueprint $table) {
            $table->id();
			$table->integer('warehouse_id');
			$table->integer('route_warehouse_id');
			$table->integer('uom');
			$table->integer('item_id');
			$table->integer('qty');
			$table->integer('bad_qty');
			$table->integer('route_id');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('tbl_stock_reserve');
    }
}
