@include('theme_layout/header')
@include('theme_layout/nav')
<div class="app-main__outer">
 <div class="app-main__inner"> 
   <div class="app-page-title">
     <div class="page-title-wrapper"> 
       <div class="page-title-heading"> 
	   
         <div class="page-title-icon">
			<i class="pe-7s-graph text-success"></i>
		 </div> <!--page-title-icon-->
		 
         <div>{{ request()->route('id') ? 'Edit' :'Add '}} Advance Payment </div> 
       </div> <!--page-title-heading-->
	   
		<div class="page-title-actions"> 
		  <div class="d-inline-block dropdown">
			<a href="{{route('advance_payment_list')}}" class="mt-3 btn btn-primary btn-lg text-white"> 
			 <i class="fa fa-arrow-left fa-w-20"></i> Back</a>
		  </div> 
		</div> 
	 </div><!--page-title-wrapper-->
	</div> <!--app-page-title-->
	
	<div class="tab-content">
	 <div class="tab-pane tabs-animation fade show active" id="tab-content-0" role="tabpanel">
	  <div class="main-card mb-3 card">
		<div class="card-body">
		   <form class="" id="cheque_id" onsubmit="return checkForm(this);" action="{{ route('advance_payment_store') }}" method="post" enctype="multipart/form-data" > 
		    {{ csrf_field() }}
			
			  <div class="form-row"> 
				<div class="col-md-4">
				  <div class="position-relative form-group">
				    <label for="payment_type" class="ml-2 font-weight-bold">Payment Type</label>
					  <select class="form-control" title="Select Payment Type" name="payment_type" id="payment_type" required>
						<option value="">  </option>
						<option value="Cash"> Cash </option>
						<option value="Cheque"> Cheque </option>
						<option value="Transfer"> Transfer </option>
					  </select>
				  </div>
				</div> 
				  <div class="col-md-4"> 
					<div id="distributor1" style="" class="position-relative form-group">
					   <label  class="font-weight-bold ml-2" for="distributor" class="">Distributor</label>
						<select class="mb-2 form-control" name="distributor" placeholder=" " id="distributor"  > 
						  <option value=""></option>
							@foreach($distibutor  as $distributor)
						     <option value ="{{$distributor->id}}">{{$distributor->customer_code}} - {{$distributor->customer_name}}</option>
							@endforeach 
						</select>
					</div>
				  </div>  
				   <div class="col-md-4" id="company_bank1" style="display:none"> 
					<div  class= "position-relative form-group">
					  <label  class="font-weight-bold ml-2" for="company_bank" class="">Company Bank  </label>
						<select class="mb-2 form-control" name="company_bank" placeholder="" id="company_bank" required> 
						  <option value=""> </option>
							@foreach($company_bank as $company_bank)
							  <option value ="{{$company_bank->id}}">{{$company_bank->bank_code}} - {{$company_bank->bank_name}}</option>
								@endforeach 
						</select>
					</div>
				  </div>  
				  
					<div class="col-md-4"> 
					  <div class="position-relative form-group">
						<label  class="font-weight-bold ml-2" for="company_bank_name" class="">Company Bank Name</label>
						  <input class="mb-2 form-control" name="company_bank_name" id="company_bank_name_add" placeholder="" readonly required> 
					  </div> 
					</div> 	
					
					<div class="col-md-4"> 
					  <div class="position-relative form-group">
						<label  class="font-weight-bold ml-2" for="company_branch_name" class="">Company Branch Name</label>
						  <input maxlength="250" name="company_branch_name" id="company_branch_name_add" placeholder="" value=""  type="text" class="form-control" autocomplete="off" readonly  required>
					  </div> 
					</div>
					  <div class="col-md-4"> 
						<div class="position-relative form-group">
						  <label  class="font-weight-bold ml-2" for="company_account_no" class="">Company Account Number</label>
						  <input maxlength="250" name="company_account_no" id="company_account_no_add" placeholder="" value=""  type="text" class="form-control" autocomplete="off" readonly required>
						</div> 
					  </div>
				 
						<div class="col-md-4"> 
						  <div class="position-relative form-group">
							<label  class="font-weight-bold ml-2" for="total_amt" class="">Total Amount</label>
							<input maxlength="250" name="total_amt" id="total_amt" value="{{ request()->route('id') ? $get_data->total_amt : ''}}" placeholder=" " type="text" class="form-control" onkeypress="return isNumber(event);" autocomplete="off" required>
						  </div> 
						</div>
						 <div class="col-md-4" id ="cheque_details" style="display:none"> 
						<div class="position-relative form-group">
						  <label  class="font-weight-bold ml-2" for="cheque_no" class="">Cheque Number</label>
							<input maxlength="250" name="cheque_no" id="cheque_no" value="{{ request()->route('id') ? $get_data->cheque_no : ''}}" placeholder=""  type="text" class="form-control" autocomplete="off" >
						</div> 
					  </div>
					   <div class="col-md-4" id ="cheque_details1" style="display:none">
						
						   <div class="position-relative form-group">
						     <label id="cheque_id1" class="font-weight-bold ml-2" for="cheque_date" class="">Cheque Date</label>
						     <input  maxlength="120" name="cheque_date" id="cheque_date" placeholder="" type="date" class="form-control" value="{{ request()->route('id') ? $get_data->cheque_date : '' }}" autocomplete="off" >
						   </div>
						</div> 
								  
					 
					  <div class="col-md-4"> 
						<div class="position-relative form-group">
						   <label  class="font-weight-bold ml-2" for="distributor_bank_name" class="">Distributor Bank Name</label>
						   <input maxlength="250" name="distributor_bank_name" id="distributor_bank_name_add" value=""  placeholder="" type="text" class="form-control" autocomplete="off" readonly >
						</div> 
					  </div>	
					  
					  <div class="col-md-4"> 
					  
						<div class="position-relative form-group">
						   <label  class="font-weight-bold ml-2" for="distributor_account_no" class="">Distributor Account Number</label>
						     <input maxlength="250" name="distributor_account_no" id="distributor_account_no_add" value="" placeholder="" type="text" class="form-control" autocomplete="off" readonly>
						</div>
					  </div> 
					  
					   
						<div class="col-md-4"> 
						   <div class="position-relative form-group">
							  <label  class="font-weight-bold ml-2" for="receipt_no" class="">Receipt Number</label>
								<input maxlength="250" name="receipt_no" id="receipt_no" value="{{ request()->route('id') ? $get_data->receipt_no : ''}}" placeholder=" " type="text" class="form-control" autocomplete="off" required>
						   </div> 
						</div>  
						
						  <div class="col-md-4">
							<div class="position-relative form-group">
							  <label class="font-weight-bold ml-2" for="receipt_date" class="">Receipt Date</label>
							  <input  maxlength="120" name="receipt_date" id="receipt_date" placeholder="" type="date" class="form-control" value="{{ request()->route('id') ? $get_data->receipt_date : '' }}" autocomplete="off" required>
							</div>
						  </div>
						  <div class="col-md-4">
						   <div class="position-relative form-group">
						     <label class="font-weight-bold ml-2" for="receipt_image" class="">Receipt Image</label>								  
							 <input  maxlength="250"  name="receipt_image" id="receipt_image" placeholder="" type="file" class="form-control" autocomplete="off">
						   </div>
						  </div> 
						  </div> 
						  
						<div class="form-row">
						  <div class="col-md-5">
						  </div>
							@if(request()->route('id'))
							  <button name="btnsubmit" class="mt-3 btn btn-primary btn-lg">Update</button>
							@else 
							  <button type="submit" name="btnsubmit" class="mt-3 btn btn-primary btn-lg">Add Advance Payment</button>
							@endif
															
							  <div class="col-md-0.5"></div>
								<a href="{{route('advance_payment_list')}}" class="mt-3 btn btn-danger  btn-lg">Cancel</a>
								
						</div>   <!--form-row-->
							 
		  </form>
					   
	    </div>  <!--card body-->
	   </div>  <!--main-card mb-3 card-->
	 </div>   <!--tab-pane tabs-animation fade show active-->
    </div>  <!--Tab content-->
 </div>   <!--app-main__inner-->
</div>  <!--app-main__outer-->
</div>
			 					
@include('theme_layout/footer')

 <script>
   var jq = $.noConflict();
   
   function checkForm(form)
			{ 
		form.btnsubmit.disabled = true;
		return true;
			}
     jq(document).ready(function(){
	   
	   $('#payment_type').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	   $('#distributor').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	   $('#company_bank').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	   
        jq("#company_bank").click(function(){	
		  var company_bank = jq('#company_bank').val();	
			get_company_bank(company_bank);
			get_company_branch(company_bank);
			get_company_ac(company_bank);
        }); 
   
		jq("#distributor").click(function(){	
		  var distributor = jq('#distributor').val();
	      //alert(distributor);
	       get_distributor_bank_name(distributor);
	       get_distributor_bank_ac(distributor);
	         //get_company_branch(company_bank);
	         //get_company_ac(company_bank);
        }); 

		  $("#payment_type").change(function(){
		  jq('#company_bank1').show() 
		   var payment_type = jq('#payment_type').val();
	       if(payment_type=='Cheque'){
			jq('#cheque_details').show();  
			jq('#cheque_details1').show();  
	       }
			else{	  
			  jq('#cheque_details').hide();
			  jq('#cheque_details1').hide();
			}
		});
		
	function get_company_bank(company_bank){
	  jq.ajax({
       url: "{{ URL('order_get_company_bank/') }}"+"/" +company_bank,       
       type:"GET",
       success:function(respons)
        {
	     if(respons)
		  {
			jq('#company_bank_name_add').val(respons);		
		  }
        }
      });
    } // get_company_bank

	function get_company_branch(company_bank){
	  jq.ajax({
       url: "{{ URL('get_company_bank_branch/') }}"+"/" +company_bank,       
       type:"GET",
       success:function(respons)
        {
	     if(respons)
		  {
			jq('#company_branch_name_add').val(respons);		
		  }
        }
      });
    }  //get_company_branch

	function get_company_ac(company_bank){
	  jq.ajax({
       url: "{{ URL('get_company_bank_ac/') }}"+"/" +company_bank,       
       type:"GET",
       success:function(respons)
        {
	     if(respons)
		  {
		   jq('#company_account_no_add').val(respons);
			
		  }
        }
      });
    }  //get_company_ac

	function get_distributor_bank_name(distributor){
	  jq.ajax({
       url: "{{ URL('get_distributor_bankname/') }}"+"/" +distributor,       
       type:"GET",
       success:function(respons)
        {
	     if(respons)	
		  {
			//alert(respons);
			jq('#distributor_bank_name_add').val(respons);		
		  }
		}
	   });
	}  //get_distributor_bank_name

	function get_distributor_bank_ac(distributor){
	  jq.ajax({
       url: "{{ URL('get_distributor_bankac/') }}"+"/" +distributor,       
       type:"GET",
       success:function(respons)
        { 
	     if(respons)
		  {
			jq('#distributor_account_no_add').val(respons);		
		  }
		}
	   });
	}   //get_distributor_bank_ac  
	
    });

</script>   
 