@include('theme_layout/header')
@include('theme_layout/nav')
	
<div class="app-main__outer">
 <div class="app-main__inner">
  <div class="app-page-title">
   <div class="page-title-wrapper">
    <div class="page-title-heading">
        
     <div class="page-title-icon"><i class="pe-7s-graph text-success"></i></div>
      <div>Add Credit Note</div>
    </div>  <!--page-title-heading-->
        
    <div class="page-title-actions">
     <div class="d-inline-block dropdown">
	  <a id="back" class="mt-3 btn btn-primary btn-lg text-white"><i class="fa fa-arrow-left fa-w-20 text-white"></i> Back</a>
	 </div>
    </div>   <!--page-title-actions-->
   </div>    <!--page-title-wrapper-->
  </div>   <!--app-page-title-->          
					 
  <div class="tab-content">
   <div class="tab-pane tabs-animation fade show active" id="tab-content-0" role="tabpanel">
    <div class="main-card mb-3 card">
     <div class="card-body"><h5 class="card-title"></h5>
	  <form id="material_form" class="" onsubmit="return checkForm(this);" action="{{ route('company_credit_note_store') }}" method="post">
	  
	  {{ csrf_field() }}
	  
	  <div class="form-group row">
       <div class="col-md-4">
		<div class="position-relative form-group">
		   <label  class="font-weight-bold ml-2" for="customer_type" class="">Order Type:</label>
		   <select  class="mb-2 form-control" name="order_type"  id="order_type" required> 
			<option  value="">     </option>
			<option {{request()->route('return')=='2' ? 'selected' : ''}} value="2" >Return - Order</option>	 
		   </select>
		   <input  maxlength="120"  name="order_typehidden" id="order_typehidden"  type="hidden" class="form-control" value="" autocomplete="off"  required>
		   <input  type="hidden" id="company_credit_note_number" name="company_credit_note_number" class="form-control" value="{{$last_code}}" autocomplete="off">
		</div>   <!--position-relative form-group-->
	   </div>
	   <div class="col-md-4">
        <div class="position-relative form-group">
		   <label  class="font-weight-bold ml-2" for="customer_type" class="">Delivery </label>
		  <select class="mb-2 form-control" name="delivery_number" id="delivery_number" required > 
		   @if(request()->route('return'))  
			@foreach($order_name as  $details1)
			 <option {{request()->route('id')==$details1->id ? 'selected' : ''}} value="{{$details1->id}}">{{$details1->company_delivery_number}}  ({{$details1->customer_code}} - {{$details1->customer_name}} )
			 </option>	
			@endforeach
           @endif													
		   </select>
		</div>    <!--position-relative form-group-->
	   </div>
	  </div>    <!-- form-group row -->
	  <div class="form-group row">
	  @if(request()->route('return'))  
		 <div class="col-md-4">			      
	      <div class="position-relative form-group">
			  <label class="font-weight-bold ml-2" for="customer_type" class="">Order Code </label>
			   <input readonly type="text" name="" class="form-control"
	            value="{{$get_order_number->company_order_number}}">
		  </div>    <!--position-relative form-group-->
		 </div>
		@endif
		
        </div>

	  <div class="mb-5" >
	   <h5> 
		<p class="font-weight-bold float-right mr-5">
		 <bold>Credit Note Code:  #{{$last_code}}</bold>
		</p>
	   </h5>
      </div> 
<!--  add row -->
      <section>
<!--for return order-->		
	  @php
		$k='';
	  @endphp
	  
	@if(request()->route('id'))
	@if(request()->route('return')=='2')			 
			 
	  <div id="return_table"  class="panel panel-footer">
       <table class="table table-bordered" id="myTable1">
		<thead>
         <tr>
		  <th style="width:15%; text-align: center;">Material</th>
		   <th style="width:13%; text-align: center;">UOM</th>
		   <th style="width:10%; text-align: center;">Qty</th>
		   <th style="width:10%; text-align: center;">Unit Price</th>
		   <th style="width:15%; text-align: center;">Return Type</th>
		   <th style="width:18%; text-align: center;">Return Reason</th>
		   <th style="width:20%; text-align: center;">Total</th>     
						<!--<th>Action</th>-->
		 </tr>
		</thead>
		 					
		 <tbody id="dynmic_row1">
		 @foreach($get_data_details as $key=> $details)
					
	     <tr id="row_{{$key}}">
		 <td style="width: 15%;" id="mitem_0" >
		    <label  style="text-align:center;" class="lprice font-weight-bold ml-2"  for="comment"> {{$details->mat_code}} - {{$details->material_name}}
				</label>
		   <input type="hidden" id="get_material_{{$key}}" name="material_name1[]" value ="{{$details->material_id}}">
		 </td>
						 
		 <td id="uitem_{{$key}}" style="width: 10%;">
		  <label  style="text-align:center;" class="lprice font-weight-bold ml-2"  for="comment"> {{$details->uom_code}} - {{$details->uom_name}} 
			</label>
		<input type="hidden" name="uom[]" class="form-control"
	            value="{{$details->uom}}">
				
		 </td>
		 				
		 <td id="qitem_{{$key}}">
		    <label  style="text-align:center;" class="lprice font-weight-bold ml-2"  for="comment"> {{$details->quantity}}  
				 </label>
		   <input  value="{{$details->quantity}}" id="qty_{{$key}}" type="hidden" name="quantity1[]" class="form-control quantity" autocomplete="off">
		 </td>		
		 <td id="pitem_{{$key}}">
		  <label  style="text-align:center;"  class="lprice font-weight-bold ml-2 " id="orderlprice_{{$key}}" for="comment">  {{number_format($details->unite_price,2)}}   
		  </label>
		  <input  value="{{$details->unite_price}}"  id="orderprice_{{$key}}" type="hidden" name="price1[]" class="form-control price" autocomplete="off">
		  <input autocomplete="off" value="{{$details->base_qty}}"  id="packing_size_{{$key}}" type="hidden" name="packing_size[]" class="form-control packing_size">
						   
		 </td>
						
		 <td style="width: 15%;" id="rtitem_{{$key}}"> 
		  
		  <label  style="text-align:center;"  class="lprice font-weight-bold ml-2 " id="orderlprice_{{$key}}" for="comment">  {{$details->return_type==1? 'Good Return':'Bad Return'}}   
		  </label>
		  
		  <input autocomplete="off" value="{{$details->return_type}}" type="hidden" name="return_type[]" class="form-control">
		 </td>		
		 
		 <td style="width: 15%;" id="ritem_{{$key}}">
		  
		  <label  style="text-align:center;"  class="lprice font-weight-bold ml-2 " id="orderlprice_{{$key}}" for="comment">  {{$details->reasion_type}}   
		  </label>
		  
		    <input autocomplete="off" value="{{$details->resion}}" type="hidden" name="resion[]" class="form-control">
		 </td>		
		 <td id="titem_{{$key}}">
		  <label   class="ltotal font-weight-bold ml-2 " id="orderltotal_{{$key}}" for="comment">{{number_format($details->total,2)}}   
		  </label>	   
	      <input value="{{$details->total}}"  id="ordertotal_{{$key}}" type="hidden" name="total1[]" class="form-control total" autocomplete="off">
		  <input value="{{$details->gross_total}}" id="gross_{{$key}}" type="hidden" name="gross1[]" class="form-control gross" autocomplete="off">
	     </td>
<!-- <td><button type="button" class="btn btn-danger font-weight-bold "  onclick="deleteRow(this,{{$key}})"><i class="fa fa-trash" aria-hidden="true" ></i></button></td>-->
		 </tr>
		 </tr>
					
		 @php
		 $k=$key;
		 @endphp
		 @endforeach
		 
		  <input value="{{$k}}" id="inc1" type="hidden" name="" class="form-control">
		 </tbody>
       </table>
<!-- <td><button type="button" class="btn btn-primary font-weight-bold text-white addRow"><i class="fa fa-plus  text-white " aria-hidden="true" ></i>  ADD</button></td>-->
      </div>
       
    @endif
         
		<input value="{{$get_data->total_gross}}" id="gross_amount_totali" type="hidden" name="gross_amount_totali" class="form-control" autocomplete="off">
									
		<input value="{{$get_data->total_delivery_value}}" id="price_amount_totali" type="hidden" name="price_amount_totali" class="form-control" autocomplete="off">
		
		<input value="{{$get_data->total_vat}}" id="vat_amount_totali" type="hidden" name="vat_amount_totali" class="form-control" autocomplete="off">
		
		<input value="{{$get_data->net_total_amount}}" id="net_amount_totali" type="hidden" name="net_amount_totali" class="form-control" autocomplete="off">
		
		<input value="{{$get_data->total_delivery_value}}" id="invoice_amount_totali" type="hidden" name="invoice_amount_totali" class="form-control" autocomplete="off">
		
		<input value="{{$get_data->total_Excise}}" id="excise_amount_totali" type="hidden" name="excise_amount_totali" class="form-control" autocomplete="off">
									
	    <!--  End add row -->	
      
      <table class="table  table-bordered float-right" style="width: 30%;">
       @php
	   $space=" ";
	   @endphp
       <tr>
         <td  class="bg-faded" style="width: 50%; background-color: #dfe2e8;"><strong>Gross Amount:</strong></td>
         <td id="" class="font-weight-bold" style="width: 40%;">{{$login_user->currency_notation}} {{$space}}  <span  class="font-weight-bold" id="gross_amount_total">{{number_format($get_data->total_gross,2)}}</span></td>
	   </tr>
        
        <tr>
         <td class="bg-faded" style="width: 50%; background-color: #dfe2e8;">
          <strong>Credit Note Total:</strong>
         </td>
         <td id="" class="bg-white font-weight-bold" style="width: 40%;">{{$login_user->currency_notation}} {{$space}}  
          <span class="font-weight-bold" id="invoice_amount_total">{{number_format($get_data->total_delivery_value,2)}}</span>
         </td>
        </tr>
      </table>
 
  <br><br><br><br>
  <br><br><br><br>
  <br><br><br><br>
    @endif

	    <div class="container " style="width: 100%;">
		 <div class="row ">
		  <div class="col-md-6 ml-5"></div>
		   <button id="submit" name="btnsubmit" class="mt-3 btn btn-primary btn-lg">Save</button>
			<a href="{{route('company_credit_note_list')}}" class="mt-3 btn btn-danger ml-2  btn-lg">Cancel</a>   
		 </div>
		</div>
	  </form>
     </div>    <!--class card body-->
    </div>    <!--main-card mb-3 card-->
   </div>     <!--class = tab-pane tabs-animation fade show active-->
 </div>    <!--tab-content-->
</div>    <!--app-main__inner-->
              

@include('theme_layout/footer')

<script>
    
    var jq = $.noConflict();
	function checkForm(form)
			{ 
		form.btnsubmit.disabled = true;
		return true;
			}
    jq(document).ready(function(){
	   jq("#back").click(function(){
		   window.history.back();
	   }) 	
    $('#order_type').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	$('#delivery_number').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true}); 
    var order_type = jq('#order_type').val();
	if(order_type=='1')
	{
			 document.getElementById("order_typehidden").value = order_type;
		     document.getElementById("order_type").disabled = true;
	}
	if(order_type=='2')
	{
			 document.getElementById("order_typehidden").value = order_type;
		     document.getElementById("order_type").disabled = true;
	}
    $("#delivery_number").change(function(){
	 var delivery_number = jq('#delivery_number').val();
	 var order_type = jq('#order_type').val();

	 //get_order_number_details(order_number);
	 location.replace("{{ URL('company_details2/') }}"+"/"+delivery_number+'/'+order_type);
	});
    $("#order_type").change(function(){
     var order_type = jq('#order_type').val();
	 /* $('#order_type').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	 $('#order_type')[0].sumo.reload();     */
	 document.getElementById("order_typehidden").value = order_type;
	 document.getElementById("order_type").disabled = true;
	  
	 get_order_number(order_type);
    //get_customer_tin(customer_add);
			
	if(order_type=='2')
	{
		jq('#distributor_table').hide();
		jq('#return_table').show();
		jq('#tr_vat').hide();
		jq('#tr_discount').hide();
		jq('#tr_net').hide();
		jq('#tr_excise').hide();
		
	}
    if(order_type=='1')
	{
		jq('#distributor_table').show();
		jq('#return_table').hide();
		jq('#tr_vat').show();
		jq('#tr_discount').show();
		jq('#tr_net').show();
		jq('#tr_excise').show();
	}

   });
			 
	 
	 function get_order_number(order_type)
	 {
	    jq.ajax({
	    url: "{{ URL('get_delivery_number2/') }}"+"/" +order_type,       
	    type:"GET",
	    success:function(respons)
	    {
	        if(respons)
			{
				jq('#delivery_number').html(respons);
				 $('#delivery_number').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
				$('#delivery_number')[0].sumo.reload();  
			}
	       }
	     });
	    }
	  });
	
	<!-- Deleting row-->
	  function deleteRow(r,row) {
	  if(row==0)
	  {
		  Swal.fire({
				  icon: 'error',
				  title: 'You Can Not Remove First Row!',
				})
	             
	  }
			
	  else
	  {
        
	         var i = r.parentNode.parentNode.rowIndex;
		     var order_type = jq('#order_type').val();
		     if(order_type=='')
			 { }
		     if(order_type=='1')
		     {	 
	           document.getElementById("myTable").deleteRow(i);
		       calculate();
		     }
		     if(order_type=='2')
			 {
		     document.getElementById("myTable1").deleteRow(i);
			 calculate();
			 }
		   }
	    }
			
</script>	