@include('theme_layout/header')
@include('theme_layout/nav')
 <div class="app-main__outer">
  <div class="app-main__inner">
   <div class="app-page-title">
    <div class="page-title-wrapper">
     <div class="page-title-heading">
      <div class="page-title-icon">
        <i class="pe-7s-medal icon-gradient bg-tempting-azure"></i>
      </div>
          
      <div>Return Order List 
       @if(Session::has('successMessage')) 
		  <input id="toster_id" type="hidden" value="{{ Session::get('successMessage') }}">		  
		 @endif
      </div>
     </div> <!-- end page title heading -->
        
     <div class="page-title-actions">
      <div class="d-inline-block dropdown">
       <div class="page-title-actions">
        <div class="d-inline-block dropdown">
          <a href="{{route('return_order')}}" class="mt-3 btn btn-primary btn-lg"> 
          <i class="fa fa-plus fa-w-20"></i> Add Return Order
          </a>
        </div>
       </div> <!-- end page title action --> 
                                   
       <div tabindex="-1" role="menu" aria-hidden="true" class="dropdown-menu dropdown-menu-right">
        <ul class="nav flex-column">
        <li class="nav-item">
        <a class="nav-link">
        <i class="nav-link-icon lnr-inbox"></i>
          <span> Inbox </span>
                      
        <div class="ml-auto badge badge-pill badge-secondary">86</div>
                 
        </a>
        </li>
                    
        <li class="nav-item">
        <a class="nav-link">
        <i class="nav-link-icon lnr-book"></i>
          <span>Book</span>
                    
        <div class="ml-auto badge badge-pill badge-danger">5</div>
                
        </a>
        </li>
                
        <li class="nav-item">
        <a class="nav-link">
          <i class="nav-link-icon lnr-picture"></i>
           <span>Picture</span>
        </a>
        </li>
                
        <li class="nav-item">
        <a disabled class="nav-link disabled">
        <i class="nav-link-icon lnr-file-empty"></i>
           <span> File Disabled </span>
        </a>
        </li>
        </ul>
       </div>    <!--dropdown-menu dropdown-menu-right-->
      </div>     <!--d-inline-block dropdown-->
     </div>      <!--page-title-actions-->
    </div>      <!--page-title-wrapper-->
   </div>        <!--app-page-title--> 

   <div class="main-card mb-3 card">
    <div class="card-body">
  <!-- date filte-->
    <form method="get" action="{{ route('return_order_list') }}">
     <div class="form-row">
      
      <div class="col-md-4  date position-relative form-group" id="myDatepicker4">
        <label for="select_warehouse" class="font-weight-bold ml-2"> From Date</label>
         <input type="date" class="form-control" name="fromdate" id="fromdate" value="<?php if(isset($_GET['fromdate'])) echo $_GET['fromdate']; else echo date("Y-m-d"); ?>" autocomplete="off">
      </div>
       
	  <div class="col-md-4  date position-relative form-group" id="myDatepicker5">
        <label for="select_warehouse" class="font-weight-bold ml-2"> To Date</label>
        <input type="date" class="form-control" name="todate"  id="todate"  value="<?php if(isset($_GET['todate'])) echo $_GET['todate']; else echo date("Y-m-d"); ?>" autocomplete="off">
      </div>
	    <div class="col-md-4" >
       <div class="position-relative form-group">
        <label for="select_warehouse" class="font-weight-bold ml-2">Customer</label> 
		    <select class="mb-2 form-control" name="customer" id="customer_id">
          @if(isset($_GET['customer']))
              
          @foreach($distibutor as $distibutor_name)
          <option value=""> </option>
              <option {{$_GET['customer'] == $distibutor_name->id ? 'selected' : '' }} value="{{$distibutor_name->id}}">{{$distibutor_name->customer_code}} - {{$distibutor_name->customer_name}}</option>
              @endforeach
          @else
          <option value=""> </option>
              @foreach($distibutor as $distibutor_name)
              <option value="{{$distibutor_name->id}}">{{$distibutor_name->customer_code}} - {{$distibutor_name->customer_name}}</option>
              @endforeach
          @endif	 
  
        </select>
       </div>     <!--position-relative form-group-->
      </div>
	  
	  
	 </div>      <!-- form row-->

     <div class="form-row">
    
	  <div class="col-md-4" >
       <div class="position-relative form-group">
        <label for="select_warehouse" class="font-weight-bold ml-2">Warehouse</label> 
        <select class="mb-2 form-control" name="warehouse" id="warehouse_id">
        </select>
       </div>     <!--position-relative form-group-->
      </div>
     </div>     <!-- form row-->

     <div class="form-row">
      <div class="col-md-12 text-center">
        <button id="submit" class="mt-3 btn btn-primary btn-lg">Search</button>
      </div>  
     </div>  <!-- form row-->                   
    </form>
  
		<input maxlength="125" name="url_warehouse" id="url_warehouse"  type="hidden" value="<?php if(isset($_GET['customer']) && isset($_GET['warehouse']) && $_GET['warehouse']!=''){echo $_GET['warehouse']; } else{echo "0";} ?>" class="form-control" autocomplete="off" required>
		<br><br>
  
	<table style="width: 100%;" id="example" class="table table-hover table-striped table-bordered">
     <thead>
      <tr>
	   <th class="text-justify text-left">Order Code</th>
	   <th class="text-justify text-left">Order Date</th>
       <th class="text-justify text-left">Customer</th>
       <th class="text-justify text-left">Warehouse</th>
       <th class="text-justify text-left">Order Value</th>
       <th class="text-justify text-left">Status</th>
       <th style="width: 13%;">Action</th> 
      </tr>
     </thead>
     
      
     <tbody>
     @foreach($get_data as $data)
      <tr>
        @php
        $row1 = date("d M Y g:i a", strtotime($data->created_at));
        $space=" ";
        @endphp
        <td class="font-weight-bold text-justify text-left">{{$data->return_order_number}}</td>
	      <td class="font-weight-bold text-justify text-left">{{$row1}}</td>
        <td class="font-weight-bold text-justify text-left">{{$data->customer_code}} - {{ucfirst($data->customer_name)}}</td>
        <td class="font-weight-bold text-justify text-left">{{$data->warehouse_code}} - {{ucfirst($data->warehouse_name)}}</td>
        <td class="font-weight-bold text-justify text-left">{{$data->currency_notation }} {{ $space}} {{number_format($data->total_order_value,2)}}</td>
        <td class="font-weight-bold text-justify text-left">{{$data->is_deliver=='0' ? 'Pending' : 'Delivered'}}</td>
        <td>
        <div class="dropdown">
        <button type="button" aria-haspopup="true" aria-expanded="false" data-toggle="dropdown" class="mb-2 mr-2 btn btn-outline-primary "><i class="fas fa-ellipsis-v"></i></button>
        <ul class="dropdown-menu " style="min-width: 0px;" aria-labelledby="dropdownMenuButton1">
		    @if($data->is_deliver=='0')
        <a class="dropdown-item" class= "mb-2 mr-2 btn-hover-shine btn btn-shadow btn-success btn-lg" href=" {{ URL::to('return_order_edit/'.$data->id)}} "><i class="fas fa-edit" aria-hidden="true"> Edit</i> </a>
        @endif
		    <a class="dropdown-item" class= "mb-2 mr-2 btn-hover-shine btn btn-shadow btn-success btn-lg" href=" {{ URL::to('return_order_view/'.$data->id)}} ">
        <i class="fas fa-eye" aria-hidden="true"> View</i></a> 
		
		    <a class="dropdown-item" class= "mb-2 mr-2 btn-hover-shine btn btn-shadow btn-success btn-lg" href=" ">
        <i class="fas fa-download" aria-hidden="true"> Export</i></a> 
		    <a class="dropdown-item" class= "mb-2 mr-2 btn-hover-shine btn btn-shadow btn-success btn-lg" href=" ">
        <i class="fas fa-download" aria-hidden="true"> PDF</i></a> 
	      </td>
        </ul>
        </div>

      </tr>
      @endforeach
     </tbody>
      
     <tfoot>
     
     </tfoot>
    </table>
   </div>     <!--card-body-->
  </div>      <!--main-card mb-3 card-->
 </div>       <!--app-main__inner-->
 
 @include('theme_layout/footer') 
      
<script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/js/select2.min.js"></script>
 <script>

   var jq = $.noConflict();
   jq(document).ready(function(){
	    
	   @if(Session::has('successMessage'))
			var toster=jq('#toster_id').val();
			if(toster!=''){
			Swal.fire({
			 
			icon: 'success',
			title: ''+toster,
			showConfirmButton: false,
			timer: 2000
			})
			}
			{{ Session::forget('successMessage') }}
		@endif
	    <?php if(isset($_GET['customer'])){?> 
		var customer_id = jq('#customer_id').val(); 
		var url_warehouse = jq('#url_warehouse').val(); 
		
		get_warehouse(customer_id,url_warehouse); <?php } ?>
	   
	$('#customer_id').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	/* $('#warehouse_id').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true}); */
	
      var fromdate = jq('#fromdate').val();
      var todate = jq('#todate').val();

      $("#customer_id").change(function(){
      var customer_id = jq('#customer_id').val();
   
      $('#customer_id').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	    $('#customer_id')[0].sumo.reload();  

      var url_warehouse=0;
     get_warehouse(customer_id,url_warehouse);
   });
    
 <!--get_material_price-->
  function get_warehouse(customer,url_warehouse){
    jq.ajax({
    url: "{{ URL('get_return_warehouse_filter') }}"+"/" +customer+"/"+url_warehouse,       
    type:"GET",
    success:function(respons){
        jq('#warehouse_id').html(respons);
		    $('#warehouse_id').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
		    $('#warehouse_id')[0].sumo.reload();  
    }
   });
 }

  function get_datefilter(fromdate,todate){
    jq.ajax({
    url: "{{ URL('salesman_invoice_list/') }}",       
    type:"GET",
    data:{fromdate:fromdate,
    todate:todate },
    success:function(respons){
    
            if(respons){
            
              jq('#example').html(respons);
            }
         }
       });
     } 
});

</script>     
          