@include('theme_layout/header')
@include('theme_layout/nav')

<div class="app-main__outer">               
 <div class="app-main__inner">
  <div class="app-page-title">
	<div class="page-title-wrapper">
	 <div class="page-title-heading">
	  <div class="page-title-icon">
	  <i class="pe-7s-graph text-success"></i>
	 </div> <!--page-title-icon-->
	 
	    <div>  
	     {{ request()->route('id') ? 'Edit ' : 'Add ' }} 
		 Bank 
	    </div> 
     </div> <!-- page-title-heading -->
		
        <div class="page-title-actions">                                
         <div class="d-inline-block dropdown">
          <a href="{{route('bank_list')}}" class="mt-3 btn btn-primary btn-lg"> <i class="fa fa-arrow-left fa-w-20"></i> Back</a> 
         </div>
        </div>   <!--page-title-actions -->
    </div> <!--page-title-wrapper-->
 </div> <!--app-page-title -->
 
        <div class="tab-pane tabs-animation fade show active" id="tab-content-0" role=    "tabpanel">
	     <div class="main-card mb-3 card">
	      <div class="card-body">
	       <form class="" onsubmit="return checkForm(this);"  action="{{ route('bank_store') }} " method="post">
	        {{ csrf_field() }}		  
             <div class="form-row"> 		 
              <div class="col-md-4">
               <div class="position-relative form-group">
	            <label for="bank_code" class="ml-2 font-weight-bold">Bank Code</label>
	            <input maxlength="25" name="bank_code" id="bank_code" placeholder="" type="text" class="form-control" value="{{$last_code}}" readonly="readonly" autocomplete="off" required>
               </div>
             </div>	
			 
        <div class="col-md-4">
         <div class="position-relative form-group">
	      <label for="bank_name" class="ml-2 font-weight-bold">Bank Name</label>
	       <input name="bank_name" id="bank_name" placeholder="" type="text" maxlength="25" class="form-control" value="{{ request()->route('id') ? $get_data->bank_name : '' }}" autocomplete="off" required>
	     </div>
        </div>
			 
	    <div class="col-md-4">
		 <div class="position-relative form-group">
		   <label for="bank_account_number" class="ml-2 font-weight-bold">Bank Account Number</label>
		    <input maxlength="25" name="bank_account_number" id="bank_account_number" placeholder="" type="text" class="form-control" value="{{ request()->route('id') ? $get_data->bank_account_number : '' }}" autocomplete="off" required>
		 </div>
        </div>
	   </div>	<!--form-row-->
					
	    <div class="form-row">                   
		 <div class="col-md-4">
		  <div class="position-relative form-group">
			<label for="branch" class="ml-2 font-weight-bold">Branch</label>
			 <input maxlength="25" name="branch" id="branch" placeholder=" " type="text" class="form-control" value="{{ request()->route('id') ? $get_data->branch : '' }}" autocomplete="off" required>
			  <input name="updated_id" id="updated_id" value="{{ request()->route('id') }}" type="hidden" autocomplete="off">
		  </div>
	    </div>											
		
	    <div class="col-md-4">
		 <div class="position-relative form-group">
		   <label class="font-weight-bold ml-2" for="country" class="">Country</label>
			 <select  class="mb-2 form-control" name="country_id" id="country1" required >
			  <option value=""></option>
			   @if(request()->route('id')) 
				@foreach($country as $countryname)
				 <option {{$get_data->country_id == $countryname->id ? 'selected' : '' }} value ="{{$countryname->id}}">{{$countryname->country_code}} {{$countryname->country_name}}</option>
				@endforeach					
			   @else 
				@foreach($country as $countryname)
				 <option value ="{{$countryname->id}}"> {{$countryname->country_code}} - {{$countryname->country_name}}</option>
				@endforeach
			   @endif 
		      </select>
	         </div>
            </div>
	
	    <div class="col-md-4">
	     <div class="position-relative form-group">
		  <label for="city" class="ml-2 font-weight-bold">City</label> 		  
		   @if(request()->route('id'))   
			<input name="country_id" id="country_id" value="{{ request()->route('id') ? $get_data->country : '' }}" type="hidden" autocomplete="off">	 			
			<input name="city_id" id="city_id" value="{{ request()->route('id') ? $get_data->country : '' }}" type="hidden" autocomplete="off">		 			 
			<select class="mb-2 form-control" name="city" id="cityadd" required >  </select>   
		   @else 
			<select class="mb-2 form-control" name="city_id" id="cityadd" required >
			</select>   
		   @endif  
	      </div>
	     </div>
        </div><!--form-row-->
					
	    <div class="form-row">
		 <div class="col-md-4">
		  <div class="position-relative form-group">
			<label for="address" class="ml-2 font-weight-bold">Address</label> 
			 <input maxlength="200" name="address" id="address" placeholder="" type="text" class="form-control" value="{{ request()->route('id') ? $get_data->address : '' }}" autocomplete="off"  required>
		    </div>
	       </div>
			
	    <div class="col-md-4">
		 <div class="position-relative form-group">
		  <label for="status" class="ml-2 font-weight-bold"> Status
		  </label>
		   <select class="mb-2 form-control" name="status" id="status" required > 
			@if(request()->route('id'))   
			 <option value="">   </option>
			 <option {{ $get_data->status == 'active' ? 'selected' : '' }} value ="active">Active</option>
			 <option {{ $get_data->status == 'inactive' ? 'selected' : '' }} value="inactive">Inactive</option>                                   
			@else 
			 <option value="">   </option>
			 <option value ="active">Active</option>
			 <option value="inactive">Inactive</option>
			@endif 
		   </select></div>
		  </div>											
	    </div>
		
	    <div class="form-row">
		 <div class="col-md-5"></div>
		  @if(request()->route('id'))
			<button name="btnsubmit" class="mt-3 btn btn-primary btn-lg">Update</button>
		  @else 
			<button type="submit" name="btnsubmit" class="mt-3 btn btn-primary btn-lg submit" >Save</button>
		  @endif
			<div class="col-md-0.5"></div>
			<a href="{{route('bank_list')}}" class="mt-3 btn btn-danger  btn-lg">Cancel</a>
			</div>
			</form><!--form-row-->
		   </div>
          </div> <!--main-card mb-3 card-->                           
         </div><!--tab-pane tabs-animation fade show active-->                              
	   </div> <!--app-main__inner-->              
	 @include('theme_layout/footer')  
    </div> <!--app-main__outer-->         
 <script>
   var jq = $.noConflict();
		function checkForm(form)
			{ 
		form.btnsubmit.disabled = true;
		return true;
			}
			
   jq(document).ready(function(){
	    
     $('#country1').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	 
       var country = '';
       jq("#country1").click(function(){
        
         var country =  jq('#country1').val();
         var city ='0';
        get_city(country, city);
 
        });
     
     if(country =='') {
         
        var country_id =  jq('#country_id').val();
         var city_id =  jq('#city_id').val();
         
         if(!country_id=='')
         {
             get_city(country_id, city_id);
			
         } 
     }  
         
     function get_city(country_id, city) {
	 jq.ajax({
	  url: "{{ URL('bank/get_country/') }}" +"/" + country_id +'/'+city,
	  type:"GET",
	  success:function(respons){
		if(respons) {
		 jq('#cityadd').html(respons);
		 $('#cityadd').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
		 $('#cityadd')[0].sumo.reload(); 
		}
	   }
     });
    }      //End Get City Function
    
    });
        
</script>         

