@include('theme_layout/header')
@include('theme_layout/nav')
<div class="app-main__outer">               
  <div class="app-main__inner">
   <div class="app-page-title">
    <div class="page-title-wrapper">
     <div class="page-title-heading">
      <div class="page-title-icon">
       <i class="pe-7s-graph text-success">
       </i>
     </div> <!--page-title-icon-->
	 
      <div>  
      {{ request()->route('id') ? 'Edit ' : 'Add ' }}
	 Client 
     </div>							   
   </div> <!--page-title-heading-->
		 
     <div class="page-title-actions">                                
      <div class="d-inline-block dropdown">
       <a href="{{route('client_list')}}" class="mt-3 btn btn-primary btn-lg text-white"> <i class="fa fa-arrow-left fa-w-20"></i> Back</a>                                  
          </div>
           </div>   
          </div> <!--page-title-wrapper-->
        </div>  <!-- app-page-title-->   
		
    <div class="tab-content">
     <div class="tab-pane tabs-animation fade show active" id="tab-content-0" role="tabpanel">
      <div class="main-card mb-3 card">
       <div class="card-body">
        <form id="form_save" class="" action="{{ route('client_store') }}" method="post" onsubmit="return checkForm(this);">
         {{ csrf_field() }}
         <div class="form-row">
         <div class="col-md-4">
	     <div class="position-relative form-group">
		 <label class="font-weight-bold ml-2" for="client_code" class="">Client Code</label><input maxlength="100" name="client_code" id="client_code"  type="text" class="form-control" value="{{ $last_code }}" autocomplete="off"  required readonly>
	   </div>
    </div>
 
   <div class="col-md-4">
     <div class="position-relative form-group">
      <label class="font-weight-bold ml-2" for="client_name" class="">Client Name</label> <input maxlength="100"  name="client_name" id="client_name"  type="text" class="form-control" value="{{ request()->route('id') ? $get_data->client_name : '' }}" autocomplete="off" required>													
       <input name="updated_id" id="updated_id" value="{{ request()->route('id') }}"  type="hidden" autocomplete="off">
	   
	   <input name="submit_count" id="submit_count" value="0"  type="hidden" autocomplete="off">
       </div>
    </div>
	
    <div class="col-md-4">
     <div class="position-relative form-group">
       <label class="font-weight-bold ml-2" for="country" class="">Country</label> <select class="mb-2 form-control" name="country_id" id="country" required> 
         @if(request()->route('id'))                         
         @foreach($country as $countryname)
          <option {{$get_data->country == $countryname->id ? 'selected' : '' }} value ="{{$countryname->id}}">{{$countryname->country_code}} - {{$countryname->country_name}}
          </option>
         @endforeach												
          @else 
          <option value=""> </option>
          @foreach($country as $countryname)
          <option value ="{{$countryname->id}}">{{$countryname->country_code}} - {{$countryname->country_name}}</option>
         @endforeach
        @endif 
        </select> 
       </div>
        </div>
     </div>	<!--form-row-->	

    <div class="form-row">
     <div class="col-md-4">
      <div class="position-relative form-group">
       <label class="font-weight-bold ml-2" for="max_uom" class="">Max UOM On Company Level </label><input    name="max_uom" id="max_uom" type=text onkeypress="return /^-?[0-9]*$/.test(this.value+event.key)" class="form-control"  value="{{ request()->route('id') ? $get_data->max_uom : '' }}" autocomplete="off" required>
       </div>
     </div>
				   
                                              
   
					
   <div class="col-md-4">
    <div class="position-relative form-group">
     <label for="status" class="ml-2 font-weight-bold">Status</label>
       <select class="mb-2 form-control" name="status" id="status" required > 
       @if(request()->route('id')) 												
         <option> </option>
         <option {{ $get_data->status == 'active' ? 'selected' : '' }} value ="active">Active</option>
	     <option {{ $get_data->status == 'inactive' ? 'selected' : '' }} value="inactive">Inactive</option>
		@else 
	    <option> </option>
        <option value ="active">Active</option>
        <option value="inactive">Inactive</option>
       @endif												
       </select>
       </div>
       </div>											
     </div><!--form-row-->		

	
   <div class="form-row">
    <div class="col-md-5"></div>
     @if(request()->route('id'))
      <button name="btnsubmit" class="mt-3 btn btn-primary btn-lg">Update</button>
       @else 
        <button id="" name="btnsubmit" type="submit" class="mt-3 btn btn-primary btn-lg">Save</button>
          @endif
           <div class="col-md-0.5"></div>
           <a href="{{route('client_list')}}" class="mt-3 btn btn-danger  btn-lg">Cancel</a>
           </div>
           </form> <!--form id-->
           </div> <!--card-body-->
           </div> <!--main-card mb-3 card-->                           
         </div> <!--tab-pane tabs-animation fade show active-->                        
        </div><!--tab-content-->
    </div>  <!--app-main__inner-->             
    @include('theme_layout/footer')
				
	<script>
		var jq = $.noConflict(); 
		function checkForm(form)
			{ 
		form.btnsubmit.disabled = true;
		return true;
			}
			
		 jq(document).ready(function(){
			 
			 
		
		/*  $("#form_save" ).submit(function(event) {  
           event.preventDefault();
		 $("#btnsubmit").click(function() { 
         	
                    event.currentTarget.submit(); 
				    document.getElementById("btnsubmit").disabled = true;
			     });
              
			});		 */
		   
		 $('#country').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
		 //$('#order_number').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});



		   });
	</script>
   
                

