@php
  $alt_packing_size1='';
  $alt_unit_price1='';
  $alt_uom1='';
@endphp 
@include('theme_layout/header')
@include('theme_layout/nav')

<div class="app-main__outer">
  <div class="app-main__inner">
   <div class="app-page-title">
    <div class="page-title-wrapper">
     <div class="page-title-heading">
	  <div class="page-title-icon">
	   <i class="pe-7s-graph text-success">
	   </i>
	  </div> <!--page-title-icon-->
	   <div>View Material Master		
	   </div>
    </div> <!--page-title-heading-->
							
    <div class="page-title-actions">
     <div class="d-inline-block dropdown">
      <a href="{{route('material_master_list')}}" class="mt-3 btn btn-primary btn-lg"> <i class="fa fa-arrow-left fa-w-20"></i> Back</a>
       </div>
       </div>   
    </div> <!--page-title-wrapper-->
  </div> <!--app-page-title-->            

    <div class="tab-content">
     @if(request()->route('id'))
      @php
        $alt_packing_size1=explode(",",$get_data->alt_packing_size);
        $alt_unit_price1=explode(",",$get_data->alt_unit_price);
        $alt_uom1=explode(",",$get_data->alt_uom);
      @endphp	
     @endif
	 
         <div class="tab-pane tabs-animation fade show active" id="tab-content-0" role="tabpanel">
         <div class="main-card mb-3 card">
         <div class="card-body">
         <form id="" class="" action="{{ route('material_master_store') }}" method="post" enctype="multipart/form-data">
          {{ csrf_field() }}
         <div class="mb-3 card">
         <div class="card-header card-header-tab-animation">
	     <ul class="nav nav-justified">
		 <li class="nav-item"><a data-toggle="tab" href="#tab-eg115-0" class="active nav-link">Material Information</a></li>
		 <li class="nav-item"><a data-toggle="tab" href="#tab-eg115-1" class="nav-link">UOM</a></li>
	    </ul>
       </div>
	
	<div class="card-body">
	  <div class="tab-content">
       <div class="tab-pane active" id="tab-eg115-0" role="tabpanel">
		 <div class="form-row">
		<div class="col-md-4">
		<div style="" id="" class="position-relative form-group">
	   <label class="font-weight-bold ml-2" for="material_types" class="font-weight-bold ml-2">Material Type</label> <input class="mb-2 form-control" name="material_types" id="material_types" value="{{$get_data->type}}" readonly required> 
	 </div>
	</div>
        
    <div class="col-md-4">
	  <div class="position-relative form-group">
	   <label class="font-weight-bold ml-2" for="material_type_codes" class="font-weight-bold ml-2">Material Code</label> <input class="mb-2 form-control" name="material_type_codes" id="material_type_codes" required readonly value="{{$get_data->material_code}}" > 
      </div>
    </div>
	
	 <div class="col-md-4">
	  <div class="position-relative form-group">
	   <label class="font-weight-bold ml-2" for="material_category" class="font-weight-bold ml-2">Material Group</label> <input class="mb-2 form-control" name="material_category" id="material_category" required readonly value="{{$get_data->category_code}} - {{$get_data->category_name}}" > 
      </div>
    </div>
	
	 <div class="col-md-4">
	     <div class="position-relative form-group">
	    <label for="brand" class="font-weight-bold ml-2">Brand</label><input name="brand" id="brand" readonly="readonly" placeholder="" type="text" class="form-control" value="{{$get_data->brand_code}} - {{$get_data->brand_name}}" >
	  </div>
	</div>
	
	 <div class="col-md-4">
	  <div class="position-relative form-group">
	   <label class="font-weight-bold ml-2" for="material_type_codes" class="font-weight-bold ml-2">Material Name</label> <input class="mb-2 form-control" name="material_type_codes" id="material_type_codes" required readonly value="{{$get_data->material_name}}" > 
      </div>
    </div>
	
	<div class="col-md-4">
	  <div class="position-relative form-group">
		<label for="material_category" class="font-weight-bold ml-2">Material Category</label><input name="material_category" readonly="readonly" id="material_category" placeholder="" type="text" class="form-control" value="{{$get_data->category_codes}} - {{$get_data->category_names}}" ></div>
	  </div>
	
	<div class="col-md-4">
		<div class="position-relative form-group">
	    <label for="uom" class="font-weight-bold ml-2">Base UOM</label><input name="uom" readonly="readonly" id="uom" placeholder="" type="text" value="{{$get_data->uom_code}} - {{$get_data->uom_name}}" class="form-control"  ></div>
	</div>
   
	<div class="col-md-4">
		<div class="position-relative form-group">
		<label for="unit_price" class="font-weight-bold ml-2">Unit Price</label><input name="unit_price" readonly="readonly" id="unit_price" placeholder="Unit Price" type="text" class="form-control" value="{{number_format($get_data->unit_price,2)}}">
		</div>
	</div>
	 
	 <div class="col-md-4">
	  <div class="position-relative form-group">
	   <label for="bar_code" class="font-weight-bold ml-2">Barcode</label><input name="bar_code" readonly="readonly" id="bar_code" placeholder="Barcode" type="text" class="form-control" value="{{$get_data->bar_code}}" >
	   </div>
	</div>
	
	<div class="col-md-4">
	   <div class="position-relative form-group">
		 <label for="net_weight" class="font-weight-bold ml-2">Net Weight</label><input name="net_weight" id="net_weight" placeholder="Net Weight" type="text" readonly="readonly" class="form-control" value="{{$get_data->net_weight}}">
	  </div>
	</div>
	 
	 <div class="col-md-4">
	 <div class="position-relative form-group">
	   <label for="packing_size" class="font-weight-bold ml-2">Packing Size</label><input name="packing_size" id="packing_size" readonly="readonly" placeholder="Packing Size" type="text" class="form-control" value="{{$get_data->packing_size}}">
	   </div>
	</div>
	
	@if($get_data->material_image!='')
	  <div class="col-md-4">
		<div class="position-relative form-group">
		 <label class="font-weight-bold ml-2" for="material_image" class="font-weight-bold ml-2">Material Image</label>
		 <a href="{{asset('storage/app/'.$get_data->material_image)}}" data-lightbox="mygallery"> 
	    <img src="{{asset('storage/app/'.$get_data->material_image)}}" alt="" height="80px" width="70px" class="ml-4"></a>
	   </div>  
    </div>

	@else
    <div class="col-md-4">
	  <div class="position-relative form-group">
		<br>
		 <br>
		  <label class="font-weight-bold ml-2" for="material_image" class="font-weight-bold ml-2">Material Image is not uploaded</label>
		 </div>  
		</div>
    @endif
	
											
	<div class="col-md-4">
	<div class="position-relative form-group">
	  <label for="shelf_life" class="font-weight-bold ml-2">Shelf Life</label><input name="shelf_life" readonly="readonly" id="shelf_life" placeholder="Shelf Life" type="text" class="form-control" value="{{$get_data->shelf_life}}">
	  </div>
	  </div>
	  <div class="col-md-4">
		<div class="position-relative form-group">
		<label for="promotional_material" class="font-weight-bold ml-2">Promotional Material</label><input name="promotional_material" id="promotional_material" placeholder="" readonly="readonly" type="text" class="form-control" value="{{$get_data->promotional_material}}" >
		</div>
	</div>
	 
	<div class="col-md-4">
		<div class="position-relative form-group">
		<label for="erp_material_code" class="font-weight-bold ml-2">Erp Material Code</label><input name="erp_material_code" id="erp_material_code" readonly="readonly" placeholder="" type="text" class="form-control"value="{{$get_data->erp_material_code}}">
		</div>
	</div>
	
	    <div class="col-md-2">
		 <div class="position-relative form-group">
		 <label class="font-weight-bold ml-2" for="vat" class="">
		  Vat
		 </label>
		  @if(request()->route('id')!='')
			<input disabled readonly {{$get_data->vat==1? 'checked':''}} maxlength="20" name="vat" id="vat" type="checkbox" value="1" class="form-control" autocomplete="off"  >
		  @else
			<input maxlength="20" name="vat" id="vat" type="checkbox" value="1" class="form-control" autocomplete="off"  >
		  @endif
		 </div>
	   </div>
	
	    <div class="col-md-2">
		 <div class="position-relative form-group">
		  <label class="font-weight-bold ml-2" for="excise" class="font-weight-bold ml-2">
			Excise
		  </label>
		  @if(request()->route('id')!='')
			<input disabled readonly @if($get_data->excise!=null) @php echo 'checked'; @endphp @endif maxlength="20" name="excise" id="excise" type="checkbox" value="1" class="form-control" autocomplete="off">
		  @else
			<input maxlength="20" name="excise" id="excise" type="checkbox" value="1" class="form-control" autocomplete="off">
		  @endif
		</div>
	  </div>
	  
	    <div style="display:none" id="excise_amt" class="col-md-4">
		 <div class="position-relative form-group">
		  <label class="font-weight-bold ml-2" for=" erp_material_code" class="font-weight-bold ml-2">
			Excise
		  </label>
		   <input disabled maxlength="20" name="excise_amt" id="excise_amtid" placeholder="Enter Excise ammount" type="text" value="{{ request()->route('id') ? $get_data->excise : '' }}" class="form-control" autocomplete="off"  >
		 </div>
	    </div> 
		
	    <div class="col-md-4">
		 <div class="position-relative form-group"><label for="status" class="font-weight-bold ml-2">Status</label>
		  <input name="status" id="status" readonly="readonly" placeholder="" type="text" class="form-control" value="{{$get_data->status}}"></div>
	     </div>
        </div> <!--form-row-->
       </div> <!--tab-pane active-->
	   
        <div class="tab-pane" id="tab-eg115-1" role="tabpanel">
         <table id="myTable" class=" table order-list table table-bordered ">
	      <thead>
	       <tr>
		    <th>Alt UOM</th>
		    <th>Alt Packing Size</th>
		    <th>Alt Unit Price</th>
	       </tr>
	      </thead>	
           <tbody>
			
            @php
             $i="";
             @endphp	
             @for ($i=0; $i<$res->max_uom; $i++) 
              <tr>
               <td> 
		        <select disabled class="mb-2 form-control" name="alt_uom[]" id="alt_uom" >
		     @if(request()->route('id')) 
		        <option value=""> </option>
		      @foreach($uom as $uomname)
		        <option {{$alt_uom1[$i]== $uomname->id ? 'selected' : '' }} value ="{{$uomname->id}}">{{$uomname->uom_code}} - {{$uomname->uom_name}}</option>
		      @endforeach		
		     @else 
		       <option value=""> </option>
		      @foreach($uom as $uomname)
		        <option value ="{{$uomname->id}}">{{$uomname->uom_code}} - {{$uomname->uom_name}}</option>
		      @endforeach
		     @endif 
		    </select> 
            </td>
	        <td><input name="alt_packing_size[]" id="alt_packing_size" type="text" class="form-control" value="{{ request()->route('id') ? $alt_packing_size1[$i] : '' }}" autocomplete="off" readonly></td>	
	        <td><input name="alt_unit_price[]" id="alt_unit_price"  type="text" class="form-control" value="{{ request()->route('id')  ? $alt_unit_price1[$i]: '' }}" autocomplete="off" readonly>
	        </td> 
           </tr>
             @endfor 
              </tbody>
             </table>
            </div> <!--tab-pane-->
           </div> <!--tab-content-->
          </div> <!--card-body--> 
         </div> <!--mb-3 card-->
        </form> 
       </div> <!--card-body-->
      </div> <!--main-card mb-3 card-->
     </div> <!--tab-pane tabs-animation fade show active-->
    </div> <!--tab-content-->
   @include('theme_layout/footer') 
<script>
 var jq = $.noConflict();
jq(document).ready(function() {
	
	if(jq("#excise").is(":checked")){
            jq("#excise_amt").show();
		  }	

	});

  
</script> 	 