@include('theme_layout/header')
@include('theme_layout/nav')
<div class="app-main__outer"> 
 <div class="app-main__inner">
  <div class="app-page-title">
   <div class="page-title-wrapper">
	<div class="page-title-heading">
	  <div class="page-title-icon">
	   <i class="pe-7s-graph text-success">
	   </i>
	   </div>
	   
	    <div>  
	     {{ request()->route('id') ? 'Edit ' : 'Add ' }} 
		 Supplier
		</div>
	</div>
	
		<div class="page-title-actions"> 
		 <div class="d-inline-block dropdown">
		  <a href="{{route('supplier_list')}}" class="mt-3 btn btn-primary btn-lg"> 
		  <i class="fa fa-arrow-left fa-w-20"></i> Back</a> 
	     </div>
	    </div>   
   </div>
  </div>            
					 
<div class="tab-content">
	<div class="tab-pane tabs-animation fade show active" id="tab-content-0" role="tabpanel">
	<div class="main-card mb-3 card">
	<div class="card-body">
	<form id="" class="" onsubmit="return checkForm(this);"
    action="{{ route('supplier_store') }}" method="post">
		{{ csrf_field() }}
		
		<div class="mb-3 card">

		<div class="card-header card-header-tab-animation">
			<ul class="nav nav-justified">
			<li class="nav-item"><a data-toggle="tab" href="#tab-eg115-0" class="active nav-link">Supplier Details</a></li>
			<li id="account_details" class="nav-item"><a data-toggle="tab" href="#tab-eg115-1" class="nav-link">Transaction Details</a></li>
			<li class="nav-item"><a data-toggle="tab" href="#tab-eg115-2" class="nav-link">Suppier Address</a></li>
			</ul>
		</div><!--card-header card-header-tab-animation-->

		<div class="card-body">
		<div class="tab-content">

		<div class="tab-pane active" id="tab-eg115-0" role="tabpanel">

		<div class="form-row">	

			<div class="col-md-4">
			<div class="position-relative form-group">
				<label class="font-weight-bold ml-2" for= "supplier_type" class="">Supplier Type</label><select class="mb-2 form-control" name="supplier_type" id="supplier_type" required >
				@if(request()->route('id'))
				@foreach($supliertype as $supliertypename)
				<option {{$get_data->supplier_type == $supliertypename->id ? 'selected' : '' }} value ="{{$supliertypename->id}}">{{$supliertypename->supplier_type_code}} - {{$supliertypename->supplier_type_name}}</option>
				@endforeach
				@else 
				<option value=""> </option>
				@foreach($supliertype as $supliertypename)
				<option  value ="{{$supliertypename->id}}">{{$supliertypename->supplier_type_code}} - {{$supliertypename->supplier_type_name}}</option>
				@endforeach
				@endif
			</select>
			</div>
			</div>											
												 
			<div class="col-md-4">
			<div class="position-relative form-group">
				<label for="supplier_code" class="ml-2 font-weight-bold">Supplier Code</label><input maxlength="20" name="supplier_code" id="supplier_code" placeholder=" " type="text" value="{{$last_code}}" readonly="readonly" class="form-control" autocomplete="off" required> 
				<input name="updated_id" id="updated_id" value="{{ request()->route('id') }}" type="hidden">
			</div>
			</div>
	
			<div class="col-md-4">
			<div class="position-relative form-group">
				<label for="supplier_name" class="ml-2 font-weight-bold">Supplier Name</label>
				<input maxlength="120" name="supplier_name" id="supplier_name" placeholder=" " type="text" value="{{ request()->route('id') ? $get_data->supplier_name : '' }}" class="form-control" autocomplete="off" required>
			</div> 
			</div>
										
		
			<div class="col-md-4">
				<div class="position-relative form-group">
				<label for="tin_number" class="ml-2 font-weight-bold">Tax Registration No.</label><input maxlength="50" name="tin_number" id="tin_number" placeholder="" type="text" value="{{ request()->route('id') ? $get_data->tin_number : '' }}" class="form-control" autocomplete="off" required >
			</div>
			</div> 
											 
			<div class="col-md-4">
			<div class="position-relative form-group">
				<label for="supplier_currency" class="ml-2 font-weight-bold">Supplier Currency  </label><select class="mb-2 form-control" name="supplier_currency" id="supplier_currency" required> 
				@if(request()->route('id'))  
				@foreach($currency as $currencyname)
					<option {{$get_data->currency == $currencyname->id ? 'selected' : '' }} value ="{{$currencyname->id}}">{{$currencyname->currency_code}} - {{$currencyname->currency_name}}</option>
				@endforeach 
				@else 
					<option value=""> </option>
				@foreach($currency as $currencyname)
					<option value ="{{$currencyname->id}}">{{$currencyname->currency_code}} - {{$currencyname->currency_name}}</option>
				@endforeach
				@endif 
				</select>
				</div>
			</div>

			<div class="col-md-4">
			<div class="position-relative form-group">
				<label for="credit_days" class="ml-2 font-weight-bold">Credit Days</label>
				<input maxlength="120" name="credit_days" id="credit_days" placeholder=" " type="text" value="{{ request()->route('id') ? $get_data->credit_days : '' }}" class="form-control" autocomplete="off" required>
			</div> 
			</div>

												 
			<div class="col-md-4">
			<div class="position-relative form-group">
			<label for="payment_term" class="ml-2 font-weight-bold">Payment Term</label><select class="mb-2 form-control" name="payment_term" id="payment_term" required> 
				@if(request()->route('id')) 
				@foreach($payment_term as $payment_termname)
					<option {{$get_data->payment_term == $payment_termname->id ? 'selected' : '' }} value ="{{$payment_termname->id}}">{{$payment_termname->payment_code}} - {{$payment_termname->payment_term}}</option>
				@endforeach 
				@else 
					<option value=""> </option>
				@foreach($payment_term as $payment_termname)
					<option value ="{{$payment_termname->id}}">{{$payment_termname->payment_code}} - {{$payment_termname->payment_term}}</option>
				@endforeach
				@endif
				</select>
			</div>
			</div>
		  
		  	<div class="col-md-4">
				<div class="position-relative form-group">
			 	<label for="email_id" class="ml-2 font-weight-bold">Email ID</label><input maxlength="40" name="email_id" id="email_id" placeholder="" type="text" value="{{ request()->route('id') ? $get_data->email_id : '' }}" class="form-control" autocomplete="off" required>
				</div>
			</div>

			<div class="col-md-4">
				<div class="position-relative form-group">
				<label for="contact_number" class="ml-2 font-weight-bold">Contact No.</label><input type="text" name="contact_number" maxlength="15" id="myinput" value="{{ request()->route('id') ? $get_data->contact_number : '' }}" class="form-control"  onkeypress="return isNumberKey(event)" required />
				</div>  
			</div>
			
			<div class="col-md-4">
				<div class="position-relative form-group">
				<label for="tin_no" class="ml-2 font-weight-bold">Tin No</label><input maxlength="20" name="tin_no" id="tin_no" placeholder="" type="text" value="{{ request()->route('id') ? $get_data->tin_no : '' }}" class="form-control" autocomplete="off">
				</div>
		  	</div>

			<div class="col-md-4">
				<div class="position-relative form-group">
				<label for="erp_material_code" class="ml-2 font-weight-bold">Erp Supplier Code</label><input maxlength="20" name="erp_material_code" id="erp_material_code" placeholder="" type="text" value="{{ request()->route('id') ? $get_data->erp_material_code : '' }}" class="form-control" autocomplete="off" readonly >
				</div>
		  	</div>

			<div class="col-md-4">
				<div class="position-relative form-group">
				<label for="status" class="ml-2 font-weight-bold">Status</label>
				<select class="mb-2 form-control" name="status" id="status" required >  
				@if(request()->route('id'))  
				<option> </option>
				<option {{ $get_data->status == 'active' ? 'selected' : '' }} value ="active">Active</option>
				<option {{ $get_data->status == 'inactive' ? 'selected' : '' }} value="inactive">Inactive</option> 
				@else 
				<option> </option>
				<option value ="active">Active</option>
				<option value="inactive">Inactive</option>
				@endif	 
				</select> 
				</div>
			</div> <!--col-md-4-->
			
		  
		</div>      <!--form-row-->
		</div><!--tab-pane-->
		
		<div class="tab-pane" id="tab-eg115-1" role="tabpanel">

		<div class="form-row">

			<div class="col-md-4">
				<div class="position-relative form-group">
				<label for="bank_name" class="ml-2 font-weight-bold">Bank Name</label>
				<input maxlength="20" name="bank_name" id="bank_name" placeholder="" type="text" value="{{ request()->route('id') ? $get_data->bank_name : '' }}" class="form-control" autocomplete="off" required>
				</div>
		   	</div>
			   
			<div class="col-md-4">
				<div class="position-relative form-group">
				<label for="bank_account_number1" class="ml-2 font-weight-bold">Bank Account Number</label>
				<input maxlength="20" name="bank_account_number1" id="bank_account_number1" placeholder="" type="text" value="{{ request()->route('id') ? $get_data->bank_account_number1 : '' }}" class="form-control" autocomplete="off" required onkeypress="return isNumber(event);">
				</div> 
			</div>  

			<div class="col-md-4">
				<div class="position-relative form-group">
				<label for="bank_branch" class="ml-2 font-weight-bold">Bank Branch</label>
				<input maxlength="20" name="bank_branch" id="bank_branch" placeholder="" type="text" value="{{ request()->route('id') ? $get_data->bank_branch : '' }}" class="form-control" autocomplete="off" required>
				</div>
			</div>

			<div class="col-md-4">
				<div class="position-relative form-group">
				<label for="bank_address" class="ml-2 font-weight-bold">Bank Address</label>
				<input maxlength="20" name="bank_address" id="bank_address" placeholder="" type="text" value="{{ request()->route('id') ? $get_data->bank_address : '' }}" class="form-control" autocomplete="off" required>
				</div>
			</div>

			<div class="col-md-4">
				<div class="position-relative form-group">
				<label for="bank_code" class="ml-2 font-weight-bold">Bank Code</label>
				<input maxlength="20" name="bank_code" id="bank_code" placeholder="" type="text" value="{{ request()->route('id') ? $get_data->bank_code : '' }}" class="form-control" autocomplete="off" required>
				</div>
			</div>
		</div>
		</div><!--tab-pane-->

		<div class="tab-pane" id="tab-eg115-2" role="tabpanel">

		<div class="form-row">
		
			<div class="col-md-4">
				<div class="position-relative form-group">
				<label class="font-weight-bold ml-2" for="country1" class="">Country</label><select class="mb-2 form-control" name="country" id="country1" required> 
					@if(request()->route('id')) 
					@foreach($country as $countryname)
					<option {{$get_data->country == $countryname->id ? 'selected' : '' }} value ="{{$countryname->id}}">{{$countryname->country_code}} - {{$countryname->country_name}}</option>
					@endforeach 
					@else 
					<option value=""> </option>
					@foreach($country as $countryname)
					<option value ="{{$countryname->id}}">{{$countryname->country_code}} - {{$countryname->country_name}}</option>
					@endforeach
					@endif 
				</select>
				</div>       <!--position-relative form-group-->
			</div>
											
			<div class="col-md-4">
			<div class="position-relative form-group">
			<label for="city" class="ml-2 font-weight-bold">City</label> 
				@if(request()->route('id'))  
				<input name="country_id" id="country_id" value="{{ request()->route('id') ? $get_data->country_id : '' }}" type="hidden" autocomplete="off"> 
				<input name="city_id" id="city_id" value="{{ request()->route('id') ? $get_data->city_id : '' }}" type="hidden" autocomplete="off"> 
				<select class="mb-2 form-control" name="city" id="cityadd"  required> 
				</select>  
				@else 
				<select class="mb-2 form-control" name="city" id="cityadd" required > 
				</select>   
				@endif  
			</div>
			</div>
												 
			<div class="col-md-4">
			<div class="position-relative form-group">
				<label for="address" class="ml-2 font-weight-bold">Address.</label>
				<input maxlength="120" name="address" id="address" placeholder="" type="text" value="{{ request()->route('id') ? $get_data->address : '' }}" class="form-control" autocomplete="off" required>
			</div>
			</div> 

		</div>      <!--form-row-->
		</div>		<!--tab-pane-->

		</div><!--tab-content-->
		</div><!--card-body-->
										


		</div><!--mb-3 card-->

		<div class="form-row">
			<div class="col-md-5"></div>
			@if(request()->route('id'))
				<button name="btnsubmit"  type="submit" class="mt-3 btn btn-primary btn-lg">Update</button>
			@else 
				<button name="btnsubmit" type="submit" class="mt-3 btn btn-primary btn-lg">Save</button>
			@endif
				<div class="col-md-0.5"></div>
				<a href="{{route('supplier_list')}}" class="mt-3 btn btn-danger  btn-lg">Cancel</a>
			</div>
		</div>

	</form>
	</div> <!--card-body-->
	</div> <!--main-card mb-3 card-->
	</div> <!--tab-pane tabs-animation fade show active-->
</div> <!--tab-content-->					


 @include('theme_layout/footer')       
    <script>
    var jq = $.noConflict();
	function checkForm(form)
  {
     
    form.btnsubmit.disabled = true;
    return true;
  }
	function isNumberKey(evt)
			{
				var charCode = (evt.which) ? evt.which : evt.keyCode;
				if (charCode != 46 && charCode > 31 
				&& (charCode < 48 || charCode > 57))
				return false;
				return true;
			}  
     jq(document).ready(function(){
         $('#supplier_type').SumoSelect({ selectAll:true,search: true,triggerChangeCombined :    true});
         $('#supplier_currency').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
         $('#payment_term').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
        $('#country1').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
       var country = '';
         jq("#country1").click(function(){
        
         var country =  jq('#country1').val();
         var city ='0';
        get_city(country, city);
 
      });
     
     if(country =='') {
         
        var country_id =  jq('#country_id').val();
         var city_id =  jq('#city_id').val();
         
         if(!country_id=='')
         {
             get_city(country_id, city_id);
         } 
     }  
     
     

    function get_city(country_id, city)
     {
         //alert(city);
          jq.ajax({
              url: "{{ URL('supplier/get_country/') }}" +"/" + country_id +'/'+city,
               type:"GET",
              
          success:function(respons)
           {
             if(respons)
            {
                 jq('#cityadd').html(respons);
				  $('#cityadd').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	               $('#cityadd')[0].sumo.reload();
              }
         
            }
          });
        }  
    
    });
    </script>            