@include('theme_layout/header')
@include('theme_layout/nav')
	
<div class="app-main__outer"> 
     <div class="app-main__inner">
       <div class="app-page-title">
        <div class="page-title-wrapper">
         <div class="page-title-heading">
         <div class="page-title-icon">
	     <i class="pe-7s-graph text-success">
	     </i>
         </div>
         <div>  
	     {{ request()->route('id') ? 'Edit ' : 'Add ' }} 
		 Trading Center 
      </div>
    </div>
	
	
	<div class="page-title-actions">
	   <div class="d-inline-block dropdown">
	    <a href="{{route('trading_center_list')}}" class="mt-3 btn btn-primary btn-lg"> <i class="fa fa-arrow-left fa-w-20"></i> Back</a> 
		 </div>
	     </div>
       </div>
    </div>            
					 
    <div class="tab-content">
     <div class="tab-pane tabs-animation fade show active" id="tab-content-0" role="tabpanel">
      <div class="main-card mb-3 card">
       <div class="card-body">
	    <form id="" class="" onsubmit="return checkForm(this);" action="{{ route('trading_center_store') }}" method="post">
		{{ csrf_field() }}
		<div class="form-row">
		<div class="col-md-4">
		<div class="position-relative form-group">
		<label class="font-weight-bold ml-2" for="trading_center_code" class="">Trading Center Code</label><input maxlength="20" name="trading_center_code" id="trading_center_code"  type="text" class="form-control" value="{{$last_code}}" readonly="readonly" required> 
	  </div>
	</div>
											 
    <div class="col-md-4">
	 <div class="position-relative form-group">
	   <label class="font-weight-bold ml-2" for="trading_name" class="">Trading Name</label><input maxlength="100" name="trading_name" id="trading_name"  type="text" class="form-control" value="{{ request()->route('id') ? $get_data->trading_name : '' }}" autocomplete="off" required> 
	   <input name="updated_id" id="updated_id" value="{{ request()->route('id') }}" type="hidden" autocomplete="off">
	  </div>
	</div> 
											
    <div class="col-md-4">
     <div class="position-relative form-group">
	 <label class="font-weight-bold ml-2" for="route_code" class="">Route </label><select class="mb-2 form-control" name="route_id" id="route_code" required> 
      @if(request()->route('id')) 
	  @foreach($route as $routename)
	   <option {{$get_data->route_code == $routename->id ? 'selected' : '' }} value ="{{$routename->id}}">{{$routename->route_code}} - {{$routename->route_name}}</option>
	   @endforeach
        @else 
        <option value=""> </option>
        @foreach($route as $routename)
       <option value ="{{$routename->id}}">{{$routename->route_code}} - {{$routename->route_name}}</option>
       @endforeach
       @endif 
      </select>
	  </div> 
     </div>
    </div>	      <!--form-row-->

	
    <div class="form-row">
     <div class="col-md-4">
	  <div class="position-relative form-group">
	   <label for="status" class="ml-2 font-weight-bold">Status</label>
		 <select class="mb-2 form-control" name="status" id="status" required >  
		  @if(request()->route('id'))  
		  <option> </option>
		  <option {{ $get_data->status == 'active' ? 'selected' : '' }} value ="active">Active</option>
		  <option {{ $get_data->status == 'inactive' ? 'selected' : '' }} value="inactive">Inactive</option> 
		  @else 
		  <option> </option>
		  <option value ="active">Active</option>
		  <option value="inactive">Inactive</option>
		  @endif	 
		  </select> 
	    </div>
	  </div> 
    </div>
									
	<div class="form-row">
	 <div class="col-md-5"></div>
	  @if(request()->route('id'))
	   <button name="btnsubmit" class="mt-3 btn btn-primary btn-lg">Update</button>
	    @else 
	     <button  name="btnsubmit" type="submit" class="mt-3 btn btn-primary btn-lg">Save</button>
	     @endif
	      <div class="col-md-0.5"></div>
	      <a href="{{route('trading_center_list')}}" class="mt-3 btn btn-danger  btn-lg">Cancel</a>
	      </div>
         </form>
        </div>       <!--card-body-->
        </div>       <!--main-card mb-3 card-->
       </div>        <!--tab-pane tabs-animation fade show active-->
      </div>          <!--tab-content-->
    </div>            <!--app-main__inner-->

    @include('theme_layout/footer')


    <script>

     var jq = $.noConflict();
	 function checkForm(form)
  {
     
    form.btnsubmit.disabled = true;
    return true;
  }
      jq(document).ready(function(){
	    $('#route_code').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
		 
   
                
        });
     </script>