@include('theme_layout/header')
@include('theme_layout/nav')
<div class="app-main__outer">               
 <div class="app-main__inner">
  <div class="app-page-title">
   <div class="page-title-wrapper">
    <div class="page-title-heading">
	 <div class="page-title-icon">
	  <i class="pe-7s-graph text-success">
	  </i>
	 </div>
	 
		<div>  
	     {{ request()->route('id') ? 'Edit ' : 'Add ' }}  
	     Asset Tracking</div>	   
	</div>

	    <div class="page-title-actions">                                
		 <div class="d-inline-block dropdown">
		  <a href="{{route('asset_tracking_list')}}" class="mt-3 btn btn-primary btn-lg text-white"> <i class="fa fa-arrow-left fa-w-20"></i> Back</a>                                  
		</div>
	   </div>   
     </div>  <!--page-title-wrapper-->
   </div>  <!--app-page-title-->   
   
		<div class="tab-content">
		 <div class="tab-pane tabs-animation fade show active" id="tab-content-0" role="tabpanel">
		  <div class="main-card mb-3 card">
		   <div class="card-body">
		   <form class=""  action="{{ route('asset_tracking_store') }} " method="post" enctype="multipart/form-data" onsubmit="return checkForm(this);">
	       			{{ csrf_field() }}
	  <div class="form-group row"> 
		      <div class="col-md-4">
			   <div class="position-relative form-group">
			   <label for="asset_code" class="ml-2 font-weight-bold">
			   Asset Code</label>
			   <input name="asset_code" id="asset_code" placeholder="" type="text" maxlength="10" class="form-control" value="{{$last_code}}" readonly required></div>
		     </div>
			 
		<div class="col-md-4">
		 <div class="position-relative form-group"><label for="asset_name" class="ml-2 font-weight-bold">Asset Name</label><input maxlength="25" name="asset_name" id="asset_name" placeholder="" type="text" class="form-control" value="{{ request()->route('id') ? $get_data->asset_name : '' }}" autocomplete="off" required></div>
		</div>
		
	    <div class="col-md-4">
		<div class="position-relative form-group"><label for="asset_type" class="ml-2 font-weight-bold">Asset Type</label>
		 <input maxlength="25" name="asset_type" id="asset_type" placeholder=" " type="text" class="form-control" value="{{ request()->route('id') ? $get_data->asset_type : '' }}" autocomplete="off" required>
		 <input name="updated_id" id="updated_id" value="{{ request()->route('id') }}" type="hidden" autocomplete="off">
	    </div>
       </div>
      </div> <!--form-row-->
	  
	    <div class="form-row">    
		  <div class="col-md-4">
			<div class="position-relative form-group"><label for="asset_barcode" class="ml-2 font-weight-bold">Asset Barcode</label><input name="asset_barcode" id="asset_barcode" placeholder="" type="text" maxlength="30" class="form-control" value="{{ request()->route('id') ? $get_data->asset_barcode : '' }}" autocomplete="off" required></div>
		 </div>
		 
		 <div class="col-md-4">
			<div class="position-relative form-group"><label for="serial_no" class="ml-2 font-weight-bold">Serial Number</label><input maxlength="25" name="serial_no" id="serial_no" placeholder="" type="text" class="form-control" value="{{ request()->route('id') ? $get_data->serial_no : '' }}" autocomplete="off" required></div>
		 </div>
		 
		@php
		 $img= request()->route('id');
		@endphp													
		 @if($img!='')
		 @if($get_data->image!='')
	      <div class="col-md-4">
	      <div class="position-relative form-group">
		   <label for="image" class="font-weight-bold ml-2">Image</label>
		   <a class="image-link" href="{{asset('storage/app/'.$get_data->image)}}">Show image</a>				
		  <input maxlength="250" name="image" value="{{$get_data->image}}" id="image" placeholder="" type="file" class="form-control" autocomplete="off">
	    </div>
	  </div>
		 @else
				
        <div class="col-md-4">
         <div class="position-relative form-group">
          
          <label class="font-weight-bold ml-2" for="image" class="">Image is not uploaded</label>
          <input  maxlength="250"  name="image" id="image" placeholder="" type="file" class="form-control" autocomplete="off">
         </div>  
        </div>
        @endif
         @else
          <div class="col-md-4">
          <div class="position-relative form-group"><label for="image" class="font-weight-bold ml-2">Image</label>
           <input name="image" id="image" placeholder="" type="file" class="form-control" autocomplete="off" >
         </div>
        </div>
        @endif 
       </div> <!--form-row-->
	   
        <div class="form-row">    
         <div class="col-md-4">
          <div class="position-relative form-group"><label for="longitude" class="ml-2 font-weight-bold">Longitude</label><input name="longitude" id="longitude" placeholder="" type="text" maxlength="25" class="form-control" value="{{ request()->route('id') ? $get_data->longitude : '' }}" autocomplete="off" required></div>
         </div>
		 
        <div class="col-md-4">
        <div class="position-relative form-group"><label for="latitude" class="ml-2 font-weight-bold">Latitude</label><input maxlength="25" name="latitude" id="latitude" placeholder="" type="text" class="form-control" value="{{ request()->route('id') ? $get_data->latitude : '' }}" autocomplete="off" required></div>
       </div>
	   
        <div class="col-md-4">
         <div class="position-relative form-group"><label for="valid_from" class="ml-2 font-weight-bold">Valid From</label>
          <input name="valid_from" id="valid_from" placeholder=" " type="date" class="form-control" value="{{ request()->route('id') ? $get_data->valid_from : '' }}" autocomplete="off" required>
         </div>
        </div>
       </div> <!--form-row-->

        <div class="form-row">
         <div class="col-md-4">
          <div class="position-relative form-group"><label for="valid_to" class="ml-2 font-weight-bold">Valid To</label>
           <input name="valid_to" id="valid_to" placeholder=" " type="date" class="form-control" value="{{ request()->route('id') ? $get_data->valid_to : '' }}" autocomplete="off" required>
          </div>
         </div>
		 
        <div class="col-md-4">
         <div class="position-relative form-group">
          <label class="font-weight-bold ml-2" for="region" class="">Region</label>
           <select  class="mb-2 form-control" name="region" id="region" required > 
            @if(request()->route('id')) 
             @foreach($region as $regionname)
              <option {{$get_data->region == $regionname->id ? 'selected' : '' }} value ="{{$regionname->id}}">{{$regionname->region_code}} - {{$regionname->region_name}}</option>
             @endforeach
            @else 
              <option value=""> </option>
             @foreach($region as $regionname)
              <option value ="{{$regionname->id}}">{{$regionname->region_code}} - {{$regionname->region_name}}</option>
             @endforeach
            @endif 
           </select>
          </div>       
         </div>
		 
        <div class="col-md-4">
          <div class="position-relative form-group">
           <label for="sub_region" class="ml-2 font-weight-bold">
            Sub Region
           </label>                                                 
            @if(request()->route('id'))                                                  
             <input name="region_id" id="region_id" value="{{ request()->route('id') ? $get_data->region : '' }}" type="hidden" autocomplete="off">	 
             <input name="sub_region_id" id="sub_region_id" value="{{ request()->route('id') ? $get_data->sub_region : '' }}" type="hidden" autocomplete="off">							 
             <select class="mb-2 form-control" name="sub_region" id="subregion_add" required >
              </select>                                                        
            @else 
              <select class="mb-2 form-control" name="sub_region" id="subregion_add" required >
               </select>   
            @endif  
           </div>
          </div>
         </div> <!--form-row-->
		 
        <div class="form-row">
          <div class="col-md-4">
           <div class="position-relative form-group">
            <label for="route" class="ml-2 font-weight-bold">
             Route
             </label><select  class="mb-2 form-control" name="route" id="route" required > 
              @if(request()->route('id')) 
               @foreach($route as $routename)
                 <option {{$get_data->route == $routename->id ? 'selected' : '' }} value ="{{$routename->id}}">{{$routename->route_code}} - {{$routename->route_name}}</option>
               @endforeach
              @else 
                 <option value=""> </option>
                @foreach($route as $routename)
                  <option value ="{{$routename->id}}">{{$routename->route_code}} - {{$routename->route_name}}</option>
                @endforeach
              @endif 
             </select>
            </div>
           </div>
		   
    
		  
		<div class="col-md-4">
		 <div class="position-relative form-group">
		  <label for="customer" class="ml-2 font-weight-bold">
		   Customer
		   </label>@if(request()->route('id'))                                                  
		  	<input name="route" id="route" value="{{ request()->route('id') ? $get_data->route: '' }}" type="hidden" autocomplete="off">	  
           <input name="customer_id" id="customer_id" value="{{ request()->route('id') ? $get_data->customer : '' }}" type="hidden" >							 
		    <select class="mb-2 form-control" name="customer" id="customer_add" required>
			
		    </select>
		     @else 
		      <select class="mb-2 form-control" name="customer" id="customer_add" required >
		      </select>   
		     @endif  
		    </div>
		   </div>
		 
		 <div class="col-md-4">
		 <div class="position-relative form-group">
	      <label for="status" class="ml-2 font-weight-bold">   Status
	      </label>
	       <select class="mb-2 form-control" name="status" id="status" required > 
		  @if(request()->route('id')) 	
		   <option value="">   </option>
		   <option {{ $get_data->status == 'active' ? 'selected' : '' }} value ="active">Active</option>
		   <option {{ $get_data->status == 'inactive' ? 'selected' : '' }} value="inactive">Inactive</option>                                            
		  @else 
		    <option value="">   </option>
		    <option value ="active">Active</option>
		    <option value="inactive">Inactive</option>
		  @endif 
			</select></div>
		   </div> </div>					</div>
		   </div> <!--main-card mb-3 card-->
		  </div> <!--tab-pane tabs-animation fade show active-->
		  
		<div class="form-row">
		 <div class="col-md-5"></div>
		  @if(request()->route('id'))
		   <button class="mt-3 btn btn-primary btn-lg" name="btnsubmit">Update</button>
		  @else 
		    <button type="submit" class="mt-3 btn btn-primary btn-lg" name="btnsubmit">Save</button>
		  @endif
		    <div class="col-md-0.5"></div>
		    <a href="{{route('asset_tracking_list')}}" class="mt-3 btn btn-danger  btn-lg">Cancel</a>
		   </div>
		  </form>
		 </div> <!--tab-content-->
	    </div>  <!--app-main__inner-->                          
	   </div>  <!--app-main__outer-->                            
	  </div>               
	@include('theme_layout/footer')            
<script>

function checkForm(form)
			{ 
		form.btnsubmit.disabled = true;
		return true;
			}

   var jq = $.noConflict();

   jq(document).ready(function(){
       
	   $('#region').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	   $('#route').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	   $('#customer_category').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	   
       var region = '';
       $("#region").change(function(){
        
         var region =  jq('#region').val();
         var sub_region ='0';
        get_subregion(region, sub_region);
	   });
	   
	   @if(request()->route('id'))
		    var route =  jq('#route').val();
             var customer =  jq('#customer_id').val();
		  
           get_customer(route, customer)
		   
	   @endif
		var route = '';
        $("#route").change(function(){
          
         var route =  jq('#route').val();
		 var customer ='0';
        get_customer(route, customer);
 
     });
	 
	 if(region =='') {
         
        var region_id =  jq('#region_id').val();
         var sub_region_id =  jq('#sub_region_id').val();
         
         if(!region_id=='')
         {
             get_subregion(region_id, sub_region_id);
         } 
     }  
     
     

  function get_subregion(region_id, city)
     {
         //alert(city);
         jq.ajax({
              url: "{{ URL('asset_tracking/get_subregion/') }}" +"/" + region_id +'/'+city,
              type:"GET",
              
          success:function(respons)
          {
            if(respons)
            {
                jq('#subregion_add').html(respons);
				$('#subregion_add').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	            $('#subregion_add')[0].sumo.reload(); 
            }
         
          }
       });
     }

$('#customer_add').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});



  function get_customer(route, customer)
     {
         //alert(city);
         jq.ajax({
              url: "{{ URL('asset_tracking/get_customer/') }}" +"/" + route +'/'+customer,
              type:"GET",  
              
          success:function(respons)
          {
            
                jq('#customer_add').html(respons);  
				$('#customer_add').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
				$('#customer_add')[0].sumo.reload();  
            
         
          }
       });
     } 


	 
    
});

 
        
</script>         