@include('theme_layout/header')
@include('theme_layout/nav')
	
<div class="app-main__outer">
 <div class="app-main__inner">
  <div class="app-page-title">
   <div class="page-title-wrapper">
	<div class="page-title-heading">
	 <div class="page-title-icon">
	   <i class="pe-7s-graph text-success"></i>
	 </div>     <!--page-title-icon-->
	 
     <div>  
	        {{ request()->route('id') ? 'Edit ' : 'Add '}} Assign Back Inventory 
     </div>
    </div> <!-- end page title heading -->
       <div class="page-title-actions">
     <div class="d-inline-block dropdown">
	   <a id="back" class="mt-3 btn btn-primary btn-lg text-white"> 
	  <i class="fa fa-arrow-left fa-w-20">
	  </i> Back</a>
     </div>
    </div> <!-- end page title action -->  
   </div> <!-- end page title wrapper -->
  </div>  <!-- end page app title --> 

 <div class="tab-content">
   <div class="tab-pane tabs-animation fade show active" id="tab-content-0" role="tabpanel">
	<div class="main-card mb-3 card">
	 <div class="card-body">
	  <h5 class="card-title"></h5>
		<form id="material_form" class="" action="{{ route('assign_inventory_store') }}" method="post">
		 {{ csrf_field() }}
         <div class="form-group row">
           <div class="col-md-4">
		    <div class="position-relative form-group">
			 <label class="font-weight-bold ml-2" for="customer" class="">Customer
             </label>			
				<input name="updated_id" id="updated_id" value="{{ request()->route('id') ? $get_data->id : '' }}" type="hidden" >	
			<select  class="mb-6 form-control" name="customer" id="customer" required >
		   		
			@foreach($customer as $customername)
            <option {{$get_data->customer== $customername->id ? 'selected' : '' }} value ="{{$customername->id}}">{{$customername->customer_code}} - {{$customername->customer_name}}</option>
            @endforeach
			
			</select>
				
           </div><!--position-relative form-group-->
	      </div>
         </div>
		 <!--  add row -->
		
		<section>
          @php
		  $k='';
		  @endphp	
			 
	  <div id="return_table"  class="panel panel-footer" >
       <table class="table table-bordered" id="myTable3">
		<thead>
         <tr>
		  <th style="width:50%; text-align: center;">Material</th>
			<th style="width:30%; text-align: center;">UOM</th>	
			<th style="width:; text-align: center;">Action</th>
		 </tr>
	    </thead>
							
		<tbody id="dynmic_row">
			
				@foreach($get_data_details as $key=> $details)
				
					<tr id="row_{{$key}}">
						<td style="width: 50%;" id="mitem_0" >
							<select placeholder="{{$key}}" type="text" id="get_material_{{$key}}" name="material_name[]" class="form-control mat material_sumo">
							<option value=""></option>
							@foreach($material as $material_name)
							<option {{$details->material==$material_name->id ? 'selected' : ''}} value ="{{$material_name->id}}">{{$material_name->material_code}} - {{$material_name->material_name}}
							</option>
							@endforeach
							</select>
						</td>
											
						<?php 
							$material_master2 = DB::select('SELECT t2.id, t2.unit_notation FROM tbl_material_master as t1 LEFT JOIN tbl_unit_of_measurement as t2 ON find_in_set(t2.id,t1.alt_uom) WHERE t1.`id`='.$details->material.'');
						?>
											
						<td id="uitem_{{$key}}" style="width: 20%;">
							<select  placeholder="{{$key}}" id="uom_{{$key}}" name="uom[]" class="form-control oums">
											
							@foreach($material_master2 as $uom_name)
							<option {{$details->uom==$uom_name->id ? 'selected':''}} value="{{$uom_name->id}}">
							{{$uom_name->unit_notation}}
							</option> 
							@endforeach
							</select>
						</td>
 
						<td id="delete_{{$key}}">
							<button id="delete_{{$key}}" type="button" class="btn btn-danger font-weight-bold" onclick="deleteRow(this,{{$key}})">
							<i class="fa fa-trash" aria-hidden="true"></i>
							</button>
						</td>
					</tr>
									
					@php
					$k=$key;
					@endphp
				
				@endforeach
			
		
		    <input value="{{$k}}" id="inc1" type="hidden" name="" class="form-control" autocomplete="off">
		
		</tbody>
	   </table>
				 
		<td>
		 <button type="button" class="btn btn-primary font-weight-bold text-white addRow">
		 <i class="fa fa-plus  text-white " aria-hidden="true" ></i> 
		  ADD
		 </button>
		</td>
      </div> <!--panel panel-footer-->
	        <!-- hidden fielde-->
      </section>       	
	<!--  End add row -->
		<div class="row ">
		 <div class="col-md-5 ml-5"></div>
		  <button id="submit" class="mt-3 btn btn-primary btn-lg">Update</button>
			<a href="{{route('assign_inventory_list')}}" class="mt-3 btn btn-danger ml-2  btn-lg">Cancel</a>   
	    </div>
      </form>
     </div>     <!--card-body-->
    </div>     <!--main-card mb-3 card-->
   </div>    <!--tab-pane tabs-animation fade show active-->
  </div>    <!--tab-content-->
 </div>     <!--app-main__inner-->
  @include('theme_layout/footer')
  
	<script>
 
		var jq = $.noConflict();
var i=jq('#inc1').val();
		jq(document).ready(function(){
			 jq("#back").click(function(){
				   window.history.back();
			   }) 
			   <!--Trading Center-->
		$('#customer').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
		
		$('.material_sumo').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
   
	});
<!--add row -->
		/*   var i=0;
		jq('.addRow').on('click',function(){
		i++;
		addRow(i);
		});

		$('#get_material_0').change(function(){
		var material_id1 = jq('#get_material_0').val();

		var row=0;
		get_material_details(material_id1,row);
		});
		 
		    */
		 
		 
		 
		   $('.mat').change(function(){
		  var inc11= jq(this).attr('placeholder');
		
		  var material_id =  jq('#get_material_'+inc11+'').val();
		  get_material_details(material_id,inc11);
		  });


		 jq('.addRow').on('click',function(){
		  i++;
		  addRow(i);
		  });


		function first_row(){
			var tr = '<tr id="row_0">'+
			'<td style="width: 50%;" id="mitem_0"><select type="text" id="get_material_0" name="material_name[]" class="form-control get_material" required="" </td>'+

			'<td id="uitem_0" style="width: 20%;"><select type="text" id="uom_0" name="uom[]" class="form-control"><option value=""></option></select> </td>'+
 
			' <td><button type="button" class="btn btn-danger font-weight-bold " onclick="deleteRow(this,0)"><i class="fa fa-trash" aria-hidden="true" ></i></button></td>'+
			'</tr>';
			jq('#dynmic_row').append(tr);

	 

			jq('#get_material_0').click(function(){
				
			var material_id = jq('#get_material_0').val();
			get_material_details(material_id,0);

			});

		}


		function addRow(value){
		
		var tr='<tr id="row_'+value+'">'+
		'<td style="width: 50%;" id="mitem_"><select type="text" id="get_material_'+value+'" name="material_name[]" class="form-control get_material" required=""></td>'+

		'<td id="uitem_'+value+'" style="width: 20%;"><select type="text" id="uom_'+value+'" name="uom[]" class="form-control"><option value=""></option></select> </td>'+
		
		 
		' <td id="delete_'+value+'"><button id="delete_'+value+'" type="button" class="btn btn-danger font-weight-bold " onclick="deleteRow(this,'+value+')"><i class="fa fa-trash" aria-hidden="true" ></i></button></td>'+
		'</tr>';
		jq('#dynmic_row').append(tr);


		get_material(value);

		jq('#get_material_'+value+'').click(function(){
			
		var material_id = jq('#get_material_'+value+'').val();
		get_material_details(material_id,value);

		setTimeout(function(){
		var uom_id = jq('#uom_'+value+'').val();

		reset_value1(value);
		 
		get_material_price(uom_id,material_id,value);
		get_material_alt_packing_size(uom_id,material_id,value);

		}, 1000);
		});
		/* jq('#dynmic_row').append(tr);
		 

		jq('#get_material_'+value+'').click(function(){
			
		var material_id = jq('#get_material_'+value+'').val();
		get_material_details(material_id,value);

		setTimeout(function(){
		var uom_id = jq('#uom_'+value+'').val();

		reset_value1(value);
		calculate();
		get_material_price(uom_id,material_id,value);
		get_material_alt_packing_size(uom_id,material_id,value);

		}, 1000);
		}); */
		
<!--get_material_price-->
		function get_material_price(uom_id1,material_id1,row){
			
		jq.ajax({
		url: "{{ URL('get_material_price2') }}"+"/" +uom_id1+'/'+material_id1,
		type:"GET",

		success:function(respons){
		
		if(respons)
		{
		//document.getElementById('price_'+row+'').value =respons;
		 // document.getElementById('lprice_'+row+'').innerHTML  = new Intl.NumberFormat('en-IN', { minimumFractionDigits: 2 }).format(respons);
		}
		}
		});
		}
		jq('#uom_'+value+'').change(function(){
			
		var uom_id = jq('#uom_'+value+'').val();
		var material_id = jq('#get_material_'+value+'').val();

		 reset_value1(value);
		 calculate();
		get_material_price(uom_id,material_id,value);
		get_material_alt_packing_size(uom_id,material_id1,value);

		});
		};
<!--end add row -->
<!--get_material_uom-->
	function get_material_details(material_id1,row){
		
		jq.ajax({
		url: "{{ URL('get_material_detailsUom3/') }}"+"/" +material_id1+'/'+row,
		type:"GET",

		success:function(respons)
		{
		if(respons)
		{
		jq('#uom_'+row+'').html(respons);
		
		}
		 }
		  });
		}

<!--get_material_name-->
		function get_material(value){
			
		jq.ajax({
		url: "{{ URL('get_material2/') }}",
		type:"GET",

		success:function(respons){
		
		if(respons)
		{
		jq('#get_material_'+value+'').html(respons);
		 $('#get_material_'+value+'').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
		 $('#get_material_'+value+'')[0].sumo.reload(); 
		}
		 }
		  });
		 }
		<!-- Deleting row-->
		function deleteRow(r,row) {

		if(row==0){
			Swal.fire({
				  icon: 'error',
				  title: 'you can not remove first row!',
				})
		
		}
		else{

		var i = r.parentNode.parentNode.rowIndex;
		document.getElementById("myTable3").deleteRow(i);
		}
		calculate();
		}

</script>	 