@include('theme_layout/header')
@include('theme_layout/nav')
 
<div class="app-main__outer">
 <div class="app-main__inner">  
  <div class="tab-pane tabs-animation " id="tab-content-2" role="tabpanel">
   <div class="app-page-title">
    <div class="page-title-wrapper">
     <div class="page-title-heading">
	  <div class="page-title-icon">
	   <i class="pe-7s-medal icon-gradient bg-tempting-azure">
	  </i>
	 </div>
	 
	    <div>Assign Product List
		  @if(Session::has('successMessage')) 
		  <input id="toster_id" type="hidden" value="{{ Session::get('successMessage') }}">		  
	      @endif 
	    </div>
    </div>
							
        <div class="page-title-actions"> 
         <div class="d-inline-block dropdown">
	      <div class="page-title-actions"> 
		   <div class="d-inline-block dropdown">
			<a href="{{route('assign_material')}}" class="mt-3 btn btn-primary btn-lg"> <i class="fa fa-plus fa-w-20"></i> Add Assign Product</a> 
		  </div>
	 </div> 
									
	    <div tabindex="-1" role="menu" aria-hidden="true" class="dropdown-menu dropdown-menu-right">
	     <ul class="nav flex-column">
		  <li class="nav-item">
		   <a class="nav-link">
		    <i class="nav-link-icon lnr-inbox"></i>
		     <span>
			  Inbox
		     </span>
		     <div class="ml-auto badge badge-pill badge-secondary">86</div>
		   </a>
		 </li>

		<li class="nav-item">
		 <a class="nav-link">
		  <i class="nav-link-icon lnr-book"></i>
		   <span>
			Book
		   </span>
		    <div class="ml-auto badge badge-pill badge-danger">5</div>
		 </a>
		</li>
		
		<li class="nav-item">
		 <a class="nav-link">
		  <i class="nav-link-icon lnr-picture"></i>
		   <span>
			Picture
		   </span>
		 </a>
		</li>
		
	    <li class="nav-item">
		 <a disabled class="nav-link disabled">
		  <i class="nav-link-icon lnr-file-empty"></i>
		   <span>
			File Disabled
		   </span>
		 </a>
	    </li>
       </ul>
      </div>
     </div>
    </div>
   </div>
  </div>          

	   <div class="main-card mb-3 card">
	    <div class="card-body">
		
		
		 <form method="get" action="{{ route('assign_material_list') }}" >
		  
	       <div class="form-row">
	        <div class="col-md-4  date position-relative form-group" id="myDatepicker4">
		     <label for="date" class="font-weight-bold ml-2">From Date :</label> 
		      <input type="date" class="form-control" name="fromdate" id="date" value="<?php if(isset($_GET['fromdate'])) echo $_GET['fromdate']; else echo date("Y-m-d"); ?>"autocomplete="off">
	       </div>
		   
	    <div class="col-md-4  date position-relative form-group" id="myDatepicker5">
		 <label for="date" class="font-weight-bold ml-2">To Date :</label>  
		  <input type="date" class="form-control" name="todate"  id="todate"  value="<?php if(isset($_GET['todate'])) echo $_GET['todate']; else echo date("Y-m-d"); ?>" autocomplete="off">
	     </div>
		 
		  <div class="col-md-4" >
	      <div class="position-relative form-group"><label for="select_customer" class="font-weight-bold ml-2">Customer</label> <select class="mb-2 form-control" name="customer" id="customer_id" >
	       @if(isset($_GET['customer']))
		   <option value=""> </option>
			@foreach($customer as $customername)
			
			<option {{$_GET['customer'] == $customername->id ? 'selected' : '' }}  value="{{$customername->id}}">{{$customername->customer_code}} - {{$customername->customer_name}}
			@endforeach
			@else
			<option value=""> </option>	
			@foreach($customer as $customername)
		     <option value="{{$customername->id}}">{{$customername->customer_code}} - {{$customername->customer_name}}</option>
			@endforeach
			@endif	
		    </select>
	       </div>
		  </div> 
	     </div>  
		  
		<div class="form-row">
		 <div class="col-md-12 text-center"> 
		    <button id="submit" class="btn btn-primary mr-2 mb-2 block-page-btn-example-1">Search</button> 
			  <div class="body-block-example-1 d-none" style="cursor: default;">
				 <div class="loader bg-transparent p-0">
					<div class="ball-grid-pulse">
						<div class="bg-white"></div>
						<div class="bg-white"></div>
						<div class="bg-white"></div>
						<div class="bg-white"></div>
						<div class="bg-white"></div>
						<div class="bg-white"></div>
						<div class="bg-white"></div>
						<div class="bg-white"></div>
						<div class="bg-white"></div>
					</div>
				</div>
			</div> 
		   </div>	
		  </div> 					 
         </form> 
		 
		<br><br>			
	      <table style="width: 100%;" id="example" class="table table-hover table-striped table-bordered"> 
		   <thead>
		    <tr>			 
			 <th class="text-justify text-left">Date</th>
			 <th class="text-justify text-left">Customer</th>
			 <th class="text-justify text-left">Brand</th>
			 <th style="width: 13%;">Action</th>  
		    </tr>
		   </thead>		
	        <tbody>
		     @foreach($get_data as $data)
		      @php
		       $row1 = date("d F Y g:i a", strtotime($data->created_at));
		       $space=" ";
		      @endphp
	        <tr>
		     <td class="font-weight-bold text-justify text-left">{{$row1}}</td>		   
			 <td class="font-weight-bold text-justify text-left">{{$data->customer_code}} - {{ucfirst($data->customer_name)}}</td>
			 @if($data->brand_name == '')
			 <td class="font-weight-bold text-justify text-left">ALL</td>
			 @else
			 <td class="font-weight-bold text-justify text-left">{{$data->brand_code}} - {{ucfirst($data->brand_name)}}</td>
		     @endif
			 <td>
			 
			 <div class="dropdown">
					<button type="button" aria-haspopup="true" aria-expanded="false" data-toggle="dropdown" class="mb-2 mr-2 btn btn-outline-primary "><i class="fas fa-ellipsis-v"></i></button>
					<ul class="dropdown-menu " style="min-width: 0px;" aria-labelledby="dropdownMenuButton1">
					<a class="dropdown-item"  class= "mb-2  btn-hover-shine btn btn-shadow btn-success btn-lg " href="{{ URL::to('assign_material_edit/'.$data->id)}}"><i class="fas fa-edit" aria-hidden="true"> Edit</i></a>  
					<a class="dropdown-item"  class= "mb-2  btn-hover-shine btn btn-shadow btn-success btn-lg " href="{{ URL::to('assign_material_view/'.$data->id)}}"><i class="fas fa-eye" aria-hidden="true"> View</i></a>  
					</ul>
				  </div>
			 		
	         </td> 
	         </tr>
		     @endforeach 
            </tbody> 
           </table> 
          </div> <!--card-body-->
         </div>  <!--main-card mb-3 card--> 
		</div> 
	   </div>	
	  </div>
     </div> <!--app-main__inner-->
	 
@include('theme_layout/footer')	 

<script>

   var jq = $.noConflict();
   
     <?php if(isset($_GET['customer'])){?> 
		var customer_id = jq('#customer_id').val(); 
		var url_route = jq('#url_route').val(); 
		
		get_route(customer_id,url_route); <?php } ?>

   jq(document).ready(function(){
	  $('#customer_id').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	  
	   @if(Session::has('successMessage'))
var toster=jq('#toster_id').val();
if(toster!=''){
	Swal.fire({
	  
	  icon: 'success',
	  title: ''+toster,
	  showConfirmButton: false, 
      allowOutsideClick: false,
      allowEscapeKey: false,
	   timer: 2000
		});
	}
	
	{{ Session::forget('successMessage') }}
	
@endif
	  
        jq('#myDatepicker4').datetimepicker({
            format: 'YYYY-MM-DD',
            allowInputToggle: true 
        }); 
        jq('#myDatepicker5').datetimepicker({
            format: 'YYYY-MM-DD',
            allowInputToggle: true 
        }); 
	   
   });
   
</script>	