@include('theme_layout/header')
@include('theme_layout/nav')
 
 
<div class="app-main__outer">
 <div class="app-main__inner">
  <div class="app-page-title">
   <div class="page-title-wrapper">
    <div class="page-title-heading">
	 <div class="page-title-icon">
	  <i class="pe-7s-medal icon-gradient bg-tempting-azure">
	  </i>
	 </div> <!--page-title-icon-->
								
        <div> Planogram Post Gallery List
	     @if(Session::has('successMessage')) 
		  <input id="toster_id" type="hidden" value="{{ Session::get('successMessage') }}">		  
		 @endif 
        </div>
    </div> <!--page-title-heading-->
	
        <div class="page-title-actions">
         <div class="d-inline-block dropdown">
          <div class="page-title-actions">
	       <div class="d-inline-block dropdown">
		  </div>
         </div> 
		 
	    <div tabindex="-1" role="menu" aria-hidden="true" class="dropdown-menu dropdown-menu-right">
		 <ul class="nav flex-column">
		  <li class="nav-item">
	       <a class="nav-link">
		    <i class="nav-link-icon lnr-inbox"></i>
		     <span>
			  Inbox
		     </span>
		      <div class="ml-auto badge badge-pill badge-secondary">86</div>
		   </a>
		  </li>

		<li class="nav-item">
		 <a class="nav-link">
		  <i class="nav-link-icon lnr-book"></i>
		   <span>
			Book
		   </span>
		    <div class="ml-auto badge badge-pill badge-danger">5</div>
		 </a>
		</li>
		
		<li class="nav-item">
		 <a class="nav-link">
		  <i class="nav-link-icon lnr-picture"></i>
		   <span>
			Picture
		   </span>
		 </a>
		</li>
		
		<li class="nav-item">
		 <a disabled class="nav-link disabled">
		  <i class="nav-link-icon lnr-file-empty"></i>
		   <span>
			File Disabled
		   </span>
		 </a>
		</li>
	   </ul>
      </div> <!--dropdown-menu dropdown-menu-right-->
     </div> <!--d-inline-block dropdown-->
    </div>  <!--page-title-actions-->  </div> <!--page-title-wrapper-->
   </div> <!--app-page-title--> 
        
       <div class="main-card mb-3 card ">
		<div class="card-body">
	     <form action="{{route('planogram_gallery_list')}}" method="get">
	       <div class="form-row">
	        <div class="col-md-4  date position-relative form-group" id="myDatepicker4">
		     <label for="select_warehouse" class="font-weight-bold ml-2"> From Date</label>
		      <input type="date" class="form-control" name="fromdate" id="fromdate" value="<?php if(isset($_GET['fromdate'])) echo $_GET['fromdate']; else echo date("Y-m-d"); ?>" autocomplete="off">
	         </div>
			 
	    <div class="col-md-4  date position-relative form-group" id="myDatepicker5">
		 <label for="select_warehouse" class="font-weight-bold ml-2"> To Date</label>
		  <input type="date" class="form-control" name="todate"  id="todate"  value="<?php if(isset($_GET['todate'])) echo $_GET['todate']; else echo date("Y-m-d"); ?>" autocomplete="off">
	     </div>
		  
		  <div class="col-md-4">
	      <div class="position-relative form-group"><label for="select_salesman" class="font-weight-bold ml-2">Merchandising</label> <select class="mb-2 form-control" name="salesman" id="salesman1">
		   @if(isset($_GET['salesman']))
			 <option value=""> </option>
			@foreach($salesman as $salesman_name)
			 <option {{$_GET['salesman'] == $salesman_name->id ? 'selected' : '' }}  value="{{$salesman_name->id}}">{{$salesman_name->salesman_code}} - {{$salesman_name->salesman_name}}</option>
		    @endforeach
		   @else
		     <option value=""> </option>
		    @foreach($salesman as $salesman_name)
			 <option value="{{$salesman_name->id}}">{{$salesman_name->salesman_code}} - {{$salesman_name->salesman_name}}</option>
		    @endforeach
		   @endif
		  </select>
	     </div>
        </div> <!--col-md-6-->
		 
        </div> 
	  
	   <div class="form-row">
        <div class="col-md-12 text-center"> 
	     <button id="submit" class="mt-3 btn btn-primary btn-lg">Filter</button>
	      <!-- <input type="hidden" name="type" value="date" id="search_type">
	       <input type="button" value="Filter" class="btn btn-sm btn-primary listSearchBtn  filter">
	        <button  class="btn btn-sm btn-danger listSearchAllBtn reset">All</button>   color-#c1ccaf-->
	       </div>	
		  </div>
		</form>
		 <br>
		 <br> 
 
		 @if(isset($final_array[0])) 
		 <div class="table table-hover table-striped table-bordered">     
		  <ul class="gallery">    
		   <div class="row ex1" >    
			@foreach($final_array as $image)
			
		       <!--  Before image -->
			   
			<div class="col-md-4 mt-4" >    
			 <div class="card-body card " style="background-color:#f0e9e4">   
			  <div class="zoom"> 
			   <a href="{{asset('storage/app/'.($image['before_image']))}}" data-lightbox="mygallery"> 
			   <img  class="image hover gallery-image"  src="{{asset('storage/app/'.$image['before_image'])}}" width="100px" height="100px"  /></a>   
			  </div> 
			<table> 
			 <tr> <td class="text-left"><b>Customer : </b></td><td class="text-left">{{$image['customer']}} </td></tr>
			  <tr><td class="text-left"><b>Shelf Display : </b></td><td class="text-left"> {{$image['shelf_display']}}</td></tr>     
			  <tr><td class="text-left"><b>Salesman : </b></td><td class="text-left"> {{$image['salesman']}}</td></tr>    
			  <tr><td class="text-left"><b>Planogram : </b></td><td class="text-left"> {{$image['planogram']}}</td></tr>      
			  <tr><td class="text-left"><b>Image : </b></td><td class="text-left">Before Image</td></tr>        
			</table>
		   </div>
		  </div> 
			
			<!--  After image -->
			
			<div class="col-md-4 mt-4" >    
			  <div class="card-body card " style="background-color:#f0e9e4">   
				<div class="zoom"> 
			      <a href="{{asset('storage/app/'.($image['after_image']))}}" data-lightbox="mygallery"> 
			       <img  class="image hover gallery-image"  src="{{asset('storage/app/'.$image['after_image'])}}" width="100px" height="100px"  /></a>   
				  </div>
				<table> 
			 <tr> <td class="text-left"><b>Customer : </b></td><td class="text-left">{{$image['customer']}} </td></tr>
			  <tr><td class="text-left"><b>Shelf Display : </b></td><td class="text-left"> {{$image['shelf_display']}}</td></tr>     
			  <tr><td class="text-left"><b>Salesman : </b></td><td class="text-left"> {{$image['salesman']}}</td></tr>    
			  <tr><td class="text-left"><b>Planogram : </b></td><td class="text-left"> {{$image['planogram']}}</td></tr>      
			  <tr><td class="text-left"><b>Image : </b></td><td class="text-left">After Image</td></tr>         
			</table> 
		   </div>
		  </div>  
		 @endforeach  
		 </div>
		</ul>
		@else
	   <div style="background-color:#f0e9e4; padding: 6px; text-align:center; color:red;" >
          <b>No Gallery Available   
		 
	   </div> 
	  </div>  
     @endif 
	 
	 </div> <!--card-body-->
	 </div> <!--card-body-->
	</div> <!--main-card mb-3 card -->
   </div> <!--app-main__inner-->
  </div> <!--app-main__outer-->
 </div>
  @include('theme_layout/footer')	
 
<script>
var jq = $.noConflict();

 jq(document).ready(function(){
	 @if(Session::has('successMessage'))
	 var toster=jq('#toster_id').val();
	 if(toster!=''){
		Swal.fire({ 
		  icon: 'success',
		  title: ''+toster,
		  showConfirmButton: false,
		  timer: 2000
			})
		}
		{{ Session::forget('successMessage') }}  
	@endif   
	 $('#salesman1').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	 
	  var fromdate = jq('#fromdate').val();
   var todate = jq('#todate').val();
	 
	 
	 function get_datefilter(fromdate,todate){

    jq.ajax({
    url: "{{ URL('planogram_gallery_list/') }}",       
    type:"GET",
    data:{fromdate:fromdate,
    todate:todate },
    success:function(respons){
    
            if(respons){
            
              jq('#example1').html(respons);
            }
         }
       });
     } 
	 
 });


</script>		