@include('theme_layout/header')
@include('theme_layout/nav')

<div class="app-main__outer">
 <div class="app-main__inner">
  <div class="app-page-title">
   <div class="page-title-wrapper">
	<div class="page-title-heading">
	 <div class="page-title-icon">
	  <i class="pe-7s-graph text-success">
	  </i>
	 </div>       <!--page-title-icon-->
	 
	 <div>  
			{{ request()->route('id') ? 'Edit ' : 'Add ' }} 
			Counter Sales
	 </div>
	</div>       <!--page-title-heading-->
	
	<div class="page-title-actions"> 
	 <div class="d-inline-block dropdown">
	   <a id="back" class="mt-3 btn btn-primary btn-lg text-white"> 
	   <i class="fa fa-arrow-left fa-w-20 text-white"></i> Back</a>
	   
	 </div>        <!--d-inline-block dropdown-->
	</div>         <!--page-title-actions-->
   </div>          <!--page-title-wrapper-->
  </div>           <!--app-page-title-->

  <div class="tab-content">
   <div class="tab-pane tabs-animation fade show active" id="tab-content-0" role="tabpanel">
	<div class="main-card mb-3 card">
	 <div class="card-body">
	 <h5 class="card-title"></h5>
	 <form id="material_form" class="" onsubmit="return checkForm(this);" action="{{ route('counter_sales_store') }}" method="post">
				{{ csrf_field() }}
	  			
	  <div class="form-group row">
	  <div class="col-md-4">
		<div class="position-relative form-group">
		   <label for="select_warehouse" class="font-weight-bold">Distributor</label> 
	     
          <select class="mb-2 form-control" name="distibutor" id="distibutor" required>
             <option> </option>
            @foreach($distibutor as $distibutor)
            <option value="{{$distibutor->id}}">
             {{$distibutor->customer_code}} - {{$distibutor->customer_name}}
            </option>
             @endforeach     
          </select> 
      </div>
    </div>
          
	   <div class="col-md-4">
		<div class="position-relative form-group">
		 
		   <label  class="font-weight-bold ml-2" for="outlet" class=""> Warehouse
		   </label>
		   
		   <select class="mb-2 form-control outlet" name="warehouse" id="warehouse" required >  
			
		   </select> 
		</div>       <!--position-relative form-group-->
	   </div>       <!--form-group row"-->
	   
	   <div class="col-md-4">
		<div class="position-relative form-group">
		     <label  class="font-weight-bold ml-2" for="outlet" class="">Outlet Warehouse
		   </label>
		    
		   <select class="mb-2 form-control outlet" name="outlet" id="outlet" required >  
			
		   </select> 
		</div>       <!--position-relative form-group-->
	   </div> 
	   
	   <div class="col-md-12">
		<div class="position-relative form-group">
		  
			<label class="font-weight-bold ml-2"  for="comment" class="">Remark*</label>
		   
		   <input  maxlength="200" name="comment" id="comment"  type="text" class="form-control" value=""  autocomplete="off" required> 
		   <input value="" id="warehouse_id" type="hidden" name="warehaouse_id" class="form-control" autocomplete="off"> 
		   <input value="" id="route_id1" type="hidden" name="route_id1" class="form-control" autocomplete="off"> 
		   <input  type="hidden" id="counter_sales_number" name="counter_sales_number" class="form-control" value="{{$last_code}}" autocomplete="off">
			<input  maxlength="120" name="session_vat" id="session_vat"  type="hidden" class="form-control" value="{{Session::get('company_vat')}}" autocomplete="off" required>
		   

	    </div>       <!--position-relative form-group-->
	   </div>      
      </div>       <!--form-group row-->
	  
	  <div class="mb-5" >
	   <h5><p class="font-weight-bold float-right mr-5"><bold>Counter Sales Code:  #{{$last_code}}</bold></p></h5>
	  </div>   

<!--  add row -->
		<section> 
	   
	  <div class="panel panel-footer" >
	   <table class="table table-bordered" id="myTable">
		<thead>
		 <tr>
			<th style="width:20%; text-align: center;">Material </th>
			<th style="width:13%; text-align: center;">UOM</th>
			<th style="width:10%; text-align: center;">Qty</th>
			<th style="width:13%; text-align: center;">Unit Price</th>
			<th style="width:10%; text-align: center;">Discount</th>
			<th style="width:10%; text-align: center;">Vat</th>
			<th style="width:12%; text-align: center;">Net Amount</th>
			<th style="width:12%; text-align: center;">Total</th>     
			<th>Action</th>
		 </tr>
		</thead>
							
		<tbody id="dynmic_row">
		 <tr id="row_1">
		  	<td style="width: 15%;" id="mitem_1" > 
			<select type="text" id="get_material_1" name="material_name[]" class="form-control" required="">
			<option value=""></option>
				@foreach($material as $material_name)
			<option value ="{{$material_name->id}}">{{$material_name->material_code}} - {{$material_name->material_name}}</option>
				@endforeach
			</select> 
			</td>
							
			<td id="uitem_1" style="width: 10%;">
			<select  id="uom_1" name="uom[]" class="form-control"> 
			<option value=""></option>
			</select> 
			</td> 
									
			<td id="qitem_1"> 
			<input  value=""  id="qty_1" type="text" name="quantity[]" class="form-control quantity" autocomplete="off" required="">
			</td>
			<td id="pitem_1">
			<label   class="lprice font-weight-bold ml-4 " id="lprice_1" for="comment">     </label>
			<input  value="" autocomplete="off"  id="price_1" type="hidden" name="price[]" class="form-control price">
									
			<input autocomplete="off" value=""  id="packing_size_1" type="hidden" name="packing_size[]" class="form-control packing_size">
									
			<input autocomplete="off" value=""  id="begpacking_size_1" type="hidden" name="begpacking_size[]" class="form-control begpacking_size">
									
			</td>
			<td id="ditem_1">
			<label   class="ldiscount font-weight-bold ml-4 " id="ldiscount_1" for="comment">     </label>
			<input value=""  id="discount_1" type="hidden" name="discount[]" class="form-control discount" autocomplete="off"> 
			</td>
									
			<td id="vitem_1" >
			<label  class="lvat font-weight-bold ml-4" id="lvat_1" for="comment">     </label>
			<input value=""  id="vat_1" type="hidden" name="vat[]" class="form-control vat" required="" autocomplete="off"> 
			<input autocomplete="off" value="1"  id="isvat_1" type="hidden" name="isvat[]" class="form-control isvat" required=""> 
			</td>
			<td id="naitem_1">
			<label   class="lnet_amount font-weight-bold ml-4 " id="lnet_amount_1" for="comment">     </label>
			<input value=""  id="net_amount_1" type="hidden" name="net_amount[]" class="form-control net_amount" autocomplete="off"> 
			</td>
			<td id="titem_1">
			<label   class="ltotal font-weight-bold ml-4 " id="ltotal_1" for="comment">     </label>
			<input value=""  id="total_1" type="hidden" name="total[]" class="form-control total" autocomplete="off">
							
			<input value="" id="gross_1" type="hidden" name="gross[]" class="form-control gross" autocomplete="off">
										

			</td>
								
			<td> 
			<button type="button" class="btn btn-danger font-weight-bold "  onclick="deleteRow(this,1)"><i class="fa fa-trash" aria-hidden="true" ></i></button>
			</td> 
		 </tr>
		</tbody>
       </table>
			
			<td>
			<button type="button" class="btn btn-primary font-weight-bold text-white addRow">
			<i class="fa fa-plus  text-white " aria-hidden="true" ></i> ADD</button>
			</td>
	  </div>       <!--panel panel-footer-->
		</section>

		<input value="" id="gross_amount_totali" type="hidden" name="gross_amount_totali" class="form-control" autocomplete="off">
										
		<input value="" id="price_amount_totali" type="hidden" name="price_amount_totali" class="form-control" autocomplete="off">
									
		<input value="" id="vat_amount_totali" type="hidden" name="vat_amount_totali" class="form-control" autocomplete="off">
									
		<input value="" id="net_amount_totali" type="hidden" name="net_amount_totali" class="form-control" autocomplete="off">
									
		<input value="" id="invoice_amount_totali" type="hidden" name="invoice_amount_totali" class="form-control" autocomplete="off"> 
         
<!--  End add row -->	
      
	  <div class="container " style="width: 100%;">
       <table class="table  table-bordered float-right" style="width: 30%;">
			@php
			$space=" ";
			@endphp
        <tr>
         <td class="bg-faded" style="width: 50%; background-color: #dfe2e8;"><strong>Gross Amount:</strong>
         </td>
         <td id="" class="font-weight-bold" style="width: 40%;">{{$login_user->currency_notation}} {{$space}}  
           	<span  class="font-weight-bold ml-1" id="gross_amount_total">0.00</span>
         </td> 
        </tr>
        
		<tr>
         <td class="bg-faded" style="width: 50%; background-color: #dfe2e8;">
           	<strong>VAT Amount:</strong>
         </td>
         <td id="" class="bg-white font-weight-bold" style="width: 40%;">{{$login_user->currency_notation}} {{$space}} 
            <span class="font-weight-bold ml-1"  id="vat_amount_total">0.00 </span>
         </td>
        </tr> 
        
		<tr>
            <td class="bg-faded" style="width: 50%; background-color: #dfe2e8;">
            	<strong>Discount:</strong>
            </td>
            <td class="bg-white font-weight-bold" style="width: 40%;">{{$login_user->currency_notation}} {{$space}} 
             <span class="font-weight-bold ml-1" id="discount_amount_total">0.00</span>
         </td>
        </tr> 
     
        <tr>
            <td class="bg-faded" style="width: 50%; background-color: #dfe2e8;">
			<strong>Net Total:</strong></td>
            <td id="" class="bg-white font-weight-bold" style="width: 40%;">{{$login_user->currency_notation}} {{$space}}  <span class="font-weight-bold ml-1" id="net_amount_total">0.00</span></td>
        </tr> 
		
        <tr>
            <td class="bg-faded" style="width: 50%; background-color: #dfe2e8;">
			<strong>Invoice Total:</strong></td>
            <td id="" class="bg-white font-weight-bold" style="width: 40%;">{{$login_user->currency_notation}} {{$space}}  
            	<span class="font-weight-bold ml-1" id="invoice_amount_total">0.00 </span>
            </td>
        </tr>   
       </table>
  <br><br><br><br><br><br><br><br><br><br><br><br>
  
	  <div class="row ">
	   <div class="col-md-5 ml-5"></div>
		@if(request()->route('id'))
		
		@else
		<button id="submit" name="btnsubmit" class="mt-3 btn btn-primary btn-lg">Save</button>
		
		@endif
		<a href="{{route('counter_sales_list')}}" class="mt-3 btn btn-danger ml-2  btn-lg">Cancel</a>  
		
	  </div>       <!--row-->
	 </div>        <!--container-->
     </form>
    </div>       <!--card-body-->
   </div>       <!--main-card mb-3 card-->
  </div>        <!--tab-pane tabs-animation fade show active-->
 </div>       <!--tab-content-->
</div>       <!--app-main__inner-->

@include('theme_layout/footer')
        
<script> 

   var jq = $.noConflict();
	function checkForm(form)
			{ 
		form.btnsubmit.disabled = true;
		return true;
			}
   jq(document).ready(function(){
	     
	   jq("#back").click(function(){
		   window.history.back();
	   })
 
	    //$('#outlet').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	    $('#distibutor').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	    $('#get_material_0').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
  
<!--Trading Center-->

          $("#distibutor").change(function(){
				 
			    var distibutor_id= jq('#distibutor').val();
				
				get_outlet_warehouse(distibutor_id);
			 
		   });
		   
		   $("#warehouse").change(function(){
				 
			    var warehouse= jq('#warehouse').val();
				
				get_outlet_warehouse_of_warehouse(warehouse);

				jq('#dynmic_row').empty();

				$(".addRow").removeAttr('disabled');

				$("#gross_amount_total").html("0.00");
				$("#vat_amount_total").html("0.00");
				$("#discount_amount_total").html("0.00");
				$("#net_amount_total").html("0.00");
				$("#invoice_amount_total").html("0.00");

				i = 0;
				$(".addRow").click();
			 
		   });

   var routename = '';
	   jq("#routename").change(function(){
		
		
   var routename =  jq('#routename').val();
    
	 //(routename);
	  var res = routename.split("-");
        document.getElementById("warehouse_id").value = res[1];
        document.getElementById("route_id1").value = res[0];
        get_trading(res[0]);
     });
	 
	  function get_outlet_warehouse(distibutor){
	    jq.ajax({
         url: "{{ URL('get_counter_sells_outlet_warehouse_list/') }}" +"/" +distibutor,
         type:"GET",
         success:function(respons){
			 
            jq('#warehouse').html(respons);
		  
			$('#warehouse').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
			$('#warehouse')[0].sumo.reload();
          
         }
        });
       }
	
	function get_outlet_warehouse_of_warehouse(warehouse){
	    jq.ajax({
         url: "{{ URL('get_outlet_warehouse_of_warehouse/') }}" +"/" +warehouse,
         type:"GET",
         success:function(respons){
			 
							
            jq('#outlet').html(respons);
		  
			$('#outlet').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
			$('#outlet')[0].sumo.reload();
			
         }
        });
       }
  function get_trading(route_id){
				 
		 jq.ajax({
		      url: "{{ URL('saleman_invoice/get_trading/') }}" +"/" + route_id,
              type:"GET",
              
          success:function(respons)
          {
            if(respons)
			{
				jq('#trading_add').html(respons);
			}
          }
       });
     }
	 <!-- get customer -->
	
	 jq("#trading_add").change(function(){
		
		
        var trading_id =  jq('#trading_add').val();
	        
           get_getcustomer(trading_id);
     });
	
	 function get_getcustomer(trading_id){
				 
		 jq.ajax({
		      url: "{{ URL('saleman_invoice/get_customer/') }}" +"/" + trading_id,
              type:"GET",
              
          success:function(respons)
          {
            if(respons)
			{
				jq('#customer_add').html(respons);
			}
         
          }
       });
     }
 });
	
<!--row calculation-->
	jq('tbody').delegate('.quantity,.price','keyup',function(){
		var gst=0;
		var per=100;
        var tr=jq(this).parent().parent();
        var quantity=tr.find('.quantity').val();
		var begpacking_size1=tr.find('.begpacking_size').val();
		
		if(quantity=='')
		{
			reset_value();
			function reset_value(){
		
		      tr.find('.total').val('');
              tr.find('.gross').val('');
		      tr.find('.vat').val('');
		      tr.find('.net_amount').val('');
			  tr.find('.ltotal').text('');
              tr.find('.lvat').text('');
			  tr.find('.lnet_amount').text('');
			  tr.find('.lprice').text('');
		      //tr.find('.price').val('');
		     }
	    }
		
		else{
			
        var price=tr.find('.price').val();
		var unit_price = price.toLocaleString(
                      undefined, 
                      { minimumFractionDigits: 2 }
                      );
		      tr.find('.lprice').text(unit_price);
		 var isvat=tr.find('.isvat').val();
		if(isvat==1)
		{
			gst= jq('#session_vat').val();
		}
		var actual_alt_packing_size=(quantity*begpacking_size1);
		
	<!--calculate vat for setting in input-->
		var vat=(price*gst/per)*quantity;
		//var vat1=Math.trunc(vat);
		var total=(quantity*price);
		var gross=(quantity*price);
		<!--for input hidden-->
        tr.find('.total').val(total);
        tr.find('.gross').val(total);
		tr.find('.vat').val(vat);
		tr.find('.packing_size').val(actual_alt_packing_size); 
		
		   var gross_value1 = gross.toLocaleString(
			  undefined, 
			  { minimumFractionDigits: 2 }
			  );
			  var vat_value1 = vat.toLocaleString(
			  undefined, 
			  { minimumFractionDigits: 2 }
			  );
			  var total_value1 = total.toLocaleString(
			  undefined, 
			  { minimumFractionDigits: 2 }
			  );
		
		<!--for lebel -->
        tr.find('.ltotal').text(total_value1);
        tr.find('.lvat').text(vat_value1);
         
		
		<!--getting stored vat-->
		var get_vat=tr.find('.vat').val();
		var net_amount=(total-get_vat);
		tr.find('.net_amount').val(net_amount);
		<!--for lebel -->
		          var net_amount_value1 = net_amount.toLocaleString(
                      undefined, 
                      { minimumFractionDigits: 2 }
                      );
		 tr.find('.lnet_amount').text(net_amount_value1);
		
		}
		
       calculate();  
    });
	
<!-- reset value-->
<!--total calculation-->

   function calculate(){
	 var ftotal=0;
	 var fnet_total=0;
	 var fvat=0;
	 var fgross=0;
	 
	 //var fprice=0;
<!-- total calculation-->

	setTimeout(function(){
				
		  jq('.total').each(function() {
		  var total=jq(this).val()-0;
		  ftotal+=total;
	 
			 });
		   var total_value = ftotal.toLocaleString(

			 undefined, 
			 { minimumFractionDigits: 2 }
			);
		   document.getElementById("invoice_amount_total").innerHTML  = total_value;
		   document.getElementById("invoice_amount_totali").value = ftotal;
		   
	   }, 200);
			   
<!-- net total-->
    setTimeout(function(){
				
		   jq('.net_amount').each(function() {
		   var net_total=jq(this).val()-0;
		  fnet_total+=net_total;
	 
			 });
		   var net_total_value = fnet_total.toLocaleString(

			 undefined, 
			 { minimumFractionDigits: 2 }
			  );
		  document.getElementById("net_amount_total").innerHTML  = net_total_value;
		  document.getElementById("net_amount_totali").value = fnet_total;
   
		}, 200);
				
<!-- vat total-->
		setTimeout(function(){
                        
		   jq('.vat').each(function() {
		   var vat_total=jq(this).val()-0;
		   fvat+=vat_total;
	 
			 });
		var vat_value = fvat.toLocaleString(

			 undefined, 
			 { minimumFractionDigits: 2 }
			  );
		   document.getElementById("vat_amount_total").innerHTML  = vat_value;
		   document.getElementById("vat_amount_totali").value = fvat;
   
		}, 200);
				
<!-- gross total-->
   setTimeout(function(){
				
		   jq('.gross').each(function() {
		   var gross_total=jq(this).val()-0;
		   fgross+=gross_total;
	 
			 });
	  var gross_value = fgross.toLocaleString(

			 undefined, 
			 { minimumFractionDigits: 2 }
			  );
		   document.getElementById("gross_amount_total").innerHTML  = gross_value;
		   document.getElementById("gross_amount_totali").value = fgross;
   
		}, 200);    
    } 
<!--end calculation	-->	
<!--add row	-->	
	var i=0;

	var brand_id = jq('#brand_id').val();
	$(".addRow").prop("disabled", true);

    jq('.addRow').on('click',function(){
		i++;
        addRow(i);
    });
	
<!--getting material of first row-->		
	jq('#get_material_0').click(function(){
	 var material_id1 =  jq('#get_material_0').val();
	  
	   var row=0;
	   
	   reset_value1(row);
			 calculate(); 
	   get_material_details(material_id1,row);
	   is_vat(material_id1,row);
	   
	   setTimeout(function(){
			   var uom_id =  jq('#uom_0').val();     
			   get_material_price(uom_id,material_id1,row);
			   get_material_alt_packing_size(uom_id,material_id1,row);
	   
			}, 1000);
     });
<!--getting material of first row-->
		 
	 jq('#uom_0').change(function(){
		 var row=0;
		   var uom_id =  jq('#uom_0').val();
		  
		   var material_id =  jq('#get_material_0').val();
			 reset_value1(row);
			 calculate(); 
		   get_material_price(uom_id,material_id,row);
		   get_material_alt_packing_size(uom_id,material_id,row);
		   
		 });
	
    function addRow(value)
    {
        var tr='<tr id="row_'+value+'">'+
        '<td style="width: 15%;" id="mitem_"><select type="text" id="get_material_'+value+'"  name="material_name[]" class="form-control get_material" required=""></td>'+
		
        '<td id="uitem_'+value+'" style="width: 10%;"><select type="text" id="uom_'+value+'" name="uom[]" class="form-control"><option value=""></option></select> </td>'+
		
        '<td id="qitem_'+value+'"><input autocomplete="off" type="text" value="" id="qty_'+value+'" name="quantity[]" class="form-control quantity" required=""></td>'+
		
		
        '<td id="pitem_'+value+'"><label   class="lprice font-weight-bold ml-4 " id="lprice_'+value+'" for="comment">     </label><input readonly type="hidden" value="" id="price_'+value+'" name="price[]" class="form-control price"> <input autocomplete="off" readonly type="hidden" value="" id="packing_size_'+value+'" name="packing_size[]" class="form-control packing_size"> <input autocomplete="off" readonly type="hidden" value="" id="begpacking_size_'+value+'" name="begpacking_size[]" class="form-control begpacking_size"> </td>'+
		
        ' <td id="ditem_'+value+'"><label   class="ldiscount font-weight-bold ml-4 " id="ldiscount_'+value+'" for="comment">     </label><input readonly type="hidden" value="" id="discount_'+value+'" name="discount[]" class="form-control discount"></td>'+
		
		
		'<td id="vitem_'+value+'"><label   class="lvat font-weight-bold ml-4" id="lvat_'+value+'" for="comment">     </label><input readonly type="hidden" value="" id="vat_'+value+'" name="vat[]" class="form-control vat" required=""> <input autocomplete="off" readonly type="hidden" value="0" id="isvat_'+value+'" name="isvat[]" class="form-control isvat" required=""></td>'+
		
        '<td id="naitem_'+value+'"><label   class="lnet_amount font-weight-bold ml-4 " id="lnet_amount_'+value+'" for="comment">  </label><input readonly type="hidden" value="" id="net_amount_'+value+'" name="net_amount[]" class="form-control net_amount"></td>'+
		
        ' <td id="titem_'+value+'"><label   class="ltotal font-weight-bold ml-4 " id="ltotal_'+value+'" for="comment">     </label><input readonly type="hidden" value="" id="total_'+value+'" name="total[]" class="form-control total"><input value="" id="gross_'+value+'" type="hidden" name="gross[]" class="form-control gross"></td>'+
		
        ' <td><button type="button" class="btn btn-danger font-weight-bold "  onclick="deleteRow(this,'+value+')"><i class="fa fa-trash" aria-hidden="true" ></i></button></td>'+
        '</tr>';
        jq('#dynmic_row').append(tr);
		
		<!--getting material name-->
		    get_material(value);
			
		<!--getting material uom-->	
		     jq('#get_material_'+value+'').click(function(){
		       var material_id =  jq('#get_material_'+value+'').val();
			   reset_value1(value);
			   calculate();
			   
			   get_material_details(material_id,value);
			   is_vat(material_id,value);
			   
			    setTimeout(function(){
                   var uom_id =  jq('#uom_'+value+'').val();  
                 				   
				   get_material_price(uom_id,material_id,value);
				   get_material_alt_packing_size(uom_id,material_id,value);
           
                }, 1000);
             });
			 
			 <!--getting material price-->	
			 jq('#uom_'+value+'').change(function(){
		       var uom_id =  jq('#uom_'+value+'').val();
			   var material_id =  jq('#get_material_'+value+'').val();
			     reset_value1(value);
				 calculate(); 
			   
			   get_material_price(uom_id,material_id,value);
			   get_material_alt_packing_size(uom_id,material_id,value);
			   
             });
		
    };	
<!--end add row	-->
  <!--get_material_uom-->
	function get_material_details(material_id1,row){
		
		 jq.ajax({
		      url: "{{ URL('counter_sales_material_detailsUom2/') }}"+"/" +material_id1+'/'+row,
              type:"GET",
              
          success:function(respons)
          {
            if(respons)
			{
				jq('#uom_'+row+'').html(respons);
			}
         
          }
       });
     }
	 
	  function is_vat(material_id1,row){
				 
		 jq.ajax({
		      url: "{{ URL('get_material_outlet_vat/') }}"+"/" +material_id1,
              type:"GET",
              
          success:function(respons)
          {
				 document.getElementById('isvat_'+row+'').value =respons;
          }
       });
     }
	    <!--get_material_price-->
	 function get_material_price(uom_id1,material_id1,row){
			
		 jq.ajax({
		      url: "{{ URL('get_material_price_outlet/') }}"+"/" +uom_id1+'/'+material_id1,       
              type:"GET",
              
          success:function(respons)
          {
            if(respons)
			{
				
				 document.getElementById('price_'+row+'').value =respons;
                  
				    
			}
         
          }
       });
     }
	 
	 function get_material_alt_packing_size(uom_id1,material_id1,row){
			
		 jq.ajax({
		      url: "{{ URL('get_counter_material_alt_packing_size/') }}"+"/" +uom_id1+'/'+material_id1,       
              type:"GET",
              
          success:function(respons)
          {
            if(respons)
			{
				
				 document.getElementById('packing_size_'+row+'').value =respons;
				 document.getElementById('begpacking_size_'+row+'').value =respons;
			}
         
          }
       });
     }
	
	<!--get_material_name-->
	function get_material(value){
				 
		 jq.ajax({
		      url: "{{ URL('get_material/') }}",
              type:"GET",
              
          success:function(respons)
          {
            if(respons)
			{
				jq('#get_material_'+value+'').html(respons);
				$('#get_material_'+value+'').SumoSelect({ selectAll:true,search: true,   triggerChangeCombined : true});
	            $('#get_material_'+value+'')[0].sumo.reload();   
			}
          }
       });
     }
	 
	 <!-- reseting Value-->
    	 function reset_value1(row){
		        document.getElementById('price_'+row+'').value ='';
		        document.getElementById('vat_'+row+'').value ='';
		        document.getElementById('total_'+row+'').value ='';
		        document.getElementById('net_amount_'+row+'').value ='';
		        document.getElementById('qty_'+row+'').value ='';
		        document.getElementById('discount_'+row+'').value ='';
		        document.getElementById('gross_'+row+'').value ='';
		        <!--for lebel-->
				document.getElementById('lprice_'+row+'').innerHTML='';
		        document.getElementById('ldiscount_'+row+'').innerHTML=''
		        document.getElementById('ltotal_'+row+'').innerHTML='';
				document.getElementById('lnet_amount_'+row+'').innerHTML='';
		        document.getElementById('lvat_'+row+'').innerHTML='';
		     }
	 
<!-- Deleting row-->
  function deleteRow(r,row) {
	 
        if(row==1){
            			Swal.fire({
				  icon: 'error',
				  title: 'You Can Not Remove First Row!',
				})
        }
		else{
       calculate();
/*	  
<!-- updating amount-->
	   var total=jq('#total_'+row+'').val();
	   var invoice_total= document.getElementById("invoice_amount_total").innerText;
	   var ftotal=invoice_total-total;
	   document.getElementById("invoice_amount_total").innerHTML  = ftotal;
	   document.getElementById("invoice_amount_totali").value = ftotal;
	   
 <!-- updating net Total-->
	   var net_amount=jq('#net_amount_'+row+'').val();
	   var net_amount_total= document.getElementById("net_amount_total").innerText;
	   var fnet_amount=net_amount_total-net_amount;
	   document.getElementById("net_amount_total").innerHTML  = fnet_amount;
	   document.getElementById("net_amount_totali").value = fnet_amount;
	   
 <!-- updating vat-->
	   var vat=jq('#vat_'+row+'').val();
	   var vat1= Math.trunc(vat);  
	   var vat_amount_total= document.getElementById("vat_amount_total").innerText;
	   var vat_amount_total1=Math.trunc(vat_amount_total);
	   var fvat=vat_amount_total1-vat1;
	   document.getElementById("vat_amount_total").innerHTML  = fvat;  
	   document.getElementById("vat_amount_totali").value = fvat;
	   
 <!-- updating net Total-->
	   var gross=jq('#gross_'+row+'').val();
	   var gross_amount_total= document.getElementById("gross_amount_total").innerText;
	   var fgross=gross_amount_total-gross;
	   document.getElementById("gross_amount_total").innerHTML  = fgross;
	   document.getElementById("gross_amount_totali").value = fgross;
	   
 <!-- updating unit price-->
	   var unit_price=jq('#price_'+row+'').val();
	   var price_amount_total= document.getElementById("price_amount_total").innerText;
	   var fprice=price_amount_total-unit_price;
	   document.getElementById("price_amount_total").innerHTML  = fprice;
	   document.getElementById("price_amount_totali").value = fprice;	
*/	   
      var i = r.parentNode.parentNode.rowIndex;
     document.getElementById("myTable").deleteRow(i);
		}
}
		
</script>	
