@include('theme_layout/header')
@include('theme_layout/nav')


	
<div class="app-main__outer"> 
 <div class="app-main__inner">
  <div class="app-page-title">
   <div class="page-title-wrapper">
    <div class="page-title-heading">
     <div class="page-title-icon">
	 
      <i class="pe-7s-graph text-success">
      </i>
	  
     </div>      <!--page-title-icon-->
     
	 <div>  
		 
		 Expenses View
	 </div>
    </div>      <!--page-title-heading-->
							
    <div class="page-title-actions"> 
     <div class="d-inline-block dropdown">
	 
	  <a id="back" class="mt-3 btn btn-primary btn-lg text-white"> 
	  <i class="fa fa-arrow-left fa-w-20 text-white"></i> Back</a>
	  
     </div>      <!--d-inline-block dropdown-->
    </div>         <!--page-title-actions-->
   </div>      <!--page-title-wrapper-->
  </div>         <!--app-page-title-->         
					 
  <div class="tab-content">
   <div class="tab-pane tabs-animation fade show active" id="tab-content-0" role="tabpanel">
    <div class="main-card mb-3 card">
     <div class="card-body">
	 
      <form class="" action="" method="post" enctype="multipart/form-data">
		{{ csrf_field() }}
		
      <div class="form-row">
       <div class="col-md-4">
        <div class="position-relative form-group">
		
		 <label  class="font-weight-bold ml-2" for="expense_no" class="">Expense Code</label>
		 <input maxlength="120"name="expense_no" id="expense_no" value="{{$get_data->expense_no}}"  type="text" autocomplete="off" class="form-control" required readonly > 
         
        </div>      <!--position-relative form-group-->
       </div>      <!--col-md-4-->
	   
	   <div class="col-md-4">
        <div class="position-relative form-group ">
		
		 <label class="font-weight-bold ml-2" for="warehouse" class="">Warehouse</label>
		 <input type="text" class="mb-2 form-control " name="warehouse_id" id="warehouse_id" value="{{$get_data->warehouse_code}} - {{$get_data->warehouse_name}}" readonly>
		 
		</div>       <!--position-relative form-group-->
       </div>      <!--col-md-4-->
	   
	   <div class="col-md-4">
        <div class="position-relative form-group">
		
		 <label class="font-weight-bold ml-2" for="expense_type" class="">Expense Type</label>
		 <input class="mb-2 form-control" name="expense_type" id="expense_type"  value ="{{$get_data->expense_code}} - {{$get_data->expense_name}}" type="text" readonly>
			 
		 
		</div>      <!--position-relative form-group-->
       </div>       <!--col-md-4-->
      </div>      <!--form-row-->
	  									
	  <div class="form-row">
	   <div class="col-md-4">
		<div class="position-relative form-group">
		
		 <label class="font-weight-bold ml-2" for="expense_date" class="">Expense Date</label>
		 <input  maxlength="120" name="expense_date" id="expense_date" placeholder="" type="date" class="form-control" value="{{ request()->route('id') ? $get_data->expense_date : '' }}" autocomplete="off" readonly>
		 
		</div>      <!--position-relative form-group-->
	   </div>      <!--col-md-4-->
	   
	   <div class="col-md-4">
        <div class="position-relative form-group">
		
		 <label  class="font-weight-bold ml-2" for="expense_amt" class="">Expense Amount</label>
		 <input maxlength="8" name="expense_amt" autocomplete="off" id="expense_amt" value="{{ request()->route('id') ? number_format($get_data->expense_amount,2) : '' }}"  type="text" class="form-control" onkeypress="return isNumber(event);" readonly >
		 
		</div>      <!--position-relative form-group-->
       </div>      <!--col-md-4-->
	   
	   <div class="col-md-4">
        <div class="position-relative form-group">
		
		 <label class="font-weight-bold ml-2" for="comment" class="">Comment*</label>
		 <input maxlength="200" name="comment" id="comment" autocomplete="off" type="text" value="{{ request()->route('id') ? $get_data->comment : '' }}"  class="form-control" readonly >
		 
	    </div>      <!--position-relative form-group-->
       </div>       <!--col-md-4-->
      </div>      <!--form-row-->
	 
	  <div class="form-row">
	   <div class="col-md-5"></div>
	    
	  </div>      <!--form-row-->
      </form>
     </div>      <!--card-body-->
    </div>      <!--main-card mb-3 card-->
   </div>      <!--tab-pane tabs-animation fade show active-->
  </div>      <!--tab-content-->
 </div>      <!--app-main__inner-->   
				
				@include('theme_layout/footer')
	
<script>

   var jq = $.noConflict();
   jq(document).ready(function(){
	   
	   jq("#back").click(function(){
		   window.history.back();
	   })
 
	  $('#warehouse_id').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true}); 
	  $('#expense_type').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true}); 
    })
</script>	
		   