@include('theme_layout/header')
@include('theme_layout/nav')

<div class="app-main__outer"> 
 <div class="app-main__inner">
  <div class="app-page-title">
   <div class="page-title-wrapper">
    <div class="page-title-heading">
     <div class="page-title-icon">
	 
      <i class="pe-7s-graph text-success">
      </i>
	  
     </div>      <!--page-title-icon-->
     
	 <div>Outlet Stock Report
     </div>
    
	</div>      <!--page-title-heading-->
    
	<div class="page-title-actions"> 
     <div class="d-inline-block dropdown">
	 
	  <a href="{{ URL::to('outlet_transfer_report_export/'.request()->route('id'))}}" class="mt-3 btn btn-primary btn-lg text-white"> 
	  <i class="fal fa-file-export"></i> Export</a> 
	  
     </div>      <!--d-inline-block dropdown-->
    </div>      <!--page-title-actions-->
   </div>      <!--page-title-wrapper-->
  </div>      <!--app-page-title-->       
					 
  <div class="tab-content">
   <div class="tab-pane tabs-animation fade show active" id="tab-content-0" role="tabpanel">
    <div class="main-card mb-3 card">
     <div class="card-body">
	 
     <form class="" onsubmit="return checkForm(this);" action="{{ route('outlet_stock_transfer_save') }}" method="post">
        @csrf
      
	  <div class="form-row">
	   <div class="col-md-4" >
	    <div class="position-relative form-group">
		
		 <label for="select_warehouse" class="">Outlet Warehouse</label> 
		 <select class="mb-2 form-control" name="outlet_warehouse_id" id="outlet_warehouse_id" required >
		 <option > </option>
			@if(request()->route('id'))		 
		    @foreach($get_transfer_warehouse as $outlet)
		 <option {{request()->route('id')==$outlet->id ? 'selected' : ''}} value="{{$outlet->id}}">{{$outlet->outlet_code}} - {{$outlet->outlet_name}}</option>
		    @endforeach 
		    @else 
		    @foreach($get_data1 as $outlet_name)
	     <option value="{{$outlet_name->id}}">{{$outlet_name->outlet_code}} - {{$outlet_name->outlet_name}}</option>
		    @endforeach
			@endif 
		 </select>
		 
		</div>      <!--position-relative form-group-->
	   </div>       <!--col-md-6-->
	  </div>      <!--form-row-->
								
		@if(request()->route('id'))	
	   <input  maxlength="20"  name="outlet_warehouse_id12" id="outlet_warehouse_id12"  type="hidden" class="form-control" value="{{request()->route('id')}}"  required >
		
	  <div class="form-row" >
	   <div class="col-md-12"  id="updatestock">
		<div class="card-header">
		
		 <ul class="nav nav-justified" id="material_cat_ul">
		    @foreach($material_category as $key=> $data) 
		 <li class="nav-item category_id" value="{{$key}}" id="{{$data->id}}">
		 <a data-toggle="tab" id="item_li_add{{$data->id}}"  href="#warehouse_id{{$key}}" class="nav-link nav-pills">{{$data->category_name}}</a>
		 </li> 
		    @endforeach                                       
		 </ul>
		 
		</div>      <!--card-header-->
		
		<div class="card-body" id="">
		 <div class="tab-content">
		 
		    @foreach($material_category as $key=> $data)
		  <div class="tab-pane active" id="warehouse_id{{$key}}" role="tabpanel"></div>		
		    @endforeach  
			
		 </div>       <!--tab-content-->
		</div>      <!--card-body-->
	   </div>      <!--col-md-12-->
	  </div>      <!--form-row-->
		  @endif	 
	  </form>
	 </div>      <!--card-body-->
	</div>       <!--main-card mb-3 card-->
   </div>       <!--tab-pane tabs-animation fade show active-->
  </div>      <!--tab-content-->
 </div>      <!--app-main__inner-->

@include('theme_layout/footer')
        

   <script src="http://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>
	
<script>
 
   var jq = $.noConflict();

   jq(document).ready(function(){ 
   var repeat= new Array();

     jq("#outlet_warehouse_id").change(function(){
         var outlet_warehouse_id= jq('#outlet_warehouse_id').val();
		 
		 //get_material_details(warehouse_id);
		
		 location.replace("{{ URL('transfer_get_category1/') }}"+"/"+outlet_warehouse_id);
	
       }); 

    var stock=  jq('ul#material_cat_ul li:first').attr('id');

      if(stock) {

      var material_id = stock;

         var inc =  jq('ul#material_cat_ul li:first').attr('value');
  
           
           if(repeat[inc]==material_id){
         
           }
          else
           {
			   var outlet_warehouse_id11= jq('#outlet_warehouse_id12').val();
			   
               get_warehouse(material_id,inc,outlet_warehouse_id11);
           }
 
          jq('#item_li_add' + stock).addClass( "active show" );

    } 	   
	
	  jq(".category_id").click(function(){
       
         material_id= jq(this).attr('id');


          var inc=jq(this).attr('value');

           if(repeat[inc]==material_id)
           {
           
           }
           else
           {
               var warehouse_id11= jq('#outlet_warehouse_id12').val();
			   
               get_warehouse(material_id,inc,warehouse_id11);
           }
      });
	  
	  
	 function get_material_details(warehouse){
      
		 jq.ajax({
		      url: "{{ URL('outlet_warehouse_detalis1/') }}" +"/" +warehouse,
              type:"GET",
              
          success:function(respons)
          {
            if(respons)
			{
				       jq('#updatestock').html(respons);
                        repeat[inc]=material_id;
			}
         
          }
       });
     }

	 function get_warehouse(material_id,inc,warehouse_id11){
		
		 jq.ajax({
		      url: "{{ URL('outlet_warehouse_material_detalis1/') }}" +"/" + material_id+'/'+warehouse_id11,
              type:"GET",
              
          success:function(respons)
          {
            if(respons)
			{
				        jq('#warehouse_id'+inc+'').html(respons);
                        repeat[inc]=material_id;
			}
         
          }
       });
     }

 });	
</script>		
                
