@include('theme_layout/header')
@include('theme_layout/nav')
 <div class="app-main__outer">
  <div class="app-main__inner">
   <div class="app-page-title">
    <div class="page-title-wrapper"> 
     <div class="page-title-heading">
      <div class="page-title-icon">
       <i class="pe-7s-graph text-success"></i>
      </div> <!-- end page title icon -->
                
      <div>Add Stock Transfer </div>
     </div> <!-- end page title heading -->
                            
     <div class="page-title-actions">
      <div class="d-inline-block dropdown">
       <a id="back" class="mt-3 btn btn-primary btn-lg text-white"> 
       <i class="fa fa-arrow-left fa-w-20 text-white"></i>  
        Back
       </a>
      </div>    <!--d-inline-block dropdown-->
     </div>    <!--page-title-actions--> 
    </div>    <!--page-title-wrapper-->
   </div>    <!--app-page-title-->           
           
   <div class="tab-content">
    <div class="tab-pane tabs-animation fade show active" id="tab-content-0" role="tabpanel">
     <div class="main-card mb-3 card">
      <div class="card-body">
       <form class="" onsubmit="return checkForm(this);" action="{{ route('outlet_stock_transfer_save') }}" method="post">
        @csrf
        <div class="form-group row">
		
		<div class="col-md-4" >
          <div class="position-relative form-group">
		   
             <label for="select_warehouse" class="font-weight-bold">Distributor</label> 
			  
             <select class="mb-2 form-control" name="distibutor" id="distibutor" required>
             <option> </option>
                          
             @foreach($distibutor as $distibutor)
                          
             <option value="{{$distibutor->id}}">
             {{$distibutor->customer_code}} - {{$distibutor->customer_name}}
             </option>
                          
             @endforeach     
             </select> 
          </div>    <!--position-relative form-group-->
         </div>
         <div class="col-md-4" >
          <div class="position-relative form-group">
		   
             <label for="select_warehouse" class="font-weight-bold">Select Warehouse</label>  
             <select class="mb-2 form-control" name="warehouse_stock" id="warehouse_stock1" required>
 
             </select>  
          </div>    <!--position-relative form-group-->
         </div>
		 
         <div class="col-md-4" > 
          <div class="position-relative form-group">
		    <label for="select_warehouse" class="font-weight-bold">To Outlet Warehouse</label> 
	  
             <select class="mb-2 form-control" name="transfer_warehouse" id="transfer_warehouse" required >
             </select> 
          </div>     <!--position-relative form-group-->
         </div>
	    </div>       <!--form-group row--> 

		<div class="form-group row">
	     <div class="col-md-4">
		  <div class="position-relative form-group">
		   
			 <label  class="font-weight-bold" for="customer_type" class=""> Transfer Date</label>
		  
			  <input required autocomplete="off" type="date" id="transfer_date" name="transfer_date" class="form-control">
		  
		  </div>    <!--position-relative form-group-->
		 </div>
			   
	     <div id="remarkdive" class="col-md-4">
		 <div class="position-relative form-group">
		    
			 <label class="font-weight-bold ml-2"  for="comment" class="">Reason Type</label>
			   <select class="mb-2 form-control" name="reason_type" id="reason_type" required 
				   >                          
					 @if(request()->route('id'))                             
					 <option value=""> </option>
					 <option {{ $get_data->reason_type == '1' ? 'selected' : '' }} value ="1">Good Reason</option>
					 <option {{ $get_data->reason_type == '2' ? 'selected' : '' }} value="2">Bad Reason</option>				   
					@else 
					 <option value=""> </option>
					<option value ="1">Good Reason</option>
					 <option value="2">Bad Reason</option>
				    @endif   
			  </select>
			  
			  
		</div>   <!--position-relative form-group-->
		</div>
		 
		<div class="col-md-4">
		 <div class="position-relative form-group">
		  	<label class="font-weight-bold ml-2"  for="comment" class="">Transfer Reason</label>
		    
		  <select class="mb-2 form-control" name="reason_is" id="reason_add" required > 
			  
			 @if(request()->route('id'))
			  @foreach($reason as $reason_is_name)
				<option {{request()->route('id')==$reason_is_name->id ? 'selected' : ''}} value="{{$reason_is_name->id}}" > {{$reason_is_name->reason_code}} - {{$reason_is_name->reason_name}}
				</option>
			  @endforeach 
			 @endif 
			 
			   </select>
		 </div>    <!--position-relative form-group-->
	    </div>
       </div>       <!--form-group row-->
	   
	   <div class="form-group row">
	        <div class="col-md-12">
		    <div class="position-relative form-group">
		  	<label class="font-weight-bold ml-2"  for="comment" class="">Remark*</label>
		    
			<input required autocomplete="off" maxlength="200" value="" name="remark" id="remark"  type="text" class="form-control" value="" >
		  
		 </div>    <!--position-relative form-group-->
	    </div>
	   </div>       <!--form-group row-->
	   
        <section> 
       <div class="panel panel-footer" >
        <table class="table table-bordered" id="myTable">
         <thead>
          <tr>
		  <th style="width:30%; text-align: center;">Material</th>
		  <th style="width:15%; text-align: center;">UOM</th>
    	  <th style="width:15%; text-align: center;">Available Qty</th>
		  <th style="width:15%; text-align: center;">Transfer Qty</th>
		  <!--<th style="width:10%; text-align: center;">Discount</th>-->
		  <th style="width:15%; text-align: center;">Balance Qty</th>
		  <!--<th style="width:12%; text-align: center;">Net Amount</th>
		  <th style="width:12%; text-align: center;">Total</th>  -->   
		  <th>Action</th> 
		  </tr>
		 </thead>
							 
		 <tbody id="dynmic_row">
		  <tr id="row_0">
		   <td style="width: 15%;" id="mitem_0" > 
			<select type="text" id="get_material_0" name="material_name[]" class="form-control" required="">
			<option value=""></option>
			@foreach($material as $material_name)
			<option value ="{{$material_name->id}}">{{$material_name->material_code}} - {{$material_name->material_name}}</option>
			@endforeach
			</select> 
		   </td>
		   <td id="uitem_0" style="width: 10%;">
			<!--<input readonly id="uom_0" name="uom[]" class="form-control">-->
			<label   class="luom_0 font-weight-bold ml-4 " id="uom_0" for="comment">     </label>
			<input type="hidden" id="uomh_0" name="uomh[]" class="form-control uomh">
		   </td>
									
		   <td id="pitem_0">
			<label   class="lprice font-weight-bold ml-4 " id="lprice_0" for="comment">     </label>
			<input autocomplete="off" value=""  id="price_0" type="hidden" name="availble_qty[]" class="form-control price"> 
		   </td>
									
		   <td id="qitem_0"> 
			<input autocomplete="off" value=""  id="qty_0" type="text" name="quantity[]" class="form-control quantity" required="">
		   </td>
									
		   <td id="ditem_0">
			<label   class="ldiscount font-weight-bold ml-4 " id="ldiscount_0" for="comment">     </label>
			<input autocomplete="off" value=""  id="discount_0" type="hidden" name="balance_qty[]" class="form-control discount"> 
		   </td> 
		   <td>
		   <button type="button" class="btn btn-danger font-weight-bold "  onclick="deleteRow(this,0)">
		   <i class="fa fa-trash" aria-hidden="true" ></i>
		   </button>
		   </td>
		  </tr> 
		 </tbody> 
        </table>
		 <td>
		  <button type="button" class="btn btn-primary font-weight-bold text-white addRow">
		  <i class="fa fa-plus  text-white " aria-hidden="true" ></i>  ADD</button>
		 </td>
       </div>     <!--panel panel-footer-->
			 
        </section>
       <div class="form-row">
        <div class="col-md-5"></div>
         <button id="transfer_stock"  name="btnsubmit" class="mt-3 btn btn-primary btn-lg">Transfer Stock</button>
        <div class="col-md-0.5"></div>
         <a href="{{route('outlet_stock_transfer_list')}}"  class="mt-3 btn btn-danger  btn-lg">Cancel</a>
       </div>   <!--form-row-->
      </form>
     </div>    <!--card-body-->
    </div>     <!--main-card mb-3 card-->
   </div>    <!--tab-pane tabs-animation fade show active-->
  </div>   <!--tab-content-->
</div>     <!--app-main__inner-->
               

@include('theme_layout/footer')
<script>
  var jq = $.noConflict();
	function checkForm(form)
			{ 
		form.btnsubmit.disabled = true;
		return true;
			}
    jq(document).ready(function(){
		 
	   jq("#back").click(function(){
		   window.history.back();
	   })
 	 
	 
	 $('#get_material_0').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	 $('#distibutor').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	 $('#transfer_resion').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	 
			
	      var warehouse_id=jq('#warehouse_stock1').val();
		 if(warehouse_id!='')
		  {  
		   
          }
		 else
		 {
			jq("#get_material_0").attr('disabled','disabled');
			
		 }    
  var repeat= new Array();
  
	  $("#warehouse_stock1").change(function(){
				 
			  var warehouse_id= jq('#warehouse_stock1').val();
					   
			  get_transfer_warehouse_list(warehouse_id);
			  document.getElementById("get_material_0").disabled = false;
			   
		   }); 
		   
		   $("#distibutor").change(function(){
				 
			    var distibutor_id= jq('#distibutor').val();
				
				get_distibutor_warehouse(distibutor_id);
			 
		   });
     
  function get_transfer_warehouse_list(warehouse){
	  
         jq.ajax({
         url: "{{ URL('get_outlet_transfer_warehouse_list/') }}" +"/" +warehouse,
         type:"GET",
         success:function(respons){
          jq('#transfer_warehouse').html(respons);
		  
			$('#transfer_warehouse').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
			$('#transfer_warehouse')[0].sumo.reload();
          
         }
        });
       }
	   
	 function get_distibutor_warehouse(distibutor){
	  
         jq.ajax({
         url: "{{ URL('get_outlet_distibutor_warehouse_list/') }}" +"/" +distibutor,
         type:"GET",
         success:function(respons){
			 
            jq('#warehouse_stock1').html(respons);
		  
			$('#warehouse_stock1').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
			$('#warehouse_stock1')[0].sumo.reload();
          
         }
        });
       }
   });
   <!--row calculation-->
     jq('tbody').delegate('.quantity,.price,.adjs_type','keyup',function(){
	 //var gst=18;
	 //var per=100;
        var tr=jq(this).parent().parent();
        var quantity=tr.find('.quantity').val();
		var adjs_type=tr.find('.adjs_type').val();
		
		//alert(quantity);
		if(quantity=='')
		{
			reset_value();
			function reset_value(){
		
		      tr.find('.total').val('');
              tr.find('.gross').val('');
		      tr.find('.vat').val('');
		      tr.find('.net_amount').val('');
			  tr.find('.ltotal').text('');
              tr.find('.lvat').text('');
			  tr.find('.lnet_amount').text('');
			  tr.find('.discount').text('');
  			  
		      //tr.find('.price').val('');
		     }
		
	    }
		else
		{
		var quantity1=tr.find('.quantity').val();
        var price1=tr.find('.price').val();
		var amount=parseInt(price1);
		var qty=parseInt(quantity1); 
		var balance_qty1=0;
		var balance_qty1= parseInt(price1) - parseInt(quantity1);  
		 //alert(balance_qty);
		if(amount>=qty)
		  {
				tr.find('.discount').val(balance_qty1);
				tr.find('.ldiscount').text(balance_qty1);
		  }
		   else{ 
			Swal.fire({
			 
			 icon: 'error',
			 title: 'Quantity Should Be Lesser Than Stock',
			 showConfirmButton: false,
			 timer: 2000
			 })
		         tr.find('.discount').val("");
				 tr.find('.ldiscount').text("");
		   }
		}
    });
	
<!-- reset value-->
	
	
<!--total calculation-->
   
<!--end calculation	-->	
<!--add row	-->	
	var i=0;
    jq('.addRow').on('click',function(){
		i++;
		
		 var warehouse_id=jq('#warehouse_stock1').val();
		 if(warehouse_id!='')
		  {  
		    addRow(i);
          }
		 else
		 {
			alert("Please Select Warehouse");
			
		 }
       
    });
<!--getting material of first row-->		
	$('#get_material_0').change(function(){
		 var warehouse_id=jq('#warehouse_stock1').val();
		 
 if(warehouse_id!='') {	 
	 var material_id1 =  jq('#get_material_0').val();
	 var row=0;
		   //alert(material_id1);
	   get_material_details(material_id1,row);
		   
	   setTimeout(function(){
     var uom_id =  jq('#uomh_0').val();  
	 var warehouse_id=jq('#warehouse_stock1').val();
                   				   
	   get_material_price(warehouse_id,material_id1,uom_id,row);
           
        }, 1000);
				reset_value1(row);
				
		 }
		 else
		 {
			 alert("Please select warehouse first...");
		 }
     });
	 
	 jq('#adjs_type_0').change(function(){
		 var row=0;
		   reset_value12(row);
		       
             });
	 
<!--getting material of first row-->		 
	 jq('#uom_0').change(function(){
		 var row=0;
		       var uom_id =  jq('#uom_0').val();
			   var warehouse_id=jq('#warehouse_stock1').val();
			   
			   var material_id =  jq('#get_material_0').val();
			 
			   get_material_price(warehouse_id,material_id,uom_id,row);
			    reset_value1(row);
			   
             });  
	
    function addRow(value)
    {
		var tr='<tr id="row_'+value+'">'+
        '<td style="width: 15%;" id="mitem_"><select type="text" id="get_material_'+value+'"  name="material_name[]" class="form-control get_material" required=""></td>'+
		
        '<td id="uitem_'+value+'" style="width: 10%;"><label   class="luom_0 font-weight-bold ml-4 " id="uom_'+value+'" for="comment">     </label> <input type="hidden" id="uomh_'+value+'" name="uomh[]" class="form-control uomh"></td>'+
		
		  
		'<td id="pitem_'+value+'"><label class="lprice font-weight-bold ml-4 " id="lprice_'+value+'" for="comment">     </label><input autocomplete="off" readonly type="hidden" value="" id="price_'+value+'" name="availble_qty[]" class="form-control price"></td>'+
		
        '<td id="qitem_'+value+'"><input autocomplete="off" type="text" value="" id="qty_'+value+'" name="quantity[]" class="form-control quantity" required=""></td>'+
		
       '<td id="ditem_'+value+'"><label   class="ldiscount font-weight-bold ml-4 " id="ldiscount_'+value+'" for="comment">     </label><input autocomplete="off" readonly type="hidden" value="" id="discount_'+value+'" name="balance_qty[]" class="form-control discount"></td>'+
		
		
        ' <td><button type="button" class="btn btn-danger font-weight-bold "  onclick="deleteRow(this,'+value+')"><i class="fa fa-trash" aria-hidden="true" ></i></button></td>'+
        '</tr>';
        jq('#dynmic_row').append(tr);
		
		<!--getting material name-->
		    get_material(value);
			
		<!--getting material uom-->	
		     $('#get_material_'+value+'').change(function(){
		       var material_id =  jq('#get_material_'+value+'').val();
			   
			   
			   get_material_details(material_id,value);
			   
			    setTimeout(function(){
                   var uom_id =  jq('#uomh_'+value+'').val();  
				    var warehouse_id=jq('#warehouse_stock1').val();
                 				   
				   get_material_price(warehouse_id,material_id,uom_id,value);
           
                }, 1000);
				
				 reset_value1(value);
		       
			  
			   
             });
			 
			 
			 
			 <!--getting material price-->	
			 jq('#uom_'+value+'').change(function(){
		       var uom_id =  jq('#uom_'+value+'').val();
			    var warehouse_id=jq('#warehouse_stock1').val();
			   var material_id =  jq('#get_material_'+value+'').val();
			     
			   
			   get_material_price(warehouse_id,material_id,uom_id,value);
			   
			   reset_value1(value);
			   
             });
			 
			 jq('#adjs_type_'+value+'').change(function(){
		       reset_value12(value);
		       
             });
		
    };	
<!--end add row	-->
  <!--get_material_uom-->
	function get_material_details(material_id1,row)
	     {
				 
		 jq.ajax({
		      url: "{{ URL('get_transfer_material_detailsUom2/') }}"+"/" +material_id1+'/'+row,
              type:"GET",
              
          success:function(respons)
          {
            const uom = respons.split("-");
			
				//jq('#uom_'+row+'').val(uom[0]);
				document.getElementById('uom_'+row+'').innerHTML  = uom[0];
				jq('#uomh_'+row+'').val(uom[1]);
          }
       });
     }
	 
	    <!--get_material_price-->
	 function get_material_price(warehouse_id,material_id1,uom_id,row)
	     {
			
		 jq.ajax({
		      url: "{{ URL('get_transfer_material_price2/') }}"+"/" +warehouse_id+'/'+material_id1+"/"+uom_id,       
              type:"GET",
              
          success:function(respons)
          {
            if(respons){
				
			document.getElementById('price_'+row+'').value =respons;
		    document.getElementById('lprice_'+row+'').innerHTML  = respons;
					
			}
         
          }
       });
     }
	
	<!--get_material_name-->
	function get_material(value){
				 
		 jq.ajax({
		      url: "{{ URL('get_material_stock_adjustment/') }}",
              type:"GET",
              
          success:function(respons)
          {
            if(respons)
			{
				jq('#get_material_'+value+'').html(respons);
				$('#get_material_'+value+'').SumoSelect({ selectAll:true,search: true,  triggerChangeCombined : true});
                    $('#get_material_'+value+'')[0].sumo.reload();
			}
         
          }
       });
     }
	 
	 <!-- reseting Value-->
    	 function reset_value1(row){
		        document.getElementById('price_'+row+'').value ='';
		        document.getElementById('qty_'+row+'').value ='';
		        document.getElementById('discount_'+row+'').value ='';
		        
		        <!--for lebel-->
				document.getElementById('lprice_'+row+'').innerHTML='';
		        document.getElementById('ldiscount_'+row+'').innerHTML=''
		     }
			 function reset_value12(row){
		        
		        document.getElementById('qty_'+row+'').value ='';
		        document.getElementById('discount_'+row+'').value ='';
		        document.getElementById('ldiscount_'+row+'').innerHTML=''
		     }
	 
<!-- Deleting row-->
  function deleteRow(r,row) {
	 
        if(row==0){
			Swal.fire({
				  icon: 'error',
				  title: 'You Can Not Remove First Row!',
				})
				
           // alert("you can not remove first row");
        }
		else{
       //calculate();

      var i = r.parentNode.parentNode.rowIndex;
     document.getElementById("myTable").deleteRow(i);
		}
}
	
$("#reason_type").change(function(){
  var route = jq('#reason_type').val();
  get_reason(route);
        });
		
		
	function get_reason(route){
		jq.ajax({
		url: "{{ URL('outlet_stock_transfer/get_reason/') }}"+"/" +route,       
        type:"GET",
        success:function(respons)
        {
              if(respons){
				jq('#reason_add').html(respons);
				$('#reason_add').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
				
                $('#reason_add')[0].sumo.reload();
				 }
        }
          });
        }
	
</script>    
                
