@include('theme_layout/header')
@include('theme_layout/nav')
	
<div class="app-main__outer">
 <div class="app-main__inner"> 
  <div class="app-page-title">
   <div class="page-title-wrapper">
    <div class="page-title-heading">
     <div class="page-title-icon">
	 
      <i class="pe-7s-graph text-success">   
	  </i>
	  
     </div>     <!--page-title-icon-->
     
	 <div>Outlet Stock Transfer View 
     </div>
	 
    </div>    <!--page-title-heading-->
							
	<div class="page-title-actions"> 
	 <div class="d-inline-block dropdown">
	 
	  <a id="back" class="mt-3 btn btn-primary btn-lg text-white"> 
	  <i class="fa fa-arrow-left fa-w-20 text-white"></i> Back</a>
	
     </div>     <!--d-inline-block dropdown-->
	</div>      <!--page-title-actions-->
   </div>     <!--page-title-wrapper-->
  </div>      <!--page-title-wrapper-->              

  <div class="tab-content">
   <div class="tab-pane tabs-animation fade show active" id="tab-content-0" role="tabpanel">
	<div class="main-card mb-3 card">
	 <div class="card-body">
	  <div class="form-row">
	    <div class="col-md-4">
		  <div class="position-relative form-group">
		    
			 <label for="select_warehouse" class="font-weight-bold ml-2"> Distributor  </label> 
		  
			  <input readonly maxlength="20"  name="distibutor" id="distibutor"  type="text" class="form-control" value="{{$header_details[0]->customer_code}} - {{$header_details[0]->customer_name}}"   >
		      
		  </div>    <!--position-relative form-group-->
		 </div> 
		 
		 <div class="col-md-4">
		  <div class="position-relative form-group">
		     <label for="select_warehouse" class="font-weight-bold ml-2"> Select Warehouse  </label> 
			  
			   <input readonly maxlength="20"  name="warehouse" id="warehouse"  type="text" class="form-control" value="{{$header_details[0]->warehouse_code}} - {{$header_details[0]->warehouse_name}}"> 
		  </div>    <!--position-relative form-group-->
		 </div>  
		 <div class="col-md-4">
		  <div class="position-relative form-group">
		     <label for="select_warehouse" class="font-weight-bold ml-2">To Outlet Warehouse</label> 
			  
			  <input readonly maxlength="20"  name="outlet_id" id="outlet_id"  type="text" class="form-control" value="{{$header_details[0]->w_code}} - {{$header_details[0]->w_name}}">
			  
		  </div>    <!--position-relative form-group-->
		 </div> 
		  </div>     <!--from-row-->
	   
	  <div class="form-row"> 
		    <div class="col-md-4">
		  <div class="position-relative form-group">
		   
			 <label for="select_warehouse" class="font-weight-bold ml-2">Date</label>  
			  <input readonly maxlength="20"  name="date" id="date"  type="text" class="form-control" value="{{$header_details[0]->date}}">
			   
		  </div>    <!--position-relative form-group-->
		 </div>   
		 <div class="col-md-4">
		  <div class="position-relative form-group">
		    <label for="select_warehouse" class="font-weight-bold ml-2">Reason</label> 
			
			<input maxlength="20" name="trading_name" id="trading_name" value="{{ $header_details[0]->reason_type == '1' ? 'Good Reason'  : 'Bad Reason' }}"  type="text" class="form-control"  readonly>
		  </div>    <!--position-relative form-group-->
		 </div>  
		 
	    <div class="col-md-4">
		  <div class="position-relative form-group">
		    <label for="select_warehouse" class="font-weight-bold ml-2">Transfer Reason</label> 
			  
			 <input class="mb-2 form-control" value="{{$header_details[0]->reason_code}} - {{$header_details[0]->reason_name}}"  name="transfer_reason" id="transfer_reason" readonly >  
			  
		  </div>    <!--position-relative form-group-->
		 </div> 
	    </div> <!-- end from row --> 
		
		<div class="form-row"> 
		<div class="col-md-12">
		  <div class="position-relative form-group">
		     <label for="select_warehouse" class="font-weight-bold ml-2">Remark*</label> 
			  
			    <input readonly maxlength="20"  name="remark" id="remark"  type="text" class="form-control" value="{{$header_details[0]->remark}}" required>
			  
		  </div>    <!--position-relative form-group-->
		 </div>  
		</div> <!-- end from row --> 
	 <table class="table   table-hover  table-bordered">
		 <thead>
		  <tr>
		  <th style="width:15%; text-align: center;">Material </th>
		  <th style="width:13%; text-align: center;">UOM</th>
		  <th style="width:10%; text-align: center;">Available Qty</th>
		  <th style="width:10%; text-align: center;">Transfer Qty</th>
		  <th style="width:10%; text-align: center;">Balance Qty	</th>	
		  </tr>
	  
     	  <tbody id="dynmic_row"> 
	   
	       @foreach($get_data_details as $details)
	       <tr id="row_0">
		   <td style="width: 15%;" id="mitem_0" >
		   <label type="text" id="get_material_0" name="material_name[]" class="lget_material font-weight-bold ml-2 " required="" readonly>
		   {{$details->material_code}} - {{$details->material_name}}
		   </label>
		   </td>
		   <td id="uitem_0"   style="width: 13%;">
		   <label  id="uom_0" name="uom[]" class="lget_material font-weight-bold ml-4 " readonly >{{$details->unit_notation}}</label>
		   </td>
		   	 <td id="pitem_0"  style="width: 13%;">
			<label   class="lprice font-weight-bold ml-4 " id="lprice_0" for="comment">{{$details->available_stock}}</label>
			 
		   </td>
		   <td id="qitem_0">
		   <label readonly    id="qty_0" type="text" name="stock_qty[]" class="lqty font-weight-bold ml-2 " required="">   {{$details->stock_qty}}
		   </label>
		   </td> 
		   					
		   <td id="pitem_0">
		   <label   readonly id="balance_qty" type="text" name="balance_qty[]" class="lprice font-weight-bold ml-2">{{number_format($details->balance_qty,2)}}
		   </label>
		   </td>
		   </tr>
		   </tr> 	        
		    @endforeach  	
		   </tbody>
	      </thead> 
        </table>  
	 </div>     <!--card-body-->
	</div>      <!--main-card mb-3 card-->
   </div>      <!--tab-pane tabs-animation fade show active-->
  </div>     <!--tab-content-->
 </div>      <!--app-main__inner-->
 
@include('theme_layout/footer')

<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>
	
<script>

   var jq = $.noConflict();

   jq(document).ready(function(){
	   
	   jq("#back").click(function(){
		   window.history.back();
	   })
   
   var repeat= new Array();

    
    var stock=  jq('ul#material_cat_ul li:first').attr('id');

      if(stock) {

      var material_id = stock;

         var inc =  jq('ul#material_cat_ul li:first').attr('value');
  
           
           if(repeat[inc]==material_id)
           {
         
           }
          else
           {
			   var warehouse_id11= jq('#warehouse_id12').val();
               get_warehouse(material_id,inc,warehouse_id11);
           }
 
          jq('#item_li_add' + stock).addClass( "active show" );

    } 	   

	  jq(".category_id").click(function(){

         material_id= jq(this).attr('id');


          var inc=jq(this).attr('value');

           if(repeat[inc]==material_id)
           {
           
           }
           else
           {
               var warehouse_id11= jq('#warehouse_id12').val();
			   
               get_warehouse(material_id,inc,warehouse_id11);
           }
      });

	 function get_warehouse(material_id,inc,warehouse_id11){
		
		 jq.ajax({
		      url: "{{ URL('outlet_transfer_material_detalis/') }}" +"/" + material_id+'/'+warehouse_id11,
              type:"GET",
              
          success:function(respons)
          {
            if(respons)
			{
				        jq('#warehouse_id'+inc+'').html(respons);
                        repeat[inc]=material_id;
			}
         
          }
       });
     }
 });	
</script>		
               