@include('theme_layout/header')
@include('theme_layout/nav')
<div class="app-main__outer">               
 <div class="app-main__inner">
  <div class="app-page-title">
   <div class="page-title-wrapper"> 
	<div class="page-title-heading">
	 <div class="page-title-icon">
	 
	  <i class="pe-7s-graph text-success">
	  </i>
	  
	 </div>    <!--page-title-icon-->
	 
	 <div>  
		{{ request()->route('id') ? 'Edit ' : 'Add ' }}
		Sales Organization Structure
	 </div>	
	 
	</div>    <!--page-title-heading--> 
	
	<div class="page-title-actions">                                
	 <div class="d-inline-block dropdown">
	 
	  <a href="{{route('sales_hierarchy_list')}}" class="mt-3 btn btn-primary btn-lg text-white"> 
	  <i class="fa fa-arrow-left fa-w-20"></i> Back</a>    
	  
	 </div>    <!--d-inline-block dropdown--> 
	</div>       <!--page-title-actions--> 
   </div>    <!--page-title-wrapper--> 
  </div>       <!--app-page-title-->          					 
  
  <div class="tab-content">
   <div class="tab-pane tabs-animation fade show active" id="tab-content-0" role="tabpanel">
	<div class="main-card mb-3 card">
	 <div class="card-body">
	 
	  <form id="" class="" onsubmit="return checkForm(this);"
       action="{{ route('sales_hierarchy_store') }}" method="post">
	  {{ csrf_field() }}
	  
	  <div class="form-row">
       <div class="col-md-4">
	    <div class="position-relative form-group">
		
		 <label class="font-weight-bold ml-2" for="name" class="">Name</label>
		 <input autocomplete="off" maxlength="500" name="name" id="name"  type="text" class="form-control" value="{{ request()->route('id') ? $get_data->name : '' }}"   required>
		 <input autocomplete="off" name="updated_id" id="updated_id" value="{{ request()->route('id') }}"  type="hidden">
		 
		</div>    <!--position-relative form-group--> 
	   </div>    <!--col-md-4--> 
	   
	   <div class="col-md-4">
	    <div class="position-relative form-group">
		
		 <label  class="font-weight-bold ml-2" for="parent" class="">Parent</label>
		 <select class="mb-2 form-control" name="parent" id="parent"  > 
		 @if(request()->route('id')) 
		 @foreach($parent as $pare)
		 <option {{$get_data->parent == $pare->name ? 'selected' : '' }} value ="{{$pare->name}}">{{$pare->name}}</option>
		 @endforeach
	   
		 @else   
		 <option value=""> </option>
		  @foreach($parent as $pare)
		 <option value ="{{$pare->name}}">{{$pare->name}}</option>
		 @endforeach
		 @endif 
		 </select> 
		 
	    </div>    <!--position-relative form-group--> 
	   </div>    <!--col-md-4--> 
	  </div>    <!--form-row--> 		
						
	  <div class="form-row">
	  
	   <div class="col-md-5"></div>
	   @if(request()->route('id'))
	   <button name="btnsubmit" class="mt-3 btn btn-primary btn-lg">Update</button>
	   @else 
	   <button name="btnsubmit" type="submit" class="mt-3 btn btn-primary btn-lg">Save</button>
	   @endif
	   <div class="col-md-0.5"></div>
	   <a href="{{route('sales_hierarchy_list')}}" class="mt-3 btn btn-danger  btn-lg">Cancel</a>
	   
	  </div>    <!--form-row--> 
	 </form>
	 </div>    <!--card-body--> 
	</div>       <!--main-card mb-3 card-->                          
   </div>       <!--tab-pane tabs-animation fade show active-->                       
  </div>    <!--tab-content--> 
 </div>    <!--app-main__inner-->  
 
	@include('theme_layout/footer')
	<script>
	function checkForm(form)
  {
     
    form.btnsubmit.disabled = true;
    return true;
  }

</script>
