@include('theme_layout/header')
@include('theme_layout/nav')
	
<div class="app-main__outer">
 <div class="app-main__inner">
  <div class="app-page-title">
   <div class="page-title-wrapper">
    <div class="page-title-heading">
     <div class="page-title-icon">
      <i class="pe-7s-graph text-success"></i>
     </div> <!--page-title-icon-->
                
     <div> Add Good Receipt Note </div>
            
    </div>  <!-- end page title heading -->
                            
	<div class="page-title-actions">
     <div class="d-inline-block dropdown">
      <a  id="back" class="mt-3 btn btn-primary btn-lg text-white"> 
	  <i class="fa fa-arrow-left fa-w-20 text-white"></i> Back</a>
	 </div>  
    </div> <!-- end page title action -->
   </div> <!-- end page title wrapper -->
  </div>  <!-- end app page title -->            
 					 
  <div class="tab-content">
   <div class="tab-pane tabs-animation fade show active" id="tab-content-0" role="tabpanel">
    <div class="main-card mb-3 card">
     <div class="card-body"><h5 class="card-title"></h5>
	  <form id="material_form" onsubmit="return checkForm(this);" class="" action="{{ route('good_receipt_note_store') }}" method="post">
	  {{ csrf_field() }}
                       
      <div class="form-group row">
       <div class="col-md-4">
		<div class="position-relative form-group">
		   <label  class="font-weight-bold ml-2" for="customer_type" class="">Supplier :</label>
		  	<input  maxlength="120" name="session_vat" id="session_vat"  type="hidden" class="form-control" value="{{Session::get('company_vat')}}" autocomplete="off" required>						
		   <select  class="mb-2 form-control" name="supplier_id"  id="supplier_id" required > 
		   
		      
		
		   <option value="" ></option>
		    @if(request()->route('id'))
			
				 @foreach($supplier as $supplier )
			    <option {{request()->route('id')==$supplier->id ? 'selected':''}} value="{{$supplier->id}}">{{$supplier->supplier_code}} - {{$supplier->supplier_name}} </option>
			   @endforeach
		   @else	
			   @foreach($supplier as $supplier )
				<option value="{{$supplier->id}}">{{$supplier->supplier_code}} - {{$supplier->supplier_name}} </option>
				@endforeach
		    @endif 
		 	 	
		   </select>
		   <input maxlength="120" name="order_typehidden" id="order_typehidden" type="hidden" class="form-control" value="" autocomplete="off" required> 
		    <input type="hidden" id="grn_code" name="grn_code" class="form-control" value="{{$last_code}}" autocomplete="off"> 
	
		</div>     <!--position-relative form-group-->
	   </div>
											
	   <div class="col-md-4">
		<div class="position-relative form-group">
		 <label  class="font-weight-bold ml-2" for="customer_type" class="">Purchase Order: </label>
		 <select class="mb-2 form-control" name="purchase_order_number" id="purchase_order_number"> 	
		   @if(request()->route('order'))  
		    @foreach($order_name as  $details1)
									    
			<option {{request()->route('order')==$details1->id ? 'selected':''}} value="{{$details1->id}}">
			{{$details1->purchase_order_number}}  ({{$details1->supplier_code}} -{{$details1->supplier_name}})
			</option>	
						              
			@endforeach
			@else
			@endif	
       </select> 
		  
		</div>     <!--position-relative form-group-->
	   </div>
	  </div>      <!--form-group row-->

	  <div class="mb-5" >
	   <h5>
		<p id="code" class="font-weight-bold float-right mr-5">
		 GRN No:  #{{$last_code}} 
		</p>
	   </h5>
	  </div> 
      <!--  add row -->
        
       <section>
	  <!--for distributor-->
		@php
				
		$j='';
					
		@endphp
		 	 
		 @if(request()->route('id'))
		 
              @php
			  $k='';
			 @endphp	
			 
			<div id="return_table"  class="panel panel-footer" >
             <table class="table table-bordered" id="myTable1">
			  <thead>
               <tr>
				<th style="width:25%; text-align: center;">Material</th>
				<th style="width:10%; text-align: center;">UOM</th>
				<th style="width:10%; text-align: center;">Qty</th>
				<th style="width:10%; text-align: center;">Unit Price</th>
			    <th style="width:10%; text-align: center;">Discount</th>
			    <th style="width:10%; text-align: center;">Vat</th>
			    <th style="width:10%; text-align: center;">Net Amount</th>
				<th style="width:15%; text-align: center;">Total</th>     
				<th style="width:10%; text-align: center;">Action</th>
			   </tr>
			  </thead>
			  				
			  <tbody id="dynmic_row1">
				 
				@foreach($get_data_details as $key=> $details)
				@php
				  $altpacksize1=$details->base_qty/$details->quantity;
				@endphp
			   <tr id="row_{{$key}}">
				<td style="width: 15%;" id="mitem_0" >
				 <select disabled placeholder="{{$key}}" type="text" required id="orderget_material_{{$key}}" name="material_name1[]" class="form-control mat1 material_sumo mat_sumo order_material">
				 			    
				 <option value=""></option>
							     
				@foreach($material as $material_name)
							     
				 <option {{$details->material_id==$material_name->id ? 'selected' : ''}} value ="{{$material_name->id}}">{{$material_name->material_code}} - {{$material_name->material_name}}
				 </option>
						
				@endforeach
				 </select>
				 
				 <input value="{{$details->material_id}}"  type="hidden" name="material_name1[]" class="form-control">
				</td>
							 
				<?php 
	                        
	             $material_master2 = DB::select('SELECT t2.id, t2.uom_name,t2.unit_notation FROM tbl_material_master as t1 LEFT JOIN tbl_unit_of_measurement as t2 ON find_in_set(t2.id,t1.alt_uom) WHERE t1.`id`='.$details->material_id.'');
							
				?>
							
				<td id="uitem_{{$key}}" style="width: 10%;">
								
				 <select  placeholder="{{$key}}" id="orderuom_{{$key}}" name="uom1[]" class="form-control oums1">
				  			      
				  @foreach($material_master2 as $uom_name)
				  <option {{$details->uom==$uom_name->id ? 'selected':''}} value="{{$uom_name->id}}">
					{{$uom_name->unit_notation}}
				  </option> 
				  @endforeach
				 </select>
				</td>
				
				<td id="qitem_{{$key}}">
				 <input required value="{{$details->quantity}}" id="qty_{{$key}}" type="text" name="quantity1[]" class= "form-control quantity order_get_qty"  autocomplete="off">
				 
				 <input  value="{{$details->quantity}}" id="hqty_{{$key}}" type="hidden" name="hquantity1[]" class= "form-control hquantity horder_get_qty" autocomplete="off">
				</td>		
				<td id="pitem_{{$key}}">
							
				 <label style="text-align:center;" class="lprice font-weight-bold ml-2" id="orderlprice_{{$key}}" for="comment">  {{number_format($details->unite_price,2)}}  
				 </label>
							
				 <input  value="{{$details->unite_price}}"  id="orderprice_{{$key}}" type="hidden" name="price1[]" class="form-control price" autocomplete="off">
				 
				 
				 <input autocomplete="off" value="{{$details->base_qty}}" id="opacking_size_{{$key}}" type="hidden" name="opacking_size[]" class="form-control opacking_size">
				 <input autocomplete="off" value="{{$altpacksize1}}"  id="obegpacking_size_{{$key}}" type="hidden" name="obegpacking_size[]" class="form-control obegpacking_size">
				</td>
							
			<td id="ditem_{{$key}}">
			 <label   class="ldiscount font-weight-bold ml-2 " id="ldiscount_{{$key}}" for="comment"></label>
			 <input value=""  id="discount_{{$key}}" type="hidden" name="discount[]" class="form-control discount" autocomplete="off">
			</td>
				
			<td id="vitem_{{$key}}">
			 <label  class="lvat font-weight-bold ml-2" id="lvat_{{$key}}" for="comment">{{number_format($details->vat,2)}}</label>
			 <input value="{{$details->vat}}"  id="vat_{{$key}}" type="hidden" name="vat[]" class="form-control vat" autocomplete="off">
			 
			 <input value="{{$details->vat}}"  id="temp_vat_{{$key}}" type="hidden" name="temp_vat[]" class="form-control temp_vat" autocomplete="off">
			 
			 <input autocomplete="off" value="{{$details->material_vat}}"  id="isvat_{{$key}}" type="hidden" name="isvat[]" class="form-control isvat" required="">
			</td>
			
		  <td id="naitem_0">
		   <label   class="lnet_amount font-weight-bold ml-4 " id="lnet_amount_0" for="comment">{{number_format($details->net_amount,2)}}</label>
		   <input autocomplete="off" value="{{$details->net_amount}}"  id="net_amount_{{$key}}" type="hidden" name="net_amount[]" class="form-control net_amount">
		   
		   <input autocomplete="off" value="{{$details->net_amount}}"  id="temp_net_amount_{{$key}}" type="hidden" name="temp_net_amount[]" class="form-control temp_net_amount"> 
		   
		  </td>
			<td id="titem_{{$key}}">
				 <label   class="ltotal font-weight-bold ml-2 " id="orderltotal_{{$key}}" for="comment"> 
				  {{number_format($details->total,2)}}  
				 </label>
				 <input value="{{$details->total}}"  id="ordertotal_{{$key}}" type="hidden" name="total1[]" class="form-control total" autocomplete="off">
				 
				 <input value="{{$details->total}}"  id="temp_ordertotal_{{$key}}" type="hidden" name="temp_total1[]" class="form-control temp_total" autocomplete="off">
				 
				 
				 <input value="{{$details->gross_total}}" id="temp_gross_{{$key}}" type="hidden" name="temp_gross1[]" class="form-control temp_gross" autocomplete="off">
				 
				 <input value="{{$details->gross_total}}" id="gross_{{$key}}" type="hidden" name="gross1[]" class="form-control gross" autocomplete="off">
			</td>
				<td>
				 <button type="button" class="btn btn-danger font-weight-bold" onclick="deleteRow(this,{{$key}})">
				  <i class="fa fa-trash" aria-hidden="true"></i>
				 </button>
				</td>
				</tr>
				</tr>
						
				@php
				$k=$key;
				@endphp
					    
				@endforeach
					   
				 <input value="{{$k}}" id="inc1" type="hidden" name="" class="form-control" autocomplete="off">
				    
			   </tbody>
			  </table>
				 
            </div>      <!---return_table-->
			
			 <!-- hidden fielde-->
		   </section>
        
       
            
			 
            <input value="{{$get_data->total_gross}}" id="gross_amount_totali" type="hidden" name="gross_amount_totali" class="form-control" autocomplete="off">
			
            <input value="{{$get_data->total_gross}}" id="temp_gross_amount_totali" type="hidden" name="temp_gross_amount_totali" class="form-control" autocomplete="off">
			 
			<input value="{{$get_data->total_invoice_value}}" id="price_amount_totali" type="hidden" name="price_amount_totali" class="form-control" autocomplete="off">
			
			
			
			<input value="{{$get_data->total_vat}}" id="vat_amount_totali" type="hidden" name="vat_amount_totali" class="form-control" autocomplete="off">
			
			<input value="{{$get_data->total_vat}}" id="temp_vat_amount_totali" type="hidden" name="temp_vat_amount_totali" class="form-control" autocomplete="off">
			
			<input value="{{$get_data->net_total_amount}}" id="net_amount_totali" type="hidden" name="net_amount_totali" class="form-control" autocomplete="off">
			
			<input value="{{$get_data->net_total_amount}}" id="temp_net_amount_totali" type="hidden" name="temp_net_amount_totali" class="form-control" autocomplete="off">
			
			<input value="{{$get_data->total_invoice_value}}" id="invoice_amount_totali" type="hidden" name="invoice_amount_totali" class="form-control" autocomplete="off">
			
			<input value="{{$get_data->total_invoice_value}}" id="temp_invoice_amount_totali" type="hidden" name="temp_invoice_amount_totali" class="form-control" autocomplete="off">
			
			<!--  End add row -->	
			<table class="table  table-bordered float-right" style="width: 30%;">
			   
				@php
				$space=" ";
				@endphp
			       
			 <tr>
			  <td  class="bg-faded" style="width: 50%; background-color: #dfe2e8;"><strong>Gross Amount:</strong></td>
			  <td id="" class="font-weight-bold" style="width: 40%;">{{$login_user->currency_notation}} {{$space}}  
			   <span class="font-weight-bold" id="gross_amount_total">{{number_format($get_data->total_gross,2)}}</span>
			  </td>
			 </tr>
			        
			 <tr id="tr_vat">
			  <td  class="bg-faded" style="width: 50%; background-color: #dfe2e8;">
			   	<strong>VAT Amount:</strong>
			  </td>
			  <td id="" class="bg-white font-weight-bold" style="width: 40%;">{{$login_user->currency_notation}} {{$space}}  
			    <span class="font-weight-bold"  id="vat_amount_total">{{number_format($get_data->total_vat,2)}} </span>
			   </td>
			  </tr>
						
			  <tr id="tr_discount">
			         
			   <td class="bg-faded" style="width: 50%; background-color: #dfe2e8;">
			    <strong>Discount:</strong>
			   </td>
			            
			    <td class="bg-white font-weight-bold" style="width: 40%;">{{$login_user->currency_notation}} {{$space}}
			      <span class="font-weight-bold" id="discount_amount_total">0.00</span>
			    </td>
			        
			   </tr>
			   
			   <tr>
			    <td class="bg-faded" style="width: 50%; background-color: #dfe2e8;">
			       	<strong>Invoice Total:</strong>
			    </td>
			            
			    <td id="" class="bg-white font-weight-bold" style="width: 40%;">{{$login_user->currency_notation}} {{$space}} 
			      <span class="font-weight-bold" id="invoice_amount_total">{{number_format($get_data->total_invoice_value,2)}}</span>
			    </td>
			   </tr>
			   
		     </table>
					 
		<br><br><br><br>
		<br><br><br><br>
		<br><br><br><br>
                      
            @endif	

            <div class="container " style="width: 100%;">
             <div class="row">
	          <div class="col-md-5 ml-0"></div>
		       <button id="submit" name="btnsubmit" class="mt-3 btn btn-primary btn-lg">Save</button>
				<a href="{{route('route_delivery_list')}}" class="mt-3 btn btn-danger ml-2  btn-lg">Cancel</a>   
			 </div>
			</div>    <!--container-->
           </form>
          </div>   <!--card-body-->
         </div>    <!--main-card mb-3 card-->
       </div>   <!--tab-pane tabs-animation fade show active-->
    </div>   <!--tab-content-->
</div>     <!--app-main__inner-->

                @include('theme_layout/footer')
       

<script>

   var jq = $.noConflict();
		function checkForm(form)
			{ 
		form.btnsubmit.disabled = true;
		return true;
			}
   jq(document).ready(function(){
	   			   
	    jq("#back").click(function(){
		   window.history.back();
	   })
	   
	$('#supplier_id').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	$('#purchase_order_number').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	$('.mat_sumo').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
   var supplier_id = jq('#supplier_id').val();
   
    $("#purchase_order_number").change(function(){
    var purchase_order_number = jq('#purchase_order_number').val();
    var supplier_id = jq('#supplier_id').val();
	  
    //get_order_number_details(order_number);
	location.replace("{{ URL('good_receipt_note/') }}"+"/"+supplier_id+'/'+purchase_order_number);
    }); 
    
    $("#supplier_id").change(function(){
     var supplier_id = jq('#supplier_id').val();
	 $('#supplier_id').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	 $('#supplier_id')[0].sumo.reload();   
	   
	 document.getElementById("order_typehidden").value = supplier_id;
	 document.getElementById("supplier_id").disabled = true;
	  
	 get_order_number(supplier_id);
	 //get_return_code(supplier_id);
    //get_customer_tin(customer_add);
	 
    if(supplier_id=='1')
	{
		jq('#distributor_table').show();
		jq('#return_table').hide();
		jq('#tr_vat').show();
		jq('#tr_discount').show();
		jq('#tr_net').show();
		jq('#tr_excise').show();
		 
		
		jq('.mat').attr("required","required");
		jq('.get_qty').attr("required","required");
		
		jq('.order_material').removeAttr('required'); 
		jq('.order_get_qty').removeAttr('required'); 
	}

    });
	
	 
		 
	function get_order_number(supplier_id)
	{
		jq.ajax({
		url: "{{ URL('get_good_receipt_note_order/') }}"+"/" +supplier_id,       
        type:"GET",
        
        success:function(respons)
        {
            if(respons)
			{
				 
				jq('#purchase_order_number').html(respons);
				$('#purchase_order_number').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
				$('#purchase_order_number')[0].sumo.reload(); 
                 //alert('hh');				
			}
         }
       });
     }
 	 });
	
	 

	
         <!--row calculation-->
         jq('tbody').delegate('.quantity,.price','keyup',function(){
	     var gst=0;
	     var exc=0;
	     var per=100;
         var tr=jq(this).parent().parent();
         var quantity=tr.find('.quantity').val();
		 
		 var input_qty=tr.find('.quantity').val();
         var real_qty=tr.find('.hquantity').val();
         var temp_qty=0;
	   if(Number(input_qty)>Number(real_qty))
		 {
			 Swal.fire({
				  icon: 'error',
				  title: 'You Can Not Enter Quantity More Than '+real_qty+'!',
				})
		    
	       document.getElementById("submit").disabled = true;
		 }
		 else
		 {
		  document.getElementById("submit").disabled = false;
	     }
		 
		 temp_qty=Number(real_qty)-Number(input_qty);
		 
		 var supplier_id = jq('#supplier_id').val();
	
		 var begpacking_size1=tr.find('.obegpacking_size').val();
			
		
		if(quantity=='')
		{
			reset_value();
			function reset_value(){
		
		      tr.find('.total').val('');
              tr.find('.gross').val('');
              tr.find('.excise').val('');
		      tr.find('.vat').val('');
		      tr.find('.net_amount').val('');
		      tr.find('.lnet_amount').text('');
			  tr.find('.ltotal').text('');
			  tr.find('.ltin_no').text('');
              tr.find('.lvat').text('');
			  tr.find('.lexcise').text('');
			 
			  tr.find('.quantity').val('');
			  
		      //tr.find('.price').val('');
		     }
		
	    }
		else
		{
        var price=tr.find('.price').val();
		var isvat=tr.find('.isvat').val();
		var isexcise=tr.find('.isexcise').val();
		
		if(isvat==1)
		{
			gst = jq('#session_vat').val();
		}
		
		if(isexcise!=0)
		{
			exc=isexcise;
		}
		var actual_alt_packing_size=(quantity*begpacking_size1);
	<!--calculate vat for setting in input-->
		var vat=(price*gst/per)*quantity;
		var temp_vat=(price*gst/per)*temp_qty;
		var total=(quantity*price);
		var temp_total=(temp_qty*price);
		var gross=(quantity*price);
		var temp_gross=(temp_qty*price);
		var supplier_id = jq('#supplier_id').val();
			 if(supplier_id=='1')
			{
				
				tr.find('.packing_size').val(actual_alt_packing_size);
				
			}
			 else{
				 tr.find('.opacking_size').val(actual_alt_packing_size);
			 }
		
		var gross_value1 = gross.toLocaleString(
	    undefined, 
	      { minimumFractionDigits: 2 }
	      );
		  var vat_value1 = vat.toLocaleString(
	      undefined, 
	      { minimumFractionDigits: 2 }
	      );
		  var total_value1 = total.toLocaleString(
	      undefined, 
	      { minimumFractionDigits: 2 }
	      );

        tr.find('.total').val(total);
        tr.find('.temp_total').val(temp_total);
        tr.find('.gross').val(gross);
        tr.find('.temp_gross').val(temp_gross);
		tr.find('.vat').val(vat);
		tr.find('.temp_vat').val(temp_vat);
		<!--for lebel -->
        tr.find('.ltotal').text(total_value1);
        tr.find('.lvat').text(vat_value1);
	
 	   <!--getting stored vat-->
		var get_vat=tr.find('.vat').val();
		var get_temp_vat=tr.find('.temp_vat').val();
		var total1=tr.find('.total').val();
		var total12=tr.find('.temp_total').val();
		
		<!--for getting excise-->
		var excise=(total1*exc/per);
		var net_amount=(total1-get_vat);
		var temp_net_amount=(total12-get_temp_vat);
	    var excise_value1 = excise.toLocaleString(
	      undefined, 
	      { minimumFractionDigits: 2}
	      );
		 
		tr.find('.net_amount').val(net_amount);
		tr.find('.temp_net_amount').val(temp_net_amount);
		tr.find('.lnet_amount').text(net_amount+'.00');
		
		
		}
		
       calculate();  
    });
	
       <!-- reset value-->
	  <!--total calculation-->
		function calculate(){
		 var ftotal=0;
		 var temp_total=0;
		 var fnet_total=0;
		 var temp_net_total=0;
		 var temp_vat=0;
		 var fvat=0;
		 var fgross=0;
		 var temp_gross=0;
		 var fexcise=0;
		 var fprice=0;
		<!-- total calculation-->
        setTimeout(function(){
        jq('.total').each(function() {
	    var total=jq(this).val()-0;
	    ftotal+=total;
	});
	
	  
					
     var total_value = ftotal.toLocaleString(
     undefined, 
     { minimumFractionDigits: 2 }
    );
   document.getElementById("invoice_amount_total").innerHTML  = total_value;
   
   document.getElementById("invoice_amount_totali").value = ftotal;
   
    }, 200);
			   
     
	 
	 
	  setTimeout(function(){
        jq('.temp_vat').each(function() {
	    var tmpvat=jq(this).val()-0;
	    temp_vat+=tmpvat;
	     });
		 
		 document.getElementById("temp_vat_amount_totali").value  = temp_vat;
	  }	, 200);
	  
	   setTimeout(function(){
        jq('.temp_net_total').each(function() {
	    var tmptemp_net_total=jq(this).val()-0;
	    temp_net_total+=tmptemp_net_total;
	     });
		 
		 document.getElementById("temp_net_amount_totali").value  = temp_net_total;
	  }	, 200);
	  
	  
	   setTimeout(function(){
        jq('.temp_total').each(function() {
	    var tmptotal=jq(this).val()-0;
	    temp_total+=tmptotal;
	     });
		
		 document.getElementById("temp_invoice_amount_totali").value  = temp_total;
	  }	, 500);
	  
	   setTimeout(function(){
        jq('.temp_gross').each(function() {
	    var tmpgross=jq(this).val()-0;
	    temp_gross+=tmpgross;
	     });
		 
		 document.getElementById("temp_gross_amount_totali").value  = temp_gross;
	  }	, 200);
	  
	  
  <!-- net total-->
    setTimeout(function(){
    jq('.net_amount').each(function() {
    var net_total=jq(this).val()-0;
    fnet_total+=net_total;
	});
	
	var net_total_value = fnet_total.toLocaleString(
    undefined, 
    { minimumFractionDigits: 2 }
    );
    
	
    document.getElementById("net_amount_totali").value = fnet_total;
    }, 200);

    <!-- vat total-->
    setTimeout(function(){
    jq('.vat').each(function() {
    var vat_total=jq(this).val()-0;
	fvat+=vat_total;
	});
    var vat_value = fvat.toLocaleString(
    undefined, 
    { minimumFractionDigits: 2 });
	   document.getElementById("vat_amount_total").innerHTML  = vat_value;
	   document.getElementById("vat_amount_totali").value = fvat;
    }, 200);
				
    <!-- gross total-->
    setTimeout(function(){
    jq('.gross').each(function() {
    var gross_total=jq(this).val()-0;
    fgross+=gross_total;
	});
	var gross_value = fgross.toLocaleString(
    undefined, 
    { minimumFractionDigits: 2 });
	   document.getElementById("gross_amount_total").innerHTML  = gross_value;
	   document.getElementById("gross_amount_totali").value = fgross;
   
    }, 200);     

   <!-- price total-->
    setTimeout(function(){
    jq('.price').each(function() {
    var price_total=jq(this).val()-0;
    fprice+=price_total;
	});
	var _value = fgross.toLocaleString(
    undefined, 
    { minimumFractionDigits: 2 });
	 /* document.getElementById("price_amount_total").innerHTML  = fprice; */
     document.getElementById("price_amount_totali").value = fprice;
     }, 200);  				
    } 

		   <!--end calculation	-->	
		   <!--add row	-->	
		      var inc1='';
		     var supplier_id = jq('#supplier_id').val();
			  if(supplier_id=='')
				 { }
			 if(supplier_id=='1')	 
			    inc1 =  jq('#inc').val();
			 if(supplier_id=='2')
		       inc1 =  jq('#inc1').val();	
              		   
			 if(inc1>0)
			 {
		     $('.mat').change(function(){
				var inc11= jq(this).attr('placeholder');
				
			 var material_id =  jq('#get_material_'+inc11+'').val();
			 get_material_details(material_id,inc11);
			  is_vat(material_id,inc11);
	          is_excise(material_id,inc11);
			 setTimeout(function(){
             var uom_id =  jq('#uom_'+inc11+'').val();  
             get_material_price(uom_id,material_id,inc11);
			 get_material_alt_packing_size(uom_id,material_id,inc11);
		     //alert(uom_id+' '+inc1+' '+material_id);
             }, 1000);
			 reset_value1(inc11);
			calculate();
		   });
			 
		     jq('.uoms').change(function(){
				var inc11= jq(this).attr('placeholder');
	         var uom_id =  jq('#uom_'+inc11+'').val();
		     var material_id =  jq('#get_material_'+inc11+'').val();
		     get_material_price(uom_id,material_id,inc11);
			 get_material_alt_packing_size(uom_id,material_id,inc11);
			 reset_value1(inc11);
			 calculate(); 
			});
			<!--getting order material of first row-->	
			$('.mat1').change(function(){
				var inc11= jq(this).attr('placeholder');
			var material_id1 =  jq('#orderget_material_'+inc11+'').val();
	        var row=0;
		    get_material_details(material_id1,inc11);
		    setTimeout(function(){
            var uom_id =jq('#orderuom_'+inc11+'').val();  
            get_material_price(uom_id,material_id1,inc11);
			get_material_alt_packing_size(uom_id,material_id1,inc11);
            }, 1000);
		    reset_value1(inc11);
		    calculate(); 
          });
	 
	      <!--getting order uom of first row-->		 
	      jq('#orderuom_'+inc1+'').change(function(){
		  var row=0;
		  var uom_id =  jq('#orderuom_'+inc1+'').val();
		  var material_id =  jq('#orderget_material_'+inc1+'').val();
		  get_material_price(uom_id,material_id,inc1);
		  get_material_alt_packing_size(uom_id,material_id,inc1);
		  reset_value1(inc1);
		  calculate(); 
		   });
		  }
		  var i=inc1;
		  jq('.addRow').on('click',function(){
		  i++;
		  addRow(i);
		 });
	
		<!--getting material of first row-->		
			$('#get_material_0').change(function(){
		    var material_id1 =  jq('#get_material_0').val();
	        var row=0;
		    get_material_details(material_id1,row);
			is_vat(material_id1,inc1);
	          is_excise(material_id1,inc1);
		    setTimeout(function(){
            var uom_id =  jq('#uom_0').val();     
			get_material_price(uom_id,material_id1,row);
			get_material_alt_packing_size(uom_id,material_id1,row);
            }, 1000);
		    
		    reset_value1(row);
		    calculate(); 
         });
	 
	 
         <!--getting for order material of first row-->		
	     $('#orderget_material_0').change(function(){
		 var material_id1 =  jq('#orderget_material_0').val();
	     var row=0;
		 get_material_details(material_id1,row);
		 setTimeout(function(){
         var uom_id =  jq('#orderuom_0').val();  
         get_material_price(uom_id,material_id1,row);
		 get_material_alt_packing_size(uom_id,material_id1,row);
         }, 1000);
		 reset_value1(row);
		 calculate(); 
        });
	 
	 
       <!--getting material of first row-->		 
	     jq('#uom_0').change(function(){
		 var row=0;
		 var uom_id = jq('#uom_0').val();
	     var material_id =  jq('#get_material_0').val();
	     get_material_price(uom_id,material_id,row);
		 get_material_alt_packing_size(uom_id,material_id,row);
		 reset_value1(row);
		 calculate(); 
		 });
			 
         <!--getting order material of first row-->		 
	     jq('#orderuom_0').change(function(){
		 var row=0;
         var uom_id = jq('#orderuom_0').val();
	     var material_id =  jq('#orderget_material_0').val();
	     get_material_price(uom_id,material_id,row);
		 get_material_alt_packing_size(uom_id,material_id,row);
	     reset_value1(row);
		 calculate(); 
		 });
	
	    <!--getting return type-->
        jq('#return_type_0').change(function(){
		var return_type =  jq('#return_type_0').val();
	    var row=0;
		// alert(return_type);
		get_resion(return_type,row);
	    });		 
	
	    function addRow(value)
	    {
		var supplier_id = jq('#supplier_id').val();
		 if(supplier_id=='')
		 {
			 Swal.fire({
				  icon: 'error',
				  title: 'Select Order Type First!',
				})
			  }
		 
         if(supplier_id=='1'){
			
	        var trm='<tr id="row_'+value+'">'+
	        '<td style="width: 15%;" id="mitem_"><select type="text" id="get_material_'+value+'"  name="material_name[]" class="form-control get_material" required=""></td>'+
			
	        '<td id="uitem_'+value+'" style="width: 10%;"><select type="text" id="uom_'+value+'" name="uom[]" class="form-control"><option value=""></option></select> </td>'+
			
	        '<td id="qitem_'+value+'"><input type="text" value="" id="orderqty_'+value+'" name="quantity[]" class="form-control quantity" required="" autocomplete="off"></td>'+
			
	        '<td id="pitem_'+value+'"><label   class="lprice font-weight-bold ml-2 " id="lprice_'+value+'" for="comment">     </label><input readonly type="hidden" value="" id="price_'+value+'" name="price[]" class="form-control price" autocomplete="off"> <input autocomplete="off" readonly type="hidden" value="" id="packing_size_'+value+'" name="packing_size[]" class="form-control packing_size"> <input autocomplete="off" readonly type="hidden" value="" id="begpacking_size_'+value+'" name="begpacking_size[]" class="form-control begpacking_size"></td>'+
			
	         ' <td id="ditem_'+value+'"><label   class="ldiscount font-weight-bold ml-2 " id="ldiscount_'+value+'" for="comment">     </label><input readonly type="hidden" value="" id="discount_'+value+'" name="discount[]" class="form-control discount" autocomplete="off"></td>'+
			
			
			'<td id="vitem_'+value+'"><label   class="lvat font-weight-bold ml-2" id="lvat_'+value+'" for="comment">     </label><input readonly type="hidden" value="" id="vat_'+value+'" name="vat[]" class="form-control vat" required="" autocomplete="off"><input autocomplete="off" readonly type="hidden" value="0" id="isvat_'+value+'" name="isvat[]" class="form-control isvat" required=""></td>'+
			
			'<td id="eitem_'+value+'"><label   class="lexcise font-weight-bold ml-2 " id="lexcise_'+value+'" for="comment">     </label><input value="" readonly id="excise_'+value+'" type="hidden" name="excise[]" class="form-control excise" required="" autocomplete="off"> <input value="" readonly id="isexcise_'+value+'" type="hidden" name="isexcise[]" class="form-control isexcise" autocomplete="off" required=""><input readonly type="hidden" value="" id="net_amount_'+value+'" name="net_amount[]" class="form-control net_amount" autocomplete="off"> </td>'+
			
			
	        ' <td id="titem_'+value+'"><label   class="ltotal font-weight-bold ml-2 " id="ltotal_'+value+'" for="comment">     </label><input readonly type="hidden" value="" id="total_'+value+'" name="total[]" class="form-control total" autocomplete="off"><input value="" id="gross_'+value+'" type="hidden" name="gross[]" class="form-control gross" autocomplete="off"></td>'+
			
	        ' <td><button type="button" class="btn btn-danger font-weight-bold "  onclick="deleteRow(this,'+value+')"><i class="fa fa-trash" aria-hidden="true" ></i></button></td>'+
	        '</tr>';
	        jq('#dynmic_row').append(trm);
		 }
		
		 
		<!--getting material name-->
		    get_material(value);
			
		<!--getting material uom-->	
		     $('#get_material_'+value+'').change(function(){
				
		     var material_id =  jq('#get_material_'+value+'').val();
			 //alert(material_id+' '+value);
			 get_material_details(material_id,value);
			 is_vat(material_id,value);
			 is_excise(material_id,value);
			
			 setTimeout(function(){
             var uom_id =  jq('#uom_'+value+'').val();  
             get_material_price(uom_id,material_id,value);
			 
			 get_material_alt_packing_size(uom_id,material_id,value);
             }, 1000);
			 reset_value1(value);
			 calculate();
		   });
			 
			 <!--getting for order material uom-->	
		     $('#orderget_material_'+value+'').change(function(){
			 var material_id =  jq('#orderget_material_'+value+'').val();
			 //alert(material_id+' '+value);
			 get_material_details(material_id,value);
			 setTimeout(function(){
             var uom_id =  jq('#orderuom_'+value+'').val();  
             get_material_price(uom_id,material_id,value);
			 get_material_alt_packing_size(uom_id,material_id,value);
             }, 1000);
			 reset_value1(value);
			 calculate();
		    });
			 
			 <!--getting material price-->	
			 jq('#uom_'+value+'').change(function(){
		     var uom_id =  jq('#uom_'+value+'').val();
			 var material_id =  jq('#get_material_'+value+'').val();
			 get_material_price(uom_id,material_id,value);
			 get_material_alt_packing_size(uom_id,material_id,value);
			 reset_value1(value);
			 calculate(); 
			 });
			 
			 <!--getting material price for order-->	
			 jq('#orderuom_'+value+'').change(function(){
		     var uom_id =  jq('#orderuom_'+value+'').val();
			 var material_id =  jq('#orderget_material_'+value+'').val();
			 get_material_price(uom_id,material_id,value);
			 get_material_alt_packing_size(uom_id,material_id,value);
			 reset_value1(value);
		     calculate(); 
			  });
			 
			 <!--getting return type-->
			 jq('#return_type_'+value+'').change(function(){
		     var return_type =  jq('#return_type_'+value+'').val();
	         get_resion(return_type,value);
	          });
	        };	
        
        <!--end add row	-->
       <!--get_material_uom-->
	   function get_material_details(material_id1,row){
		  jq.ajax({
	      url: "{{ URL('good_receipt_note_get_material_detailsUom/') }}"+"/" +material_id1+'/'+row,
	      type:"GET",
          success:function(respons)
          {
            if(respons){
				var supplier_id = jq('#supplier_id').val();
				if(supplier_id==''){
					}
	                if(supplier_id=='1')	
				    jq('#uom_'+row+'').html(respons);
					if(supplier_id=='2')	
				    jq('#orderuom_'+row+'').html(respons);
			}
         
          }
       });
     }      <!--end of get_material_details function-->
	 
	  function is_vat(material_id1,row){
				 
		 jq.ajax({
		      url: "{{ URL('route_delevery_get_material_vat/') }}"+"/" +material_id1,
              type:"GET",
              
          success:function(respons){
				 document.getElementById('isvat_'+row+'').value =respons;
			
          }
       });
     }
	 
	function is_excise(material_id1,row){
				 
		 jq.ajax({
		      url: "{{ URL('route_delevery_get_material_excise/') }}"+"/" +material_id1,
              type:"GET",
              
          success:function(respons)
          {
				 document.getElementById('isexcise_'+row+'').value =respons;
          }
       });
     }
	 <!--get_material_price-->
	 function get_material_price(uom_id1,material_id1,row){
		jq.ajax({
		url: "{{ URL('good_receipt_note_price/') }}"+"/" +uom_id1+'/'+material_id1,       
              type:"GET",
              
          success:function(respons){
            if(respons){
				    var supplier_id = jq('#supplier_id').val();
					
				     if(supplier_id=='')
		            { }
	                if(supplier_id=='1')	{
						
				        document.getElementById('price_'+row+'').value =respons;
				  
				        document.getElementById('lprice_'+row+'').innerHTML  =new Intl.NumberFormat('en-IN', { minimumFractionDigits: 2 }).format(respons);
					}
					if(supplier_id=='2')	{
				      document.getElementById('orderprice_'+row+'').value =respons;
				  
				      document.getElementById('orderlprice_'+row+'').innerHTML  =new Intl.NumberFormat('en-IN', { minimumFractionDigits: 2 }).format(respons);
					}
			    }
         
             }
         });
       }      <!--end of get_material_price function-->
	   
	   function get_material_alt_packing_size(uom_id1,material_id1,row){
			
		 jq.ajax({
		      url: "{{ URL('get_good_receipt_note_material_alt_packing_size/') }}"+"/" +uom_id1+'/'+material_id1,       
              type:"GET",
    success:function(respons)
    {
    if(respons)
	{
		
		    var supplier_id = jq('#supplier_id').val();
		     if(supplier_id=='')
            { }
            if(supplier_id=='1')	{
		      document.getElementById('begpacking_size_'+row+'').value =respons;
			  document.getElementById('packing_size_'+row+'').value =respons;
		  
			}
			if(supplier_id=='2')	{
		      
		       document.getElementById('obegpacking_size_'+row+'').value =respons;
			   document.getElementById('opacking_size_'+row+'').value =respons;
		      
			}
	    }
         
       }
    });
 }
		<!--get_material_name-->
		function get_material(value){
			jq.ajax({
			url: "{{ URL('good_receipt_note_material/') }}",
	        type:"GET",
	          success:function(respons)
	          {
	            if(respons)
				{
					      var supplier_id = jq('#supplier_id').val();
					      if(supplier_id=='')
			               { }
		            if(supplier_id=='1'){	
					  
						  jq('#get_material_'+value+'').html(respons);
						  
						  $('#get_material_'+value+'').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
						  $('#get_material_'+value+'')[0].sumo.reload();
				       }
				    if(supplier_id=='2')
				    {					  
				             jq('#orderget_material_'+value+'').html(respons);
				              $('#orderget_material_'+value+'').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
						      $('#orderget_material_'+value+'')[0].sumo.reload();
				    }
				}
	         
	          }
	       });
	     }
	 
	 <!-- reseting Value-->
    	 function reset_value1(row){
		        
		        document.getElementById('gross_'+row+'').value ='';
		        <!--for lebel-->
				var supplier_id = jq('#supplier_id').val();
				if(supplier_id=='')
		        { }
	            if(supplier_id=='1')
			    {
				   document.getElementById('vat_'+row+'').value ='';
				   document.getElementById('lvat_'+row+'').innerHTML='';	
				   document.getElementById('orderqty_'+row+'').value ='';
				   document.getElementById('price_'+row+'').value ='';
				   document.getElementById('lprice_'+row+'').innerHTML='';
				   document.getElementById('total_'+row+'').value ='';
				   document.getElementById('ltotal_'+row+'').innerHTML='';
				   document.getElementById('net_amount_'+row+'').value ='';
				   document.getElementById('ldiscount_'+row+'').innerHTML=''
				   document.getElementById('discount_'+row+'').value ='';
				   document.getElementById('excise_'+row+'').value ='';
				   document.getElementById('lexcise_'+row+'').innerHTML='';
	            }
				if(supplier_id=='2')
				 {
					   document.getElementById('qty_'+row+'').value ='';
					   document.getElementById('orderprice_'+row+'').value ='';
					   document.getElementById('orderlprice_'+row+'').innerHTML='';
					   document.getElementById('ordertotal_'+row+'').value ='';
					   document.getElementById('orderltotal_'+row+'').innerHTML='';
				  }
		       }
			 
				<!--get_resion-->
			    function get_resion(get_resion,row)
				{		 
					 jq.ajax({
					 url: "{{ URL('route_order_get_resion/') }}"+"/" +get_resion,
			         type:"GET",
			         success:function(respons)
			         {
			            if(respons)
						{
							jq('#resion_type_'+row+'').html(respons);
						}
			         
			          }
			       });
			     }		 
	 
			<!-- Deleting row-->
			  function deleteRow(r,row) {
				 
			        if(row==0){
						Swal.fire({
				  icon: 'error',
				  title: 'You Can Not Remove First Row!',
				})
			             
			        }
					else{
		 
	   
         var i = r.parentNode.parentNode.rowIndex;
	    
           document.getElementById("myTable1").deleteRow(i);
	       calculate();
	     
	}
}
		
</script>	  
