 @include('theme_layout/header')
 @include('theme_layout/nav')
    <style>
    .text-center {
     text-align: center;
     }
    .modal-body{
     max-width: 900px;
     overflow-x: auto !important;
     }
	 
	 .scroll_dive{
     max-width: 900px;
     overflow-x: auto !important;
     }
	 
    </style>

   <div class="app-main__outer">
    <div class="app-main__inner">
      <div class="app-page-title">
       <div class="page-title-wrapper">
        <div class="page-title-heading">
        <div class="page-title-icon">
	      <i class="pe-7s-medal icon-gradient bg-tempting-azure">
	      </i>
        </div>
		
	<div>Credit Note Sales Report
	  @if(Session::has('successMessage'))
	   <div class="alert  alert-success mt-3" >
	    {{ Session::get('successMessage') }}
		</div>
		@endif
	   </div>
     </div>
							
    <div class="page-title-actions"> 
     <div class="d-inline-block dropdown">
      <div class="page-title-actions"> 
        </div> 
         <div tabindex="-1" role="menu" aria-hidden="true" class="dropdown-menu dropdown-menu-right">
           <ul class="nav flex-column">
            <li class="nav-item">
              <a class="nav-link">
               <i class="nav-link-icon lnr-inbox"></i>
               <span>
	           Inbox
               </span>
              <div class="ml-auto badge badge-pill badge-secondary">86</div>
              </a>
            </li>
			
    <li class="nav-item">
     <a class="nav-link">
      <i class="nav-link-icon lnr-book"></i>
        <span>
	       Book
        </span>
       <div class="ml-auto badge badge-pill badge-danger">5</div>
      </a>
    </li>
	
   <li class="nav-item">
    <a class="nav-link">
      <i class="nav-link-icon lnr-picture"></i>
        <span>
	     Picture
        </span>
      </a>
    </li>
	
    <li class="nav-item">
     <a disabled class="nav-link disabled">
      <i class="nav-link-icon lnr-file-empty"></i>
         <span>
	      File Disabled
         </span>
        </a>
       </li>
      </ul>
     </div>
    </div>
   </div>
  </div>        <!--page-title-wrapper-->
</div>          <!--app-page-title-->  

  <div class="main-card mb-3 card">
   <div class="card-body">
    <!-- date filte-->
     <div class="form-row">
      <div class="col-md-4">
       <label  class="font-weight-bold " for="region" class="">Report Selection</label>
        <select class="form-control" name="report_with" id="report_with" > 
        <option value=""></option>
        <option value="1">By Volume</option>
        <option value="2">By Amount</option>
       </select> 
      </div> 

	<div class="col-md-4" id="myDatepicker4">
	 <label for="" class="font-weight-bold ml-2"> From Date</label>
		 <input type="date" class="form-control" name="fromdate" id="fromdate" value="<?php echo date("Y-m-d"); ?>" autocomplete="off">
	</div>
 
    <div class="col-md-4" id="myDatepicker5">
     <label for="" class="font-weight-bold ml-2"> To Date</label>
	  <input type="date" class="form-control" name="todate"  id="todate"  value="<?php echo date("Y-m-d"); ?>" autocomplete="off">
     </div>							   
	</div>
	</br>

   <div class="form-row">
     <div class="col-md-4">
	  <label  class="font-weight-bold ml-2" for="region" class="">Region</label>
		<select class="mb-2 form-control" name="region" id="region" > 
		 <option value=""></option>
		  <option value="0">Select All</option>
			@foreach($region as $region_name)
			<option value="{{$region_name->id}}" >{{ $region_name->region_code}}- {{$region_name->region_name}}</option>	
			@endforeach
		 </select> 
	 </div>
											
	<div class="col-md-4">
	  <label  class="font-weight-bold " for="region" class=""> Sub Region</label> 
		<select class="mb-2 form-control" name="sub_region" id="sub_region_add" > 
		 </select>
	</div>
	
	<div class="col-md-4">
	  <label  class="font-weight-bold " for="region" class="">Warehouse</label>
		<select class="mb-2 form-control" name="warehouse" id="warehouse_add" > 
		</select>
    </div>
    </div>  
	   
	<div class="form-row">
	  <div class="col-md-12 text-center"> 
		<button id="submit" class="mt-3 btn btn-primary btn-lg">Search</button>
		  <a href="{{route('sales_report_list')}}" class="mt-3 btn btn-danger  btn-lg">Reset</a>
		</div>	
     </div>	
  <br><br>

							  

    <form id="" class="" action="{{ route('credit_report_exportpdf') }}" method="post">
    {{ csrf_field() }}
     <input autocomplete="off" name="fromdate1" id="fromdate1" value="s" type="hidden">
      <input autocomplete="off" name="todate1" id="todate1" value="s" type="hidden">
       <input autocomplete="off" name="report_with1" id="report_with1" value="s" type="hidden">
       <input autocomplete="off" name="region1" id="region1" value="s" type="hidden">
        <input autocomplete="off" name="subregion1" id="subregion1" value="s" type="hidden">
         <input autocomplete="off" name="warehouse1" id="warehouse1" value="s" type="hidden">
        <button  id="export" style="display:none;  float:right; margin: 8px 54px 14px 65px;" class="mt-3 btn btn-primary btn-lg" >Export Pdf</button>
		
        </form>
       <div class="container " id="report_data">	
      </div>
    </div> 
   </div>
 </div>

   <div  class="modal fade mt-5"  id="myModal_sales" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true" >
     <div class="modal-dialog mt-5 "  role="document">
       <div class="modal-content " style="width: 892px; margin-left: -72px;; margin-bottom:100px;">
        <div class="modal-header">
          <h5 class="modal-title" id="exampleModalLabel">Total Sales</h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
             </button>
           </div>
          <div  class="modal-body" id="sales_body_id"> 
         </div>
        </div>
     </div>
    </div >
			   
	@include('theme_layout/footer')	
    <script>
     var jq = $.noConflict();
       jq(document).ready(function(){
		$('#report_with').SumoSelect({ selectAll:true,search: true,   triggerChangeCombined : true});
		 $('#region').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
        //for sub region
      $("#region").change(function(){
	 var sub_region = jq('#region').val();
	 //alert(sub_region);
	 get_subregion(sub_region);
     });
    // for warehouse 
     $("#sub_region_add").change(function(){
	   var warehouse = jq('#sub_region_add').val();
	    //alert(sub_region);
	    get_warehouse(warehouse);
    });

      jq("#submit").click(function(){
	
       var report_with = jq('#report_with').val();
        var fromdate = jq('#fromdate').val();
         var todate = jq('#todate').val();
  
          var report_with = jq('#report_with').val();
   
	      if(report_with=='' ||  report_with==null)
	   {
		    report_with='s';
	   }
	      var region = jq('#region').val();
	       if(region=='' || region==null )
	   {
		   region='s';
	   }
	      var sub_region_add = jq('#sub_region_add').val();
	
	      if(sub_region_add=='' || sub_region_add==null)
	   {
		   sub_region_add='s';
	   }
	   var warehouse_add = jq('#warehouse_add').val();
	    if(warehouse_add=='' || warehouse_add==null)
	  {
		  warehouse_add='s';
	  }
	  
	jq('#fromdate1').val(fromdate);
      jq('#todate1').val(todate);
       jq('#region1').val(region);
        jq('#subregion1').val(sub_region_add);
         jq('#warehouse1').val(warehouse_add);
    jq('#report_with1').val(report_with);
	
	//alert(report_with+'/'+region+'/'+sub_region_add+'/'+warehouse_add);
	get_report(report_with,region,sub_region_add,warehouse_add,fromdate,todate);
   });

   
   function get_subregion(sub_region)
	{
	  jq.ajax({
      url: "{{ URL('get_company_credit_note_sales_subregion/') }}"+"/" +sub_region,       
      type:"GET",
      success:function(respons)
      {
			if(respons)
			{
			  jq('#sub_region_add').html(respons);
			  $('#sub_region_add').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	          $('#sub_region_add')[0].sumo.reload(); 
			
			 }
	      }
		});
	}
	
	function get_warehouse(warehouse)
	{
	  jq.ajax({
      url: "{{ URL('get_company_credit_note_sales_warehouse/') }}"+"/" +warehouse,       
      type:"GET",
      success:function(respons)
      {
			if(respons)
			{
			  jq('#warehouse_add').html(respons);
			  $('#warehouse_add').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	          $('#warehouse_add')[0].sumo.reload(); 
			}
	       }
		});
	}
	
	function get_route(route)
	{
	  jq.ajax({
      url: "{{ URL('get_company_route/') }}"+"/" +route,       
      type:"GET",
      success:function(respons)
      {
			if(respons)
			{
			jq('#route_add').html(respons);
			}
	      }
		});
	}
	
	function get_salesman(salesman)
	{
	  jq.ajax({
      url: "{{ URL('get_company_salesman/') }}"+"/" +salesman,       
      type:"GET",
      success:function(respons)
      {
			if(respons)
			{
			jq('#salesman_add').html(respons);
			}
	     }
		}); 
	}
	
	function get_report(report_with,region,subregion,warehouse,fromdate,todate)
	{
	  jq.ajax({
      url: "{{ URL('get_company_return_sales_report3/') }}"+"/" +report_with+"/"+region+"/"+subregion+"/"+warehouse+"/"+fromdate+"/"+todate,      
      type:"GET",
      success:function(respons)
          {
			 if(respons){ 
				var data = jQuery.parseJSON(respons);
				$('#report_data').html(data.html);
				var  no_data= jq('#no_data').text();
				 if(no_data)
				   jq('#export').hide();
				 else
                   jq('#export').show();						
			  }  
			
	      }
		});
	}
	
	function get_report_pdf(report_with,region,subregion,warehouse,fromdate,todate)
	{
	  jq.ajax({
      url: "{{ URL('sales_company_report_exportpdf3/') }}"+"/" +report_with+"/"+region+"/"+subregion+"/"+warehouse+"/"+fromdate+"/"+todate,      
      type:"GET",
      success:function(respons)
          {
			
	       }
		});
	}
	$(document).on('click', '.region_modal', function(e) {
            e.preventDefault();
           /* $('#sales_report_modal').modal('show'); */
		   
            var region  = $(this).attr('data-agent-id');
			
            var fromdate = jq('#fromdate').val();
            var todate = jq('#todate').val();
              
			  
            if (fromdate != '' && todate != '' && region !='') {
                $.ajax({
                        url: "{{ URL('get_company_return_sales_report_pop3/') }}"+"/" +fromdate+"/"+todate+"/"+region,      
                       type:"GET",
                       success: function (responce) {
                        var data = jQuery.parseJSON(responce);
				        $('#sales_body_id').html(data.html);
                        
                    }
                });
            }
            
        });
		
		
		$(document).on('click', '.sub_region_modal', function(e) {
            e.preventDefault();
            
           /* $('#sales_report_modal').modal('show'); */
		   
            var subregion  = $(this).attr('data-agent-id');
			
            var fromdate = jq('#fromdate').val();
            var todate = jq('#todate').val();
			  
            if (fromdate != '' && todate != '' && subregion !='') {
                $.ajax({
                        url: "{{ URL('get_company_subregionreturn_sales_report_pop3/') }}"+"/" +fromdate+"/"+todate+"/"+subregion,      
                       type:"GET",
                    success: function (responce) {
                        var data = jQuery.parseJSON(responce);
				        $('#sales_body_id').html(data.html);
                    }
                });
            }
            
        });
	
	
	$(document).on('click', '.warehouse_modal', function(e) {
            e.preventDefault();
            
           /* $('#sales_report_modal').modal('show'); */
		   
            var warehouse  = $(this).attr('data-agent-id');
			
            var fromdate = jq('#fromdate').val();
            var todate = jq('#todate').val();
              
			  
            if (fromdate != '' && todate != '' && warehouse !='') {
                $.ajax({
                        url: "{{ URL('get_company_warehousereturn_sales_report_pop3/') }}"+"/" +fromdate+"/"+todate+"/"+warehouse,      
                       type:"GET",
                    success: function (responce) {
                        /* var data = jQuery.parseJSON(responce);*/
                        var data = jQuery.parseJSON(responce);
				        $('#sales_body_id').html(data.html);
                    }
                });
            }
            
        });
		
		$(document).on('click', '.warehouse_quantity_modal', function(e) {
            e.preventDefault();
            
           /* $('#sales_report_modal').modal('show'); */
		   
            var warehouse  = $(this).attr('data-agent-id');
			
            var fromdate = jq('#fromdate').val();
            var todate = jq('#todate').val();
			  
            if (fromdate != '' && todate != '' && warehouse !='') {
                $.ajax({
                        url: "{{ URL('get_company_warehousereturn_quantity_sales_report_pop3/') }}"+"/" +fromdate+"/"+todate+"/"+warehouse,      
                       type:"GET",
                    success: function (responce) {
                        var data = jQuery.parseJSON(responce);
				        $('#sales_body_id').html(data.html);
                    }
                });
            }
            
        });
		
		$(document).on('click', '.sub_region_quantity_modal', function(e) {
            e.preventDefault();
            
           /* $('#sales_report_modal').modal('show'); */
		   
            var subregion  = $(this).attr('data-agent-id');
			
			
            var fromdate = jq('#fromdate').val();
            var todate = jq('#todate').val();
              
			  
            if (fromdate != '' && todate != '' && subregion !='') {
                $.ajax({
                        url: "{{ URL('get_company_subregionreturn_quantity_sales_report_pop3/') }}"+"/" +fromdate+"/"+todate+"/"+subregion,      
                       type:"GET",
                       success: function (responce) {
                        var data = jQuery.parseJSON(responce);
				        $('#sales_body_id').html(data.html);
                       
                    }
                });
            }
            
        });
		
		
		$(document).on('click', '.region_quantity_modal', function(e) {
            e.preventDefault();
            
           /* $('#sales_report_modal').modal('show'); */
		   
            var region  = $(this).attr('data-agent-id');
			
            var fromdate = jq('#fromdate').val();
            var todate = jq('#todate').val();
              
			  
            if (fromdate != '' && todate != '' && region !='') {
                $.ajax({
                        url: "{{ URL('get_company_regionreturn_quntity_sales_report_pop3/') }}"+"/" +fromdate+"/"+todate+"/"+region,      
                       type:"GET",
                    success: function (responce) {
                        var data = jQuery.parseJSON(responce);
				        $('#sales_body_id').html(data.html);
                    }
                });
            }
            
        });
		
		$(document).on('click', '.material_wise_warehouse_sales_modal', function(e) {
            e.preventDefault();
            
           /* $('#sales_report_modal').modal('show'); */
		    var report_selection=jq('#report_with').val();
		    var slug='warehouse';
			var warehouse  = $(this).attr('data-agent-id');
            var material  = $(this).attr('data-material-id');
			
            var fromdate = jq('#fromdate').val();
            var todate = jq('#todate').val();
            if (fromdate != '' && todate != '' && warehouse !='' && material !='') {
                $.ajax({
                        url: "{{ URL('get_company_materialwise_quntity_sales_report_pop3/') }}"+"/" +fromdate+"/"+todate+"/"+warehouse+"/"+material+"/"+report_selection+"/"+slug,      
                       type:"GET",
                       success: function (responce) {
                        var data = jQuery.parseJSON(responce);
                        $('#sales_body_id').html(data.html);
                    }
                });
            }
            
        });
		
		$(document).on('click', '.material_wise_subregion_sales_modal', function(e) {
            e.preventDefault();
            
           /* $('#sales_report_modal').modal('show'); */
		    var report_selection=jq('#report_with').val();
		    var slug='sub_region';
			var warehouse  = $(this).attr('data-agent-id');
            var material  = $(this).attr('data-material-id');
			
            var fromdate = jq('#fromdate').val();
            var todate = jq('#todate').val();
            if (fromdate != '' && todate != '' && warehouse !='' && material !='') {
                $.ajax({
                        url: "{{ URL('get_company_materialwise_quntity_sales_report_pop3/') }}"+"/" +fromdate+"/"+todate+"/"+warehouse+"/"+material+"/"+report_selection+"/"+slug,      
                       type:"GET",
                       success: function (responce) {
                        var data = jQuery.parseJSON(responce);
                        $('#sales_body_id').html(data.html);
                    }
                });
            } 
        });
		
		$(document).on('click', '.material_wise_region_sales_modal', function(e) {
            e.preventDefault();
           /* $('#sales_report_modal').modal('show'); */
		    var report_selection=jq('#report_with').val();
		    var slug='region';
			var warehouse  = $(this).attr('data-agent-id');
            var material  = $(this).attr('data-material-id');
			
            var fromdate = jq('#fromdate').val();
            var todate = jq('#todate').val();
            if (fromdate != '' && todate != '' && warehouse !='' && material !='') {
                $.ajax({
                        url: "{{ URL('get_company_materialwise_quntity_sales_report_pop3/') }}"+"/" +fromdate+"/"+todate+"/"+warehouse+"/"+material+"/"+report_selection+"/"+slug,      
                       type:"GET",
                       success: function (responce) {
                        var data = jQuery.parseJSON(responce);
                        $('#sales_body_id').html(data.html);
                    }
                });
            }
            
        });
   
	   });
   </script>			
    			