@include('theme_layout/header')
@include('theme_layout/nav') 
 <style>
   .text-center {
     text-align: center;
      }
      .modal-body{
         max-width: 900px;
          overflow-x: auto !important;
     }
 </style> 
<div class="app-main__outer">
 <div class="app-main__inner">
  <div class="app-page-title">
   <div class="page-title-wrapper">
	 <div class="page-title-heading">
	  <div class="page-title-icon">
		<i class="pe-7s-medal icon-gradient bg-tempting-azure">
		</i>
	  </div>
	   <div> Customer Pending Report List
	    @if(Session::has('successMessage'))
         <div class="alert  alert-success mt-3" >
		 {{ Session::get('successMessage') }}
	    </div>
		@endif
	   </div>
    </div><!--page-title-heading-->
	
    <div class="page-title-actions"> 
     <div class="d-inline-block dropdown">
      <div class="page-title-actions"> 
       </div> 
         <div tabindex="-1" role="menu" aria-hidden="true" class="dropdown-menu dropdown-menu-right">
           <ul class="nav flex-column">
	       <li class="nav-item">
	        <a class="nav-link">
		   <i class="nav-link-icon lnr-inbox"></i>
		     <span>
		     Inbox
		     </span>
		    <div class="ml-auto badge badge-pill badge-secondary">86</div>
	      </a>
         </li>
       <li class="nav-item">
	  <a class="nav-link">
	<i class="nav-link-icon lnr-book"></i>
    <span>
	 Book
	</span>
	  <div class="ml-auto badge badge-pill badge-danger">5</div>
	   </a>
        </li>
         <li class="nav-item">
	     <a class="nav-link">
		 <i class="nav-link-icon lnr-picture"></i>
		 <span>
		  Picture
	     </span>
	   </a>
     </li>
     <li class="nav-item">
	   <a disabled class="nav-link disabled">
		 <i class="nav-link-icon lnr-file-empty"></i>
		  <span>
		  File Disabled
		  </span>
	      </a>
         </li>
        </ul>
       </div>
      </div>
     </div>
    </div>
  </div>     <!--app-page-title-->
			   
	 <div class="main-card mb-3 card">
	   <div class="card-body">
		 
	   <!-- date filte-->
	   <div class="form-row">
	    <div class="col-md-4" id="myDatepicker4">
		 <label for="" class="font-weight-bold ml-2"> From Date</label>
		 <input type="date" class="form-control" name="fromdate" id="fromdate" value="<?php echo date("Y-m-d"); ?>" autocomplete="off">
	    </div>
	    <div class="col-md-4" id="myDatepicker5">
		<label for="" class="font-weight-bold ml-2"> To Date</label>
		 <input type="date" class="form-control" name="todate"  id="todate"  value="<?php echo date("Y-m-d"); ?>" autocomplete="off">
		</div>
	    <div class="col-md-4">
	     <label  class="font-weight-bold ml-2" for="region" class="">Region</label>
		  <select class="mb-2 form-control" name="region" id="region" > 
		   <option value=""></option>
		    <option value="0" data-value="{{$regId}}">Select All</option>
			 @foreach($region as $region_name)
			  <option value="{{$region_name->id}}" >{{ $region_name->region_code}}- {{$region_name->region_name}}</option>	
			 @endforeach
		  </select> 
	    </div>
	    </div>
		<br>
	   <div class="form-row">
	    <div class="col-md-4">
	     <label  class="font-weight-bold " for="region" class=""> Sub Region</label> 
		  <select class="mb-2 form-control" name="sub_region" id="sub_region_add" > 
		  </select>
	    </div>
	   <div class="col-md-4">
	    <label  class="font-weight-bold " for="region" class="">Warehouse</label>
		<select class="mb-2 form-control" name="warehouse" id="warehouse_add" > 
		</select>
       </div>
	    <div class="col-md-4">
	     <label  class="font-weight-bold ml-2" for="approval_status" class="">Approval Status</label>
		  <select class="mb-2 form-control" name="approval_status" id="approval_status" > 
		  
		   <option value=""></option>
		    <option value="1">Pending</option>
		    <option value="2">Approved</option>
		    <option value="3">Reject</option>
			</select> 
	    </div>
	  </div>
	  <div class="form-row">
	  <div class="col-md-12 text-center"> 
		<button id="submit1" class="mt-3 btn btn-primary btn-lg">Search</button>
		  <a href="{{route('pending_customer_list')}}" class="mt-3 btn btn-danger  btn-lg">Reset</a>
		</div>	
      </div>	
	  </br>
		  <div class="container" id="report_data">	
            </div>
          </div>      <!--card-body-->
         </div>     <!--main-card mb-3 card-->
        </div>    <!--app-main__inner-->
      @include('theme_layout/footer')
	  
<script>
   var jq = $.noConflict();
    jq(document).ready(function(){
	$('#region').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	  
        var all_region=0;
		var all_sub_region=0;
		var all_warehouse=0;
		 
        //for sub region
      $("#region").change(function(){
	 var region_value = jq('#region').val();
	  if(region_value == 0){

        var element = $(this).find('option:selected'); 
        var region = element.attr("data-value");
		 all_region= region; 
      
        }else{

            var region = jq('#region').val();
        }
	 //alert(sub_region);
	 get_subregion(region);
     });
    // for warehouse 
     $("#sub_region_add").change(function(){
	   var sub_region_value = jq('#sub_region_add').val();
	   
	    if(sub_region_value == 0)
	   {
		    var element = $(this).find('option:selected'); 
            var sub_region = element.attr("data-value");
				all_sub_region=sub_region;
	   }
	   else
	   {
		   var sub_region=jq('#sub_region_add').val();
	   }
	    //alert(sub_region);
	    get_warehouse(sub_region);
    });
  $("#submit1").click(function(){
   var approval_status = jq('#approval_status').val();  
	var fromdate = jq('#fromdate').val();
     var todate = jq('#todate').val();
      var region = jq('#region').val();
	   if(region=='' || region==null )
	     {
		   region='s';
	     }
	   var sub_region_add = jq('#sub_region_add').val();
	   if(sub_region_add=='' || sub_region_add==null)
	     {
		   sub_region_add='s';
	     }
	   var warehouse_add = jq('#warehouse_add').val();
	   if(warehouse_add=='' || warehouse_add==null)
	    {
		  warehouse_add='s';
	    }
	   
	//alert(region+'/'+sub_region_add+'/'+warehouse_add+'/'+fromdate+'/'+todate+'/'+approval_status);
	get_report(region,sub_region_add,warehouse_add,fromdate,todate,approval_status);
   });
  function get_report(region,subregion,warehouse,fromdate,todate,approval_status)
	{
	  //alert(approval_status)
	  jq.ajax({
      url: "{{ URL('pending_customer_report/') }}"+"/" +region+"/"+subregion+"/"+warehouse+"/"+fromdate+"/"+todate+"/"+approval_status,      
      type:"GET",
      success:function(respons)
          {
		    jq('#report_data').html("");
			jq('#report_data').html(respons);
		  }
		});
	}
  function get_subregion(region)
	{
	  jq.ajax({
      url: "{{ URL('get_pendingcustomer_subregion/') }}"+"/" +region,       
      type:"GET",
      success:function(respons)
      {
		 if(respons)
			{
			  jq('#sub_region_add').html(respons);
			  $('#sub_region_add').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	          $('#sub_region_add')[0].sumo.reload(); 
			 }
	      }
	   });
	}
  function get_warehouse(warehouse)
	{
	  jq.ajax({
      url: "{{ URL('get_pendingcustomer_warehouse/') }}"+"/" +warehouse,       
      type:"GET",
      success:function(respons)
      {
			if(respons)
			{
			  jq('#warehouse_add').html(respons);
			  $('#warehouse_add').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	          $('#warehouse_add')[0].sumo.reload(); 
			}
	       }
		});
	}
  });
	
</script>	