@include('theme_layout/header')
@include('theme_layout/nav')

<div class="app-main__outer">
 <div class="app-main__inner">
  <div class="app-page-title">
   <div class="page-title-wrapper">
    <div class="page-title-heading">
	 <div class="page-title-icon">
	  <i class="pe-7s-medal icon-gradient bg-tempting-azure">
	  </i>
	 </div>       <!--page-title-icon-->
	 
	 <div> Track Asset List
		@if(Session::has('successMessage')) 
		  <input id="toster_id" type="hidden" value="{{ Session::get('successMessage') }}">		  
		 @endif
	 </div>       
	</div>       <!--page-title-heading-->

	<div class="page-title-actions"> 
	 <div class="d-inline-block dropdown">
      <div tabindex="-1" role="menu" aria-hidden="true" class="dropdown-menu dropdown-menu-right">
	   <ul class="nav flex-column">
	   <li class="nav-item">
		<a class="nav-link">
		<i class="nav-link-icon lnr-inbox"></i>
		<span>
		Inbox
		</span>
	   <div class="ml-auto badge badge-pill badge-secondary">86</div>
	    </a>
	    </li>
	    <li class="nav-item">
	    <a class="nav-link">
	    <i class="nav-link-icon lnr-book"></i>
		<span>
			Book
		</span>
	   <div class="ml-auto badge badge-pill badge-danger">5</div>
	    </a>
	    </li>
	    <li class="nav-item">
		<a class="nav-link">
		<i class="nav-link-icon lnr-picture"></i>
		 <span>
			Picture
		 </span>
		</a>
		</li>
		<li class="nav-item">
		<a disabled class="nav-link disabled">
		<i class="nav-link-icon lnr-file-empty"></i>
		 <span>
			File Disabled
		 </span>
		</a>
		</li>
		</ul>
	  </div>       <!--dropdown-menu dropdown-menu-right-->
	 </div>       <!--d-inline-block dropdown-->
	</div>        <!--page-title-actions-->
   </div>       <!--page-title-wrapper-->
  </div>         <!--app-page-title-->  

  <div class="main-card mb-3 card">
   <div class="card-body">
   
   <form method="get" action="{{ route('track_asset_report_list') }}" >
	 
	 <div class="form-row"> 
	  <div class="col-md-4  date position-relative form-group" id="myDatepicker4">
	 
	   <label for="select_warehouse" class="font-weight-bold ml-2"> From Date</label>
	   <input type="date" class="form-control" name="fromdate" id="fromdate" value="<?php if(isset($_GET['fromdate'])) echo $_GET['fromdate']; else echo date("Y-m-d"); ?>" autocomplete="off">
	  
	  </div>
	  <div class="col-md-4  date position-relative form-group" id="myDatepicker5">
	 
	   <label for="select_warehouse" class="font-weight-bold ml-2"> To Date</label>
	   <input type="date" class="form-control" name="todate"  id="todate"  value="<?php if(isset($_GET['todate'])) echo $_GET['todate']; else echo date("Y-m-d"); ?>" autocomplete="off">
	  
	  </div>
	  
	  <div class="col-md-4">
	      <div class="position-relative form-group"><label for="select_salesman" class="font-weight-bold ml-2">Asset Available</label> <select class="mb-2 form-control" name="asset" id="asset1">
		  <option></option>
		 @if(isset($_GET['asset'])) 
		  <option {{$_GET['asset']=='yes' ? 'selected':''}} value="yes">Yes</option>
		  <option {{$_GET['asset']=='no' ? 'selected':''}} value="no" >No</option>
		  @else
		      <option value="yes">Yes</option>
		      <option value="no" >No</option>
		  @endif
		  </select>
	     </div>
        </div> <!--col-md-6-->
		 
        </div> 
	
	
	 	 <div class="form-row"> 
		   
	  <div class="col-md-4">
	      <div class="position-relative form-group">
		  <label for="select_route" class="font-weight-bold ml-2">Route</label>
		  <select class="mb-2 form-control" name="route" id="route1">
		  @if(isset($_GET['route']))
			 <option value=""> </option>
			@foreach($route as $route_data)
			 <option {{$_GET['route'] == $route_data->id ? 'selected' : '' }}  value="{{$route_data->id}}">{{$route_data->route_code}} - {{$route_data->route_name}}</option>
		    @endforeach
		   @else
		     <option value=""> </option>
		    @foreach($route as $route_data)
			 <option value="{{$route_data->id}}">{{$route_data->route_code}} - {{$route_data->route_name}}</option>
		    @endforeach
		   @endif
		  </select>
	     </div>
        </div> 
		</div>
	 
	 <div class="form-row">
	  <div class="col-md-12 text-center"> 
	   <button id="submit" class="mt-3 btn btn-primary btn-lg">Filter</button>
	  </div>	
	 </div>									 
	 </form>
	 
<input maxlength="125" name="route" id="route"  type="hidden" class="form-control" autocomplete="off" required>
   
	<table style="width: 100%;" id="example" class="table table-hover table-striped table-bordered">
     <thead>
	  <tr>
	   <th class="text-justify text-left">Date</th>      
	   <th class="text-justify text-left">Salesman </th>      
	   <th class="text-justify text-left">Customer </th>
	   <th class="text-justify text-left">Route</th>
	   <th class="text-justify text-left">Warehouse</th>
	   <th class="text-justify text-left">Asset Available</th>
	   <th style="width: 13%;">Action</th>
	  </tr>
	 </thead>

	 <tbody>
		
		@foreach($get_data as $key=>$data)
	  <tr>
		@php
		$row1 = date($data->created_at);
		@endphp
		<td class="font-weight-bold text-justify text-left">{{$row1}}</td>
       <td class="font-weight-bold text-justify text-left">{{ucfirst($data->salesman_code)}} - {{ucfirst($data->salesman_name)}}</td>
       <td class="font-weight-bold text-justify text-left">{{ucfirst($data->customer_name)}}  - {{ucfirst($data->customer_code)}}</td>
	   <td class="font-weight-bold text-justify text-left">{{ucfirst($data->route_code)}} - {{ucfirst($data->route_name)}}</td>
	   <td class="font-weight-bold text-justify text-left">{{ucfirst($data->warehouse_name)}}</td>
	   <td class="font-weight-bold text-justify text-left">{{$data->have_asset}}</td>
	   
	   <td>
		<a class= "mb-2 mr-2 btn-hover-shine btn btn-shadow btn-success btn-lg "  href="" data-toggle="modal" data-target="#view{{$key}}" ><i class="fas fa-eye" aria-hidden="true"></i></a>
	
	   </td> 
	  </tr>
		@endforeach
		
	 </tbody>
	</table>
   </div>        <!--card-body-->
  </div>       <!--main-card mb-3 card-->
 </div>       <!--app-main__inner-->
 
 
 
 
 
  @foreach($get_data as $key=>$data)
			 
			     <div class="modal fade mt-5"  id="view{{$key}}" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true" >
			      <div class="modal-dialog mt-5 "  role="document">
			       <div class="modal-content " > 
			        <div class="modal-header">
			         <h5 class="modal-title" id="exampleModalLabel">Comment</h5>
			          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
			           <span aria-hidden="true">&times;</span>
			          </button>
			         </div>
				
		<div class="modal-body">
		 <h6 class=" text-justify font-weight-bold " >
		  <label for="" class="ml-2 font-weight-bold">Asset Serial Number:</label>
		  {{$data->seriol_no}}</textarea>
		  <span></span><hr></h6>
		   <ul class="gallarys">
		    @foreach(explode(',', $data->image) as $path)
		     <a href="{{asset('storage/app/'.($path))}}" >
			  <img style="z-index: 1;" class="modal-body" src="{{asset('storage/app/'.($path))}}" width="100px" height="100px"  /></a> 
		    @endforeach
		   </ul>
		  <br><br>
		  
		
		   </div> <!--modal-body-->
		  </div> <!--modal-content-->
		 </div> <!--modal-dialog mt-5-->
		</div> <!--modal fade mt-5-->
	   </form> 
	  @endforeach
	 <!--for feedback-->	 
    </div> <!--app-main__outer-->
   </div>
 
 
 
 
 
 
 
	@include('theme_layout/footer')	

<script>

   var jq = $.noConflict();
   jq(document).ready(function(){
	   
	   @if(Session::has('successMessage'))
			var toster=jq('#toster_id').val();
			if(toster!=''){
			Swal.fire({
			 
			icon: 'success',
			title: ''+toster,
			showConfirmButton: false,
			timer: 2000
			})
			}
			
			{{ Session::forget('successMessage') }}
			
		@endif
  
   
   
   $('#route1').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	 var fromdate = jq('#fromdate').val();
   var todate = jq('#todate').val();
		
		
	
 
 function get_datefilter(fromdate,todate){

    jq.ajax({
    url: "{{ URL('purchase_order_list/') }}",       
    type:"GET",
    data:{fromdate:fromdate,
    todate:todate },
    success:function(respons){
    
            if(respons){
            
              jq('#example').html(respons);
            }
         }
       });
     } 
});
  </script> 