@include('theme_layout/header')
@include('theme_layout/nav') 
 <style>
   .text-center {
     text-align: center;
      }
      .modal-body{
         max-width: 900px;
          overflow-x: auto !important;
     }
 </style> 
<div class="app-main__outer">
 <div class="app-main__inner">
  <div class="app-page-title">
   <div class="page-title-wrapper">
	 <div class="page-title-heading">
	  <div class="page-title-icon">
		<i class="pe-7s-medal icon-gradient bg-tempting-azure">
		</i>
	  </div>
	   <div>Pending Customer List
	    @if(Session::has('successMessage'))
         <div class="alert  alert-success mt-3" >
		 {{ Session::get('successMessage') }}
	    </div>
		@endif
	   </div>
    </div><!--page-title-heading-->
	
    <div class="page-title-actions"> 
     <div class="d-inline-block dropdown">
      <div class="page-title-actions"> 
       </div> 
         <div tabindex="-1" role="menu" aria-hidden="true" class="dropdown-menu dropdown-menu-right">
           <ul class="nav flex-column">
	       <li class="nav-item">
	        <a class="nav-link">
		   <i class="nav-link-icon lnr-inbox"></i>
		     <span>
		     Inbox
		     </span>
		    <div class="ml-auto badge badge-pill badge-secondary">86</div>
	      </a>
         </li>
       <li class="nav-item">
	  <a class="nav-link">
	<i class="nav-link-icon lnr-book"></i>
    <span>
	 Book
	</span>
	  <div class="ml-auto badge badge-pill badge-danger">5</div>
	   </a>
        </li>
         <li class="nav-item">
	     <a class="nav-link">
		 <i class="nav-link-icon lnr-picture"></i>
		 <span>
		  Picture
	     </span>
	   </a>
     </li>
     <li class="nav-item">
	   <a disabled class="nav-link disabled">
		 <i class="nav-link-icon lnr-file-empty"></i>
		  <span>
		  File Disabled
		  </span>
	      </a>
         </li>
        </ul>
       </div>
      </div>
     </div>
    </div>
  </div>     <!--app-page-title-->
			   
	 <div class="main-card mb-3 card">
	   <div class="card-body">
		  <form action="{{route('pending_customer_list')}}" method="get">
	   <!-- date filte-->
	   <div class="form-row">
	    <div class="col-md-4" id="myDatepicker4">
		 <label for="" class="font-weight-bold ml-2"> From Date</label>
		 <input type="date" class="form-control" name="fromdate" id="fromdate" value="<?php if(isset($_GET['fromdate'])) echo $_GET['fromdate']; else echo date("Y-m-d"); ?>" autocomplete="off">
	    </div>
	    <div class="col-md-4" id="myDatepicker5">
		<label for="" class="font-weight-bold ml-2"> To Date</label>
		 <input type="date" class="form-control" name="todate"  id="todate"  value="<?php if(isset($_GET['todate'])) echo $_GET['todate']; else echo date("Y-m-d"); ?>" autocomplete="off">
		</div>
	     <div class="col-md-4">
	     <label  class="font-weight-bold ml-2" for="approval_status" class="">Approval Status</label>
		  <select class="mb-2 form-control" name="approval_status" id="approval_status" > 
		   @if(isset($_GET['approval_status']))
		<option {{$_GET['approval_status'] == ' ' ? 'selected' : ''}} value=""> </option> 
		<option {{$_GET['approval_status'] == 1 ? 'selected' : ''}} value="1">Pending</option>
		<option {{$_GET['approval_status'] == 2 ? 'selected' : ''}} value="2">Approved</option>
		<option {{$_GET['approval_status'] == 3 ? 'selected' : ''}} value="3">Reject</option>
		  
		 @else
		   <option value=""> </option> 
		    <option value="1">Pending</option>
		    <option value="2">Approved</option>
		    <option value="3">Reject</option>
			@endif
			</select> 
			
	    </div>
	    </div>
		<br>
	    
	  <div class="form-row">
	  <div class="col-md-12 text-center"> 
		<button id="submit1" class="mt-3 btn btn-primary btn-lg">Search</button>
		  <a href="{{route('pending_customer_list')}}" class="mt-3 btn btn-danger  btn-lg">Reset</a>
		</div>	
      </div>	
	  </br>
		  <table style="width: 100%;" id="example" class="table table-hover table-striped table-bordered">
						  <thead>
							  <tr>
								   <th class="text-center">Customer</th>
								   <th class="text-center">Customer Type</th>
								   <th class="text-center">Route</th>
								   <th class="text-center">City</th>
								   <th class="text-center">Approved Status</th>
								   <th class="text-center" style="width: 15%;">Action</th>
							  </tr>
						  </thead>
	  
						  <tbody>
						  
						  @foreach($get_data as $data)
						   
							 <tr>
							     <td class="font-weight-bold text-justify text-left">{{$data->customer_code}}-{{$data->customer_name}}</td>
							     <td class="font-weight-bold text-justify text-left">{{$data->customer_type_code}}-{{$data->customer_type_name}}</td>
							     <td class="font-weight-bold text-justify text-left">{{$data->route_code}}-{{$data->route_name}}</td>
							     <td class="font-weight-bold text-justify text-left">{{$data->city_code}}-{{$data->city_name}}</td>
							     <td class="font-weight-bold text-justify text-left">{{$data->approval_status}} </td>
							       
								<td>
						<div class="dropdown">
					<button type="button" aria-haspopup="true" aria-expanded="false" data-toggle="dropdown" class="mb-2 mr-2 btn btn-outline-primary "><i class="fas fa-ellipsis-v"></i></button>
					<ul class="dropdown-menu " style="min-width: 0px;" aria-labelledby="dropdownMenuButton1"> 
					<a class="dropdown-item"  class= "mb-2  btn-hover-shine btn btn-shadow btn-success btn-lg " href="{{ URL::to('pending_customer_view/'.$data->id)}}"  data-toggle="modal"  ><i class="fas fa-eye" aria-hidden="true"> View</i></a>  
					</ul>
				  </div>
								</td>
								</tr>
						 @endforeach
													
						</tbody>
	  
						 
				   </table>
          </div>      <!--card-body-->
		  </form> 
         </div>     <!--main-card mb-3 card-->
        </div>    <!--app-main__inner-->
      @include('theme_layout/footer')
	   