@include('theme_layout/header')
@include('theme_layout/nav')

<div class="app-main__outer">
 <div class="app-main__inner">
  <div class="app-page-title">
   <div class="page-title-wrapper">
	<div class="page-title-heading">
	 <div class="page-title-icon">
	  
	  <i class="pe-7s-medal icon-gradient bg-tempting-azure"></i>
	 				
	 </div>    <!--page-title-icon-->
	 
	 <div> Route Expenses List
     @if(Session::has('successMessage')) 
		  <input id="toster_id" type="hidden" value="{{ Session::get('successMessage') }}">		  
		 @endif
	 </div>
	</div>    <!--page-title-heading-->
			
	<div class="page-title-actions"> 
	 <div class="d-inline-block dropdown">
	  <div class="page-title-actions">
	   <div class="d-inline-block dropdown">
		<a href="{{route('route_expenses')}}" class="mt-3 btn btn-primary btn-lg"> 
		<i class="fa fa-plus fa-w-20"></i> Add Route Expenses</a>
	   </div>
	  </div>    <!--page-title-actions-->
					 
	  <div tabindex="-1" role="menu" aria-hidden="true" class="dropdown-menu dropdown-menu-right">
		<ul class="nav flex-column">
		<li class="nav-item">
		<a class="nav-link">
		<i class="nav-link-icon lnr-inbox"></i>
			<span>
				Inbox
			</span>
	   <div class="ml-auto badge badge-pill badge-secondary">86</div>
		</a>
		</li>
		<li class="nav-item">
		<a class="nav-link">
		<i class="nav-link-icon lnr-book"></i>
			<span>
				Book
			</span>
	   <div class="ml-auto badge badge-pill badge-danger">5</div>
		</a>
		</li>
		<li class="nav-item">
		<a class="nav-link">
		<i class="nav-link-icon lnr-picture"></i>
			<span>
				Picture
			</span>
		</a>
		</li>
		<li class="nav-item">
		<a disabled class="nav-link disabled">
		<i class="nav-link-icon lnr-file-empty"></i>
			<span>
				File Disabled
			</span>
		</a>
		</li>
		</ul>
	  </div>     <!--dropdown-menu dropdown-menu-right-->
	 </div>     <!--d-inline-block dropdown-->
	</div>     <!--page-title-actions-->
   </div>     <!--page-title-wrapper-->
  </div>     <!--app-page-title-->

  <div class="main-card mb-3 card">
   <div class="card-body">
	<form method="get" action="{{ route('route_expenses_list') }}" >
	<div class="form-row"> 
	 <div class="col-md-4  date position-relative form-group" id="myDatepicker4">
	  <label for="select_warehouse" class="font-weight-bold ml-2"> From Date</label>
	  <input type="date" class="form-control" name="fromdate" id="fromdate" value="<?php if(isset($_GET['fromdate'])) echo $_GET['fromdate']; else echo date("Y-m-d"); ?>" autocomplete="off">
	 </div>
	 
	 <div class="col-md-4  date position-relative form-group" id="myDatepicker5">
      <label for="select_warehouse" class="font-weight-bold ml-2"> To Date</label>
	   <input type="date" class="form-control" name="todate"  id="todate"  value="<?php if(isset($_GET['todate'])) echo $_GET['todate']; else echo date("Y-m-d"); ?>" autocomplete="off">
	 </div>
	  <div class="col-md-4" >
	  <div class="position-relative form-group">
	    <label for="select_warehouse" class="font-weight-bold ml-2"> Warehouse</label> 
	    <select class="mb-2 form-control" name="warehouse" id="warehouse_id" >
				  
	  @if(isset($_GET['warehouse']))
		<option value=""> </option>
		@foreach($warehouse as $warehouse_name)
		<option {{$_GET['warehouse'] == $warehouse_name->id ? 'selected' : ''}} value="{{$warehouse_name->id}}">{{$warehouse_name->warehouse_code}} - {{$warehouse_name->warehouse_name}}</option>
		@endforeach
	  @else
		<option value=""> </option>
		@foreach($warehouse as $warehouse_name)
		<option value="{{$warehouse_name->id}}">{{$warehouse_name->warehouse_code}} - {{$warehouse_name->warehouse_name}}  </option>
		@endforeach
	  @endif	  
		</select>
	  </div>     <!--position-relative form-group-->
	 </div>
	 
	</div>     <!--form-row-->
	
	<div class="form-row">
	    
	 
	 <div class="col-md-4">
	  <div class="position-relative form-group ">
	    <label class="font-weight-bold ml-2" for="route" class="">Salesman</label>
		<select class="mb-2 form-control country1" name="salesman" id="salesmanname"  >  
		<option value=""> </option> 
		</select>
	  </div>   <!--position-relative form-group-->
	 </div>
    </div>     <!--form-row-->
	
	<div class="form-row">
	 <div class="col-md-12 text-center"> 
	  <button id="submit" class="mt-3 btn btn-primary btn-lg">Search</button> 
	 </div>	
	</div>
	</form> 
	 <input maxlength="125" name="url_salesman" id="url_salesman"  type="hidden" value="<?php if(isset($_GET['warehouse']) && isset($_GET['salesman']) && $_GET['salesman']!=''){echo $_GET['salesman']; } else{echo "0";} ?>" class="form-control" autocomplete="off" required>	<br><br> 		
				
	<table style="width: 100%;" id="example" class="table table-hover table-striped table-bordered">
	 <thead>
	  <tr>
	   <th class="text-justify text-left">Expense Code</th>
	   <th class="text-justify text-left">Expense Date</th>
	   <th class="text-justify text-left">Expense Type</th>
	   <th class="text-justify text-left">Warehouse</th>
	   <th class="text-justify text-left">Route</th>
	   <th class="text-justify text-left">Salesman</th>
	   <th class="text-justify text-left"> Amount</th>
	   <th style="width: 13%;">Action</th>
	  </tr>
	 </thead>
	 
	 <tbody>
		@foreach($get_data as $key=>$data)
	  	
	  <tr>
	
		@php
	    $row1 = date("d M Y g:i a", strtotime($data->expense_date));
	    $space=" ";
	    @endphp
				   
	   <td class="font-weight-bold text-justify text-left">{{$data->expense_no}} </td>
	   <td class="font-weight-bold text-justify text-left">{{$data->expense_date}}</td>
	   <td class="font-weight-bold text-justify text-left">{{$data->expense_code}} - {{$data->expense_name}}</td>
   
	   <td class="font-weight-bold text-justify text-left">{{$data->warehouse_code}} - {{ucfirst($data->warehouse_name)}}</td>
	   <td class="font-weight-bold text-justify text-left">{{$data->route_code}} - {{ucfirst($data->route_name)}}</td>
   
       <td class="font-weight-bold text-justify text-left">{{$data->salesman_code}} - {{ucfirst($data->salesman_name)}}</td>
       <td class="font-weight-bold text-justify text-left">{{$data->currency_notation }}{{$space}}{{number_format($data->expense_amount,2)}}</td>
	
	   <td >

	   	<div class="dropdown">
    	<button type="button" aria-haspopup="true" aria-expanded="false" data-toggle="dropdown" class="mb-2 mr-2 btn btn-outline-primary "><i class="fas fa-ellipsis-v"></i></button>
    	<ul class="dropdown-menu " style="min-width: 0px;" aria-labelledby="dropdownMenuButton1">
    	<a class="dropdown-item" class= "mb-2 mr-2 btn-hover-shine btn btn-shadow btn-success btn-lg" href="" title="view Comments" data-toggle="modal" data-target="#exampleModal{{$key}}" >
		<i class="fas fa-eye" aria-hidden="true"></i> View</a>

		<a class="dropdown-item" class= "mb-2 mr-2 btn-hover-shine btn btn-shadow btn-success btn-lg" title="Edit!!" href=" {{ URL::to('route_expenses/'.$data->id)}}">
		<i class="fas fa-edit" aria-hidden="true"></i> Edit</a>
		</ul>
		</div>
	   </td> 
	  </tr>
		@endforeach
	 </tbody>
	</table> 
   </div>     <!--card-body-->
  </div>    <!--main-card mb-3 card-->
 </div>    <!--app-main__inner-->

		<!-- Modal -->
		@foreach($get_data as $key=>$data)
 <div class="modal fade mt-5"  id="exampleModal{{$key}}" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true" >
  <div class="modal-dialog mt-5 "  role="document">
   <div class="modal-content " >
	<div class="modal-header">
	
	 <h5 class="modal-title" id="exampleModalLabel">View Comment</h5>
	  <button type="button" class="close" data-dismiss="modal" aria-label="Close">
	    <span aria-hidden="true">&times;</span>
	  </button>
	  
	</div>     <!--modal-header-->
	
	<div class="modal-body">
	 <p class="mb-0">{{$data->comment}} </p>
	</div>
   </div>    <!--modal-body-->
  </div>    <!--modal-dialog mt-5-->
 </div>    <!--modal fade mt-5-->  
	@endforeach 	 
@include('theme_layout/footer')	
				
 <script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/js/select2.min.js"></script>
<script>

   var jq = $.noConflict();
   jq(document).ready(function(){
	   
	   	   @if(Session::has('successMessage'))
			var toster=jq('#toster_id').val();
			if(toster!=''){
			Swal.fire({
			 
			icon: 'success',
			title: ''+toster,
			showConfirmButton: false,
			timer: 2000
			})
			}
			
			{{ Session::forget('successMessage') }}
			
		@endif
	   
	    <?php if(isset($_GET['warehouse'])){?> 
		var warehouse_id = jq('#warehouse_id').val(); 
		var url_salesman = jq('#url_salesman').val(); 
		
		get_route(warehouse_id,url_salesman); <?php } ?>
	   
	$('#warehouse_id').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	
		var fromdate = jq('#fromdate').val();
		var todate = jq('#todate').val();
  
   $("#warehouse_id").change(function(){
		var warehouse_id = jq('#warehouse_id').val();
   
    $('#warehouse_id').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	$('#warehouse_id')[0].sumo.reload();  

		var url_salesman=0;
     get_route(warehouse_id,url_salesman);
 });
    
 <!--get_material_price-->
function get_route(salesman,url_salesman){
    jq.ajax({
    url: "{{ URL('get_salesman_filter_for_expensesList') }}"+"/" +salesman+"/"+url_salesman,       
    type:"GET",
    success:function(respons){
    
           jq('#salesmanname').html(respons); 
		   $('#salesmanname').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
		   $('#salesmanname')[0].sumo.reload();  
    }
   });
 }
   
function get_datefilter(fromdate,todate){

    jq.ajax({
    url: "{{ URL('salesman_invoice_list/') }}",       
    type:"GET",
    data:{fromdate:fromdate,
    todate:todate },
    success:function(respons){
    
            if(respons){
            
              jq('#example').html(respons);
            }
         }
       });
     } 
});

</script> 	