@php
$set_category1='';
@endphp

@include('theme_layout/header')
@include('theme_layout/nav')
	
<div class="app-main__outer"> 
 <div class="app-main__inner">
  <div class="app-page-title">
   <div class="page-title-wrapper">
    <div class="page-title-heading">
     <div class="page-title-icon">
	 
      <i class="pe-7s-graph text-success">
      </i>
	  
     </div>    <!--page-title-icon-->
    <div>    
		{{ request()->route('id') ? 'Edit ' : 'Add ' }} Salesman Target
	</div>
    </div>    <!--page-title-heading-->

    <div class="page-title-actions"> 
     <div class="d-inline-block dropdown">
	  <a id="back" class="mt-3 btn btn-primary btn-lg text-white"> 
	  <i class="fa fa-arrow-left fa-w-20 text-white"></i> Back</a>
	 
     </div>    <!--d-inline-block dropdown-->
    </div>     <!--page-title-actions-->
   </div>    <!--page-title-wrapper-->
  </div>      <!--app-page-title-->

	@if(request()->route('id'))
	@php
	$set_category1=explode(",",($result->set_category));
	@endphp	
	@endif 

  <div class="tab-content">
   <div class="tab-pane tabs-animation fade show active" id="tab-content-0" role="tabpanel">
    <div class="main-card mb-3 card">
     <div class="card-body"><h5 class="card-title"></h5>
      <form action="{{route('salesman_target_store')}}" method="post" onsubmit="return checkForm(this);">
       @csrf
      <div class="form-row mb-2">
       <div class="col-md-4">
        <div class="position-relative form-group">
	     <label for="select_warehouse" class="font-weight-bold ml-2"> Warehouse</label> 
		 <select class="mb-2 form-control" name="warehouse_id" id="warehouse_stock1" required >
		 @if(request()->route('id')) 
												
		 @foreach($warehouse as $warehouse_name)
		 <option {{$result->warehouse_id == $warehouse_name->id ? 'selected' : '' }} value ="{{$warehouse_name->id}}">{{$warehouse_name->warehouse_code}} - {{$warehouse_name->warehouse_name}}</option>
		 @endforeach

		 @else 
		 <option value=""> </option> 
		 @foreach($warehouse as $warehouse_name)
		 <option value="{{$warehouse_name->id}}">{{$warehouse_name->warehouse_code}} - {{$warehouse_name->warehouse_name}}</option>
		 @endforeach
		 @endif
		 </select>
	    </div>    <!--position-relative form-group-->
       </div>    <!--col-md-4-->
      
	   <div class="col-md-4">
	    <div class="position-relative form-group ">
	     <label class="font-weight-bold ml-2" for="route" class="">Salesman</label>
		 <select class="mb-2 form-control " name="salesman_id" id="salesmanname" required >
		 @if(request()->route('id')) 
	
	     @foreach($salesman as $salesmanname)
	     <option {{$result->salesman_id == $salesmanname->id ? 'selected' : '' }} value  ="{{$salesmanname->id}}">{{$salesmanname->salesman_code}} - {{$salesmanname->salesman_name}}</option>
	     @endforeach 
	     @else  
	     <option value=""> </option>
	     @endif
	   	 </select>
	    </div>     <!--position-relative form-group-->
       </div>    <!--col-md-4-->
      
	   <div class="col-md-4">
        <div class="position-relative form-group">
	     <label for="price_applied_on" class="ml-2 font-weight-bold">Target Based on</label>
		 <select class="mb-2 form-control" name="target_based_on" id="target_based_on" required> 
		 @if(request()->route('id')) 
				
		 <option> </option>
		 <option {{ $result->target_based_on == 'Amount Based' ? 'selected' : '' }} value ="Amount Based">Amount Based</option>
		 <option {{ $result->target_based_on == 'Quantity Based' ? 'selected' : '' }} value="Quantity Based">Quantity Based
		 </option>
			@else  
		 <option> </option>
		 <option value ="Amount Based">Amount Based</option>
		 <option  value="Quantity Based">Quantity Based</option>
		 @endif
		 </select>
	    </div>    <!--position-relative form-group-->
	   </div>     <!--col-md-4-->
      </div>    <!--form-row mb-2-->
										  
      <div class="form-row">
	   <div class="col-md-4">
	    <div class="position-relative form-group">
	     <label for="price_applied_on" class="ml-2 font-weight-bold">Salesman Target</label>
		 <select class="mb-2 form-control" name="salesman_target" id="salesman_target" required> 
		
		 @if(request()->route('id')) 
		 <option> </option>
		
		 <option {{ $result->salesman_target == 'Category Based Target' ? 'selected' : '' }} value ="Category Based Target">Category Based Target</option>
		
		 <option {{ $result->salesman_target == 'Total Sales Based' ? 'selected' : '' }} value="Total Sales Based">Total Sales Based</option>
                    					     
         @else 
                                           
		 <option> </option>
		 <option value ="Category Based Target">Category Based Target</option>
		 <option  value="Total Sales Based">Total Sales Based</option>
		 @endif
		 </select>
	    </div>     <!--position-relative form-group-->
	   </div>    <!--col-md-4--> 
												
		@php
		$year=date("Y");
	
		@endphp
	   <div class="col-md-4">
	    <div class="position-relative form-group">
		
		 <label for="price_applied_on" class="ml-2 font-weight-bold">Year</label>
		 <input readonly autocomplete="off"type="text" name="year" value="{{ request()->route('id') ? $result->year : $year }}" class="form-control">
		
	    </div>    <!--position-relative form-group-->
	   </div>     <!--col-md-4-->
	
	   <div class="col-md-4">
	    <div class="position-relative form-group">
	     <label for="current_month" class="ml-2 font-weight-bold">Month</label>
		 <select class="mb-2 form-control" name="month" id="current_month" required>
		
		 @if(request()->route('id')) 
					
		 <option> </option>
		 <option {{ $result->month == 'january' ? 'selected' : '' }} value ="january">January</option>
		 <option {{ $result->month == 'february' ? 'selected' : '' }} value="february">February</option>
		 <option {{ $result->month == 'march' ? 'selected' : '' }} value ="march">March</option>
		 <option {{ $result->month == 'april' ? 'selected' : '' }} value="april">April</option>
		 <option {{ $result->month == 'may' ? 'selected' : '' }} value="may">May</option>
		 <option {{ $result->month == 'june' ? 'selected' : '' }} value="june">June</option>
		 <option {{ $result->month == 'july' ? 'selected' : '' }} value="july">July</option>
		 <option {{ $result->month == 'august' ? 'selected' : '' }} value="august">August</option>
		 <option {{ $result->month == 'september' ? 'selected' : '' }} value="september">September</option>
		 <option {{ $result->month == 'october' ? 'selected' : '' }} value="october">October</option>
		 <option {{ $result->month == 'november' ? 'selected' : '' }} value="november">November</option>
		 <option {{ $result->month == 'december' ? 'selected' : '' }} value="december">December</option>
				@else 
		 <option value=""></option>
		 <option value ="january">January</option>
		 <option  value ="february">February</option>
		 <option  value="march">March</option>
		 <option  value="april">April</option>
		 <option  value="may">May</option>
		 <option  value="june">June</option>
		 <option  value="july">July</option>
		 <option  value="august">August</option>
		 <option  value="september">September</option>
		 <option  value="october">October</option>
		 <option  value="november">November</option>
		 <option  value="december">December</option>
                
				@endif 
		 </select>
	    </div>    <!--position-relative form-group-->
       </div>    <!--col-md-4-->
      </div>    <!--form-row-->
											
		 @php
		 $style='';
		 request()->route('id') ? $style="": $style="display: none;";
		 @endphp
	  <div class="form_row" id="total_sales_div" style="{{$style}}">
	   <div class="col-md-4">
	    <div class="position-relative form-group">
		
	     <label for="total_sales" class="ml-2 font-weight-bold">Total sales</label>
	     <input autocomplete="off" type="text" name="total_sales" value="{{ request()->route('id') ? $result->total_sales : '' }}" class="form-control">
		 <input autocomplete="off" name="updated_id" id="updated_id" value="{{ request()->route('id') }}" type="hidden">
		
	    </div>    <!--position-relative form-group-->
	   </div>      <!--col-md-4-->
	  </div>    <!--form_row-->
										  
	  <div class="form_row" id="material_category_id" style="{{$style}}"> 
	    <label class="ml-2 font-weight-bold">Material Category</label>
	   <div class="form-row">
		@foreach($material_category as $key=> $data)
			  
	    <div class="col-md-4">
		 <label for="total_sales" class="ml-2 font-weight-bold">{{$data->category_name}}</label>
		 <input autocomplete="off" type="hidden" name="material_category_id[]" value="{{$data->id}}"> 
		 <input maxlength="4" autocomplete="off"type="text" name="set_category[]" value="{{ request()->route('id') ? $set_category1[$key] : '' }}" class="form-control" onkeypress="return isNumber(event);">
		
	    </div>    <!--col-md-4-->
		 @endforeach
		 
	   </div>    <!--form-row-->
	   </div>    <!--form_row-->
									
	 <section> 
     <div class="panel panel-footer" >
	  <label class="ml-2 font-weight-bold">Commission</label>
	   
	   <table class="table table-bordered" id="myTable">
		<thead>
		 <tr>
			<th style="width:20%; text-align: center;">Coming Range</th>
			<th style="width:13%; text-align: center;">Range</th>
			<th style="width:13%; text-align: center;">Action</th> 
		 </tr>
		</thead>
			 
		<tbody id="dynmic_row">
		 <tr id="row_0">
		  <td style="width: 15%;" id="mitem_0" > 
			<select type="text" id="comming_range_0" name="comming_range[]" class="form-control" required="">
			<option value=""></option>
			@foreach($commission as $range)
			 <option value ="{{$range->id}}">{{$range->range_code}}</option>
			@endforeach
			</select> 
		  </td>
			 
		  <td id="qitem_0"> 
			<input autocomplete="off" value=""  id="range_0" type="text" name="range[]" class="form-control range" required="">
		  </td>
		  <td>
		    <button type="button" class="btn btn-danger font-weight-bold "  onclick="deleteRow(this,0)">
			<i class="fa fa-trash" aria-hidden="true" ></i></button>
		  </td>
		 </tr> 
		</tbody> 
	   </table>
		<td>
		   <button type="button" class="btn btn-primary font-weight-bold text-white addRow">
		   <i class="fa fa-plus  text-white " aria-hidden="true" ></i> ADD</button>
		</td>
		
	 </div>    <!--panel panel-footer-->
	 </section>

	 <div class="form-row">
	  <div class="col-md-5"></div>
		@if(request()->route('id'))
		<button class="mt-3 btn btn-primary btn-lg" name="btnsubmit">Update</button>
		@else 
		<button class="mt-3 btn btn-primary btn-lg" name="btnsubmit">Save</button>
		@endif
		<div class="col-md-0.5"></div>
		<a href="{{route('salesman_target_list')}}"  class="mt-3 btn btn-danger  btn-lg">Cancel</a>
		
	 </div>    <!---->
     </form>
     </div>    <!--card-body-->
    </div>    <!--main-card mb-3 card-->
   </div>     <!--tab-pane tabs-animation fade show active-->
  </div>    <!--tab-content-->
 </div>    <!--app-main__inner-->

@include('theme_layout/footer')
 
 <script>
	 function checkForm(form)
			{ 
		form.btnsubmit.disabled = true;
		return true;
			}

   var jq = $.noConflict();

   jq(document).ready(function(){
	    
	   jq("#back").click(function(){
		   window.history.back();
	   })
    
	   $('#warehouse_stock1').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	   $('#current_month').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	   $('#comming_range_0').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});

   	var edit_id =  jq('#salesman_target').val();
    if(edit_id=='Category Based Target')
        {     
          jq('#material_category_id').show(); 
          jq('#total_sales_div').hide();
        }

        if(edit_id=='Total Sales Based')
        {    
          jq('#total_sales_div').show(); 
          jq('#material_category_id').hide();
        }

   jq("#salesman_target").change(function(){
        
        
   var price_id =  jq('#salesman_target').val();
    
        if(price_id=='Category Based Target')
        {
             
          jq('#material_category_id').show(); 
          jq('#total_sales_div').hide();
        }
        if(price_id=='Total Sales Based')
        {
             jq('#total_sales_div').show();  
             jq('#material_category_id').hide();
        }
     });
        $("#warehouse_stock1").change(function(){
             var warehouse = jq('#warehouse_stock1').val();
            // alert(warehouse);
            get_route(warehouse);
        });
     function get_route(warehouse){
         jq.ajax({
              url: "{{ URL('get_routename_filter2/') }}"+"/" +warehouse,       
              type:"GET",
              
          success:function(respons){
          
            if(respons)
            {
                jq('#salesmanname').html(respons);
				$('#salesmanname').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	             $('#salesmanname')[0].sumo.reload();  
            }
          }
       });
     }
	 
	 <!--add row	-->	
	var i=0;
    jq('.addRow').on('click',function(){
		i++;
        addRow(i);
    });
	  function addRow(value){
    
        var tr='<tr id="row_'+value+'">'+
        '<td  id="mitem_"><select type="text" id="comming_range_'+value+'"  name="comming_range[]" class="form-control comming_range" required=""></td>'+
		
       '<td id="qitem_'+value+'"><input autocomplete="off" type="text" value="" id="range_'+value+'"    name="range[]" class="form-control range" required=""></td>'+
		' <td><button type="button" class="btn btn-danger font-weight-bold "  onclick="deleteRow(this,'+value+')"><i class="fa fa-trash" aria-hidden="true" ></i></button></td>'+
        '</tr>';
        jq('#dynmic_row').append(tr);
		
		 get_commission(value);
    };	
	
	function get_commission(value){
		 jq.ajax({
		      url: "{{ URL('get_commission') }}",
              type:"GET",
              
          success:function(respons) {
         
            if(respons)
			{
				jq('#comming_range_'+value+'').html(respons);
				$('#comming_range_'+value+'').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
             	$('#comming_range_'+value+'')[0].sumo.reload();
			}
          }
       });
     }
   });
   <!-- Deleting row-->
  function deleteRow(r,row) { 
	 
        if(row==0){
           Swal.fire({
				  icon: 'error',
				  title: 'You Can Not Remove First Row!',
				})
        }
		else{
   var i = r.parentNode.parentNode.rowIndex;
     document.getElementById("myTable").deleteRow(i);
		}
}
</script>       	