@include('theme_layout/header')
@include('theme_layout/nav')
	
<div class="app-main__outer">
 <div class="app-main__inner">
  <div class="app-page-title">
   <div class="page-title-wrapper">
    <div class="page-title-heading">
     <div class="page-title-icon">
      <i class="pe-7s-graph text-success">
	  </i>
	 </div>    <!--page-title-icon-->

	  <div>Stock Unload </div>

	</div>    <!--page-title-heading-->

	<div class="page-title-actions"> 
	 <div class="d-inline-block dropdown">
		<a href="{{route('salesman_unload_list')}}" class="mb-2 mr-2 btn-icon btn-square btn btn-primary btn-lg">  
		<i class="fa fa-arrow-left fa-w-20"></i> Back</a>
	 </div>    <!--d-inline-block dropdown-->
	</div>     <!--page-title-actions-->
   </div>    <!--page-title-wrapper-->
  </div>      <!--app-page-title-->

  <div class="tab-content">
   <div class="tab-pane tabs-animation fade show active" id="tab-content-0" role="tabpanel">
    <div class="main-card mb-3 card">
     <div class="card-body">
      <div class="container">
	   <div class="form-row">
	    <div class="col-md-4">
		 <div class="position-relative form-group">
		  <label class="font-weight-bold ml-2" for="salesman_id" class="">Salesman</label>
		  <input maxlength="20" name="salesman_id" id="salesman_id" value="{{$result->salesman_code}} - {{$result->salesman_name}}"  type="text" class="form-control" readonly required >
		 </div>    <!--position-relative form-group-->
		</div>    <!--col-md-4-->
		
		<div class="col-md-4"> 
		 <div class="position-relative form-group">
		  <label class="font-weight-bold ml-2" for="route_id" class="">Route</label>
		  <input maxlength="20" name="route_id" id="route_id" value="{{ $result->route_code}} - {{ $result->route_name}}"  type="text" class="form-control" readonly required >
		 </div>    <!--position-relative form-group-->
		</div>    <!--col-md-4-->
		
		<div class="col-md-4"> 
		 <div class="position-relative form-group">
		  <label class="font-weight-bold ml-2" for="unload_time" class="">Unload time</label>
		  <input maxlength="20" name="unload_time" id="unload_time" value="{{  $result->unload_time}}"  type="text" class="form-control" required readonly>
		 </div>    <!--position-relative form-group-->
		</div>    <!--col-md-4-->
	   </div>    <!--form-row-->
									  
	   <div class="mb-5" >
		<h5>
		 <p class="font-weight-bold float-right mr-5"><bold>Unload Code:  #{{$result->unload_code}}</bold></p>
		</h5>
	   </div>

	   <table class="table   table-hover  table-bordered">
		<thead>
		 <tr>
		  <th>Material</th>
		  <th>UOM</th>
		  <th>Qty</th> 
		 </tr>
		</thead>

		<tbody >
		 <tr>
		  <td><label>{{$result->material_code}} - {{$result->material_name}}</label></td>
		  <td><label>{{$result->uom_code}} - {{$result->unit_notation}}</label></td>
		  <td>{{$result->quantity}}</td> 
		 </tr> 
		</tbody>
	   </table>
	  </div>    <!--container-->
		     <br><br>
     </div>    <!--card-body-->
	</div>     <!--main-card mb-3 card-->
   </div>     <!--tab-pane tabs-animation fade show active-->
  </div>    <!--tab-content-->
 </div>    <!--app-main__inner-->
@include('theme_layout/footer')
</div>    <!--app-main__outer-->
