@include('theme_layout/header')
@include('theme_layout/nav')
	 
<div class="app-main__outer">
 <div class="app-main__inner">
  <div class="app-page-title">
   <div class="page-title-wrapper">
    <div class="page-title-heading">
     <div class="page-title-icon">
      <i class="pe-7s-graph text-success"></i>
     </div>     <!--page-title-icon-->  
     <div>Transfer Stock</div>
    </div> <!-- end page title heading -->
				   
	<div class="page-title-actions">
	 <div class="d-inline-block dropdown">
	  <a id="back" class="mt-3 btn btn-primary btn-lg text-white"> 
	   <i class="fa fa-arrow-left fa-w-20 text-white"></i> Back
	  </a>
	 </div>
	</div>  <!-- end page title action -->
   </div>  <!-- end page title wrapper -->
  </div>  <!-- end app page title -->          
		   
  <div class="tab-content">
   <div class="tab-pane tabs-animation fade show active" id="tab-content-0" role="tabpanel">
	<div class="main-card mb-3 card">
     <div class="card-body">
      <div class="container">
	   <div class="form-group row">
	   
		<div class="col-md-4" >
         <div class="position-relative form-group">
            <label for="select_warehouse" class="font-weight-bold ml "> Warehouse</label> 
            <input  value="{{$get_data->warehouse_code}} - {{$get_data->warehouse_name}}" id="from_warehouse" name="from_warehouse" type="text" class="form-control" readonly  >
       
         </div>    <!--position-relative form-group-->
        </div>
						
		<div class="col-md-4" > 
         <div class="position-relative form-group">
		 
            <label for="select_warehouse" class="font-weight-bold ml">Transfer Warehouse</label> 
            <input class="mb-2 form-control" value="{{$get_data->t_warehouse_code}} - {{$get_data->t_warehouse_name}}"  name="transfer_warehouse" id="transfer_warehouse" readonly >         
         
         </div>    <!--position-relative form-group-->
        </div>
			   
	    <div class="col-md-4">
		 <div class="position-relative form-group">
		  
			<label  class="font-weight-bold" for="" class="">Reason Type</label>
		
		<input maxlength="20" name="trading_name" id="trading_name" value="{{ $get_data->reason_type == '1' ? 'Good Reason'  : 'Bad Reason' }}"  type="text" class="form-control"  readonly>
		
		 </div>	    <!--position-relative form-group-->
		</div>
		
	   </div>    <!--form-group row-->
						
	   <div class="form-group row">
	   
	   
		<div id=" " class="col-md-4">
		 <div class="position-relative form-group">
			<label class="font-weight-bold ml"  for=" " class="">Transfer Reason</label>
			<input class="mb-2 form-control" value="{{$get_data->reason_code}} - {{$get_data->reason_name}}"  name="transfer_reason" id="transfer_reason" readonly >  
		     
		 </div>     <!--position-relative form-group-->
	    </div>
		
			   
	    <div class="col-md-4">
		 <div class="position-relative form-group">
		  
			<label  class="font-weight-bold" for="" class=""> Date</label>
		
			<input autocomplete="off" type="" id="transfer_date" value="{{$get_data->transfer_date}}" name="transfer_date" class="form-control" readonly>
		
		 </div>	    <!--position-relative form-group-->
		</div>
						
		<div class="col-md-4">
		 <div class="position-relative form-group">
		 <label class="font-weight-bold ml "  for="comment" class="">Remark*</label>
		
			<input required maxlength="20" name="comment" id="comment" value="{{ $get_data->remark}}"  type="text" class="form-control" readonly>
		 </div>    <!--position-relative form-group-->
		</div>	
		
	   </div>	  <!--form-group row-->
	   
		<table class="table   table-hover  table-bordered">
		 <thead>
		  <tr>
		  <th style="width:15%; text-align: center;">Material </th>
		  <th style="width:13%; text-align: center;">UOM</th>
		  <th style="width:10%; text-align: center;">Transfer Quantity</th>
		  <th style="width:10%; text-align: center;">Balance Quantity	</th>	
		  </tr>
	  
     	  <tbody id="dynmic_row"> 
	   
	       @foreach($get_data_details as $details)
	       <tr id="row_0">
		   <td style="width: 15%;" id="mitem_0" >
		   <label type="text" id="get_material_0" name="material_name[]" class="lget_material font-weight-bold ml-2 " required="" readonly>
		   {{$details->material_code}} - {{$details->material_name}}
		   </label>
		   </td>
		   <td id="uitem_0"   style="width: 13%;">
		   <label  id="uom_0" name="uom[]" class="lget_material font-weight-bold ml-4 " readonly >{{$details->unit_notation}}</label>
		   </td>
		   	
		   <td id="qitem_0">
		   <label readonly    id="qty_0" type="text" name="stock_qty[]" class="lqty font-weight-bold ml-2 " required="">   {{$details->stock_qty}}
		   </label>
		   </td> 
		   					
		   <td id="pitem_0">
		   <label   readonly id="balance_qty" type="text" name="balance_qty[]" class="lprice font-weight-bold ml-2">{{number_format($details->balance_qty,2)}}
		   </label>
		   </td>
		   </tr>
		   </tr>
					        
		   @endforeach 
							
		   </tbody>
	      </thead>
		 <tbody >
		 <tr>
	     </tr>
		 </tbody>
        </table>                 
       </div>      <!--container-->
              <br> <br>
      </div>   <!--card-body-->
     </div>     <!--main-card mb-3 card-->
    </div>     <!--tab-pane tabs-animation fade show active-->
   </div>    <!--tab-content-->
  </div>      <!--app-main__inner-->
    
    @include('theme_layout/footer')
         
</div>    <!--app-main__outer-->
<script>
   var jq = $.noConflict();
   jq(document).ready(function(){
	   
	   jq("#back").click(function(){
		   window.history.back();
	   })

   })
</script> 