@include('theme_layout/header')
@include('theme_layout/nav')
<div class="app-main__outer">
 <div class="app-main__inner">
  <div class="app-page-title">
   <div class="page-title-wrapper">
    <div class="page-title-heading">
	  <div class="page-title-icon">
	   <i class="pe-7s-graph text-success">
	   </i>
	  </div>
	  
		<div>
		 {{ request()->route('id') ? 'Edit ' : ' ' }} Device Configuration List</div>
	    </div>
		
	    <div>
		@if(Session::has('successMessage')) 
		  <input id="toster_id" type="hidden" value="{{ Session::get('successMessage') }}">		  
		 @endif 
	    </div>
                            
	    <div class="page-title-actions">		 
		 <div class="d-inline-block dropdown">
		  <!--<a href="" class="mb-2 mr-2 btn-icon btn-square btn btn-secondary btn-lg"> <i class="fa fa-arrow-left fa-w-20"></i> Back</a>-->
		 </div>
	   </div>   </div> <!--page-title-wrapper-->
     </div> <!--app-page-title-->           
					 
		<div class="tab-content"> 
		 <div class="tab-pane tabs-animation fade show active" id="tab-content-0" role="tabpanel">
		  <div class="main-card mb-3 card">
		   <div class="card-body"><!--<h5 class="card-title">Vehicle Brand Management</h5>-->
		   <form class="" onsubmit="return checkForm(this);"
             action="{{ route('device_configuration_store') }}" method="post" id="myForm">
            {{ csrf_field() }} 
		
	         <div class="form-row">
		      <div class="col-md-4">
			   <div class="position-relative form-group"><label for="synchronize" class="ml-2 font-weight-bold">Synchronize(Minutes)</label><input autocomplete="off" maxlength="20" name="synchronize" id="synchronize" placeholder="" value="{{ $get_data[0]->synchronize ?:'' }}" type="text" class="form-control">
			  
			   </div>
		     </div>
			 
	    <div class="col-md-4">
		 <div class="position-relative form-group"><label for="uom_name" class="ml-2 font-weight-bold">Google API Key(For Notification)</label>
		  <input autocomplete="off" maxlength="120" name="google_api_key" id="google_api_key" placeholder="" value="{{ $get_data[0]->google_api_key ?:'' }}" type="text" class="form-control" required>		
		  
		 </div>
	   </div>
	   
	    <div class="col-md-4">
		 <div class="position-relative form-group"><label for="gcm_notification" class="ml-2 font-weight-bold">GCM Notification Enable</label>
		  <select class="mb-2 form-control" name="gcm_notification" id="gcm_notification" required>
		   @if($get_data[0]->gcm_notification!='') 		
		    <option value="">   </option>
		    <option {{ $get_data[0]->gcm_notification == 'yes' ? 'selected' : '' }} value ="yes">Yes</option>
		    <option {{ $get_data[0]->gcm_notification == 'no' ? 'selected' : '' }} value="no">No</option>	   
		   @else 
		    <option value="">   </option>
		    <option value ="yes">Yes</option>
		    <option value="No">No</option>
		   @endif  
		  </select>
		 </div>
	   </div>  <!--col-md-4-->

	    <div class="col-md-4">
		 <div class="position-relative form-group"><label for="status" class="ml-2 font-weight-bold">Allow Pre Sale Order</label><select class="mb-2 form-control" name="pre_sale" id="pre_sale" required> 		
	      @if($get_data[0]->pre_sale!='') 		
		   <option value="">   </option>
		   <option {{ $get_data[0]->pre_sale == 'yes' ? 'selected' : '' }} value ="yes">Yes</option>
		   <option {{ $get_data[0]->pre_sale == 'no' ? 'selected' : '' }} value="no">No</option>	   
		  @else 
		   <option value="">  </option>
		   <option value ="yes">Yes</option>
		   <option value="no">No</option>
	      @endif  
		</select></div>
	  </div>
											 
	    <div class="col-md-4">
		 <div class="position-relative form-group"><label for="status" class="ml-2 font-weight-bold">Printer Type</label><select class="mb-2 form-control" name="printer_type" id="printer_type" required> 		
	      @if($get_data[0]->printer_type!='') 		
		   <option value="">   </option>
		   <option {{ $get_data[0]->printer_type == 'zebra printer' ? 'selected' : '' }} value ="zebra printer">Zebra Printer</option>
		   <option {{ $get_data[0]->printer_type == 'A4 printer' ? 'selected' : '' }} value="A4 printer">A4 Printer</option>	   
		  @else 
		   <option value="">  </option>
		   <option value ="zebra printer">Zebra Printer</option>
		   <option value="A4 printer">A4 Printer</option>
	      @endif  
		 </select></div>
	   </div>
											
	    <div class="col-md-4">
		 <div class="position-relative form-group"><label for="synchronize" class="ml-2 font-weight-bold">Customer Geofence Radius(In Meter)</label><input autocomplete="off" maxlength="20" name="geofence_radius" id="geofence_radius" placeholder="" value="{{ $get_data[0]->geofence_radius ?:'' }}" type="text" class="form-control" required></div>
	   </div>
	
	    <div class="col-md-12">
		 <label for="print_disclaimer" class="ml-2 font-weight-bold">Print Disclaimer</label>
		  <input rows="3", cols="50" id="disclaimer" name="disclaimer" style="resize:none;" maxlength="1000" class="form-control" value="{{$get_data[0]->disclaimer ?:'' }}" autocomplete="off" required>
	     </div>	 
        </div> <!--form-row-->
                                       
	    <div class="form-row">
		 <div class="col-md-5"></div>
		  @if(request()->route('id'))
		   <button name="btnsubmit" class="mt-3 btn btn-primary btn-lg">Update</button>
		    <div class="col-md-0.5"></div>	   
		  @else
		   <button name="btnsubmit" class="mt-3 btn btn-primary btn-lg">Save</button>
		  @endif
	       <!-- <div class="col-md-0.5"></div>
	       <a href="" class="mt-3 btn btn-danger  btn-lg">Cancel</a>-->	   
          </form>
         </div> <!--form-row-->
        </div> <!--card-body-->
       </div> <!--main-card mb-3 card-->
      </div> <!--tab-pane tabs-animation fade show active-->
     </div> <!--tab-content-->
    </div> <!--app-main__inner-->
  @include('theme_layout/footer')

<script>
var jq = $.noConflict();
function checkForm(form)
  {
     
    form.btnsubmit.disabled = true;
    return true;
  }
jq(document).ready(function(){

@if(Session::has('successMessage'))
var toster=jq('#toster_id').val();
if(toster!=''){
	Swal.fire({
	  position: 'top',
	  icon: 'success',
	  title: ''+toster,
	  showConfirmButton: false,
	  timer: 2000
		})
	}
@endif
});

</script>  