@include('theme_layout/header')
@include('theme_layout/nav')
<div class="app-main__outer">
 <div class="app-main__inner">
  <div class="app-page-title">
   <div class="page-title-wrapper">
    <div class="page-title-heading">
     <div class="page-title-icon">
	  <i class="pe-7s-graph text-success">
	  </i>
     </div> <!--page-title-icon-->
	 
		<div>
		 {{ request()->route('id') ? 'Edit ' : '' }} Email Configuration List</div>
		</div> <!--page-title-heading-->
		
	    <div>
		@if(Session::has('successMessage')) 
		  <input id="toster_id" type="hidden" value="{{ Session::get('successMessage') }}">		  
		 @endif
	  </div>
                            
	    <div class="page-title-actions">		 
		 <div class="d-inline-block dropdown">
		  <!--<a href="" class="mb-2 mr-2 btn-icon btn-square btn btn-secondary btn-lg"> <i class="fa fa-arrow-left fa-w-20"></i> Back</a>-->
		  </div>
	    </div>   </div> <!--page-title-wrapper-->
      </div>  <!--app-page-title-->          
					 
		<div class="tab-content">
		 <div class="tab-pane tabs-animation fade show active" id="tab-content-0" role="tabpanel">
		  <div class="main-card mb-3 card">
		   <div class="card-body"><!--<h5 class="card-title">Vehicle Brand Management</h5>-->
		    <form class="" onsubmit="return checkForm(this);" action="{{ route('email_configuration_store') }}" method="post" id="myForm">
             {{ csrf_field() }}
	          <div class="form-row">
		       <div class="col-md-4">
			     <div class="position-relative form-group"><label for="email" class="ml-2 font-weight-bold">Email Address</label><input autocomplete="off" maxlength="100" name="email" id="email" placeholder="" value="{{ $get_data[0]->email?:'' }}" type="text" class="form-control" required></div>
		      </div>
			  
	    <div class="col-md-4">
		 <div class="position-relative form-group"><label for="host_name" class="ml-2 font-weight-bold">Host Name</label>
		  <input autocomplete="off" maxlength="120" name="host_name" id="host_name" placeholder="" value="{{ $get_data[0]->host_name ?:''}}" type="text" class="form-control" required>		
		   
		  </div>
	     </div>
		 
	    <div class="col-md-4">
		 <div class="position-relative form-group"><label for="port" class="ml-2 font-weight-bold">Port</label>
		  <input autocomplete="off" maxlength="120" name="port" id="port" placeholder="" value="{{ $get_data[0]->port ?:'' }}" type="text" class="form-control" required>
		  </div>
	     </div>
		 
	    <div class="col-md-4">
		 <div class="position-relative form-group"><label for="authentication" class="ml-2 font-weight-bold">Authentication</label>
		  <select class="mb-2 form-control" name="authentication" id="authentication" required>
		   @if($get_data[0]->authentication!='') 		
		    <option value="">   </option>
		    <option {{ $get_data[0]->authentication == 'true' ? 'selected' : '' }} value ="true">True</option>
		    <option {{ $get_data[0]->authentication == 'false' ? 'selected' : '' }} value="false">False</option>	   
		   @else 
		    <option value="">   </option>
		    <option value ="true">True</option>
		    <option value="false">False</option>
		   @endif  
		  </select>
		 </div>
	   </div>
											
	    <div class="col-md-4">
		  <div class="position-relative form-group"><label for="password" class="ml-2 font-weight-bold">Password</label>
		   <input autocomplete="off" maxlength="120" name="password" id="password" placeholder="" value="{{ request()->route('id') ? $get_data->password : '' }}" type="password" class="form-control">
		 </div>
	   </div>
										
	    <div class="col-md-4">
		 <div class="position-relative form-group"><label for="ntlm" class="ml-2 font-weight-bold">NTLM</label><select class="mb-2 form-control" name="ntlm" id="ntlm" required> 		
	      @if($get_data[0]->ntlm!='') 		
		   <option value="">   </option>
		   <option {{ $get_data[0]->ntlm == 'true' ? 'selected' : '' }} value ="true">True</option>
		   <option {{ $get_data[0]->ntlm == 'false' ? 'selected' : '' }} value="false">False</option>	   
		  @else 
		   <option value="">  </option>
		   <option value ="true">True</option>
		   <option value="false">False</option>
	      @endif  
		 </select></div>
	    </div>	
		
	    <div class="col-md-4">
		 <div class="position-relative form-group"><label for="domain" class="ml-2 font-weight-bold">Domain</label>
		 <input autocomplete="off"  maxlength="120" name="domain" id="domain" placeholder="" value="{{$get_data[0]->domain ?:'' }}" type="text" class="form-control" required>
		 </div>
	    </div>
	
	    <div class="col-md-4">
		 <div class="position-relative form-group"><label for="username" class="ml-2 font-weight-bold">Username</label>
		  <input autocomplete="off" maxlength="120" name="username" id="username" placeholder="" value="{{ $get_data[0]->username ?:'' }}" type="text" class="form-control" required>
		 </div>
	   </div>
	 
	    <div class="col-md-4">
		 <div class="position-relative form-group"><label for="use_ssl" class="ml-2 font-weight-bold">USE SSL</label><select class="mb-2 form-control" name="use_ssl" id="use_ssl" required> 		
	      @if($get_data[0]->use_ssl ?:'') 		
		   <option value="">   </option>
		   <option {{ $get_data[0]->use_ssl == 'true' ? 'selected' : '' }} value ="true">True</option>
		   <option {{ $get_data[0]->use_ssl == 'false' ? 'selected' : '' }} value="false">False</option>	   
		  @else 
		   <option value="">  </option>
		   <option value ="true">True</option>
		   <option value="false">False</option>
	      @endif  
		 </select></div>
	    </div>
											
		<div class="col-md-4">
		 <div class="position-relative form-group"><label for="tls" class="ml-2 font-weight-bold">TLS</label>
		  <select class="mb-2 form-control" name="tls" id="tls" required> 
		   @if($get_data[0]->tls ?:'') 
		    <option value="">   </option>
		    <option {{ $get_data[0]->tls == 'true' ? 'selected' : '' }} value ="true">True</option>
		    <option {{ $get_data[0]->tls == 'false' ? 'selected' : '' }} value="false">False</option>
		   @else 
		    <option value="">  </option>
		    <option value ="true">True</option>
		    <option value="false">False</option>
		   @endif  
		  </select>
		 </div>
		</div> <!--col-md-4-->
	   </div> <!--form-row-->
                                       
	    <div class="form-row">
		 <div class="col-md-5"></div>
		  @if(request()->route('id'))
		   <button name="btnsubmit" class="mt-3 btn btn-primary btn-lg">Update</button>
		    <div class="col-md-0.5"></div>	   
		  @else
		   <button name="btnsubmit" class="mt-3 btn btn-primary btn-lg">Save</button>
	      @endif
		    <div class="col-md-0.5"></div>
	        <!-- <a href="" class="mt-3 btn btn-danger  btn-lg">Cancel</a>-->	   
           </form>
          </div>
         </div> <!--card-body-->
        </div> <!--main-card mb-3 card-->
       </div> <!--tab-pane tabs-animation fade show active-->
      </div> <!--tab-content-->
     </div> <!--app-main__inner-->
    @include('theme_layout/footer')
	
	<script>
var jq = $.noConflict();
function checkForm(form)
  {
     
    form.btnsubmit.disabled = true;
    return true;
  }
jq(document).ready(function(){

@if(Session::has('successMessage'))
var toster=jq('#toster_id').val();
if(toster!=''){
	Swal.fire({
	  position: 'top',
	  icon: 'success',
	  title: ''+toster,
	  showConfirmButton: false,
	  timer: 2000
		})
	}
@endif
});

</script>