<?php echo $__env->make('theme_layout/header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php echo $__env->make('theme_layout/nav', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
	
<div class="app-main__outer"> 
 <div class="app-main__inner">
  <div class="app-page-title">
   <div class="page-title-wrapper">
	<div class="page-title-heading">
	 <div class="page-title-icon">
	  <i class="pe-7s-graph text-success">
	  </i>
	 </div>      <!--page-title-icon-->
     
	 <div>  
			<?php echo e(request()->route('id') ? 'Edit ' : 'Add '); ?> 
			Stock Request
	 </div>
	</div>      <!--page-title-heading-->
                            
	<div class="page-title-actions">
	 <div class="d-inline-block dropdown">
	 
	  <a id="back" class="mt-3 btn btn-primary btn-lg text-white"> 
	  <i class="fa fa-arrow-left fa-w-20 text-white">
	  </i> Back</a>
	  
	 </div>      <!--d-inline-block dropdown-->
	</div>      <!--page-title-actions-->
   </div>      <!--page-title-wrapper-->
  </div>         <!--app-page-title-->         
					 
  <div class="tab-content">
   <div class="tab-pane tabs-animation fade show active" id="tab-content-0" role="tabpanel">
	<div class="main-card mb-3 card">
	 <div class="card-body"><h5 class="card-title"></h5> 
	 
	 <form id="material_form" class="" action="<?php echo e(route('salesman_load_store')); ?>" method="post" onsubmit="return checkForm(this);">
			<?php echo e(csrf_field()); ?>

	  <div class="form-group row"> 	
	  
	  
	   <div class="col-md-4"> 
		<div class="position-relative form-group ">
		 	<label class="font-weight-bold ml-2" for="route" class="">Route</label>
		
			<select class="mb-2 form-control country1" name="route" id="routename" required >  
			<option value=""> </option>
			 <?php $__currentLoopData = $route; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $routename): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
			<option value ="<?php echo e($routename->id); ?>-<?php echo e($routename->warehouse_id); ?>"><?php echo e($routename->route_code); ?> - <?php echo e($routename->route_name); ?></option>
			<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
			</select>
			<input name="updated_id" id="updated_id" value="<?php echo e(request()->route('id')); ?>" type="hidden" autocomplete="off">
		 
		 </div>       <!--position-relative form-group-->
		</div>       
							   
		<div class="col-md-4">
		 <div class="position-relative form-group ">
		 
			<label class="font-weight-bold ml-2" for="salesman" class="">Salesman</label>
		  
			<input value="" id="warehouse_id" type="hidden" name="warehaouse_id" class="form-control " autocomplete="off"> 
			<input value="" id="route_id1" type="hidden" name="route_id1" class="form-control " autocomplete="off"> 
			<?php if(request()->route('id')): ?> 
			<input name="route_id" id="route_id" value="<?php echo e(request()->route('id') ? $get_data->route_id : ''); ?>" type="hidden" autocomplete="off"> 
			<input name="salesman_id" id="salesman_id" value="<?php echo e(request()->route('id') ? $get_data->salesman_id : ''); ?>" autocomplete="off" type="hidden"> 
			<select class="mb-2 form-control" name="salesman" id="salesman_add" required > 
			</select> 
			<?php else: ?> 
			<select class="mb-2 form-control" name="salesman" id="salesman_add" required >
			</select>	
			<?php endif; ?> 
		     
		 </div>      <!--position-relative form-group-->
	    </div> 
        <div class="col-md-4">
		 <div class="position-relative form-group ">
		 	<label class="font-weight-bold ml-2" for="salesman" class="">Route Warehouse</label>
	
			<select class="mb-2 form-control" name="route_warehouse" id="route_warehouse" required >
			</select>
		 </div>      <!--position-relative form-group-->
	    </div>	
		
	   </div>      <!--form-group row-->
							  
	   <div class="form-group row">
         
		<div class="col-md-4">
		 <div class="position-relative form-group">
		 
		   <label  class="font-weight-bold" for="customer_type" class="">Load Date</label>
		 <input  type="date" id="load_date" name="load_date" class="form-control" autocomplete="off" required> 
			<input  type="hidden" id="invoice_number" name="invoice_number" class="form-control" value="<?php echo e($last_code); ?>" autocomplete="off">    
		
		 </div>      <!--position-relative form-group-->
	    </div>      
	   </div>      <!--form-group row-->
						
	   <div class="mb-5" > 
		  <h5><p class="font-weight-bold float-right mr-5">Load Code:#<?php echo e($last_code); ?></bold></p></h5>
	   </div>  
<!--  add row -->
		<section> 
		
	   <div class="panel panel-footer" >
		<table class="table table-bordered" id="myTable">
		 <thead>
		  <tr>
			<th style="width:20%; text-align: center;">Material</th>
			<th style="width:15%; text-align: center;">UOM</th>
			<th style="width:15%; text-align: center;">Qty</th>
			<th style="width:20%; text-align: center;">Unit Price</th>
			<th style="width:25%; text-align: center;">Total Amount</th>
			<th style="width:; text-align: center;">Action</th>
          </tr>
		 </thead>
							  
		 <tbody id="dynmic_row">
		  <tr id="row_1">
			<td style="width: 30%;" id="mitem_1" > 
			 <select type="text" id="get_material_1" name="material_name[]" class="form-control" required="">
			 <option value=""></option>
			 <?php $__currentLoopData = $material; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $material_name): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
			 <option value ="<?php echo e($material_name->id); ?>"><?php echo e($material_name->material_code); ?> - <?php echo e($material_name->material_name); ?></option>
			 <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
			 </select> 
			</td>
			<td id="uitem_1" style="width: 10%;">
			 <select  id="uom_1" name="uom[]" class="form-control"> 
			 <option value=""></option> </select> 
			</td> 
			<td id="qitem_1">
			 <input autocomplete="off"  value=""  id="qty_1" type="text" name="quantity[]" class="form-control quantity" required="">
			</td> 
			<td id="pitem_1">
			 <label   class="lprice font-weight-bold ml-5 " id="lprice_1" for="comment">     </label>
			 <input autocomplete="off" value=""  id="price_1" type="hidden" name="price[]" class="form-control price">
			 <input autocomplete="off" value=""  id="packing_size_1" type="hidden" name="packing_size[]" class="form-control packing_size">
			
			 <input autocomplete="off" value=""  id="begpacking_size_1" type="hidden" name="begpacking_size[]" class="form-control begpacking_size">
			</td> 
			<td id="titem_1">
			 <label   class="ltotal font-weight-bold ml-5 " id="ltotal_1" for="comment">     </label>
			 <input autocomplete="off" value=""  id="total_1" type="hidden" name="total[]" class="form-control total"> 
			</td> 
			<td>
			 <button type="button" class="btn btn-danger font-weight-bold "  onclick="deleteRow(this,1)">
			  <i class="fa fa-trash" aria-hidden="true" ></i></button>
			</td> 
		   </tr>
	      </tbody> 
        </table>
					 
		    <td>
			   <button type="button" class="btn btn-primary font-weight-bold text-white addRow">
			   <i class="fa fa-plus  text-white " aria-hidden="true" ></i> ADD</button>
		    </td> 
			
       </div>      <!--panel panel-footer-->
        </section>

		<input  autocomplete="off" value="" id="invoice_amount_totali" type="hidden" name="invoice_amount_totali" class="form-control ">


<!--  End add row -->	

		<table class="table  table-bordered float-right" style="width: 30%;">

			<?php
			$space=" ";
			?>
		  <tr>
			<td  class="bg-faded" style="width: 50%; background-color: #dfe2e8;">
			  <strong>Load Total:</strong></td>
			<td id="" class="font-weight-bold" style="width: 40%;"> <?php echo e($login_user->currency_notation); ?> <?php echo e($space); ?> 
			  <span  class="font-weight-bold ml-1" id="invoice_amount_total">0.00</span></td> 
		  </tr> 
        </table>
				<br><br><br><br><br><br><br>

	   <div class="row ">
		<div class="col-md-5 ml-5"></div>
			<?php if(request()->route('id')): ?>
			<button class="mt-3 btn btn-primary btn-lg" name="btnsubmit">Update</button> 
			<?php else: ?>
			<button id="submit" class="mt-3 btn btn-primary btn-lg" name="btnsubmit">Save</button> 
			<?php endif; ?>
			<a href="<?php echo e(route('salesman_load_list')); ?>" class="mt-3 btn btn-danger ml-2  btn-lg">Cancel</a> 
	   </div>      <!--row-->
	 </form>
	 </div>      <!--card-body-->
    </div>      <!--main-card mb-3 card-->
   </div>      <!--tab-pane tabs-animation fade show active-->
  </div>      <!--tab-content-->
 </div>      <!--app-main__inner-->

<?php echo $__env->make('theme_layout/footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
				
<script>

function checkForm(form)
			{ 
		form.btnsubmit.disabled = true;
		return true;
			}

		var jq = $.noConflict();

		jq(document).ready(function(){
			 jq("#back").click(function(){
				   window.history.back();
			   }) 
			   <!--Trading Center-->
		$('#get_material_0').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
		$('#routename').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});

		var routename = '';
		$("#routename").change(function(){
			
		var routename = jq('#routename').val();
		var res = routename.split("-");
				document.getElementById("warehouse_id").value = res[1];
				document.getElementById("route_id1").value = res[0];
				get_salesman(res[0]);
				get_route_warehouse(res[1]);

				jq('#dynmic_row').empty();
		
				$(".addRow").removeAttr('disabled');

				$("#invoice_amount_total").html("0.00");

				i = 0;
				$(".addRow").click();

		//get_salesman(routename);
		});
		function get_salesman(route_id){
			
		jq.ajax({
		url: "<?php echo e(URL('/saleman_load/get_salesman/')); ?>" +"/" + route_id,
		type:"GET",

			success:function(respons){
			
				if(respons){
				
					jq('#salesman_add').html(respons);
					$('#salesman_add').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
					$('#salesman_add')[0].sumo.reload();   
				}
			}
		});
		}
		 
		 
		function get_route_warehouse(warehouse_id){
			
			jq.ajax({
			url: "<?php echo e(URL('get_route_warehouse_for_salesman_load')); ?>" +"/" + warehouse_id,
			type:"GET",

				success:function(respons){
				
					if(respons){
					
						jq('#route_warehouse').html(respons);
						$('#route_warehouse').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
						$('#route_warehouse')[0].sumo.reload();   
					}
				}
			});
		}
		 
		 
		 
		 
		});
		<!--row calculation-->
		jq('tbody').delegate('.quantity,.price','keyup',function(){
			
		var gst=18;
		var per=100;
		var tr=jq(this).parent().parent();
		var quantity=tr.find('.quantity').val();
		var begpacking_size1=tr.find('.begpacking_size').val();

		if(quantity==''){
		
		reset_value();
		function reset_value(){

		tr.find('.total').val('');
		tr.find('.gross').val('');
		tr.find('.vat').val('');
		tr.find('.net_amount').val('');
		tr.find('.ltotal').text('');
		tr.find('.lprice').text('');
		}
		}
		
		else{
		var price=tr.find('.price').val();
		var unit_price = price.toLocaleString(
                      undefined, 
                      { minimumFractionDigits: 2 }
                      );
		      tr.find('.lprice').text(unit_price);
		var actual_alt_packing_size=(quantity*begpacking_size1);

		<!--calculate vat for setting in input-->
		var vat=(price*gst/per);
		//var vat1=Math.trunc(vat);
		var total=(quantity*price);
		var gross=(quantity*price);
		tr.find('.total').val(total);
		tr.find('.gross').val(total);
		tr.find('.vat').val(vat);
		tr.find('.packing_size').val(actual_alt_packing_size);
          var gross_value1 = gross.toLocaleString(
			  undefined, 
			  { minimumFractionDigits: 2 }
			  );
			  var vat_value1 = vat.toLocaleString(
			  undefined, 
			  { minimumFractionDigits: 2 }
			  );
			  var total_value1 = total.toLocaleString(
			  undefined, 
			  { minimumFractionDigits: 2 }
			  );
     tr.find('.ltotal').text(total_value1);

<!--getting stored vat-->
		var get_vat=tr.find('.vat').val();
		var net_amount=(price-get_vat);
		tr.find('.net_amount').val(net_amount);
		}

		calculate();
		});

		 function calculate(){
			 var ftotal=0;
			 var fnet_total=0;
	
<!-- total calculation-->
        setTimeout(function(){
                        
                  jq('.total').each(function() {
                  var total=jq(this).val()-0;
			      ftotal+=total;
			 
                     });
                  var total_value = ftotal.toLocaleString(
 
                     undefined, 
                     { minimumFractionDigits: 2 }
                    );
                   document.getElementById("invoice_amount_total").innerHTML  = total_value;
				   document.getElementById("invoice_amount_totali").value = ftotal;
                   
               }, 200);
    } 

<!-- reset value-->
<!--total calculation-->
<!--end calculation -->
<!--add row -->
		var i=0;

		$(".addRow").prop("disabled", true);


		jq('.addRow').on('click',function(){
		i++;
		addRow(i);
		});

		$('#get_material_0').change(function(){
		var material_id1 = jq('#get_material_0').val();

		var row=0;
		reset_value1(row);
						 
		calculate(); 
		get_material_details(material_id1,row);

		setTimeout(function(){
		var uom_id = jq('#uom_0').val();
		get_material_price(uom_id,material_id1,row);
		get_material_alt_packing_size(uom_id,material_id1,row);

		}, 1000);
		});
		
		jq('#uom_0').change(function(){
		var row=0;
		var uom_id = jq('#uom_0').val();

		var material_id = jq('#get_material_0').val();
						 reset_value1(row);
						 calculate(); 
		
		get_material_price(uom_id,material_id,row);
		get_material_alt_packing_size(uom_id,material_id,row);
		});
		function addRow(value){
		
		var tr='<tr id="row_'+value+'">'+
		'<td style="width: 15%;" id="mitem_"><select type="text" id="get_material_'+value+'" name="material_name[]" class="form-control get_material" required=""></td>'+

		'<td id="uitem_'+value+'" style="width: 10%;"><select type="text" id="uom_'+value+'" name="uom[]" class="form-control"><option value=""></option></select> </td>'+

		'<td id="qitem_'+value+'"><input autocomplete="off" type="text" value="" id="qty_'+value+'" name="quantity[]" class="form-control quantity" required=""></td>'+

		'<td id="pitem_'+value+'"><label   class="lprice font-weight-bold ml-5 " id="lprice_'+value+'" for="comment">     </label><input autocomplete="off" readonly type="hidden" value="" id="price_'+value+'" name="price[]" class="form-control price"> <input autocomplete="off" readonly type="hidden" value="" id="packing_size_'+value+'" name="packing_size[]" class="form-control packing_size"> <input autocomplete="off" readonly type="hidden" value="" id="begpacking_size_'+value+'" name="begpacking_size[]" class="form-control begpacking_size"></td>'+


		' <td id="titem_'+value+'"><label   class="ltotal font-weight-bold ml-5 " id="ltotal_'+value+'" for="comment">     </label><input autocomplete="off" readonly type="hidden" value="" id="total_'+value+'" name="total[]" class="form-control total"><input autocomplete="off" value="" id="gross_'+value+'" type="hidden" name="gross[]" class="form-control gross"></td>'+


		' <td><button type="button" class="btn btn-danger font-weight-bold " onclick="deleteRow(this,'+value+')"><i class="fa fa-trash" aria-hidden="true" ></i></button></td>'+
		'</tr>';
		jq('#dynmic_row').append(tr);


		get_material(value);

		$('#get_material_'+value+'').change(function(){
			
		var material_id = jq('#get_material_'+value+'').val();
		get_material_details(material_id,value);

		setTimeout(function(){
		var uom_id = jq('#uom_'+value+'').val();

		reset_value1(value);
		calculate();
		get_material_price(uom_id,material_id,value);
		get_material_alt_packing_size(uom_id,material_id,value);

		}, 1000);
		});

		jq('#uom_'+value+'').change(function(){
			
		var uom_id = jq('#uom_'+value+'').val();
		var material_id = jq('#get_material_'+value+'').val();

		 reset_value1(value);
		 calculate();
		get_material_price(uom_id,material_id,value);
		get_material_alt_packing_size(uom_id,material_id,value);

		});
		};
<!--end add row -->
<!--get_material_uom-->
	function get_material_details(material_id1,row){
		
		jq.ajax({
		url: "<?php echo e(URL('get_material_detailsUom1/')); ?>"+"/" +material_id1+'/'+row,
		type:"GET",

		success:function(respons)
		{
		if(respons)
		{
		jq('#uom_'+row+'').html(respons);
		}
		 }
		  });
		}

 <!-- reseting Value-->
    	 function reset_value1(row){
			document.getElementById('price_'+row+'').value ='';
		
			document.getElementById('total_'+row+'').value ='';
		 
			document.getElementById('qty_'+row+'').value ='';
		   
		 
			<!--for lebel-->
			document.getElementById('lprice_'+row+'').innerHTML='';
		   
			document.getElementById('ltotal_'+row+'').innerHTML='';
				
		     }
<!--get_material_price-->
		function get_material_price(uom_id1,material_id1,row){
			
		jq.ajax({
		url: "<?php echo e(URL('get_material_price1')); ?>"+"/" +uom_id1+'/'+material_id1,
		type:"GET",

		success:function(respons){
		
		if(respons)
		{
		document.getElementById('price_'+row+'').value =respons;
		 // document.getElementById('lprice_'+row+'').innerHTML  = new Intl.NumberFormat('en-IN', { minimumFractionDigits: 2 }).format(respons);
		}
		}
		});
		}
		function get_material_alt_packing_size(uom_id1,material_id1,row){
			
		 jq.ajax({
		      url: "<?php echo e(URL('get_load_material_alt_packing_size/')); ?>"+"/" +uom_id1+'/'+material_id1,       
              type:"GET",
              
          success:function(respons){
          
            if(respons)
			{	
		         
				 document.getElementById('packing_size_'+row+'').value =respons;
				 document.getElementById('begpacking_size_'+row+'').value =respons;
			}
          }
       });
     }

<!--get_material_name-->
		function get_material(value){
			
		jq.ajax({
		url: "<?php echo e(URL('get_material1/')); ?>",
		type:"GET",

		success:function(respons){
		
		if(respons)
		{
		jq('#get_material_'+value+'').html(respons);
		 $('#get_material_'+value+'').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
		 $('#get_material_'+value+'')[0].sumo.reload(); 
		}
		 }
		  });
		 }
		<!-- Deleting row-->
		function deleteRow(r,row) {

		if(row==1){
			Swal.fire({
				  icon: 'error',
				  title: 'You Can Not Remove First Row!',
				})
		
		  }
		else{

		var i = r.parentNode.parentNode.rowIndex;
		document.getElementById("myTable").deleteRow(i);
		}
		calculate();
		}

</script>
       




                

<?php /**PATH /var/www/html/van_sales_system/resources/views/Route_Transaction/salesman_load.blade.php ENDPATH**/ ?>