<?php echo $__env->make('theme_layout/header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
 <?php echo $__env->make('theme_layout/nav', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <style>
    .text-center {
     text-align: center;
     }
    .modal-body{
     max-width: 900px;
     overflow-x: auto !important;
     }
    </style>

   <div class="app-main__outer">
    <div class="app-main__inner">
      <div class="app-page-title">
       <div class="page-title-wrapper">
        <div class="page-title-heading">
        <div class="page-title-icon">
	      <i class="pe-7s-medal icon-gradient bg-tempting-azure">
	      </i>
        </div>
		
	<div>Trip Report List
	  <?php if(Session::has('successMessage')): ?>
	   <div class="alert  alert-success mt-3" >
	    <?php echo e(Session::get('successMessage')); ?>

		</div>
		<?php endif; ?>
	   </div>
     </div>
							
    <div class="page-title-actions"> 
     <div class="d-inline-block dropdown">
      <div class="page-title-actions"> 
        </div> 
         <div tabindex="-1" role="menu" aria-hidden="true" class="dropdown-menu dropdown-menu-right">
           <ul class="nav flex-column">
            <li class="nav-item">
              <a class="nav-link">
               <i class="nav-link-icon lnr-inbox"></i>
               <span>
	           Inbox
               </span>
              <div class="ml-auto badge badge-pill badge-secondary">86</div>
              </a>
            </li>
			
    <li class="nav-item">
     <a class="nav-link">
      <i class="nav-link-icon lnr-book"></i>
        <span>
	       Book
        </span>
       <div class="ml-auto badge badge-pill badge-danger">5</div>
      </a>
    </li>
	
   <li class="nav-item">
    <a class="nav-link">
      <i class="nav-link-icon lnr-picture"></i>
        <span>
	     Picture
        </span>
      </a>
    </li>
	
    <li class="nav-item">
     <a disabled class="nav-link disabled">
      <i class="nav-link-icon lnr-file-empty"></i>
         <span>
	      File Disabled
         </span>
        </a>
       </li>
      </ul>
     </div>
    </div>
   </div>
  </div>        <!--page-title-wrapper-->
</div>          <!--app-page-title-->  

    <div class="main-card mb-3 card">
    <div class="card-body">
    <!-- date filte-->
        <div class="form-row">

            <div class="col-md-4" id="myDatepicker4">
            <label for="fromdate" class="font-weight-bold ml-2"> From Date</label>
            <input type="date" class="form-control" name="fromdate" id="fromdate" value="<?php echo date("Y-m-d"); ?>" autocomplete="off">
            </div>
 
            <div class="col-md-4" id="myDatepicker5">
            <label for="todate" class="font-weight-bold ml-2"> To Date</label>
            <input type="date" class="form-control" name="todate"  id="todate"  value="<?php echo date("Y-m-d"); ?>" autocomplete="off">
            </div>	

            <div class="col-md-4">
            <label  class="font-weight-bold ml-2" for="region" class="">Region</label>
            <select class="mb-2 form-control" name="region" id="region" > 
            <option value=""></option>
            <option value="0" data-value="<?php echo e($regId); ?>">Select All</option>
            <?php $__currentLoopData = $region; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $region_name): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <option value="<?php echo e($region_name->id); ?>" ><?php echo e($region_name->region_code); ?>- <?php echo e($region_name->region_name); ?></option>	
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </select> 
            </div>



	    </div><!-- form-row -->
	</br>

        <div class="form-row">
									
            <div class="col-md-4">
            <label  class="font-weight-bold " for="sub_region" class=""> Sub Region</label> 
                <select class="mb-2 form-control" name="sub_region" id="sub_region" > 
                </select>
            </div>
	
            <div class="col-md-4">
            <label  class="font-weight-bold " for="distributor" class="">Distributor</label>        
                <select class="mb-2 form-control" name="distributor" id="distributor" > 
                </select>
            </div>

            <div class="col-md-4">
            <label  class="font-weight-bold ml-2" for="route" class="">Route</label>
                <select class="mb-2 form-control" name="route" id="route" required> 
                </select>
            </div>

        </div><!-- form-row -->
	<br>

        <div class="form-row">

            <div class="col-md-12 text-center"> 
            <button id="submit1" class="mt-3 btn btn-primary btn-lg">Search</button>
            <a href="<?php echo e(route('trip_report_list')); ?>" class="mt-3 btn btn-danger  btn-lg">Reset</a>
            </div>	

        </div><!-- form-row -->	

    <br><br>

 

        <form id="" class="" action="" method="post">
        <?php echo e(csrf_field()); ?>

        <input autocomplete="off" name="fromdate1" id="fromdate1" value="s" type="hidden">
        <input autocomplete="off" name="todate1" id="todate1" value="s" type="hidden">
        <input autocomplete="off" name="region1" id="region1" value="s" type="hidden">
        <input autocomplete="off" name="subregion1" id="subregion1" value="s" type="hidden">
        <input autocomplete="off" name="distributor1" id="distributor1" value="s" type="hidden">
		<input autocomplete="off" name="route1" id="route1" value="s" type="hidden">
        <button  id="export" style="display:none;  float:right; margin: 8px 54px 14px 65px;" class="mt-3 btn btn-primary btn-lg" >Export XLS</button>
        </form>

        <div class="container" id="report_data">	
        </div>

    </div> 
    </div>
    </div>

    <div  class="modal fade mt-5"  id="myModal_sales" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true" >
        <div class="modal-dialog mt-5 "  role="document">
        <div class="modal-content " style="width: 892px; margin-left: -57px; margin-bottom:100px;">
            <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLabel">Total Sales</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
            </button>
            </div>
            <div class="modal-body" id="sales_body_id"> 
            </div>
        </div>
        </div>
    </div >
			   
	<?php echo $__env->make('theme_layout/footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>	
    <script>
    var jq = $.noConflict();
    jq(document).ready(function(){

		$('#region').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
		$('#sub_region').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
		$('#distributor').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});

        var all_distributor=0;
        var all_route=0;
        //getting subregion on region change
        $("#region").change(function(){
        var region_value = jq('#region').val();
        
        if(region_value == 0){

        var element = $(this).find('option:selected'); 
        var region = element.attr("data-value");

        }else{

            var region = jq('#region').val();
        }
        get_subregion(region);
        });


        //getting distributor on subregion change
        $("#sub_region").change(function(){
        var subregion_value = jq('#sub_region').val();

        if(subregion_value == 0){

        var element = $(this).find('option:selected'); 
        var sub_region = element.attr("data-value");

        }else{

            var sub_region = jq('#sub_region').val();
        }

        get_distributor(sub_region);
        });


        //getting route on distributor change
        $("#distributor").change(function(){
        var distributor_value = jq('#distributor').val();

        if(distributor_value == 0){
            var element = $(this).find('option:selected'); 
            var distributor = element.attr("data-value");
            all_distributor=distributor;
        }else{
            
            var distributor = jq('#distributor').val();
            all_distributor=distributor;
        }

        get_route(distributor);
        });


        var route_value = jq('#route').val();

        if(route_value == 0){
            var element = $(this).find('option:selected'); 
            var route = element.attr("data-value");
            all_distributor=route;
        }else{
            
             var route = jq('#route').val();
             all_route=route;
        }


        $("#submit1").click(function(){
        
        // var all_route = '0';
        var all_distributor = '0';
        
        
        var fromdate = jq('#fromdate').val();
        var todate = jq('#todate').val();
        var region = jq('#region').val();
        var sub_region = jq('#sub_region').val();

        //if distributor selected
        var distributor_value = jq('#distributor').val();

        if(distributor_value == null || distributor_value == ''){
            Swal.fire({
				  icon: 'error',
				  title: 'Select Distributor First!',
				})
        }
        
        if(distributor_value == 0 )
        {
            var element = $('#distributor').find('option:selected'); 
            all_distributor = element.attr("data-value");
           
        }else{
            all_distributor = jq('#distributor').val();
            
        }
        
        //if route selected
        // $("#route").change(function(){
            // var all_route = '0';
            var route_value = jq('#route').val();
            
            if(route_value == 0){
                var element = $('#route').find('option:selected'); 
                var route = element.attr("data-value");
                all_route = route;
                
            }else{
                
                var route = jq('#route').val();
                all_route = route;
                
            }
            
        // });
        
       if(all_route == null){

           all_route = 's';
       }
    //    alert(all_route);


        jq('#fromdate1').val(fromdate);
        jq('#todate1').val(todate);
        jq('#region1').val(region);
        jq('#subregion1').val(sub_region);
        jq('#distributor1').val(all_distributor);
        jq('#route1').val(all_route);
        
        // alert(fromdate+'/'+todate+'/'+region+'/'+sub_region+'/'+all_distributor+'/'+all_route);
        get_trip_report_list(fromdate,todate,region,sub_region,all_distributor,all_route);
        
        });

   
   function get_subregion(region)
	{
	  jq.ajax({
      url: "<?php echo e(URL('get_trip_subregion/')); ?>"+"/" +region,       
      type:"GET",
      success:function(respons)
      {
			if(respons)
			{
			  jq('#sub_region').html(respons);
			  $('#sub_region').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	          $('#sub_region')[0].sumo.reload(); 
			
			 }
	      }
		});
	}


    function get_distributor(sub_region)
	{
	  jq.ajax({
      url: "<?php echo e(URL('get_trip_distributor/')); ?>"+"/" +sub_region,       
      type:"GET",
      success:function(respons)
      {
			if(respons)
			{
			  jq('#distributor').html(respons);
			  $('#distributor').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	          $('#distributor')[0].sumo.reload(); 
			
			 }
	      }
		});
	}
	
	
	function get_route(distributor)
	{
	  jq.ajax({
      url: "<?php echo e(URL('get_trip_route/')); ?>"+"/" +distributor,        
      type:"GET",
      success:function(respons)
      {
			if(respons)
			{
			jq('#route').html(respons);
			$('#route').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	        $('#route')[0].sumo.reload(); 
			}
	      }
		});
	}


	
	function get_trip_report_list(fromdate,todate,region,sub_region,distributor,route)
	{
	  jq.ajax({
      url: "<?php echo e(URL('get_trip_report_list/')); ?>"+"/" +fromdate+"/"+todate+"/"+region+"/"+sub_region+"/"+distributor+"/"+route,      
      type:"GET",
      success:function(respons)
          {
			var data = jQuery.parseJSON(respons);
				$('#report_data').html(data.html);
				
				 if(data)
				   jq('#export').show();
				 else
                   jq('#export').hide();			

            // jq('#report_data').html("");
			// jq('#report_data').html(respons);
			
	      }
		});
	}
	
	function get_report_pdf(report_with,region,subregion,warehouse,route,fromdate,todate)
	{
	  jq.ajax({
      url: "<?php echo e(URL('sales_report_exportpdf/')); ?>"+"/" +report_with+"/"+region+"/"+subregion+"/"+warehouse+"/"+route+"/"+fromdate+"/"+todate,      
      type:"GET",
      success:function(respons)
          {
			
	       }
		});
	}
	$(document).on('click', '.region_modal', function(e) {
            e.preventDefault();
           /* $('#sales_report_modal').modal('show'); */
		   
            var region  = $(this).attr('data-agent-id');
			
            var fromdate = jq('#fromdate').val();
            var todate = jq('#todate').val();
              
			  
            if (fromdate != '' && todate != '' && region !='') {
                $.ajax({
                        url: "<?php echo e(URL('get_return_sales_report_pop/')); ?>"+"/" +fromdate+"/"+todate+"/"+region,      
                       type:"GET",
                       success: function (responce) {
                        var data = jQuery.parseJSON(responce);
				        $('#sales_body_id').html(data.html);
                        
                    }
                });
            }
            
        });
		
		$(document).on('click', '.sub_region_modal', function(e) {
            e.preventDefault();
            
           /* $('#sales_report_modal').modal('show'); */
		   
            var subregion  = $(this).attr('data-agent-id');
			
            var fromdate = jq('#fromdate').val();
            var todate = jq('#todate').val();
			  
            if (fromdate != '' && todate != '' && subregion !='') {
                $.ajax({
                        url: "<?php echo e(URL('get_subregionreturn_sales_report_pop/')); ?>"+"/" +fromdate+"/"+todate+"/"+subregion,      
                       type:"GET",
                    success: function (responce) {
                        var data = jQuery.parseJSON(responce);
                        $('#sales_body_id').html(data.html);
                    }
                });
            }
            
        });
	
	
	$(document).on('click', '.warehouse_modal', function(e) {
            e.preventDefault();
            
           /* $('#sales_report_modal').modal('show'); */
		   
            var warehouse  = $(this).attr('data-agent-id');
			
            var fromdate = jq('#fromdate').val();
            var todate = jq('#todate').val();
              
			  
            if (fromdate != '' && todate != '' && warehouse !='') {
                $.ajax({
                        url: "<?php echo e(URL('get_warehousereturn_sales_report_pop/')); ?>"+"/" +fromdate+"/"+todate+"/"+warehouse,      
                       type:"GET",
                    success: function (responce) {
                        var data = jQuery.parseJSON(responce);
                         $('#sales_body_id').html(data.html);
                    }
                });
            }
            
        });
		$(document).on('click', '.route_amount_modal', function(e) {
            e.preventDefault();
            
           /* $('#sales_report_modal').modal('show'); */
		   
            var route  = $(this).attr('data-agent-id');
			
            var fromdate = jq('#fromdate').val();
            var todate = jq('#todate').val();
              
			  
            if (fromdate != '' && todate != '' && route !='') {
                $.ajax({
                        url: "<?php echo e(URL('get_routereturn_sales_report_pop/')); ?>"+"/" +fromdate+"/"+todate+"/"+route,      
                       type:"GET",
                    success: function (responce) {
                        var data = jQuery.parseJSON(responce);
                         $('#sales_body_id').html(data.html);
                    }
                });
            }
            
        });
		
		
		$(document).on('click', '.route_quantity_modal', function(e) {
            e.preventDefault();
            
           /* $('#sales_report_modal').modal('show'); */
		   
            var route  = $(this).attr('data-agent-id');
			
            var fromdate = jq('#fromdate').val();
            var todate = jq('#todate').val();
			  
            if (fromdate != '' && todate != '' && route !='') {
                $.ajax({
                        url: "<?php echo e(URL('get_route_routereturn_quantity_sales_report_pop/')); ?>"+"/" +fromdate+"/"+todate+"/"+route,      
                       type:"GET",
                    success: function (responce) {
                         var data = jQuery.parseJSON(responce);
                         $('#sales_body_id').html(data.html);
                    }
                });
            }
            
        });
		
		
		$(document).on('click', '.warehouse_quantity_modal', function(e) {
            e.preventDefault();
            
           /* $('#sales_report_modal').modal('show'); */
		   
            var warehouse  = $(this).attr('data-agent-id');
			
            var fromdate = jq('#fromdate').val();
            var todate = jq('#todate').val();
			  
            if (fromdate != '' && todate != '' && warehouse !='') {
                $.ajax({
                        url: "<?php echo e(URL('get_route_warehousereturn_quantity_sales_report_pop/')); ?>"+"/" +fromdate+"/"+todate+"/"+warehouse,      
                       type:"GET",
                    success: function (responce) {
                         var data = jQuery.parseJSON(responce);
                         $('#sales_body_id').html(data.html);
                    }
                });
            }
            
        });
		
		$(document).on('click', '.sub_region_quantity_modal', function(e) {
            e.preventDefault();
            
          var subregion  = $(this).attr('data-agent-id');
			
           var fromdate = jq('#fromdate').val();
            var todate = jq('#todate').val();
              
			  
            if (fromdate != '' && todate != '' && subregion !='') {
                $.ajax({
                        url: "<?php echo e(URL('get_route_subregionreturn_quantity_sales_report_pop/')); ?>"+"/" +fromdate+"/"+todate+"/"+subregion,      
                       type:"GET",
                    success: function (responce) {
                        var data = jQuery.parseJSON(responce);
                         $('#sales_body_id').html(data.html);
                    }
                });
            }
            
        });
		
		
		$(document).on('click', '.region_quantity_modal', function(e) {
            e.preventDefault();
            
           /* $('#sales_report_modal').modal('show'); */
		   
            var region  = $(this).attr('data-agent-id');
			
            var fromdate = jq('#fromdate').val();
            var todate = jq('#todate').val();
              
			  
            if (fromdate != '' && todate != '' && region !='') {
                $.ajax({
                        url: "<?php echo e(URL('get_route_regionreturn_quntity_sales_report_pop/')); ?>"+"/" +fromdate+"/"+todate+"/"+region,      
                       type:"GET",
                    success: function (responce) {
                        var data = jQuery.parseJSON(responce);
                        $('#sales_body_id').html(data.html);
                    }
                });
            }
            
        });
		$(document).on('click', '.material_wise_route_sales_modal', function(e) {
            e.preventDefault();
            
           /* $('#sales_report_modal').modal('show'); */
		    var report_selection=jq('#report_with').val();
		    var slug='route';
			var warehouse  = $(this).attr('data-agent-id');
            var material  = $(this).attr('data-material-id');
			var fromdate = jq('#fromdate').val();
            var todate = jq('#todate').val();
            if (fromdate != '' && todate != '' && warehouse !='' && material !='') {
                $.ajax({
                        url: "<?php echo e(URL('get_route_materialwise_quntity_sales_report_pop/')); ?>"+"/" +fromdate+"/"+todate+"/"+warehouse+"/"+material+"/"+report_selection+"/"+slug,      
                       type:"GET",
                       success: function (responce) {
                        var data = jQuery.parseJSON(responce);
                        $('#sales_body_id').html(data.html);
                    }
                });
            }
            
        });
		
		$(document).on('click', '.material_wise_warehouse_sales_modal', function(e) {
            e.preventDefault();
            
           /* $('#sales_report_modal').modal('show'); */
		    var report_selection=jq('#report_with').val();
		    var slug='warehouse';
			var warehouse  = $(this).attr('data-agent-id');
            var material  = $(this).attr('data-material-id');
			
            var fromdate = jq('#fromdate').val();
            var todate = jq('#todate').val();
            if (fromdate != '' && todate != '' && warehouse !='' && material !='') {
                $.ajax({
                        url: "<?php echo e(URL('get_route_materialwise_quntity_sales_report_pop/')); ?>"+"/" +fromdate+"/"+todate+"/"+warehouse+"/"+material+"/"+report_selection+"/"+slug,      
                       type:"GET",
                       success: function (responce) {
                        var data = jQuery.parseJSON(responce);
                        $('#sales_body_id').html(data.html);
                    }
                });
            }
            
        });
		
		$(document).on('click', '.material_wise_subregion_sales_modal', function(e) {
            e.preventDefault();
            
           /* $('#sales_report_modal').modal('show'); */
		    var report_selection=jq('#report_with').val();
		    var slug='sub_region';
			var warehouse  = $(this).attr('data-agent-id');
            var material  = $(this).attr('data-material-id');
			
            var fromdate = jq('#fromdate').val();
            var todate = jq('#todate').val();
            if (fromdate != '' && todate != '' && warehouse !='' && material !='') {
                $.ajax({
                        url: "<?php echo e(URL('get_route_materialwise_quntity_sales_report_pop/')); ?>"+"/" +fromdate+"/"+todate+"/"+warehouse+"/"+material+"/"+report_selection+"/"+slug,      
                       type:"GET",
                       success: function (responce) {
                        var data = jQuery.parseJSON(responce);
                        $('#sales_body_id').html(data.html);
                    }
                });
            }
            
        });
		
		$(document).on('click', '.material_wise_region_sales_modal', function(e) {
            e.preventDefault();
           /* $('#sales_report_modal').modal('show'); */
		    var report_selection=jq('#report_with').val();
		    var slug='region';
			var warehouse  = $(this).attr('data-agent-id');
            var material  = $(this).attr('data-material-id');
			
            var fromdate = jq('#fromdate').val();
            var todate = jq('#todate').val();
            if (fromdate != '' && todate != '' && warehouse !='' && material !='') {
                $.ajax({
                        url: "<?php echo e(URL('get_route_materialwise_quntity_sales_report_pop/')); ?>"+"/" +fromdate+"/"+todate+"/"+warehouse+"/"+material+"/"+report_selection+"/"+slug,      
                       type:"GET",
                       success: function (responce) {
                        var data = jQuery.parseJSON(responce);
                        $('#sales_body_id').html(data.html);
                    }
                });
            }
            
        });
   
	   });
   
	   
   </script>			
    			<?php /**PATH /var/www/html/van_sales_system/resources/views/Report/trip_report.blade.php ENDPATH**/ ?>