<?php echo $__env->make('theme_layout/header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php echo $__env->make('theme_layout/nav', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?> 
<div class="app-main__outer">
 <div class="app-main__inner">
  <div class="app-page-title">
   <div class="page-title-wrapper">
	<div class="page-title-heading">
	 <div class="page-title-icon">
	  <i class="pe-7s-medal icon-gradient bg-tempting-azure">
	  </i>
	 </div>
	 
		<div> Warehouse List
		 <?php if(Session::has('successMessage')): ?> 
		  <input id="toster_id" type="hidden" value="<?php echo e(Session::get('successMessage')); ?>">		  
		 <?php endif; ?> 
	    </div>
	</div>
							
		<div class="page-title-actions"> 
		 <div class="d-inline-block dropdown">
		  <div class="page-title-actions"> 
		   <div class="d-inline-block dropdown">
			<a href="<?php echo e(route('warehouse_name')); ?>" class="mt-3 btn btn-primary btn-lg"> 
			<i class="fa fa-plus fa-w-20"></i> Add Warehouse</a> 
		   </div>
		  </div> 
									
		<div tabindex="-1" role="menu" aria-hidden="true" class="dropdown-menu dropdown-menu-right">
		 <ul class="nav flex-column">
		  <li class="nav-item">
		   <a class="nav-link">
		    <i class="nav-link-icon lnr-inbox"></i>
		     <span>
			  Inbox
		     </span>
		      <div class="ml-auto badge badge-pill badge-secondary">86</div>
		   </a>
		  </li>
		  
		<li class="nav-item">
		 <a class="nav-link">
		  <i class="nav-link-icon lnr-book"></i>
		   <span>
			Book
		   </span>
		   <div class="ml-auto badge badge-pill badge-danger">5</div>
		 </a>
		</li>
		
		<li class="nav-item">
		 <a class="nav-link">
		  <i class="nav-link-icon lnr-picture"></i>
		   <span>
			Picture
		   </span>
		 </a>
		</li>

		<li class="nav-item">
		 <a disabled class="nav-link disabled">
		  <i class="nav-link-icon lnr-file-empty"></i>
		   <span>
			File Disabled
		   </span>
		 </a>
		</li>
	   </ul>
      </div>
     </div>
    </div>  
   </div>
  </div>  
					
		<div class="main-card mb-3 card">
		 <div class="card-body">
		  <!--filter-->
		   <form method="get" action="<?php echo e(route('warehouse_list')); ?>">
		    <div class="form-row">
		     <div class="col-md-4" >
		      <div class="position-relative form-group">
	           <label for="" class="font-weight-bold ml-2">Region</label> 
	            <select class="mb-2 form-control" name="region" id="region">
		         <?php if(isset($_GET['region'])): ?>	  
		          <?php $__currentLoopData = $region; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $region_name): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
		           <option value=""> </option>
			       <option <?php echo e($_GET['region'] == $region_name->id ? 'selected' : ''); ?> value="<?php echo e($region_name->id); ?>"><?php echo e($region_name->region_code); ?> - <?php echo e($region_name->region_name); ?></option>
		          <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
	             <?php else: ?>
		           
		          <?php $__currentLoopData = $region; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $region_name): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
			        <option value="<?php echo e($region_name->id); ?>"><?php echo e($region_name->region_code); ?> - <?php echo e($region_name->region_name); ?></option>
		          <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
	             <?php endif; ?>
	         </select>
	       </div>
         </div>
							  
		<div class="col-md-4" >
		 <div class="position-relative form-group">
		  <label for="select_warehouse" class="font-weight-bold ml-2">Subregion</label> 
		   <select class="mb-2 form-control" name="subregion" id="subregion">				
		   </select>
		  </div>
		</div>

	    <div class="col-md-4" >
	     <div class="position-relative form-group">
		  <label for="select_warehouse" class="font-weight-bold ml-2">Customer</label> 
		   <select class="mb-2 form-control" name="customer" id="customer">			
		   </select>
		 </div>
	    </div>	  
	  </div>   

		<div class="form-row">
	     <div class="col-md-12 text-center">
		  <button id="submit" class="mt-3 btn btn-primary btn-lg">Search</button>
		   <!-- <input type="hidden" name="type" value="date" id="search_type">
		    <input type="button" value="Filter" class="btn btn-sm btn-primary listSearchBtn  filter">
		     <button  class="btn btn-sm btn-danger listSearchAllBtn reset">All</button>-->
	     </div> 
		</div>                  
	</form>
						
		<input maxlength="125" name="url_subregion" id="url_subregion"  type="hidden" value="<?php if(isset($_GET['region']) && isset($_GET['subregion']) && $_GET['subregion']!=''){echo $_GET['subregion']; } else{echo "0";} ?>" class="form-control" autocomplete="off" required>														
		 <input maxlength="125" name="url_customer" id="url_customer"  type="hidden" value="<?php if(isset($_GET['subregion']) && isset($_GET['customer']) && $_GET['customer']!=''){echo $_GET['customer']; } else{echo "0";} ?>" class="form-control" autocomplete="off" required>	 			
          <!--End filter-->
	       <table style="width: 100%;" id="example" class="table table-hover table-striped table-bordered">
		    <thead>
		     <tr>		   
			  <th class="text-left">Warehouse</th> 
			  <th class="text-left">Warehouse Type</th> 
			  <th class="text-left">Distributor</th> 
			  <th class="text-left">Region</th>
			  <th class="text-left">Sub Region</th> 
			  <th>Status</th>
			  <th style="width: 13%;">Action</th> 
		     </tr>
		    </thead>
	         <tbody>
		      <?php $__currentLoopData = $get_data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
	           <tr> 
			    <?php
			     $class='';
			     $data->status == 'active' ? $class="mb-2 mr-2 btn btn-primary":$class=" mb-2 mr-2 btn btn-danger"; 
			    ?>		 	
				 <td class="font-weight-bold text-dark text-left"><?php echo e($data->warehouse_code); ?> - <?php echo e(ucfirst($data->warehouse_name)); ?></td> 				
				 <td class="font-weight-bold text-dark text-left"><?php echo e($data->warehouse_type == 0 ? "Company Warehouse" : ($data->warehouse_type == 1 ? "Distibutor Warehouse" : ($data->warehouse_type == 2 ? "Route Warehouse" : "Outlet Warehouse"))); ?></td> 
				 <td class="font-weight-bold  text-dark text-left"><?php echo e(ucfirst($data->customer_code)); ?> - <?php echo e(ucfirst($data->customer_name)); ?></td>
				 <td class="font-weight-bold  text-dark text-left"><?php echo e(ucfirst($data->region_code)); ?> - <?php echo e(ucfirst($data->region_name)); ?></td>
				 <td class="font-weight-bold  text-dark text-left"><?php echo e(ucfirst($data->sub_region_code)); ?> - <?php echo e(ucfirst($data->sub_region_name)); ?></td> 
				 <td> <button id="btn_status" class="<?php echo e($class); ?>"  ><span class="ladda-label"><?php echo e($data->status == 'active' ? 'Active'  : 'Inactive'); ?></span></button></td>			 
			     <td> 
				 <div class="dropdown">
    				<button type="button" aria-haspopup="true" aria-expanded="false" data-toggle="dropdown" class="mb-2 mr-2 btn btn-outline-primary "><i class="fas fa-ellipsis-v"></i></button>
    				<ul class="dropdown-menu " style="min-width: 0px;" aria-labelledby="dropdownMenuButton1">
    				<a class="dropdown-item" class= "mb-2 mr-2 btn-hover-shine btn btn-shadow btn-success btn-lg" href=" <?php echo e(URL::to('warehouse/'.$data->id)); ?>"><i class="fas fa-edit" aria-hidden="true"> Edit</i> </a>
			       	<a class="dropdown-item" class= "mb-2 mr-2 btn-hover-shine btn btn-shadow btn-success btn-lg" href=" <?php echo e(URL::to('warehouse_view/'.$data->id)); ?>"><i class="fas fa-eye" aria-hidden="true"> View</i> </a>
					</ul>
					</div> 
				</td> 
		        </tr> 
			  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
		   </tbody>
		   <tfoot>
		    <!--  <tr>
			<th>Warehouse Code</th>
			<th>Company Code</th>
			<th>Warehouse Name</th>
			<th>Distributor</th>
			<th>Contact No</th>
		    <th>City</th>
			<th>Country</th>
			<th>Status</th>
			<th>Action</th>
		   </tr>-->
		 </tfoot>
       </table>
      </div>
     </div>
   </div>
 <?php echo $__env->make('theme_layout/footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>	 
 <script>

   var jq = $.noConflict();
   jq(document).ready(function(){
	   
<?php if(Session::has('successMessage')): ?>
var toster=jq('#toster_id').val();
if(toster!=''){
	Swal.fire({
	   
	  icon: 'success',
	  title: ''+toster,
	  showConfirmButton: false,
	  timer: 2000
		})
	}
	
	<?php echo e(Session::forget('successMessage')); ?>

	
<?php endif; ?>
 
	     <?php if(isset($_GET['region'])){?> 
		   var region = jq('#region').val(); 
		   var url_subregion = jq('#url_subregion').val(); 
		   var url_customer = jq('#url_customer').val(); 
		   
		   get_subregion(region,url_subregion);  
		   get_customer(url_subregion,url_customer); <?php } ?> 
	$('#region').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	
    $("#region").change(function(){
     var region = jq('#region').val();
	 var url_subregion=0;
    get_subregion(region,url_subregion);
	 
 });
 
 $("#subregion").change(function(){
   var subregion = jq('#subregion').val();
      var url_customer=0;
      get_customer(subregion,url_customer);
 });
    
 <!--get_material_price-->
function get_subregion(region,region_url)
{
	
    jq.ajax({
    url: "<?php echo e(URL('get_warehouse_region_filter')); ?>"+"/" +region+"/"+region_url,       
    type:"GET",
    success:function(respons)
    {
           jq('#subregion').html(respons); 
		   $('#subregion').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
		   $('#subregion')[0].sumo.reload();  
        
    }
   });
 }
   
   <!--get_material_price-->
function get_customer(subregion,url_customer)
{
	
    jq.ajax({
    url: "<?php echo e(URL('get_warehouse_customer_filter')); ?>"+"/" +subregion+"/"+url_customer,       
    type:"GET",
    success:function(respons)
    {
           jq('#customer').html(respons); 
		   $('#customer').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
		   $('#customer')[0].sumo.reload();  
        
    }
   });
 }
function get_datefilter(fromdate,todate)
{
    jq.ajax({
    url: "<?php echo e(URL('salesman_invoice_list/')); ?>",       
    type:"GET",
    data:{fromdate:fromdate,
    todate:todate },
    success:function(respons)
    {
            if(respons)
            {
              jq('#example').html(respons);
            }
         }
       });
     } 
});

</script>    			<?php /**PATH /var/www/html/van_sales_system/resources/views/Stock_Management/warehouse_list.blade.php ENDPATH**/ ?>